#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8279
#define LARGE_STATE_COUNT 2237
#define SYMBOL_COUNT 532
#define ALIAS_COUNT 5
#define TOKEN_COUNT 217
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_virtual = 45,
  anon_sym_extern = 46,
  anon_sym___attribute__ = 47,
  anon_sym_COLON_COLON = 48,
  anon_sym_LBRACK_LBRACK = 49,
  anon_sym_RBRACK_RBRACK = 50,
  anon_sym___declspec = 51,
  anon_sym___based = 52,
  anon_sym___cdecl = 53,
  anon_sym___clrcall = 54,
  anon_sym___stdcall = 55,
  anon_sym___fastcall = 56,
  anon_sym___thiscall = 57,
  anon_sym___vectorcall = 58,
  sym_ms_restrict_modifier = 59,
  sym_ms_unsigned_ptr_modifier = 60,
  sym_ms_signed_ptr_modifier = 61,
  anon_sym__unaligned = 62,
  anon_sym___unaligned = 63,
  anon_sym_LBRACE = 64,
  anon_sym_RBRACE = 65,
  anon_sym_signed = 66,
  anon_sym_unsigned = 67,
  anon_sym_long = 68,
  anon_sym_short = 69,
  anon_sym_LBRACK = 70,
  anon_sym_static = 71,
  anon_sym_RBRACK = 72,
  anon_sym_EQ = 73,
  anon_sym_register = 74,
  anon_sym_inline = 75,
  anon_sym___inline = 76,
  anon_sym___inline__ = 77,
  anon_sym___forceinline = 78,
  anon_sym_thread_local = 79,
  anon_sym___thread = 80,
  anon_sym_const = 81,
  anon_sym_constexpr = 82,
  anon_sym_volatile = 83,
  anon_sym_restrict = 84,
  anon_sym___restrict__ = 85,
  anon_sym__Atomic = 86,
  anon_sym__Noreturn = 87,
  anon_sym_noreturn = 88,
  anon_sym__Nonnull = 89,
  anon_sym_mutable = 90,
  anon_sym_constinit = 91,
  anon_sym_consteval = 92,
  anon_sym_alignas = 93,
  anon_sym__Alignas = 94,
  sym_primitive_type = 95,
  anon_sym_enum = 96,
  anon_sym_class = 97,
  anon_sym_struct = 98,
  anon_sym_union = 99,
  anon_sym_COLON = 100,
  anon_sym_if = 101,
  anon_sym_else = 102,
  anon_sym_switch = 103,
  anon_sym_case = 104,
  anon_sym_default = 105,
  anon_sym_while = 106,
  anon_sym_do = 107,
  anon_sym_for = 108,
  anon_sym_return = 109,
  anon_sym_break = 110,
  anon_sym_continue = 111,
  anon_sym_goto = 112,
  anon_sym___try = 113,
  anon_sym___except = 114,
  anon_sym___finally = 115,
  anon_sym___leave = 116,
  anon_sym_QMARK = 117,
  anon_sym_STAR_EQ = 118,
  anon_sym_SLASH_EQ = 119,
  anon_sym_PERCENT_EQ = 120,
  anon_sym_PLUS_EQ = 121,
  anon_sym_DASH_EQ = 122,
  anon_sym_LT_LT_EQ = 123,
  anon_sym_GT_GT_EQ = 124,
  anon_sym_AMP_EQ = 125,
  anon_sym_CARET_EQ = 126,
  anon_sym_PIPE_EQ = 127,
  anon_sym_and_eq = 128,
  anon_sym_or_eq = 129,
  anon_sym_xor_eq = 130,
  anon_sym_not = 131,
  anon_sym_compl = 132,
  anon_sym_LT_EQ_GT = 133,
  anon_sym_or = 134,
  anon_sym_and = 135,
  anon_sym_bitor = 136,
  anon_sym_xor = 137,
  anon_sym_bitand = 138,
  anon_sym_not_eq = 139,
  anon_sym_DASH_DASH = 140,
  anon_sym_PLUS_PLUS = 141,
  anon_sym_sizeof = 142,
  anon_sym___alignof__ = 143,
  anon_sym___alignof = 144,
  anon_sym__alignof = 145,
  anon_sym_alignof = 146,
  anon_sym__Alignof = 147,
  anon_sym_offsetof = 148,
  anon_sym__Generic = 149,
  anon_sym_asm = 150,
  anon_sym___asm__ = 151,
  anon_sym___asm = 152,
  anon_sym_DOT = 153,
  anon_sym_DOT_STAR = 154,
  anon_sym_DASH_GT = 155,
  sym_number_literal = 156,
  anon_sym_L_SQUOTE = 157,
  anon_sym_u_SQUOTE = 158,
  anon_sym_U_SQUOTE = 159,
  anon_sym_u8_SQUOTE = 160,
  anon_sym_SQUOTE = 161,
  aux_sym_char_literal_token1 = 162,
  anon_sym_L_DQUOTE = 163,
  anon_sym_u_DQUOTE = 164,
  anon_sym_U_DQUOTE = 165,
  anon_sym_u8_DQUOTE = 166,
  anon_sym_DQUOTE = 167,
  aux_sym_string_literal_token1 = 168,
  sym_escape_sequence = 169,
  sym_system_lib_string = 170,
  sym_true = 171,
  sym_false = 172,
  anon_sym_NULL = 173,
  anon_sym_nullptr = 174,
  sym_comment = 175,
  sym_auto = 176,
  anon_sym_decltype = 177,
  anon_sym_final = 178,
  anon_sym_override = 179,
  anon_sym_explicit = 180,
  anon_sym_typename = 181,
  anon_sym_template = 182,
  anon_sym_GT2 = 183,
  anon_sym_operator = 184,
  anon_sym_try = 185,
  anon_sym_delete = 186,
  aux_sym_pure_virtual_clause_token1 = 187,
  anon_sym_friend = 188,
  anon_sym_public = 189,
  anon_sym_private = 190,
  anon_sym_protected = 191,
  anon_sym_noexcept = 192,
  anon_sym_throw = 193,
  anon_sym_namespace = 194,
  anon_sym_using = 195,
  anon_sym_static_assert = 196,
  anon_sym_concept = 197,
  anon_sym_co_return = 198,
  anon_sym_co_yield = 199,
  anon_sym_catch = 200,
  anon_sym_R_DQUOTE = 201,
  anon_sym_LR_DQUOTE = 202,
  anon_sym_uR_DQUOTE = 203,
  anon_sym_UR_DQUOTE = 204,
  anon_sym_u8R_DQUOTE = 205,
  anon_sym_co_await = 206,
  anon_sym_new = 207,
  anon_sym_requires = 208,
  anon_sym_DASH_GT_STAR = 209,
  anon_sym_LPAREN_RPAREN = 210,
  anon_sym_LBRACK_RBRACK = 211,
  anon_sym_DQUOTE_DQUOTE = 212,
  sym_this = 213,
  sym_literal_suffix = 214,
  sym_raw_string_delimiter = 215,
  sym_raw_string_content = 216,
  sym_translation_unit = 217,
  sym__top_level_item = 218,
  sym__block_item = 219,
  sym_preproc_include = 220,
  sym_preproc_def = 221,
  sym_preproc_function_def = 222,
  sym_preproc_params = 223,
  sym_preproc_call = 224,
  sym_preproc_if = 225,
  sym_preproc_ifdef = 226,
  sym_preproc_else = 227,
  sym_preproc_elif = 228,
  sym_preproc_elifdef = 229,
  sym_preproc_if_in_field_declaration_list = 230,
  sym_preproc_ifdef_in_field_declaration_list = 231,
  sym_preproc_else_in_field_declaration_list = 232,
  sym_preproc_elif_in_field_declaration_list = 233,
  sym_preproc_elifdef_in_field_declaration_list = 234,
  sym_preproc_if_in_enumerator_list = 235,
  sym_preproc_ifdef_in_enumerator_list = 236,
  sym_preproc_else_in_enumerator_list = 237,
  sym_preproc_elif_in_enumerator_list = 238,
  sym_preproc_elifdef_in_enumerator_list = 239,
  sym_preproc_if_in_enumerator_list_no_comma = 240,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 241,
  sym_preproc_else_in_enumerator_list_no_comma = 242,
  sym_preproc_elif_in_enumerator_list_no_comma = 243,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 244,
  sym__preproc_expression = 245,
  sym_preproc_parenthesized_expression = 246,
  sym_preproc_defined = 247,
  sym_preproc_unary_expression = 248,
  sym_preproc_call_expression = 249,
  sym_preproc_argument_list = 250,
  sym_preproc_binary_expression = 251,
  sym_function_definition = 252,
  sym_declaration = 253,
  sym_type_definition = 254,
  sym__type_definition_type = 255,
  sym__type_definition_declarators = 256,
  sym__declaration_modifiers = 257,
  sym__declaration_specifiers = 258,
  sym_linkage_specification = 259,
  sym_attribute_specifier = 260,
  sym_attribute = 261,
  sym_attribute_declaration = 262,
  sym_ms_declspec_modifier = 263,
  sym_ms_based_modifier = 264,
  sym_ms_call_modifier = 265,
  sym_ms_unaligned_ptr_modifier = 266,
  sym_ms_pointer_modifier = 267,
  sym_declaration_list = 268,
  sym__declarator = 269,
  sym__field_declarator = 270,
  sym__type_declarator = 271,
  sym__abstract_declarator = 272,
  sym_parenthesized_declarator = 273,
  sym_parenthesized_field_declarator = 274,
  sym_parenthesized_type_declarator = 275,
  sym_abstract_parenthesized_declarator = 276,
  sym_attributed_declarator = 277,
  sym_attributed_field_declarator = 278,
  sym_attributed_type_declarator = 279,
  sym_pointer_declarator = 280,
  sym_pointer_field_declarator = 281,
  sym_pointer_type_declarator = 282,
  sym_abstract_pointer_declarator = 283,
  sym_function_declarator = 284,
  sym_function_field_declarator = 285,
  sym_function_type_declarator = 286,
  sym_abstract_function_declarator = 287,
  sym_array_declarator = 288,
  sym_array_field_declarator = 289,
  sym_array_type_declarator = 290,
  sym_abstract_array_declarator = 291,
  sym_init_declarator = 292,
  sym_compound_statement = 293,
  sym_storage_class_specifier = 294,
  sym_type_qualifier = 295,
  sym_alignas_qualifier = 296,
  sym_type_specifier = 297,
  sym_sized_type_specifier = 298,
  sym_enum_specifier = 299,
  sym_enumerator_list = 300,
  sym_struct_specifier = 301,
  sym_union_specifier = 302,
  sym_field_declaration_list = 303,
  sym__field_declaration_list_item = 304,
  sym_field_declaration = 305,
  sym_bitfield_clause = 306,
  sym_enumerator = 307,
  sym_parameter_list = 308,
  sym_parameter_declaration = 309,
  sym_attributed_statement = 310,
  sym_statement = 311,
  sym__top_level_statement = 312,
  sym_labeled_statement = 313,
  sym__top_level_expression_statement = 314,
  sym_expression_statement = 315,
  sym_if_statement = 316,
  sym_else_clause = 317,
  sym_switch_statement = 318,
  sym_case_statement = 319,
  sym_while_statement = 320,
  sym_do_statement = 321,
  sym_for_statement = 322,
  sym__for_statement_body = 323,
  sym_return_statement = 324,
  sym_break_statement = 325,
  sym_continue_statement = 326,
  sym_goto_statement = 327,
  sym_seh_try_statement = 328,
  sym_seh_except_clause = 329,
  sym_seh_finally_clause = 330,
  sym_seh_leave_statement = 331,
  sym_expression = 332,
  sym__string = 333,
  sym_comma_expression = 334,
  sym_conditional_expression = 335,
  sym_assignment_expression = 336,
  sym_pointer_expression = 337,
  sym_unary_expression = 338,
  sym_binary_expression = 339,
  sym_update_expression = 340,
  sym_cast_expression = 341,
  sym_type_descriptor = 342,
  sym_sizeof_expression = 343,
  sym_alignof_expression = 344,
  sym_offsetof_expression = 345,
  sym_generic_expression = 346,
  sym_subscript_expression = 347,
  sym_call_expression = 348,
  sym_gnu_asm_expression = 349,
  sym_gnu_asm_qualifier = 350,
  sym_gnu_asm_output_operand_list = 351,
  sym_gnu_asm_output_operand = 352,
  sym_gnu_asm_input_operand_list = 353,
  sym_gnu_asm_input_operand = 354,
  sym_gnu_asm_clobber_list = 355,
  sym_gnu_asm_goto_list = 356,
  sym_extension_expression = 357,
  sym_argument_list = 358,
  sym_field_expression = 359,
  sym_compound_literal_expression = 360,
  sym_parenthesized_expression = 361,
  sym_initializer_list = 362,
  sym_initializer_pair = 363,
  sym_subscript_designator = 364,
  sym_subscript_range_designator = 365,
  sym_field_designator = 366,
  sym_char_literal = 367,
  sym_concatenated_string = 368,
  sym_string_literal = 369,
  sym_null = 370,
  sym__empty_declaration = 371,
  sym_placeholder_type_specifier = 372,
  sym_decltype_auto = 373,
  sym_decltype = 374,
  sym__class_declaration = 375,
  sym__class_declaration_item = 376,
  sym_class_specifier = 377,
  sym__class_name = 378,
  sym_virtual_specifier = 379,
  sym_explicit_function_specifier = 380,
  sym_base_class_clause = 381,
  sym__enum_base_clause = 382,
  sym_dependent_type = 383,
  sym_template_declaration = 384,
  sym_template_instantiation = 385,
  sym_template_parameter_list = 386,
  sym_type_parameter_declaration = 387,
  sym_variadic_type_parameter_declaration = 388,
  sym_optional_type_parameter_declaration = 389,
  sym_template_template_parameter_declaration = 390,
  sym_optional_parameter_declaration = 391,
  sym_variadic_parameter_declaration = 392,
  sym_variadic_declarator = 393,
  sym_variadic_reference_declarator = 394,
  sym_operator_cast = 395,
  sym_field_initializer_list = 396,
  sym_field_initializer = 397,
  sym_inline_method_definition = 398,
  sym__constructor_specifiers = 399,
  sym_operator_cast_definition = 400,
  sym_operator_cast_declaration = 401,
  sym_constructor_try_statement = 402,
  sym_constructor_or_destructor_definition = 403,
  sym_constructor_or_destructor_declaration = 404,
  sym_default_method_clause = 405,
  sym_delete_method_clause = 406,
  sym_pure_virtual_clause = 407,
  sym_friend_declaration = 408,
  sym_access_specifier = 409,
  sym_reference_declarator = 410,
  sym_reference_field_declarator = 411,
  sym_reference_type_declarator = 412,
  sym_abstract_reference_declarator = 413,
  sym_structured_binding_declarator = 414,
  sym_ref_qualifier = 415,
  sym__function_declarator_seq = 416,
  sym__function_attributes_start = 417,
  sym__function_exception_specification = 418,
  sym__function_attributes_end = 419,
  sym__function_postfix = 420,
  sym_trailing_return_type = 421,
  sym_noexcept = 422,
  sym_throw_specifier = 423,
  sym_template_type = 424,
  sym_template_method = 425,
  sym_template_function = 426,
  sym_template_argument_list = 427,
  sym_namespace_definition = 428,
  sym_namespace_alias_definition = 429,
  sym__namespace_specifier = 430,
  sym_nested_namespace_specifier = 431,
  sym_using_declaration = 432,
  sym_alias_declaration = 433,
  sym_static_assert_declaration = 434,
  sym_concept_definition = 435,
  sym_for_range_loop = 436,
  sym__for_range_loop_body = 437,
  sym_init_statement = 438,
  sym_condition_clause = 439,
  sym_condition_declaration = 440,
  sym_co_return_statement = 441,
  sym_co_yield_statement = 442,
  sym_throw_statement = 443,
  sym_try_statement = 444,
  sym_catch_clause = 445,
  sym_raw_string_literal = 446,
  sym_subscript_argument_list = 447,
  sym_co_await_expression = 448,
  sym_new_expression = 449,
  sym_new_declarator = 450,
  sym_delete_expression = 451,
  sym_type_requirement = 452,
  sym_compound_requirement = 453,
  sym__requirement = 454,
  sym_requirement_seq = 455,
  sym_constraint_conjunction = 456,
  sym_constraint_disjunction = 457,
  sym__requirement_clause_constraint = 458,
  sym_requires_clause = 459,
  sym_requires_parameter_list = 460,
  sym_requires_expression = 461,
  sym_lambda_expression = 462,
  sym_lambda_capture_specifier = 463,
  sym_lambda_default_capture = 464,
  sym__fold_operator = 465,
  sym__binary_fold_operator = 466,
  sym__unary_left_fold = 467,
  sym__unary_right_fold = 468,
  sym__binary_fold = 469,
  sym_fold_expression = 470,
  sym_parameter_pack_expansion = 471,
  sym_type_parameter_pack_expansion = 472,
  sym_destructor_name = 473,
  sym_dependent_identifier = 474,
  sym_dependent_field_identifier = 475,
  sym_dependent_type_identifier = 476,
  sym__scope_resolution = 477,
  sym_qualified_field_identifier = 478,
  sym_qualified_identifier = 479,
  sym_qualified_type_identifier = 480,
  sym_qualified_operator_cast_identifier = 481,
  sym__assignment_expression_lhs = 482,
  sym_operator_name = 483,
  sym_user_defined_literal = 484,
  aux_sym_translation_unit_repeat1 = 485,
  aux_sym_preproc_params_repeat1 = 486,
  aux_sym_preproc_if_repeat1 = 487,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 488,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 489,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 490,
  aux_sym_preproc_argument_list_repeat1 = 491,
  aux_sym_declaration_repeat1 = 492,
  aux_sym_type_definition_repeat1 = 493,
  aux_sym__type_definition_type_repeat1 = 494,
  aux_sym__type_definition_declarators_repeat1 = 495,
  aux_sym__declaration_specifiers_repeat1 = 496,
  aux_sym_attribute_declaration_repeat1 = 497,
  aux_sym_attributed_declarator_repeat1 = 498,
  aux_sym_pointer_declarator_repeat1 = 499,
  aux_sym_array_declarator_repeat1 = 500,
  aux_sym_sized_type_specifier_repeat1 = 501,
  aux_sym_enumerator_list_repeat1 = 502,
  aux_sym_field_declaration_repeat1 = 503,
  aux_sym_parameter_list_repeat1 = 504,
  aux_sym_case_statement_repeat1 = 505,
  aux_sym_generic_expression_repeat1 = 506,
  aux_sym_gnu_asm_expression_repeat1 = 507,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 508,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 509,
  aux_sym_gnu_asm_clobber_list_repeat1 = 510,
  aux_sym_gnu_asm_goto_list_repeat1 = 511,
  aux_sym_argument_list_repeat1 = 512,
  aux_sym_initializer_list_repeat1 = 513,
  aux_sym_initializer_pair_repeat1 = 514,
  aux_sym_char_literal_repeat1 = 515,
  aux_sym_concatenated_string_repeat1 = 516,
  aux_sym_string_literal_repeat1 = 517,
  aux_sym__class_declaration_repeat1 = 518,
  aux_sym_base_class_clause_repeat1 = 519,
  aux_sym_template_parameter_list_repeat1 = 520,
  aux_sym_field_initializer_list_repeat1 = 521,
  aux_sym_operator_cast_definition_repeat1 = 522,
  aux_sym_constructor_try_statement_repeat1 = 523,
  aux_sym_structured_binding_declarator_repeat1 = 524,
  aux_sym__function_postfix_repeat1 = 525,
  aux_sym_throw_specifier_repeat1 = 526,
  aux_sym_template_argument_list_repeat1 = 527,
  aux_sym_subscript_argument_list_repeat1 = 528,
  aux_sym_requirement_seq_repeat1 = 529,
  aux_sym_requires_parameter_list_repeat1 = 530,
  aux_sym_lambda_capture_specifier_repeat1 = 531,
  alias_sym_field_identifier = 532,
  alias_sym_namespace_identifier = 533,
  alias_sym_simple_requirement = 534,
  alias_sym_statement_identifier = 535,
  alias_sym_type_identifier = 536,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_virtual] = "virtual",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [aux_sym_pure_virtual_clause_token1] = "pure_virtual_clause_token1",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [aux_sym_pure_virtual_clause_token1] = aux_sym_pure_virtual_clause_token1,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pure_virtual_clause_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 138, .length = 1},
  [94] = {.index = 136, .length = 2},
  [96] = {.index = 139, .length = 2},
  [97] = {.index = 141, .length = 1},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 142, .length = 3},
  [101] = {.index = 145, .length = 2},
  [102] = {.index = 147, .length = 2},
  [103] = {.index = 149, .length = 2},
  [104] = {.index = 151, .length = 3},
  [105] = {.index = 154, .length = 1},
  [106] = {.index = 155, .length = 1},
  [108] = {.index = 156, .length = 3},
  [109] = {.index = 159, .length = 3},
  [110] = {.index = 162, .length = 3},
  [111] = {.index = 165, .length = 3},
  [112] = {.index = 168, .length = 2},
  [113] = {.index = 170, .length = 3},
  [114] = {.index = 173, .length = 3},
  [115] = {.index = 176, .length = 2},
  [116] = {.index = 178, .length = 3},
  [117] = {.index = 181, .length = 2},
  [118] = {.index = 19, .length = 2},
  [119] = {.index = 39, .length = 2},
  [120] = {.index = 183, .length = 2},
  [121] = {.index = 185, .length = 2},
  [122] = {.index = 187, .length = 1},
  [123] = {.index = 188, .length = 4},
  [124] = {.index = 192, .length = 4},
  [125] = {.index = 196, .length = 2},
  [126] = {.index = 198, .length = 3},
  [127] = {.index = 201, .length = 2},
  [128] = {.index = 203, .length = 2},
  [129] = {.index = 205, .length = 1},
  [130] = {.index = 206, .length = 2},
  [131] = {.index = 208, .length = 2},
  [132] = {.index = 210, .length = 3},
  [133] = {.index = 213, .length = 3},
  [134] = {.index = 216, .length = 3},
  [135] = {.index = 219, .length = 2},
  [136] = {.index = 219, .length = 2},
  [137] = {.index = 221, .length = 2},
  [138] = {.index = 221, .length = 2},
  [139] = {.index = 223, .length = 2},
  [140] = {.index = 225, .length = 3},
  [141] = {.index = 228, .length = 2},
  [142] = {.index = 230, .length = 2},
  [143] = {.index = 232, .length = 3},
  [144] = {.index = 235, .length = 2},
  [145] = {.index = 237, .length = 3},
  [146] = {.index = 240, .length = 2},
  [147] = {.index = 242, .length = 1},
  [148] = {.index = 243, .length = 2},
  [149] = {.index = 245, .length = 2},
  [150] = {.index = 247, .length = 4},
  [151] = {.index = 251, .length = 5},
  [152] = {.index = 256, .length = 1},
  [153] = {.index = 257, .length = 1},
  [154] = {.index = 258, .length = 2},
  [155] = {.index = 260, .length = 1},
  [157] = {.index = 261, .length = 1},
  [158] = {.index = 262, .length = 2},
  [159] = {.index = 264, .length = 2},
  [160] = {.index = 11, .length = 1},
  [161] = {.index = 11, .length = 1},
  [162] = {.index = 266, .length = 2},
  [163] = {.index = 268, .length = 1},
  [164] = {.index = 269, .length = 1},
  [165] = {.index = 270, .length = 4},
  [166] = {.index = 274, .length = 2},
  [167] = {.index = 276, .length = 4},
  [168] = {.index = 280, .length = 1},
  [169] = {.index = 281, .length = 3},
  [170] = {.index = 284, .length = 2},
  [171] = {.index = 286, .length = 3},
  [172] = {.index = 289, .length = 1},
  [173] = {.index = 290, .length = 5},
  [174] = {.index = 295, .length = 2},
  [175] = {.index = 297, .length = 2},
  [176] = {.index = 299, .length = 4},
  [177] = {.index = 303, .length = 2},
  [178] = {.index = 305, .length = 3},
  [179] = {.index = 308, .length = 4},
  [180] = {.index = 312, .length = 4},
  [181] = {.index = 316, .length = 3},
  [182] = {.index = 319, .length = 2},
  [183] = {.index = 321, .length = 3},
  [184] = {.index = 324, .length = 3},
  [185] = {.index = 327, .length = 2},
  [186] = {.index = 329, .length = 2},
  [187] = {.index = 331, .length = 2},
  [188] = {.index = 333, .length = 2},
  [189] = {.index = 335, .length = 3},
  [190] = {.index = 338, .length = 2},
  [191] = {.index = 340, .length = 2},
  [192] = {.index = 342, .length = 3},
  [193] = {.index = 345, .length = 2},
  [194] = {.index = 347, .length = 2},
  [195] = {.index = 349, .length = 2},
  [196] = {.index = 351, .length = 4},
  [197] = {.index = 355, .length = 5},
  [198] = {.index = 360, .length = 3},
  [199] = {.index = 363, .length = 4},
  [200] = {.index = 367, .length = 2},
  [201] = {.index = 369, .length = 1},
  [202] = {.index = 370, .length = 4},
  [203] = {.index = 374, .length = 3},
  [204] = {.index = 377, .length = 2},
  [205] = {.index = 379, .length = 1},
  [206] = {.index = 380, .length = 5},
  [207] = {.index = 385, .length = 2},
  [208] = {.index = 387, .length = 2},
  [209] = {.index = 65, .length = 1},
  [210] = {.index = 389, .length = 5},
  [211] = {.index = 394, .length = 4},
  [212] = {.index = 398, .length = 2},
  [213] = {.index = 400, .length = 2},
  [214] = {.index = 402, .length = 5},
  [215] = {.index = 407, .length = 2},
  [216] = {.index = 409, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [176] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [178] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [181] =
    {field_declarator, 0},
    {field_size, 2},
  [183] =
    {field_alternative, 3},
    {field_condition, 0},
  [185] =
    {field_declarator, 0},
    {field_default_value, 2},
  [187] =
    {field_size, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [196] =
    {field_body, 3},
    {field_declarator, 1},
  [198] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [201] =
    {field_alternative, 3},
    {field_condition, 1},
  [203] =
    {field_alternative, 3},
    {field_name, 1},
  [205] =
    {field_operator, 0},
  [206] =
    {field_declarator, 3},
    {field_type, 1},
  [208] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [210] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [213] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [219] =
    {field_body, 4},
    {field_name, 3},
  [221] =
    {field_designator, 0},
    {field_value, 2},
  [223] =
    {field_name, 0},
    {field_value, 2},
  [225] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [228] =
    {field_body, 3},
    {field_name, 0},
  [230] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [232] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [235] =
    {field_initializer, 1},
    {field_value, 2},
  [237] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [240] =
    {field_body, 1},
    {field_condition, 3},
  [242] =
    {field_update, 2},
  [243] =
    {field_initializer, 0},
    {field_update, 2},
  [245] =
    {field_condition, 1},
    {field_initializer, 0},
  [247] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [251] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [256] =
    {field_value, 3},
  [257] =
    {field_operand, 1},
  [258] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [260] =
    {field_assembly_code, 3},
  [261] =
    {field_default_type, 2},
  [262] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [264] =
    {field_body, 2},
    {field_parameters, 1},
  [266] =
    {field_name, 1},
    {field_type, 3},
  [268] =
    {field_condition, 2},
  [269] =
    {field_length, 1},
  [270] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [274] =
    {field_declarator, 1},
    {field_declarator, 2},
  [276] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [280] =
    {field_declarator, 4},
  [281] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [284] =
    {field_declarator, 0},
    {field_size, 3},
  [286] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [289] =
    {field_size, 2},
  [290] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [295] =
    {field_declarator, 1},
    {field_default_value, 3},
  [297] =
    {field_alternative, 4},
    {field_condition, 1},
  [299] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [303] =
    {field_body, 2},
    {field_filter, 1},
  [305] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [308] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [312] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [316] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [319] =
    {field_condition, 1},
    {field_update, 3},
  [321] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [324] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [327] =
    {field_initializer, 0},
    {field_update, 3},
  [329] =
    {field_condition, 2},
    {field_initializer, 0},
  [331] =
    {field_member, 4},
    {field_type, 2},
  [333] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [335] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [338] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [340] =
    {field_default_type, 3},
    {field_name, 1},
  [342] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [345] =
    {field_name, 1},
    {field_type, 4},
  [347] =
    {field_end, 3},
    {field_start, 1},
  [349] =
    {field_declarator, 1},
    {field_default_value, 2},
  [351] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [355] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [360] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [363] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [367] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [369] =
    {field_register, 1},
  [370] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [374] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [377] =
    {field_condition, 2},
    {field_message, 4},
  [379] =
    {field_delimiter, 1},
  [380] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [385] =
    {field_constraint, 0},
    {field_value, 2},
  [387] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [389] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [394] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [398] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [400] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [402] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [407] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [409] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [95] = {
    [1] = alias_sym_field_identifier,
  },
  [98] = {
    [1] = alias_sym_type_identifier,
  },
  [100] = {
    [0] = alias_sym_field_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [0] = alias_sym_field_identifier,
  },
  [119] = {
    [1] = alias_sym_field_identifier,
  },
  [135] = {
    [3] = alias_sym_namespace_identifier,
  },
  [137] = {
    [0] = alias_sym_field_identifier,
  },
  [156] = {
    [2] = alias_sym_type_identifier,
  },
  [160] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [161] = {
    [1] = alias_sym_namespace_identifier,
  },
  [162] = {
    [1] = alias_sym_type_identifier,
  },
  [187] = {
    [4] = alias_sym_field_identifier,
  },
  [191] = {
    [1] = alias_sym_type_identifier,
  },
  [193] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 15,
  [20] = 20,
  [21] = 21,
  [22] = 18,
  [23] = 18,
  [24] = 18,
  [25] = 21,
  [26] = 15,
  [27] = 13,
  [28] = 15,
  [29] = 21,
  [30] = 13,
  [31] = 21,
  [32] = 13,
  [33] = 33,
  [34] = 33,
  [35] = 35,
  [36] = 36,
  [37] = 35,
  [38] = 33,
  [39] = 39,
  [40] = 40,
  [41] = 40,
  [42] = 40,
  [43] = 39,
  [44] = 39,
  [45] = 35,
  [46] = 35,
  [47] = 36,
  [48] = 35,
  [49] = 35,
  [50] = 35,
  [51] = 36,
  [52] = 36,
  [53] = 35,
  [54] = 36,
  [55] = 35,
  [56] = 36,
  [57] = 35,
  [58] = 36,
  [59] = 40,
  [60] = 36,
  [61] = 36,
  [62] = 36,
  [63] = 63,
  [64] = 35,
  [65] = 36,
  [66] = 35,
  [67] = 36,
  [68] = 68,
  [69] = 36,
  [70] = 35,
  [71] = 36,
  [72] = 35,
  [73] = 35,
  [74] = 36,
  [75] = 35,
  [76] = 39,
  [77] = 36,
  [78] = 35,
  [79] = 36,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 85,
  [88] = 82,
  [89] = 83,
  [90] = 84,
  [91] = 85,
  [92] = 85,
  [93] = 86,
  [94] = 83,
  [95] = 82,
  [96] = 84,
  [97] = 83,
  [98] = 86,
  [99] = 82,
  [100] = 86,
  [101] = 84,
  [102] = 102,
  [103] = 103,
  [104] = 103,
  [105] = 83,
  [106] = 85,
  [107] = 82,
  [108] = 103,
  [109] = 103,
  [110] = 103,
  [111] = 86,
  [112] = 84,
  [113] = 103,
  [114] = 114,
  [115] = 114,
  [116] = 114,
  [117] = 114,
  [118] = 118,
  [119] = 118,
  [120] = 114,
  [121] = 118,
  [122] = 114,
  [123] = 123,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 127,
  [128] = 124,
  [129] = 124,
  [130] = 124,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 132,
  [136] = 136,
  [137] = 136,
  [138] = 138,
  [139] = 136,
  [140] = 136,
  [141] = 138,
  [142] = 138,
  [143] = 136,
  [144] = 138,
  [145] = 136,
  [146] = 138,
  [147] = 136,
  [148] = 136,
  [149] = 138,
  [150] = 136,
  [151] = 138,
  [152] = 138,
  [153] = 136,
  [154] = 136,
  [155] = 136,
  [156] = 138,
  [157] = 138,
  [158] = 136,
  [159] = 138,
  [160] = 138,
  [161] = 138,
  [162] = 162,
  [163] = 162,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 167,
  [169] = 169,
  [170] = 165,
  [171] = 165,
  [172] = 172,
  [173] = 162,
  [174] = 174,
  [175] = 172,
  [176] = 132,
  [177] = 174,
  [178] = 164,
  [179] = 162,
  [180] = 132,
  [181] = 166,
  [182] = 164,
  [183] = 172,
  [184] = 169,
  [185] = 185,
  [186] = 174,
  [187] = 185,
  [188] = 165,
  [189] = 166,
  [190] = 185,
  [191] = 167,
  [192] = 169,
  [193] = 167,
  [194] = 167,
  [195] = 165,
  [196] = 185,
  [197] = 172,
  [198] = 167,
  [199] = 174,
  [200] = 169,
  [201] = 162,
  [202] = 166,
  [203] = 166,
  [204] = 164,
  [205] = 162,
  [206] = 169,
  [207] = 174,
  [208] = 172,
  [209] = 169,
  [210] = 174,
  [211] = 185,
  [212] = 164,
  [213] = 166,
  [214] = 172,
  [215] = 164,
  [216] = 165,
  [217] = 132,
  [218] = 132,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 222,
  [224] = 222,
  [225] = 222,
  [226] = 132,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 133,
  [231] = 134,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 234,
  [237] = 234,
  [238] = 238,
  [239] = 234,
  [240] = 240,
  [241] = 234,
  [242] = 234,
  [243] = 243,
  [244] = 244,
  [245] = 234,
  [246] = 234,
  [247] = 234,
  [248] = 234,
  [249] = 234,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 234,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 234,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 234,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 234,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 234,
  [286] = 286,
  [287] = 234,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 219,
  [319] = 319,
  [320] = 220,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 220,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 219,
  [334] = 334,
  [335] = 335,
  [336] = 220,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 298,
  [349] = 349,
  [350] = 350,
  [351] = 219,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 374,
  [377] = 371,
  [378] = 378,
  [379] = 374,
  [380] = 372,
  [381] = 222,
  [382] = 227,
  [383] = 383,
  [384] = 373,
  [385] = 372,
  [386] = 371,
  [387] = 373,
  [388] = 221,
  [389] = 389,
  [390] = 378,
  [391] = 222,
  [392] = 222,
  [393] = 227,
  [394] = 221,
  [395] = 222,
  [396] = 378,
  [397] = 373,
  [398] = 373,
  [399] = 399,
  [400] = 222,
  [401] = 373,
  [402] = 222,
  [403] = 133,
  [404] = 232,
  [405] = 134,
  [406] = 228,
  [407] = 133,
  [408] = 229,
  [409] = 232,
  [410] = 228,
  [411] = 232,
  [412] = 134,
  [413] = 229,
  [414] = 228,
  [415] = 415,
  [416] = 415,
  [417] = 229,
  [418] = 283,
  [419] = 254,
  [420] = 267,
  [421] = 271,
  [422] = 283,
  [423] = 279,
  [424] = 269,
  [425] = 286,
  [426] = 282,
  [427] = 270,
  [428] = 256,
  [429] = 277,
  [430] = 259,
  [431] = 233,
  [432] = 268,
  [433] = 274,
  [434] = 273,
  [435] = 268,
  [436] = 275,
  [437] = 284,
  [438] = 283,
  [439] = 253,
  [440] = 278,
  [441] = 279,
  [442] = 275,
  [443] = 244,
  [444] = 263,
  [445] = 238,
  [446] = 233,
  [447] = 278,
  [448] = 277,
  [449] = 252,
  [450] = 253,
  [451] = 250,
  [452] = 258,
  [453] = 258,
  [454] = 258,
  [455] = 282,
  [456] = 275,
  [457] = 250,
  [458] = 281,
  [459] = 238,
  [460] = 263,
  [461] = 278,
  [462] = 286,
  [463] = 260,
  [464] = 265,
  [465] = 254,
  [466] = 281,
  [467] = 279,
  [468] = 251,
  [469] = 253,
  [470] = 256,
  [471] = 238,
  [472] = 262,
  [473] = 254,
  [474] = 284,
  [475] = 265,
  [476] = 271,
  [477] = 262,
  [478] = 273,
  [479] = 274,
  [480] = 240,
  [481] = 243,
  [482] = 276,
  [483] = 257,
  [484] = 250,
  [485] = 284,
  [486] = 260,
  [487] = 264,
  [488] = 240,
  [489] = 243,
  [490] = 276,
  [491] = 235,
  [492] = 268,
  [493] = 252,
  [494] = 267,
  [495] = 265,
  [496] = 272,
  [497] = 269,
  [498] = 281,
  [499] = 264,
  [500] = 274,
  [501] = 251,
  [502] = 235,
  [503] = 267,
  [504] = 259,
  [505] = 270,
  [506] = 251,
  [507] = 259,
  [508] = 263,
  [509] = 233,
  [510] = 257,
  [511] = 260,
  [512] = 244,
  [513] = 286,
  [514] = 282,
  [515] = 270,
  [516] = 257,
  [517] = 276,
  [518] = 243,
  [519] = 240,
  [520] = 272,
  [521] = 277,
  [522] = 262,
  [523] = 252,
  [524] = 256,
  [525] = 244,
  [526] = 271,
  [527] = 272,
  [528] = 273,
  [529] = 264,
  [530] = 235,
  [531] = 269,
  [532] = 251,
  [533] = 301,
  [534] = 337,
  [535] = 323,
  [536] = 340,
  [537] = 354,
  [538] = 339,
  [539] = 334,
  [540] = 343,
  [541] = 325,
  [542] = 310,
  [543] = 341,
  [544] = 332,
  [545] = 299,
  [546] = 296,
  [547] = 295,
  [548] = 290,
  [549] = 316,
  [550] = 345,
  [551] = 294,
  [552] = 292,
  [553] = 306,
  [554] = 340,
  [555] = 291,
  [556] = 221,
  [557] = 364,
  [558] = 358,
  [559] = 289,
  [560] = 344,
  [561] = 328,
  [562] = 306,
  [563] = 313,
  [564] = 330,
  [565] = 309,
  [566] = 331,
  [567] = 361,
  [568] = 335,
  [569] = 297,
  [570] = 312,
  [571] = 321,
  [572] = 357,
  [573] = 369,
  [574] = 347,
  [575] = 315,
  [576] = 323,
  [577] = 300,
  [578] = 301,
  [579] = 308,
  [580] = 313,
  [581] = 302,
  [582] = 227,
  [583] = 346,
  [584] = 307,
  [585] = 322,
  [586] = 367,
  [587] = 358,
  [588] = 369,
  [589] = 363,
  [590] = 349,
  [591] = 317,
  [592] = 329,
  [593] = 316,
  [594] = 342,
  [595] = 289,
  [596] = 366,
  [597] = 297,
  [598] = 319,
  [599] = 356,
  [600] = 354,
  [601] = 293,
  [602] = 309,
  [603] = 324,
  [604] = 359,
  [605] = 370,
  [606] = 334,
  [607] = 344,
  [608] = 365,
  [609] = 360,
  [610] = 326,
  [611] = 331,
  [612] = 332,
  [613] = 366,
  [614] = 335,
  [615] = 365,
  [616] = 362,
  [617] = 325,
  [618] = 362,
  [619] = 329,
  [620] = 361,
  [621] = 307,
  [622] = 347,
  [623] = 357,
  [624] = 367,
  [625] = 321,
  [626] = 312,
  [627] = 310,
  [628] = 364,
  [629] = 360,
  [630] = 343,
  [631] = 353,
  [632] = 352,
  [633] = 322,
  [634] = 355,
  [635] = 349,
  [636] = 317,
  [637] = 326,
  [638] = 353,
  [639] = 319,
  [640] = 359,
  [641] = 311,
  [642] = 304,
  [643] = 352,
  [644] = 644,
  [645] = 305,
  [646] = 303,
  [647] = 305,
  [648] = 363,
  [649] = 356,
  [650] = 346,
  [651] = 304,
  [652] = 342,
  [653] = 339,
  [654] = 337,
  [655] = 330,
  [656] = 315,
  [657] = 302,
  [658] = 328,
  [659] = 314,
  [660] = 341,
  [661] = 300,
  [662] = 355,
  [663] = 299,
  [664] = 324,
  [665] = 296,
  [666] = 345,
  [667] = 303,
  [668] = 290,
  [669] = 293,
  [670] = 370,
  [671] = 311,
  [672] = 295,
  [673] = 308,
  [674] = 294,
  [675] = 291,
  [676] = 292,
  [677] = 314,
  [678] = 323,
  [679] = 316,
  [680] = 132,
  [681] = 337,
  [682] = 314,
  [683] = 342,
  [684] = 302,
  [685] = 370,
  [686] = 359,
  [687] = 358,
  [688] = 341,
  [689] = 354,
  [690] = 308,
  [691] = 340,
  [692] = 306,
  [693] = 313,
  [694] = 289,
  [695] = 322,
  [696] = 331,
  [697] = 367,
  [698] = 698,
  [699] = 326,
  [700] = 297,
  [701] = 344,
  [702] = 347,
  [703] = 357,
  [704] = 330,
  [705] = 356,
  [706] = 349,
  [707] = 329,
  [708] = 328,
  [709] = 132,
  [710] = 307,
  [711] = 339,
  [712] = 311,
  [713] = 334,
  [714] = 299,
  [715] = 346,
  [716] = 345,
  [717] = 291,
  [718] = 321,
  [719] = 290,
  [720] = 309,
  [721] = 301,
  [722] = 312,
  [723] = 310,
  [724] = 332,
  [725] = 343,
  [726] = 293,
  [727] = 364,
  [728] = 363,
  [729] = 369,
  [730] = 317,
  [731] = 292,
  [732] = 315,
  [733] = 300,
  [734] = 352,
  [735] = 353,
  [736] = 360,
  [737] = 324,
  [738] = 361,
  [739] = 362,
  [740] = 294,
  [741] = 325,
  [742] = 319,
  [743] = 743,
  [744] = 295,
  [745] = 305,
  [746] = 355,
  [747] = 365,
  [748] = 366,
  [749] = 304,
  [750] = 296,
  [751] = 335,
  [752] = 752,
  [753] = 132,
  [754] = 754,
  [755] = 752,
  [756] = 754,
  [757] = 754,
  [758] = 752,
  [759] = 752,
  [760] = 752,
  [761] = 754,
  [762] = 752,
  [763] = 752,
  [764] = 754,
  [765] = 754,
  [766] = 766,
  [767] = 754,
  [768] = 644,
  [769] = 754,
  [770] = 754,
  [771] = 752,
  [772] = 644,
  [773] = 773,
  [774] = 752,
  [775] = 754,
  [776] = 752,
  [777] = 132,
  [778] = 132,
  [779] = 132,
  [780] = 780,
  [781] = 415,
  [782] = 782,
  [783] = 415,
  [784] = 782,
  [785] = 415,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 788,
  [790] = 788,
  [791] = 788,
  [792] = 788,
  [793] = 788,
  [794] = 788,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 796,
  [799] = 799,
  [800] = 799,
  [801] = 796,
  [802] = 802,
  [803] = 803,
  [804] = 799,
  [805] = 805,
  [806] = 803,
  [807] = 795,
  [808] = 796,
  [809] = 797,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 799,
  [815] = 805,
  [816] = 816,
  [817] = 816,
  [818] = 816,
  [819] = 816,
  [820] = 816,
  [821] = 816,
  [822] = 816,
  [823] = 415,
  [824] = 824,
  [825] = 415,
  [826] = 415,
  [827] = 219,
  [828] = 220,
  [829] = 829,
  [830] = 830,
  [831] = 830,
  [832] = 830,
  [833] = 833,
  [834] = 232,
  [835] = 229,
  [836] = 228,
  [837] = 837,
  [838] = 134,
  [839] = 133,
  [840] = 837,
  [841] = 275,
  [842] = 268,
  [843] = 267,
  [844] = 286,
  [845] = 282,
  [846] = 787,
  [847] = 281,
  [848] = 260,
  [849] = 256,
  [850] = 262,
  [851] = 259,
  [852] = 244,
  [853] = 277,
  [854] = 257,
  [855] = 240,
  [856] = 243,
  [857] = 250,
  [858] = 276,
  [859] = 263,
  [860] = 252,
  [861] = 265,
  [862] = 786,
  [863] = 253,
  [864] = 233,
  [865] = 254,
  [866] = 274,
  [867] = 278,
  [868] = 273,
  [869] = 235,
  [870] = 269,
  [871] = 264,
  [872] = 824,
  [873] = 258,
  [874] = 284,
  [875] = 283,
  [876] = 279,
  [877] = 270,
  [878] = 238,
  [879] = 272,
  [880] = 271,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 883,
  [886] = 883,
  [887] = 883,
  [888] = 888,
  [889] = 889,
  [890] = 889,
  [891] = 889,
  [892] = 888,
  [893] = 883,
  [894] = 888,
  [895] = 889,
  [896] = 883,
  [897] = 889,
  [898] = 888,
  [899] = 883,
  [900] = 883,
  [901] = 889,
  [902] = 902,
  [903] = 888,
  [904] = 889,
  [905] = 889,
  [906] = 889,
  [907] = 883,
  [908] = 888,
  [909] = 909,
  [910] = 910,
  [911] = 902,
  [912] = 910,
  [913] = 909,
  [914] = 909,
  [915] = 902,
  [916] = 916,
  [917] = 910,
  [918] = 909,
  [919] = 910,
  [920] = 909,
  [921] = 910,
  [922] = 902,
  [923] = 902,
  [924] = 916,
  [925] = 910,
  [926] = 902,
  [927] = 909,
  [928] = 928,
  [929] = 916,
  [930] = 930,
  [931] = 931,
  [932] = 930,
  [933] = 933,
  [934] = 931,
  [935] = 930,
  [936] = 930,
  [937] = 930,
  [938] = 938,
  [939] = 931,
  [940] = 931,
  [941] = 941,
  [942] = 931,
  [943] = 941,
  [944] = 931,
  [945] = 930,
  [946] = 933,
  [947] = 930,
  [948] = 941,
  [949] = 933,
  [950] = 941,
  [951] = 930,
  [952] = 931,
  [953] = 941,
  [954] = 930,
  [955] = 955,
  [956] = 956,
  [957] = 955,
  [958] = 958,
  [959] = 959,
  [960] = 956,
  [961] = 955,
  [962] = 962,
  [963] = 962,
  [964] = 956,
  [965] = 962,
  [966] = 966,
  [967] = 967,
  [968] = 956,
  [969] = 969,
  [970] = 958,
  [971] = 955,
  [972] = 972,
  [973] = 958,
  [974] = 962,
  [975] = 955,
  [976] = 955,
  [977] = 958,
  [978] = 958,
  [979] = 979,
  [980] = 956,
  [981] = 955,
  [982] = 955,
  [983] = 958,
  [984] = 955,
  [985] = 962,
  [986] = 962,
  [987] = 987,
  [988] = 956,
  [989] = 958,
  [990] = 990,
  [991] = 962,
  [992] = 956,
  [993] = 958,
  [994] = 994,
  [995] = 956,
  [996] = 956,
  [997] = 997,
  [998] = 955,
  [999] = 999,
  [1000] = 1000,
  [1001] = 962,
  [1002] = 1002,
  [1003] = 955,
  [1004] = 962,
  [1005] = 962,
  [1006] = 958,
  [1007] = 1007,
  [1008] = 958,
  [1009] = 955,
  [1010] = 959,
  [1011] = 1011,
  [1012] = 962,
  [1013] = 956,
  [1014] = 1014,
  [1015] = 956,
  [1016] = 959,
  [1017] = 962,
  [1018] = 958,
  [1019] = 956,
  [1020] = 955,
  [1021] = 962,
  [1022] = 1022,
  [1023] = 958,
  [1024] = 958,
  [1025] = 956,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1031,
  [1033] = 1033,
  [1034] = 1031,
  [1035] = 1035,
  [1036] = 1028,
  [1037] = 1037,
  [1038] = 1028,
  [1039] = 1031,
  [1040] = 1031,
  [1041] = 1029,
  [1042] = 1031,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1029,
  [1046] = 1031,
  [1047] = 1031,
  [1048] = 1048,
  [1049] = 1029,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1031,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1029,
  [1057] = 1029,
  [1058] = 1028,
  [1059] = 1029,
  [1060] = 1029,
  [1061] = 1061,
  [1062] = 1029,
  [1063] = 1028,
  [1064] = 1064,
  [1065] = 1028,
  [1066] = 1066,
  [1067] = 1029,
  [1068] = 1029,
  [1069] = 1029,
  [1070] = 1029,
  [1071] = 1031,
  [1072] = 1028,
  [1073] = 1031,
  [1074] = 1031,
  [1075] = 1031,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1076,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1081,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1078,
  [1094] = 1092,
  [1095] = 1091,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1087,
  [1101] = 1080,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1102,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1107,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1090,
  [1112] = 1077,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1110,
  [1117] = 1117,
  [1118] = 1102,
  [1119] = 1119,
  [1120] = 1087,
  [1121] = 1121,
  [1122] = 1102,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1087,
  [1126] = 1126,
  [1127] = 1090,
  [1128] = 1078,
  [1129] = 1106,
  [1130] = 1113,
  [1131] = 1078,
  [1132] = 1132,
  [1133] = 1090,
  [1134] = 1088,
  [1135] = 1102,
  [1136] = 1078,
  [1137] = 1098,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1089,
  [1141] = 1102,
  [1142] = 1078,
  [1143] = 1086,
  [1144] = 1144,
  [1145] = 1078,
  [1146] = 1096,
  [1147] = 1139,
  [1148] = 1138,
  [1149] = 1102,
  [1150] = 1083,
  [1151] = 1102,
  [1152] = 1102,
  [1153] = 1085,
  [1154] = 1097,
  [1155] = 1086,
  [1156] = 1078,
  [1157] = 1157,
  [1158] = 1121,
  [1159] = 1087,
  [1160] = 1099,
  [1161] = 1103,
  [1162] = 1090,
  [1163] = 1157,
  [1164] = 1078,
  [1165] = 1132,
  [1166] = 1102,
  [1167] = 1078,
  [1168] = 1126,
  [1169] = 1157,
  [1170] = 1124,
  [1171] = 1123,
  [1172] = 1086,
  [1173] = 1173,
  [1174] = 1119,
  [1175] = 1157,
  [1176] = 1117,
  [1177] = 1115,
  [1178] = 1078,
  [1179] = 1114,
  [1180] = 1078,
  [1181] = 1081,
  [1182] = 1078,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1187,
  [1189] = 1187,
  [1190] = 1190,
  [1191] = 1187,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1192,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1187,
  [1200] = 1200,
  [1201] = 1186,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1192,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1204,
  [1209] = 1184,
  [1210] = 1193,
  [1211] = 1202,
  [1212] = 1186,
  [1213] = 1194,
  [1214] = 1195,
  [1215] = 1183,
  [1216] = 1197,
  [1217] = 1198,
  [1218] = 1204,
  [1219] = 1219,
  [1220] = 1207,
  [1221] = 1200,
  [1222] = 1222,
  [1223] = 1203,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1206,
  [1228] = 1184,
  [1229] = 1226,
  [1230] = 1186,
  [1231] = 1202,
  [1232] = 1190,
  [1233] = 1233,
  [1234] = 1226,
  [1235] = 1222,
  [1236] = 1202,
  [1237] = 1226,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1219,
  [1242] = 1204,
  [1243] = 1224,
  [1244] = 1224,
  [1245] = 1202,
  [1246] = 1184,
  [1247] = 1206,
  [1248] = 1225,
  [1249] = 1233,
  [1250] = 1203,
  [1251] = 1186,
  [1252] = 1200,
  [1253] = 1198,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1185,
  [1257] = 1204,
  [1258] = 1184,
  [1259] = 1219,
  [1260] = 1197,
  [1261] = 1207,
  [1262] = 1206,
  [1263] = 1225,
  [1264] = 1183,
  [1265] = 1195,
  [1266] = 1219,
  [1267] = 1267,
  [1268] = 1203,
  [1269] = 1207,
  [1270] = 1200,
  [1271] = 1198,
  [1272] = 1192,
  [1273] = 1204,
  [1274] = 1274,
  [1275] = 1197,
  [1276] = 1224,
  [1277] = 1183,
  [1278] = 1195,
  [1279] = 1184,
  [1280] = 1194,
  [1281] = 1193,
  [1282] = 1207,
  [1283] = 1186,
  [1284] = 1192,
  [1285] = 1193,
  [1286] = 1202,
  [1287] = 1287,
  [1288] = 1194,
  [1289] = 1206,
  [1290] = 1225,
  [1291] = 1193,
  [1292] = 1203,
  [1293] = 1194,
  [1294] = 1195,
  [1295] = 1183,
  [1296] = 1200,
  [1297] = 1198,
  [1298] = 1197,
  [1299] = 1197,
  [1300] = 1198,
  [1301] = 1200,
  [1302] = 1183,
  [1303] = 1204,
  [1304] = 1195,
  [1305] = 1195,
  [1306] = 1203,
  [1307] = 1183,
  [1308] = 1225,
  [1309] = 1226,
  [1310] = 1206,
  [1311] = 1197,
  [1312] = 1198,
  [1313] = 1219,
  [1314] = 1314,
  [1315] = 1226,
  [1316] = 1193,
  [1317] = 1193,
  [1318] = 1207,
  [1319] = 1200,
  [1320] = 1192,
  [1321] = 1190,
  [1322] = 1192,
  [1323] = 1192,
  [1324] = 1190,
  [1325] = 1190,
  [1326] = 1326,
  [1327] = 1224,
  [1328] = 1203,
  [1329] = 1225,
  [1330] = 1206,
  [1331] = 1204,
  [1332] = 1326,
  [1333] = 1274,
  [1334] = 1207,
  [1335] = 1204,
  [1336] = 1186,
  [1337] = 1287,
  [1338] = 1184,
  [1339] = 1202,
  [1340] = 1184,
  [1341] = 1206,
  [1342] = 1326,
  [1343] = 1226,
  [1344] = 1255,
  [1345] = 1254,
  [1346] = 1326,
  [1347] = 1326,
  [1348] = 1194,
  [1349] = 1194,
  [1350] = 1226,
  [1351] = 1219,
  [1352] = 1187,
  [1353] = 1185,
  [1354] = 1219,
  [1355] = 1225,
  [1356] = 1203,
  [1357] = 1224,
  [1358] = 1224,
  [1359] = 1200,
  [1360] = 1224,
  [1361] = 1204,
  [1362] = 1204,
  [1363] = 1224,
  [1364] = 1326,
  [1365] = 1240,
  [1366] = 1326,
  [1367] = 1224,
  [1368] = 1193,
  [1369] = 1194,
  [1370] = 1195,
  [1371] = 1183,
  [1372] = 1197,
  [1373] = 1198,
  [1374] = 1200,
  [1375] = 1203,
  [1376] = 1192,
  [1377] = 1193,
  [1378] = 1378,
  [1379] = 1239,
  [1380] = 1194,
  [1381] = 1381,
  [1382] = 1207,
  [1383] = 1206,
  [1384] = 1184,
  [1385] = 1381,
  [1386] = 1198,
  [1387] = 1195,
  [1388] = 1186,
  [1389] = 1224,
  [1390] = 1202,
  [1391] = 1197,
  [1392] = 1226,
  [1393] = 1393,
  [1394] = 1183,
  [1395] = 1197,
  [1396] = 1198,
  [1397] = 1397,
  [1398] = 1200,
  [1399] = 1219,
  [1400] = 1184,
  [1401] = 1183,
  [1402] = 1204,
  [1403] = 1203,
  [1404] = 1225,
  [1405] = 1186,
  [1406] = 1202,
  [1407] = 1239,
  [1408] = 1207,
  [1409] = 1206,
  [1410] = 1219,
  [1411] = 1225,
  [1412] = 1202,
  [1413] = 1314,
  [1414] = 1186,
  [1415] = 1239,
  [1416] = 1381,
  [1417] = 1274,
  [1418] = 1314,
  [1419] = 1240,
  [1420] = 1207,
  [1421] = 1239,
  [1422] = 1381,
  [1423] = 1423,
  [1424] = 1195,
  [1425] = 1186,
  [1426] = 1274,
  [1427] = 1219,
  [1428] = 1226,
  [1429] = 1202,
  [1430] = 1206,
  [1431] = 1225,
  [1432] = 1203,
  [1433] = 1200,
  [1434] = 1198,
  [1435] = 1197,
  [1436] = 1183,
  [1437] = 1195,
  [1438] = 1194,
  [1439] = 1193,
  [1440] = 1440,
  [1441] = 1314,
  [1442] = 1240,
  [1443] = 1443,
  [1444] = 1184,
  [1445] = 1192,
  [1446] = 1184,
  [1447] = 1219,
  [1448] = 1206,
  [1449] = 1226,
  [1450] = 1194,
  [1451] = 1219,
  [1452] = 1226,
  [1453] = 1225,
  [1454] = 1203,
  [1455] = 1200,
  [1456] = 1219,
  [1457] = 1198,
  [1458] = 1226,
  [1459] = 1314,
  [1460] = 1197,
  [1461] = 1183,
  [1462] = 1314,
  [1463] = 1195,
  [1464] = 1194,
  [1465] = 1193,
  [1466] = 1239,
  [1467] = 1193,
  [1468] = 1381,
  [1469] = 1240,
  [1470] = 1224,
  [1471] = 1225,
  [1472] = 1233,
  [1473] = 1222,
  [1474] = 1474,
  [1475] = 1233,
  [1476] = 1204,
  [1477] = 1222,
  [1478] = 1202,
  [1479] = 1192,
  [1480] = 1186,
  [1481] = 1207,
  [1482] = 1274,
  [1483] = 1314,
  [1484] = 1240,
  [1485] = 1207,
  [1486] = 1239,
  [1487] = 1193,
  [1488] = 1192,
  [1489] = 1192,
  [1490] = 1194,
  [1491] = 1190,
  [1492] = 1195,
  [1493] = 1393,
  [1494] = 1183,
  [1495] = 1197,
  [1496] = 1198,
  [1497] = 1207,
  [1498] = 1200,
  [1499] = 1381,
  [1500] = 1186,
  [1501] = 1203,
  [1502] = 1502,
  [1503] = 1202,
  [1504] = 1225,
  [1505] = 1206,
  [1506] = 1184,
  [1507] = 1224,
  [1508] = 1508,
  [1509] = 1222,
  [1510] = 1381,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1233,
  [1514] = 1514,
  [1515] = 1274,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1525,
  [1527] = 1527,
  [1528] = 306,
  [1529] = 360,
  [1530] = 1530,
  [1531] = 1530,
  [1532] = 1530,
  [1533] = 1520,
  [1534] = 1530,
  [1535] = 1520,
  [1536] = 1536,
  [1537] = 1524,
  [1538] = 1518,
  [1539] = 1524,
  [1540] = 1520,
  [1541] = 1521,
  [1542] = 1522,
  [1543] = 1517,
  [1544] = 1519,
  [1545] = 1523,
  [1546] = 1516,
  [1547] = 916,
  [1548] = 1518,
  [1549] = 1521,
  [1550] = 1522,
  [1551] = 1516,
  [1552] = 916,
  [1553] = 1517,
  [1554] = 1519,
  [1555] = 1523,
  [1556] = 1524,
  [1557] = 916,
  [1558] = 1522,
  [1559] = 1523,
  [1560] = 1521,
  [1561] = 1516,
  [1562] = 1519,
  [1563] = 1524,
  [1564] = 1517,
  [1565] = 1518,
  [1566] = 1518,
  [1567] = 1523,
  [1568] = 1521,
  [1569] = 1516,
  [1570] = 1522,
  [1571] = 1517,
  [1572] = 1519,
  [1573] = 1524,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1575,
  [1577] = 1575,
  [1578] = 1575,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1580,
  [1583] = 1583,
  [1584] = 1581,
  [1585] = 1581,
  [1586] = 1586,
  [1587] = 1580,
  [1588] = 1581,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1581,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1581,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1580,
  [1601] = 1580,
  [1602] = 1580,
  [1603] = 1580,
  [1604] = 1604,
  [1605] = 1581,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1608,
  [1610] = 1524,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1519,
  [1614] = 1523,
  [1615] = 1516,
  [1616] = 1522,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1517,
  [1624] = 1524,
  [1625] = 1518,
  [1626] = 1521,
  [1627] = 1521,
  [1628] = 1628,
  [1629] = 1523,
  [1630] = 220,
  [1631] = 227,
  [1632] = 219,
  [1633] = 221,
  [1634] = 1516,
  [1635] = 1517,
  [1636] = 1518,
  [1637] = 1519,
  [1638] = 1522,
  [1639] = 1520,
  [1640] = 1640,
  [1641] = 1524,
  [1642] = 1640,
  [1643] = 1640,
  [1644] = 1640,
  [1645] = 1645,
  [1646] = 133,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 134,
  [1651] = 251,
  [1652] = 251,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 228,
  [1656] = 1520,
  [1657] = 1657,
  [1658] = 311,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 359,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 324,
  [1666] = 1517,
  [1667] = 323,
  [1668] = 1657,
  [1669] = 1669,
  [1670] = 309,
  [1671] = 1671,
  [1672] = 293,
  [1673] = 1673,
  [1674] = 307,
  [1675] = 319,
  [1676] = 1520,
  [1677] = 1677,
  [1678] = 1518,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 281,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 332,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1657,
  [1692] = 1692,
  [1693] = 329,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 316,
  [1697] = 354,
  [1698] = 1661,
  [1699] = 1521,
  [1700] = 1519,
  [1701] = 1524,
  [1702] = 273,
  [1703] = 369,
  [1704] = 274,
  [1705] = 366,
  [1706] = 1661,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 365,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 362,
  [1717] = 361,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 306,
  [1721] = 252,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 299,
  [1725] = 296,
  [1726] = 308,
  [1727] = 295,
  [1728] = 341,
  [1729] = 257,
  [1730] = 1730,
  [1731] = 340,
  [1732] = 1732,
  [1733] = 337,
  [1734] = 343,
  [1735] = 339,
  [1736] = 1736,
  [1737] = 364,
  [1738] = 294,
  [1739] = 310,
  [1740] = 1740,
  [1741] = 312,
  [1742] = 321,
  [1743] = 292,
  [1744] = 357,
  [1745] = 347,
  [1746] = 1746,
  [1747] = 291,
  [1748] = 272,
  [1749] = 1749,
  [1750] = 271,
  [1751] = 1751,
  [1752] = 1522,
  [1753] = 1516,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 370,
  [1758] = 1758,
  [1759] = 1611,
  [1760] = 1657,
  [1761] = 360,
  [1762] = 1523,
  [1763] = 253,
  [1764] = 278,
  [1765] = 1617,
  [1766] = 270,
  [1767] = 1657,
  [1768] = 1768,
  [1769] = 1657,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1661,
  [1773] = 290,
  [1774] = 345,
  [1775] = 328,
  [1776] = 330,
  [1777] = 342,
  [1778] = 335,
  [1779] = 356,
  [1780] = 1657,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 220,
  [1787] = 227,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1520,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 219,
  [1801] = 227,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1574,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1758,
  [1818] = 1818,
  [1819] = 1768,
  [1820] = 219,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 221,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 221,
  [1828] = 220,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1524,
  [1834] = 1834,
  [1835] = 1796,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1524,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1845,
  [1848] = 1845,
  [1849] = 1849,
  [1850] = 1574,
  [1851] = 251,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1845,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1740,
  [1859] = 133,
  [1860] = 1860,
  [1861] = 1617,
  [1862] = 251,
  [1863] = 1722,
  [1864] = 134,
  [1865] = 1845,
  [1866] = 1866,
  [1867] = 1845,
  [1868] = 1868,
  [1869] = 228,
  [1870] = 1870,
  [1871] = 1860,
  [1872] = 1872,
  [1873] = 133,
  [1874] = 251,
  [1875] = 1857,
  [1876] = 1876,
  [1877] = 134,
  [1878] = 1611,
  [1879] = 228,
  [1880] = 1714,
  [1881] = 1677,
  [1882] = 1882,
  [1883] = 1857,
  [1884] = 1845,
  [1885] = 251,
  [1886] = 1843,
  [1887] = 354,
  [1888] = 1708,
  [1889] = 354,
  [1890] = 370,
  [1891] = 321,
  [1892] = 1660,
  [1893] = 291,
  [1894] = 292,
  [1895] = 1663,
  [1896] = 1664,
  [1897] = 294,
  [1898] = 1898,
  [1899] = 1755,
  [1900] = 1712,
  [1901] = 1622,
  [1902] = 295,
  [1903] = 345,
  [1904] = 1770,
  [1905] = 330,
  [1906] = 1611,
  [1907] = 1751,
  [1908] = 1611,
  [1909] = 1749,
  [1910] = 1746,
  [1911] = 308,
  [1912] = 1736,
  [1913] = 299,
  [1914] = 1732,
  [1915] = 328,
  [1916] = 1711,
  [1917] = 273,
  [1918] = 274,
  [1919] = 359,
  [1920] = 1611,
  [1921] = 324,
  [1922] = 335,
  [1923] = 1771,
  [1924] = 345,
  [1925] = 290,
  [1926] = 1926,
  [1927] = 787,
  [1928] = 370,
  [1929] = 343,
  [1930] = 328,
  [1931] = 309,
  [1932] = 362,
  [1933] = 316,
  [1934] = 290,
  [1935] = 293,
  [1936] = 291,
  [1937] = 319,
  [1938] = 332,
  [1939] = 296,
  [1940] = 342,
  [1941] = 364,
  [1942] = 1713,
  [1943] = 1659,
  [1944] = 292,
  [1945] = 310,
  [1946] = 312,
  [1947] = 299,
  [1948] = 294,
  [1949] = 329,
  [1950] = 1834,
  [1951] = 357,
  [1952] = 347,
  [1953] = 1618,
  [1954] = 356,
  [1955] = 356,
  [1956] = 339,
  [1957] = 273,
  [1958] = 281,
  [1959] = 274,
  [1960] = 337,
  [1961] = 306,
  [1962] = 369,
  [1963] = 329,
  [1964] = 307,
  [1965] = 1898,
  [1966] = 1710,
  [1967] = 360,
  [1968] = 1715,
  [1969] = 1671,
  [1970] = 1719,
  [1971] = 1680,
  [1972] = 1682,
  [1973] = 1683,
  [1974] = 1684,
  [1975] = 1689,
  [1976] = 309,
  [1977] = 1844,
  [1978] = 278,
  [1979] = 252,
  [1980] = 1685,
  [1981] = 1686,
  [1982] = 1687,
  [1983] = 1755,
  [1984] = 1689,
  [1985] = 1712,
  [1986] = 253,
  [1987] = 347,
  [1988] = 306,
  [1989] = 1771,
  [1990] = 357,
  [1991] = 339,
  [1992] = 1707,
  [1993] = 321,
  [1994] = 312,
  [1995] = 310,
  [1996] = 1770,
  [1997] = 281,
  [1998] = 1695,
  [1999] = 278,
  [2000] = 252,
  [2001] = 1618,
  [2002] = 369,
  [2003] = 1687,
  [2004] = 1751,
  [2005] = 1749,
  [2006] = 1621,
  [2007] = 1746,
  [2008] = 253,
  [2009] = 296,
  [2010] = 1694,
  [2011] = 1686,
  [2012] = 364,
  [2013] = 1692,
  [2014] = 1690,
  [2015] = 359,
  [2016] = 324,
  [2017] = 1684,
  [2018] = 340,
  [2019] = 1664,
  [2020] = 341,
  [2021] = 2021,
  [2022] = 293,
  [2023] = 307,
  [2024] = 1683,
  [2025] = 1663,
  [2026] = 1660,
  [2027] = 323,
  [2028] = 316,
  [2029] = 1682,
  [2030] = 1736,
  [2031] = 1679,
  [2032] = 1732,
  [2033] = 335,
  [2034] = 1711,
  [2035] = 343,
  [2036] = 1680,
  [2037] = 1926,
  [2038] = 1671,
  [2039] = 340,
  [2040] = 341,
  [2041] = 257,
  [2042] = 1710,
  [2043] = 319,
  [2044] = 1708,
  [2045] = 1754,
  [2046] = 337,
  [2047] = 1756,
  [2048] = 1898,
  [2049] = 1707,
  [2050] = 1695,
  [2051] = 270,
  [2052] = 308,
  [2053] = 1694,
  [2054] = 1756,
  [2055] = 1621,
  [2056] = 271,
  [2057] = 1692,
  [2058] = 786,
  [2059] = 311,
  [2060] = 1690,
  [2061] = 1679,
  [2062] = 270,
  [2063] = 295,
  [2064] = 271,
  [2065] = 272,
  [2066] = 272,
  [2067] = 366,
  [2068] = 365,
  [2069] = 1926,
  [2070] = 1842,
  [2071] = 1898,
  [2072] = 1685,
  [2073] = 1673,
  [2074] = 361,
  [2075] = 2075,
  [2076] = 257,
  [2077] = 365,
  [2078] = 2078,
  [2079] = 360,
  [2080] = 1659,
  [2081] = 1898,
  [2082] = 2082,
  [2083] = 1715,
  [2084] = 311,
  [2085] = 332,
  [2086] = 342,
  [2087] = 1926,
  [2088] = 1898,
  [2089] = 366,
  [2090] = 1713,
  [2091] = 362,
  [2092] = 330,
  [2093] = 2082,
  [2094] = 1754,
  [2095] = 1622,
  [2096] = 323,
  [2097] = 1719,
  [2098] = 361,
  [2099] = 1611,
  [2100] = 2100,
  [2101] = 1830,
  [2102] = 2102,
  [2103] = 1677,
  [2104] = 1854,
  [2105] = 1852,
  [2106] = 1723,
  [2107] = 2107,
  [2108] = 1618,
  [2109] = 1829,
  [2110] = 2110,
  [2111] = 1830,
  [2112] = 1611,
  [2113] = 1834,
  [2114] = 1714,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 1852,
  [2118] = 1647,
  [2119] = 1722,
  [2120] = 1611,
  [2121] = 1830,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 1622,
  [2125] = 2125,
  [2126] = 1829,
  [2127] = 1730,
  [2128] = 1621,
  [2129] = 2129,
  [2130] = 1611,
  [2131] = 1617,
  [2132] = 2075,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2123,
  [2136] = 1740,
  [2137] = 1653,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 1654,
  [2142] = 2142,
  [2143] = 1854,
  [2144] = 1718,
  [2145] = 1611,
  [2146] = 1649,
  [2147] = 2147,
  [2148] = 1829,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 1831,
  [2152] = 2152,
  [2153] = 1781,
  [2154] = 1814,
  [2155] = 1816,
  [2156] = 1826,
  [2157] = 1868,
  [2158] = 1799,
  [2159] = 1785,
  [2160] = 1802,
  [2161] = 1846,
  [2162] = 2078,
  [2163] = 2163,
  [2164] = 1854,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 1837,
  [2171] = 1790,
  [2172] = 1794,
  [2173] = 1804,
  [2174] = 133,
  [2175] = 1805,
  [2176] = 1806,
  [2177] = 1807,
  [2178] = 2178,
  [2179] = 1791,
  [2180] = 1852,
  [2181] = 2181,
  [2182] = 1784,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 1740,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 1677,
  [2189] = 1843,
  [2190] = 1866,
  [2191] = 1872,
  [2192] = 1815,
  [2193] = 1714,
  [2194] = 1793,
  [2195] = 1803,
  [2196] = 1722,
  [2197] = 1808,
  [2198] = 1813,
  [2199] = 1832,
  [2200] = 1834,
  [2201] = 2021,
  [2202] = 1882,
  [2203] = 1870,
  [2204] = 1843,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 1796,
  [2209] = 1792,
  [2210] = 1517,
  [2211] = 1617,
  [2212] = 1797,
  [2213] = 1825,
  [2214] = 1520,
  [2215] = 1810,
  [2216] = 1812,
  [2217] = 2217,
  [2218] = 1811,
  [2219] = 1789,
  [2220] = 1783,
  [2221] = 1782,
  [2222] = 1876,
  [2223] = 1798,
  [2224] = 134,
  [2225] = 1818,
  [2226] = 1518,
  [2227] = 1788,
  [2228] = 1521,
  [2229] = 1821,
  [2230] = 1822,
  [2231] = 1523,
  [2232] = 1824,
  [2233] = 1519,
  [2234] = 2234,
  [2235] = 1516,
  [2236] = 1522,
  [2237] = 1876,
  [2238] = 2139,
  [2239] = 2115,
  [2240] = 2122,
  [2241] = 1870,
  [2242] = 1647,
  [2243] = 1618,
  [2244] = 1843,
  [2245] = 2245,
  [2246] = 1622,
  [2247] = 2247,
  [2248] = 1524,
  [2249] = 2100,
  [2250] = 1654,
  [2251] = 1649,
  [2252] = 1866,
  [2253] = 1673,
  [2254] = 1846,
  [2255] = 2255,
  [2256] = 2110,
  [2257] = 1872,
  [2258] = 2147,
  [2259] = 1868,
  [2260] = 1647,
  [2261] = 1654,
  [2262] = 1876,
  [2263] = 1846,
  [2264] = 1649,
  [2265] = 1856,
  [2266] = 1653,
  [2267] = 1870,
  [2268] = 1856,
  [2269] = 1621,
  [2270] = 1882,
  [2271] = 2149,
  [2272] = 2133,
  [2273] = 1868,
  [2274] = 1882,
  [2275] = 2275,
  [2276] = 2134,
  [2277] = 2129,
  [2278] = 2278,
  [2279] = 2140,
  [2280] = 1653,
  [2281] = 1872,
  [2282] = 2282,
  [2283] = 2138,
  [2284] = 1866,
  [2285] = 2285,
  [2286] = 1654,
  [2287] = 786,
  [2288] = 1718,
  [2289] = 2289,
  [2290] = 1647,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 1647,
  [2295] = 2295,
  [2296] = 1654,
  [2297] = 1647,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 1856,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 1649,
  [2304] = 2304,
  [2305] = 1723,
  [2306] = 2306,
  [2307] = 1617,
  [2308] = 1649,
  [2309] = 787,
  [2310] = 1829,
  [2311] = 1653,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2075,
  [2317] = 2317,
  [2318] = 1653,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 1673,
  [2322] = 2322,
  [2323] = 1654,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 1649,
  [2327] = 1653,
  [2328] = 1730,
  [2329] = 2329,
  [2330] = 1830,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 1812,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2075,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 1673,
  [2341] = 1781,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 1832,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 1589,
  [2351] = 1579,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 1604,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 1653,
  [2359] = 1793,
  [2360] = 1792,
  [2361] = 1673,
  [2362] = 1789,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 1788,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 1803,
  [2376] = 2376,
  [2377] = 1590,
  [2378] = 133,
  [2379] = 2178,
  [2380] = 1598,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 1597,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 1599,
  [2389] = 2166,
  [2390] = 1649,
  [2391] = 1647,
  [2392] = 1831,
  [2393] = 1783,
  [2394] = 134,
  [2395] = 2395,
  [2396] = 1811,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 1654,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 1617,
  [2404] = 1814,
  [2405] = 1813,
  [2406] = 1808,
  [2407] = 2407,
  [2408] = 1794,
  [2409] = 1785,
  [2410] = 1826,
  [2411] = 2411,
  [2412] = 1816,
  [2413] = 1606,
  [2414] = 1586,
  [2415] = 1607,
  [2416] = 2416,
  [2417] = 1810,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 1782,
  [2422] = 2422,
  [2423] = 1818,
  [2424] = 2424,
  [2425] = 1797,
  [2426] = 1821,
  [2427] = 1822,
  [2428] = 1815,
  [2429] = 1824,
  [2430] = 1830,
  [2431] = 2431,
  [2432] = 1583,
  [2433] = 1596,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 1825,
  [2437] = 1807,
  [2438] = 1593,
  [2439] = 1591,
  [2440] = 1594,
  [2441] = 1806,
  [2442] = 1805,
  [2443] = 1804,
  [2444] = 2444,
  [2445] = 1802,
  [2446] = 1799,
  [2447] = 1798,
  [2448] = 2075,
  [2449] = 1791,
  [2450] = 1790,
  [2451] = 1829,
  [2452] = 1784,
  [2453] = 1843,
  [2454] = 2123,
  [2455] = 2282,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2275,
  [2459] = 2459,
  [2460] = 1722,
  [2461] = 1677,
  [2462] = 2462,
  [2463] = 1829,
  [2464] = 1844,
  [2465] = 2465,
  [2466] = 1866,
  [2467] = 1872,
  [2468] = 2468,
  [2469] = 1647,
  [2470] = 1621,
  [2471] = 1882,
  [2472] = 1654,
  [2473] = 2473,
  [2474] = 1870,
  [2475] = 1517,
  [2476] = 1518,
  [2477] = 1519,
  [2478] = 1844,
  [2479] = 1740,
  [2480] = 1846,
  [2481] = 1649,
  [2482] = 1653,
  [2483] = 1868,
  [2484] = 1830,
  [2485] = 1618,
  [2486] = 1876,
  [2487] = 1522,
  [2488] = 1516,
  [2489] = 2123,
  [2490] = 1523,
  [2491] = 1842,
  [2492] = 1521,
  [2493] = 1842,
  [2494] = 2078,
  [2495] = 1622,
  [2496] = 1714,
  [2497] = 2021,
  [2498] = 1574,
  [2499] = 1519,
  [2500] = 1518,
  [2501] = 1876,
  [2502] = 1870,
  [2503] = 1844,
  [2504] = 1649,
  [2505] = 2129,
  [2506] = 1882,
  [2507] = 2275,
  [2508] = 2075,
  [2509] = 2133,
  [2510] = 1617,
  [2511] = 1740,
  [2512] = 1673,
  [2513] = 2115,
  [2514] = 1574,
  [2515] = 1830,
  [2516] = 2122,
  [2517] = 1523,
  [2518] = 1677,
  [2519] = 2140,
  [2520] = 1834,
  [2521] = 1516,
  [2522] = 1522,
  [2523] = 1872,
  [2524] = 1866,
  [2525] = 1517,
  [2526] = 2149,
  [2527] = 2110,
  [2528] = 1846,
  [2529] = 1876,
  [2530] = 2138,
  [2531] = 1617,
  [2532] = 2282,
  [2533] = 1829,
  [2534] = 1856,
  [2535] = 1842,
  [2536] = 1868,
  [2537] = 1846,
  [2538] = 2100,
  [2539] = 1866,
  [2540] = 1714,
  [2541] = 1870,
  [2542] = 1653,
  [2543] = 2147,
  [2544] = 1868,
  [2545] = 1872,
  [2546] = 1654,
  [2547] = 1722,
  [2548] = 1521,
  [2549] = 1882,
  [2550] = 2134,
  [2551] = 1647,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2139,
  [2555] = 1838,
  [2556] = 1814,
  [2557] = 1718,
  [2558] = 1784,
  [2559] = 1856,
  [2560] = 269,
  [2561] = 2561,
  [2562] = 1574,
  [2563] = 2275,
  [2564] = 1804,
  [2565] = 2565,
  [2566] = 1740,
  [2567] = 1834,
  [2568] = 2568,
  [2569] = 2123,
  [2570] = 1798,
  [2571] = 2568,
  [2572] = 1740,
  [2573] = 1521,
  [2574] = 1723,
  [2575] = 2568,
  [2576] = 1794,
  [2577] = 2282,
  [2578] = 1841,
  [2579] = 1722,
  [2580] = 1714,
  [2581] = 1523,
  [2582] = 1796,
  [2583] = 1834,
  [2584] = 1516,
  [2585] = 1522,
  [2586] = 1839,
  [2587] = 1519,
  [2588] = 1574,
  [2589] = 1677,
  [2590] = 2568,
  [2591] = 1518,
  [2592] = 233,
  [2593] = 1574,
  [2594] = 2594,
  [2595] = 1856,
  [2596] = 1517,
  [2597] = 1677,
  [2598] = 1836,
  [2599] = 1722,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 1824,
  [2603] = 1714,
  [2604] = 1730,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 1876,
  [2608] = 2552,
  [2609] = 1796,
  [2610] = 1868,
  [2611] = 1821,
  [2612] = 1654,
  [2613] = 1822,
  [2614] = 1803,
  [2615] = 2615,
  [2616] = 1831,
  [2617] = 2553,
  [2618] = 1846,
  [2619] = 2552,
  [2620] = 2078,
  [2621] = 1866,
  [2622] = 1818,
  [2623] = 1758,
  [2624] = 1872,
  [2625] = 1782,
  [2626] = 2626,
  [2627] = 1797,
  [2628] = 1834,
  [2629] = 2606,
  [2630] = 1882,
  [2631] = 1649,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 1838,
  [2636] = 2636,
  [2637] = 1839,
  [2638] = 2638,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 1815,
  [2643] = 1653,
  [2644] = 1836,
  [2645] = 1844,
  [2646] = 2646,
  [2647] = 1802,
  [2648] = 2648,
  [2649] = 1841,
  [2650] = 2650,
  [2651] = 1813,
  [2652] = 1811,
  [2653] = 1781,
  [2654] = 2021,
  [2655] = 1825,
  [2656] = 2656,
  [2657] = 2606,
  [2658] = 1808,
  [2659] = 1805,
  [2660] = 1806,
  [2661] = 1870,
  [2662] = 1832,
  [2663] = 2663,
  [2664] = 2553,
  [2665] = 1788,
  [2666] = 1807,
  [2667] = 2606,
  [2668] = 1789,
  [2669] = 1799,
  [2670] = 1837,
  [2671] = 2671,
  [2672] = 1792,
  [2673] = 1785,
  [2674] = 1826,
  [2675] = 1842,
  [2676] = 2676,
  [2677] = 1810,
  [2678] = 1793,
  [2679] = 1816,
  [2680] = 2606,
  [2681] = 1574,
  [2682] = 1783,
  [2683] = 1812,
  [2684] = 2606,
  [2685] = 2606,
  [2686] = 1647,
  [2687] = 2687,
  [2688] = 1791,
  [2689] = 1790,
  [2690] = 2690,
  [2691] = 1516,
  [2692] = 2078,
  [2693] = 2147,
  [2694] = 2100,
  [2695] = 2690,
  [2696] = 1524,
  [2697] = 2078,
  [2698] = 2133,
  [2699] = 2699,
  [2700] = 1517,
  [2701] = 1518,
  [2702] = 1519,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2400,
  [2706] = 2129,
  [2707] = 1522,
  [2708] = 2140,
  [2709] = 2115,
  [2710] = 2110,
  [2711] = 2134,
  [2712] = 1677,
  [2713] = 2416,
  [2714] = 1837,
  [2715] = 2704,
  [2716] = 1714,
  [2717] = 2703,
  [2718] = 2703,
  [2719] = 2282,
  [2720] = 2703,
  [2721] = 2138,
  [2722] = 2704,
  [2723] = 1523,
  [2724] = 2704,
  [2725] = 2703,
  [2726] = 1521,
  [2727] = 2149,
  [2728] = 2139,
  [2729] = 2411,
  [2730] = 2703,
  [2731] = 1722,
  [2732] = 2418,
  [2733] = 2419,
  [2734] = 2420,
  [2735] = 2704,
  [2736] = 2422,
  [2737] = 2424,
  [2738] = 2021,
  [2739] = 2122,
  [2740] = 2348,
  [2741] = 2552,
  [2742] = 2275,
  [2743] = 2703,
  [2744] = 2021,
  [2745] = 1740,
  [2746] = 2553,
  [2747] = 2704,
  [2748] = 2459,
  [2749] = 2075,
  [2750] = 2704,
  [2751] = 1856,
  [2752] = 2752,
  [2753] = 2636,
  [2754] = 2638,
  [2755] = 2755,
  [2756] = 2634,
  [2757] = 2639,
  [2758] = 2650,
  [2759] = 2640,
  [2760] = 2760,
  [2761] = 2641,
  [2762] = 2646,
  [2763] = 2656,
  [2764] = 1841,
  [2765] = 2765,
  [2766] = 2342,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2768,
  [2770] = 2760,
  [2771] = 2632,
  [2772] = 2687,
  [2773] = 2116,
  [2774] = 2671,
  [2775] = 2775,
  [2776] = 2767,
  [2777] = 2139,
  [2778] = 1836,
  [2779] = 2755,
  [2780] = 2767,
  [2781] = 2767,
  [2782] = 2767,
  [2783] = 2768,
  [2784] = 1784,
  [2785] = 2768,
  [2786] = 2138,
  [2787] = 2663,
  [2788] = 2100,
  [2789] = 2125,
  [2790] = 2147,
  [2791] = 1798,
  [2792] = 2690,
  [2793] = 2767,
  [2794] = 2615,
  [2795] = 1794,
  [2796] = 2768,
  [2797] = 1839,
  [2798] = 1814,
  [2799] = 2140,
  [2800] = 2765,
  [2801] = 2129,
  [2802] = 1834,
  [2803] = 2755,
  [2804] = 2110,
  [2805] = 1804,
  [2806] = 2107,
  [2807] = 2752,
  [2808] = 2605,
  [2809] = 2115,
  [2810] = 1838,
  [2811] = 1829,
  [2812] = 2123,
  [2813] = 2755,
  [2814] = 2142,
  [2815] = 2765,
  [2816] = 2765,
  [2817] = 2676,
  [2818] = 2755,
  [2819] = 2699,
  [2820] = 2755,
  [2821] = 1718,
  [2822] = 2822,
  [2823] = 2633,
  [2824] = 2134,
  [2825] = 1520,
  [2826] = 2648,
  [2827] = 2690,
  [2828] = 1730,
  [2829] = 2102,
  [2830] = 1524,
  [2831] = 1824,
  [2832] = 2765,
  [2833] = 1520,
  [2834] = 1830,
  [2835] = 1723,
  [2836] = 2760,
  [2837] = 2765,
  [2838] = 1834,
  [2839] = 2768,
  [2840] = 2122,
  [2841] = 2133,
  [2842] = 2149,
  [2843] = 1844,
  [2844] = 1805,
  [2845] = 1781,
  [2846] = 1825,
  [2847] = 1788,
  [2848] = 1822,
  [2849] = 1821,
  [2850] = 1730,
  [2851] = 2122,
  [2852] = 1818,
  [2853] = 2125,
  [2854] = 1815,
  [2855] = 2149,
  [2856] = 2856,
  [2857] = 2690,
  [2858] = 2690,
  [2859] = 1718,
  [2860] = 1797,
  [2861] = 1782,
  [2862] = 1811,
  [2863] = 2116,
  [2864] = 1816,
  [2865] = 1826,
  [2866] = 1810,
  [2867] = 2152,
  [2868] = 2147,
  [2869] = 1785,
  [2870] = 2100,
  [2871] = 2856,
  [2872] = 2690,
  [2873] = 1524,
  [2874] = 1842,
  [2875] = 1808,
  [2876] = 1813,
  [2877] = 2234,
  [2878] = 2856,
  [2879] = 2115,
  [2880] = 2021,
  [2881] = 1789,
  [2882] = 2102,
  [2883] = 2690,
  [2884] = 2884,
  [2885] = 2690,
  [2886] = 1796,
  [2887] = 1783,
  [2888] = 1843,
  [2889] = 2078,
  [2890] = 1832,
  [2891] = 1831,
  [2892] = 2133,
  [2893] = 2690,
  [2894] = 1837,
  [2895] = 2134,
  [2896] = 2129,
  [2897] = 2856,
  [2898] = 2140,
  [2899] = 1812,
  [2900] = 1814,
  [2901] = 2138,
  [2902] = 2139,
  [2903] = 2205,
  [2904] = 2107,
  [2905] = 2169,
  [2906] = 1723,
  [2907] = 2142,
  [2908] = 2690,
  [2909] = 1807,
  [2910] = 2856,
  [2911] = 2217,
  [2912] = 1792,
  [2913] = 1790,
  [2914] = 1791,
  [2915] = 1803,
  [2916] = 1524,
  [2917] = 1794,
  [2918] = 2690,
  [2919] = 1784,
  [2920] = 1520,
  [2921] = 2110,
  [2922] = 1799,
  [2923] = 2181,
  [2924] = 1824,
  [2925] = 1793,
  [2926] = 1802,
  [2927] = 1804,
  [2928] = 1798,
  [2929] = 2856,
  [2930] = 1806,
  [2931] = 2140,
  [2932] = 2633,
  [2933] = 1822,
  [2934] = 1790,
  [2935] = 2935,
  [2936] = 1791,
  [2937] = 1821,
  [2938] = 1882,
  [2939] = 2205,
  [2940] = 1799,
  [2941] = 1802,
  [2942] = 2319,
  [2943] = 1818,
  [2944] = 2605,
  [2945] = 1782,
  [2946] = 1803,
  [2947] = 1811,
  [2948] = 1810,
  [2949] = 2292,
  [2950] = 2950,
  [2951] = 2292,
  [2952] = 2314,
  [2953] = 2671,
  [2954] = 1837,
  [2955] = 2633,
  [2956] = 2956,
  [2957] = 2234,
  [2958] = 1815,
  [2959] = 1797,
  [2960] = 2282,
  [2961] = 2123,
  [2962] = 2285,
  [2963] = 2295,
  [2964] = 1816,
  [2965] = 1805,
  [2966] = 1788,
  [2967] = 1789,
  [2968] = 2690,
  [2969] = 2656,
  [2970] = 1826,
  [2971] = 2292,
  [2972] = 2634,
  [2973] = 1520,
  [2974] = 1785,
  [2975] = 2690,
  [2976] = 2320,
  [2977] = 2671,
  [2978] = 2636,
  [2979] = 1806,
  [2980] = 2676,
  [2981] = 2638,
  [2982] = 2639,
  [2983] = 2640,
  [2984] = 2110,
  [2985] = 2650,
  [2986] = 1807,
  [2987] = 2676,
  [2988] = 2690,
  [2989] = 1812,
  [2990] = 2115,
  [2991] = 2615,
  [2992] = 2641,
  [2993] = 1837,
  [2994] = 2646,
  [2995] = 2289,
  [2996] = 1673,
  [2997] = 1792,
  [2998] = 1808,
  [2999] = 2320,
  [3000] = 1793,
  [3001] = 1796,
  [3002] = 2149,
  [3003] = 2687,
  [3004] = 2152,
  [3005] = 3005,
  [3006] = 2641,
  [3007] = 2293,
  [3008] = 2690,
  [3009] = 2634,
  [3010] = 1524,
  [3011] = 1825,
  [3012] = 1846,
  [3013] = 1868,
  [3014] = 3005,
  [3015] = 2648,
  [3016] = 2632,
  [3017] = 1768,
  [3018] = 2636,
  [3019] = 3005,
  [3020] = 1813,
  [3021] = 3005,
  [3022] = 2615,
  [3023] = 2605,
  [3024] = 2648,
  [3025] = 2292,
  [3026] = 2663,
  [3027] = 2950,
  [3028] = 2638,
  [3029] = 2217,
  [3030] = 2134,
  [3031] = 2462,
  [3032] = 2639,
  [3033] = 2275,
  [3034] = 2133,
  [3035] = 2169,
  [3036] = 1783,
  [3037] = 2139,
  [3038] = 2138,
  [3039] = 2640,
  [3040] = 2956,
  [3041] = 3005,
  [3042] = 3005,
  [3043] = 2292,
  [3044] = 2129,
  [3045] = 1831,
  [3046] = 2181,
  [3047] = 2247,
  [3048] = 2950,
  [3049] = 1876,
  [3050] = 2322,
  [3051] = 2646,
  [3052] = 2956,
  [3053] = 2656,
  [3054] = 3005,
  [3055] = 1843,
  [3056] = 2950,
  [3057] = 3057,
  [3058] = 2663,
  [3059] = 2245,
  [3060] = 1866,
  [3061] = 2650,
  [3062] = 2278,
  [3063] = 1832,
  [3064] = 1781,
  [3065] = 2100,
  [3066] = 1856,
  [3067] = 2147,
  [3068] = 3068,
  [3069] = 2632,
  [3070] = 1872,
  [3071] = 2122,
  [3072] = 2687,
  [3073] = 1870,
  [3074] = 2671,
  [3075] = 2646,
  [3076] = 3076,
  [3077] = 2656,
  [3078] = 2075,
  [3079] = 3079,
  [3080] = 1798,
  [3081] = 2699,
  [3082] = 2322,
  [3083] = 1730,
  [3084] = 1524,
  [3085] = 1804,
  [3086] = 2671,
  [3087] = 1784,
  [3088] = 2690,
  [3089] = 2285,
  [3090] = 2295,
  [3091] = 2676,
  [3092] = 2424,
  [3093] = 2690,
  [3094] = 2292,
  [3095] = 2422,
  [3096] = 787,
  [3097] = 3097,
  [3098] = 787,
  [3099] = 2699,
  [3100] = 2420,
  [3101] = 3079,
  [3102] = 2289,
  [3103] = 2419,
  [3104] = 2207,
  [3105] = 2292,
  [3106] = 2245,
  [3107] = 2339,
  [3108] = 2314,
  [3109] = 1844,
  [3110] = 2418,
  [3111] = 3111,
  [3112] = 2416,
  [3113] = 2641,
  [3114] = 2247,
  [3115] = 2319,
  [3116] = 2640,
  [3117] = 2632,
  [3118] = 1794,
  [3119] = 1622,
  [3120] = 3120,
  [3121] = 3120,
  [3122] = 2168,
  [3123] = 2187,
  [3124] = 2639,
  [3125] = 2638,
  [3126] = 1814,
  [3127] = 2186,
  [3128] = 2633,
  [3129] = 1824,
  [3130] = 786,
  [3131] = 2636,
  [3132] = 2332,
  [3133] = 2355,
  [3134] = 2150,
  [3135] = 2184,
  [3136] = 3120,
  [3137] = 2167,
  [3138] = 2255,
  [3139] = 2165,
  [3140] = 1673,
  [3141] = 2293,
  [3142] = 1621,
  [3143] = 3079,
  [3144] = 2663,
  [3145] = 2634,
  [3146] = 2314,
  [3147] = 3079,
  [3148] = 2292,
  [3149] = 2278,
  [3150] = 3079,
  [3151] = 2634,
  [3152] = 2636,
  [3153] = 3153,
  [3154] = 2638,
  [3155] = 2293,
  [3156] = 2615,
  [3157] = 2322,
  [3158] = 2339,
  [3159] = 2370,
  [3160] = 1718,
  [3161] = 2183,
  [3162] = 2633,
  [3163] = 3079,
  [3164] = 3079,
  [3165] = 2331,
  [3166] = 2329,
  [3167] = 2411,
  [3168] = 2639,
  [3169] = 786,
  [3170] = 2285,
  [3171] = 2295,
  [3172] = 3076,
  [3173] = 2206,
  [3174] = 2687,
  [3175] = 2370,
  [3176] = 3079,
  [3177] = 2640,
  [3178] = 2676,
  [3179] = 1618,
  [3180] = 2289,
  [3181] = 1842,
  [3182] = 2315,
  [3183] = 2626,
  [3184] = 2752,
  [3185] = 2641,
  [3186] = 2646,
  [3187] = 2605,
  [3188] = 2656,
  [3189] = 1723,
  [3190] = 2650,
  [3191] = 2163,
  [3192] = 2355,
  [3193] = 2320,
  [3194] = 2687,
  [3195] = 3079,
  [3196] = 2632,
  [3197] = 2935,
  [3198] = 2319,
  [3199] = 2615,
  [3200] = 2752,
  [3201] = 2648,
  [3202] = 2648,
  [3203] = 2650,
  [3204] = 2605,
  [3205] = 2663,
  [3206] = 2775,
  [3207] = 2342,
  [3208] = 2424,
  [3209] = 1799,
  [3210] = 1583,
  [3211] = 1596,
  [3212] = 2435,
  [3213] = 1781,
  [3214] = 2206,
  [3215] = 2444,
  [3216] = 1579,
  [3217] = 1832,
  [3218] = 2456,
  [3219] = 1604,
  [3220] = 3220,
  [3221] = 2339,
  [3222] = 2317,
  [3223] = 1594,
  [3224] = 2457,
  [3225] = 2342,
  [3226] = 2184,
  [3227] = 1591,
  [3228] = 2186,
  [3229] = 1593,
  [3230] = 2187,
  [3231] = 2325,
  [3232] = 1837,
  [3233] = 2123,
  [3234] = 2342,
  [3235] = 134,
  [3236] = 2329,
  [3237] = 134,
  [3238] = 2255,
  [3239] = 1586,
  [3240] = 2299,
  [3241] = 2332,
  [3242] = 2431,
  [3243] = 1793,
  [3244] = 1792,
  [3245] = 2382,
  [3246] = 1789,
  [3247] = 1788,
  [3248] = 2381,
  [3249] = 2407,
  [3250] = 2395,
  [3251] = 2334,
  [3252] = 2166,
  [3253] = 1599,
  [3254] = 2366,
  [3255] = 1607,
  [3256] = 1621,
  [3257] = 2353,
  [3258] = 2345,
  [3259] = 2304,
  [3260] = 2352,
  [3261] = 1606,
  [3262] = 2459,
  [3263] = 2347,
  [3264] = 1830,
  [3265] = 2320,
  [3266] = 2292,
  [3267] = 2434,
  [3268] = 2312,
  [3269] = 2313,
  [3270] = 3270,
  [3271] = 1649,
  [3272] = 2376,
  [3273] = 1803,
  [3274] = 2374,
  [3275] = 2123,
  [3276] = 1829,
  [3277] = 2292,
  [3278] = 1654,
  [3279] = 1796,
  [3280] = 2373,
  [3281] = 2416,
  [3282] = 2168,
  [3283] = 2418,
  [3284] = 2419,
  [3285] = 2420,
  [3286] = 1599,
  [3287] = 2422,
  [3288] = 2150,
  [3289] = 2275,
  [3290] = 2167,
  [3291] = 1597,
  [3292] = 2372,
  [3293] = 2165,
  [3294] = 786,
  [3295] = 1844,
  [3296] = 1598,
  [3297] = 1842,
  [3298] = 2337,
  [3299] = 2282,
  [3300] = 2370,
  [3301] = 1606,
  [3302] = 1590,
  [3303] = 2402,
  [3304] = 1607,
  [3305] = 2371,
  [3306] = 1586,
  [3307] = 2343,
  [3308] = 2342,
  [3309] = 2344,
  [3310] = 2468,
  [3311] = 133,
  [3312] = 2369,
  [3313] = 1589,
  [3314] = 2752,
  [3315] = 2163,
  [3316] = 133,
  [3317] = 1813,
  [3318] = 1808,
  [3319] = 3319,
  [3320] = 2207,
  [3321] = 2368,
  [3322] = 1785,
  [3323] = 1826,
  [3324] = 1816,
  [3325] = 3325,
  [3326] = 2331,
  [3327] = 1797,
  [3328] = 787,
  [3329] = 1815,
  [3330] = 2335,
  [3331] = 3331,
  [3332] = 2401,
  [3333] = 2400,
  [3334] = 2699,
  [3335] = 3319,
  [3336] = 1604,
  [3337] = 1593,
  [3338] = 1591,
  [3339] = 2348,
  [3340] = 3325,
  [3341] = 1594,
  [3342] = 1831,
  [3343] = 1618,
  [3344] = 1579,
  [3345] = 2292,
  [3346] = 1583,
  [3347] = 1783,
  [3348] = 2397,
  [3349] = 1596,
  [3350] = 2387,
  [3351] = 2386,
  [3352] = 2385,
  [3353] = 2152,
  [3354] = 2364,
  [3355] = 2363,
  [3356] = 2357,
  [3357] = 2356,
  [3358] = 2384,
  [3359] = 1810,
  [3360] = 1811,
  [3361] = 1782,
  [3362] = 1597,
  [3363] = 2315,
  [3364] = 1818,
  [3365] = 1598,
  [3366] = 1821,
  [3367] = 1822,
  [3368] = 2234,
  [3369] = 2178,
  [3370] = 1802,
  [3371] = 2355,
  [3372] = 1647,
  [3373] = 2183,
  [3374] = 2169,
  [3375] = 1589,
  [3376] = 1805,
  [3377] = 1806,
  [3378] = 1590,
  [3379] = 1807,
  [3380] = 2301,
  [3381] = 1653,
  [3382] = 2205,
  [3383] = 1812,
  [3384] = 2411,
  [3385] = 2367,
  [3386] = 1790,
  [3387] = 1791,
  [3388] = 2398,
  [3389] = 1622,
  [3390] = 1825,
  [3391] = 2338,
  [3392] = 2075,
  [3393] = 2349,
  [3394] = 2687,
  [3395] = 2382,
  [3396] = 2634,
  [3397] = 2636,
  [3398] = 2638,
  [3399] = 2639,
  [3400] = 2640,
  [3401] = 2641,
  [3402] = 2646,
  [3403] = 2656,
  [3404] = 2444,
  [3405] = 1876,
  [3406] = 2348,
  [3407] = 1523,
  [3408] = 1516,
  [3409] = 2123,
  [3410] = 2690,
  [3411] = 2293,
  [3412] = 1522,
  [3413] = 1519,
  [3414] = 2319,
  [3415] = 1518,
  [3416] = 1842,
  [3417] = 2456,
  [3418] = 2435,
  [3419] = 2632,
  [3420] = 1596,
  [3421] = 1594,
  [3422] = 1517,
  [3423] = 1591,
  [3424] = 2372,
  [3425] = 134,
  [3426] = 2373,
  [3427] = 2376,
  [3428] = 2343,
  [3429] = 2398,
  [3430] = 1870,
  [3431] = 1593,
  [3432] = 2690,
  [3433] = 2342,
  [3434] = 2338,
  [3435] = 3435,
  [3436] = 1583,
  [3437] = 2299,
  [3438] = 2322,
  [3439] = 1843,
  [3440] = 2671,
  [3441] = 2317,
  [3442] = 2325,
  [3443] = 2374,
  [3444] = 3444,
  [3445] = 133,
  [3446] = 2648,
  [3447] = 2371,
  [3448] = 2424,
  [3449] = 2431,
  [3450] = 2457,
  [3451] = 2304,
  [3452] = 2312,
  [3453] = 2313,
  [3454] = 2363,
  [3455] = 2078,
  [3456] = 2352,
  [3457] = 2422,
  [3458] = 2357,
  [3459] = 2334,
  [3460] = 2356,
  [3461] = 1589,
  [3462] = 2420,
  [3463] = 2419,
  [3464] = 2418,
  [3465] = 2347,
  [3466] = 2650,
  [3467] = 2459,
  [3468] = 2416,
  [3469] = 2349,
  [3470] = 2285,
  [3471] = 1868,
  [3472] = 2295,
  [3473] = 2381,
  [3474] = 1649,
  [3475] = 2605,
  [3476] = 2339,
  [3477] = 1586,
  [3478] = 2615,
  [3479] = 3319,
  [3480] = 2407,
  [3481] = 1846,
  [3482] = 2400,
  [3483] = 1520,
  [3484] = 2342,
  [3485] = 2434,
  [3486] = 2395,
  [3487] = 1844,
  [3488] = 3325,
  [3489] = 1653,
  [3490] = 1521,
  [3491] = 2366,
  [3492] = 1599,
  [3493] = 2355,
  [3494] = 1524,
  [3495] = 2178,
  [3496] = 1607,
  [3497] = 1617,
  [3498] = 2335,
  [3499] = 1606,
  [3500] = 2411,
  [3501] = 2344,
  [3502] = 2369,
  [3503] = 2345,
  [3504] = 2402,
  [3505] = 2401,
  [3506] = 2364,
  [3507] = 2368,
  [3508] = 2676,
  [3509] = 2278,
  [3510] = 2342,
  [3511] = 1579,
  [3512] = 1604,
  [3513] = 2386,
  [3514] = 2353,
  [3515] = 2397,
  [3516] = 2367,
  [3517] = 2166,
  [3518] = 2663,
  [3519] = 2021,
  [3520] = 2342,
  [3521] = 2337,
  [3522] = 2633,
  [3523] = 2690,
  [3524] = 2301,
  [3525] = 1598,
  [3526] = 2289,
  [3527] = 2384,
  [3528] = 2385,
  [3529] = 1866,
  [3530] = 2292,
  [3531] = 1872,
  [3532] = 2370,
  [3533] = 2690,
  [3534] = 1882,
  [3535] = 2387,
  [3536] = 1590,
  [3537] = 1597,
  [3538] = 3538,
  [3539] = 3539,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 3542,
  [3544] = 3544,
  [3545] = 2329,
  [3546] = 1722,
  [3547] = 3538,
  [3548] = 3539,
  [3549] = 3539,
  [3550] = 1521,
  [3551] = 3551,
  [3552] = 1523,
  [3553] = 3538,
  [3554] = 1516,
  [3555] = 1522,
  [3556] = 3542,
  [3557] = 1519,
  [3558] = 3541,
  [3559] = 3542,
  [3560] = 3551,
  [3561] = 3551,
  [3562] = 3539,
  [3563] = 1518,
  [3564] = 3540,
  [3565] = 3541,
  [3566] = 3551,
  [3567] = 3541,
  [3568] = 3541,
  [3569] = 3551,
  [3570] = 1714,
  [3571] = 1677,
  [3572] = 2775,
  [3573] = 1517,
  [3574] = 3541,
  [3575] = 3551,
  [3576] = 3539,
  [3577] = 3542,
  [3578] = 3538,
  [3579] = 3579,
  [3580] = 1856,
  [3581] = 3540,
  [3582] = 3551,
  [3583] = 1647,
  [3584] = 1654,
  [3585] = 1649,
  [3586] = 1843,
  [3587] = 3587,
  [3588] = 3539,
  [3589] = 2752,
  [3590] = 1653,
  [3591] = 3538,
  [3592] = 3541,
  [3593] = 3551,
  [3594] = 3538,
  [3595] = 3541,
  [3596] = 2134,
  [3597] = 2133,
  [3598] = 3540,
  [3599] = 2275,
  [3600] = 2100,
  [3601] = 3540,
  [3602] = 2147,
  [3603] = 3551,
  [3604] = 3539,
  [3605] = 2282,
  [3606] = 3538,
  [3607] = 3539,
  [3608] = 3538,
  [3609] = 3540,
  [3610] = 3544,
  [3611] = 2278,
  [3612] = 3541,
  [3613] = 2149,
  [3614] = 3587,
  [3615] = 3542,
  [3616] = 3587,
  [3617] = 3539,
  [3618] = 2122,
  [3619] = 3540,
  [3620] = 3538,
  [3621] = 2110,
  [3622] = 2129,
  [3623] = 2699,
  [3624] = 3624,
  [3625] = 3540,
  [3626] = 3544,
  [3627] = 3325,
  [3628] = 3587,
  [3629] = 1740,
  [3630] = 3540,
  [3631] = 3540,
  [3632] = 3544,
  [3633] = 2140,
  [3634] = 3540,
  [3635] = 2115,
  [3636] = 3587,
  [3637] = 1524,
  [3638] = 3540,
  [3639] = 3639,
  [3640] = 3544,
  [3641] = 3587,
  [3642] = 3319,
  [3643] = 2139,
  [3644] = 3544,
  [3645] = 2138,
  [3646] = 1593,
  [3647] = 2367,
  [3648] = 1607,
  [3649] = 1606,
  [3650] = 1836,
  [3651] = 3057,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 2402,
  [3655] = 2335,
  [3656] = 2329,
  [3657] = 3068,
  [3658] = 2401,
  [3659] = 2400,
  [3660] = 1591,
  [3661] = 2397,
  [3662] = 1647,
  [3663] = 2347,
  [3664] = 2319,
  [3665] = 1594,
  [3666] = 1654,
  [3667] = 2337,
  [3668] = 1841,
  [3669] = 1842,
  [3670] = 1839,
  [3671] = 3653,
  [3672] = 1599,
  [3673] = 3653,
  [3674] = 2289,
  [3675] = 2387,
  [3676] = 2386,
  [3677] = 1838,
  [3678] = 2357,
  [3679] = 3653,
  [3680] = 2456,
  [3681] = 2385,
  [3682] = 2166,
  [3683] = 2384,
  [3684] = 1598,
  [3685] = 2353,
  [3686] = 1649,
  [3687] = 3653,
  [3688] = 3319,
  [3689] = 1586,
  [3690] = 2293,
  [3691] = 3653,
  [3692] = 3653,
  [3693] = 1834,
  [3694] = 3653,
  [3695] = 1604,
  [3696] = 3653,
  [3697] = 2322,
  [3698] = 1524,
  [3699] = 1579,
  [3700] = 2345,
  [3701] = 2344,
  [3702] = 2459,
  [3703] = 2335,
  [3704] = 3653,
  [3705] = 3319,
  [3706] = 3325,
  [3707] = 1583,
  [3708] = 1653,
  [3709] = 2407,
  [3710] = 1844,
  [3711] = 2434,
  [3712] = 2343,
  [3713] = 2338,
  [3714] = 134,
  [3715] = 1596,
  [3716] = 3653,
  [3717] = 2395,
  [3718] = 3653,
  [3719] = 2435,
  [3720] = 2349,
  [3721] = 3721,
  [3722] = 1589,
  [3723] = 133,
  [3724] = 2397,
  [3725] = 2356,
  [3726] = 2348,
  [3727] = 2357,
  [3728] = 3728,
  [3729] = 1653,
  [3730] = 3653,
  [3731] = 2444,
  [3732] = 1649,
  [3733] = 2364,
  [3734] = 1597,
  [3735] = 2376,
  [3736] = 2374,
  [3737] = 2295,
  [3738] = 2373,
  [3739] = 2285,
  [3740] = 2372,
  [3741] = 1654,
  [3742] = 3325,
  [3743] = 1647,
  [3744] = 2371,
  [3745] = 2363,
  [3746] = 2178,
  [3747] = 1590,
  [3748] = 3748,
  [3749] = 2369,
  [3750] = 2368,
  [3751] = 3653,
  [3752] = 2456,
  [3753] = 3753,
  [3754] = 2402,
  [3755] = 2364,
  [3756] = 3756,
  [3757] = 2344,
  [3758] = 3756,
  [3759] = 2376,
  [3760] = 2282,
  [3761] = 2275,
  [3762] = 3753,
  [3763] = 2386,
  [3764] = 2444,
  [3765] = 3756,
  [3766] = 1653,
  [3767] = 2367,
  [3768] = 2353,
  [3769] = 2356,
  [3770] = 1654,
  [3771] = 2373,
  [3772] = 3772,
  [3773] = 2372,
  [3774] = 3772,
  [3775] = 2384,
  [3776] = 2395,
  [3777] = 2347,
  [3778] = 1520,
  [3779] = 2385,
  [3780] = 3772,
  [3781] = 3753,
  [3782] = 2407,
  [3783] = 2363,
  [3784] = 3772,
  [3785] = 3753,
  [3786] = 2435,
  [3787] = 3756,
  [3788] = 3753,
  [3789] = 2371,
  [3790] = 2387,
  [3791] = 2337,
  [3792] = 3753,
  [3793] = 2078,
  [3794] = 1649,
  [3795] = 3772,
  [3796] = 2401,
  [3797] = 2021,
  [3798] = 2434,
  [3799] = 2775,
  [3800] = 2343,
  [3801] = 3756,
  [3802] = 3756,
  [3803] = 2075,
  [3804] = 2368,
  [3805] = 2338,
  [3806] = 2369,
  [3807] = 3319,
  [3808] = 2374,
  [3809] = 3325,
  [3810] = 3772,
  [3811] = 2349,
  [3812] = 1647,
  [3813] = 2345,
  [3814] = 2129,
  [3815] = 3815,
  [3816] = 1673,
  [3817] = 3817,
  [3818] = 2152,
  [3819] = 3220,
  [3820] = 2282,
  [3821] = 2133,
  [3822] = 2134,
  [3823] = 2149,
  [3824] = 1839,
  [3825] = 1836,
  [3826] = 2147,
  [3827] = 2100,
  [3828] = 3817,
  [3829] = 2205,
  [3830] = 2140,
  [3831] = 2169,
  [3832] = 3325,
  [3833] = 2123,
  [3834] = 1838,
  [3835] = 2110,
  [3836] = 2115,
  [3837] = 2275,
  [3838] = 1524,
  [3839] = 2138,
  [3840] = 2122,
  [3841] = 1841,
  [3842] = 3319,
  [3843] = 2234,
  [3844] = 2139,
  [3845] = 3815,
  [3846] = 3846,
  [3847] = 3817,
  [3848] = 3815,
  [3849] = 1723,
  [3850] = 3325,
  [3851] = 1784,
  [3852] = 3852,
  [3853] = 3853,
  [3854] = 3853,
  [3855] = 3855,
  [3856] = 3852,
  [3857] = 3852,
  [3858] = 1814,
  [3859] = 1798,
  [3860] = 1794,
  [3861] = 1844,
  [3862] = 3853,
  [3863] = 1842,
  [3864] = 3855,
  [3865] = 3855,
  [3866] = 3319,
  [3867] = 1718,
  [3868] = 3846,
  [3869] = 3846,
  [3870] = 3855,
  [3871] = 3852,
  [3872] = 3855,
  [3873] = 3853,
  [3874] = 3853,
  [3875] = 3846,
  [3876] = 3853,
  [3877] = 3846,
  [3878] = 3853,
  [3879] = 1730,
  [3880] = 3855,
  [3881] = 3846,
  [3882] = 3855,
  [3883] = 3852,
  [3884] = 1824,
  [3885] = 3852,
  [3886] = 3886,
  [3887] = 3852,
  [3888] = 1804,
  [3889] = 3846,
  [3890] = 1797,
  [3891] = 3815,
  [3892] = 1782,
  [3893] = 1841,
  [3894] = 1821,
  [3895] = 1822,
  [3896] = 1811,
  [3897] = 1810,
  [3898] = 1783,
  [3899] = 1831,
  [3900] = 2075,
  [3901] = 1825,
  [3902] = 1812,
  [3903] = 1807,
  [3904] = 1806,
  [3905] = 1805,
  [3906] = 1802,
  [3907] = 1799,
  [3908] = 1791,
  [3909] = 1790,
  [3910] = 1815,
  [3911] = 1816,
  [3912] = 1826,
  [3913] = 1785,
  [3914] = 1808,
  [3915] = 1813,
  [3916] = 3817,
  [3917] = 1803,
  [3918] = 1788,
  [3919] = 1789,
  [3920] = 1792,
  [3921] = 1793,
  [3922] = 1844,
  [3923] = 1832,
  [3924] = 1781,
  [3925] = 2123,
  [3926] = 1818,
  [3927] = 2298,
  [3928] = 2302,
  [3929] = 1836,
  [3930] = 3319,
  [3931] = 1520,
  [3932] = 1842,
  [3933] = 3325,
  [3934] = 2275,
  [3935] = 2282,
  [3936] = 1838,
  [3937] = 2123,
  [3938] = 1839,
  [3939] = 3817,
  [3940] = 3325,
  [3941] = 3941,
  [3942] = 3942,
  [3943] = 1838,
  [3944] = 1829,
  [3945] = 3325,
  [3946] = 306,
  [3947] = 252,
  [3948] = 1839,
  [3949] = 2633,
  [3950] = 1830,
  [3951] = 2632,
  [3952] = 3952,
  [3953] = 3953,
  [3954] = 1836,
  [3955] = 3955,
  [3956] = 2650,
  [3957] = 360,
  [3958] = 1617,
  [3959] = 2671,
  [3960] = 3319,
  [3961] = 1527,
  [3962] = 3962,
  [3963] = 2400,
  [3964] = 281,
  [3965] = 3965,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 3817,
  [3969] = 3966,
  [3970] = 2648,
  [3971] = 3319,
  [3972] = 2676,
  [3973] = 3952,
  [3974] = 3953,
  [3975] = 2615,
  [3976] = 3976,
  [3977] = 3977,
  [3978] = 2634,
  [3979] = 2636,
  [3980] = 2638,
  [3981] = 2639,
  [3982] = 3815,
  [3983] = 3886,
  [3984] = 2275,
  [3985] = 3962,
  [3986] = 3965,
  [3987] = 2348,
  [3988] = 1841,
  [3989] = 2640,
  [3990] = 2687,
  [3991] = 2641,
  [3992] = 3942,
  [3993] = 3728,
  [3994] = 3748,
  [3995] = 3941,
  [3996] = 2282,
  [3997] = 273,
  [3998] = 2646,
  [3999] = 2656,
  [4000] = 3815,
  [4001] = 2605,
  [4002] = 2663,
  [4003] = 274,
  [4004] = 2459,
  [4005] = 3976,
  [4006] = 3977,
  [4007] = 2234,
  [4008] = 3976,
  [4009] = 3977,
  [4010] = 3966,
  [4011] = 3319,
  [4012] = 3942,
  [4013] = 2205,
  [4014] = 2699,
  [4015] = 2752,
  [4016] = 3325,
  [4017] = 1520,
  [4018] = 3319,
  [4019] = 2152,
  [4020] = 3325,
  [4021] = 3815,
  [4022] = 4022,
  [4023] = 3817,
  [4024] = 2169,
  [4025] = 4025,
  [4026] = 1868,
  [4027] = 2275,
  [4028] = 2282,
  [4029] = 4029,
  [4030] = 4025,
  [4031] = 3942,
  [4032] = 2752,
  [4033] = 2178,
  [4034] = 4034,
  [4035] = 1876,
  [4036] = 4036,
  [4037] = 4037,
  [4038] = 1856,
  [4039] = 2699,
  [4040] = 4025,
  [4041] = 1846,
  [4042] = 3817,
  [4043] = 1866,
  [4044] = 1870,
  [4045] = 1872,
  [4046] = 2468,
  [4047] = 2075,
  [4048] = 3977,
  [4049] = 2166,
  [4050] = 1882,
  [4051] = 3976,
  [4052] = 4052,
  [4053] = 2465,
  [4054] = 2473,
  [4055] = 3966,
  [4056] = 2166,
  [4057] = 2178,
  [4058] = 3815,
  [4059] = 4059,
  [4060] = 3977,
  [4061] = 3815,
  [4062] = 2646,
  [4063] = 2641,
  [4064] = 3942,
  [4065] = 1617,
  [4066] = 2648,
  [4067] = 2656,
  [4068] = 4068,
  [4069] = 2640,
  [4070] = 3319,
  [4071] = 1829,
  [4072] = 1524,
  [4073] = 2650,
  [4074] = 1830,
  [4075] = 1844,
  [4076] = 2687,
  [4077] = 3976,
  [4078] = 3976,
  [4079] = 4079,
  [4080] = 3977,
  [4081] = 3966,
  [4082] = 2123,
  [4083] = 4022,
  [4084] = 1842,
  [4085] = 2638,
  [4086] = 2605,
  [4087] = 2663,
  [4088] = 2671,
  [4089] = 2633,
  [4090] = 1673,
  [4091] = 3817,
  [4092] = 2636,
  [4093] = 3942,
  [4094] = 2634,
  [4095] = 3966,
  [4096] = 3325,
  [4097] = 2632,
  [4098] = 2639,
  [4099] = 2615,
  [4100] = 2676,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 2615,
  [4104] = 2634,
  [4105] = 4105,
  [4106] = 4106,
  [4107] = 4105,
  [4108] = 4108,
  [4109] = 134,
  [4110] = 1606,
  [4111] = 2636,
  [4112] = 4106,
  [4113] = 1607,
  [4114] = 2663,
  [4115] = 4106,
  [4116] = 4105,
  [4117] = 4052,
  [4118] = 4105,
  [4119] = 4119,
  [4120] = 2638,
  [4121] = 2169,
  [4122] = 4105,
  [4123] = 2605,
  [4124] = 2282,
  [4125] = 133,
  [4126] = 4105,
  [4127] = 2275,
  [4128] = 2639,
  [4129] = 2640,
  [4130] = 4130,
  [4131] = 3942,
  [4132] = 4105,
  [4133] = 2632,
  [4134] = 2641,
  [4135] = 2075,
  [4136] = 4105,
  [4137] = 4137,
  [4138] = 1583,
  [4139] = 2646,
  [4140] = 4105,
  [4141] = 2205,
  [4142] = 1596,
  [4143] = 2650,
  [4144] = 2152,
  [4145] = 4130,
  [4146] = 1597,
  [4147] = 4106,
  [4148] = 2315,
  [4149] = 1598,
  [4150] = 4105,
  [4151] = 3977,
  [4152] = 4101,
  [4153] = 4105,
  [4154] = 4108,
  [4155] = 1590,
  [4156] = 1796,
  [4157] = 4157,
  [4158] = 2671,
  [4159] = 4108,
  [4160] = 4130,
  [4161] = 4161,
  [4162] = 4162,
  [4163] = 4105,
  [4164] = 4164,
  [4165] = 2656,
  [4166] = 4106,
  [4167] = 1594,
  [4168] = 1591,
  [4169] = 1604,
  [4170] = 1593,
  [4171] = 4101,
  [4172] = 1579,
  [4173] = 2234,
  [4174] = 3966,
  [4175] = 2687,
  [4176] = 4108,
  [4177] = 4105,
  [4178] = 4130,
  [4179] = 4108,
  [4180] = 4059,
  [4181] = 4106,
  [4182] = 4105,
  [4183] = 1589,
  [4184] = 1586,
  [4185] = 3976,
  [4186] = 2648,
  [4187] = 4130,
  [4188] = 3815,
  [4189] = 2332,
  [4190] = 2676,
  [4191] = 4191,
  [4192] = 4105,
  [4193] = 1599,
  [4194] = 4105,
  [4195] = 4105,
  [4196] = 4108,
  [4197] = 4197,
  [4198] = 3817,
  [4199] = 4106,
  [4200] = 2331,
  [4201] = 4029,
  [4202] = 2633,
  [4203] = 4052,
  [4204] = 4130,
  [4205] = 4205,
  [4206] = 4206,
  [4207] = 4207,
  [4208] = 4208,
  [4209] = 4209,
  [4210] = 2699,
  [4211] = 2295,
  [4212] = 3966,
  [4213] = 2671,
  [4214] = 2322,
  [4215] = 4215,
  [4216] = 2632,
  [4217] = 2633,
  [4218] = 2615,
  [4219] = 4022,
  [4220] = 4068,
  [4221] = 2634,
  [4222] = 4222,
  [4223] = 2676,
  [4224] = 2636,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 2638,
  [4228] = 2639,
  [4229] = 4229,
  [4230] = 2640,
  [4231] = 2289,
  [4232] = 2641,
  [4233] = 2646,
  [4234] = 2656,
  [4235] = 2687,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 4238,
  [4239] = 2648,
  [4240] = 2650,
  [4241] = 2605,
  [4242] = 2663,
  [4243] = 4229,
  [4244] = 2671,
  [4245] = 2676,
  [4246] = 2078,
  [4247] = 4247,
  [4248] = 4248,
  [4249] = 4209,
  [4250] = 2123,
  [4251] = 4229,
  [4252] = 3815,
  [4253] = 2021,
  [4254] = 2285,
  [4255] = 4229,
  [4256] = 4256,
  [4257] = 2075,
  [4258] = 4238,
  [4259] = 4226,
  [4260] = 4209,
  [4261] = 4229,
  [4262] = 2322,
  [4263] = 4238,
  [4264] = 2285,
  [4265] = 2632,
  [4266] = 2295,
  [4267] = 2289,
  [4268] = 4268,
  [4269] = 3967,
  [4270] = 2663,
  [4271] = 4209,
  [4272] = 4272,
  [4273] = 4273,
  [4274] = 4229,
  [4275] = 2605,
  [4276] = 4276,
  [4277] = 4226,
  [4278] = 4229,
  [4279] = 4209,
  [4280] = 2650,
  [4281] = 2648,
  [4282] = 1524,
  [4283] = 4229,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 3942,
  [4287] = 3976,
  [4288] = 4288,
  [4289] = 4238,
  [4290] = 2752,
  [4291] = 4226,
  [4292] = 1517,
  [4293] = 1518,
  [4294] = 1519,
  [4295] = 2634,
  [4296] = 1522,
  [4297] = 1516,
  [4298] = 1523,
  [4299] = 1521,
  [4300] = 4137,
  [4301] = 2687,
  [4302] = 3817,
  [4303] = 4229,
  [4304] = 4229,
  [4305] = 2656,
  [4306] = 2646,
  [4307] = 4307,
  [4308] = 2632,
  [4309] = 2641,
  [4310] = 2640,
  [4311] = 2639,
  [4312] = 1768,
  [4313] = 2638,
  [4314] = 1876,
  [4315] = 1868,
  [4316] = 1846,
  [4317] = 3977,
  [4318] = 1866,
  [4319] = 1872,
  [4320] = 1882,
  [4321] = 4321,
  [4322] = 1870,
  [4323] = 4323,
  [4324] = 2663,
  [4325] = 2648,
  [4326] = 2615,
  [4327] = 2278,
  [4328] = 3076,
  [4329] = 2293,
  [4330] = 4052,
  [4331] = 4229,
  [4332] = 2319,
  [4333] = 2636,
  [4334] = 2634,
  [4335] = 4229,
  [4336] = 2293,
  [4337] = 2605,
  [4338] = 1677,
  [4339] = 4339,
  [4340] = 1714,
  [4341] = 4323,
  [4342] = 1722,
  [4343] = 2650,
  [4344] = 4229,
  [4345] = 4209,
  [4346] = 1740,
  [4347] = 2615,
  [4348] = 4248,
  [4349] = 4247,
  [4350] = 4226,
  [4351] = 2633,
  [4352] = 2633,
  [4353] = 2636,
  [4354] = 2671,
  [4355] = 1574,
  [4356] = 2676,
  [4357] = 2638,
  [4358] = 2639,
  [4359] = 2319,
  [4360] = 4226,
  [4361] = 4238,
  [4362] = 2640,
  [4363] = 1673,
  [4364] = 4226,
  [4365] = 4365,
  [4366] = 2641,
  [4367] = 2646,
  [4368] = 1758,
  [4369] = 4369,
  [4370] = 2656,
  [4371] = 2687,
  [4372] = 4372,
  [4373] = 4373,
  [4374] = 4374,
  [4375] = 4375,
  [4376] = 4376,
  [4377] = 2133,
  [4378] = 4378,
  [4379] = 2699,
  [4380] = 4380,
  [4381] = 4381,
  [4382] = 3977,
  [4383] = 4383,
  [4384] = 4381,
  [4385] = 4383,
  [4386] = 4372,
  [4387] = 4387,
  [4388] = 3976,
  [4389] = 3966,
  [4390] = 4390,
  [4391] = 4380,
  [4392] = 4372,
  [4393] = 4393,
  [4394] = 4381,
  [4395] = 4395,
  [4396] = 4396,
  [4397] = 4375,
  [4398] = 4381,
  [4399] = 4399,
  [4400] = 4400,
  [4401] = 1758,
  [4402] = 4402,
  [4403] = 4376,
  [4404] = 1842,
  [4405] = 4405,
  [4406] = 4381,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 4378,
  [4410] = 2134,
  [4411] = 4402,
  [4412] = 4412,
  [4413] = 1844,
  [4414] = 4383,
  [4415] = 4374,
  [4416] = 4372,
  [4417] = 4417,
  [4418] = 4381,
  [4419] = 4395,
  [4420] = 4420,
  [4421] = 4421,
  [4422] = 4420,
  [4423] = 4393,
  [4424] = 4376,
  [4425] = 4383,
  [4426] = 4426,
  [4427] = 4395,
  [4428] = 4420,
  [4429] = 4429,
  [4430] = 4420,
  [4431] = 4431,
  [4432] = 4396,
  [4433] = 4433,
  [4434] = 4407,
  [4435] = 4417,
  [4436] = 2100,
  [4437] = 4437,
  [4438] = 2147,
  [4439] = 4431,
  [4440] = 4429,
  [4441] = 4431,
  [4442] = 4429,
  [4443] = 4375,
  [4444] = 4375,
  [4445] = 4445,
  [4446] = 3942,
  [4447] = 4429,
  [4448] = 4372,
  [4449] = 4402,
  [4450] = 4431,
  [4451] = 3817,
  [4452] = 2149,
  [4453] = 3815,
  [4454] = 4454,
  [4455] = 4396,
  [4456] = 4376,
  [4457] = 2122,
  [4458] = 4383,
  [4459] = 4459,
  [4460] = 4421,
  [4461] = 4405,
  [4462] = 4395,
  [4463] = 4417,
  [4464] = 4420,
  [4465] = 1768,
  [4466] = 4402,
  [4467] = 4467,
  [4468] = 4420,
  [4469] = 4469,
  [4470] = 3815,
  [4471] = 3817,
  [4472] = 4375,
  [4473] = 2110,
  [4474] = 4429,
  [4475] = 2115,
  [4476] = 2282,
  [4477] = 4407,
  [4478] = 4376,
  [4479] = 4396,
  [4480] = 4396,
  [4481] = 4469,
  [4482] = 4402,
  [4483] = 4402,
  [4484] = 1673,
  [4485] = 2752,
  [4486] = 4395,
  [4487] = 4487,
  [4488] = 4488,
  [4489] = 4383,
  [4490] = 4395,
  [4491] = 2275,
  [4492] = 4378,
  [4493] = 4420,
  [4494] = 4431,
  [4495] = 2129,
  [4496] = 4420,
  [4497] = 4497,
  [4498] = 4373,
  [4499] = 4374,
  [4500] = 2140,
  [4501] = 4395,
  [4502] = 4417,
  [4503] = 4378,
  [4504] = 4504,
  [4505] = 4396,
  [4506] = 4469,
  [4507] = 4402,
  [4508] = 4372,
  [4509] = 4431,
  [4510] = 4400,
  [4511] = 4393,
  [4512] = 4429,
  [4513] = 4469,
  [4514] = 4469,
  [4515] = 4374,
  [4516] = 2138,
  [4517] = 4420,
  [4518] = 4375,
  [4519] = 4378,
  [4520] = 4520,
  [4521] = 1834,
  [4522] = 2139,
  [4523] = 4523,
  [4524] = 4376,
  [4525] = 1844,
  [4526] = 4407,
  [4527] = 4396,
  [4528] = 1718,
  [4529] = 4374,
  [4530] = 4376,
  [4531] = 4383,
  [4532] = 4417,
  [4533] = 4431,
  [4534] = 4393,
  [4535] = 1842,
  [4536] = 4375,
  [4537] = 2329,
  [4538] = 1856,
  [4539] = 1816,
  [4540] = 2356,
  [4541] = 2434,
  [4542] = 1814,
  [4543] = 1794,
  [4544] = 1785,
  [4545] = 2357,
  [4546] = 2343,
  [4547] = 1788,
  [4548] = 1789,
  [4549] = 2363,
  [4550] = 3966,
  [4551] = 2364,
  [4552] = 1808,
  [4553] = 2367,
  [4554] = 1813,
  [4555] = 2338,
  [4556] = 2349,
  [4557] = 2335,
  [4558] = 1826,
  [4559] = 2368,
  [4560] = 4560,
  [4561] = 2369,
  [4562] = 2123,
  [4563] = 2344,
  [4564] = 1842,
  [4565] = 2345,
  [4566] = 2371,
  [4567] = 4567,
  [4568] = 1792,
  [4569] = 3976,
  [4570] = 4373,
  [4571] = 2372,
  [4572] = 1797,
  [4573] = 4573,
  [4574] = 2400,
  [4575] = 1815,
  [4576] = 4567,
  [4577] = 2384,
  [4578] = 1791,
  [4579] = 2444,
  [4580] = 4373,
  [4581] = 2373,
  [4582] = 2374,
  [4583] = 2459,
  [4584] = 2376,
  [4585] = 2178,
  [4586] = 1803,
  [4587] = 4567,
  [4588] = 1832,
  [4589] = 1784,
  [4590] = 3977,
  [4591] = 1790,
  [4592] = 2385,
  [4593] = 2353,
  [4594] = 1798,
  [4595] = 1799,
  [4596] = 1802,
  [4597] = 1804,
  [4598] = 2456,
  [4599] = 1805,
  [4600] = 1806,
  [4601] = 1781,
  [4602] = 1807,
  [4603] = 2386,
  [4604] = 1812,
  [4605] = 2407,
  [4606] = 1825,
  [4607] = 4567,
  [4608] = 2395,
  [4609] = 2387,
  [4610] = 2397,
  [4611] = 4611,
  [4612] = 1824,
  [4613] = 1822,
  [4614] = 4614,
  [4615] = 1821,
  [4616] = 2166,
  [4617] = 4567,
  [4618] = 4618,
  [4619] = 1818,
  [4620] = 1782,
  [4621] = 2435,
  [4622] = 1811,
  [4623] = 3942,
  [4624] = 1810,
  [4625] = 2401,
  [4626] = 1844,
  [4627] = 4567,
  [4628] = 1783,
  [4629] = 2402,
  [4630] = 1831,
  [4631] = 1793,
  [4632] = 2348,
  [4633] = 4567,
  [4634] = 2347,
  [4635] = 2337,
  [4636] = 4636,
  [4637] = 3976,
  [4638] = 4373,
  [4639] = 4639,
  [4640] = 3966,
  [4641] = 4636,
  [4642] = 4373,
  [4643] = 3817,
  [4644] = 2123,
  [4645] = 4645,
  [4646] = 4645,
  [4647] = 4373,
  [4648] = 4373,
  [4649] = 3815,
  [4650] = 4373,
  [4651] = 3966,
  [4652] = 4373,
  [4653] = 4639,
  [4654] = 4373,
  [4655] = 2021,
  [4656] = 4373,
  [4657] = 4657,
  [4658] = 3942,
  [4659] = 2078,
  [4660] = 3977,
  [4661] = 3977,
  [4662] = 4662,
  [4663] = 2115,
  [4664] = 3966,
  [4665] = 3942,
  [4666] = 4666,
  [4667] = 2275,
  [4668] = 4666,
  [4669] = 4669,
  [4670] = 4669,
  [4671] = 4373,
  [4672] = 4373,
  [4673] = 3977,
  [4674] = 2282,
  [4675] = 3942,
  [4676] = 3966,
  [4677] = 4373,
  [4678] = 4373,
  [4679] = 2122,
  [4680] = 2134,
  [4681] = 3976,
  [4682] = 2149,
  [4683] = 2275,
  [4684] = 2139,
  [4685] = 2275,
  [4686] = 4022,
  [4687] = 2133,
  [4688] = 2075,
  [4689] = 2138,
  [4690] = 4690,
  [4691] = 2282,
  [4692] = 3976,
  [4693] = 4022,
  [4694] = 2100,
  [4695] = 2282,
  [4696] = 2147,
  [4697] = 3977,
  [4698] = 2140,
  [4699] = 2110,
  [4700] = 2129,
  [4701] = 1794,
  [4702] = 1723,
  [4703] = 1804,
  [4704] = 4666,
  [4705] = 1824,
  [4706] = 1814,
  [4707] = 4373,
  [4708] = 4669,
  [4709] = 1730,
  [4710] = 2462,
  [4711] = 4666,
  [4712] = 1718,
  [4713] = 1798,
  [4714] = 4373,
  [4715] = 4669,
  [4716] = 1784,
  [4717] = 4717,
  [4718] = 4718,
  [4719] = 1815,
  [4720] = 2021,
  [4721] = 3220,
  [4722] = 1792,
  [4723] = 4666,
  [4724] = 4669,
  [4725] = 1796,
  [4726] = 1790,
  [4727] = 3942,
  [4728] = 4718,
  [4729] = 1791,
  [4730] = 1799,
  [4731] = 4718,
  [4732] = 3966,
  [4733] = 4717,
  [4734] = 4669,
  [4735] = 2282,
  [4736] = 4717,
  [4737] = 1802,
  [4738] = 4669,
  [4739] = 1789,
  [4740] = 4717,
  [4741] = 1793,
  [4742] = 4718,
  [4743] = 2078,
  [4744] = 1805,
  [4745] = 1781,
  [4746] = 4666,
  [4747] = 4666,
  [4748] = 1837,
  [4749] = 4666,
  [4750] = 4717,
  [4751] = 1806,
  [4752] = 4669,
  [4753] = 4718,
  [4754] = 3977,
  [4755] = 4666,
  [4756] = 4717,
  [4757] = 4718,
  [4758] = 1807,
  [4759] = 1816,
  [4760] = 1812,
  [4761] = 4718,
  [4762] = 1783,
  [4763] = 4669,
  [4764] = 4666,
  [4765] = 1825,
  [4766] = 2275,
  [4767] = 1826,
  [4768] = 1797,
  [4769] = 4669,
  [4770] = 4718,
  [4771] = 1785,
  [4772] = 1822,
  [4773] = 4717,
  [4774] = 2123,
  [4775] = 4666,
  [4776] = 4669,
  [4777] = 1821,
  [4778] = 1832,
  [4779] = 4717,
  [4780] = 1782,
  [4781] = 1818,
  [4782] = 1808,
  [4783] = 1813,
  [4784] = 1788,
  [4785] = 4669,
  [4786] = 4666,
  [4787] = 3976,
  [4788] = 1803,
  [4789] = 4789,
  [4790] = 4717,
  [4791] = 1811,
  [4792] = 1810,
  [4793] = 4718,
  [4794] = 4794,
  [4795] = 1831,
  [4796] = 4669,
  [4797] = 1868,
  [4798] = 4666,
  [4799] = 4669,
  [4800] = 4666,
  [4801] = 1829,
  [4802] = 1846,
  [4803] = 4373,
  [4804] = 4373,
  [4805] = 4373,
  [4806] = 4373,
  [4807] = 4669,
  [4808] = 1870,
  [4809] = 1882,
  [4810] = 1872,
  [4811] = 4666,
  [4812] = 2462,
  [4813] = 4669,
  [4814] = 1866,
  [4815] = 1830,
  [4816] = 1876,
  [4817] = 2462,
  [4818] = 4666,
  [4819] = 4819,
  [4820] = 4819,
  [4821] = 4669,
  [4822] = 4819,
  [4823] = 4823,
  [4824] = 4824,
  [4825] = 4825,
  [4826] = 4824,
  [4827] = 4827,
  [4828] = 4828,
  [4829] = 4825,
  [4830] = 4830,
  [4831] = 4830,
  [4832] = 4828,
  [4833] = 4827,
  [4834] = 4819,
  [4835] = 4835,
  [4836] = 4836,
  [4837] = 4837,
  [4838] = 4830,
  [4839] = 4828,
  [4840] = 4827,
  [4841] = 4836,
  [4842] = 4828,
  [4843] = 4830,
  [4844] = 4830,
  [4845] = 2134,
  [4846] = 4830,
  [4847] = 4827,
  [4848] = 4836,
  [4849] = 4849,
  [4850] = 4836,
  [4851] = 4828,
  [4852] = 4824,
  [4853] = 4828,
  [4854] = 4666,
  [4855] = 4836,
  [4856] = 4827,
  [4857] = 4830,
  [4858] = 4824,
  [4859] = 4828,
  [4860] = 4825,
  [4861] = 4861,
  [4862] = 4837,
  [4863] = 2133,
  [4864] = 4835,
  [4865] = 4827,
  [4866] = 4824,
  [4867] = 2110,
  [4868] = 4861,
  [4869] = 4819,
  [4870] = 4828,
  [4871] = 4835,
  [4872] = 4872,
  [4873] = 2100,
  [4874] = 4819,
  [4875] = 4875,
  [4876] = 2147,
  [4877] = 4830,
  [4878] = 4835,
  [4879] = 2149,
  [4880] = 2115,
  [4881] = 4837,
  [4882] = 4882,
  [4883] = 4836,
  [4884] = 2122,
  [4885] = 4827,
  [4886] = 4825,
  [4887] = 4828,
  [4888] = 4666,
  [4889] = 4830,
  [4890] = 4836,
  [4891] = 4891,
  [4892] = 4836,
  [4893] = 4669,
  [4894] = 4827,
  [4895] = 4895,
  [4896] = 4896,
  [4897] = 4836,
  [4898] = 4836,
  [4899] = 4827,
  [4900] = 4836,
  [4901] = 4828,
  [4902] = 4819,
  [4903] = 4827,
  [4904] = 4836,
  [4905] = 4830,
  [4906] = 4861,
  [4907] = 4836,
  [4908] = 4819,
  [4909] = 4828,
  [4910] = 2129,
  [4911] = 4830,
  [4912] = 4861,
  [4913] = 4828,
  [4914] = 4824,
  [4915] = 2140,
  [4916] = 4824,
  [4917] = 4827,
  [4918] = 4837,
  [4919] = 4861,
  [4920] = 4835,
  [4921] = 4875,
  [4922] = 4872,
  [4923] = 4861,
  [4924] = 4830,
  [4925] = 4830,
  [4926] = 4836,
  [4927] = 4896,
  [4928] = 4828,
  [4929] = 4861,
  [4930] = 4827,
  [4931] = 4875,
  [4932] = 4896,
  [4933] = 4896,
  [4934] = 4830,
  [4935] = 4828,
  [4936] = 4827,
  [4937] = 4875,
  [4938] = 4875,
  [4939] = 4836,
  [4940] = 4896,
  [4941] = 4827,
  [4942] = 4835,
  [4943] = 4836,
  [4944] = 4896,
  [4945] = 4872,
  [4946] = 4828,
  [4947] = 4830,
  [4948] = 4875,
  [4949] = 2138,
  [4950] = 4872,
  [4951] = 4836,
  [4952] = 4837,
  [4953] = 2139,
  [4954] = 4872,
  [4955] = 4825,
  [4956] = 4896,
  [4957] = 4824,
  [4958] = 4872,
  [4959] = 4827,
  [4960] = 4827,
  [4961] = 4836,
  [4962] = 4828,
  [4963] = 4837,
  [4964] = 4836,
  [4965] = 4827,
  [4966] = 4830,
  [4967] = 4830,
  [4968] = 4828,
  [4969] = 4830,
  [4970] = 4819,
  [4971] = 4835,
  [4972] = 4872,
  [4973] = 4837,
  [4974] = 4828,
  [4975] = 4824,
  [4976] = 4827,
  [4977] = 4875,
  [4978] = 4978,
  [4979] = 4979,
  [4980] = 4978,
  [4981] = 4978,
  [4982] = 4982,
  [4983] = 4979,
  [4984] = 4984,
  [4985] = 4985,
  [4986] = 4979,
  [4987] = 4987,
  [4988] = 4978,
  [4989] = 4979,
  [4990] = 4990,
  [4991] = 4978,
  [4992] = 4992,
  [4993] = 4990,
  [4994] = 4978,
  [4995] = 4982,
  [4996] = 2181,
  [4997] = 4990,
  [4998] = 4998,
  [4999] = 4999,
  [5000] = 4978,
  [5001] = 5001,
  [5002] = 4982,
  [5003] = 3748,
  [5004] = 4978,
  [5005] = 4982,
  [5006] = 4978,
  [5007] = 3728,
  [5008] = 4978,
  [5009] = 5009,
  [5010] = 4978,
  [5011] = 4978,
  [5012] = 4982,
  [5013] = 4978,
  [5014] = 4982,
  [5015] = 4978,
  [5016] = 4978,
  [5017] = 1856,
  [5018] = 5009,
  [5019] = 4990,
  [5020] = 4990,
  [5021] = 4979,
  [5022] = 4984,
  [5023] = 4985,
  [5024] = 5009,
  [5025] = 5009,
  [5026] = 4992,
  [5027] = 4978,
  [5028] = 4978,
  [5029] = 4990,
  [5030] = 4990,
  [5031] = 5031,
  [5032] = 4982,
  [5033] = 4979,
  [5034] = 4978,
  [5035] = 3057,
  [5036] = 4992,
  [5037] = 4985,
  [5038] = 4669,
  [5039] = 4666,
  [5040] = 4669,
  [5041] = 4984,
  [5042] = 4666,
  [5043] = 4669,
  [5044] = 4666,
  [5045] = 4669,
  [5046] = 4985,
  [5047] = 4984,
  [5048] = 4666,
  [5049] = 4992,
  [5050] = 4984,
  [5051] = 4992,
  [5052] = 4992,
  [5053] = 4022,
  [5054] = 4984,
  [5055] = 4992,
  [5056] = 4992,
  [5057] = 4985,
  [5058] = 4985,
  [5059] = 4984,
  [5060] = 4985,
  [5061] = 4984,
  [5062] = 3068,
  [5063] = 4985,
  [5064] = 4992,
  [5065] = 4992,
  [5066] = 4985,
  [5067] = 4984,
  [5068] = 4984,
  [5069] = 4992,
  [5070] = 4985,
  [5071] = 4984,
  [5072] = 4992,
  [5073] = 4985,
  [5074] = 4985,
  [5075] = 4984,
  [5076] = 4984,
  [5077] = 4985,
  [5078] = 4992,
  [5079] = 4992,
  [5080] = 4992,
  [5081] = 4985,
  [5082] = 4985,
  [5083] = 4992,
  [5084] = 5084,
  [5085] = 4984,
  [5086] = 4984,
  [5087] = 5084,
  [5088] = 4984,
  [5089] = 5084,
  [5090] = 5084,
  [5091] = 4985,
  [5092] = 5092,
  [5093] = 4985,
  [5094] = 4984,
  [5095] = 4984,
  [5096] = 5096,
  [5097] = 5096,
  [5098] = 5096,
  [5099] = 5096,
  [5100] = 4985,
  [5101] = 5096,
  [5102] = 5092,
  [5103] = 4992,
  [5104] = 5096,
  [5105] = 5096,
  [5106] = 4992,
  [5107] = 5107,
  [5108] = 1758,
  [5109] = 5092,
  [5110] = 1768,
  [5111] = 4985,
  [5112] = 5112,
  [5113] = 5092,
  [5114] = 4984,
  [5115] = 4984,
  [5116] = 4992,
  [5117] = 4984,
  [5118] = 5118,
  [5119] = 5119,
  [5120] = 4984,
  [5121] = 4985,
  [5122] = 4992,
  [5123] = 5112,
  [5124] = 5112,
  [5125] = 4992,
  [5126] = 4985,
  [5127] = 4992,
  [5128] = 4985,
  [5129] = 5129,
  [5130] = 5129,
  [5131] = 5129,
  [5132] = 5129,
  [5133] = 5129,
  [5134] = 5134,
  [5135] = 5129,
  [5136] = 5136,
  [5137] = 5129,
  [5138] = 5134,
  [5139] = 5129,
  [5140] = 5136,
  [5141] = 5136,
  [5142] = 5129,
  [5143] = 5134,
  [5144] = 5129,
  [5145] = 5134,
  [5146] = 5134,
  [5147] = 5134,
  [5148] = 5148,
  [5149] = 5134,
  [5150] = 5129,
  [5151] = 5136,
  [5152] = 5136,
  [5153] = 5134,
  [5154] = 5134,
  [5155] = 5155,
  [5156] = 5134,
  [5157] = 5134,
  [5158] = 5092,
  [5159] = 5159,
  [5160] = 5134,
  [5161] = 5129,
  [5162] = 5136,
  [5163] = 5092,
  [5164] = 5129,
  [5165] = 5136,
  [5166] = 5134,
  [5167] = 5136,
  [5168] = 5136,
  [5169] = 5155,
  [5170] = 5129,
  [5171] = 5134,
  [5172] = 5129,
  [5173] = 5134,
  [5174] = 5155,
  [5175] = 5134,
  [5176] = 5129,
  [5177] = 5177,
  [5178] = 5159,
  [5179] = 5092,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 5182,
  [5183] = 5177,
  [5184] = 5181,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5181,
  [5188] = 5180,
  [5189] = 5182,
  [5190] = 5186,
  [5191] = 5185,
  [5192] = 5186,
  [5193] = 5193,
  [5194] = 5180,
  [5195] = 5180,
  [5196] = 5182,
  [5197] = 5182,
  [5198] = 5177,
  [5199] = 5185,
  [5200] = 5185,
  [5201] = 5186,
  [5202] = 5185,
  [5203] = 5185,
  [5204] = 5186,
  [5205] = 5186,
  [5206] = 5180,
  [5207] = 5118,
  [5208] = 5177,
  [5209] = 5177,
  [5210] = 5177,
  [5211] = 5182,
  [5212] = 5180,
  [5213] = 5182,
  [5214] = 5180,
  [5215] = 5185,
  [5216] = 5177,
  [5217] = 5186,
  [5218] = 5182,
  [5219] = 5119,
  [5220] = 5185,
  [5221] = 5186,
  [5222] = 5186,
  [5223] = 5185,
  [5224] = 5186,
  [5225] = 5177,
  [5226] = 5180,
  [5227] = 5186,
  [5228] = 5228,
  [5229] = 5182,
  [5230] = 5230,
  [5231] = 5181,
  [5232] = 5193,
  [5233] = 5181,
  [5234] = 5180,
  [5235] = 5181,
  [5236] = 5177,
  [5237] = 5182,
  [5238] = 5182,
  [5239] = 5180,
  [5240] = 5177,
  [5241] = 5182,
  [5242] = 5180,
  [5243] = 5230,
  [5244] = 5185,
  [5245] = 5180,
  [5246] = 5186,
  [5247] = 5186,
  [5248] = 5186,
  [5249] = 5185,
  [5250] = 5193,
  [5251] = 5185,
  [5252] = 5177,
  [5253] = 5182,
  [5254] = 5177,
  [5255] = 5182,
  [5256] = 5185,
  [5257] = 5180,
  [5258] = 5186,
  [5259] = 5185,
  [5260] = 5186,
  [5261] = 5177,
  [5262] = 5180,
  [5263] = 5177,
  [5264] = 5182,
  [5265] = 5185,
  [5266] = 5186,
  [5267] = 5185,
  [5268] = 5180,
  [5269] = 5182,
  [5270] = 5185,
  [5271] = 5180,
  [5272] = 5182,
  [5273] = 5177,
  [5274] = 5177,
  [5275] = 5180,
  [5276] = 5230,
  [5277] = 5186,
  [5278] = 5181,
  [5279] = 5182,
  [5280] = 5180,
  [5281] = 5182,
  [5282] = 5177,
  [5283] = 5177,
  [5284] = 5185,
  [5285] = 5285,
  [5286] = 5286,
  [5287] = 5287,
  [5288] = 5288,
  [5289] = 5289,
  [5290] = 5290,
  [5291] = 5291,
  [5292] = 5292,
  [5293] = 5293,
  [5294] = 5294,
  [5295] = 5295,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5298,
  [5300] = 5300,
  [5301] = 5297,
  [5302] = 5302,
  [5303] = 5295,
  [5304] = 5289,
  [5305] = 5305,
  [5306] = 5306,
  [5307] = 5307,
  [5308] = 5302,
  [5309] = 5309,
  [5310] = 1597,
  [5311] = 5285,
  [5312] = 5312,
  [5313] = 133,
  [5314] = 5314,
  [5315] = 5315,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 134,
  [5319] = 5319,
  [5320] = 5320,
  [5321] = 2178,
  [5322] = 5322,
  [5323] = 5323,
  [5324] = 5288,
  [5325] = 5325,
  [5326] = 5316,
  [5327] = 5327,
  [5328] = 2178,
  [5329] = 5294,
  [5330] = 5306,
  [5331] = 1590,
  [5332] = 5316,
  [5333] = 5291,
  [5334] = 5334,
  [5335] = 2752,
  [5336] = 5336,
  [5337] = 5316,
  [5338] = 5338,
  [5339] = 5339,
  [5340] = 5340,
  [5341] = 5341,
  [5342] = 5322,
  [5343] = 5287,
  [5344] = 5322,
  [5345] = 5345,
  [5346] = 5292,
  [5347] = 5347,
  [5348] = 5348,
  [5349] = 5349,
  [5350] = 5350,
  [5351] = 5323,
  [5352] = 5352,
  [5353] = 5353,
  [5354] = 5290,
  [5355] = 5294,
  [5356] = 5353,
  [5357] = 5292,
  [5358] = 5286,
  [5359] = 5359,
  [5360] = 2166,
  [5361] = 5319,
  [5362] = 5362,
  [5363] = 5325,
  [5364] = 5327,
  [5365] = 5294,
  [5366] = 5309,
  [5367] = 5320,
  [5368] = 5286,
  [5369] = 5294,
  [5370] = 5370,
  [5371] = 5320,
  [5372] = 5372,
  [5373] = 5322,
  [5374] = 5353,
  [5375] = 5322,
  [5376] = 5376,
  [5377] = 5316,
  [5378] = 1599,
  [5379] = 1586,
  [5380] = 1593,
  [5381] = 1591,
  [5382] = 5382,
  [5383] = 5294,
  [5384] = 5290,
  [5385] = 1594,
  [5386] = 5309,
  [5387] = 5302,
  [5388] = 5388,
  [5389] = 1596,
  [5390] = 1583,
  [5391] = 5309,
  [5392] = 5370,
  [5393] = 5294,
  [5394] = 5320,
  [5395] = 5286,
  [5396] = 5327,
  [5397] = 5327,
  [5398] = 5398,
  [5399] = 5316,
  [5400] = 5316,
  [5401] = 1607,
  [5402] = 5294,
  [5403] = 5370,
  [5404] = 5316,
  [5405] = 5405,
  [5406] = 5294,
  [5407] = 5353,
  [5408] = 5292,
  [5409] = 1606,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5322,
  [5413] = 5294,
  [5414] = 2166,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5092,
  [5419] = 5410,
  [5420] = 1598,
  [5421] = 1604,
  [5422] = 5305,
  [5423] = 1579,
  [5424] = 5325,
  [5425] = 5322,
  [5426] = 5370,
  [5427] = 5325,
  [5428] = 5294,
  [5429] = 5429,
  [5430] = 5415,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5302,
  [5434] = 5306,
  [5435] = 5294,
  [5436] = 5436,
  [5437] = 5294,
  [5438] = 5322,
  [5439] = 5294,
  [5440] = 5440,
  [5441] = 5305,
  [5442] = 1589,
  [5443] = 5322,
  [5444] = 5316,
  [5445] = 5445,
  [5446] = 5290,
  [5447] = 5447,
  [5448] = 5290,
  [5449] = 5292,
  [5450] = 5450,
  [5451] = 5092,
  [5452] = 5452,
  [5453] = 5453,
  [5454] = 5454,
  [5455] = 5452,
  [5456] = 5456,
  [5457] = 2181,
  [5458] = 5292,
  [5459] = 5307,
  [5460] = 5460,
  [5461] = 5461,
  [5462] = 5450,
  [5463] = 5388,
  [5464] = 5456,
  [5465] = 5411,
  [5466] = 2752,
  [5467] = 5467,
  [5468] = 5467,
  [5469] = 5345,
  [5470] = 5456,
  [5471] = 5334,
  [5472] = 5461,
  [5473] = 5456,
  [5474] = 5445,
  [5475] = 5452,
  [5476] = 5336,
  [5477] = 5461,
  [5478] = 5478,
  [5479] = 5450,
  [5480] = 5480,
  [5481] = 5338,
  [5482] = 5382,
  [5483] = 5325,
  [5484] = 5467,
  [5485] = 5290,
  [5486] = 5467,
  [5487] = 5461,
  [5488] = 5456,
  [5489] = 5340,
  [5490] = 5490,
  [5491] = 5350,
  [5492] = 5452,
  [5493] = 5493,
  [5494] = 5341,
  [5495] = 5314,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5353,
  [5499] = 5347,
  [5500] = 5461,
  [5501] = 5312,
  [5502] = 5456,
  [5503] = 5348,
  [5504] = 5436,
  [5505] = 5349,
  [5506] = 5461,
  [5507] = 5325,
  [5508] = 5300,
  [5509] = 5509,
  [5510] = 5480,
  [5511] = 5353,
  [5512] = 5339,
  [5513] = 5429,
  [5514] = 5461,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5325,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5515,
  [5523] = 5515,
  [5524] = 5524,
  [5525] = 5353,
  [5526] = 5526,
  [5527] = 5527,
  [5528] = 5528,
  [5529] = 5529,
  [5530] = 5530,
  [5531] = 5290,
  [5532] = 5532,
  [5533] = 5515,
  [5534] = 5292,
  [5535] = 5535,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5541,
  [5542] = 5515,
  [5543] = 5543,
  [5544] = 5544,
  [5545] = 5092,
  [5546] = 5546,
  [5547] = 5547,
  [5548] = 5325,
  [5549] = 5292,
  [5550] = 5550,
  [5551] = 5290,
  [5552] = 5353,
  [5553] = 5553,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5292,
  [5557] = 5555,
  [5558] = 5555,
  [5559] = 2320,
  [5560] = 5560,
  [5561] = 5325,
  [5562] = 1618,
  [5563] = 5353,
  [5564] = 5560,
  [5565] = 5092,
  [5566] = 1621,
  [5567] = 1622,
  [5568] = 5290,
  [5569] = 5560,
  [5570] = 5555,
  [5571] = 786,
  [5572] = 5572,
  [5573] = 5325,
  [5574] = 1842,
  [5575] = 5092,
  [5576] = 5353,
  [5577] = 5292,
  [5578] = 5290,
  [5579] = 1844,
  [5580] = 5560,
  [5581] = 5353,
  [5582] = 5582,
  [5583] = 5555,
  [5584] = 5325,
  [5585] = 5325,
  [5586] = 5586,
  [5587] = 5292,
  [5588] = 5560,
  [5589] = 5589,
  [5590] = 5590,
  [5591] = 5560,
  [5592] = 5592,
  [5593] = 5560,
  [5594] = 787,
  [5595] = 5290,
  [5596] = 5596,
  [5597] = 5555,
  [5598] = 5586,
  [5599] = 5560,
  [5600] = 5560,
  [5601] = 5555,
  [5602] = 5290,
  [5603] = 5353,
  [5604] = 5555,
  [5605] = 5292,
  [5606] = 5555,
  [5607] = 5555,
  [5608] = 5560,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5610,
  [5612] = 5327,
  [5613] = 5610,
  [5614] = 5610,
  [5615] = 5610,
  [5616] = 5610,
  [5617] = 5286,
  [5618] = 5320,
  [5619] = 5092,
  [5620] = 2339,
  [5621] = 5370,
  [5622] = 5092,
  [5623] = 5610,
  [5624] = 5624,
  [5625] = 5625,
  [5626] = 5325,
  [5627] = 5309,
  [5628] = 5628,
  [5629] = 133,
  [5630] = 134,
  [5631] = 5610,
  [5632] = 5416,
  [5633] = 5610,
  [5634] = 5634,
  [5635] = 2292,
  [5636] = 5636,
  [5637] = 5353,
  [5638] = 5638,
  [5639] = 5639,
  [5640] = 5292,
  [5641] = 2178,
  [5642] = 5290,
  [5643] = 5610,
  [5644] = 5309,
  [5645] = 2181,
  [5646] = 5447,
  [5647] = 5610,
  [5648] = 5610,
  [5649] = 1589,
  [5650] = 5610,
  [5651] = 1579,
  [5652] = 1604,
  [5653] = 1590,
  [5654] = 5610,
  [5655] = 1598,
  [5656] = 5290,
  [5657] = 5327,
  [5658] = 1597,
  [5659] = 1606,
  [5660] = 2125,
  [5661] = 5292,
  [5662] = 5286,
  [5663] = 1607,
  [5664] = 1583,
  [5665] = 5665,
  [5666] = 1596,
  [5667] = 5610,
  [5668] = 5325,
  [5669] = 2116,
  [5670] = 5320,
  [5671] = 2142,
  [5672] = 5610,
  [5673] = 5673,
  [5674] = 5610,
  [5675] = 5624,
  [5676] = 5609,
  [5677] = 2102,
  [5678] = 2107,
  [5679] = 5625,
  [5680] = 5628,
  [5681] = 5634,
  [5682] = 5370,
  [5683] = 1599,
  [5684] = 2166,
  [5685] = 5353,
  [5686] = 5636,
  [5687] = 1586,
  [5688] = 2370,
  [5689] = 1593,
  [5690] = 5638,
  [5691] = 5610,
  [5692] = 1594,
  [5693] = 5639,
  [5694] = 1591,
  [5695] = 5695,
  [5696] = 5696,
  [5697] = 5695,
  [5698] = 2217,
  [5699] = 5699,
  [5700] = 5700,
  [5701] = 5701,
  [5702] = 5696,
  [5703] = 5703,
  [5704] = 5696,
  [5705] = 5705,
  [5706] = 5696,
  [5707] = 5699,
  [5708] = 5708,
  [5709] = 5709,
  [5710] = 5695,
  [5711] = 5711,
  [5712] = 5712,
  [5713] = 5695,
  [5714] = 5696,
  [5715] = 5715,
  [5716] = 5699,
  [5717] = 5695,
  [5718] = 5709,
  [5719] = 5719,
  [5720] = 5696,
  [5721] = 5703,
  [5722] = 5722,
  [5723] = 5703,
  [5724] = 5699,
  [5725] = 5292,
  [5726] = 5715,
  [5727] = 5712,
  [5728] = 1843,
  [5729] = 5695,
  [5730] = 5709,
  [5731] = 5290,
  [5732] = 5709,
  [5733] = 5695,
  [5734] = 5696,
  [5735] = 5695,
  [5736] = 5701,
  [5737] = 5699,
  [5738] = 5353,
  [5739] = 5325,
  [5740] = 5639,
  [5741] = 5741,
  [5742] = 5699,
  [5743] = 5743,
  [5744] = 5638,
  [5745] = 5636,
  [5746] = 5695,
  [5747] = 5634,
  [5748] = 5699,
  [5749] = 5292,
  [5750] = 5628,
  [5751] = 1524,
  [5752] = 5625,
  [5753] = 5703,
  [5754] = 5325,
  [5755] = 5609,
  [5756] = 5624,
  [5757] = 5709,
  [5758] = 5758,
  [5759] = 5700,
  [5760] = 5290,
  [5761] = 5695,
  [5762] = 5353,
  [5763] = 5709,
  [5764] = 5709,
  [5765] = 5743,
  [5766] = 5766,
  [5767] = 5092,
  [5768] = 2355,
  [5769] = 2107,
  [5770] = 2102,
  [5771] = 5766,
  [5772] = 5320,
  [5773] = 2422,
  [5774] = 5537,
  [5775] = 1654,
  [5776] = 2116,
  [5777] = 5309,
  [5778] = 5766,
  [5779] = 2424,
  [5780] = 5370,
  [5781] = 5766,
  [5782] = 5546,
  [5783] = 5547,
  [5784] = 5784,
  [5785] = 5766,
  [5786] = 2411,
  [5787] = 5787,
  [5788] = 5309,
  [5789] = 5370,
  [5790] = 5538,
  [5791] = 5530,
  [5792] = 5544,
  [5793] = 5370,
  [5794] = 5320,
  [5795] = 5309,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 5286,
  [5801] = 5528,
  [5802] = 1649,
  [5803] = 1653,
  [5804] = 5320,
  [5805] = 5518,
  [5806] = 2419,
  [5807] = 5327,
  [5808] = 5766,
  [5809] = 5309,
  [5810] = 5543,
  [5811] = 1647,
  [5812] = 2142,
  [5813] = 5784,
  [5814] = 5541,
  [5815] = 5286,
  [5816] = 5816,
  [5817] = 5286,
  [5818] = 2178,
  [5819] = 5553,
  [5820] = 5628,
  [5821] = 5532,
  [5822] = 2418,
  [5823] = 5327,
  [5824] = 5784,
  [5825] = 5327,
  [5826] = 2166,
  [5827] = 2416,
  [5828] = 5516,
  [5829] = 5609,
  [5830] = 5639,
  [5831] = 5766,
  [5832] = 5832,
  [5833] = 5353,
  [5834] = 5766,
  [5835] = 5835,
  [5836] = 5766,
  [5837] = 5624,
  [5838] = 2178,
  [5839] = 5796,
  [5840] = 5840,
  [5841] = 5841,
  [5842] = 5842,
  [5843] = 5843,
  [5844] = 2206,
  [5845] = 5766,
  [5846] = 5554,
  [5847] = 5766,
  [5848] = 5536,
  [5849] = 2166,
  [5850] = 5370,
  [5851] = 2168,
  [5852] = 5784,
  [5853] = 2150,
  [5854] = 5766,
  [5855] = 5766,
  [5856] = 2125,
  [5857] = 2165,
  [5858] = 5766,
  [5859] = 5320,
  [5860] = 5521,
  [5861] = 5861,
  [5862] = 5286,
  [5863] = 5796,
  [5864] = 5784,
  [5865] = 5327,
  [5866] = 5866,
  [5867] = 5292,
  [5868] = 2184,
  [5869] = 5290,
  [5870] = 5625,
  [5871] = 5766,
  [5872] = 5526,
  [5873] = 5784,
  [5874] = 2186,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 2187,
  [5878] = 5878,
  [5879] = 5638,
  [5880] = 5796,
  [5881] = 2163,
  [5882] = 2420,
  [5883] = 5883,
  [5884] = 5766,
  [5885] = 5325,
  [5886] = 5353,
  [5887] = 5784,
  [5888] = 5524,
  [5889] = 5766,
  [5890] = 5290,
  [5891] = 2207,
  [5892] = 2167,
  [5893] = 5292,
  [5894] = 5520,
  [5895] = 5895,
  [5896] = 5636,
  [5897] = 2183,
  [5898] = 5796,
  [5899] = 5529,
  [5900] = 5796,
  [5901] = 5901,
  [5902] = 5766,
  [5903] = 5766,
  [5904] = 5519,
  [5905] = 5796,
  [5906] = 5325,
  [5907] = 5634,
  [5908] = 5908,
  [5909] = 5625,
  [5910] = 5910,
  [5911] = 5908,
  [5912] = 5912,
  [5913] = 5628,
  [5914] = 5914,
  [5915] = 5914,
  [5916] = 5634,
  [5917] = 5636,
  [5918] = 5325,
  [5919] = 5638,
  [5920] = 5908,
  [5921] = 5639,
  [5922] = 5353,
  [5923] = 5923,
  [5924] = 5912,
  [5925] = 5925,
  [5926] = 5926,
  [5927] = 5912,
  [5928] = 5912,
  [5929] = 5912,
  [5930] = 5908,
  [5931] = 5910,
  [5932] = 5923,
  [5933] = 5722,
  [5934] = 5914,
  [5935] = 5908,
  [5936] = 5908,
  [5937] = 5912,
  [5938] = 5625,
  [5939] = 5624,
  [5940] = 5908,
  [5941] = 5908,
  [5942] = 5908,
  [5943] = 5609,
  [5944] = 5609,
  [5945] = 5628,
  [5946] = 5634,
  [5947] = 5636,
  [5948] = 5638,
  [5949] = 5292,
  [5950] = 5639,
  [5951] = 5951,
  [5952] = 2217,
  [5953] = 5353,
  [5954] = 5914,
  [5955] = 5910,
  [5956] = 5912,
  [5957] = 5912,
  [5958] = 5914,
  [5959] = 5910,
  [5960] = 5960,
  [5961] = 5325,
  [5962] = 5912,
  [5963] = 5624,
  [5964] = 5292,
  [5965] = 5290,
  [5966] = 5912,
  [5967] = 5923,
  [5968] = 5923,
  [5969] = 5925,
  [5970] = 5290,
  [5971] = 5908,
  [5972] = 5972,
  [5973] = 2166,
  [5974] = 5972,
  [5975] = 5624,
  [5976] = 5972,
  [5977] = 5325,
  [5978] = 5978,
  [5979] = 5609,
  [5980] = 5625,
  [5981] = 5972,
  [5982] = 5628,
  [5983] = 5286,
  [5984] = 5634,
  [5985] = 5972,
  [5986] = 5701,
  [5987] = 5638,
  [5988] = 2102,
  [5989] = 5972,
  [5990] = 5700,
  [5991] = 5972,
  [5992] = 5972,
  [5993] = 5639,
  [5994] = 2142,
  [5995] = 2107,
  [5996] = 5320,
  [5997] = 5353,
  [5998] = 5370,
  [5999] = 5327,
  [6000] = 5292,
  [6001] = 5286,
  [6002] = 5972,
  [6003] = 2125,
  [6004] = 2178,
  [6005] = 5320,
  [6006] = 5972,
  [6007] = 5743,
  [6008] = 5292,
  [6009] = 5290,
  [6010] = 5370,
  [6011] = 5353,
  [6012] = 5972,
  [6013] = 5309,
  [6014] = 5325,
  [6015] = 5972,
  [6016] = 5972,
  [6017] = 5715,
  [6018] = 5712,
  [6019] = 5972,
  [6020] = 5972,
  [6021] = 6021,
  [6022] = 5972,
  [6023] = 5309,
  [6024] = 3652,
  [6025] = 5972,
  [6026] = 5636,
  [6027] = 6027,
  [6028] = 2116,
  [6029] = 5290,
  [6030] = 6030,
  [6031] = 5972,
  [6032] = 5972,
  [6033] = 5327,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 6036,
  [6037] = 6037,
  [6038] = 5327,
  [6039] = 5743,
  [6040] = 6036,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 6044,
  [6045] = 5639,
  [6046] = 2166,
  [6047] = 6047,
  [6048] = 5286,
  [6049] = 6049,
  [6050] = 6050,
  [6051] = 5320,
  [6052] = 6052,
  [6053] = 6053,
  [6054] = 2217,
  [6055] = 5370,
  [6056] = 5636,
  [6057] = 5638,
  [6058] = 6047,
  [6059] = 5700,
  [6060] = 5701,
  [6061] = 6061,
  [6062] = 6061,
  [6063] = 6036,
  [6064] = 6047,
  [6065] = 6047,
  [6066] = 6037,
  [6067] = 6067,
  [6068] = 6037,
  [6069] = 6037,
  [6070] = 6070,
  [6071] = 5712,
  [6072] = 6037,
  [6073] = 5625,
  [6074] = 6074,
  [6075] = 6047,
  [6076] = 6076,
  [6077] = 6077,
  [6078] = 6078,
  [6079] = 6061,
  [6080] = 6061,
  [6081] = 6047,
  [6082] = 6082,
  [6083] = 6036,
  [6084] = 5638,
  [6085] = 2178,
  [6086] = 5309,
  [6087] = 5636,
  [6088] = 6088,
  [6089] = 6089,
  [6090] = 5634,
  [6091] = 5715,
  [6092] = 6092,
  [6093] = 5628,
  [6094] = 6037,
  [6095] = 2301,
  [6096] = 5327,
  [6097] = 6061,
  [6098] = 6036,
  [6099] = 6099,
  [6100] = 6100,
  [6101] = 5286,
  [6102] = 6047,
  [6103] = 5320,
  [6104] = 6061,
  [6105] = 6105,
  [6106] = 6106,
  [6107] = 6036,
  [6108] = 5624,
  [6109] = 5370,
  [6110] = 6110,
  [6111] = 5309,
  [6112] = 6112,
  [6113] = 6113,
  [6114] = 5624,
  [6115] = 6061,
  [6116] = 5609,
  [6117] = 5625,
  [6118] = 6037,
  [6119] = 6119,
  [6120] = 6036,
  [6121] = 6121,
  [6122] = 5609,
  [6123] = 6123,
  [6124] = 6121,
  [6125] = 1516,
  [6126] = 1523,
  [6127] = 1521,
  [6128] = 6121,
  [6129] = 6129,
  [6130] = 6121,
  [6131] = 6121,
  [6132] = 1517,
  [6133] = 1518,
  [6134] = 6134,
  [6135] = 1519,
  [6136] = 1522,
  [6137] = 6121,
  [6138] = 6138,
  [6139] = 6121,
  [6140] = 6121,
  [6141] = 6141,
  [6142] = 6142,
  [6143] = 6143,
  [6144] = 5624,
  [6145] = 5639,
  [6146] = 6146,
  [6147] = 6121,
  [6148] = 5638,
  [6149] = 6121,
  [6150] = 6129,
  [6151] = 6151,
  [6152] = 6121,
  [6153] = 6121,
  [6154] = 6121,
  [6155] = 5636,
  [6156] = 5634,
  [6157] = 6157,
  [6158] = 5628,
  [6159] = 5625,
  [6160] = 6160,
  [6161] = 2166,
  [6162] = 6162,
  [6163] = 6160,
  [6164] = 5628,
  [6165] = 6160,
  [6166] = 6160,
  [6167] = 6167,
  [6168] = 6167,
  [6169] = 6160,
  [6170] = 6162,
  [6171] = 6171,
  [6172] = 6160,
  [6173] = 6160,
  [6174] = 6160,
  [6175] = 5589,
  [6176] = 6160,
  [6177] = 6160,
  [6178] = 6178,
  [6179] = 6160,
  [6180] = 6160,
  [6181] = 6181,
  [6182] = 6160,
  [6183] = 5636,
  [6184] = 6162,
  [6185] = 6160,
  [6186] = 5638,
  [6187] = 6160,
  [6188] = 6162,
  [6189] = 5592,
  [6190] = 5639,
  [6191] = 5624,
  [6192] = 6178,
  [6193] = 6181,
  [6194] = 6160,
  [6195] = 6195,
  [6196] = 6160,
  [6197] = 6181,
  [6198] = 5625,
  [6199] = 6160,
  [6200] = 5634,
  [6201] = 6181,
  [6202] = 6160,
  [6203] = 6160,
  [6204] = 6162,
  [6205] = 6160,
  [6206] = 6167,
  [6207] = 6178,
  [6208] = 6162,
  [6209] = 6178,
  [6210] = 6167,
  [6211] = 6162,
  [6212] = 5609,
  [6213] = 2178,
  [6214] = 6214,
  [6215] = 6215,
  [6216] = 5743,
  [6217] = 5639,
  [6218] = 6218,
  [6219] = 5712,
  [6220] = 5715,
  [6221] = 6221,
  [6222] = 6222,
  [6223] = 5638,
  [6224] = 5636,
  [6225] = 5634,
  [6226] = 5628,
  [6227] = 6227,
  [6228] = 5589,
  [6229] = 6229,
  [6230] = 2292,
  [6231] = 6221,
  [6232] = 6221,
  [6233] = 5625,
  [6234] = 5609,
  [6235] = 5624,
  [6236] = 5878,
  [6237] = 5701,
  [6238] = 6221,
  [6239] = 6239,
  [6240] = 5901,
  [6241] = 6241,
  [6242] = 6221,
  [6243] = 6221,
  [6244] = 5832,
  [6245] = 5700,
  [6246] = 6229,
  [6247] = 6221,
  [6248] = 6248,
  [6249] = 5592,
  [6250] = 6250,
  [6251] = 6229,
  [6252] = 6252,
  [6253] = 6222,
  [6254] = 6254,
  [6255] = 6255,
  [6256] = 6229,
  [6257] = 6222,
  [6258] = 6258,
  [6259] = 6222,
  [6260] = 5799,
  [6261] = 6261,
  [6262] = 5816,
  [6263] = 5639,
  [6264] = 2125,
  [6265] = 6265,
  [6266] = 5625,
  [6267] = 5636,
  [6268] = 5638,
  [6269] = 6269,
  [6270] = 5624,
  [6271] = 5634,
  [6272] = 6272,
  [6273] = 5636,
  [6274] = 6274,
  [6275] = 5628,
  [6276] = 6274,
  [6277] = 5638,
  [6278] = 6278,
  [6279] = 2324,
  [6280] = 6280,
  [6281] = 6269,
  [6282] = 2306,
  [6283] = 2292,
  [6284] = 6284,
  [6285] = 2142,
  [6286] = 5609,
  [6287] = 5625,
  [6288] = 5634,
  [6289] = 6289,
  [6290] = 6265,
  [6291] = 2291,
  [6292] = 5628,
  [6293] = 6293,
  [6294] = 2107,
  [6295] = 6293,
  [6296] = 2102,
  [6297] = 6297,
  [6298] = 6269,
  [6299] = 6293,
  [6300] = 6265,
  [6301] = 2116,
  [6302] = 6269,
  [6303] = 5639,
  [6304] = 6304,
  [6305] = 6274,
  [6306] = 6306,
  [6307] = 6293,
  [6308] = 5624,
  [6309] = 6309,
  [6310] = 6274,
  [6311] = 6311,
  [6312] = 5609,
  [6313] = 6265,
  [6314] = 6314,
  [6315] = 6315,
  [6316] = 6316,
  [6317] = 6316,
  [6318] = 6318,
  [6319] = 6319,
  [6320] = 6315,
  [6321] = 6314,
  [6322] = 6322,
  [6323] = 6323,
  [6324] = 6314,
  [6325] = 6316,
  [6326] = 6315,
  [6327] = 6314,
  [6328] = 6323,
  [6329] = 6329,
  [6330] = 6330,
  [6331] = 6315,
  [6332] = 6030,
  [6333] = 6333,
  [6334] = 6323,
  [6335] = 6335,
  [6336] = 6329,
  [6337] = 6337,
  [6338] = 6316,
  [6339] = 6339,
  [6340] = 6315,
  [6341] = 2292,
  [6342] = 6314,
  [6343] = 6316,
  [6344] = 6323,
  [6345] = 6315,
  [6346] = 6315,
  [6347] = 2217,
  [6348] = 6348,
  [6349] = 6027,
  [6350] = 6350,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 6323,
  [6355] = 6316,
  [6356] = 6021,
  [6357] = 6357,
  [6358] = 6314,
  [6359] = 6316,
  [6360] = 2292,
  [6361] = 6323,
  [6362] = 6322,
  [6363] = 6363,
  [6364] = 6323,
  [6365] = 6314,
  [6366] = 6366,
  [6367] = 6367,
  [6368] = 6368,
  [6369] = 6369,
  [6370] = 6370,
  [6371] = 5639,
  [6372] = 6372,
  [6373] = 6373,
  [6374] = 6374,
  [6375] = 6375,
  [6376] = 6368,
  [6377] = 6377,
  [6378] = 6378,
  [6379] = 2292,
  [6380] = 6380,
  [6381] = 6381,
  [6382] = 6370,
  [6383] = 6383,
  [6384] = 6380,
  [6385] = 6383,
  [6386] = 6368,
  [6387] = 6387,
  [6388] = 6370,
  [6389] = 6389,
  [6390] = 6372,
  [6391] = 6380,
  [6392] = 2245,
  [6393] = 5609,
  [6394] = 6387,
  [6395] = 6380,
  [6396] = 6377,
  [6397] = 6397,
  [6398] = 5638,
  [6399] = 5636,
  [6400] = 6375,
  [6401] = 5634,
  [6402] = 6372,
  [6403] = 5628,
  [6404] = 5625,
  [6405] = 5624,
  [6406] = 6387,
  [6407] = 6407,
  [6408] = 6377,
  [6409] = 6369,
  [6410] = 6374,
  [6411] = 6378,
  [6412] = 6375,
  [6413] = 6413,
  [6414] = 6377,
  [6415] = 6415,
  [6416] = 6377,
  [6417] = 6378,
  [6418] = 6383,
  [6419] = 6419,
  [6420] = 6389,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6373,
  [6424] = 6373,
  [6425] = 2292,
  [6426] = 6426,
  [6427] = 6427,
  [6428] = 6428,
  [6429] = 6429,
  [6430] = 6430,
  [6431] = 6431,
  [6432] = 6432,
  [6433] = 6433,
  [6434] = 6434,
  [6435] = 6435,
  [6436] = 6436,
  [6437] = 6437,
  [6438] = 6438,
  [6439] = 6439,
  [6440] = 6437,
  [6441] = 6438,
  [6442] = 6431,
  [6443] = 6443,
  [6444] = 6437,
  [6445] = 6443,
  [6446] = 6438,
  [6447] = 6447,
  [6448] = 6431,
  [6449] = 6434,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6437,
  [6453] = 6432,
  [6454] = 6435,
  [6455] = 6437,
  [6456] = 6456,
  [6457] = 6438,
  [6458] = 6458,
  [6459] = 6459,
  [6460] = 6460,
  [6461] = 6435,
  [6462] = 6462,
  [6463] = 6463,
  [6464] = 6434,
  [6465] = 6465,
  [6466] = 6431,
  [6467] = 6451,
  [6468] = 6429,
  [6469] = 6437,
  [6470] = 6437,
  [6471] = 6431,
  [6472] = 6438,
  [6473] = 6465,
  [6474] = 6430,
  [6475] = 6432,
  [6476] = 6431,
  [6477] = 6437,
  [6478] = 6478,
  [6479] = 6478,
  [6480] = 6480,
  [6481] = 6427,
  [6482] = 5592,
  [6483] = 6438,
  [6484] = 6447,
  [6485] = 6431,
  [6486] = 6426,
  [6487] = 6431,
  [6488] = 6463,
  [6489] = 6451,
  [6490] = 6490,
  [6491] = 6437,
  [6492] = 6438,
  [6493] = 6438,
  [6494] = 6438,
  [6495] = 6495,
  [6496] = 6496,
  [6497] = 6463,
  [6498] = 6456,
  [6499] = 6432,
  [6500] = 6428,
  [6501] = 6451,
  [6502] = 6502,
  [6503] = 6430,
  [6504] = 6431,
  [6505] = 6443,
  [6506] = 6437,
  [6507] = 6463,
  [6508] = 6465,
  [6509] = 6460,
  [6510] = 6438,
  [6511] = 6456,
  [6512] = 6512,
  [6513] = 6431,
  [6514] = 6429,
  [6515] = 6432,
  [6516] = 6435,
  [6517] = 6426,
  [6518] = 6426,
  [6519] = 6465,
  [6520] = 6437,
  [6521] = 6434,
  [6522] = 6443,
  [6523] = 6437,
  [6524] = 6465,
  [6525] = 6465,
  [6526] = 6526,
  [6527] = 6447,
  [6528] = 6443,
  [6529] = 6450,
  [6530] = 6526,
  [6531] = 6531,
  [6532] = 6532,
  [6533] = 6434,
  [6534] = 6478,
  [6535] = 6428,
  [6536] = 6460,
  [6537] = 6438,
  [6538] = 6432,
  [6539] = 6539,
  [6540] = 6463,
  [6541] = 6435,
  [6542] = 6427,
  [6543] = 6456,
  [6544] = 6526,
  [6545] = 6430,
  [6546] = 6460,
  [6547] = 6451,
  [6548] = 6548,
  [6549] = 6450,
  [6550] = 6427,
  [6551] = 6429,
  [6552] = 6447,
  [6553] = 6429,
  [6554] = 6462,
  [6555] = 6426,
  [6556] = 6443,
  [6557] = 6447,
  [6558] = 6558,
  [6559] = 6559,
  [6560] = 6462,
  [6561] = 6561,
  [6562] = 6431,
  [6563] = 6431,
  [6564] = 6564,
  [6565] = 6438,
  [6566] = 6438,
  [6567] = 6478,
  [6568] = 6436,
  [6569] = 6450,
  [6570] = 6463,
  [6571] = 6430,
  [6572] = 6443,
  [6573] = 6429,
  [6574] = 6526,
  [6575] = 6432,
  [6576] = 6426,
  [6577] = 6577,
  [6578] = 6428,
  [6579] = 6437,
  [6580] = 6465,
  [6581] = 6426,
  [6582] = 6435,
  [6583] = 6428,
  [6584] = 6429,
  [6585] = 6478,
  [6586] = 6447,
  [6587] = 6465,
  [6588] = 6434,
  [6589] = 6435,
  [6590] = 6438,
  [6591] = 6437,
  [6592] = 6431,
  [6593] = 6465,
  [6594] = 6437,
  [6595] = 6428,
  [6596] = 6427,
  [6597] = 6462,
  [6598] = 6436,
  [6599] = 6599,
  [6600] = 6462,
  [6601] = 6460,
  [6602] = 6478,
  [6603] = 6463,
  [6604] = 6435,
  [6605] = 6451,
  [6606] = 6478,
  [6607] = 6434,
  [6608] = 6431,
  [6609] = 6429,
  [6610] = 6460,
  [6611] = 6611,
  [6612] = 6462,
  [6613] = 6426,
  [6614] = 6614,
  [6615] = 6431,
  [6616] = 6450,
  [6617] = 6443,
  [6618] = 6431,
  [6619] = 6443,
  [6620] = 6450,
  [6621] = 6438,
  [6622] = 6427,
  [6623] = 6427,
  [6624] = 6428,
  [6625] = 6625,
  [6626] = 6463,
  [6627] = 6426,
  [6628] = 6451,
  [6629] = 6450,
  [6630] = 6456,
  [6631] = 6462,
  [6632] = 6447,
  [6633] = 6633,
  [6634] = 6443,
  [6635] = 6437,
  [6636] = 6465,
  [6637] = 6465,
  [6638] = 6426,
  [6639] = 6434,
  [6640] = 6437,
  [6641] = 6460,
  [6642] = 6438,
  [6643] = 6438,
  [6644] = 6451,
  [6645] = 6463,
  [6646] = 6646,
  [6647] = 6460,
  [6648] = 6526,
  [6649] = 6451,
  [6650] = 6650,
  [6651] = 6427,
  [6652] = 6426,
  [6653] = 6438,
  [6654] = 6654,
  [6655] = 6428,
  [6656] = 6462,
  [6657] = 6450,
  [6658] = 6428,
  [6659] = 6460,
  [6660] = 6660,
  [6661] = 6426,
  [6662] = 6430,
  [6663] = 6465,
  [6664] = 6437,
  [6665] = 6462,
  [6666] = 6460,
  [6667] = 6443,
  [6668] = 6435,
  [6669] = 6434,
  [6670] = 6450,
  [6671] = 6526,
  [6672] = 6429,
  [6673] = 6673,
  [6674] = 6428,
  [6675] = 6456,
  [6676] = 6429,
  [6677] = 6677,
  [6678] = 6427,
  [6679] = 6679,
  [6680] = 6456,
  [6681] = 6431,
  [6682] = 6438,
  [6683] = 6436,
  [6684] = 6437,
  [6685] = 6443,
  [6686] = 6686,
  [6687] = 6687,
  [6688] = 6688,
  [6689] = 6689,
  [6690] = 6690,
  [6691] = 6691,
  [6692] = 6692,
  [6693] = 6688,
  [6694] = 6694,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6700,
  [6701] = 6701,
  [6702] = 6702,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6696,
  [6706] = 6706,
  [6707] = 6707,
  [6708] = 6708,
  [6709] = 6709,
  [6710] = 6710,
  [6711] = 6711,
  [6712] = 6712,
  [6713] = 6713,
  [6714] = 6714,
  [6715] = 6715,
  [6716] = 6702,
  [6717] = 6717,
  [6718] = 6718,
  [6719] = 6719,
  [6720] = 6720,
  [6721] = 6688,
  [6722] = 6722,
  [6723] = 6723,
  [6724] = 6724,
  [6725] = 6725,
  [6726] = 6726,
  [6727] = 6727,
  [6728] = 6697,
  [6729] = 6707,
  [6730] = 6726,
  [6731] = 6706,
  [6732] = 6718,
  [6733] = 6733,
  [6734] = 6720,
  [6735] = 6709,
  [6736] = 6736,
  [6737] = 6737,
  [6738] = 6738,
  [6739] = 6712,
  [6740] = 6740,
  [6741] = 6741,
  [6742] = 6742,
  [6743] = 6743,
  [6744] = 6698,
  [6745] = 6745,
  [6746] = 6746,
  [6747] = 6747,
  [6748] = 6748,
  [6749] = 6714,
  [6750] = 6713,
  [6751] = 6746,
  [6752] = 6752,
  [6753] = 6713,
  [6754] = 6714,
  [6755] = 6712,
  [6756] = 6756,
  [6757] = 6709,
  [6758] = 6711,
  [6759] = 6759,
  [6760] = 6707,
  [6761] = 6706,
  [6762] = 6762,
  [6763] = 6702,
  [6764] = 6764,
  [6765] = 6765,
  [6766] = 6766,
  [6767] = 6767,
  [6768] = 6768,
  [6769] = 6769,
  [6770] = 6710,
  [6771] = 6715,
  [6772] = 6694,
  [6773] = 6773,
  [6774] = 6726,
  [6775] = 6686,
  [6776] = 6694,
  [6777] = 6723,
  [6778] = 6778,
  [6779] = 6779,
  [6780] = 6688,
  [6781] = 6781,
  [6782] = 6782,
  [6783] = 6764,
  [6784] = 6689,
  [6785] = 6718,
  [6786] = 6694,
  [6787] = 6787,
  [6788] = 6697,
  [6789] = 6712,
  [6790] = 6713,
  [6791] = 6714,
  [6792] = 6792,
  [6793] = 6793,
  [6794] = 6704,
  [6795] = 6714,
  [6796] = 6796,
  [6797] = 6713,
  [6798] = 6718,
  [6799] = 6799,
  [6800] = 6764,
  [6801] = 6801,
  [6802] = 6712,
  [6803] = 6704,
  [6804] = 6718,
  [6805] = 6720,
  [6806] = 6695,
  [6807] = 6807,
  [6808] = 6255,
  [6809] = 6706,
  [6810] = 6810,
  [6811] = 6706,
  [6812] = 6695,
  [6813] = 6813,
  [6814] = 6799,
  [6815] = 6711,
  [6816] = 6694,
  [6817] = 6714,
  [6818] = 6818,
  [6819] = 6699,
  [6820] = 6700,
  [6821] = 6701,
  [6822] = 6713,
  [6823] = 6823,
  [6824] = 6824,
  [6825] = 6712,
  [6826] = 6826,
  [6827] = 6704,
  [6828] = 6706,
  [6829] = 6707,
  [6830] = 6695,
  [6831] = 6706,
  [6832] = 6720,
  [6833] = 6709,
  [6834] = 6834,
  [6835] = 6701,
  [6836] = 6700,
  [6837] = 6699,
  [6838] = 6709,
  [6839] = 6839,
  [6840] = 6826,
  [6841] = 6694,
  [6842] = 6694,
  [6843] = 6768,
  [6844] = 232,
  [6845] = 6711,
  [6846] = 6708,
  [6847] = 6688,
  [6848] = 6723,
  [6849] = 6712,
  [6850] = 6713,
  [6851] = 6714,
  [6852] = 6709,
  [6853] = 6689,
  [6854] = 6689,
  [6855] = 6688,
  [6856] = 6813,
  [6857] = 6707,
  [6858] = 6727,
  [6859] = 6686,
  [6860] = 6860,
  [6861] = 6706,
  [6862] = 6686,
  [6863] = 6707,
  [6864] = 6864,
  [6865] = 6865,
  [6866] = 6866,
  [6867] = 6867,
  [6868] = 6720,
  [6869] = 6706,
  [6870] = 6709,
  [6871] = 6813,
  [6872] = 6726,
  [6873] = 6765,
  [6874] = 6694,
  [6875] = 6712,
  [6876] = 6713,
  [6877] = 6714,
  [6878] = 6878,
  [6879] = 6746,
  [6880] = 6880,
  [6881] = 6881,
  [6882] = 6726,
  [6883] = 6708,
  [6884] = 6696,
  [6885] = 6709,
  [6886] = 6886,
  [6887] = 6826,
  [6888] = 6726,
  [6889] = 6889,
  [6890] = 6890,
  [6891] = 6708,
  [6892] = 6701,
  [6893] = 6706,
  [6894] = 6700,
  [6895] = 6727,
  [6896] = 6896,
  [6897] = 6694,
  [6898] = 6712,
  [6899] = 6713,
  [6900] = 6714,
  [6901] = 6901,
  [6902] = 6902,
  [6903] = 6813,
  [6904] = 6904,
  [6905] = 6699,
  [6906] = 6726,
  [6907] = 6698,
  [6908] = 6908,
  [6909] = 6909,
  [6910] = 6910,
  [6911] = 6765,
  [6912] = 6912,
  [6913] = 6813,
  [6914] = 2292,
  [6915] = 6706,
  [6916] = 6916,
  [6917] = 6695,
  [6918] = 6918,
  [6919] = 6694,
  [6920] = 6712,
  [6921] = 6713,
  [6922] = 6714,
  [6923] = 6764,
  [6924] = 6711,
  [6925] = 6704,
  [6926] = 6768,
  [6927] = 6927,
  [6928] = 6694,
  [6929] = 6698,
  [6930] = 6712,
  [6931] = 6801,
  [6932] = 6713,
  [6933] = 6933,
  [6934] = 6688,
  [6935] = 6935,
  [6936] = 6720,
  [6937] = 6706,
  [6938] = 6726,
  [6939] = 6699,
  [6940] = 6689,
  [6941] = 6694,
  [6942] = 6712,
  [6943] = 6713,
  [6944] = 6714,
  [6945] = 6700,
  [6946] = 6701,
  [6947] = 6702,
  [6948] = 6689,
  [6949] = 6824,
  [6950] = 6826,
  [6951] = 6951,
  [6952] = 6727,
  [6953] = 6710,
  [6954] = 6951,
  [6955] = 6715,
  [6956] = 6714,
  [6957] = 6726,
  [6958] = 6706,
  [6959] = 6686,
  [6960] = 6723,
  [6961] = 6694,
  [6962] = 6712,
  [6963] = 6713,
  [6964] = 6714,
  [6965] = 6723,
  [6966] = 6768,
  [6967] = 6967,
  [6968] = 6746,
  [6969] = 6697,
  [6970] = 6686,
  [6971] = 6834,
  [6972] = 6764,
  [6973] = 6702,
  [6974] = 6718,
  [6975] = 6726,
  [6976] = 6696,
  [6977] = 6977,
  [6978] = 6706,
  [6979] = 6710,
  [6980] = 6720,
  [6981] = 6694,
  [6982] = 6712,
  [6983] = 6713,
  [6984] = 6714,
  [6985] = 6706,
  [6986] = 6813,
  [6987] = 6765,
  [6988] = 6698,
  [6989] = 6698,
  [6990] = 6714,
  [6991] = 6991,
  [6992] = 6713,
  [6993] = 6712,
  [6994] = 6702,
  [6995] = 6704,
  [6996] = 6720,
  [6997] = 6706,
  [6998] = 6708,
  [6999] = 6695,
  [7000] = 6694,
  [7001] = 6712,
  [7002] = 6713,
  [7003] = 6714,
  [7004] = 6710,
  [7005] = 6702,
  [7006] = 229,
  [7007] = 6706,
  [7008] = 6718,
  [7009] = 6715,
  [7010] = 6799,
  [7011] = 6706,
  [7012] = 6746,
  [7013] = 6706,
  [7014] = 6708,
  [7015] = 6707,
  [7016] = 6768,
  [7017] = 6813,
  [7018] = 7018,
  [7019] = 6694,
  [7020] = 6764,
  [7021] = 6689,
  [7022] = 6711,
  [7023] = 6741,
  [7024] = 6710,
  [7025] = 6697,
  [7026] = 6726,
  [7027] = 6715,
  [7028] = 6706,
  [7029] = 6826,
  [7030] = 6826,
  [7031] = 6768,
  [7032] = 7032,
  [7033] = 6701,
  [7034] = 6700,
  [7035] = 6699,
  [7036] = 7036,
  [7037] = 6688,
  [7038] = 6699,
  [7039] = 6700,
  [7040] = 6701,
  [7041] = 6694,
  [7042] = 6723,
  [7043] = 6686,
  [7044] = 6723,
  [7045] = 6768,
  [7046] = 6824,
  [7047] = 6715,
  [7048] = 7048,
  [7049] = 7049,
  [7050] = 6715,
  [7051] = 6826,
  [7052] = 6834,
  [7053] = 6706,
  [7054] = 6951,
  [7055] = 7055,
  [7056] = 6801,
  [7057] = 6764,
  [7058] = 6710,
  [7059] = 6799,
  [7060] = 6746,
  [7061] = 7061,
  [7062] = 6718,
  [7063] = 6881,
  [7064] = 7064,
  [7065] = 6711,
  [7066] = 6697,
  [7067] = 6726,
  [7068] = 6707,
  [7069] = 6714,
  [7070] = 6713,
  [7071] = 6712,
  [7072] = 6824,
  [7073] = 6704,
  [7074] = 6695,
  [7075] = 6701,
  [7076] = 6700,
  [7077] = 6699,
  [7078] = 7078,
  [7079] = 7079,
  [7080] = 7080,
  [7081] = 7081,
  [7082] = 2372,
  [7083] = 7083,
  [7084] = 7084,
  [7085] = 2369,
  [7086] = 7086,
  [7087] = 2368,
  [7088] = 7088,
  [7089] = 2367,
  [7090] = 2364,
  [7091] = 2338,
  [7092] = 7092,
  [7093] = 7093,
  [7094] = 2343,
  [7095] = 7095,
  [7096] = 7096,
  [7097] = 7097,
  [7098] = 7098,
  [7099] = 7098,
  [7100] = 7098,
  [7101] = 7098,
  [7102] = 7102,
  [7103] = 7098,
  [7104] = 7098,
  [7105] = 7098,
  [7106] = 7098,
  [7107] = 7098,
  [7108] = 7098,
  [7109] = 7098,
  [7110] = 2386,
  [7111] = 7098,
  [7112] = 7086,
  [7113] = 7113,
  [7114] = 7114,
  [7115] = 7098,
  [7116] = 2373,
  [7117] = 7113,
  [7118] = 7098,
  [7119] = 7119,
  [7120] = 7113,
  [7121] = 7093,
  [7122] = 7095,
  [7123] = 7098,
  [7124] = 7113,
  [7125] = 7096,
  [7126] = 7126,
  [7127] = 7081,
  [7128] = 7128,
  [7129] = 7129,
  [7130] = 7098,
  [7131] = 7083,
  [7132] = 7132,
  [7133] = 7133,
  [7134] = 7095,
  [7135] = 7135,
  [7136] = 7136,
  [7137] = 7078,
  [7138] = 7138,
  [7139] = 7096,
  [7140] = 7140,
  [7141] = 7136,
  [7142] = 7142,
  [7143] = 7143,
  [7144] = 7138,
  [7145] = 7096,
  [7146] = 7146,
  [7147] = 7133,
  [7148] = 7113,
  [7149] = 7149,
  [7150] = 7080,
  [7151] = 7142,
  [7152] = 7096,
  [7153] = 7153,
  [7154] = 7143,
  [7155] = 7149,
  [7156] = 7156,
  [7157] = 7098,
  [7158] = 7149,
  [7159] = 7133,
  [7160] = 7097,
  [7161] = 7078,
  [7162] = 7162,
  [7163] = 7163,
  [7164] = 7164,
  [7165] = 7079,
  [7166] = 7166,
  [7167] = 7142,
  [7168] = 7143,
  [7169] = 7084,
  [7170] = 7170,
  [7171] = 7171,
  [7172] = 7172,
  [7173] = 7146,
  [7174] = 7088,
  [7175] = 7113,
  [7176] = 7079,
  [7177] = 7149,
  [7178] = 7113,
  [7179] = 7179,
  [7180] = 7180,
  [7181] = 7146,
  [7182] = 7096,
  [7183] = 7143,
  [7184] = 7184,
  [7185] = 7142,
  [7186] = 7135,
  [7187] = 7187,
  [7188] = 7092,
  [7189] = 7184,
  [7190] = 7184,
  [7191] = 7133,
  [7192] = 7192,
  [7193] = 7078,
  [7194] = 7149,
  [7195] = 7195,
  [7196] = 7196,
  [7197] = 7133,
  [7198] = 7142,
  [7199] = 7143,
  [7200] = 2376,
  [7201] = 7142,
  [7202] = 7143,
  [7203] = 7149,
  [7204] = 7146,
  [7205] = 7097,
  [7206] = 7113,
  [7207] = 7079,
  [7208] = 7162,
  [7209] = 7149,
  [7210] = 7133,
  [7211] = 7140,
  [7212] = 7212,
  [7213] = 7213,
  [7214] = 7214,
  [7215] = 7215,
  [7216] = 7216,
  [7217] = 7217,
  [7218] = 7096,
  [7219] = 7219,
  [7220] = 7220,
  [7221] = 7221,
  [7222] = 7222,
  [7223] = 7223,
  [7224] = 7224,
  [7225] = 7225,
  [7226] = 7083,
  [7227] = 7163,
  [7228] = 7095,
  [7229] = 7229,
  [7230] = 7138,
  [7231] = 7096,
  [7232] = 7232,
  [7233] = 7079,
  [7234] = 7140,
  [7235] = 7133,
  [7236] = 7149,
  [7237] = 7097,
  [7238] = 7162,
  [7239] = 7078,
  [7240] = 7166,
  [7241] = 7163,
  [7242] = 7088,
  [7243] = 7079,
  [7244] = 7166,
  [7245] = 7170,
  [7246] = 7246,
  [7247] = 7179,
  [7248] = 7113,
  [7249] = 7146,
  [7250] = 7084,
  [7251] = 7143,
  [7252] = 7142,
  [7253] = 7142,
  [7254] = 7143,
  [7255] = 7084,
  [7256] = 7135,
  [7257] = 7170,
  [7258] = 7146,
  [7259] = 7084,
  [7260] = 7081,
  [7261] = 7086,
  [7262] = 7113,
  [7263] = 7170,
  [7264] = 7092,
  [7265] = 7184,
  [7266] = 7166,
  [7267] = 7079,
  [7268] = 7080,
  [7269] = 7269,
  [7270] = 7135,
  [7271] = 7195,
  [7272] = 7149,
  [7273] = 7078,
  [7274] = 7274,
  [7275] = 7133,
  [7276] = 7276,
  [7277] = 7084,
  [7278] = 7140,
  [7279] = 7212,
  [7280] = 7081,
  [7281] = 7086,
  [7282] = 7096,
  [7283] = 7213,
  [7284] = 7214,
  [7285] = 7214,
  [7286] = 7286,
  [7287] = 7287,
  [7288] = 7172,
  [7289] = 7083,
  [7290] = 7080,
  [7291] = 7135,
  [7292] = 7113,
  [7293] = 7084,
  [7294] = 7294,
  [7295] = 7081,
  [7296] = 7296,
  [7297] = 7086,
  [7298] = 7149,
  [7299] = 7196,
  [7300] = 7214,
  [7301] = 7213,
  [7302] = 7083,
  [7303] = 7138,
  [7304] = 7172,
  [7305] = 7140,
  [7306] = 7080,
  [7307] = 7133,
  [7308] = 7096,
  [7309] = 7135,
  [7310] = 7128,
  [7311] = 7078,
  [7312] = 7149,
  [7313] = 7195,
  [7314] = 7162,
  [7315] = 7184,
  [7316] = 7316,
  [7317] = 7163,
  [7318] = 7096,
  [7319] = 7079,
  [7320] = 7320,
  [7321] = 7166,
  [7322] = 7088,
  [7323] = 7084,
  [7324] = 7113,
  [7325] = 7170,
  [7326] = 7092,
  [7327] = 7081,
  [7328] = 7093,
  [7329] = 7142,
  [7330] = 7143,
  [7331] = 7086,
  [7332] = 7146,
  [7333] = 7113,
  [7334] = 7179,
  [7335] = 7146,
  [7336] = 7143,
  [7337] = 7113,
  [7338] = 7170,
  [7339] = 7142,
  [7340] = 7166,
  [7341] = 7079,
  [7342] = 7172,
  [7343] = 7343,
  [7344] = 7344,
  [7345] = 7080,
  [7346] = 7346,
  [7347] = 7135,
  [7348] = 7128,
  [7349] = 7092,
  [7350] = 7184,
  [7351] = 7195,
  [7352] = 7196,
  [7353] = 7172,
  [7354] = 7078,
  [7355] = 7195,
  [7356] = 7097,
  [7357] = 7357,
  [7358] = 7088,
  [7359] = 7084,
  [7360] = 7133,
  [7361] = 7096,
  [7362] = 7096,
  [7363] = 7363,
  [7364] = 7138,
  [7365] = 7196,
  [7366] = 7083,
  [7367] = 7078,
  [7368] = 7179,
  [7369] = 7081,
  [7370] = 7140,
  [7371] = 7212,
  [7372] = 7095,
  [7373] = 7093,
  [7374] = 7086,
  [7375] = 7213,
  [7376] = 7086,
  [7377] = 7128,
  [7378] = 7195,
  [7379] = 7093,
  [7380] = 7113,
  [7381] = 7095,
  [7382] = 7096,
  [7383] = 7212,
  [7384] = 7214,
  [7385] = 7081,
  [7386] = 7140,
  [7387] = 7387,
  [7388] = 7214,
  [7389] = 7389,
  [7390] = 7083,
  [7391] = 7138,
  [7392] = 7096,
  [7393] = 7096,
  [7394] = 7149,
  [7395] = 7172,
  [7396] = 7140,
  [7397] = 7133,
  [7398] = 7135,
  [7399] = 7133,
  [7400] = 7113,
  [7401] = 7084,
  [7402] = 7088,
  [7403] = 7142,
  [7404] = 7097,
  [7405] = 7142,
  [7406] = 7143,
  [7407] = 7078,
  [7408] = 7143,
  [7409] = 7170,
  [7410] = 7184,
  [7411] = 7146,
  [7412] = 7080,
  [7413] = 7146,
  [7414] = 7162,
  [7415] = 7166,
  [7416] = 7128,
  [7417] = 7417,
  [7418] = 7418,
  [7419] = 7419,
  [7420] = 7420,
  [7421] = 7421,
  [7422] = 7422,
  [7423] = 7423,
  [7424] = 7424,
  [7425] = 7425,
  [7426] = 7426,
  [7427] = 7427,
  [7428] = 7428,
  [7429] = 7429,
  [7430] = 7430,
  [7431] = 7431,
  [7432] = 7432,
  [7433] = 7433,
  [7434] = 7434,
  [7435] = 7435,
  [7436] = 7436,
  [7437] = 7437,
  [7438] = 7438,
  [7439] = 7439,
  [7440] = 7440,
  [7441] = 7441,
  [7442] = 7442,
  [7443] = 7443,
  [7444] = 7444,
  [7445] = 7445,
  [7446] = 7446,
  [7447] = 7447,
  [7448] = 6367,
  [7449] = 7449,
  [7450] = 7439,
  [7451] = 7451,
  [7452] = 7452,
  [7453] = 7426,
  [7454] = 7454,
  [7455] = 7455,
  [7456] = 7422,
  [7457] = 7457,
  [7458] = 7458,
  [7459] = 7459,
  [7460] = 7421,
  [7461] = 7461,
  [7462] = 7438,
  [7463] = 7463,
  [7464] = 7464,
  [7465] = 7465,
  [7466] = 7466,
  [7467] = 7467,
  [7468] = 7468,
  [7469] = 7469,
  [7470] = 7470,
  [7471] = 7471,
  [7472] = 7472,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 7424,
  [7476] = 7420,
  [7477] = 7461,
  [7478] = 7478,
  [7479] = 7479,
  [7480] = 7480,
  [7481] = 7481,
  [7482] = 7482,
  [7483] = 7483,
  [7484] = 7469,
  [7485] = 7485,
  [7486] = 7486,
  [7487] = 7487,
  [7488] = 7488,
  [7489] = 7489,
  [7490] = 7490,
  [7491] = 7489,
  [7492] = 7492,
  [7493] = 7493,
  [7494] = 7488,
  [7495] = 7495,
  [7496] = 7442,
  [7497] = 7482,
  [7498] = 7498,
  [7499] = 7499,
  [7500] = 7481,
  [7501] = 7501,
  [7502] = 7486,
  [7503] = 7441,
  [7504] = 7504,
  [7505] = 7485,
  [7506] = 7481,
  [7507] = 7447,
  [7508] = 7495,
  [7509] = 7443,
  [7510] = 7499,
  [7511] = 7498,
  [7512] = 7420,
  [7513] = 7483,
  [7514] = 7423,
  [7515] = 7490,
  [7516] = 7421,
  [7517] = 7504,
  [7518] = 7473,
  [7519] = 7424,
  [7520] = 7520,
  [7521] = 7422,
  [7522] = 7467,
  [7523] = 7466,
  [7524] = 7423,
  [7525] = 7465,
  [7526] = 7463,
  [7527] = 7451,
  [7528] = 7458,
  [7529] = 7529,
  [7530] = 7530,
  [7531] = 7531,
  [7532] = 7532,
  [7533] = 7425,
  [7534] = 7534,
  [7535] = 7482,
  [7536] = 7433,
  [7537] = 7537,
  [7538] = 7426,
  [7539] = 7427,
  [7540] = 7444,
  [7541] = 7428,
  [7542] = 7429,
  [7543] = 7445,
  [7544] = 7443,
  [7545] = 7444,
  [7546] = 7445,
  [7547] = 7430,
  [7548] = 7487,
  [7549] = 7549,
  [7550] = 7434,
  [7551] = 7551,
  [7552] = 7552,
  [7553] = 7449,
  [7554] = 7554,
  [7555] = 7435,
  [7556] = 7437,
  [7557] = 7436,
  [7558] = 7436,
  [7559] = 7559,
  [7560] = 7437,
  [7561] = 7452,
  [7562] = 7562,
  [7563] = 7451,
  [7564] = 7564,
  [7565] = 7461,
  [7566] = 7566,
  [7567] = 7567,
  [7568] = 7568,
  [7569] = 7438,
  [7570] = 7570,
  [7571] = 7441,
  [7572] = 7471,
  [7573] = 7472,
  [7574] = 7442,
  [7575] = 7446,
  [7576] = 7576,
  [7577] = 7577,
  [7578] = 7446,
  [7579] = 7579,
  [7580] = 7442,
  [7581] = 7498,
  [7582] = 7582,
  [7583] = 7441,
  [7584] = 7438,
  [7585] = 7446,
  [7586] = 7495,
  [7587] = 7587,
  [7588] = 7437,
  [7589] = 7468,
  [7590] = 7436,
  [7591] = 7447,
  [7592] = 7490,
  [7593] = 7593,
  [7594] = 7534,
  [7595] = 7595,
  [7596] = 7435,
  [7597] = 7434,
  [7598] = 7598,
  [7599] = 7430,
  [7600] = 7429,
  [7601] = 7601,
  [7602] = 7428,
  [7603] = 7427,
  [7604] = 7452,
  [7605] = 7454,
  [7606] = 7455,
  [7607] = 7433,
  [7608] = 7426,
  [7609] = 7425,
  [7610] = 7458,
  [7611] = 7459,
  [7612] = 7463,
  [7613] = 7613,
  [7614] = 7445,
  [7615] = 7465,
  [7616] = 7423,
  [7617] = 7466,
  [7618] = 7467,
  [7619] = 7424,
  [7620] = 7449,
  [7621] = 7621,
  [7622] = 7473,
  [7623] = 7422,
  [7624] = 7624,
  [7625] = 7420,
  [7626] = 7504,
  [7627] = 7478,
  [7628] = 7479,
  [7629] = 7461,
  [7630] = 7480,
  [7631] = 7631,
  [7632] = 7481,
  [7633] = 7482,
  [7634] = 7434,
  [7635] = 7471,
  [7636] = 7472,
  [7637] = 7447,
  [7638] = 7498,
  [7639] = 5429,
  [7640] = 7640,
  [7641] = 7641,
  [7642] = 7488,
  [7643] = 7487,
  [7644] = 7493,
  [7645] = 7490,
  [7646] = 7646,
  [7647] = 7483,
  [7648] = 7648,
  [7649] = 7649,
  [7650] = 7650,
  [7651] = 7469,
  [7652] = 7652,
  [7653] = 7653,
  [7654] = 7654,
  [7655] = 7655,
  [7656] = 7656,
  [7657] = 7485,
  [7658] = 7486,
  [7659] = 7433,
  [7660] = 7486,
  [7661] = 7661,
  [7662] = 7587,
  [7663] = 7663,
  [7664] = 7664,
  [7665] = 7445,
  [7666] = 7666,
  [7667] = 7485,
  [7668] = 7668,
  [7669] = 7669,
  [7670] = 7487,
  [7671] = 7449,
  [7672] = 7488,
  [7673] = 7673,
  [7674] = 7469,
  [7675] = 7489,
  [7676] = 7483,
  [7677] = 7677,
  [7678] = 7430,
  [7679] = 7679,
  [7680] = 7461,
  [7681] = 7681,
  [7682] = 7682,
  [7683] = 7493,
  [7684] = 7684,
  [7685] = 7482,
  [7686] = 7471,
  [7687] = 7472,
  [7688] = 7481,
  [7689] = 7498,
  [7690] = 7473,
  [7691] = 7504,
  [7692] = 7424,
  [7693] = 7468,
  [7694] = 7467,
  [7695] = 7466,
  [7696] = 7465,
  [7697] = 7420,
  [7698] = 7698,
  [7699] = 7421,
  [7700] = 7700,
  [7701] = 7431,
  [7702] = 7422,
  [7703] = 7703,
  [7704] = 7433,
  [7705] = 7423,
  [7706] = 7706,
  [7707] = 7441,
  [7708] = 7708,
  [7709] = 7709,
  [7710] = 7710,
  [7711] = 7530,
  [7712] = 7532,
  [7713] = 7449,
  [7714] = 7425,
  [7715] = 7715,
  [7716] = 7451,
  [7717] = 7426,
  [7718] = 7427,
  [7719] = 7719,
  [7720] = 7720,
  [7721] = 7428,
  [7722] = 7429,
  [7723] = 7430,
  [7724] = 7724,
  [7725] = 7471,
  [7726] = 7472,
  [7727] = 7447,
  [7728] = 7728,
  [7729] = 7446,
  [7730] = 7730,
  [7731] = 7731,
  [7732] = 7732,
  [7733] = 7433,
  [7734] = 7434,
  [7735] = 7438,
  [7736] = 7435,
  [7737] = 7449,
  [7738] = 7436,
  [7739] = 5411,
  [7740] = 7472,
  [7741] = 7437,
  [7742] = 7444,
  [7743] = 7743,
  [7744] = 7443,
  [7745] = 7433,
  [7746] = 7746,
  [7747] = 7747,
  [7748] = 7449,
  [7749] = 7749,
  [7750] = 7472,
  [7751] = 7437,
  [7752] = 7435,
  [7753] = 7440,
  [7754] = 7433,
  [7755] = 7449,
  [7756] = 7472,
  [7757] = 7438,
  [7758] = 7449,
  [7759] = 7472,
  [7760] = 7489,
  [7761] = 7449,
  [7762] = 7472,
  [7763] = 7449,
  [7764] = 7472,
  [7765] = 7449,
  [7766] = 7472,
  [7767] = 7449,
  [7768] = 7472,
  [7769] = 7449,
  [7770] = 7472,
  [7771] = 7449,
  [7772] = 7472,
  [7773] = 7466,
  [7774] = 7442,
  [7775] = 7775,
  [7776] = 7776,
  [7777] = 7417,
  [7778] = 7778,
  [7779] = 7779,
  [7780] = 7780,
  [7781] = 7534,
  [7782] = 7446,
  [7783] = 7783,
  [7784] = 7489,
  [7785] = 7785,
  [7786] = 7786,
  [7787] = 7587,
  [7788] = 7430,
  [7789] = 7424,
  [7790] = 7447,
  [7791] = 7534,
  [7792] = 7673,
  [7793] = 7429,
  [7794] = 7428,
  [7795] = 7795,
  [7796] = 7451,
  [7797] = 7427,
  [7798] = 7426,
  [7799] = 7452,
  [7800] = 7800,
  [7801] = 7801,
  [7802] = 7433,
  [7803] = 7803,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7454,
  [7807] = 7455,
  [7808] = 7808,
  [7809] = 7809,
  [7810] = 7810,
  [7811] = 7425,
  [7812] = 7423,
  [7813] = 7813,
  [7814] = 7534,
  [7815] = 7488,
  [7816] = 7418,
  [7817] = 7817,
  [7818] = 7458,
  [7819] = 7459,
  [7820] = 7820,
  [7821] = 7463,
  [7822] = 7422,
  [7823] = 7823,
  [7824] = 7419,
  [7825] = 7437,
  [7826] = 7559,
  [7827] = 7465,
  [7828] = 7466,
  [7829] = 7467,
  [7830] = 7424,
  [7831] = 7426,
  [7832] = 7832,
  [7833] = 7504,
  [7834] = 7481,
  [7835] = 7473,
  [7836] = 7624,
  [7837] = 7810,
  [7838] = 7838,
  [7839] = 7482,
  [7840] = 7840,
  [7841] = 7489,
  [7842] = 7478,
  [7843] = 7531,
  [7844] = 7479,
  [7845] = 7487,
  [7846] = 7809,
  [7847] = 7451,
  [7848] = 7504,
  [7849] = 7480,
  [7850] = 7487,
  [7851] = 7471,
  [7852] = 7472,
  [7853] = 7853,
  [7854] = 7486,
  [7855] = 7485,
  [7856] = 7856,
  [7857] = 7857,
  [7858] = 7469,
  [7859] = 7483,
  [7860] = 7435,
  [7861] = 7861,
  [7862] = 7862,
  [7863] = 7863,
  [7864] = 7864,
  [7865] = 5436,
  [7866] = 7424,
  [7867] = 7467,
  [7868] = 7868,
  [7869] = 7869,
  [7870] = 7870,
  [7871] = 7871,
  [7872] = 7872,
  [7873] = 7873,
  [7874] = 7874,
  [7875] = 7875,
  [7876] = 7483,
  [7877] = 7648,
  [7878] = 7650,
  [7879] = 7469,
  [7880] = 7652,
  [7881] = 7653,
  [7882] = 7654,
  [7883] = 7655,
  [7884] = 7656,
  [7885] = 7485,
  [7886] = 7486,
  [7887] = 7661,
  [7888] = 7663,
  [7889] = 7666,
  [7890] = 7493,
  [7891] = 7668,
  [7892] = 7892,
  [7893] = 7893,
  [7894] = 7669,
  [7895] = 7487,
  [7896] = 7896,
  [7897] = 7488,
  [7898] = 7673,
  [7899] = 7489,
  [7900] = 7668,
  [7901] = 7452,
  [7902] = 7417,
  [7903] = 7903,
  [7904] = 7430,
  [7905] = 7465,
  [7906] = 7482,
  [7907] = 7481,
  [7908] = 7504,
  [7909] = 7468,
  [7910] = 7910,
  [7911] = 7911,
  [7912] = 7666,
  [7913] = 7803,
  [7914] = 7663,
  [7915] = 7454,
  [7916] = 7455,
  [7917] = 7420,
  [7918] = 7661,
  [7919] = 7801,
  [7920] = 7421,
  [7921] = 7921,
  [7922] = 7438,
  [7923] = 7923,
  [7924] = 7431,
  [7925] = 7422,
  [7926] = 7446,
  [7927] = 7423,
  [7928] = 7438,
  [7929] = 7530,
  [7930] = 7472,
  [7931] = 7471,
  [7932] = 7437,
  [7933] = 7435,
  [7934] = 7427,
  [7935] = 7437,
  [7936] = 7426,
  [7937] = 7530,
  [7938] = 7938,
  [7939] = 7532,
  [7940] = 7940,
  [7941] = 7425,
  [7942] = 7423,
  [7943] = 7943,
  [7944] = 7669,
  [7945] = 7426,
  [7946] = 7427,
  [7947] = 7504,
  [7948] = 7428,
  [7949] = 7429,
  [7950] = 7950,
  [7951] = 7951,
  [7952] = 7952,
  [7953] = 7953,
  [7954] = 7434,
  [7955] = 7955,
  [7956] = 7956,
  [7957] = 7776,
  [7958] = 7779,
  [7959] = 7780,
  [7960] = 7783,
  [7961] = 7435,
  [7962] = 7785,
  [7963] = 7436,
  [7964] = 7424,
  [7965] = 7437,
  [7966] = 7444,
  [7967] = 7443,
  [7968] = 7801,
  [7969] = 7482,
  [7970] = 7803,
  [7971] = 7971,
  [7972] = 7487,
  [7973] = 7485,
  [7974] = 7809,
  [7975] = 7810,
  [7976] = 7534,
  [7977] = 7440,
  [7978] = 7437,
  [7979] = 7559,
  [7980] = 7438,
  [7981] = 7461,
  [7982] = 7441,
  [7983] = 7531,
  [7984] = 7418,
  [7985] = 7442,
  [7986] = 7467,
  [7987] = 7776,
  [7988] = 7779,
  [7989] = 7783,
  [7990] = 7466,
  [7991] = 7785,
  [7992] = 7552,
  [7993] = 7458,
  [7994] = 7801,
  [7995] = 7446,
  [7996] = 7803,
  [7997] = 7486,
  [7998] = 7459,
  [7999] = 7809,
  [8000] = 7810,
  [8001] = 7559,
  [8002] = 7432,
  [8003] = 7485,
  [8004] = 7587,
  [8005] = 7531,
  [8006] = 7418,
  [8007] = 7465,
  [8008] = 7776,
  [8009] = 7779,
  [8010] = 7783,
  [8011] = 7446,
  [8012] = 7785,
  [8013] = 8013,
  [8014] = 8014,
  [8015] = 7801,
  [8016] = 7803,
  [8017] = 7447,
  [8018] = 7465,
  [8019] = 7809,
  [8020] = 7810,
  [8021] = 7559,
  [8022] = 8022,
  [8023] = 7534,
  [8024] = 8024,
  [8025] = 7531,
  [8026] = 7418,
  [8027] = 8027,
  [8028] = 7776,
  [8029] = 7779,
  [8030] = 7783,
  [8031] = 8031,
  [8032] = 7785,
  [8033] = 8033,
  [8034] = 7445,
  [8035] = 7803,
  [8036] = 8036,
  [8037] = 8037,
  [8038] = 7809,
  [8039] = 7810,
  [8040] = 7559,
  [8041] = 7532,
  [8042] = 8042,
  [8043] = 7437,
  [8044] = 7531,
  [8045] = 7418,
  [8046] = 7435,
  [8047] = 7776,
  [8048] = 7451,
  [8049] = 7785,
  [8050] = 7940,
  [8051] = 7452,
  [8052] = 8052,
  [8053] = 7454,
  [8054] = 7809,
  [8055] = 7810,
  [8056] = 7455,
  [8057] = 7656,
  [8058] = 8058,
  [8059] = 7531,
  [8060] = 7427,
  [8061] = 7776,
  [8062] = 7785,
  [8063] = 7426,
  [8064] = 7810,
  [8065] = 7423,
  [8066] = 7458,
  [8067] = 7531,
  [8068] = 7459,
  [8069] = 7776,
  [8070] = 7785,
  [8071] = 7655,
  [8072] = 7810,
  [8073] = 7654,
  [8074] = 7531,
  [8075] = 7776,
  [8076] = 7785,
  [8077] = 7810,
  [8078] = 7531,
  [8079] = 7810,
  [8080] = 7531,
  [8081] = 7810,
  [8082] = 7531,
  [8083] = 7810,
  [8084] = 7531,
  [8085] = 7810,
  [8086] = 7531,
  [8087] = 7810,
  [8088] = 7531,
  [8089] = 7810,
  [8090] = 7531,
  [8091] = 7810,
  [8092] = 7531,
  [8093] = 8093,
  [8094] = 7463,
  [8095] = 7780,
  [8096] = 8096,
  [8097] = 8097,
  [8098] = 7504,
  [8099] = 7463,
  [8100] = 7653,
  [8101] = 7652,
  [8102] = 7482,
  [8103] = 7487,
  [8104] = 7823,
  [8105] = 7465,
  [8106] = 7466,
  [8107] = 7467,
  [8108] = 7424,
  [8109] = 8109,
  [8110] = 7832,
  [8111] = 7485,
  [8112] = 7425,
  [8113] = 7419,
  [8114] = 8114,
  [8115] = 5445,
  [8116] = 7446,
  [8117] = 7823,
  [8118] = 7473,
  [8119] = 7438,
  [8120] = 7466,
  [8121] = 7467,
  [8122] = 7424,
  [8123] = 7434,
  [8124] = 7832,
  [8125] = 7624,
  [8126] = 8126,
  [8127] = 7449,
  [8128] = 7427,
  [8129] = 7473,
  [8130] = 8130,
  [8131] = 8131,
  [8132] = 8132,
  [8133] = 8114,
  [8134] = 7478,
  [8135] = 7479,
  [8136] = 7449,
  [8137] = 7624,
  [8138] = 7480,
  [8139] = 7424,
  [8140] = 7423,
  [8141] = 8141,
  [8142] = 7469,
  [8143] = 8143,
  [8144] = 7437,
  [8145] = 8145,
  [8146] = 7426,
  [8147] = 8147,
  [8148] = 8148,
  [8149] = 8149,
  [8150] = 8150,
  [8151] = 8151,
  [8152] = 7490,
  [8153] = 8153,
  [8154] = 8154,
  [8155] = 8155,
  [8156] = 7650,
  [8157] = 7482,
  [8158] = 8097,
  [8159] = 8096,
  [8160] = 7648,
  [8161] = 7444,
  [8162] = 7443,
  [8163] = 7483,
  [8164] = 8164,
  [8165] = 7785,
  [8166] = 8166,
  [8167] = 8167,
  [8168] = 7482,
  [8169] = 8169,
  [8170] = 8170,
  [8171] = 8171,
  [8172] = 8172,
  [8173] = 8173,
  [8174] = 7783,
  [8175] = 8175,
  [8176] = 7426,
  [8177] = 7495,
  [8178] = 7478,
  [8179] = 7780,
  [8180] = 8096,
  [8181] = 8097,
  [8182] = 7485,
  [8183] = 7479,
  [8184] = 7780,
  [8185] = 7482,
  [8186] = 7419,
  [8187] = 8114,
  [8188] = 7480,
  [8189] = 7435,
  [8190] = 8190,
  [8191] = 7439,
  [8192] = 7780,
  [8193] = 8096,
  [8194] = 8097,
  [8195] = 7482,
  [8196] = 1649,
  [8197] = 7419,
  [8198] = 8114,
  [8199] = 1653,
  [8200] = 7485,
  [8201] = 7779,
  [8202] = 8096,
  [8203] = 8097,
  [8204] = 7482,
  [8205] = 7485,
  [8206] = 7419,
  [8207] = 8114,
  [8208] = 7778,
  [8209] = 7426,
  [8210] = 8096,
  [8211] = 8097,
  [8212] = 7482,
  [8213] = 7485,
  [8214] = 7419,
  [8215] = 8114,
  [8216] = 7776,
  [8217] = 8096,
  [8218] = 8097,
  [8219] = 7482,
  [8220] = 7419,
  [8221] = 8114,
  [8222] = 7485,
  [8223] = 7419,
  [8224] = 8114,
  [8225] = 7720,
  [8226] = 8114,
  [8227] = 7485,
  [8228] = 8114,
  [8229] = 7485,
  [8230] = 8114,
  [8231] = 7482,
  [8232] = 8114,
  [8233] = 7429,
  [8234] = 8114,
  [8235] = 7428,
  [8236] = 8114,
  [8237] = 8237,
  [8238] = 8114,
  [8239] = 7499,
  [8240] = 8114,
  [8241] = 7495,
  [8242] = 8114,
  [8243] = 8173,
  [8244] = 7838,
  [8245] = 7424,
  [8246] = 8173,
  [8247] = 7838,
  [8248] = 7427,
  [8249] = 8173,
  [8250] = 7838,
  [8251] = 8251,
  [8252] = 8173,
  [8253] = 7838,
  [8254] = 7433,
  [8255] = 8173,
  [8256] = 7838,
  [8257] = 7490,
  [8258] = 7838,
  [8259] = 7838,
  [8260] = 7838,
  [8261] = 7838,
  [8262] = 7838,
  [8263] = 7838,
  [8264] = 7838,
  [8265] = 7838,
  [8266] = 7838,
  [8267] = 7838,
  [8268] = 7838,
  [8269] = 8014,
  [8270] = 7499,
  [8271] = 7498,
  [8272] = 7498,
  [8273] = 7485,
  [8274] = 8172,
  [8275] = 8172,
  [8276] = 8172,
  [8277] = 8172,
  [8278] = 8172,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(333);
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '#', 280,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 337,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 460,
        '\\', 2,
        ']', 462,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(159);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(159);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(162);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(162);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(234);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(190);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(190);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(183);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(183);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(179);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(179);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(191);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(191);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(189);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(189);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(180);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(180);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(184);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(184);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(204);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(204);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(200);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(200);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(211);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(211);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(199);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(199);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(181);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(181);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(185);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(185);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(198);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(198);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(206);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(206);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(219);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(219);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(245);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(245);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(97);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(97);
      if (lookahead == '\r') SKIP(95);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '\n', 342,
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 412,
        '-', 402,
        '/', 421,
        '<', 447,
        '=', 268,
        '>', 438,
      );
      if (lookahead == '\\') SKIP(96);
      if (lookahead == '^') ADVANCE(430);
      if (lookahead == '|') ADVANCE(429);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(98);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(244);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\r') SKIP(100);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(104);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(523);
      if (lookahead != 0) ADVANCE(524);
      END_STATE();
    case 107:
      if (lookahead == '\n') ADVANCE(526);
      if (lookahead == '\r') ADVANCE(525);
      if (lookahead == 'U') ADVANCE(329);
      if (lookahead == 'u') ADVANCE(321);
      if (lookahead == 'x') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      if (lookahead != 0) ADVANCE(525);
      END_STATE();
    case 108:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '\r') ADVANCE(112);
      if (lookahead == '(') ADVANCE(337);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '\r') ADVANCE(112);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 110:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '\r') ADVANCE(111);
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') SKIP(115);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') SKIP(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(335);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '/') ADVANCE(513);
      if (lookahead == '\\') ADVANCE(512);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(514);
      if (lookahead != 0) ADVANCE(511);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(246);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(246);
      if (lookahead == '\r') SKIP(114);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(160);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(160);
      if (lookahead == '\r') SKIP(116);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(205);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(205);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(187);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(187);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(218);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(218);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(161);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(161);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(210);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(210);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 158:
      if (lookahead == '\r') ADVANCE(631);
      if (lookahead == '\\') ADVANCE(625);
      if (lookahead != 0) ADVANCE(630);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '#', 280,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 460,
        '\\', 2,
        ']', 462,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(159);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '#', 289,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 404,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 117,
        ']', 462,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '#', 289,
        '%', 423,
        '&', 433,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 405,
        '.', 484,
        '/', 421,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 143,
        ']', 462,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 16,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 398,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 404,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 18,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '%', 423,
        '&', 433,
        '\'', 510,
        '(', 398,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 405,
        '.', 484,
        '/', 421,
        '0', 492,
        ':', 265,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 119,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 429,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 400,
        '"', 232,
        '%', 424,
        '&', 434,
        '(', 247,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '[', 277,
        '\\', 26,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 400,
        '"', 232,
        '%', 424,
        '&', 434,
        '(', 247,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '[', 278,
        '\\', 82,
        '^', 431,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '#', 280,
        '&', 433,
        '\'', 510,
        '(', 398,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 309,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '<', 266,
        '>', 269,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 459,
        '\\', 6,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 427,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '#', 284,
        '%', 423,
        '&', 433,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 486,
        '/', 421,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 459,
        '\\', 4,
        ']', 279,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 303,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '#', 288,
        '&', 432,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        '-', 406,
        '.', 255,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '>', 437,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 459,
        '\\', 10,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '#', 282,
        '&', 433,
        '\'', 510,
        '(', 398,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 309,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '>', 271,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 459,
        '\\', 8,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '&', 433,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 485,
        '/', 249,
        '0', 492,
        ':', 265,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 12,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '&', 432,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 485,
        '/', 249,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 458,
        '\\', 14,
        ']', 462,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 399,
        '\'', 510,
        '(', 398,
        ')', 340,
        '+', 417,
        '-', 410,
        '.', 309,
        '/', 249,
        '0', 492,
        'L', 551,
        'U', 552,
        '\\', 99,
        'u', 553,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 42,
        ']', 462,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 50,
        ']', 462,
        '^', 431,
        'u', 541,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 643,
        'R', 644,
        'U', 645,
        '[', 458,
        '\\', 50,
        ']', 462,
        '^', 431,
        'u', 646,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 125,
        ']', 462,
        '^', 430,
        'u', 541,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        'L', 643,
        'R', 644,
        'U', 645,
        '[', 458,
        '\\', 125,
        ']', 462,
        '^', 430,
        'u', 646,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 459,
        '\\', 30,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 36,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 62,
        '^', 431,
        'u', 541,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 643,
        'R', 644,
        'U', 645,
        '[', 458,
        '\\', 62,
        '^', 431,
        'u', 646,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 459,
        '\\', 28,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 265,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 40,
        '^', 431,
        'u', 541,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 64,
        '^', 431,
        'u', 541,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'L', 643,
        'R', 644,
        'U', 645,
        '[', 458,
        '\\', 64,
        '^', 431,
        'u', 646,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        'L', 534,
        'R', 536,
        'U', 538,
        '[', 458,
        '\\', 131,
        '^', 430,
        'u', 541,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 267,
        '"', 519,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        'L', 643,
        'R', 644,
        'U', 645,
        '[', 458,
        '\\', 131,
        '^', 430,
        'u', 646,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 267,
        '#', 300,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 265,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 459,
        '\\', 34,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 267,
        '#', 285,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 412,
        ',', 339,
        '-', 402,
        '/', 421,
        ':', 265,
        ';', 452,
        '<', 447,
        '=', 268,
        '>', 438,
        '[', 459,
        '\\', 22,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '0', 633,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 459,
        '\\', 32,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 44,
        ']', 462,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 459,
        '\\', 155,
        ']', 462,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 121,
        ']', 462,
        '^', 431,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 123,
        ']', 462,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 137,
        ']', 462,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 137,
        ']', 462,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 461,
        '\\', 72,
        ']', 462,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 56,
        ']', 462,
        '^', 430,
        '{', 456,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 48,
        ']', 462,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 145,
        ']', 462,
        '^', 430,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 149,
        ']', 462,
        '^', 430,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 267,
        '#', 289,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 149,
        ']', 462,
        '^', 430,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 46,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        ':', 467,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 127,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 460,
        '\\', 84,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 70,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 141,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 458,
        '\\', 141,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 407,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 461,
        '\\', 153,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 468,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 52,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ':', 467,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 135,
        '^', 431,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 439,
        '?', 469,
        '[', 460,
        '\\', 86,
        '^', 431,
        '|', 428,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 459,
        '\\', 80,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 133,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 151,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 151,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '(', 398,
        '*', 420,
        '+', 416,
        ',', 339,
        '-', 408,
        '.', 483,
        '/', 422,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        '[', 461,
        '\\', 139,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 267,
        '%', 424,
        '&', 434,
        '*', 420,
        '+', 418,
        ',', 339,
        '-', 411,
        '.', 248,
        '/', 422,
        '<', 445,
        '=', 464,
        '>', 439,
        '\\', 90,
        '^', 431,
        '|', 428,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 464,
        '>', 438,
        '?', 469,
        '[', 459,
        '\\', 38,
        '^', 430,
        '{', 456,
        '|', 429,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 54,
        ']', 462,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 265,
        ';', 452,
        '<', 446,
        '=', 268,
        '>', 438,
        '?', 469,
        '[', 458,
        '\\', 129,
        ']', 279,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 429,
        '}', 457,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 468,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 147,
        '^', 430,
        '{', 456,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        ':', 467,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 68,
        '^', 430,
        '{', 456,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 66,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 157,
        '^', 430,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 267,
        '%', 423,
        '&', 433,
        '(', 398,
        '*', 419,
        '+', 413,
        ',', 339,
        '-', 409,
        '.', 483,
        '/', 421,
        '<', 446,
        '=', 268,
        '>', 632,
        '?', 469,
        '[', 458,
        '\\', 157,
        '^', 430,
        '|', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '"', 519,
        '&', 433,
        '(', 398,
        '*', 419,
        '/', 249,
        ':', 265,
        'L', 535,
        'U', 539,
        '[', 459,
        '\\', 74,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 542,
        'v', 602,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '"', 519,
        ')', 340,
        ',', 339,
        '/', 249,
        ':', 467,
        'L', 534,
        'R', 536,
        'U', 538,
        '\\', 103,
        'u', 541,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 230:
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '<') ADVANCE(273);
      if (lookahead == 'L') ADVANCE(535);
      if (lookahead == 'U') ADVANCE(539);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 231:
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      END_STATE();
    case 232:
      if (lookahead == '"') ADVANCE(642);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '#', 289,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 458,
        '\\', 58,
        '{', 456,
        '|', 303,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '#', 281,
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 412,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 459,
        '\\', 20,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
        '|', 303,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '#', 283,
        '&', 433,
        '(', 398,
        '*', 419,
        ',', 339,
        '/', 249,
        ':', 265,
        ';', 452,
        '[', 459,
        '\\', 24,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 459,
        '\\', 60,
        '{', 456,
        '|', 303,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '-', 272,
        '.', 254,
        '/', 249,
        ':', 467,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 459,
        '\\', 78,
        '{', 456,
        '|', 303,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '.', 254,
        '/', 249,
        ':', 467,
        ';', 452,
        '=', 463,
        '>', 632,
        '[', 458,
        '\\', 92,
        '{', 456,
        '|', 303,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '/', 249,
        ':', 467,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 459,
        '\\', 76,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '&', 433,
        '(', 398,
        ')', 340,
        '*', 419,
        ',', 339,
        '/', 249,
        ';', 452,
        '=', 463,
        '>', 632,
        '[', 458,
        '\\', 88,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 597,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        'u', 590,
        'v', 602,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 241:
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      END_STATE();
    case 242:
      if (lookahead == '\'') ADVANCE(314);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 243:
      if (lookahead == '\'') ADVANCE(310);
      if (lookahead == '.') ADVANCE(499);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '(', 398,
        ')', 340,
        ',', 339,
        '/', 249,
        ':', 467,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        '[', 460,
        '\\', 101,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '(', 398,
        '/', 249,
        ':', 265,
        'F', 559,
        'T', 563,
        '[', 458,
        '\\', 94,
        'f', 569,
        't', 610,
        '{', 456,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 246:
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '\\') SKIP(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 247:
      if (lookahead == ')') ADVANCE(640);
      END_STATE();
    case 248:
      if (lookahead == '*') ADVANCE(487);
      END_STATE();
    case 249:
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(630);
      END_STATE();
    case 250:
      if (lookahead == '*') ADVANCE(639);
      END_STATE();
    case 251:
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '/') ADVANCE(623);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 252:
      if (lookahead == '*') ADVANCE(251);
      if (lookahead != 0) ADVANCE(252);
      END_STATE();
    case 253:
      if (lookahead == '*') ADVANCE(251);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 254:
      if (lookahead == '.') ADVANCE(256);
      END_STATE();
    case 255:
      if (lookahead == '.') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 256:
      if (lookahead == '.') ADVANCE(338);
      END_STATE();
    case 257:
      if (lookahead == '.') ADVANCE(314);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(497);
      END_STATE();
    case 258:
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(358);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 259:
      if (lookahead == '1') ADVANCE(263);
      END_STATE();
    case 260:
      if (lookahead == '2') ADVANCE(490);
      END_STATE();
    case 261:
      if (lookahead == '2') ADVANCE(264);
      if (lookahead == '6') ADVANCE(490);
      END_STATE();
    case 262:
      if (lookahead == '4') ADVANCE(490);
      END_STATE();
    case 263:
      if (lookahead == '6') ADVANCE(490);
      END_STATE();
    case 264:
      if (lookahead == '8') ADVANCE(490);
      END_STATE();
    case 265:
      if (lookahead == ':') ADVANCE(453);
      END_STATE();
    case 266:
      if (lookahead == '<') ADVANCE(448);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 267:
      if (lookahead == '=') ADVANCE(436);
      END_STATE();
    case 268:
      if (lookahead == '=') ADVANCE(435);
      END_STATE();
    case 269:
      if (lookahead == '=') ADVANCE(440);
      if (lookahead == '>') ADVANCE(270);
      END_STATE();
    case 270:
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 271:
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 272:
      if (lookahead == '>') ADVANCE(488);
      END_STATE();
    case 273:
      if (lookahead == '>') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(273);
      END_STATE();
    case 274:
      if (lookahead == '>') ADVANCE(530);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(273);
      END_STATE();
    case 275:
      if (lookahead == 'F') ADVANCE(259);
      END_STATE();
    case 276:
      if (lookahead == 'U') ADVANCE(328);
      if (lookahead == 'u') ADVANCE(320);
      END_STATE();
    case 277:
      if (lookahead == '[') ADVANCE(454);
      if (lookahead == ']') ADVANCE(641);
      END_STATE();
    case 278:
      if (lookahead == ']') ADVANCE(641);
      END_STATE();
    case 279:
      if (lookahead == ']') ADVANCE(455);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(280);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 281:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 282:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'e') ADVANCE(394);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(372);
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(292);
      END_STATE();
    case 288:
      if (lookahead == 'e') ADVANCE(302);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(288);
      END_STATE();
    case 289:
      if (lookahead == 'e') ADVANCE(301);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(289);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(347);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 293:
      if (lookahead == 'f') ADVANCE(259);
      END_STATE();
    case 294:
      if (lookahead == 'f') ADVANCE(343);
      END_STATE();
    case 295:
      if (lookahead == 'f') ADVANCE(349);
      END_STATE();
    case 296:
      if (lookahead == 'f') ADVANCE(351);
      END_STATE();
    case 297:
      if (lookahead == 'f') ADVANCE(353);
      END_STATE();
    case 298:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 299:
      if (lookahead == 'i') ADVANCE(295);
      if (lookahead == 's') ADVANCE(290);
      END_STATE();
    case 300:
      if (lookahead == 'i') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 301:
      if (lookahead == 'l') ADVANCE(299);
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 303:
      if (lookahead == '|') ADVANCE(425);
      END_STATE();
    case 304:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(311);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      END_STATE();
    case 305:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 306:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(494);
      END_STATE();
    case 307:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(493);
      END_STATE();
    case 308:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 309:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 310:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(243);
      END_STATE();
    case 311:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      END_STATE();
    case 312:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(622);
      END_STATE();
    case 313:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(497);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(525);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(312);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(316);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(320);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(365);
      END_STATE();
    case 331:
      if (eof) ADVANCE(333);
      ADVANCE_MAP(
        '!', 400,
        '"', 519,
        '#', 280,
        '%', 424,
        '&', 434,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 420,
        '+', 414,
        ',', 339,
        '-', 403,
        '.', 484,
        '/', 422,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 444,
        '=', 464,
        '>', 632,
        '?', 469,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 460,
        '\\', 2,
        ']', 462,
        '^', 431,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 428,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 332:
      if (eof) ADVANCE(333);
      ADVANCE_MAP(
        '!', 399,
        '"', 519,
        '#', 284,
        '%', 423,
        '&', 433,
        '\'', 510,
        '(', 398,
        ')', 340,
        '*', 419,
        '+', 415,
        ',', 339,
        '-', 406,
        '.', 486,
        '/', 421,
        '0', 492,
        ':', 468,
        ';', 452,
        '<', 443,
        '=', 463,
        '>', 632,
        'F', 559,
        'L', 533,
        'R', 536,
        'T', 563,
        'U', 537,
        '[', 459,
        '\\', 4,
        ']', 279,
        '^', 430,
        'b', 605,
        'c', 584,
        'd', 601,
        'f', 568,
        'i', 598,
        'm', 570,
        'n', 618,
        'p', 615,
        's', 585,
        't', 610,
        'u', 540,
        'v', 602,
        '{', 456,
        '|', 303,
        '}', 457,
        '~', 401,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(332);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(622);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(376);
      if (lookahead == 'n') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(342);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(291);
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(378);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(252);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(623);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(252);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(253);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(630);
      if (lookahead == '\r') ADVANCE(624);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(626);
      if (lookahead != 0) ADVANCE(628);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(258);
      if (lookahead == '\r') ADVANCE(359);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(258);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(366);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(364);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(253);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(629);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(626);
      if (lookahead != 0) ADVANCE(628);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(356);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(365);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(355);
      if (lookahead == '/') ADVANCE(253);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(365);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(365);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(336);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(334);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(341);
      if (lookahead == 'n') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(341);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(345);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(346);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == 's') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(384);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(390);
      if (lookahead == 'n') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(369);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(436);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(489);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(488);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '>') ADVANCE(488);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(489);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(488);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(481);
      if (lookahead == '>') ADVANCE(488);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '>') ADVANCE(250);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (lookahead == '=') ADVANCE(473);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '0') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(470);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(630);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '=') ADVANCE(471);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(472);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(479);
      if (lookahead == '|') ADVANCE(425);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(425);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(426);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(426);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(440);
      if (lookahead == '>') ADVANCE(450);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(440);
      if (lookahead == '>') ADVANCE(451);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(480);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(449);
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(449);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(448);
      if (lookahead == '=') ADVANCE(442);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(448);
      if (lookahead == '=') ADVANCE(441);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(454);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(454);
      if (lookahead == ']') ADVANCE(641);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(641);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(435);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(558);
      if (lookahead == '3') ADVANCE(556);
      if (lookahead == '6') ADVANCE(557);
      if (lookahead == '8') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(453);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(487);
      if (lookahead == '.') ADVANCE(256);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(487);
      if (lookahead == '.') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(639);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 309,
        'B', 275,
        'b', 293,
        'E', 304,
        'e', 304,
        'F', 498,
        'f', 498,
        'L', 490,
        'l', 490,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 307,
        '.', 499,
        'L', 500,
        'l', 503,
        'B', 306,
        'b', 306,
        'E', 304,
        'e', 304,
        'U', 502,
        'u', 502,
        'X', 257,
        'x', 257,
        'Z', 505,
        'z', 505,
        '8', 243,
        '9', 243,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(493);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 307,
        '.', 499,
        'L', 500,
        'l', 503,
        'E', 304,
        'e', 304,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
        '8', 243,
        '9', 243,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(493);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 306,
        'L', 500,
        'l', 503,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
        '0', 494,
        '1', 494,
      );
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 308,
        '.', 499,
        'L', 500,
        'l', 503,
        'E', 304,
        'e', 304,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(495);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(311);
      if (lookahead == 'B') ADVANCE(275);
      if (lookahead == 'b') ADVANCE(293);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(498);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 313,
        '.', 305,
        'L', 500,
        'l', 503,
        'P', 304,
        'p', 304,
        'U', 502,
        'u', 502,
        'Z', 505,
        'z', 505,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(497);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(261);
      if (lookahead == '3') ADVANCE(260);
      if (lookahead == '6') ADVANCE(262);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 275,
        'b', 293,
        'E', 304,
        'e', 304,
        'F', 498,
        'f', 498,
        'L', 490,
        'l', 490,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(491);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(505);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(490);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(501);
      if (lookahead == 'l') ADVANCE(504);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(490);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(505);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(490);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(526);
      if (lookahead == '\r') ADVANCE(525);
      if (lookahead == 'U') ADVANCE(329);
      if (lookahead == 'u') ADVANCE(321);
      if (lookahead == 'x') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      if (lookahead != 0) ADVANCE(525);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '/') ADVANCE(630);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(107);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(522);
      if (lookahead == '/') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(524);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(521);
      if (lookahead == '/') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(522);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(521);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(522);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(520);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(523);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(524);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(524);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(107);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(525);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(527);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(273);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(515);
      if (lookahead == '\'') ADVANCE(506);
      if (lookahead == 'R') ADVANCE(544);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(515);
      if (lookahead == 'R') ADVANCE(544);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(515);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(517);
      if (lookahead == '\'') ADVANCE(508);
      if (lookahead == 'R') ADVANCE(545);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(517);
      if (lookahead == 'R') ADVANCE(545);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(517);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(516);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '8') ADVANCE(546);
      if (lookahead == 'R') ADVANCE(549);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(516);
      if (lookahead == '8') ADVANCE(547);
      if (lookahead == 'R') ADVANCE(549);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(516);
      if (lookahead == '8') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(516);
      if (lookahead == '8') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(635);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(637);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == 'R') ADVANCE(550);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(550);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(506);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(508);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(507);
      if (lookahead == '8') ADVANCE(554);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(558);
      if (lookahead == '3') ADVANCE(556);
      if (lookahead == '6') ADVANCE(557);
      if (lookahead == '8') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(562);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(531);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(564);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(565);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(561);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(560);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '_') ADVANCE(573);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == '_') ADVANCE(613);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(591);
      if (lookahead == 'l') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(613);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'a') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'b') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'd') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'd') ADVANCE(587);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(531);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(532);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'e') ADVANCE(567);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'f') ADVANCE(567);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'f') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'g') ADVANCE(599);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'h') ADVANCE(571);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(621);
      if (lookahead == 's') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(621);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(582);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'i') ADVANCE(600);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(611);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(593);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(588);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(578);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'l') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'n') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'n') ADVANCE(567);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'n') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(572);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(604);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(567);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'r') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 's') ADVANCE(579);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(555);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(608);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 't') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'u') ADVANCE(574);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'u') ADVANCE(594);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'u') ADVANCE(577);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'x') ADVANCE(566);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (lookahead == 'z') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(276);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(630);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0) ADVANCE(628);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(631);
      if (lookahead == '\\') ADVANCE(625);
      if (lookahead != 0) ADVANCE(630);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(629);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(626);
      if (lookahead != 0) ADVANCE(628);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(357);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(628);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(628);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0) ADVANCE(628);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(630);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(158);
      if (lookahead != 0) ADVANCE(630);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_pure_virtual_clause_token1);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(515);
      if (lookahead == 'R') ADVANCE(647);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(517);
      if (lookahead == 'R') ADVANCE(648);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(516);
      if (lookahead == '8') ADVANCE(649);
      if (lookahead == 'R') ADVANCE(650);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(635);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(637);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(651);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(652);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(622);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(79);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'a', 84,
        'b', 85,
        'c', 86,
        'd', 87,
        'e', 88,
        'f', 89,
        'i', 90,
        'l', 91,
        'r', 92,
        's', 93,
        't', 94,
        'u', 95,
        'v', 96,
      );
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 40:
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'm') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 55:
      if (lookahead == 'w') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 'q') ADVANCE(139);
      if (lookahead == 's') ADVANCE(140);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'g') ADVANCE(143);
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 79:
      if (lookahead == 'L') ADVANCE(160);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(164);
      if (lookahead == 'r') ADVANCE(165);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(166);
      if (lookahead == 's') ADVANCE(167);
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(169);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(170);
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 88:
      if (lookahead == 'x') ADVANCE(173);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(174);
      if (lookahead == 'i') ADVANCE(175);
      if (lookahead == 'o') ADVANCE(176);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(177);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(180);
      if (lookahead == 't') ADVANCE(181);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(182);
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(184);
      if (lookahead == 'p') ADVANCE(185);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(187);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(188);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(189);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(190);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(191);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(192);
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(195);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(196);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(198);
      if (lookahead == 'r') ADVANCE(199);
      if (lookahead == 'y') ADVANCE(200);
      END_STATE();
    case 109:
      if (lookahead == 'p') ADVANCE(201);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(202);
      if (lookahead == 's') ADVANCE(203);
      if (lookahead == 't') ADVANCE(204);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(205);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(207);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 115:
      if (lookahead == 'm') ADVANCE(210);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(211);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(212);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(213);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(215);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(216);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(217);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 127:
      if (lookahead == 'x') ADVANCE(220);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(222);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(223);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(224);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(226);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(228);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(229);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(230);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(231);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(232);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(233);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(234);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(236);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(237);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(239);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(240);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(241);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(242);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(243);
      if (lookahead == 'o') ADVANCE(244);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(248);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(249);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(251);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(252);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(253);
      END_STATE();
    case 162:
      if (lookahead == 'm') ADVANCE(254);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 164:
      if (lookahead == 'n') ADVANCE(256);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 166:
      if (lookahead == 'i') ADVANCE(258);
      END_STATE();
    case 167:
      if (lookahead == 'm') ADVANCE(259);
      END_STATE();
    case 168:
      if (lookahead == 't') ADVANCE(260);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(261);
      END_STATE();
    case 170:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 171:
      if (lookahead == 'r') ADVANCE(263);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(264);
      END_STATE();
    case 173:
      if (lookahead == 'c') ADVANCE(265);
      if (lookahead == 't') ADVANCE(266);
      END_STATE();
    case 174:
      if (lookahead == 's') ADVANCE(267);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 176:
      if (lookahead == 'r') ADVANCE(269);
      END_STATE();
    case 177:
      if (lookahead == 'l') ADVANCE(270);
      END_STATE();
    case 178:
      if (lookahead == 'a') ADVANCE(271);
      END_STATE();
    case 179:
      if (lookahead == 's') ADVANCE(272);
      END_STATE();
    case 180:
      if (lookahead == 't') ADVANCE(273);
      END_STATE();
    case 181:
      if (lookahead == 'd') ADVANCE(274);
      END_STATE();
    case 182:
      if (lookahead == 'i') ADVANCE(275);
      if (lookahead == 'r') ADVANCE(276);
      END_STATE();
    case 183:
      if (lookahead == 'y') ADVANCE(277);
      END_STATE();
    case 184:
      if (lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(279);
      END_STATE();
    case 186:
      if (lookahead == 'c') ADVANCE(280);
      END_STATE();
    case 187:
      if (lookahead == 'g') ADVANCE(281);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(282);
      END_STATE();
    case 189:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 190:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 192:
      if (lookahead == 'n') ADVANCE(285);
      END_STATE();
    case 193:
      if (lookahead == 'r') ADVANCE(286);
      END_STATE();
    case 194:
      if (lookahead == 'k') ADVANCE(287);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 196:
      if (lookahead == 'h') ADVANCE(288);
      END_STATE();
    case 197:
      if (lookahead == 's') ADVANCE(289);
      END_STATE();
    case 198:
      if (lookahead == 'w') ADVANCE(290);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 200:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 201:
      if (lookahead == 'l') ADVANCE(293);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 203:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 204:
      if (lookahead == 'i') ADVANCE(296);
      END_STATE();
    case 205:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 206:
      if (lookahead == 'u') ADVANCE(298);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 211:
      if (lookahead == 'i') ADVANCE(301);
      END_STATE();
    case 212:
      if (lookahead == 'r') ADVANCE(302);
      END_STATE();
    case 213:
      if (lookahead == 'l') ADVANCE(303);
      END_STATE();
    case 214:
      if (lookahead == 'n') ADVANCE(304);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(305);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 218:
      if (lookahead == 'b') ADVANCE(306);
      END_STATE();
    case 219:
      if (lookahead == 's') ADVANCE(307);
      END_STATE();
    case 220:
      if (lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 221:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 223:
      if (lookahead == 'p') ADVANCE(311);
      END_STATE();
    case 224:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 225:
      if (lookahead == 'a') ADVANCE(313);
      END_STATE();
    case 226:
      if (lookahead == 'q') ADVANCE(314);
      END_STATE();
    case 227:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 228:
      if (lookahead == 'a') ADVANCE(316);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(317);
      END_STATE();
    case 230:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 231:
      if (lookahead == 's') ADVANCE(319);
      END_STATE();
    case 232:
      if (lookahead == 'i') ADVANCE(320);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(321);
      END_STATE();
    case 234:
      if (lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 235:
      if (lookahead == 't') ADVANCE(323);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(324);
      END_STATE();
    case 237:
      if (lookahead == 'o') ADVANCE(325);
      END_STATE();
    case 238:
      if (lookahead == 'i') ADVANCE(326);
      END_STATE();
    case 239:
      if (lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 240:
      if (lookahead == 'c') ADVANCE(328);
      END_STATE();
    case 241:
      if (lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 243:
      if (lookahead == 'a') ADVANCE(330);
      END_STATE();
    case 244:
      if (lookahead == 'w') ADVANCE(331);
      END_STATE();
    case 245:
      if (lookahead == 'd') ADVANCE(332);
      if (lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 246:
      if (lookahead == 'n') ADVANCE(334);
      END_STATE();
    case 247:
      if (lookahead == 'g') ADVANCE(335);
      END_STATE();
    case 248:
      if (lookahead == 'g') ADVANCE(336);
      END_STATE();
    case 249:
      if (lookahead == 'u') ADVANCE(337);
      END_STATE();
    case 250:
      if (lookahead == 't') ADVANCE(338);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 252:
      if (lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(341);
      END_STATE();
    case 254:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 255:
      if (lookahead == 'r') ADVANCE(343);
      END_STATE();
    case 256:
      if (lookahead == 'u') ADVANCE(344);
      END_STATE();
    case 257:
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 258:
      if (lookahead == 'g') ADVANCE(346);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(347);
      END_STATE();
    case 260:
      if (lookahead == 'r') ADVANCE(348);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(349);
      END_STATE();
    case 262:
      if (lookahead == 'c') ADVANCE(350);
      END_STATE();
    case 263:
      if (lookahead == 'c') ADVANCE(351);
      END_STATE();
    case 264:
      if (lookahead == 'l') ADVANCE(352);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(355);
      END_STATE();
    case 268:
      if (lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 269:
      if (lookahead == 'c') ADVANCE(357);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(358);
      END_STATE();
    case 271:
      if (lookahead == 'v') ADVANCE(359);
      END_STATE();
    case 272:
      if (lookahead == 't') ADVANCE(360);
      END_STATE();
    case 273:
      if (lookahead == 'r') ADVANCE(361);
      END_STATE();
    case 274:
      if (lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 275:
      if (lookahead == 's') ADVANCE(363);
      END_STATE();
    case 276:
      if (lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 278:
      if (lookahead == 'l') ADVANCE(365);
      END_STATE();
    case 279:
      if (lookahead == 'r') ADVANCE(366);
      END_STATE();
    case 280:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 281:
      if (lookahead == 'n') ADVANCE(368);
      END_STATE();
    case 282:
      if (lookahead == 'i') ADVANCE(369);
      END_STATE();
    case 283:
      if (lookahead == 'a') ADVANCE(370);
      if (lookahead == 'o') ADVANCE(371);
      END_STATE();
    case 284:
      if (lookahead == 'q') ADVANCE(372);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(373);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 290:
      if (lookahead == 'a') ADVANCE(374);
      END_STATE();
    case 291:
      if (lookahead == 't') ADVANCE(375);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 294:
      if (lookahead == 'p') ADVANCE(377);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(379);
      END_STATE();
    case 296:
      if (lookahead == 'n') ADVANCE(380);
      END_STATE();
    case 297:
      if (lookahead == 'y') ADVANCE(381);
      END_STATE();
    case 298:
      if (lookahead == 'l') ADVANCE(382);
      END_STATE();
    case 299:
      if (lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 301:
      if (lookahead == 'c') ADVANCE(385);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(386);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 304:
      if (lookahead == 'd') ADVANCE(387);
      END_STATE();
    case 305:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 306:
      if (lookahead == 'l') ADVANCE(389);
      END_STATE();
    case 307:
      if (lookahead == 'p') ADVANCE(390);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 309:
      if (lookahead == 'u') ADVANCE(392);
      END_STATE();
    case 310:
      if (lookahead == 'q') ADVANCE(393);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(394);
      END_STATE();
    case 312:
      if (lookahead == 't') ADVANCE(395);
      END_STATE();
    case 313:
      if (lookahead == 't') ADVANCE(396);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 315:
      if (lookahead == 'i') ADVANCE(397);
      END_STATE();
    case 316:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 317:
      if (lookahead == 'c') ADVANCE(399);
      END_STATE();
    case 318:
      if (lookahead == 'c') ADVANCE(400);
      END_STATE();
    case 319:
      if (lookahead == 't') ADVANCE(401);
      END_STATE();
    case 320:
      if (lookahead == 'r') ADVANCE(402);
      END_STATE();
    case 321:
      if (lookahead == 'i') ADVANCE(403);
      END_STATE();
    case 322:
      if (lookahead == 'n') ADVANCE(404);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 324:
      if (lookahead == 'd') ADVANCE(405);
      END_STATE();
    case 325:
      if (lookahead == 'f') ADVANCE(406);
      END_STATE();
    case 326:
      if (lookahead == 'c') ADVANCE(407);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 328:
      if (lookahead == 'h') ADVANCE(409);
      END_STATE();
    case 329:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(411);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 332:
      if (lookahead == 'e') ADVANCE(412);
      END_STATE();
    case 333:
      if (lookahead == 'a') ADVANCE(413);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 335:
      if (lookahead == 'n') ADVANCE(414);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 337:
      if (lookahead == 'a') ADVANCE(415);
      END_STATE();
    case 338:
      if (lookahead == 'i') ADVANCE(416);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 340:
      if (lookahead == 'q') ADVANCE(417);
      END_STATE();
    case 341:
      if (lookahead == 'a') ADVANCE(418);
      if (lookahead == 'o') ADVANCE(419);
      END_STATE();
    case 342:
      if (lookahead == 'c') ADVANCE(420);
      END_STATE();
    case 343:
      if (lookahead == 'i') ADVANCE(421);
      END_STATE();
    case 344:
      if (lookahead == 'l') ADVANCE(422);
      END_STATE();
    case 345:
      if (lookahead == 'u') ADVANCE(423);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(424);
      END_STATE();
    case 347:
      if (lookahead == '_') ADVANCE(425);
      END_STATE();
    case 348:
      if (lookahead == 'i') ADVANCE(426);
      END_STATE();
    case 349:
      if (lookahead == 'd') ADVANCE(427);
      END_STATE();
    case 350:
      if (lookahead == 'l') ADVANCE(428);
      END_STATE();
    case 351:
      if (lookahead == 'a') ADVANCE(429);
      END_STATE();
    case 352:
      if (lookahead == 's') ADVANCE(430);
      END_STATE();
    case 353:
      if (lookahead == 'p') ADVANCE(431);
      END_STATE();
    case 354:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 355:
      if (lookahead == 'c') ADVANCE(433);
      END_STATE();
    case 356:
      if (lookahead == 'l') ADVANCE(434);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(435);
      END_STATE();
    case 358:
      if (lookahead == 'n') ADVANCE(436);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(437);
      END_STATE();
    case 360:
      if (lookahead == 'r') ADVANCE(438);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 362:
      if (lookahead == 'a') ADVANCE(439);
      END_STATE();
    case 363:
      if (lookahead == 'c') ADVANCE(440);
      END_STATE();
    case 364:
      if (lookahead == 'a') ADVANCE(441);
      END_STATE();
    case 365:
      if (lookahead == 'i') ADVANCE(442);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 367:
      if (lookahead == 'o') ADVANCE(443);
      END_STATE();
    case 368:
      if (lookahead == 'o') ADVANCE(444);
      END_STATE();
    case 369:
      if (lookahead == 'g') ADVANCE(445);
      END_STATE();
    case 370:
      if (lookahead == 's') ADVANCE(446);
      END_STATE();
    case 371:
      if (lookahead == 'f') ADVANCE(447);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 374:
      if (lookahead == 'i') ADVANCE(448);
      END_STATE();
    case 375:
      if (lookahead == 'u') ADVANCE(449);
      END_STATE();
    case 376:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 377:
      if (lookahead == 't') ADVANCE(451);
      END_STATE();
    case 378:
      if (lookahead == 'v') ADVANCE(452);
      if (lookahead == 'x') ADVANCE(453);
      END_STATE();
    case 379:
      if (lookahead == 'n') ADVANCE(454);
      END_STATE();
    case 380:
      if (lookahead == 'u') ADVANCE(455);
      END_STATE();
    case 381:
      if (lookahead == 'p') ADVANCE(456);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(457);
      END_STATE();
    case 383:
      if (lookahead == 'd') ADVANCE(458);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 385:
      if (lookahead == 'i') ADVANCE(459);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 389:
      if (lookahead == 'e') ADVANCE(460);
      END_STATE();
    case 390:
      if (lookahead == 'a') ADVANCE(461);
      END_STATE();
    case 391:
      if (lookahead == 'p') ADVANCE(462);
      END_STATE();
    case 392:
      if (lookahead == 'r') ADVANCE(463);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 394:
      if (lookahead == 'r') ADVANCE(464);
      END_STATE();
    case 395:
      if (lookahead == 'o') ADVANCE(465);
      END_STATE();
    case 396:
      if (lookahead == 'o') ADVANCE(466);
      END_STATE();
    case 397:
      if (lookahead == 'd') ADVANCE(467);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(468);
      END_STATE();
    case 399:
      if (lookahead == 't') ADVANCE(469);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 401:
      if (lookahead == 'e') ADVANCE(470);
      END_STATE();
    case 402:
      if (lookahead == 'e') ADVANCE(471);
      END_STATE();
    case 403:
      if (lookahead == 'c') ADVANCE(472);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(473);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 410:
      if (lookahead == 't') ADVANCE(474);
      END_STATE();
    case 411:
      if (lookahead == '_') ADVANCE(475);
      END_STATE();
    case 412:
      if (lookahead == 'f') ADVANCE(476);
      END_STATE();
    case 413:
      if (lookahead == 'm') ADVANCE(477);
      END_STATE();
    case 414:
      if (lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 415:
      if (lookahead == 'l') ADVANCE(479);
      END_STATE();
    case 416:
      if (lookahead == 'l') ADVANCE(480);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 418:
      if (lookahead == 's') ADVANCE(481);
      END_STATE();
    case 419:
      if (lookahead == 'f') ADVANCE(482);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 421:
      if (lookahead == 'c') ADVANCE(483);
      END_STATE();
    case 422:
      if (lookahead == 'l') ADVANCE(484);
      END_STATE();
    case 423:
      if (lookahead == 'r') ADVANCE(485);
      END_STATE();
    case 424:
      if (lookahead == 'o') ADVANCE(486);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 426:
      if (lookahead == 'b') ADVANCE(487);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(488);
      END_STATE();
    case 430:
      if (lookahead == 'p') ADVANCE(489);
      END_STATE();
    case 431:
      if (lookahead == 't') ADVANCE(490);
      END_STATE();
    case 432:
      if (lookahead == 's') ADVANCE(491);
      END_STATE();
    case 433:
      if (lookahead == 'a') ADVANCE(492);
      END_STATE();
    case 434:
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 435:
      if (lookahead == 'i') ADVANCE(494);
      END_STATE();
    case 436:
      if (lookahead == 'e') ADVANCE(495);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 438:
      if (lookahead == 'i') ADVANCE(496);
      END_STATE();
    case 439:
      if (lookahead == 'l') ADVANCE(497);
      END_STATE();
    case 440:
      if (lookahead == 'a') ADVANCE(498);
      END_STATE();
    case 441:
      if (lookahead == 'd') ADVANCE(499);
      END_STATE();
    case 442:
      if (lookahead == 'g') ADVANCE(500);
      END_STATE();
    case 443:
      if (lookahead == 'r') ADVANCE(501);
      END_STATE();
    case 444:
      if (lookahead == 'f') ADVANCE(502);
      END_STATE();
    case 445:
      if (lookahead == 'n') ADVANCE(503);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 448:
      if (lookahead == 't') ADVANCE(504);
      END_STATE();
    case 449:
      if (lookahead == 'r') ADVANCE(505);
      END_STATE();
    case 450:
      if (lookahead == 'd') ADVANCE(506);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 452:
      if (lookahead == 'a') ADVANCE(507);
      END_STATE();
    case 453:
      if (lookahead == 'p') ADVANCE(508);
      END_STATE();
    case 454:
      if (lookahead == 'i') ADVANCE(509);
      END_STATE();
    case 455:
      if (lookahead == 'e') ADVANCE(510);
      END_STATE();
    case 456:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 459:
      if (lookahead == 't') ADVANCE(512);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 461:
      if (lookahead == 'c') ADVANCE(513);
      END_STATE();
    case 462:
      if (lookahead == 't') ADVANCE(514);
      END_STATE();
    case 463:
      if (lookahead == 'n') ADVANCE(515);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 465:
      if (lookahead == 'f') ADVANCE(516);
      END_STATE();
    case 466:
      if (lookahead == 'r') ADVANCE(517);
      END_STATE();
    case 467:
      if (lookahead == 'e') ADVANCE(518);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 469:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 470:
      if (lookahead == 'r') ADVANCE(520);
      END_STATE();
    case 471:
      if (lookahead == 's') ADVANCE(521);
      END_STATE();
    case 472:
      if (lookahead == 't') ADVANCE(522);
      END_STATE();
    case 473:
      if (lookahead == 'a') ADVANCE(523);
      END_STATE();
    case 474:
      if (lookahead == 'e') ADVANCE(524);
      END_STATE();
    case 475:
      if (lookahead == 'l') ADVANCE(525);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 477:
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 478:
      if (lookahead == 'd') ADVANCE(527);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 480:
      if (lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 485:
      if (lookahead == 'n') ADVANCE(529);
      END_STATE();
    case 486:
      if (lookahead == 'f') ADVANCE(530);
      END_STATE();
    case 487:
      if (lookahead == 'u') ADVANCE(531);
      END_STATE();
    case 488:
      if (lookahead == 'l') ADVANCE(532);
      END_STATE();
    case 489:
      if (lookahead == 'e') ADVANCE(533);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 491:
      if (lookahead == 'i') ADVANCE(534);
      END_STATE();
    case 492:
      if (lookahead == 'l') ADVANCE(535);
      END_STATE();
    case 493:
      if (lookahead == 'y') ADVANCE(536);
      END_STATE();
    case 494:
      if (lookahead == 'n') ADVANCE(537);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(538);
      END_STATE();
    case 496:
      if (lookahead == 'c') ADVANCE(539);
      END_STATE();
    case 497:
      if (lookahead == 'l') ADVANCE(540);
      END_STATE();
    case 498:
      if (lookahead == 'l') ADVANCE(541);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 500:
      if (lookahead == 'n') ADVANCE(542);
      END_STATE();
    case 501:
      if (lookahead == 'c') ADVANCE(543);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 503:
      if (lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 505:
      if (lookahead == 'n') ADVANCE(545);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 507:
      if (lookahead == 'l') ADVANCE(546);
      END_STATE();
    case 508:
      if (lookahead == 'r') ADVANCE(547);
      END_STATE();
    case 509:
      if (lookahead == 't') ADVANCE(548);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 513:
      if (lookahead == 'e') ADVANCE(549);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 519:
      if (lookahead == 'd') ADVANCE(550);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 523:
      if (lookahead == 's') ADVANCE(551);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 525:
      if (lookahead == 'o') ADVANCE(552);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(553);
      END_STATE();
    case 531:
      if (lookahead == 't') ADVANCE(554);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 533:
      if (lookahead == 'c') ADVANCE(555);
      END_STATE();
    case 534:
      if (lookahead == 'o') ADVANCE(556);
      END_STATE();
    case 535:
      if (lookahead == 'l') ADVANCE(557);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 537:
      if (lookahead == 'l') ADVANCE(558);
      END_STATE();
    case 538:
      if (lookahead == '_') ADVANCE(559);
      END_STATE();
    case 539:
      if (lookahead == 't') ADVANCE(560);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 541:
      if (lookahead == 'l') ADVANCE(561);
      END_STATE();
    case 542:
      if (lookahead == 'e') ADVANCE(562);
      END_STATE();
    case 543:
      if (lookahead == 'a') ADVANCE(563);
      END_STATE();
    case 544:
      if (lookahead == 'd') ADVANCE(564);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 551:
      if (lookahead == 's') ADVANCE(565);
      END_STATE();
    case 552:
      if (lookahead == 'c') ADVANCE(566);
      END_STATE();
    case 553:
      if (lookahead == '_') ADVANCE(567);
      END_STATE();
    case 554:
      if (lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 556:
      if (lookahead == 'n') ADVANCE(569);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 558:
      if (lookahead == 'i') ADVANCE(570);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(571);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 562:
      if (lookahead == 'd') ADVANCE(572);
      END_STATE();
    case 563:
      if (lookahead == 'l') ADVANCE(573);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 565:
      if (lookahead == 'e') ADVANCE(574);
      END_STATE();
    case 566:
      if (lookahead == 'a') ADVANCE(575);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 568:
      if (lookahead == '_') ADVANCE(576);
      END_STATE();
    case 569:
      if (lookahead == '_') ADVANCE(577);
      END_STATE();
    case 570:
      if (lookahead == 'n') ADVANCE(578);
      END_STATE();
    case 571:
      if (lookahead == '_') ADVANCE(579);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 573:
      if (lookahead == 'l') ADVANCE(580);
      END_STATE();
    case 574:
      if (lookahead == 'r') ADVANCE(581);
      END_STATE();
    case 575:
      if (lookahead == 'l') ADVANCE(582);
      END_STATE();
    case 576:
      if (lookahead == '_') ADVANCE(583);
      END_STATE();
    case 577:
      if (lookahead == '_') ADVANCE(584);
      END_STATE();
    case 578:
      if (lookahead == 'e') ADVANCE(585);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 581:
      if (lookahead == 't') ADVANCE(586);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 332},
  [2] = {.lex_state = 332},
  [3] = {.lex_state = 332},
  [4] = {.lex_state = 332},
  [5] = {.lex_state = 332},
  [6] = {.lex_state = 332},
  [7] = {.lex_state = 332},
  [8] = {.lex_state = 332},
  [9] = {.lex_state = 332},
  [10] = {.lex_state = 332},
  [11] = {.lex_state = 332},
  [12] = {.lex_state = 332},
  [13] = {.lex_state = 167},
  [14] = {.lex_state = 167},
  [15] = {.lex_state = 167},
  [16] = {.lex_state = 167},
  [17] = {.lex_state = 167},
  [18] = {.lex_state = 167},
  [19] = {.lex_state = 167},
  [20] = {.lex_state = 167},
  [21] = {.lex_state = 167},
  [22] = {.lex_state = 167},
  [23] = {.lex_state = 167},
  [24] = {.lex_state = 167},
  [25] = {.lex_state = 167},
  [26] = {.lex_state = 167},
  [27] = {.lex_state = 167},
  [28] = {.lex_state = 167},
  [29] = {.lex_state = 167},
  [30] = {.lex_state = 167},
  [31] = {.lex_state = 167},
  [32] = {.lex_state = 167},
  [33] = {.lex_state = 167},
  [34] = {.lex_state = 170},
  [35] = {.lex_state = 332},
  [36] = {.lex_state = 332},
  [37] = {.lex_state = 332},
  [38] = {.lex_state = 332},
  [39] = {.lex_state = 332},
  [40] = {.lex_state = 332},
  [41] = {.lex_state = 332},
  [42] = {.lex_state = 332},
  [43] = {.lex_state = 332},
  [44] = {.lex_state = 332},
  [45] = {.lex_state = 332},
  [46] = {.lex_state = 332},
  [47] = {.lex_state = 332},
  [48] = {.lex_state = 332},
  [49] = {.lex_state = 332},
  [50] = {.lex_state = 332},
  [51] = {.lex_state = 332},
  [52] = {.lex_state = 332},
  [53] = {.lex_state = 332},
  [54] = {.lex_state = 332},
  [55] = {.lex_state = 332},
  [56] = {.lex_state = 332},
  [57] = {.lex_state = 332},
  [58] = {.lex_state = 332},
  [59] = {.lex_state = 332},
  [60] = {.lex_state = 332},
  [61] = {.lex_state = 332},
  [62] = {.lex_state = 332},
  [63] = {.lex_state = 170},
  [64] = {.lex_state = 332},
  [65] = {.lex_state = 332},
  [66] = {.lex_state = 332},
  [67] = {.lex_state = 332},
  [68] = {.lex_state = 170},
  [69] = {.lex_state = 332},
  [70] = {.lex_state = 332},
  [71] = {.lex_state = 332},
  [72] = {.lex_state = 332},
  [73] = {.lex_state = 332},
  [74] = {.lex_state = 332},
  [75] = {.lex_state = 332},
  [76] = {.lex_state = 332},
  [77] = {.lex_state = 332},
  [78] = {.lex_state = 332},
  [79] = {.lex_state = 332},
  [80] = {.lex_state = 332},
  [81] = {.lex_state = 332},
  [82] = {.lex_state = 167},
  [83] = {.lex_state = 167},
  [84] = {.lex_state = 167},
  [85] = {.lex_state = 167},
  [86] = {.lex_state = 167},
  [87] = {.lex_state = 332},
  [88] = {.lex_state = 332},
  [89] = {.lex_state = 332},
  [90] = {.lex_state = 170},
  [91] = {.lex_state = 170},
  [92] = {.lex_state = 332},
  [93] = {.lex_state = 170},
  [94] = {.lex_state = 170},
  [95] = {.lex_state = 170},
  [96] = {.lex_state = 332},
  [97] = {.lex_state = 332},
  [98] = {.lex_state = 332},
  [99] = {.lex_state = 332},
  [100] = {.lex_state = 332},
  [101] = {.lex_state = 332},
  [102] = {.lex_state = 169},
  [103] = {.lex_state = 169},
  [104] = {.lex_state = 169},
  [105] = {.lex_state = 169},
  [106] = {.lex_state = 169},
  [107] = {.lex_state = 169},
  [108] = {.lex_state = 169},
  [109] = {.lex_state = 169},
  [110] = {.lex_state = 169},
  [111] = {.lex_state = 169},
  [112] = {.lex_state = 169},
  [113] = {.lex_state = 169},
  [114] = {.lex_state = 169},
  [115] = {.lex_state = 169},
  [116] = {.lex_state = 169},
  [117] = {.lex_state = 169},
  [118] = {.lex_state = 171},
  [119] = {.lex_state = 171},
  [120] = {.lex_state = 169},
  [121] = {.lex_state = 171},
  [122] = {.lex_state = 169},
  [123] = {.lex_state = 169},
  [124] = {.lex_state = 169},
  [125] = {.lex_state = 169},
  [126] = {.lex_state = 169},
  [127] = {.lex_state = 169},
  [128] = {.lex_state = 169},
  [129] = {.lex_state = 169},
  [130] = {.lex_state = 169},
  [131] = {.lex_state = 169},
  [132] = {.lex_state = 160},
  [133] = {.lex_state = 332},
  [134] = {.lex_state = 332},
  [135] = {.lex_state = 160},
  [136] = {.lex_state = 172},
  [137] = {.lex_state = 172},
  [138] = {.lex_state = 172},
  [139] = {.lex_state = 172},
  [140] = {.lex_state = 172},
  [141] = {.lex_state = 172},
  [142] = {.lex_state = 172},
  [143] = {.lex_state = 172},
  [144] = {.lex_state = 172},
  [145] = {.lex_state = 172},
  [146] = {.lex_state = 172},
  [147] = {.lex_state = 172},
  [148] = {.lex_state = 172},
  [149] = {.lex_state = 172},
  [150] = {.lex_state = 172},
  [151] = {.lex_state = 172},
  [152] = {.lex_state = 172},
  [153] = {.lex_state = 172},
  [154] = {.lex_state = 172},
  [155] = {.lex_state = 172},
  [156] = {.lex_state = 172},
  [157] = {.lex_state = 172},
  [158] = {.lex_state = 172},
  [159] = {.lex_state = 172},
  [160] = {.lex_state = 172},
  [161] = {.lex_state = 172},
  [162] = {.lex_state = 169},
  [163] = {.lex_state = 169},
  [164] = {.lex_state = 169},
  [165] = {.lex_state = 169},
  [166] = {.lex_state = 169},
  [167] = {.lex_state = 169},
  [168] = {.lex_state = 169},
  [169] = {.lex_state = 169},
  [170] = {.lex_state = 169},
  [171] = {.lex_state = 169},
  [172] = {.lex_state = 169},
  [173] = {.lex_state = 169},
  [174] = {.lex_state = 169},
  [175] = {.lex_state = 169},
  [176] = {.lex_state = 162},
  [177] = {.lex_state = 169},
  [178] = {.lex_state = 169},
  [179] = {.lex_state = 169},
  [180] = {.lex_state = 160},
  [181] = {.lex_state = 169},
  [182] = {.lex_state = 169},
  [183] = {.lex_state = 169},
  [184] = {.lex_state = 169},
  [185] = {.lex_state = 169},
  [186] = {.lex_state = 169},
  [187] = {.lex_state = 169},
  [188] = {.lex_state = 169},
  [189] = {.lex_state = 169},
  [190] = {.lex_state = 169},
  [191] = {.lex_state = 169},
  [192] = {.lex_state = 169},
  [193] = {.lex_state = 169},
  [194] = {.lex_state = 169},
  [195] = {.lex_state = 169},
  [196] = {.lex_state = 169},
  [197] = {.lex_state = 169},
  [198] = {.lex_state = 169},
  [199] = {.lex_state = 169},
  [200] = {.lex_state = 169},
  [201] = {.lex_state = 169},
  [202] = {.lex_state = 169},
  [203] = {.lex_state = 169},
  [204] = {.lex_state = 169},
  [205] = {.lex_state = 169},
  [206] = {.lex_state = 169},
  [207] = {.lex_state = 169},
  [208] = {.lex_state = 169},
  [209] = {.lex_state = 169},
  [210] = {.lex_state = 169},
  [211] = {.lex_state = 169},
  [212] = {.lex_state = 169},
  [213] = {.lex_state = 169},
  [214] = {.lex_state = 169},
  [215] = {.lex_state = 169},
  [216] = {.lex_state = 169},
  [217] = {.lex_state = 160},
  [218] = {.lex_state = 163},
  [219] = {.lex_state = 167},
  [220] = {.lex_state = 167},
  [221] = {.lex_state = 167},
  [222] = {.lex_state = 332},
  [223] = {.lex_state = 332},
  [224] = {.lex_state = 332},
  [225] = {.lex_state = 332},
  [226] = {.lex_state = 162},
  [227] = {.lex_state = 167},
  [228] = {.lex_state = 167},
  [229] = {.lex_state = 167},
  [230] = {.lex_state = 167},
  [231] = {.lex_state = 167},
  [232] = {.lex_state = 167},
  [233] = {.lex_state = 167},
  [234] = {.lex_state = 172},
  [235] = {.lex_state = 167},
  [236] = {.lex_state = 172},
  [237] = {.lex_state = 172},
  [238] = {.lex_state = 167},
  [239] = {.lex_state = 172},
  [240] = {.lex_state = 167},
  [241] = {.lex_state = 172},
  [242] = {.lex_state = 172},
  [243] = {.lex_state = 167},
  [244] = {.lex_state = 167},
  [245] = {.lex_state = 172},
  [246] = {.lex_state = 172},
  [247] = {.lex_state = 172},
  [248] = {.lex_state = 172},
  [249] = {.lex_state = 172},
  [250] = {.lex_state = 167},
  [251] = {.lex_state = 167},
  [252] = {.lex_state = 167},
  [253] = {.lex_state = 167},
  [254] = {.lex_state = 167},
  [255] = {.lex_state = 172},
  [256] = {.lex_state = 167},
  [257] = {.lex_state = 167},
  [258] = {.lex_state = 167},
  [259] = {.lex_state = 167},
  [260] = {.lex_state = 167},
  [261] = {.lex_state = 172},
  [262] = {.lex_state = 167},
  [263] = {.lex_state = 167},
  [264] = {.lex_state = 167},
  [265] = {.lex_state = 167},
  [266] = {.lex_state = 172},
  [267] = {.lex_state = 167},
  [268] = {.lex_state = 167},
  [269] = {.lex_state = 167},
  [270] = {.lex_state = 167},
  [271] = {.lex_state = 167},
  [272] = {.lex_state = 167},
  [273] = {.lex_state = 167},
  [274] = {.lex_state = 167},
  [275] = {.lex_state = 167},
  [276] = {.lex_state = 167},
  [277] = {.lex_state = 167},
  [278] = {.lex_state = 167},
  [279] = {.lex_state = 167},
  [280] = {.lex_state = 172},
  [281] = {.lex_state = 167},
  [282] = {.lex_state = 167},
  [283] = {.lex_state = 167},
  [284] = {.lex_state = 167},
  [285] = {.lex_state = 172},
  [286] = {.lex_state = 167},
  [287] = {.lex_state = 172},
  [288] = {.lex_state = 169},
  [289] = {.lex_state = 167},
  [290] = {.lex_state = 167},
  [291] = {.lex_state = 167},
  [292] = {.lex_state = 167},
  [293] = {.lex_state = 167},
  [294] = {.lex_state = 167},
  [295] = {.lex_state = 167},
  [296] = {.lex_state = 167},
  [297] = {.lex_state = 167},
  [298] = {.lex_state = 171},
  [299] = {.lex_state = 167},
  [300] = {.lex_state = 167},
  [301] = {.lex_state = 167},
  [302] = {.lex_state = 167},
  [303] = {.lex_state = 167},
  [304] = {.lex_state = 167},
  [305] = {.lex_state = 167},
  [306] = {.lex_state = 167},
  [307] = {.lex_state = 167},
  [308] = {.lex_state = 167},
  [309] = {.lex_state = 167},
  [310] = {.lex_state = 167},
  [311] = {.lex_state = 167},
  [312] = {.lex_state = 167},
  [313] = {.lex_state = 167},
  [314] = {.lex_state = 167},
  [315] = {.lex_state = 167},
  [316] = {.lex_state = 167},
  [317] = {.lex_state = 167},
  [318] = {.lex_state = 332},
  [319] = {.lex_state = 167},
  [320] = {.lex_state = 332},
  [321] = {.lex_state = 167},
  [322] = {.lex_state = 167},
  [323] = {.lex_state = 167},
  [324] = {.lex_state = 167},
  [325] = {.lex_state = 167},
  [326] = {.lex_state = 167},
  [327] = {.lex_state = 332},
  [328] = {.lex_state = 167},
  [329] = {.lex_state = 167},
  [330] = {.lex_state = 167},
  [331] = {.lex_state = 167},
  [332] = {.lex_state = 167},
  [333] = {.lex_state = 170},
  [334] = {.lex_state = 167},
  [335] = {.lex_state = 167},
  [336] = {.lex_state = 170},
  [337] = {.lex_state = 167},
  [338] = {.lex_state = 172},
  [339] = {.lex_state = 167},
  [340] = {.lex_state = 167},
  [341] = {.lex_state = 167},
  [342] = {.lex_state = 167},
  [343] = {.lex_state = 167},
  [344] = {.lex_state = 167},
  [345] = {.lex_state = 167},
  [346] = {.lex_state = 167},
  [347] = {.lex_state = 167},
  [348] = {.lex_state = 171},
  [349] = {.lex_state = 167},
  [350] = {.lex_state = 169},
  [351] = {.lex_state = 332},
  [352] = {.lex_state = 167},
  [353] = {.lex_state = 167},
  [354] = {.lex_state = 167},
  [355] = {.lex_state = 167},
  [356] = {.lex_state = 167},
  [357] = {.lex_state = 167},
  [358] = {.lex_state = 167},
  [359] = {.lex_state = 167},
  [360] = {.lex_state = 167},
  [361] = {.lex_state = 167},
  [362] = {.lex_state = 167},
  [363] = {.lex_state = 167},
  [364] = {.lex_state = 167},
  [365] = {.lex_state = 167},
  [366] = {.lex_state = 167},
  [367] = {.lex_state = 167},
  [368] = {.lex_state = 169},
  [369] = {.lex_state = 167},
  [370] = {.lex_state = 167},
  [371] = {.lex_state = 234},
  [372] = {.lex_state = 234},
  [373] = {.lex_state = 172},
  [374] = {.lex_state = 234},
  [375] = {.lex_state = 234},
  [376] = {.lex_state = 234},
  [377] = {.lex_state = 234},
  [378] = {.lex_state = 234},
  [379] = {.lex_state = 234},
  [380] = {.lex_state = 234},
  [381] = {.lex_state = 169},
  [382] = {.lex_state = 170},
  [383] = {.lex_state = 234},
  [384] = {.lex_state = 172},
  [385] = {.lex_state = 234},
  [386] = {.lex_state = 234},
  [387] = {.lex_state = 172},
  [388] = {.lex_state = 332},
  [389] = {.lex_state = 234},
  [390] = {.lex_state = 234},
  [391] = {.lex_state = 169},
  [392] = {.lex_state = 169},
  [393] = {.lex_state = 332},
  [394] = {.lex_state = 170},
  [395] = {.lex_state = 169},
  [396] = {.lex_state = 234},
  [397] = {.lex_state = 172},
  [398] = {.lex_state = 172},
  [399] = {.lex_state = 234},
  [400] = {.lex_state = 169},
  [401] = {.lex_state = 172},
  [402] = {.lex_state = 169},
  [403] = {.lex_state = 170},
  [404] = {.lex_state = 170},
  [405] = {.lex_state = 170},
  [406] = {.lex_state = 332},
  [407] = {.lex_state = 332},
  [408] = {.lex_state = 332},
  [409] = {.lex_state = 332},
  [410] = {.lex_state = 170},
  [411] = {.lex_state = 332},
  [412] = {.lex_state = 332},
  [413] = {.lex_state = 332},
  [414] = {.lex_state = 332},
  [415] = {.lex_state = 169},
  [416] = {.lex_state = 169},
  [417] = {.lex_state = 170},
  [418] = {.lex_state = 332},
  [419] = {.lex_state = 332},
  [420] = {.lex_state = 332},
  [421] = {.lex_state = 332},
  [422] = {.lex_state = 170},
  [423] = {.lex_state = 170},
  [424] = {.lex_state = 170},
  [425] = {.lex_state = 332},
  [426] = {.lex_state = 332},
  [427] = {.lex_state = 332},
  [428] = {.lex_state = 332},
  [429] = {.lex_state = 332},
  [430] = {.lex_state = 332},
  [431] = {.lex_state = 332},
  [432] = {.lex_state = 170},
  [433] = {.lex_state = 332},
  [434] = {.lex_state = 332},
  [435] = {.lex_state = 332},
  [436] = {.lex_state = 170},
  [437] = {.lex_state = 332},
  [438] = {.lex_state = 332},
  [439] = {.lex_state = 332},
  [440] = {.lex_state = 332},
  [441] = {.lex_state = 332},
  [442] = {.lex_state = 332},
  [443] = {.lex_state = 170},
  [444] = {.lex_state = 332},
  [445] = {.lex_state = 332},
  [446] = {.lex_state = 170},
  [447] = {.lex_state = 170},
  [448] = {.lex_state = 332},
  [449] = {.lex_state = 332},
  [450] = {.lex_state = 170},
  [451] = {.lex_state = 332},
  [452] = {.lex_state = 332},
  [453] = {.lex_state = 332},
  [454] = {.lex_state = 170},
  [455] = {.lex_state = 170},
  [456] = {.lex_state = 332},
  [457] = {.lex_state = 332},
  [458] = {.lex_state = 332},
  [459] = {.lex_state = 332},
  [460] = {.lex_state = 332},
  [461] = {.lex_state = 332},
  [462] = {.lex_state = 170},
  [463] = {.lex_state = 332},
  [464] = {.lex_state = 332},
  [465] = {.lex_state = 332},
  [466] = {.lex_state = 170},
  [467] = {.lex_state = 332},
  [468] = {.lex_state = 170},
  [469] = {.lex_state = 332},
  [470] = {.lex_state = 332},
  [471] = {.lex_state = 170},
  [472] = {.lex_state = 332},
  [473] = {.lex_state = 170},
  [474] = {.lex_state = 170},
  [475] = {.lex_state = 332},
  [476] = {.lex_state = 170},
  [477] = {.lex_state = 332},
  [478] = {.lex_state = 170},
  [479] = {.lex_state = 170},
  [480] = {.lex_state = 332},
  [481] = {.lex_state = 332},
  [482] = {.lex_state = 332},
  [483] = {.lex_state = 332},
  [484] = {.lex_state = 170},
  [485] = {.lex_state = 332},
  [486] = {.lex_state = 170},
  [487] = {.lex_state = 332},
  [488] = {.lex_state = 332},
  [489] = {.lex_state = 332},
  [490] = {.lex_state = 332},
  [491] = {.lex_state = 332},
  [492] = {.lex_state = 332},
  [493] = {.lex_state = 170},
  [494] = {.lex_state = 170},
  [495] = {.lex_state = 170},
  [496] = {.lex_state = 332},
  [497] = {.lex_state = 332},
  [498] = {.lex_state = 332},
  [499] = {.lex_state = 170},
  [500] = {.lex_state = 332},
  [501] = {.lex_state = 332},
  [502] = {.lex_state = 170},
  [503] = {.lex_state = 332},
  [504] = {.lex_state = 170},
  [505] = {.lex_state = 170},
  [506] = {.lex_state = 332},
  [507] = {.lex_state = 332},
  [508] = {.lex_state = 170},
  [509] = {.lex_state = 332},
  [510] = {.lex_state = 332},
  [511] = {.lex_state = 332},
  [512] = {.lex_state = 332},
  [513] = {.lex_state = 332},
  [514] = {.lex_state = 332},
  [515] = {.lex_state = 332},
  [516] = {.lex_state = 170},
  [517] = {.lex_state = 170},
  [518] = {.lex_state = 170},
  [519] = {.lex_state = 170},
  [520] = {.lex_state = 170},
  [521] = {.lex_state = 170},
  [522] = {.lex_state = 170},
  [523] = {.lex_state = 332},
  [524] = {.lex_state = 170},
  [525] = {.lex_state = 332},
  [526] = {.lex_state = 332},
  [527] = {.lex_state = 332},
  [528] = {.lex_state = 332},
  [529] = {.lex_state = 332},
  [530] = {.lex_state = 332},
  [531] = {.lex_state = 332},
  [532] = {.lex_state = 332},
  [533] = {.lex_state = 332},
  [534] = {.lex_state = 332},
  [535] = {.lex_state = 170},
  [536] = {.lex_state = 332},
  [537] = {.lex_state = 332},
  [538] = {.lex_state = 332},
  [539] = {.lex_state = 170},
  [540] = {.lex_state = 332},
  [541] = {.lex_state = 170},
  [542] = {.lex_state = 332},
  [543] = {.lex_state = 170},
  [544] = {.lex_state = 170},
  [545] = {.lex_state = 170},
  [546] = {.lex_state = 170},
  [547] = {.lex_state = 170},
  [548] = {.lex_state = 170},
  [549] = {.lex_state = 170},
  [550] = {.lex_state = 170},
  [551] = {.lex_state = 170},
  [552] = {.lex_state = 170},
  [553] = {.lex_state = 332},
  [554] = {.lex_state = 170},
  [555] = {.lex_state = 170},
  [556] = {.lex_state = 332},
  [557] = {.lex_state = 332},
  [558] = {.lex_state = 332},
  [559] = {.lex_state = 170},
  [560] = {.lex_state = 170},
  [561] = {.lex_state = 170},
  [562] = {.lex_state = 170},
  [563] = {.lex_state = 170},
  [564] = {.lex_state = 170},
  [565] = {.lex_state = 170},
  [566] = {.lex_state = 170},
  [567] = {.lex_state = 170},
  [568] = {.lex_state = 170},
  [569] = {.lex_state = 170},
  [570] = {.lex_state = 332},
  [571] = {.lex_state = 332},
  [572] = {.lex_state = 332},
  [573] = {.lex_state = 332},
  [574] = {.lex_state = 332},
  [575] = {.lex_state = 170},
  [576] = {.lex_state = 332},
  [577] = {.lex_state = 170},
  [578] = {.lex_state = 170},
  [579] = {.lex_state = 332},
  [580] = {.lex_state = 332},
  [581] = {.lex_state = 170},
  [582] = {.lex_state = 332},
  [583] = {.lex_state = 170},
  [584] = {.lex_state = 170},
  [585] = {.lex_state = 170},
  [586] = {.lex_state = 170},
  [587] = {.lex_state = 170},
  [588] = {.lex_state = 170},
  [589] = {.lex_state = 170},
  [590] = {.lex_state = 170},
  [591] = {.lex_state = 170},
  [592] = {.lex_state = 170},
  [593] = {.lex_state = 332},
  [594] = {.lex_state = 170},
  [595] = {.lex_state = 332},
  [596] = {.lex_state = 332},
  [597] = {.lex_state = 332},
  [598] = {.lex_state = 332},
  [599] = {.lex_state = 170},
  [600] = {.lex_state = 170},
  [601] = {.lex_state = 332},
  [602] = {.lex_state = 332},
  [603] = {.lex_state = 332},
  [604] = {.lex_state = 332},
  [605] = {.lex_state = 332},
  [606] = {.lex_state = 332},
  [607] = {.lex_state = 332},
  [608] = {.lex_state = 332},
  [609] = {.lex_state = 170},
  [610] = {.lex_state = 170},
  [611] = {.lex_state = 332},
  [612] = {.lex_state = 332},
  [613] = {.lex_state = 170},
  [614] = {.lex_state = 332},
  [615] = {.lex_state = 170},
  [616] = {.lex_state = 332},
  [617] = {.lex_state = 332},
  [618] = {.lex_state = 170},
  [619] = {.lex_state = 332},
  [620] = {.lex_state = 332},
  [621] = {.lex_state = 332},
  [622] = {.lex_state = 170},
  [623] = {.lex_state = 170},
  [624] = {.lex_state = 332},
  [625] = {.lex_state = 170},
  [626] = {.lex_state = 170},
  [627] = {.lex_state = 170},
  [628] = {.lex_state = 170},
  [629] = {.lex_state = 332},
  [630] = {.lex_state = 170},
  [631] = {.lex_state = 332},
  [632] = {.lex_state = 332},
  [633] = {.lex_state = 332},
  [634] = {.lex_state = 170},
  [635] = {.lex_state = 332},
  [636] = {.lex_state = 332},
  [637] = {.lex_state = 332},
  [638] = {.lex_state = 170},
  [639] = {.lex_state = 170},
  [640] = {.lex_state = 170},
  [641] = {.lex_state = 332},
  [642] = {.lex_state = 170},
  [643] = {.lex_state = 170},
  [644] = {.lex_state = 234},
  [645] = {.lex_state = 170},
  [646] = {.lex_state = 332},
  [647] = {.lex_state = 332},
  [648] = {.lex_state = 332},
  [649] = {.lex_state = 332},
  [650] = {.lex_state = 332},
  [651] = {.lex_state = 332},
  [652] = {.lex_state = 332},
  [653] = {.lex_state = 170},
  [654] = {.lex_state = 170},
  [655] = {.lex_state = 332},
  [656] = {.lex_state = 332},
  [657] = {.lex_state = 332},
  [658] = {.lex_state = 332},
  [659] = {.lex_state = 332},
  [660] = {.lex_state = 332},
  [661] = {.lex_state = 332},
  [662] = {.lex_state = 332},
  [663] = {.lex_state = 332},
  [664] = {.lex_state = 170},
  [665] = {.lex_state = 332},
  [666] = {.lex_state = 332},
  [667] = {.lex_state = 170},
  [668] = {.lex_state = 332},
  [669] = {.lex_state = 170},
  [670] = {.lex_state = 170},
  [671] = {.lex_state = 170},
  [672] = {.lex_state = 332},
  [673] = {.lex_state = 170},
  [674] = {.lex_state = 332},
  [675] = {.lex_state = 332},
  [676] = {.lex_state = 332},
  [677] = {.lex_state = 170},
  [678] = {.lex_state = 332},
  [679] = {.lex_state = 332},
  [680] = {.lex_state = 161},
  [681] = {.lex_state = 332},
  [682] = {.lex_state = 332},
  [683] = {.lex_state = 332},
  [684] = {.lex_state = 332},
  [685] = {.lex_state = 332},
  [686] = {.lex_state = 332},
  [687] = {.lex_state = 332},
  [688] = {.lex_state = 332},
  [689] = {.lex_state = 332},
  [690] = {.lex_state = 332},
  [691] = {.lex_state = 332},
  [692] = {.lex_state = 332},
  [693] = {.lex_state = 332},
  [694] = {.lex_state = 332},
  [695] = {.lex_state = 332},
  [696] = {.lex_state = 332},
  [697] = {.lex_state = 332},
  [698] = {.lex_state = 332},
  [699] = {.lex_state = 332},
  [700] = {.lex_state = 332},
  [701] = {.lex_state = 332},
  [702] = {.lex_state = 332},
  [703] = {.lex_state = 332},
  [704] = {.lex_state = 332},
  [705] = {.lex_state = 332},
  [706] = {.lex_state = 332},
  [707] = {.lex_state = 332},
  [708] = {.lex_state = 332},
  [709] = {.lex_state = 161},
  [710] = {.lex_state = 332},
  [711] = {.lex_state = 332},
  [712] = {.lex_state = 332},
  [713] = {.lex_state = 332},
  [714] = {.lex_state = 332},
  [715] = {.lex_state = 332},
  [716] = {.lex_state = 332},
  [717] = {.lex_state = 332},
  [718] = {.lex_state = 332},
  [719] = {.lex_state = 332},
  [720] = {.lex_state = 332},
  [721] = {.lex_state = 332},
  [722] = {.lex_state = 332},
  [723] = {.lex_state = 332},
  [724] = {.lex_state = 332},
  [725] = {.lex_state = 332},
  [726] = {.lex_state = 332},
  [727] = {.lex_state = 332},
  [728] = {.lex_state = 332},
  [729] = {.lex_state = 332},
  [730] = {.lex_state = 332},
  [731] = {.lex_state = 332},
  [732] = {.lex_state = 332},
  [733] = {.lex_state = 332},
  [734] = {.lex_state = 332},
  [735] = {.lex_state = 332},
  [736] = {.lex_state = 332},
  [737] = {.lex_state = 332},
  [738] = {.lex_state = 332},
  [739] = {.lex_state = 332},
  [740] = {.lex_state = 332},
  [741] = {.lex_state = 332},
  [742] = {.lex_state = 332},
  [743] = {.lex_state = 332},
  [744] = {.lex_state = 332},
  [745] = {.lex_state = 332},
  [746] = {.lex_state = 332},
  [747] = {.lex_state = 332},
  [748] = {.lex_state = 332},
  [749] = {.lex_state = 332},
  [750] = {.lex_state = 332},
  [751] = {.lex_state = 332},
  [752] = {.lex_state = 190},
  [753] = {.lex_state = 161},
  [754] = {.lex_state = 190},
  [755] = {.lex_state = 190},
  [756] = {.lex_state = 190},
  [757] = {.lex_state = 190},
  [758] = {.lex_state = 190},
  [759] = {.lex_state = 190},
  [760] = {.lex_state = 190},
  [761] = {.lex_state = 190},
  [762] = {.lex_state = 190},
  [763] = {.lex_state = 190},
  [764] = {.lex_state = 190},
  [765] = {.lex_state = 190},
  [766] = {.lex_state = 235},
  [767] = {.lex_state = 190},
  [768] = {.lex_state = 190},
  [769] = {.lex_state = 190},
  [770] = {.lex_state = 190},
  [771] = {.lex_state = 190},
  [772] = {.lex_state = 235},
  [773] = {.lex_state = 235},
  [774] = {.lex_state = 190},
  [775] = {.lex_state = 190},
  [776] = {.lex_state = 190},
  [777] = {.lex_state = 161},
  [778] = {.lex_state = 161},
  [779] = {.lex_state = 164},
  [780] = {.lex_state = 161},
  [781] = {.lex_state = 172},
  [782] = {.lex_state = 165},
  [783] = {.lex_state = 172},
  [784] = {.lex_state = 165},
  [785] = {.lex_state = 172},
  [786] = {.lex_state = 332},
  [787] = {.lex_state = 332},
  [788] = {.lex_state = 234},
  [789] = {.lex_state = 234},
  [790] = {.lex_state = 234},
  [791] = {.lex_state = 234},
  [792] = {.lex_state = 234},
  [793] = {.lex_state = 234},
  [794] = {.lex_state = 234},
  [795] = {.lex_state = 172},
  [796] = {.lex_state = 172},
  [797] = {.lex_state = 172},
  [798] = {.lex_state = 172},
  [799] = {.lex_state = 172},
  [800] = {.lex_state = 172},
  [801] = {.lex_state = 172},
  [802] = {.lex_state = 172},
  [803] = {.lex_state = 172},
  [804] = {.lex_state = 172},
  [805] = {.lex_state = 172},
  [806] = {.lex_state = 172},
  [807] = {.lex_state = 172},
  [808] = {.lex_state = 172},
  [809] = {.lex_state = 172},
  [810] = {.lex_state = 172},
  [811] = {.lex_state = 172},
  [812] = {.lex_state = 172},
  [813] = {.lex_state = 172},
  [814] = {.lex_state = 172},
  [815] = {.lex_state = 172},
  [816] = {.lex_state = 234},
  [817] = {.lex_state = 234},
  [818] = {.lex_state = 234},
  [819] = {.lex_state = 234},
  [820] = {.lex_state = 234},
  [821] = {.lex_state = 234},
  [822] = {.lex_state = 234},
  [823] = {.lex_state = 171},
  [824] = {.lex_state = 332},
  [825] = {.lex_state = 171},
  [826] = {.lex_state = 172},
  [827] = {.lex_state = 169},
  [828] = {.lex_state = 169},
  [829] = {.lex_state = 183},
  [830] = {.lex_state = 183},
  [831] = {.lex_state = 183},
  [832] = {.lex_state = 183},
  [833] = {.lex_state = 183},
  [834] = {.lex_state = 169},
  [835] = {.lex_state = 169},
  [836] = {.lex_state = 169},
  [837] = {.lex_state = 171},
  [838] = {.lex_state = 169},
  [839] = {.lex_state = 169},
  [840] = {.lex_state = 171},
  [841] = {.lex_state = 169},
  [842] = {.lex_state = 169},
  [843] = {.lex_state = 169},
  [844] = {.lex_state = 169},
  [845] = {.lex_state = 169},
  [846] = {.lex_state = 169},
  [847] = {.lex_state = 169},
  [848] = {.lex_state = 169},
  [849] = {.lex_state = 169},
  [850] = {.lex_state = 169},
  [851] = {.lex_state = 169},
  [852] = {.lex_state = 169},
  [853] = {.lex_state = 169},
  [854] = {.lex_state = 169},
  [855] = {.lex_state = 169},
  [856] = {.lex_state = 169},
  [857] = {.lex_state = 169},
  [858] = {.lex_state = 169},
  [859] = {.lex_state = 169},
  [860] = {.lex_state = 169},
  [861] = {.lex_state = 169},
  [862] = {.lex_state = 169},
  [863] = {.lex_state = 169},
  [864] = {.lex_state = 169},
  [865] = {.lex_state = 169},
  [866] = {.lex_state = 169},
  [867] = {.lex_state = 169},
  [868] = {.lex_state = 169},
  [869] = {.lex_state = 169},
  [870] = {.lex_state = 169},
  [871] = {.lex_state = 169},
  [872] = {.lex_state = 169},
  [873] = {.lex_state = 169},
  [874] = {.lex_state = 169},
  [875] = {.lex_state = 169},
  [876] = {.lex_state = 169},
  [877] = {.lex_state = 169},
  [878] = {.lex_state = 169},
  [879] = {.lex_state = 169},
  [880] = {.lex_state = 169},
  [881] = {.lex_state = 234},
  [882] = {.lex_state = 172},
  [883] = {.lex_state = 172},
  [884] = {.lex_state = 172},
  [885] = {.lex_state = 172},
  [886] = {.lex_state = 172},
  [887] = {.lex_state = 172},
  [888] = {.lex_state = 172},
  [889] = {.lex_state = 172},
  [890] = {.lex_state = 172},
  [891] = {.lex_state = 172},
  [892] = {.lex_state = 172},
  [893] = {.lex_state = 172},
  [894] = {.lex_state = 172},
  [895] = {.lex_state = 172},
  [896] = {.lex_state = 172},
  [897] = {.lex_state = 172},
  [898] = {.lex_state = 172},
  [899] = {.lex_state = 172},
  [900] = {.lex_state = 172},
  [901] = {.lex_state = 172},
  [902] = {.lex_state = 183},
  [903] = {.lex_state = 172},
  [904] = {.lex_state = 172},
  [905] = {.lex_state = 172},
  [906] = {.lex_state = 172},
  [907] = {.lex_state = 172},
  [908] = {.lex_state = 172},
  [909] = {.lex_state = 172},
  [910] = {.lex_state = 172},
  [911] = {.lex_state = 183},
  [912] = {.lex_state = 172},
  [913] = {.lex_state = 172},
  [914] = {.lex_state = 172},
  [915] = {.lex_state = 183},
  [916] = {.lex_state = 183},
  [917] = {.lex_state = 172},
  [918] = {.lex_state = 172},
  [919] = {.lex_state = 172},
  [920] = {.lex_state = 172},
  [921] = {.lex_state = 172},
  [922] = {.lex_state = 183},
  [923] = {.lex_state = 183},
  [924] = {.lex_state = 179},
  [925] = {.lex_state = 172},
  [926] = {.lex_state = 183},
  [927] = {.lex_state = 172},
  [928] = {.lex_state = 172},
  [929] = {.lex_state = 183},
  [930] = {.lex_state = 172},
  [931] = {.lex_state = 172},
  [932] = {.lex_state = 172},
  [933] = {.lex_state = 172},
  [934] = {.lex_state = 172},
  [935] = {.lex_state = 172},
  [936] = {.lex_state = 172},
  [937] = {.lex_state = 172},
  [938] = {.lex_state = 172},
  [939] = {.lex_state = 172},
  [940] = {.lex_state = 172},
  [941] = {.lex_state = 172},
  [942] = {.lex_state = 172},
  [943] = {.lex_state = 172},
  [944] = {.lex_state = 172},
  [945] = {.lex_state = 172},
  [946] = {.lex_state = 172},
  [947] = {.lex_state = 172},
  [948] = {.lex_state = 172},
  [949] = {.lex_state = 172},
  [950] = {.lex_state = 172},
  [951] = {.lex_state = 172},
  [952] = {.lex_state = 172},
  [953] = {.lex_state = 172},
  [954] = {.lex_state = 172},
  [955] = {.lex_state = 171},
  [956] = {.lex_state = 171},
  [957] = {.lex_state = 171},
  [958] = {.lex_state = 172},
  [959] = {.lex_state = 172},
  [960] = {.lex_state = 171},
  [961] = {.lex_state = 171},
  [962] = {.lex_state = 172},
  [963] = {.lex_state = 172},
  [964] = {.lex_state = 171},
  [965] = {.lex_state = 172},
  [966] = {.lex_state = 172},
  [967] = {.lex_state = 172},
  [968] = {.lex_state = 171},
  [969] = {.lex_state = 172},
  [970] = {.lex_state = 172},
  [971] = {.lex_state = 171},
  [972] = {.lex_state = 172},
  [973] = {.lex_state = 172},
  [974] = {.lex_state = 172},
  [975] = {.lex_state = 171},
  [976] = {.lex_state = 171},
  [977] = {.lex_state = 172},
  [978] = {.lex_state = 172},
  [979] = {.lex_state = 172},
  [980] = {.lex_state = 171},
  [981] = {.lex_state = 171},
  [982] = {.lex_state = 171},
  [983] = {.lex_state = 172},
  [984] = {.lex_state = 171},
  [985] = {.lex_state = 172},
  [986] = {.lex_state = 172},
  [987] = {.lex_state = 172},
  [988] = {.lex_state = 171},
  [989] = {.lex_state = 172},
  [990] = {.lex_state = 172},
  [991] = {.lex_state = 172},
  [992] = {.lex_state = 171},
  [993] = {.lex_state = 172},
  [994] = {.lex_state = 172},
  [995] = {.lex_state = 171},
  [996] = {.lex_state = 171},
  [997] = {.lex_state = 172},
  [998] = {.lex_state = 171},
  [999] = {.lex_state = 172},
  [1000] = {.lex_state = 172},
  [1001] = {.lex_state = 172},
  [1002] = {.lex_state = 172},
  [1003] = {.lex_state = 171},
  [1004] = {.lex_state = 172},
  [1005] = {.lex_state = 172},
  [1006] = {.lex_state = 172},
  [1007] = {.lex_state = 172},
  [1008] = {.lex_state = 172},
  [1009] = {.lex_state = 171},
  [1010] = {.lex_state = 172},
  [1011] = {.lex_state = 172},
  [1012] = {.lex_state = 172},
  [1013] = {.lex_state = 171},
  [1014] = {.lex_state = 172},
  [1015] = {.lex_state = 171},
  [1016] = {.lex_state = 172},
  [1017] = {.lex_state = 172},
  [1018] = {.lex_state = 172},
  [1019] = {.lex_state = 171},
  [1020] = {.lex_state = 171},
  [1021] = {.lex_state = 172},
  [1022] = {.lex_state = 172},
  [1023] = {.lex_state = 172},
  [1024] = {.lex_state = 172},
  [1025] = {.lex_state = 171},
  [1026] = {.lex_state = 172},
  [1027] = {.lex_state = 172},
  [1028] = {.lex_state = 172},
  [1029] = {.lex_state = 172},
  [1030] = {.lex_state = 172},
  [1031] = {.lex_state = 172},
  [1032] = {.lex_state = 172},
  [1033] = {.lex_state = 172},
  [1034] = {.lex_state = 172},
  [1035] = {.lex_state = 172},
  [1036] = {.lex_state = 172},
  [1037] = {.lex_state = 172},
  [1038] = {.lex_state = 172},
  [1039] = {.lex_state = 172},
  [1040] = {.lex_state = 172},
  [1041] = {.lex_state = 172},
  [1042] = {.lex_state = 172},
  [1043] = {.lex_state = 172},
  [1044] = {.lex_state = 172},
  [1045] = {.lex_state = 172},
  [1046] = {.lex_state = 172},
  [1047] = {.lex_state = 172},
  [1048] = {.lex_state = 172},
  [1049] = {.lex_state = 172},
  [1050] = {.lex_state = 172},
  [1051] = {.lex_state = 172},
  [1052] = {.lex_state = 172},
  [1053] = {.lex_state = 172},
  [1054] = {.lex_state = 172},
  [1055] = {.lex_state = 172},
  [1056] = {.lex_state = 172},
  [1057] = {.lex_state = 172},
  [1058] = {.lex_state = 172},
  [1059] = {.lex_state = 172},
  [1060] = {.lex_state = 172},
  [1061] = {.lex_state = 172},
  [1062] = {.lex_state = 172},
  [1063] = {.lex_state = 172},
  [1064] = {.lex_state = 172},
  [1065] = {.lex_state = 172},
  [1066] = {.lex_state = 172},
  [1067] = {.lex_state = 172},
  [1068] = {.lex_state = 172},
  [1069] = {.lex_state = 172},
  [1070] = {.lex_state = 172},
  [1071] = {.lex_state = 172},
  [1072] = {.lex_state = 172},
  [1073] = {.lex_state = 172},
  [1074] = {.lex_state = 172},
  [1075] = {.lex_state = 172},
  [1076] = {.lex_state = 172},
  [1077] = {.lex_state = 172},
  [1078] = {.lex_state = 172},
  [1079] = {.lex_state = 172},
  [1080] = {.lex_state = 172},
  [1081] = {.lex_state = 172},
  [1082] = {.lex_state = 172},
  [1083] = {.lex_state = 172},
  [1084] = {.lex_state = 172},
  [1085] = {.lex_state = 172},
  [1086] = {.lex_state = 172},
  [1087] = {.lex_state = 172},
  [1088] = {.lex_state = 172},
  [1089] = {.lex_state = 172},
  [1090] = {.lex_state = 172},
  [1091] = {.lex_state = 172},
  [1092] = {.lex_state = 172},
  [1093] = {.lex_state = 172},
  [1094] = {.lex_state = 172},
  [1095] = {.lex_state = 172},
  [1096] = {.lex_state = 172},
  [1097] = {.lex_state = 172},
  [1098] = {.lex_state = 172},
  [1099] = {.lex_state = 172},
  [1100] = {.lex_state = 172},
  [1101] = {.lex_state = 172},
  [1102] = {.lex_state = 172},
  [1103] = {.lex_state = 172},
  [1104] = {.lex_state = 172},
  [1105] = {.lex_state = 172},
  [1106] = {.lex_state = 172},
  [1107] = {.lex_state = 172},
  [1108] = {.lex_state = 172},
  [1109] = {.lex_state = 172},
  [1110] = {.lex_state = 172},
  [1111] = {.lex_state = 172},
  [1112] = {.lex_state = 172},
  [1113] = {.lex_state = 172},
  [1114] = {.lex_state = 172},
  [1115] = {.lex_state = 172},
  [1116] = {.lex_state = 172},
  [1117] = {.lex_state = 172},
  [1118] = {.lex_state = 172},
  [1119] = {.lex_state = 172},
  [1120] = {.lex_state = 172},
  [1121] = {.lex_state = 172},
  [1122] = {.lex_state = 172},
  [1123] = {.lex_state = 172},
  [1124] = {.lex_state = 172},
  [1125] = {.lex_state = 172},
  [1126] = {.lex_state = 172},
  [1127] = {.lex_state = 172},
  [1128] = {.lex_state = 172},
  [1129] = {.lex_state = 172},
  [1130] = {.lex_state = 172},
  [1131] = {.lex_state = 172},
  [1132] = {.lex_state = 172},
  [1133] = {.lex_state = 172},
  [1134] = {.lex_state = 172},
  [1135] = {.lex_state = 172},
  [1136] = {.lex_state = 172},
  [1137] = {.lex_state = 172},
  [1138] = {.lex_state = 172},
  [1139] = {.lex_state = 172},
  [1140] = {.lex_state = 172},
  [1141] = {.lex_state = 172},
  [1142] = {.lex_state = 172},
  [1143] = {.lex_state = 172},
  [1144] = {.lex_state = 172},
  [1145] = {.lex_state = 172},
  [1146] = {.lex_state = 172},
  [1147] = {.lex_state = 172},
  [1148] = {.lex_state = 172},
  [1149] = {.lex_state = 172},
  [1150] = {.lex_state = 172},
  [1151] = {.lex_state = 172},
  [1152] = {.lex_state = 172},
  [1153] = {.lex_state = 172},
  [1154] = {.lex_state = 172},
  [1155] = {.lex_state = 172},
  [1156] = {.lex_state = 172},
  [1157] = {.lex_state = 172},
  [1158] = {.lex_state = 172},
  [1159] = {.lex_state = 172},
  [1160] = {.lex_state = 172},
  [1161] = {.lex_state = 172},
  [1162] = {.lex_state = 172},
  [1163] = {.lex_state = 172},
  [1164] = {.lex_state = 172},
  [1165] = {.lex_state = 172},
  [1166] = {.lex_state = 172},
  [1167] = {.lex_state = 172},
  [1168] = {.lex_state = 172},
  [1169] = {.lex_state = 172},
  [1170] = {.lex_state = 172},
  [1171] = {.lex_state = 172},
  [1172] = {.lex_state = 172},
  [1173] = {.lex_state = 172},
  [1174] = {.lex_state = 172},
  [1175] = {.lex_state = 172},
  [1176] = {.lex_state = 172},
  [1177] = {.lex_state = 172},
  [1178] = {.lex_state = 172},
  [1179] = {.lex_state = 172},
  [1180] = {.lex_state = 172},
  [1181] = {.lex_state = 172},
  [1182] = {.lex_state = 172},
  [1183] = {.lex_state = 172},
  [1184] = {.lex_state = 172},
  [1185] = {.lex_state = 172},
  [1186] = {.lex_state = 172},
  [1187] = {.lex_state = 172},
  [1188] = {.lex_state = 172},
  [1189] = {.lex_state = 172},
  [1190] = {.lex_state = 172},
  [1191] = {.lex_state = 172},
  [1192] = {.lex_state = 172},
  [1193] = {.lex_state = 172},
  [1194] = {.lex_state = 172},
  [1195] = {.lex_state = 172},
  [1196] = {.lex_state = 172},
  [1197] = {.lex_state = 172},
  [1198] = {.lex_state = 172},
  [1199] = {.lex_state = 172},
  [1200] = {.lex_state = 172},
  [1201] = {.lex_state = 172},
  [1202] = {.lex_state = 172},
  [1203] = {.lex_state = 172},
  [1204] = {.lex_state = 172},
  [1205] = {.lex_state = 172},
  [1206] = {.lex_state = 172},
  [1207] = {.lex_state = 172},
  [1208] = {.lex_state = 172},
  [1209] = {.lex_state = 172},
  [1210] = {.lex_state = 172},
  [1211] = {.lex_state = 172},
  [1212] = {.lex_state = 172},
  [1213] = {.lex_state = 172},
  [1214] = {.lex_state = 172},
  [1215] = {.lex_state = 172},
  [1216] = {.lex_state = 172},
  [1217] = {.lex_state = 172},
  [1218] = {.lex_state = 172},
  [1219] = {.lex_state = 172},
  [1220] = {.lex_state = 172},
  [1221] = {.lex_state = 172},
  [1222] = {.lex_state = 172},
  [1223] = {.lex_state = 172},
  [1224] = {.lex_state = 172},
  [1225] = {.lex_state = 172},
  [1226] = {.lex_state = 172},
  [1227] = {.lex_state = 172},
  [1228] = {.lex_state = 172},
  [1229] = {.lex_state = 172},
  [1230] = {.lex_state = 172},
  [1231] = {.lex_state = 172},
  [1232] = {.lex_state = 172},
  [1233] = {.lex_state = 172},
  [1234] = {.lex_state = 172},
  [1235] = {.lex_state = 172},
  [1236] = {.lex_state = 172},
  [1237] = {.lex_state = 172},
  [1238] = {.lex_state = 172},
  [1239] = {.lex_state = 172},
  [1240] = {.lex_state = 172},
  [1241] = {.lex_state = 172},
  [1242] = {.lex_state = 172},
  [1243] = {.lex_state = 172},
  [1244] = {.lex_state = 172},
  [1245] = {.lex_state = 172},
  [1246] = {.lex_state = 172},
  [1247] = {.lex_state = 172},
  [1248] = {.lex_state = 172},
  [1249] = {.lex_state = 172},
  [1250] = {.lex_state = 172},
  [1251] = {.lex_state = 172},
  [1252] = {.lex_state = 172},
  [1253] = {.lex_state = 172},
  [1254] = {.lex_state = 172},
  [1255] = {.lex_state = 172},
  [1256] = {.lex_state = 172},
  [1257] = {.lex_state = 172},
  [1258] = {.lex_state = 172},
  [1259] = {.lex_state = 172},
  [1260] = {.lex_state = 172},
  [1261] = {.lex_state = 172},
  [1262] = {.lex_state = 172},
  [1263] = {.lex_state = 172},
  [1264] = {.lex_state = 172},
  [1265] = {.lex_state = 172},
  [1266] = {.lex_state = 172},
  [1267] = {.lex_state = 172},
  [1268] = {.lex_state = 172},
  [1269] = {.lex_state = 172},
  [1270] = {.lex_state = 172},
  [1271] = {.lex_state = 172},
  [1272] = {.lex_state = 172},
  [1273] = {.lex_state = 172},
  [1274] = {.lex_state = 172},
  [1275] = {.lex_state = 172},
  [1276] = {.lex_state = 172},
  [1277] = {.lex_state = 172},
  [1278] = {.lex_state = 172},
  [1279] = {.lex_state = 172},
  [1280] = {.lex_state = 172},
  [1281] = {.lex_state = 172},
  [1282] = {.lex_state = 172},
  [1283] = {.lex_state = 172},
  [1284] = {.lex_state = 172},
  [1285] = {.lex_state = 172},
  [1286] = {.lex_state = 172},
  [1287] = {.lex_state = 172},
  [1288] = {.lex_state = 172},
  [1289] = {.lex_state = 172},
  [1290] = {.lex_state = 172},
  [1291] = {.lex_state = 172},
  [1292] = {.lex_state = 172},
  [1293] = {.lex_state = 172},
  [1294] = {.lex_state = 172},
  [1295] = {.lex_state = 172},
  [1296] = {.lex_state = 172},
  [1297] = {.lex_state = 172},
  [1298] = {.lex_state = 172},
  [1299] = {.lex_state = 172},
  [1300] = {.lex_state = 172},
  [1301] = {.lex_state = 172},
  [1302] = {.lex_state = 172},
  [1303] = {.lex_state = 172},
  [1304] = {.lex_state = 172},
  [1305] = {.lex_state = 172},
  [1306] = {.lex_state = 172},
  [1307] = {.lex_state = 172},
  [1308] = {.lex_state = 172},
  [1309] = {.lex_state = 172},
  [1310] = {.lex_state = 172},
  [1311] = {.lex_state = 172},
  [1312] = {.lex_state = 172},
  [1313] = {.lex_state = 172},
  [1314] = {.lex_state = 172},
  [1315] = {.lex_state = 172},
  [1316] = {.lex_state = 172},
  [1317] = {.lex_state = 172},
  [1318] = {.lex_state = 172},
  [1319] = {.lex_state = 172},
  [1320] = {.lex_state = 172},
  [1321] = {.lex_state = 172},
  [1322] = {.lex_state = 172},
  [1323] = {.lex_state = 172},
  [1324] = {.lex_state = 172},
  [1325] = {.lex_state = 172},
  [1326] = {.lex_state = 172},
  [1327] = {.lex_state = 172},
  [1328] = {.lex_state = 172},
  [1329] = {.lex_state = 172},
  [1330] = {.lex_state = 172},
  [1331] = {.lex_state = 172},
  [1332] = {.lex_state = 172},
  [1333] = {.lex_state = 172},
  [1334] = {.lex_state = 172},
  [1335] = {.lex_state = 172},
  [1336] = {.lex_state = 172},
  [1337] = {.lex_state = 172},
  [1338] = {.lex_state = 172},
  [1339] = {.lex_state = 172},
  [1340] = {.lex_state = 172},
  [1341] = {.lex_state = 172},
  [1342] = {.lex_state = 172},
  [1343] = {.lex_state = 172},
  [1344] = {.lex_state = 172},
  [1345] = {.lex_state = 172},
  [1346] = {.lex_state = 172},
  [1347] = {.lex_state = 172},
  [1348] = {.lex_state = 172},
  [1349] = {.lex_state = 172},
  [1350] = {.lex_state = 172},
  [1351] = {.lex_state = 172},
  [1352] = {.lex_state = 172},
  [1353] = {.lex_state = 172},
  [1354] = {.lex_state = 172},
  [1355] = {.lex_state = 172},
  [1356] = {.lex_state = 172},
  [1357] = {.lex_state = 172},
  [1358] = {.lex_state = 172},
  [1359] = {.lex_state = 172},
  [1360] = {.lex_state = 172},
  [1361] = {.lex_state = 172},
  [1362] = {.lex_state = 172},
  [1363] = {.lex_state = 172},
  [1364] = {.lex_state = 172},
  [1365] = {.lex_state = 172},
  [1366] = {.lex_state = 172},
  [1367] = {.lex_state = 172},
  [1368] = {.lex_state = 172},
  [1369] = {.lex_state = 172},
  [1370] = {.lex_state = 172},
  [1371] = {.lex_state = 172},
  [1372] = {.lex_state = 172},
  [1373] = {.lex_state = 172},
  [1374] = {.lex_state = 172},
  [1375] = {.lex_state = 172},
  [1376] = {.lex_state = 172},
  [1377] = {.lex_state = 172},
  [1378] = {.lex_state = 172},
  [1379] = {.lex_state = 172},
  [1380] = {.lex_state = 172},
  [1381] = {.lex_state = 172},
  [1382] = {.lex_state = 172},
  [1383] = {.lex_state = 172},
  [1384] = {.lex_state = 172},
  [1385] = {.lex_state = 172},
  [1386] = {.lex_state = 172},
  [1387] = {.lex_state = 172},
  [1388] = {.lex_state = 172},
  [1389] = {.lex_state = 172},
  [1390] = {.lex_state = 172},
  [1391] = {.lex_state = 172},
  [1392] = {.lex_state = 172},
  [1393] = {.lex_state = 172},
  [1394] = {.lex_state = 172},
  [1395] = {.lex_state = 172},
  [1396] = {.lex_state = 172},
  [1397] = {.lex_state = 172},
  [1398] = {.lex_state = 172},
  [1399] = {.lex_state = 172},
  [1400] = {.lex_state = 172},
  [1401] = {.lex_state = 172},
  [1402] = {.lex_state = 172},
  [1403] = {.lex_state = 172},
  [1404] = {.lex_state = 172},
  [1405] = {.lex_state = 172},
  [1406] = {.lex_state = 172},
  [1407] = {.lex_state = 172},
  [1408] = {.lex_state = 172},
  [1409] = {.lex_state = 172},
  [1410] = {.lex_state = 172},
  [1411] = {.lex_state = 172},
  [1412] = {.lex_state = 172},
  [1413] = {.lex_state = 172},
  [1414] = {.lex_state = 172},
  [1415] = {.lex_state = 172},
  [1416] = {.lex_state = 172},
  [1417] = {.lex_state = 172},
  [1418] = {.lex_state = 172},
  [1419] = {.lex_state = 172},
  [1420] = {.lex_state = 172},
  [1421] = {.lex_state = 172},
  [1422] = {.lex_state = 172},
  [1423] = {.lex_state = 172},
  [1424] = {.lex_state = 172},
  [1425] = {.lex_state = 172},
  [1426] = {.lex_state = 172},
  [1427] = {.lex_state = 172},
  [1428] = {.lex_state = 172},
  [1429] = {.lex_state = 172},
  [1430] = {.lex_state = 172},
  [1431] = {.lex_state = 172},
  [1432] = {.lex_state = 172},
  [1433] = {.lex_state = 172},
  [1434] = {.lex_state = 172},
  [1435] = {.lex_state = 172},
  [1436] = {.lex_state = 172},
  [1437] = {.lex_state = 172},
  [1438] = {.lex_state = 172},
  [1439] = {.lex_state = 172},
  [1440] = {.lex_state = 172},
  [1441] = {.lex_state = 172},
  [1442] = {.lex_state = 172},
  [1443] = {.lex_state = 172},
  [1444] = {.lex_state = 172},
  [1445] = {.lex_state = 172},
  [1446] = {.lex_state = 172},
  [1447] = {.lex_state = 172},
  [1448] = {.lex_state = 172},
  [1449] = {.lex_state = 172},
  [1450] = {.lex_state = 172},
  [1451] = {.lex_state = 172},
  [1452] = {.lex_state = 172},
  [1453] = {.lex_state = 172},
  [1454] = {.lex_state = 172},
  [1455] = {.lex_state = 172},
  [1456] = {.lex_state = 172},
  [1457] = {.lex_state = 172},
  [1458] = {.lex_state = 172},
  [1459] = {.lex_state = 172},
  [1460] = {.lex_state = 172},
  [1461] = {.lex_state = 172},
  [1462] = {.lex_state = 172},
  [1463] = {.lex_state = 172},
  [1464] = {.lex_state = 172},
  [1465] = {.lex_state = 172},
  [1466] = {.lex_state = 172},
  [1467] = {.lex_state = 172},
  [1468] = {.lex_state = 172},
  [1469] = {.lex_state = 172},
  [1470] = {.lex_state = 172},
  [1471] = {.lex_state = 172},
  [1472] = {.lex_state = 172},
  [1473] = {.lex_state = 172},
  [1474] = {.lex_state = 172},
  [1475] = {.lex_state = 172},
  [1476] = {.lex_state = 172},
  [1477] = {.lex_state = 172},
  [1478] = {.lex_state = 172},
  [1479] = {.lex_state = 172},
  [1480] = {.lex_state = 172},
  [1481] = {.lex_state = 172},
  [1482] = {.lex_state = 172},
  [1483] = {.lex_state = 172},
  [1484] = {.lex_state = 172},
  [1485] = {.lex_state = 172},
  [1486] = {.lex_state = 172},
  [1487] = {.lex_state = 172},
  [1488] = {.lex_state = 172},
  [1489] = {.lex_state = 172},
  [1490] = {.lex_state = 172},
  [1491] = {.lex_state = 172},
  [1492] = {.lex_state = 172},
  [1493] = {.lex_state = 172},
  [1494] = {.lex_state = 172},
  [1495] = {.lex_state = 172},
  [1496] = {.lex_state = 172},
  [1497] = {.lex_state = 172},
  [1498] = {.lex_state = 172},
  [1499] = {.lex_state = 172},
  [1500] = {.lex_state = 172},
  [1501] = {.lex_state = 172},
  [1502] = {.lex_state = 172},
  [1503] = {.lex_state = 172},
  [1504] = {.lex_state = 172},
  [1505] = {.lex_state = 172},
  [1506] = {.lex_state = 172},
  [1507] = {.lex_state = 172},
  [1508] = {.lex_state = 172},
  [1509] = {.lex_state = 172},
  [1510] = {.lex_state = 172},
  [1511] = {.lex_state = 172},
  [1512] = {.lex_state = 172},
  [1513] = {.lex_state = 172},
  [1514] = {.lex_state = 172},
  [1515] = {.lex_state = 172},
  [1516] = {.lex_state = 191},
  [1517] = {.lex_state = 191},
  [1518] = {.lex_state = 191},
  [1519] = {.lex_state = 191},
  [1520] = {.lex_state = 191},
  [1521] = {.lex_state = 191},
  [1522] = {.lex_state = 191},
  [1523] = {.lex_state = 191},
  [1524] = {.lex_state = 191},
  [1525] = {.lex_state = 234},
  [1526] = {.lex_state = 234},
  [1527] = {.lex_state = 169},
  [1528] = {.lex_state = 169},
  [1529] = {.lex_state = 169},
  [1530] = {.lex_state = 234},
  [1531] = {.lex_state = 234},
  [1532] = {.lex_state = 234},
  [1533] = {.lex_state = 191},
  [1534] = {.lex_state = 234},
  [1535] = {.lex_state = 189},
  [1536] = {.lex_state = 179},
  [1537] = {.lex_state = 191},
  [1538] = {.lex_state = 189},
  [1539] = {.lex_state = 189},
  [1540] = {.lex_state = 191},
  [1541] = {.lex_state = 189},
  [1542] = {.lex_state = 189},
  [1543] = {.lex_state = 189},
  [1544] = {.lex_state = 189},
  [1545] = {.lex_state = 189},
  [1546] = {.lex_state = 189},
  [1547] = {.lex_state = 180},
  [1548] = {.lex_state = 220},
  [1549] = {.lex_state = 220},
  [1550] = {.lex_state = 220},
  [1551] = {.lex_state = 220},
  [1552] = {.lex_state = 184},
  [1553] = {.lex_state = 220},
  [1554] = {.lex_state = 220},
  [1555] = {.lex_state = 220},
  [1556] = {.lex_state = 191},
  [1557] = {.lex_state = 174},
  [1558] = {.lex_state = 189},
  [1559] = {.lex_state = 189},
  [1560] = {.lex_state = 189},
  [1561] = {.lex_state = 189},
  [1562] = {.lex_state = 189},
  [1563] = {.lex_state = 189},
  [1564] = {.lex_state = 189},
  [1565] = {.lex_state = 189},
  [1566] = {.lex_state = 192},
  [1567] = {.lex_state = 192},
  [1568] = {.lex_state = 192},
  [1569] = {.lex_state = 192},
  [1570] = {.lex_state = 192},
  [1571] = {.lex_state = 192},
  [1572] = {.lex_state = 192},
  [1573] = {.lex_state = 220},
  [1574] = {.lex_state = 234},
  [1575] = {.lex_state = 234},
  [1576] = {.lex_state = 234},
  [1577] = {.lex_state = 234},
  [1578] = {.lex_state = 234},
  [1579] = {.lex_state = 234},
  [1580] = {.lex_state = 234},
  [1581] = {.lex_state = 234},
  [1582] = {.lex_state = 234},
  [1583] = {.lex_state = 234},
  [1584] = {.lex_state = 234},
  [1585] = {.lex_state = 234},
  [1586] = {.lex_state = 234},
  [1587] = {.lex_state = 234},
  [1588] = {.lex_state = 234},
  [1589] = {.lex_state = 234},
  [1590] = {.lex_state = 234},
  [1591] = {.lex_state = 234},
  [1592] = {.lex_state = 234},
  [1593] = {.lex_state = 234},
  [1594] = {.lex_state = 234},
  [1595] = {.lex_state = 234},
  [1596] = {.lex_state = 234},
  [1597] = {.lex_state = 234},
  [1598] = {.lex_state = 234},
  [1599] = {.lex_state = 234},
  [1600] = {.lex_state = 234},
  [1601] = {.lex_state = 234},
  [1602] = {.lex_state = 234},
  [1603] = {.lex_state = 234},
  [1604] = {.lex_state = 234},
  [1605] = {.lex_state = 234},
  [1606] = {.lex_state = 234},
  [1607] = {.lex_state = 234},
  [1608] = {.lex_state = 234},
  [1609] = {.lex_state = 234},
  [1610] = {.lex_state = 220},
  [1611] = {.lex_state = 174},
  [1612] = {.lex_state = 234},
  [1613] = {.lex_state = 204},
  [1614] = {.lex_state = 204},
  [1615] = {.lex_state = 204},
  [1616] = {.lex_state = 204},
  [1617] = {.lex_state = 200},
  [1618] = {.lex_state = 176},
  [1619] = {.lex_state = 169},
  [1620] = {.lex_state = 169},
  [1621] = {.lex_state = 176},
  [1622] = {.lex_state = 176},
  [1623] = {.lex_state = 204},
  [1624] = {.lex_state = 220},
  [1625] = {.lex_state = 204},
  [1626] = {.lex_state = 204},
  [1627] = {.lex_state = 211},
  [1628] = {.lex_state = 172},
  [1629] = {.lex_state = 211},
  [1630] = {.lex_state = 234},
  [1631] = {.lex_state = 234},
  [1632] = {.lex_state = 234},
  [1633] = {.lex_state = 234},
  [1634] = {.lex_state = 211},
  [1635] = {.lex_state = 211},
  [1636] = {.lex_state = 211},
  [1637] = {.lex_state = 211},
  [1638] = {.lex_state = 211},
  [1639] = {.lex_state = 189},
  [1640] = {.lex_state = 234},
  [1641] = {.lex_state = 189},
  [1642] = {.lex_state = 234},
  [1643] = {.lex_state = 234},
  [1644] = {.lex_state = 234},
  [1645] = {.lex_state = 234},
  [1646] = {.lex_state = 234},
  [1647] = {.lex_state = 176},
  [1648] = {.lex_state = 234},
  [1649] = {.lex_state = 176},
  [1650] = {.lex_state = 234},
  [1651] = {.lex_state = 234},
  [1652] = {.lex_state = 234},
  [1653] = {.lex_state = 176},
  [1654] = {.lex_state = 176},
  [1655] = {.lex_state = 234},
  [1656] = {.lex_state = 204},
  [1657] = {.lex_state = 220},
  [1658] = {.lex_state = 234},
  [1659] = {.lex_state = 234},
  [1660] = {.lex_state = 234},
  [1661] = {.lex_state = 220},
  [1662] = {.lex_state = 234},
  [1663] = {.lex_state = 234},
  [1664] = {.lex_state = 234},
  [1665] = {.lex_state = 234},
  [1666] = {.lex_state = 221},
  [1667] = {.lex_state = 234},
  [1668] = {.lex_state = 220},
  [1669] = {.lex_state = 234},
  [1670] = {.lex_state = 234},
  [1671] = {.lex_state = 234},
  [1672] = {.lex_state = 234},
  [1673] = {.lex_state = 194},
  [1674] = {.lex_state = 234},
  [1675] = {.lex_state = 234},
  [1676] = {.lex_state = 211},
  [1677] = {.lex_state = 221},
  [1678] = {.lex_state = 221},
  [1679] = {.lex_state = 234},
  [1680] = {.lex_state = 234},
  [1681] = {.lex_state = 234},
  [1682] = {.lex_state = 234},
  [1683] = {.lex_state = 234},
  [1684] = {.lex_state = 234},
  [1685] = {.lex_state = 234},
  [1686] = {.lex_state = 234},
  [1687] = {.lex_state = 234},
  [1688] = {.lex_state = 234},
  [1689] = {.lex_state = 234},
  [1690] = {.lex_state = 234},
  [1691] = {.lex_state = 220},
  [1692] = {.lex_state = 234},
  [1693] = {.lex_state = 234},
  [1694] = {.lex_state = 234},
  [1695] = {.lex_state = 234},
  [1696] = {.lex_state = 234},
  [1697] = {.lex_state = 234},
  [1698] = {.lex_state = 220},
  [1699] = {.lex_state = 221},
  [1700] = {.lex_state = 221},
  [1701] = {.lex_state = 204},
  [1702] = {.lex_state = 234},
  [1703] = {.lex_state = 234},
  [1704] = {.lex_state = 234},
  [1705] = {.lex_state = 234},
  [1706] = {.lex_state = 220},
  [1707] = {.lex_state = 234},
  [1708] = {.lex_state = 234},
  [1709] = {.lex_state = 234},
  [1710] = {.lex_state = 234},
  [1711] = {.lex_state = 234},
  [1712] = {.lex_state = 234},
  [1713] = {.lex_state = 234},
  [1714] = {.lex_state = 221},
  [1715] = {.lex_state = 234},
  [1716] = {.lex_state = 234},
  [1717] = {.lex_state = 234},
  [1718] = {.lex_state = 200},
  [1719] = {.lex_state = 234},
  [1720] = {.lex_state = 234},
  [1721] = {.lex_state = 234},
  [1722] = {.lex_state = 221},
  [1723] = {.lex_state = 221},
  [1724] = {.lex_state = 234},
  [1725] = {.lex_state = 234},
  [1726] = {.lex_state = 234},
  [1727] = {.lex_state = 234},
  [1728] = {.lex_state = 234},
  [1729] = {.lex_state = 234},
  [1730] = {.lex_state = 221},
  [1731] = {.lex_state = 234},
  [1732] = {.lex_state = 234},
  [1733] = {.lex_state = 234},
  [1734] = {.lex_state = 234},
  [1735] = {.lex_state = 234},
  [1736] = {.lex_state = 234},
  [1737] = {.lex_state = 234},
  [1738] = {.lex_state = 234},
  [1739] = {.lex_state = 234},
  [1740] = {.lex_state = 221},
  [1741] = {.lex_state = 234},
  [1742] = {.lex_state = 234},
  [1743] = {.lex_state = 234},
  [1744] = {.lex_state = 234},
  [1745] = {.lex_state = 234},
  [1746] = {.lex_state = 234},
  [1747] = {.lex_state = 234},
  [1748] = {.lex_state = 234},
  [1749] = {.lex_state = 234},
  [1750] = {.lex_state = 234},
  [1751] = {.lex_state = 234},
  [1752] = {.lex_state = 221},
  [1753] = {.lex_state = 221},
  [1754] = {.lex_state = 234},
  [1755] = {.lex_state = 234},
  [1756] = {.lex_state = 234},
  [1757] = {.lex_state = 234},
  [1758] = {.lex_state = 172},
  [1759] = {.lex_state = 174},
  [1760] = {.lex_state = 220},
  [1761] = {.lex_state = 234},
  [1762] = {.lex_state = 221},
  [1763] = {.lex_state = 234},
  [1764] = {.lex_state = 234},
  [1765] = {.lex_state = 195},
  [1766] = {.lex_state = 234},
  [1767] = {.lex_state = 220},
  [1768] = {.lex_state = 172},
  [1769] = {.lex_state = 220},
  [1770] = {.lex_state = 234},
  [1771] = {.lex_state = 234},
  [1772] = {.lex_state = 220},
  [1773] = {.lex_state = 234},
  [1774] = {.lex_state = 234},
  [1775] = {.lex_state = 234},
  [1776] = {.lex_state = 234},
  [1777] = {.lex_state = 234},
  [1778] = {.lex_state = 234},
  [1779] = {.lex_state = 234},
  [1780] = {.lex_state = 220},
  [1781] = {.lex_state = 200},
  [1782] = {.lex_state = 200},
  [1783] = {.lex_state = 200},
  [1784] = {.lex_state = 200},
  [1785] = {.lex_state = 200},
  [1786] = {.lex_state = 235},
  [1787] = {.lex_state = 190},
  [1788] = {.lex_state = 200},
  [1789] = {.lex_state = 200},
  [1790] = {.lex_state = 200},
  [1791] = {.lex_state = 200},
  [1792] = {.lex_state = 200},
  [1793] = {.lex_state = 200},
  [1794] = {.lex_state = 200},
  [1795] = {.lex_state = 192},
  [1796] = {.lex_state = 234},
  [1797] = {.lex_state = 200},
  [1798] = {.lex_state = 200},
  [1799] = {.lex_state = 200},
  [1800] = {.lex_state = 190},
  [1801] = {.lex_state = 235},
  [1802] = {.lex_state = 200},
  [1803] = {.lex_state = 200},
  [1804] = {.lex_state = 200},
  [1805] = {.lex_state = 200},
  [1806] = {.lex_state = 200},
  [1807] = {.lex_state = 200},
  [1808] = {.lex_state = 200},
  [1809] = {.lex_state = 199},
  [1810] = {.lex_state = 200},
  [1811] = {.lex_state = 200},
  [1812] = {.lex_state = 200},
  [1813] = {.lex_state = 200},
  [1814] = {.lex_state = 200},
  [1815] = {.lex_state = 200},
  [1816] = {.lex_state = 200},
  [1817] = {.lex_state = 234},
  [1818] = {.lex_state = 200},
  [1819] = {.lex_state = 234},
  [1820] = {.lex_state = 235},
  [1821] = {.lex_state = 200},
  [1822] = {.lex_state = 200},
  [1823] = {.lex_state = 190},
  [1824] = {.lex_state = 200},
  [1825] = {.lex_state = 200},
  [1826] = {.lex_state = 200},
  [1827] = {.lex_state = 235},
  [1828] = {.lex_state = 190},
  [1829] = {.lex_state = 200},
  [1830] = {.lex_state = 200},
  [1831] = {.lex_state = 200},
  [1832] = {.lex_state = 200},
  [1833] = {.lex_state = 211},
  [1834] = {.lex_state = 200},
  [1835] = {.lex_state = 201},
  [1836] = {.lex_state = 194},
  [1837] = {.lex_state = 201},
  [1838] = {.lex_state = 194},
  [1839] = {.lex_state = 194},
  [1840] = {.lex_state = 192},
  [1841] = {.lex_state = 194},
  [1842] = {.lex_state = 192},
  [1843] = {.lex_state = 176},
  [1844] = {.lex_state = 192},
  [1845] = {.lex_state = 234},
  [1846] = {.lex_state = 201},
  [1847] = {.lex_state = 234},
  [1848] = {.lex_state = 234},
  [1849] = {.lex_state = 234},
  [1850] = {.lex_state = 192},
  [1851] = {.lex_state = 235},
  [1852] = {.lex_state = 233},
  [1853] = {.lex_state = 174},
  [1854] = {.lex_state = 233},
  [1855] = {.lex_state = 234},
  [1856] = {.lex_state = 201},
  [1857] = {.lex_state = 179},
  [1858] = {.lex_state = 192},
  [1859] = {.lex_state = 190},
  [1860] = {.lex_state = 179},
  [1861] = {.lex_state = 234},
  [1862] = {.lex_state = 190},
  [1863] = {.lex_state = 192},
  [1864] = {.lex_state = 235},
  [1865] = {.lex_state = 234},
  [1866] = {.lex_state = 201},
  [1867] = {.lex_state = 234},
  [1868] = {.lex_state = 201},
  [1869] = {.lex_state = 235},
  [1870] = {.lex_state = 201},
  [1871] = {.lex_state = 183},
  [1872] = {.lex_state = 201},
  [1873] = {.lex_state = 235},
  [1874] = {.lex_state = 235},
  [1875] = {.lex_state = 183},
  [1876] = {.lex_state = 201},
  [1877] = {.lex_state = 190},
  [1878] = {.lex_state = 174},
  [1879] = {.lex_state = 190},
  [1880] = {.lex_state = 192},
  [1881] = {.lex_state = 192},
  [1882] = {.lex_state = 201},
  [1883] = {.lex_state = 183},
  [1884] = {.lex_state = 234},
  [1885] = {.lex_state = 190},
  [1886] = {.lex_state = 176},
  [1887] = {.lex_state = 190},
  [1888] = {.lex_state = 190},
  [1889] = {.lex_state = 235},
  [1890] = {.lex_state = 235},
  [1891] = {.lex_state = 190},
  [1892] = {.lex_state = 235},
  [1893] = {.lex_state = 190},
  [1894] = {.lex_state = 190},
  [1895] = {.lex_state = 235},
  [1896] = {.lex_state = 235},
  [1897] = {.lex_state = 190},
  [1898] = {.lex_state = 174},
  [1899] = {.lex_state = 190},
  [1900] = {.lex_state = 190},
  [1901] = {.lex_state = 176},
  [1902] = {.lex_state = 190},
  [1903] = {.lex_state = 235},
  [1904] = {.lex_state = 190},
  [1905] = {.lex_state = 190},
  [1906] = {.lex_state = 180},
  [1907] = {.lex_state = 190},
  [1908] = {.lex_state = 174},
  [1909] = {.lex_state = 190},
  [1910] = {.lex_state = 190},
  [1911] = {.lex_state = 190},
  [1912] = {.lex_state = 190},
  [1913] = {.lex_state = 235},
  [1914] = {.lex_state = 190},
  [1915] = {.lex_state = 190},
  [1916] = {.lex_state = 190},
  [1917] = {.lex_state = 235},
  [1918] = {.lex_state = 235},
  [1919] = {.lex_state = 235},
  [1920] = {.lex_state = 174},
  [1921] = {.lex_state = 235},
  [1922] = {.lex_state = 235},
  [1923] = {.lex_state = 190},
  [1924] = {.lex_state = 190},
  [1925] = {.lex_state = 190},
  [1926] = {.lex_state = 234},
  [1927] = {.lex_state = 236},
  [1928] = {.lex_state = 190},
  [1929] = {.lex_state = 190},
  [1930] = {.lex_state = 235},
  [1931] = {.lex_state = 235},
  [1932] = {.lex_state = 190},
  [1933] = {.lex_state = 190},
  [1934] = {.lex_state = 235},
  [1935] = {.lex_state = 235},
  [1936] = {.lex_state = 235},
  [1937] = {.lex_state = 235},
  [1938] = {.lex_state = 190},
  [1939] = {.lex_state = 190},
  [1940] = {.lex_state = 190},
  [1941] = {.lex_state = 190},
  [1942] = {.lex_state = 235},
  [1943] = {.lex_state = 235},
  [1944] = {.lex_state = 235},
  [1945] = {.lex_state = 190},
  [1946] = {.lex_state = 190},
  [1947] = {.lex_state = 190},
  [1948] = {.lex_state = 235},
  [1949] = {.lex_state = 190},
  [1950] = {.lex_state = 194},
  [1951] = {.lex_state = 190},
  [1952] = {.lex_state = 190},
  [1953] = {.lex_state = 182},
  [1954] = {.lex_state = 190},
  [1955] = {.lex_state = 235},
  [1956] = {.lex_state = 235},
  [1957] = {.lex_state = 190},
  [1958] = {.lex_state = 190},
  [1959] = {.lex_state = 190},
  [1960] = {.lex_state = 235},
  [1961] = {.lex_state = 190},
  [1962] = {.lex_state = 235},
  [1963] = {.lex_state = 235},
  [1964] = {.lex_state = 235},
  [1965] = {.lex_state = 174},
  [1966] = {.lex_state = 190},
  [1967] = {.lex_state = 235},
  [1968] = {.lex_state = 235},
  [1969] = {.lex_state = 235},
  [1970] = {.lex_state = 235},
  [1971] = {.lex_state = 235},
  [1972] = {.lex_state = 235},
  [1973] = {.lex_state = 235},
  [1974] = {.lex_state = 235},
  [1975] = {.lex_state = 190},
  [1976] = {.lex_state = 190},
  [1977] = {.lex_state = 234},
  [1978] = {.lex_state = 190},
  [1979] = {.lex_state = 235},
  [1980] = {.lex_state = 235},
  [1981] = {.lex_state = 235},
  [1982] = {.lex_state = 235},
  [1983] = {.lex_state = 235},
  [1984] = {.lex_state = 235},
  [1985] = {.lex_state = 235},
  [1986] = {.lex_state = 190},
  [1987] = {.lex_state = 235},
  [1988] = {.lex_state = 235},
  [1989] = {.lex_state = 235},
  [1990] = {.lex_state = 235},
  [1991] = {.lex_state = 190},
  [1992] = {.lex_state = 190},
  [1993] = {.lex_state = 235},
  [1994] = {.lex_state = 235},
  [1995] = {.lex_state = 235},
  [1996] = {.lex_state = 235},
  [1997] = {.lex_state = 235},
  [1998] = {.lex_state = 190},
  [1999] = {.lex_state = 235},
  [2000] = {.lex_state = 190},
  [2001] = {.lex_state = 176},
  [2002] = {.lex_state = 190},
  [2003] = {.lex_state = 190},
  [2004] = {.lex_state = 235},
  [2005] = {.lex_state = 235},
  [2006] = {.lex_state = 176},
  [2007] = {.lex_state = 235},
  [2008] = {.lex_state = 235},
  [2009] = {.lex_state = 235},
  [2010] = {.lex_state = 190},
  [2011] = {.lex_state = 190},
  [2012] = {.lex_state = 235},
  [2013] = {.lex_state = 190},
  [2014] = {.lex_state = 190},
  [2015] = {.lex_state = 190},
  [2016] = {.lex_state = 190},
  [2017] = {.lex_state = 190},
  [2018] = {.lex_state = 190},
  [2019] = {.lex_state = 190},
  [2020] = {.lex_state = 190},
  [2021] = {.lex_state = 194},
  [2022] = {.lex_state = 190},
  [2023] = {.lex_state = 190},
  [2024] = {.lex_state = 190},
  [2025] = {.lex_state = 190},
  [2026] = {.lex_state = 190},
  [2027] = {.lex_state = 235},
  [2028] = {.lex_state = 235},
  [2029] = {.lex_state = 190},
  [2030] = {.lex_state = 235},
  [2031] = {.lex_state = 190},
  [2032] = {.lex_state = 235},
  [2033] = {.lex_state = 190},
  [2034] = {.lex_state = 235},
  [2035] = {.lex_state = 235},
  [2036] = {.lex_state = 190},
  [2037] = {.lex_state = 234},
  [2038] = {.lex_state = 190},
  [2039] = {.lex_state = 235},
  [2040] = {.lex_state = 235},
  [2041] = {.lex_state = 235},
  [2042] = {.lex_state = 235},
  [2043] = {.lex_state = 190},
  [2044] = {.lex_state = 235},
  [2045] = {.lex_state = 235},
  [2046] = {.lex_state = 190},
  [2047] = {.lex_state = 235},
  [2048] = {.lex_state = 174},
  [2049] = {.lex_state = 235},
  [2050] = {.lex_state = 235},
  [2051] = {.lex_state = 235},
  [2052] = {.lex_state = 235},
  [2053] = {.lex_state = 235},
  [2054] = {.lex_state = 190},
  [2055] = {.lex_state = 182},
  [2056] = {.lex_state = 235},
  [2057] = {.lex_state = 235},
  [2058] = {.lex_state = 236},
  [2059] = {.lex_state = 190},
  [2060] = {.lex_state = 235},
  [2061] = {.lex_state = 235},
  [2062] = {.lex_state = 190},
  [2063] = {.lex_state = 235},
  [2064] = {.lex_state = 190},
  [2065] = {.lex_state = 190},
  [2066] = {.lex_state = 235},
  [2067] = {.lex_state = 235},
  [2068] = {.lex_state = 235},
  [2069] = {.lex_state = 234},
  [2070] = {.lex_state = 234},
  [2071] = {.lex_state = 174},
  [2072] = {.lex_state = 190},
  [2073] = {.lex_state = 201},
  [2074] = {.lex_state = 190},
  [2075] = {.lex_state = 192},
  [2076] = {.lex_state = 190},
  [2077] = {.lex_state = 190},
  [2078] = {.lex_state = 194},
  [2079] = {.lex_state = 190},
  [2080] = {.lex_state = 190},
  [2081] = {.lex_state = 174},
  [2082] = {.lex_state = 174},
  [2083] = {.lex_state = 190},
  [2084] = {.lex_state = 235},
  [2085] = {.lex_state = 235},
  [2086] = {.lex_state = 235},
  [2087] = {.lex_state = 234},
  [2088] = {.lex_state = 174},
  [2089] = {.lex_state = 190},
  [2090] = {.lex_state = 190},
  [2091] = {.lex_state = 235},
  [2092] = {.lex_state = 235},
  [2093] = {.lex_state = 174},
  [2094] = {.lex_state = 190},
  [2095] = {.lex_state = 182},
  [2096] = {.lex_state = 190},
  [2097] = {.lex_state = 190},
  [2098] = {.lex_state = 235},
  [2099] = {.lex_state = 180},
  [2100] = {.lex_state = 194},
  [2101] = {.lex_state = 195},
  [2102] = {.lex_state = 193},
  [2103] = {.lex_state = 236},
  [2104] = {.lex_state = 233},
  [2105] = {.lex_state = 233},
  [2106] = {.lex_state = 192},
  [2107] = {.lex_state = 193},
  [2108] = {.lex_state = 186},
  [2109] = {.lex_state = 195},
  [2110] = {.lex_state = 194},
  [2111] = {.lex_state = 225},
  [2112] = {.lex_state = 184},
  [2113] = {.lex_state = 236},
  [2114] = {.lex_state = 236},
  [2115] = {.lex_state = 194},
  [2116] = {.lex_state = 193},
  [2117] = {.lex_state = 199},
  [2118] = {.lex_state = 176},
  [2119] = {.lex_state = 236},
  [2120] = {.lex_state = 174},
  [2121] = {.lex_state = 195},
  [2122] = {.lex_state = 194},
  [2123] = {.lex_state = 192},
  [2124] = {.lex_state = 186},
  [2125] = {.lex_state = 193},
  [2126] = {.lex_state = 195},
  [2127] = {.lex_state = 192},
  [2128] = {.lex_state = 186},
  [2129] = {.lex_state = 194},
  [2130] = {.lex_state = 174},
  [2131] = {.lex_state = 225},
  [2132] = {.lex_state = 192},
  [2133] = {.lex_state = 194},
  [2134] = {.lex_state = 194},
  [2135] = {.lex_state = 192},
  [2136] = {.lex_state = 236},
  [2137] = {.lex_state = 176},
  [2138] = {.lex_state = 194},
  [2139] = {.lex_state = 194},
  [2140] = {.lex_state = 194},
  [2141] = {.lex_state = 176},
  [2142] = {.lex_state = 193},
  [2143] = {.lex_state = 199},
  [2144] = {.lex_state = 194},
  [2145] = {.lex_state = 184},
  [2146] = {.lex_state = 176},
  [2147] = {.lex_state = 194},
  [2148] = {.lex_state = 225},
  [2149] = {.lex_state = 194},
  [2150] = {.lex_state = 193},
  [2151] = {.lex_state = 194},
  [2152] = {.lex_state = 194},
  [2153] = {.lex_state = 194},
  [2154] = {.lex_state = 194},
  [2155] = {.lex_state = 194},
  [2156] = {.lex_state = 194},
  [2157] = {.lex_state = 192},
  [2158] = {.lex_state = 194},
  [2159] = {.lex_state = 194},
  [2160] = {.lex_state = 194},
  [2161] = {.lex_state = 192},
  [2162] = {.lex_state = 201},
  [2163] = {.lex_state = 193},
  [2164] = {.lex_state = 199},
  [2165] = {.lex_state = 193},
  [2166] = {.lex_state = 234},
  [2167] = {.lex_state = 193},
  [2168] = {.lex_state = 193},
  [2169] = {.lex_state = 194},
  [2170] = {.lex_state = 194},
  [2171] = {.lex_state = 194},
  [2172] = {.lex_state = 194},
  [2173] = {.lex_state = 194},
  [2174] = {.lex_state = 234},
  [2175] = {.lex_state = 194},
  [2176] = {.lex_state = 194},
  [2177] = {.lex_state = 194},
  [2178] = {.lex_state = 234},
  [2179] = {.lex_state = 194},
  [2180] = {.lex_state = 199},
  [2181] = {.lex_state = 193},
  [2182] = {.lex_state = 194},
  [2183] = {.lex_state = 193},
  [2184] = {.lex_state = 193},
  [2185] = {.lex_state = 234},
  [2186] = {.lex_state = 193},
  [2187] = {.lex_state = 193},
  [2188] = {.lex_state = 234},
  [2189] = {.lex_state = 176},
  [2190] = {.lex_state = 192},
  [2191] = {.lex_state = 192},
  [2192] = {.lex_state = 194},
  [2193] = {.lex_state = 234},
  [2194] = {.lex_state = 194},
  [2195] = {.lex_state = 194},
  [2196] = {.lex_state = 234},
  [2197] = {.lex_state = 194},
  [2198] = {.lex_state = 194},
  [2199] = {.lex_state = 194},
  [2200] = {.lex_state = 234},
  [2201] = {.lex_state = 201},
  [2202] = {.lex_state = 192},
  [2203] = {.lex_state = 192},
  [2204] = {.lex_state = 182},
  [2205] = {.lex_state = 194},
  [2206] = {.lex_state = 193},
  [2207] = {.lex_state = 193},
  [2208] = {.lex_state = 194},
  [2209] = {.lex_state = 194},
  [2210] = {.lex_state = 234},
  [2211] = {.lex_state = 192},
  [2212] = {.lex_state = 194},
  [2213] = {.lex_state = 194},
  [2214] = {.lex_state = 192},
  [2215] = {.lex_state = 194},
  [2216] = {.lex_state = 194},
  [2217] = {.lex_state = 193},
  [2218] = {.lex_state = 194},
  [2219] = {.lex_state = 194},
  [2220] = {.lex_state = 194},
  [2221] = {.lex_state = 194},
  [2222] = {.lex_state = 192},
  [2223] = {.lex_state = 194},
  [2224] = {.lex_state = 234},
  [2225] = {.lex_state = 194},
  [2226] = {.lex_state = 234},
  [2227] = {.lex_state = 194},
  [2228] = {.lex_state = 234},
  [2229] = {.lex_state = 194},
  [2230] = {.lex_state = 194},
  [2231] = {.lex_state = 234},
  [2232] = {.lex_state = 194},
  [2233] = {.lex_state = 234},
  [2234] = {.lex_state = 194},
  [2235] = {.lex_state = 234},
  [2236] = {.lex_state = 234},
  [2237] = {.lex_state = 224},
  [2238] = {.lex_state = 201},
  [2239] = {.lex_state = 201},
  [2240] = {.lex_state = 201},
  [2241] = {.lex_state = 224},
  [2242] = {.lex_state = 182},
  [2243] = {.lex_state = 182},
  [2244] = {.lex_state = 186},
  [2245] = {.lex_state = 192},
  [2246] = {.lex_state = 182},
  [2247] = {.lex_state = 192},
  [2248] = {.lex_state = 192},
  [2249] = {.lex_state = 201},
  [2250] = {.lex_state = 182},
  [2251] = {.lex_state = 182},
  [2252] = {.lex_state = 224},
  [2253] = {.lex_state = 224},
  [2254] = {.lex_state = 194},
  [2255] = {.lex_state = 192},
  [2256] = {.lex_state = 201},
  [2257] = {.lex_state = 224},
  [2258] = {.lex_state = 201},
  [2259] = {.lex_state = 194},
  [2260] = {.lex_state = 176},
  [2261] = {.lex_state = 176},
  [2262] = {.lex_state = 194},
  [2263] = {.lex_state = 224},
  [2264] = {.lex_state = 176},
  [2265] = {.lex_state = 194},
  [2266] = {.lex_state = 176},
  [2267] = {.lex_state = 194},
  [2268] = {.lex_state = 192},
  [2269] = {.lex_state = 182},
  [2270] = {.lex_state = 194},
  [2271] = {.lex_state = 201},
  [2272] = {.lex_state = 201},
  [2273] = {.lex_state = 224},
  [2274] = {.lex_state = 224},
  [2275] = {.lex_state = 194},
  [2276] = {.lex_state = 201},
  [2277] = {.lex_state = 201},
  [2278] = {.lex_state = 194},
  [2279] = {.lex_state = 201},
  [2280] = {.lex_state = 182},
  [2281] = {.lex_state = 194},
  [2282] = {.lex_state = 194},
  [2283] = {.lex_state = 201},
  [2284] = {.lex_state = 194},
  [2285] = {.lex_state = 192},
  [2286] = {.lex_state = 176},
  [2287] = {.lex_state = 193},
  [2288] = {.lex_state = 236},
  [2289] = {.lex_state = 192},
  [2290] = {.lex_state = 186},
  [2291] = {.lex_state = 234},
  [2292] = {.lex_state = 194},
  [2293] = {.lex_state = 192},
  [2294] = {.lex_state = 182},
  [2295] = {.lex_state = 192},
  [2296] = {.lex_state = 182},
  [2297] = {.lex_state = 176},
  [2298] = {.lex_state = 236},
  [2299] = {.lex_state = 194},
  [2300] = {.lex_state = 224},
  [2301] = {.lex_state = 194},
  [2302] = {.lex_state = 236},
  [2303] = {.lex_state = 176},
  [2304] = {.lex_state = 194},
  [2305] = {.lex_state = 236},
  [2306] = {.lex_state = 234},
  [2307] = {.lex_state = 207},
  [2308] = {.lex_state = 182},
  [2309] = {.lex_state = 193},
  [2310] = {.lex_state = 207},
  [2311] = {.lex_state = 186},
  [2312] = {.lex_state = 194},
  [2313] = {.lex_state = 194},
  [2314] = {.lex_state = 192},
  [2315] = {.lex_state = 193},
  [2316] = {.lex_state = 204},
  [2317] = {.lex_state = 194},
  [2318] = {.lex_state = 176},
  [2319] = {.lex_state = 192},
  [2320] = {.lex_state = 198},
  [2321] = {.lex_state = 205},
  [2322] = {.lex_state = 192},
  [2323] = {.lex_state = 186},
  [2324] = {.lex_state = 234},
  [2325] = {.lex_state = 194},
  [2326] = {.lex_state = 186},
  [2327] = {.lex_state = 182},
  [2328] = {.lex_state = 236},
  [2329] = {.lex_state = 194},
  [2330] = {.lex_state = 207},
  [2331] = {.lex_state = 193},
  [2332] = {.lex_state = 193},
  [2333] = {.lex_state = 236},
  [2334] = {.lex_state = 194},
  [2335] = {.lex_state = 194},
  [2336] = {.lex_state = 211},
  [2337] = {.lex_state = 194},
  [2338] = {.lex_state = 194},
  [2339] = {.lex_state = 194},
  [2340] = {.lex_state = 212},
  [2341] = {.lex_state = 236},
  [2342] = {.lex_state = 194},
  [2343] = {.lex_state = 194},
  [2344] = {.lex_state = 194},
  [2345] = {.lex_state = 194},
  [2346] = {.lex_state = 236},
  [2347] = {.lex_state = 194},
  [2348] = {.lex_state = 194},
  [2349] = {.lex_state = 194},
  [2350] = {.lex_state = 194},
  [2351] = {.lex_state = 194},
  [2352] = {.lex_state = 194},
  [2353] = {.lex_state = 194},
  [2354] = {.lex_state = 194},
  [2355] = {.lex_state = 194},
  [2356] = {.lex_state = 194},
  [2357] = {.lex_state = 194},
  [2358] = {.lex_state = 186},
  [2359] = {.lex_state = 236},
  [2360] = {.lex_state = 236},
  [2361] = {.lex_state = 236},
  [2362] = {.lex_state = 236},
  [2363] = {.lex_state = 194},
  [2364] = {.lex_state = 194},
  [2365] = {.lex_state = 236},
  [2366] = {.lex_state = 194},
  [2367] = {.lex_state = 194},
  [2368] = {.lex_state = 194},
  [2369] = {.lex_state = 194},
  [2370] = {.lex_state = 194},
  [2371] = {.lex_state = 194},
  [2372] = {.lex_state = 194},
  [2373] = {.lex_state = 194},
  [2374] = {.lex_state = 194},
  [2375] = {.lex_state = 236},
  [2376] = {.lex_state = 194},
  [2377] = {.lex_state = 194},
  [2378] = {.lex_state = 194},
  [2379] = {.lex_state = 194},
  [2380] = {.lex_state = 194},
  [2381] = {.lex_state = 194},
  [2382] = {.lex_state = 194},
  [2383] = {.lex_state = 194},
  [2384] = {.lex_state = 194},
  [2385] = {.lex_state = 194},
  [2386] = {.lex_state = 194},
  [2387] = {.lex_state = 194},
  [2388] = {.lex_state = 194},
  [2389] = {.lex_state = 194},
  [2390] = {.lex_state = 186},
  [2391] = {.lex_state = 186},
  [2392] = {.lex_state = 236},
  [2393] = {.lex_state = 236},
  [2394] = {.lex_state = 194},
  [2395] = {.lex_state = 194},
  [2396] = {.lex_state = 236},
  [2397] = {.lex_state = 194},
  [2398] = {.lex_state = 194},
  [2399] = {.lex_state = 186},
  [2400] = {.lex_state = 194},
  [2401] = {.lex_state = 194},
  [2402] = {.lex_state = 194},
  [2403] = {.lex_state = 215},
  [2404] = {.lex_state = 236},
  [2405] = {.lex_state = 236},
  [2406] = {.lex_state = 236},
  [2407] = {.lex_state = 194},
  [2408] = {.lex_state = 236},
  [2409] = {.lex_state = 236},
  [2410] = {.lex_state = 236},
  [2411] = {.lex_state = 194},
  [2412] = {.lex_state = 236},
  [2413] = {.lex_state = 194},
  [2414] = {.lex_state = 194},
  [2415] = {.lex_state = 194},
  [2416] = {.lex_state = 194},
  [2417] = {.lex_state = 236},
  [2418] = {.lex_state = 194},
  [2419] = {.lex_state = 194},
  [2420] = {.lex_state = 194},
  [2421] = {.lex_state = 236},
  [2422] = {.lex_state = 194},
  [2423] = {.lex_state = 236},
  [2424] = {.lex_state = 194},
  [2425] = {.lex_state = 236},
  [2426] = {.lex_state = 236},
  [2427] = {.lex_state = 236},
  [2428] = {.lex_state = 236},
  [2429] = {.lex_state = 236},
  [2430] = {.lex_state = 215},
  [2431] = {.lex_state = 194},
  [2432] = {.lex_state = 194},
  [2433] = {.lex_state = 194},
  [2434] = {.lex_state = 194},
  [2435] = {.lex_state = 194},
  [2436] = {.lex_state = 236},
  [2437] = {.lex_state = 236},
  [2438] = {.lex_state = 194},
  [2439] = {.lex_state = 194},
  [2440] = {.lex_state = 194},
  [2441] = {.lex_state = 236},
  [2442] = {.lex_state = 236},
  [2443] = {.lex_state = 236},
  [2444] = {.lex_state = 194},
  [2445] = {.lex_state = 236},
  [2446] = {.lex_state = 236},
  [2447] = {.lex_state = 236},
  [2448] = {.lex_state = 236},
  [2449] = {.lex_state = 236},
  [2450] = {.lex_state = 236},
  [2451] = {.lex_state = 215},
  [2452] = {.lex_state = 236},
  [2453] = {.lex_state = 182},
  [2454] = {.lex_state = 204},
  [2455] = {.lex_state = 194},
  [2456] = {.lex_state = 194},
  [2457] = {.lex_state = 194},
  [2458] = {.lex_state = 194},
  [2459] = {.lex_state = 194},
  [2460] = {.lex_state = 223},
  [2461] = {.lex_state = 223},
  [2462] = {.lex_state = 236},
  [2463] = {.lex_state = 234},
  [2464] = {.lex_state = 172},
  [2465] = {.lex_state = 236},
  [2466] = {.lex_state = 204},
  [2467] = {.lex_state = 204},
  [2468] = {.lex_state = 236},
  [2469] = {.lex_state = 182},
  [2470] = {.lex_state = 178},
  [2471] = {.lex_state = 204},
  [2472] = {.lex_state = 182},
  [2473] = {.lex_state = 236},
  [2474] = {.lex_state = 204},
  [2475] = {.lex_state = 223},
  [2476] = {.lex_state = 223},
  [2477] = {.lex_state = 223},
  [2478] = {.lex_state = 204},
  [2479] = {.lex_state = 223},
  [2480] = {.lex_state = 204},
  [2481] = {.lex_state = 182},
  [2482] = {.lex_state = 182},
  [2483] = {.lex_state = 204},
  [2484] = {.lex_state = 234},
  [2485] = {.lex_state = 178},
  [2486] = {.lex_state = 204},
  [2487] = {.lex_state = 223},
  [2488] = {.lex_state = 223},
  [2489] = {.lex_state = 211},
  [2490] = {.lex_state = 223},
  [2491] = {.lex_state = 204},
  [2492] = {.lex_state = 223},
  [2493] = {.lex_state = 172},
  [2494] = {.lex_state = 224},
  [2495] = {.lex_state = 178},
  [2496] = {.lex_state = 223},
  [2497] = {.lex_state = 224},
  [2498] = {.lex_state = 223},
  [2499] = {.lex_state = 236},
  [2500] = {.lex_state = 236},
  [2501] = {.lex_state = 236},
  [2502] = {.lex_state = 211},
  [2503] = {.lex_state = 211},
  [2504] = {.lex_state = 182},
  [2505] = {.lex_state = 224},
  [2506] = {.lex_state = 211},
  [2507] = {.lex_state = 205},
  [2508] = {.lex_state = 204},
  [2509] = {.lex_state = 224},
  [2510] = {.lex_state = 236},
  [2511] = {.lex_state = 204},
  [2512] = {.lex_state = 205},
  [2513] = {.lex_state = 224},
  [2514] = {.lex_state = 204},
  [2515] = {.lex_state = 207},
  [2516] = {.lex_state = 224},
  [2517] = {.lex_state = 236},
  [2518] = {.lex_state = 204},
  [2519] = {.lex_state = 224},
  [2520] = {.lex_state = 224},
  [2521] = {.lex_state = 236},
  [2522] = {.lex_state = 236},
  [2523] = {.lex_state = 211},
  [2524] = {.lex_state = 211},
  [2525] = {.lex_state = 236},
  [2526] = {.lex_state = 224},
  [2527] = {.lex_state = 224},
  [2528] = {.lex_state = 236},
  [2529] = {.lex_state = 211},
  [2530] = {.lex_state = 224},
  [2531] = {.lex_state = 207},
  [2532] = {.lex_state = 205},
  [2533] = {.lex_state = 207},
  [2534] = {.lex_state = 204},
  [2535] = {.lex_state = 211},
  [2536] = {.lex_state = 211},
  [2537] = {.lex_state = 211},
  [2538] = {.lex_state = 224},
  [2539] = {.lex_state = 236},
  [2540] = {.lex_state = 204},
  [2541] = {.lex_state = 236},
  [2542] = {.lex_state = 182},
  [2543] = {.lex_state = 224},
  [2544] = {.lex_state = 236},
  [2545] = {.lex_state = 236},
  [2546] = {.lex_state = 182},
  [2547] = {.lex_state = 204},
  [2548] = {.lex_state = 236},
  [2549] = {.lex_state = 236},
  [2550] = {.lex_state = 224},
  [2551] = {.lex_state = 182},
  [2552] = {.lex_state = 233},
  [2553] = {.lex_state = 233},
  [2554] = {.lex_state = 224},
  [2555] = {.lex_state = 204},
  [2556] = {.lex_state = 224},
  [2557] = {.lex_state = 224},
  [2558] = {.lex_state = 224},
  [2559] = {.lex_state = 236},
  [2560] = {.lex_state = 172},
  [2561] = {.lex_state = 172},
  [2562] = {.lex_state = 172},
  [2563] = {.lex_state = 212},
  [2564] = {.lex_state = 224},
  [2565] = {.lex_state = 172},
  [2566] = {.lex_state = 211},
  [2567] = {.lex_state = 205},
  [2568] = {.lex_state = 228},
  [2569] = {.lex_state = 204},
  [2570] = {.lex_state = 224},
  [2571] = {.lex_state = 228},
  [2572] = {.lex_state = 172},
  [2573] = {.lex_state = 172},
  [2574] = {.lex_state = 223},
  [2575] = {.lex_state = 228},
  [2576] = {.lex_state = 224},
  [2577] = {.lex_state = 212},
  [2578] = {.lex_state = 204},
  [2579] = {.lex_state = 211},
  [2580] = {.lex_state = 211},
  [2581] = {.lex_state = 172},
  [2582] = {.lex_state = 236},
  [2583] = {.lex_state = 172},
  [2584] = {.lex_state = 172},
  [2585] = {.lex_state = 172},
  [2586] = {.lex_state = 204},
  [2587] = {.lex_state = 172},
  [2588] = {.lex_state = 211},
  [2589] = {.lex_state = 211},
  [2590] = {.lex_state = 228},
  [2591] = {.lex_state = 172},
  [2592] = {.lex_state = 172},
  [2593] = {.lex_state = 204},
  [2594] = {.lex_state = 172},
  [2595] = {.lex_state = 211},
  [2596] = {.lex_state = 172},
  [2597] = {.lex_state = 172},
  [2598] = {.lex_state = 204},
  [2599] = {.lex_state = 172},
  [2600] = {.lex_state = 172},
  [2601] = {.lex_state = 172},
  [2602] = {.lex_state = 224},
  [2603] = {.lex_state = 172},
  [2604] = {.lex_state = 223},
  [2605] = {.lex_state = 192},
  [2606] = {.lex_state = 220},
  [2607] = {.lex_state = 204},
  [2608] = {.lex_state = 233},
  [2609] = {.lex_state = 224},
  [2610] = {.lex_state = 204},
  [2611] = {.lex_state = 224},
  [2612] = {.lex_state = 178},
  [2613] = {.lex_state = 224},
  [2614] = {.lex_state = 224},
  [2615] = {.lex_state = 192},
  [2616] = {.lex_state = 224},
  [2617] = {.lex_state = 199},
  [2618] = {.lex_state = 204},
  [2619] = {.lex_state = 199},
  [2620] = {.lex_state = 204},
  [2621] = {.lex_state = 204},
  [2622] = {.lex_state = 224},
  [2623] = {.lex_state = 236},
  [2624] = {.lex_state = 204},
  [2625] = {.lex_state = 224},
  [2626] = {.lex_state = 236},
  [2627] = {.lex_state = 224},
  [2628] = {.lex_state = 212},
  [2629] = {.lex_state = 220},
  [2630] = {.lex_state = 204},
  [2631] = {.lex_state = 178},
  [2632] = {.lex_state = 192},
  [2633] = {.lex_state = 192},
  [2634] = {.lex_state = 192},
  [2635] = {.lex_state = 211},
  [2636] = {.lex_state = 192},
  [2637] = {.lex_state = 211},
  [2638] = {.lex_state = 192},
  [2639] = {.lex_state = 192},
  [2640] = {.lex_state = 192},
  [2641] = {.lex_state = 192},
  [2642] = {.lex_state = 224},
  [2643] = {.lex_state = 178},
  [2644] = {.lex_state = 211},
  [2645] = {.lex_state = 204},
  [2646] = {.lex_state = 192},
  [2647] = {.lex_state = 224},
  [2648] = {.lex_state = 192},
  [2649] = {.lex_state = 211},
  [2650] = {.lex_state = 192},
  [2651] = {.lex_state = 224},
  [2652] = {.lex_state = 224},
  [2653] = {.lex_state = 224},
  [2654] = {.lex_state = 204},
  [2655] = {.lex_state = 224},
  [2656] = {.lex_state = 192},
  [2657] = {.lex_state = 220},
  [2658] = {.lex_state = 224},
  [2659] = {.lex_state = 224},
  [2660] = {.lex_state = 224},
  [2661] = {.lex_state = 204},
  [2662] = {.lex_state = 224},
  [2663] = {.lex_state = 192},
  [2664] = {.lex_state = 233},
  [2665] = {.lex_state = 224},
  [2666] = {.lex_state = 224},
  [2667] = {.lex_state = 220},
  [2668] = {.lex_state = 224},
  [2669] = {.lex_state = 224},
  [2670] = {.lex_state = 224},
  [2671] = {.lex_state = 192},
  [2672] = {.lex_state = 224},
  [2673] = {.lex_state = 224},
  [2674] = {.lex_state = 224},
  [2675] = {.lex_state = 204},
  [2676] = {.lex_state = 192},
  [2677] = {.lex_state = 224},
  [2678] = {.lex_state = 224},
  [2679] = {.lex_state = 224},
  [2680] = {.lex_state = 220},
  [2681] = {.lex_state = 236},
  [2682] = {.lex_state = 224},
  [2683] = {.lex_state = 224},
  [2684] = {.lex_state = 220},
  [2685] = {.lex_state = 220},
  [2686] = {.lex_state = 178},
  [2687] = {.lex_state = 192},
  [2688] = {.lex_state = 224},
  [2689] = {.lex_state = 224},
  [2690] = {.lex_state = 236},
  [2691] = {.lex_state = 204},
  [2692] = {.lex_state = 211},
  [2693] = {.lex_state = 204},
  [2694] = {.lex_state = 204},
  [2695] = {.lex_state = 236},
  [2696] = {.lex_state = 191},
  [2697] = {.lex_state = 236},
  [2698] = {.lex_state = 204},
  [2699] = {.lex_state = 196},
  [2700] = {.lex_state = 204},
  [2701] = {.lex_state = 204},
  [2702] = {.lex_state = 204},
  [2703] = {.lex_state = 220},
  [2704] = {.lex_state = 220},
  [2705] = {.lex_state = 222},
  [2706] = {.lex_state = 204},
  [2707] = {.lex_state = 204},
  [2708] = {.lex_state = 204},
  [2709] = {.lex_state = 204},
  [2710] = {.lex_state = 204},
  [2711] = {.lex_state = 204},
  [2712] = {.lex_state = 204},
  [2713] = {.lex_state = 193},
  [2714] = {.lex_state = 239},
  [2715] = {.lex_state = 220},
  [2716] = {.lex_state = 204},
  [2717] = {.lex_state = 220},
  [2718] = {.lex_state = 220},
  [2719] = {.lex_state = 205},
  [2720] = {.lex_state = 220},
  [2721] = {.lex_state = 204},
  [2722] = {.lex_state = 220},
  [2723] = {.lex_state = 204},
  [2724] = {.lex_state = 220},
  [2725] = {.lex_state = 220},
  [2726] = {.lex_state = 204},
  [2727] = {.lex_state = 204},
  [2728] = {.lex_state = 204},
  [2729] = {.lex_state = 193},
  [2730] = {.lex_state = 220},
  [2731] = {.lex_state = 204},
  [2732] = {.lex_state = 193},
  [2733] = {.lex_state = 193},
  [2734] = {.lex_state = 193},
  [2735] = {.lex_state = 220},
  [2736] = {.lex_state = 193},
  [2737] = {.lex_state = 193},
  [2738] = {.lex_state = 211},
  [2739] = {.lex_state = 204},
  [2740] = {.lex_state = 222},
  [2741] = {.lex_state = 199},
  [2742] = {.lex_state = 205},
  [2743] = {.lex_state = 220},
  [2744] = {.lex_state = 236},
  [2745] = {.lex_state = 204},
  [2746] = {.lex_state = 199},
  [2747] = {.lex_state = 220},
  [2748] = {.lex_state = 222},
  [2749] = {.lex_state = 236},
  [2750] = {.lex_state = 220},
  [2751] = {.lex_state = 204},
  [2752] = {.lex_state = 196},
  [2753] = {.lex_state = 192},
  [2754] = {.lex_state = 192},
  [2755] = {.lex_state = 199},
  [2756] = {.lex_state = 192},
  [2757] = {.lex_state = 192},
  [2758] = {.lex_state = 192},
  [2759] = {.lex_state = 192},
  [2760] = {.lex_state = 204},
  [2761] = {.lex_state = 192},
  [2762] = {.lex_state = 192},
  [2763] = {.lex_state = 192},
  [2764] = {.lex_state = 204},
  [2765] = {.lex_state = 199},
  [2766] = {.lex_state = 192},
  [2767] = {.lex_state = 199},
  [2768] = {.lex_state = 199},
  [2769] = {.lex_state = 199},
  [2770] = {.lex_state = 204},
  [2771] = {.lex_state = 192},
  [2772] = {.lex_state = 192},
  [2773] = {.lex_state = 189},
  [2774] = {.lex_state = 192},
  [2775] = {.lex_state = 236},
  [2776] = {.lex_state = 199},
  [2777] = {.lex_state = 211},
  [2778] = {.lex_state = 204},
  [2779] = {.lex_state = 199},
  [2780] = {.lex_state = 199},
  [2781] = {.lex_state = 199},
  [2782] = {.lex_state = 199},
  [2783] = {.lex_state = 199},
  [2784] = {.lex_state = 204},
  [2785] = {.lex_state = 199},
  [2786] = {.lex_state = 211},
  [2787] = {.lex_state = 192},
  [2788] = {.lex_state = 211},
  [2789] = {.lex_state = 189},
  [2790] = {.lex_state = 211},
  [2791] = {.lex_state = 204},
  [2792] = {.lex_state = 237},
  [2793] = {.lex_state = 199},
  [2794] = {.lex_state = 192},
  [2795] = {.lex_state = 204},
  [2796] = {.lex_state = 199},
  [2797] = {.lex_state = 204},
  [2798] = {.lex_state = 204},
  [2799] = {.lex_state = 211},
  [2800] = {.lex_state = 199},
  [2801] = {.lex_state = 211},
  [2802] = {.lex_state = 237},
  [2803] = {.lex_state = 199},
  [2804] = {.lex_state = 211},
  [2805] = {.lex_state = 204},
  [2806] = {.lex_state = 189},
  [2807] = {.lex_state = 196},
  [2808] = {.lex_state = 192},
  [2809] = {.lex_state = 211},
  [2810] = {.lex_state = 204},
  [2811] = {.lex_state = 234},
  [2812] = {.lex_state = 236},
  [2813] = {.lex_state = 199},
  [2814] = {.lex_state = 189},
  [2815] = {.lex_state = 199},
  [2816] = {.lex_state = 199},
  [2817] = {.lex_state = 192},
  [2818] = {.lex_state = 199},
  [2819] = {.lex_state = 196},
  [2820] = {.lex_state = 199},
  [2821] = {.lex_state = 204},
  [2822] = {.lex_state = 236},
  [2823] = {.lex_state = 192},
  [2824] = {.lex_state = 211},
  [2825] = {.lex_state = 189},
  [2826] = {.lex_state = 192},
  [2827] = {.lex_state = 237},
  [2828] = {.lex_state = 204},
  [2829] = {.lex_state = 189},
  [2830] = {.lex_state = 223},
  [2831] = {.lex_state = 204},
  [2832] = {.lex_state = 199},
  [2833] = {.lex_state = 191},
  [2834] = {.lex_state = 234},
  [2835] = {.lex_state = 204},
  [2836] = {.lex_state = 204},
  [2837] = {.lex_state = 199},
  [2838] = {.lex_state = 205},
  [2839] = {.lex_state = 199},
  [2840] = {.lex_state = 211},
  [2841] = {.lex_state = 211},
  [2842] = {.lex_state = 211},
  [2843] = {.lex_state = 236},
  [2844] = {.lex_state = 204},
  [2845] = {.lex_state = 204},
  [2846] = {.lex_state = 204},
  [2847] = {.lex_state = 204},
  [2848] = {.lex_state = 204},
  [2849] = {.lex_state = 204},
  [2850] = {.lex_state = 211},
  [2851] = {.lex_state = 236},
  [2852] = {.lex_state = 204},
  [2853] = {.lex_state = 214},
  [2854] = {.lex_state = 204},
  [2855] = {.lex_state = 236},
  [2856] = {.lex_state = 166},
  [2857] = {.lex_state = 237},
  [2858] = {.lex_state = 237},
  [2859] = {.lex_state = 211},
  [2860] = {.lex_state = 204},
  [2861] = {.lex_state = 204},
  [2862] = {.lex_state = 204},
  [2863] = {.lex_state = 214},
  [2864] = {.lex_state = 204},
  [2865] = {.lex_state = 204},
  [2866] = {.lex_state = 204},
  [2867] = {.lex_state = 204},
  [2868] = {.lex_state = 236},
  [2869] = {.lex_state = 204},
  [2870] = {.lex_state = 236},
  [2871] = {.lex_state = 166},
  [2872] = {.lex_state = 236},
  [2873] = {.lex_state = 199},
  [2874] = {.lex_state = 236},
  [2875] = {.lex_state = 204},
  [2876] = {.lex_state = 204},
  [2877] = {.lex_state = 204},
  [2878] = {.lex_state = 166},
  [2879] = {.lex_state = 236},
  [2880] = {.lex_state = 204},
  [2881] = {.lex_state = 204},
  [2882] = {.lex_state = 214},
  [2883] = {.lex_state = 236},
  [2884] = {.lex_state = 172},
  [2885] = {.lex_state = 236},
  [2886] = {.lex_state = 204},
  [2887] = {.lex_state = 204},
  [2888] = {.lex_state = 178},
  [2889] = {.lex_state = 204},
  [2890] = {.lex_state = 204},
  [2891] = {.lex_state = 204},
  [2892] = {.lex_state = 236},
  [2893] = {.lex_state = 236},
  [2894] = {.lex_state = 204},
  [2895] = {.lex_state = 236},
  [2896] = {.lex_state = 236},
  [2897] = {.lex_state = 166},
  [2898] = {.lex_state = 236},
  [2899] = {.lex_state = 204},
  [2900] = {.lex_state = 211},
  [2901] = {.lex_state = 236},
  [2902] = {.lex_state = 236},
  [2903] = {.lex_state = 204},
  [2904] = {.lex_state = 214},
  [2905] = {.lex_state = 204},
  [2906] = {.lex_state = 211},
  [2907] = {.lex_state = 214},
  [2908] = {.lex_state = 237},
  [2909] = {.lex_state = 204},
  [2910] = {.lex_state = 166},
  [2911] = {.lex_state = 189},
  [2912] = {.lex_state = 204},
  [2913] = {.lex_state = 204},
  [2914] = {.lex_state = 204},
  [2915] = {.lex_state = 204},
  [2916] = {.lex_state = 189},
  [2917] = {.lex_state = 211},
  [2918] = {.lex_state = 237},
  [2919] = {.lex_state = 211},
  [2920] = {.lex_state = 204},
  [2921] = {.lex_state = 236},
  [2922] = {.lex_state = 204},
  [2923] = {.lex_state = 189},
  [2924] = {.lex_state = 211},
  [2925] = {.lex_state = 204},
  [2926] = {.lex_state = 204},
  [2927] = {.lex_state = 211},
  [2928] = {.lex_state = 211},
  [2929] = {.lex_state = 166},
  [2930] = {.lex_state = 204},
  [2931] = {.lex_state = 204},
  [2932] = {.lex_state = 204},
  [2933] = {.lex_state = 211},
  [2934] = {.lex_state = 211},
  [2935] = {.lex_state = 236},
  [2936] = {.lex_state = 211},
  [2937] = {.lex_state = 211},
  [2938] = {.lex_state = 236},
  [2939] = {.lex_state = 211},
  [2940] = {.lex_state = 211},
  [2941] = {.lex_state = 211},
  [2942] = {.lex_state = 204},
  [2943] = {.lex_state = 211},
  [2944] = {.lex_state = 192},
  [2945] = {.lex_state = 211},
  [2946] = {.lex_state = 211},
  [2947] = {.lex_state = 211},
  [2948] = {.lex_state = 211},
  [2949] = {.lex_state = 191},
  [2950] = {.lex_state = 234},
  [2951] = {.lex_state = 189},
  [2952] = {.lex_state = 204},
  [2953] = {.lex_state = 204},
  [2954] = {.lex_state = 236},
  [2955] = {.lex_state = 192},
  [2956] = {.lex_state = 234},
  [2957] = {.lex_state = 211},
  [2958] = {.lex_state = 211},
  [2959] = {.lex_state = 211},
  [2960] = {.lex_state = 220},
  [2961] = {.lex_state = 236},
  [2962] = {.lex_state = 204},
  [2963] = {.lex_state = 204},
  [2964] = {.lex_state = 211},
  [2965] = {.lex_state = 211},
  [2966] = {.lex_state = 211},
  [2967] = {.lex_state = 211},
  [2968] = {.lex_state = 220},
  [2969] = {.lex_state = 192},
  [2970] = {.lex_state = 211},
  [2971] = {.lex_state = 189},
  [2972] = {.lex_state = 192},
  [2973] = {.lex_state = 211},
  [2974] = {.lex_state = 211},
  [2975] = {.lex_state = 220},
  [2976] = {.lex_state = 206},
  [2977] = {.lex_state = 192},
  [2978] = {.lex_state = 192},
  [2979] = {.lex_state = 211},
  [2980] = {.lex_state = 192},
  [2981] = {.lex_state = 192},
  [2982] = {.lex_state = 192},
  [2983] = {.lex_state = 192},
  [2984] = {.lex_state = 204},
  [2985] = {.lex_state = 204},
  [2986] = {.lex_state = 211},
  [2987] = {.lex_state = 204},
  [2988] = {.lex_state = 220},
  [2989] = {.lex_state = 211},
  [2990] = {.lex_state = 204},
  [2991] = {.lex_state = 192},
  [2992] = {.lex_state = 192},
  [2993] = {.lex_state = 211},
  [2994] = {.lex_state = 192},
  [2995] = {.lex_state = 204},
  [2996] = {.lex_state = 237},
  [2997] = {.lex_state = 211},
  [2998] = {.lex_state = 211},
  [2999] = {.lex_state = 213},
  [3000] = {.lex_state = 211},
  [3001] = {.lex_state = 211},
  [3002] = {.lex_state = 204},
  [3003] = {.lex_state = 192},
  [3004] = {.lex_state = 211},
  [3005] = {.lex_state = 234},
  [3006] = {.lex_state = 204},
  [3007] = {.lex_state = 204},
  [3008] = {.lex_state = 220},
  [3009] = {.lex_state = 204},
  [3010] = {.lex_state = 204},
  [3011] = {.lex_state = 211},
  [3012] = {.lex_state = 236},
  [3013] = {.lex_state = 236},
  [3014] = {.lex_state = 234},
  [3015] = {.lex_state = 192},
  [3016] = {.lex_state = 204},
  [3017] = {.lex_state = 236},
  [3018] = {.lex_state = 204},
  [3019] = {.lex_state = 234},
  [3020] = {.lex_state = 211},
  [3021] = {.lex_state = 234},
  [3022] = {.lex_state = 204},
  [3023] = {.lex_state = 204},
  [3024] = {.lex_state = 204},
  [3025] = {.lex_state = 191},
  [3026] = {.lex_state = 192},
  [3027] = {.lex_state = 234},
  [3028] = {.lex_state = 204},
  [3029] = {.lex_state = 214},
  [3030] = {.lex_state = 204},
  [3031] = {.lex_state = 236},
  [3032] = {.lex_state = 204},
  [3033] = {.lex_state = 220},
  [3034] = {.lex_state = 204},
  [3035] = {.lex_state = 211},
  [3036] = {.lex_state = 211},
  [3037] = {.lex_state = 204},
  [3038] = {.lex_state = 204},
  [3039] = {.lex_state = 204},
  [3040] = {.lex_state = 234},
  [3041] = {.lex_state = 234},
  [3042] = {.lex_state = 234},
  [3043] = {.lex_state = 192},
  [3044] = {.lex_state = 204},
  [3045] = {.lex_state = 211},
  [3046] = {.lex_state = 214},
  [3047] = {.lex_state = 204},
  [3048] = {.lex_state = 234},
  [3049] = {.lex_state = 236},
  [3050] = {.lex_state = 204},
  [3051] = {.lex_state = 204},
  [3052] = {.lex_state = 234},
  [3053] = {.lex_state = 204},
  [3054] = {.lex_state = 234},
  [3055] = {.lex_state = 178},
  [3056] = {.lex_state = 234},
  [3057] = {.lex_state = 236},
  [3058] = {.lex_state = 204},
  [3059] = {.lex_state = 204},
  [3060] = {.lex_state = 236},
  [3061] = {.lex_state = 192},
  [3062] = {.lex_state = 204},
  [3063] = {.lex_state = 211},
  [3064] = {.lex_state = 211},
  [3065] = {.lex_state = 204},
  [3066] = {.lex_state = 236},
  [3067] = {.lex_state = 204},
  [3068] = {.lex_state = 236},
  [3069] = {.lex_state = 192},
  [3070] = {.lex_state = 236},
  [3071] = {.lex_state = 204},
  [3072] = {.lex_state = 204},
  [3073] = {.lex_state = 236},
  [3074] = {.lex_state = 211},
  [3075] = {.lex_state = 211},
  [3076] = {.lex_state = 189},
  [3077] = {.lex_state = 211},
  [3078] = {.lex_state = 199},
  [3079] = {.lex_state = 204},
  [3080] = {.lex_state = 204},
  [3081] = {.lex_state = 208},
  [3082] = {.lex_state = 194},
  [3083] = {.lex_state = 204},
  [3084] = {.lex_state = 211},
  [3085] = {.lex_state = 204},
  [3086] = {.lex_state = 194},
  [3087] = {.lex_state = 204},
  [3088] = {.lex_state = 236},
  [3089] = {.lex_state = 194},
  [3090] = {.lex_state = 194},
  [3091] = {.lex_state = 194},
  [3092] = {.lex_state = 189},
  [3093] = {.lex_state = 236},
  [3094] = {.lex_state = 204},
  [3095] = {.lex_state = 189},
  [3096] = {.lex_state = 234},
  [3097] = {.lex_state = 192},
  [3098] = {.lex_state = 189},
  [3099] = {.lex_state = 196},
  [3100] = {.lex_state = 189},
  [3101] = {.lex_state = 204},
  [3102] = {.lex_state = 194},
  [3103] = {.lex_state = 189},
  [3104] = {.lex_state = 189},
  [3105] = {.lex_state = 204},
  [3106] = {.lex_state = 211},
  [3107] = {.lex_state = 191},
  [3108] = {.lex_state = 211},
  [3109] = {.lex_state = 236},
  [3110] = {.lex_state = 189},
  [3111] = {.lex_state = 234},
  [3112] = {.lex_state = 189},
  [3113] = {.lex_state = 211},
  [3114] = {.lex_state = 211},
  [3115] = {.lex_state = 211},
  [3116] = {.lex_state = 211},
  [3117] = {.lex_state = 194},
  [3118] = {.lex_state = 204},
  [3119] = {.lex_state = 178},
  [3120] = {.lex_state = 191},
  [3121] = {.lex_state = 189},
  [3122] = {.lex_state = 189},
  [3123] = {.lex_state = 189},
  [3124] = {.lex_state = 211},
  [3125] = {.lex_state = 211},
  [3126] = {.lex_state = 204},
  [3127] = {.lex_state = 189},
  [3128] = {.lex_state = 194},
  [3129] = {.lex_state = 204},
  [3130] = {.lex_state = 234},
  [3131] = {.lex_state = 211},
  [3132] = {.lex_state = 189},
  [3133] = {.lex_state = 191},
  [3134] = {.lex_state = 189},
  [3135] = {.lex_state = 189},
  [3136] = {.lex_state = 191},
  [3137] = {.lex_state = 189},
  [3138] = {.lex_state = 204},
  [3139] = {.lex_state = 189},
  [3140] = {.lex_state = 201},
  [3141] = {.lex_state = 194},
  [3142] = {.lex_state = 178},
  [3143] = {.lex_state = 204},
  [3144] = {.lex_state = 211},
  [3145] = {.lex_state = 194},
  [3146] = {.lex_state = 194},
  [3147] = {.lex_state = 204},
  [3148] = {.lex_state = 204},
  [3149] = {.lex_state = 211},
  [3150] = {.lex_state = 204},
  [3151] = {.lex_state = 211},
  [3152] = {.lex_state = 194},
  [3153] = {.lex_state = 236},
  [3154] = {.lex_state = 194},
  [3155] = {.lex_state = 211},
  [3156] = {.lex_state = 211},
  [3157] = {.lex_state = 211},
  [3158] = {.lex_state = 189},
  [3159] = {.lex_state = 191},
  [3160] = {.lex_state = 204},
  [3161] = {.lex_state = 189},
  [3162] = {.lex_state = 211},
  [3163] = {.lex_state = 204},
  [3164] = {.lex_state = 204},
  [3165] = {.lex_state = 189},
  [3166] = {.lex_state = 204},
  [3167] = {.lex_state = 189},
  [3168] = {.lex_state = 194},
  [3169] = {.lex_state = 189},
  [3170] = {.lex_state = 211},
  [3171] = {.lex_state = 211},
  [3172] = {.lex_state = 191},
  [3173] = {.lex_state = 189},
  [3174] = {.lex_state = 211},
  [3175] = {.lex_state = 189},
  [3176] = {.lex_state = 204},
  [3177] = {.lex_state = 194},
  [3178] = {.lex_state = 211},
  [3179] = {.lex_state = 178},
  [3180] = {.lex_state = 211},
  [3181] = {.lex_state = 236},
  [3182] = {.lex_state = 189},
  [3183] = {.lex_state = 234},
  [3184] = {.lex_state = 196},
  [3185] = {.lex_state = 194},
  [3186] = {.lex_state = 194},
  [3187] = {.lex_state = 211},
  [3188] = {.lex_state = 194},
  [3189] = {.lex_state = 204},
  [3190] = {.lex_state = 211},
  [3191] = {.lex_state = 189},
  [3192] = {.lex_state = 189},
  [3193] = {.lex_state = 210},
  [3194] = {.lex_state = 194},
  [3195] = {.lex_state = 204},
  [3196] = {.lex_state = 211},
  [3197] = {.lex_state = 234},
  [3198] = {.lex_state = 194},
  [3199] = {.lex_state = 194},
  [3200] = {.lex_state = 208},
  [3201] = {.lex_state = 194},
  [3202] = {.lex_state = 211},
  [3203] = {.lex_state = 194},
  [3204] = {.lex_state = 194},
  [3205] = {.lex_state = 194},
  [3206] = {.lex_state = 236},
  [3207] = {.lex_state = 192},
  [3208] = {.lex_state = 204},
  [3209] = {.lex_state = 204},
  [3210] = {.lex_state = 204},
  [3211] = {.lex_state = 204},
  [3212] = {.lex_state = 204},
  [3213] = {.lex_state = 204},
  [3214] = {.lex_state = 214},
  [3215] = {.lex_state = 204},
  [3216] = {.lex_state = 204},
  [3217] = {.lex_state = 204},
  [3218] = {.lex_state = 204},
  [3219] = {.lex_state = 204},
  [3220] = {.lex_state = 239},
  [3221] = {.lex_state = 204},
  [3222] = {.lex_state = 204},
  [3223] = {.lex_state = 204},
  [3224] = {.lex_state = 204},
  [3225] = {.lex_state = 204},
  [3226] = {.lex_state = 214},
  [3227] = {.lex_state = 204},
  [3228] = {.lex_state = 214},
  [3229] = {.lex_state = 204},
  [3230] = {.lex_state = 214},
  [3231] = {.lex_state = 204},
  [3232] = {.lex_state = 204},
  [3233] = {.lex_state = 199},
  [3234] = {.lex_state = 204},
  [3235] = {.lex_state = 204},
  [3236] = {.lex_state = 211},
  [3237] = {.lex_state = 201},
  [3238] = {.lex_state = 211},
  [3239] = {.lex_state = 204},
  [3240] = {.lex_state = 204},
  [3241] = {.lex_state = 214},
  [3242] = {.lex_state = 204},
  [3243] = {.lex_state = 204},
  [3244] = {.lex_state = 204},
  [3245] = {.lex_state = 204},
  [3246] = {.lex_state = 204},
  [3247] = {.lex_state = 204},
  [3248] = {.lex_state = 204},
  [3249] = {.lex_state = 204},
  [3250] = {.lex_state = 204},
  [3251] = {.lex_state = 204},
  [3252] = {.lex_state = 204},
  [3253] = {.lex_state = 204},
  [3254] = {.lex_state = 204},
  [3255] = {.lex_state = 204},
  [3256] = {.lex_state = 188},
  [3257] = {.lex_state = 204},
  [3258] = {.lex_state = 204},
  [3259] = {.lex_state = 204},
  [3260] = {.lex_state = 204},
  [3261] = {.lex_state = 204},
  [3262] = {.lex_state = 204},
  [3263] = {.lex_state = 204},
  [3264] = {.lex_state = 200},
  [3265] = {.lex_state = 218},
  [3266] = {.lex_state = 192},
  [3267] = {.lex_state = 204},
  [3268] = {.lex_state = 204},
  [3269] = {.lex_state = 204},
  [3270] = {.lex_state = 236},
  [3271] = {.lex_state = 178},
  [3272] = {.lex_state = 204},
  [3273] = {.lex_state = 204},
  [3274] = {.lex_state = 204},
  [3275] = {.lex_state = 199},
  [3276] = {.lex_state = 200},
  [3277] = {.lex_state = 211},
  [3278] = {.lex_state = 178},
  [3279] = {.lex_state = 204},
  [3280] = {.lex_state = 204},
  [3281] = {.lex_state = 204},
  [3282] = {.lex_state = 214},
  [3283] = {.lex_state = 204},
  [3284] = {.lex_state = 204},
  [3285] = {.lex_state = 204},
  [3286] = {.lex_state = 201},
  [3287] = {.lex_state = 204},
  [3288] = {.lex_state = 214},
  [3289] = {.lex_state = 236},
  [3290] = {.lex_state = 214},
  [3291] = {.lex_state = 201},
  [3292] = {.lex_state = 204},
  [3293] = {.lex_state = 214},
  [3294] = {.lex_state = 214},
  [3295] = {.lex_state = 236},
  [3296] = {.lex_state = 201},
  [3297] = {.lex_state = 236},
  [3298] = {.lex_state = 204},
  [3299] = {.lex_state = 236},
  [3300] = {.lex_state = 204},
  [3301] = {.lex_state = 201},
  [3302] = {.lex_state = 201},
  [3303] = {.lex_state = 204},
  [3304] = {.lex_state = 201},
  [3305] = {.lex_state = 204},
  [3306] = {.lex_state = 201},
  [3307] = {.lex_state = 204},
  [3308] = {.lex_state = 192},
  [3309] = {.lex_state = 204},
  [3310] = {.lex_state = 234},
  [3311] = {.lex_state = 204},
  [3312] = {.lex_state = 204},
  [3313] = {.lex_state = 201},
  [3314] = {.lex_state = 216},
  [3315] = {.lex_state = 214},
  [3316] = {.lex_state = 201},
  [3317] = {.lex_state = 204},
  [3318] = {.lex_state = 204},
  [3319] = {.lex_state = 236},
  [3320] = {.lex_state = 214},
  [3321] = {.lex_state = 204},
  [3322] = {.lex_state = 204},
  [3323] = {.lex_state = 204},
  [3324] = {.lex_state = 204},
  [3325] = {.lex_state = 237},
  [3326] = {.lex_state = 214},
  [3327] = {.lex_state = 204},
  [3328] = {.lex_state = 214},
  [3329] = {.lex_state = 204},
  [3330] = {.lex_state = 204},
  [3331] = {.lex_state = 220},
  [3332] = {.lex_state = 204},
  [3333] = {.lex_state = 204},
  [3334] = {.lex_state = 216},
  [3335] = {.lex_state = 237},
  [3336] = {.lex_state = 201},
  [3337] = {.lex_state = 201},
  [3338] = {.lex_state = 201},
  [3339] = {.lex_state = 204},
  [3340] = {.lex_state = 236},
  [3341] = {.lex_state = 201},
  [3342] = {.lex_state = 204},
  [3343] = {.lex_state = 188},
  [3344] = {.lex_state = 201},
  [3345] = {.lex_state = 211},
  [3346] = {.lex_state = 201},
  [3347] = {.lex_state = 204},
  [3348] = {.lex_state = 204},
  [3349] = {.lex_state = 201},
  [3350] = {.lex_state = 204},
  [3351] = {.lex_state = 204},
  [3352] = {.lex_state = 204},
  [3353] = {.lex_state = 204},
  [3354] = {.lex_state = 204},
  [3355] = {.lex_state = 204},
  [3356] = {.lex_state = 204},
  [3357] = {.lex_state = 204},
  [3358] = {.lex_state = 204},
  [3359] = {.lex_state = 204},
  [3360] = {.lex_state = 204},
  [3361] = {.lex_state = 204},
  [3362] = {.lex_state = 204},
  [3363] = {.lex_state = 214},
  [3364] = {.lex_state = 204},
  [3365] = {.lex_state = 204},
  [3366] = {.lex_state = 204},
  [3367] = {.lex_state = 204},
  [3368] = {.lex_state = 204},
  [3369] = {.lex_state = 204},
  [3370] = {.lex_state = 204},
  [3371] = {.lex_state = 204},
  [3372] = {.lex_state = 178},
  [3373] = {.lex_state = 214},
  [3374] = {.lex_state = 204},
  [3375] = {.lex_state = 204},
  [3376] = {.lex_state = 204},
  [3377] = {.lex_state = 204},
  [3378] = {.lex_state = 204},
  [3379] = {.lex_state = 204},
  [3380] = {.lex_state = 204},
  [3381] = {.lex_state = 178},
  [3382] = {.lex_state = 204},
  [3383] = {.lex_state = 204},
  [3384] = {.lex_state = 204},
  [3385] = {.lex_state = 204},
  [3386] = {.lex_state = 204},
  [3387] = {.lex_state = 204},
  [3388] = {.lex_state = 204},
  [3389] = {.lex_state = 188},
  [3390] = {.lex_state = 204},
  [3391] = {.lex_state = 204},
  [3392] = {.lex_state = 199},
  [3393] = {.lex_state = 204},
  [3394] = {.lex_state = 204},
  [3395] = {.lex_state = 211},
  [3396] = {.lex_state = 204},
  [3397] = {.lex_state = 204},
  [3398] = {.lex_state = 204},
  [3399] = {.lex_state = 204},
  [3400] = {.lex_state = 204},
  [3401] = {.lex_state = 204},
  [3402] = {.lex_state = 204},
  [3403] = {.lex_state = 204},
  [3404] = {.lex_state = 211},
  [3405] = {.lex_state = 199},
  [3406] = {.lex_state = 211},
  [3407] = {.lex_state = 194},
  [3408] = {.lex_state = 194},
  [3409] = {.lex_state = 236},
  [3410] = {.lex_state = 237},
  [3411] = {.lex_state = 204},
  [3412] = {.lex_state = 194},
  [3413] = {.lex_state = 194},
  [3414] = {.lex_state = 204},
  [3415] = {.lex_state = 194},
  [3416] = {.lex_state = 199},
  [3417] = {.lex_state = 211},
  [3418] = {.lex_state = 211},
  [3419] = {.lex_state = 204},
  [3420] = {.lex_state = 211},
  [3421] = {.lex_state = 211},
  [3422] = {.lex_state = 194},
  [3423] = {.lex_state = 211},
  [3424] = {.lex_state = 211},
  [3425] = {.lex_state = 211},
  [3426] = {.lex_state = 211},
  [3427] = {.lex_state = 211},
  [3428] = {.lex_state = 211},
  [3429] = {.lex_state = 211},
  [3430] = {.lex_state = 199},
  [3431] = {.lex_state = 211},
  [3432] = {.lex_state = 237},
  [3433] = {.lex_state = 194},
  [3434] = {.lex_state = 211},
  [3435] = {.lex_state = 234},
  [3436] = {.lex_state = 211},
  [3437] = {.lex_state = 211},
  [3438] = {.lex_state = 204},
  [3439] = {.lex_state = 178},
  [3440] = {.lex_state = 204},
  [3441] = {.lex_state = 211},
  [3442] = {.lex_state = 211},
  [3443] = {.lex_state = 211},
  [3444] = {.lex_state = 191},
  [3445] = {.lex_state = 211},
  [3446] = {.lex_state = 204},
  [3447] = {.lex_state = 211},
  [3448] = {.lex_state = 211},
  [3449] = {.lex_state = 211},
  [3450] = {.lex_state = 211},
  [3451] = {.lex_state = 211},
  [3452] = {.lex_state = 211},
  [3453] = {.lex_state = 211},
  [3454] = {.lex_state = 211},
  [3455] = {.lex_state = 236},
  [3456] = {.lex_state = 211},
  [3457] = {.lex_state = 211},
  [3458] = {.lex_state = 211},
  [3459] = {.lex_state = 211},
  [3460] = {.lex_state = 211},
  [3461] = {.lex_state = 211},
  [3462] = {.lex_state = 211},
  [3463] = {.lex_state = 211},
  [3464] = {.lex_state = 211},
  [3465] = {.lex_state = 211},
  [3466] = {.lex_state = 204},
  [3467] = {.lex_state = 211},
  [3468] = {.lex_state = 211},
  [3469] = {.lex_state = 211},
  [3470] = {.lex_state = 204},
  [3471] = {.lex_state = 199},
  [3472] = {.lex_state = 204},
  [3473] = {.lex_state = 211},
  [3474] = {.lex_state = 234},
  [3475] = {.lex_state = 204},
  [3476] = {.lex_state = 211},
  [3477] = {.lex_state = 211},
  [3478] = {.lex_state = 204},
  [3479] = {.lex_state = 237},
  [3480] = {.lex_state = 211},
  [3481] = {.lex_state = 199},
  [3482] = {.lex_state = 211},
  [3483] = {.lex_state = 236},
  [3484] = {.lex_state = 192},
  [3485] = {.lex_state = 211},
  [3486] = {.lex_state = 211},
  [3487] = {.lex_state = 199},
  [3488] = {.lex_state = 237},
  [3489] = {.lex_state = 234},
  [3490] = {.lex_state = 194},
  [3491] = {.lex_state = 211},
  [3492] = {.lex_state = 211},
  [3493] = {.lex_state = 211},
  [3494] = {.lex_state = 204},
  [3495] = {.lex_state = 211},
  [3496] = {.lex_state = 211},
  [3497] = {.lex_state = 199},
  [3498] = {.lex_state = 211},
  [3499] = {.lex_state = 211},
  [3500] = {.lex_state = 211},
  [3501] = {.lex_state = 211},
  [3502] = {.lex_state = 211},
  [3503] = {.lex_state = 211},
  [3504] = {.lex_state = 211},
  [3505] = {.lex_state = 211},
  [3506] = {.lex_state = 211},
  [3507] = {.lex_state = 211},
  [3508] = {.lex_state = 204},
  [3509] = {.lex_state = 204},
  [3510] = {.lex_state = 211},
  [3511] = {.lex_state = 211},
  [3512] = {.lex_state = 211},
  [3513] = {.lex_state = 211},
  [3514] = {.lex_state = 211},
  [3515] = {.lex_state = 211},
  [3516] = {.lex_state = 211},
  [3517] = {.lex_state = 211},
  [3518] = {.lex_state = 204},
  [3519] = {.lex_state = 236},
  [3520] = {.lex_state = 211},
  [3521] = {.lex_state = 211},
  [3522] = {.lex_state = 204},
  [3523] = {.lex_state = 237},
  [3524] = {.lex_state = 211},
  [3525] = {.lex_state = 211},
  [3526] = {.lex_state = 204},
  [3527] = {.lex_state = 211},
  [3528] = {.lex_state = 211},
  [3529] = {.lex_state = 199},
  [3530] = {.lex_state = 192},
  [3531] = {.lex_state = 199},
  [3532] = {.lex_state = 211},
  [3533] = {.lex_state = 237},
  [3534] = {.lex_state = 199},
  [3535] = {.lex_state = 211},
  [3536] = {.lex_state = 211},
  [3537] = {.lex_state = 211},
  [3538] = {.lex_state = 234},
  [3539] = {.lex_state = 234},
  [3540] = {.lex_state = 234},
  [3541] = {.lex_state = 234},
  [3542] = {.lex_state = 234},
  [3543] = {.lex_state = 234},
  [3544] = {.lex_state = 234},
  [3545] = {.lex_state = 204},
  [3546] = {.lex_state = 199},
  [3547] = {.lex_state = 234},
  [3548] = {.lex_state = 234},
  [3549] = {.lex_state = 234},
  [3550] = {.lex_state = 199},
  [3551] = {.lex_state = 234},
  [3552] = {.lex_state = 199},
  [3553] = {.lex_state = 234},
  [3554] = {.lex_state = 199},
  [3555] = {.lex_state = 199},
  [3556] = {.lex_state = 234},
  [3557] = {.lex_state = 199},
  [3558] = {.lex_state = 234},
  [3559] = {.lex_state = 234},
  [3560] = {.lex_state = 234},
  [3561] = {.lex_state = 234},
  [3562] = {.lex_state = 234},
  [3563] = {.lex_state = 199},
  [3564] = {.lex_state = 234},
  [3565] = {.lex_state = 234},
  [3566] = {.lex_state = 234},
  [3567] = {.lex_state = 234},
  [3568] = {.lex_state = 234},
  [3569] = {.lex_state = 234},
  [3570] = {.lex_state = 199},
  [3571] = {.lex_state = 199},
  [3572] = {.lex_state = 236},
  [3573] = {.lex_state = 199},
  [3574] = {.lex_state = 234},
  [3575] = {.lex_state = 234},
  [3576] = {.lex_state = 234},
  [3577] = {.lex_state = 234},
  [3578] = {.lex_state = 234},
  [3579] = {.lex_state = 234},
  [3580] = {.lex_state = 199},
  [3581] = {.lex_state = 234},
  [3582] = {.lex_state = 234},
  [3583] = {.lex_state = 178},
  [3584] = {.lex_state = 178},
  [3585] = {.lex_state = 178},
  [3586] = {.lex_state = 188},
  [3587] = {.lex_state = 234},
  [3588] = {.lex_state = 234},
  [3589] = {.lex_state = 208},
  [3590] = {.lex_state = 178},
  [3591] = {.lex_state = 234},
  [3592] = {.lex_state = 234},
  [3593] = {.lex_state = 234},
  [3594] = {.lex_state = 234},
  [3595] = {.lex_state = 234},
  [3596] = {.lex_state = 236},
  [3597] = {.lex_state = 236},
  [3598] = {.lex_state = 234},
  [3599] = {.lex_state = 201},
  [3600] = {.lex_state = 236},
  [3601] = {.lex_state = 234},
  [3602] = {.lex_state = 236},
  [3603] = {.lex_state = 234},
  [3604] = {.lex_state = 234},
  [3605] = {.lex_state = 201},
  [3606] = {.lex_state = 234},
  [3607] = {.lex_state = 234},
  [3608] = {.lex_state = 234},
  [3609] = {.lex_state = 234},
  [3610] = {.lex_state = 234},
  [3611] = {.lex_state = 201},
  [3612] = {.lex_state = 234},
  [3613] = {.lex_state = 236},
  [3614] = {.lex_state = 234},
  [3615] = {.lex_state = 234},
  [3616] = {.lex_state = 234},
  [3617] = {.lex_state = 234},
  [3618] = {.lex_state = 236},
  [3619] = {.lex_state = 234},
  [3620] = {.lex_state = 234},
  [3621] = {.lex_state = 236},
  [3622] = {.lex_state = 236},
  [3623] = {.lex_state = 208},
  [3624] = {.lex_state = 192},
  [3625] = {.lex_state = 234},
  [3626] = {.lex_state = 234},
  [3627] = {.lex_state = 233},
  [3628] = {.lex_state = 234},
  [3629] = {.lex_state = 199},
  [3630] = {.lex_state = 234},
  [3631] = {.lex_state = 234},
  [3632] = {.lex_state = 234},
  [3633] = {.lex_state = 236},
  [3634] = {.lex_state = 234},
  [3635] = {.lex_state = 236},
  [3636] = {.lex_state = 234},
  [3637] = {.lex_state = 199},
  [3638] = {.lex_state = 234},
  [3639] = {.lex_state = 234},
  [3640] = {.lex_state = 234},
  [3641] = {.lex_state = 234},
  [3642] = {.lex_state = 233},
  [3643] = {.lex_state = 236},
  [3644] = {.lex_state = 234},
  [3645] = {.lex_state = 236},
  [3646] = {.lex_state = 204},
  [3647] = {.lex_state = 204},
  [3648] = {.lex_state = 204},
  [3649] = {.lex_state = 204},
  [3650] = {.lex_state = 199},
  [3651] = {.lex_state = 220},
  [3652] = {.lex_state = 234},
  [3653] = {.lex_state = 234},
  [3654] = {.lex_state = 204},
  [3655] = {.lex_state = 201},
  [3656] = {.lex_state = 201},
  [3657] = {.lex_state = 220},
  [3658] = {.lex_state = 204},
  [3659] = {.lex_state = 204},
  [3660] = {.lex_state = 204},
  [3661] = {.lex_state = 204},
  [3662] = {.lex_state = 188},
  [3663] = {.lex_state = 204},
  [3664] = {.lex_state = 199},
  [3665] = {.lex_state = 204},
  [3666] = {.lex_state = 188},
  [3667] = {.lex_state = 204},
  [3668] = {.lex_state = 199},
  [3669] = {.lex_state = 199},
  [3670] = {.lex_state = 199},
  [3671] = {.lex_state = 234},
  [3672] = {.lex_state = 204},
  [3673] = {.lex_state = 234},
  [3674] = {.lex_state = 199},
  [3675] = {.lex_state = 204},
  [3676] = {.lex_state = 204},
  [3677] = {.lex_state = 199},
  [3678] = {.lex_state = 201},
  [3679] = {.lex_state = 234},
  [3680] = {.lex_state = 204},
  [3681] = {.lex_state = 204},
  [3682] = {.lex_state = 204},
  [3683] = {.lex_state = 204},
  [3684] = {.lex_state = 204},
  [3685] = {.lex_state = 204},
  [3686] = {.lex_state = 188},
  [3687] = {.lex_state = 234},
  [3688] = {.lex_state = 237},
  [3689] = {.lex_state = 204},
  [3690] = {.lex_state = 199},
  [3691] = {.lex_state = 234},
  [3692] = {.lex_state = 234},
  [3693] = {.lex_state = 201},
  [3694] = {.lex_state = 234},
  [3695] = {.lex_state = 204},
  [3696] = {.lex_state = 234},
  [3697] = {.lex_state = 199},
  [3698] = {.lex_state = 220},
  [3699] = {.lex_state = 204},
  [3700] = {.lex_state = 204},
  [3701] = {.lex_state = 204},
  [3702] = {.lex_state = 204},
  [3703] = {.lex_state = 204},
  [3704] = {.lex_state = 234},
  [3705] = {.lex_state = 236},
  [3706] = {.lex_state = 237},
  [3707] = {.lex_state = 204},
  [3708] = {.lex_state = 188},
  [3709] = {.lex_state = 204},
  [3710] = {.lex_state = 199},
  [3711] = {.lex_state = 204},
  [3712] = {.lex_state = 204},
  [3713] = {.lex_state = 204},
  [3714] = {.lex_state = 204},
  [3715] = {.lex_state = 204},
  [3716] = {.lex_state = 234},
  [3717] = {.lex_state = 204},
  [3718] = {.lex_state = 234},
  [3719] = {.lex_state = 204},
  [3720] = {.lex_state = 204},
  [3721] = {.lex_state = 234},
  [3722] = {.lex_state = 204},
  [3723] = {.lex_state = 204},
  [3724] = {.lex_state = 201},
  [3725] = {.lex_state = 204},
  [3726] = {.lex_state = 204},
  [3727] = {.lex_state = 204},
  [3728] = {.lex_state = 239},
  [3729] = {.lex_state = 178},
  [3730] = {.lex_state = 234},
  [3731] = {.lex_state = 204},
  [3732] = {.lex_state = 178},
  [3733] = {.lex_state = 204},
  [3734] = {.lex_state = 204},
  [3735] = {.lex_state = 204},
  [3736] = {.lex_state = 204},
  [3737] = {.lex_state = 199},
  [3738] = {.lex_state = 204},
  [3739] = {.lex_state = 199},
  [3740] = {.lex_state = 204},
  [3741] = {.lex_state = 178},
  [3742] = {.lex_state = 236},
  [3743] = {.lex_state = 178},
  [3744] = {.lex_state = 204},
  [3745] = {.lex_state = 204},
  [3746] = {.lex_state = 204},
  [3747] = {.lex_state = 204},
  [3748] = {.lex_state = 239},
  [3749] = {.lex_state = 204},
  [3750] = {.lex_state = 204},
  [3751] = {.lex_state = 234},
  [3752] = {.lex_state = 201},
  [3753] = {.lex_state = 199},
  [3754] = {.lex_state = 201},
  [3755] = {.lex_state = 201},
  [3756] = {.lex_state = 199},
  [3757] = {.lex_state = 201},
  [3758] = {.lex_state = 199},
  [3759] = {.lex_state = 201},
  [3760] = {.lex_state = 201},
  [3761] = {.lex_state = 201},
  [3762] = {.lex_state = 199},
  [3763] = {.lex_state = 201},
  [3764] = {.lex_state = 201},
  [3765] = {.lex_state = 199},
  [3766] = {.lex_state = 188},
  [3767] = {.lex_state = 201},
  [3768] = {.lex_state = 201},
  [3769] = {.lex_state = 201},
  [3770] = {.lex_state = 188},
  [3771] = {.lex_state = 201},
  [3772] = {.lex_state = 199},
  [3773] = {.lex_state = 201},
  [3774] = {.lex_state = 199},
  [3775] = {.lex_state = 201},
  [3776] = {.lex_state = 201},
  [3777] = {.lex_state = 201},
  [3778] = {.lex_state = 236},
  [3779] = {.lex_state = 201},
  [3780] = {.lex_state = 199},
  [3781] = {.lex_state = 199},
  [3782] = {.lex_state = 201},
  [3783] = {.lex_state = 201},
  [3784] = {.lex_state = 199},
  [3785] = {.lex_state = 199},
  [3786] = {.lex_state = 201},
  [3787] = {.lex_state = 199},
  [3788] = {.lex_state = 199},
  [3789] = {.lex_state = 201},
  [3790] = {.lex_state = 201},
  [3791] = {.lex_state = 201},
  [3792] = {.lex_state = 199},
  [3793] = {.lex_state = 199},
  [3794] = {.lex_state = 188},
  [3795] = {.lex_state = 199},
  [3796] = {.lex_state = 201},
  [3797] = {.lex_state = 199},
  [3798] = {.lex_state = 201},
  [3799] = {.lex_state = 236},
  [3800] = {.lex_state = 201},
  [3801] = {.lex_state = 199},
  [3802] = {.lex_state = 199},
  [3803] = {.lex_state = 223},
  [3804] = {.lex_state = 201},
  [3805] = {.lex_state = 201},
  [3806] = {.lex_state = 201},
  [3807] = {.lex_state = 220},
  [3808] = {.lex_state = 201},
  [3809] = {.lex_state = 220},
  [3810] = {.lex_state = 199},
  [3811] = {.lex_state = 201},
  [3812] = {.lex_state = 188},
  [3813] = {.lex_state = 201},
  [3814] = {.lex_state = 199},
  [3815] = {.lex_state = 237},
  [3816] = {.lex_state = 237},
  [3817] = {.lex_state = 236},
  [3818] = {.lex_state = 201},
  [3819] = {.lex_state = 233},
  [3820] = {.lex_state = 237},
  [3821] = {.lex_state = 199},
  [3822] = {.lex_state = 199},
  [3823] = {.lex_state = 199},
  [3824] = {.lex_state = 199},
  [3825] = {.lex_state = 199},
  [3826] = {.lex_state = 199},
  [3827] = {.lex_state = 199},
  [3828] = {.lex_state = 237},
  [3829] = {.lex_state = 201},
  [3830] = {.lex_state = 199},
  [3831] = {.lex_state = 201},
  [3832] = {.lex_state = 199},
  [3833] = {.lex_state = 223},
  [3834] = {.lex_state = 199},
  [3835] = {.lex_state = 199},
  [3836] = {.lex_state = 199},
  [3837] = {.lex_state = 237},
  [3838] = {.lex_state = 236},
  [3839] = {.lex_state = 199},
  [3840] = {.lex_state = 199},
  [3841] = {.lex_state = 199},
  [3842] = {.lex_state = 199},
  [3843] = {.lex_state = 201},
  [3844] = {.lex_state = 199},
  [3845] = {.lex_state = 236},
  [3846] = {.lex_state = 234},
  [3847] = {.lex_state = 237},
  [3848] = {.lex_state = 237},
  [3849] = {.lex_state = 199},
  [3850] = {.lex_state = 233},
  [3851] = {.lex_state = 199},
  [3852] = {.lex_state = 234},
  [3853] = {.lex_state = 234},
  [3854] = {.lex_state = 234},
  [3855] = {.lex_state = 234},
  [3856] = {.lex_state = 234},
  [3857] = {.lex_state = 234},
  [3858] = {.lex_state = 199},
  [3859] = {.lex_state = 199},
  [3860] = {.lex_state = 199},
  [3861] = {.lex_state = 223},
  [3862] = {.lex_state = 234},
  [3863] = {.lex_state = 223},
  [3864] = {.lex_state = 234},
  [3865] = {.lex_state = 234},
  [3866] = {.lex_state = 233},
  [3867] = {.lex_state = 199},
  [3868] = {.lex_state = 234},
  [3869] = {.lex_state = 234},
  [3870] = {.lex_state = 234},
  [3871] = {.lex_state = 234},
  [3872] = {.lex_state = 234},
  [3873] = {.lex_state = 234},
  [3874] = {.lex_state = 234},
  [3875] = {.lex_state = 234},
  [3876] = {.lex_state = 234},
  [3877] = {.lex_state = 234},
  [3878] = {.lex_state = 234},
  [3879] = {.lex_state = 199},
  [3880] = {.lex_state = 234},
  [3881] = {.lex_state = 234},
  [3882] = {.lex_state = 234},
  [3883] = {.lex_state = 234},
  [3884] = {.lex_state = 199},
  [3885] = {.lex_state = 234},
  [3886] = {.lex_state = 236},
  [3887] = {.lex_state = 234},
  [3888] = {.lex_state = 199},
  [3889] = {.lex_state = 234},
  [3890] = {.lex_state = 199},
  [3891] = {.lex_state = 233},
  [3892] = {.lex_state = 199},
  [3893] = {.lex_state = 201},
  [3894] = {.lex_state = 199},
  [3895] = {.lex_state = 199},
  [3896] = {.lex_state = 199},
  [3897] = {.lex_state = 199},
  [3898] = {.lex_state = 199},
  [3899] = {.lex_state = 199},
  [3900] = {.lex_state = 236},
  [3901] = {.lex_state = 199},
  [3902] = {.lex_state = 199},
  [3903] = {.lex_state = 199},
  [3904] = {.lex_state = 199},
  [3905] = {.lex_state = 199},
  [3906] = {.lex_state = 199},
  [3907] = {.lex_state = 199},
  [3908] = {.lex_state = 199},
  [3909] = {.lex_state = 199},
  [3910] = {.lex_state = 199},
  [3911] = {.lex_state = 199},
  [3912] = {.lex_state = 199},
  [3913] = {.lex_state = 199},
  [3914] = {.lex_state = 199},
  [3915] = {.lex_state = 199},
  [3916] = {.lex_state = 233},
  [3917] = {.lex_state = 199},
  [3918] = {.lex_state = 199},
  [3919] = {.lex_state = 199},
  [3920] = {.lex_state = 199},
  [3921] = {.lex_state = 199},
  [3922] = {.lex_state = 236},
  [3923] = {.lex_state = 199},
  [3924] = {.lex_state = 199},
  [3925] = {.lex_state = 236},
  [3926] = {.lex_state = 199},
  [3927] = {.lex_state = 220},
  [3928] = {.lex_state = 220},
  [3929] = {.lex_state = 201},
  [3930] = {.lex_state = 237},
  [3931] = {.lex_state = 236},
  [3932] = {.lex_state = 236},
  [3933] = {.lex_state = 237},
  [3934] = {.lex_state = 224},
  [3935] = {.lex_state = 224},
  [3936] = {.lex_state = 201},
  [3937] = {.lex_state = 236},
  [3938] = {.lex_state = 201},
  [3939] = {.lex_state = 237},
  [3940] = {.lex_state = 201},
  [3941] = {.lex_state = 233},
  [3942] = {.lex_state = 237},
  [3943] = {.lex_state = 224},
  [3944] = {.lex_state = 239},
  [3945] = {.lex_state = 233},
  [3946] = {.lex_state = 234},
  [3947] = {.lex_state = 234},
  [3948] = {.lex_state = 224},
  [3949] = {.lex_state = 199},
  [3950] = {.lex_state = 239},
  [3951] = {.lex_state = 199},
  [3952] = {.lex_state = 220},
  [3953] = {.lex_state = 220},
  [3954] = {.lex_state = 224},
  [3955] = {.lex_state = 233},
  [3956] = {.lex_state = 199},
  [3957] = {.lex_state = 234},
  [3958] = {.lex_state = 239},
  [3959] = {.lex_state = 199},
  [3960] = {.lex_state = 201},
  [3961] = {.lex_state = 234},
  [3962] = {.lex_state = 220},
  [3963] = {.lex_state = 201},
  [3964] = {.lex_state = 234},
  [3965] = {.lex_state = 220},
  [3966] = {.lex_state = 237},
  [3967] = {.lex_state = 199},
  [3968] = {.lex_state = 236},
  [3969] = {.lex_state = 236},
  [3970] = {.lex_state = 199},
  [3971] = {.lex_state = 233},
  [3972] = {.lex_state = 199},
  [3973] = {.lex_state = 220},
  [3974] = {.lex_state = 220},
  [3975] = {.lex_state = 199},
  [3976] = {.lex_state = 236},
  [3977] = {.lex_state = 236},
  [3978] = {.lex_state = 199},
  [3979] = {.lex_state = 199},
  [3980] = {.lex_state = 199},
  [3981] = {.lex_state = 199},
  [3982] = {.lex_state = 236},
  [3983] = {.lex_state = 237},
  [3984] = {.lex_state = 237},
  [3985] = {.lex_state = 220},
  [3986] = {.lex_state = 220},
  [3987] = {.lex_state = 201},
  [3988] = {.lex_state = 224},
  [3989] = {.lex_state = 199},
  [3990] = {.lex_state = 199},
  [3991] = {.lex_state = 199},
  [3992] = {.lex_state = 236},
  [3993] = {.lex_state = 233},
  [3994] = {.lex_state = 233},
  [3995] = {.lex_state = 233},
  [3996] = {.lex_state = 237},
  [3997] = {.lex_state = 234},
  [3998] = {.lex_state = 199},
  [3999] = {.lex_state = 199},
  [4000] = {.lex_state = 237},
  [4001] = {.lex_state = 199},
  [4002] = {.lex_state = 199},
  [4003] = {.lex_state = 234},
  [4004] = {.lex_state = 201},
  [4005] = {.lex_state = 237},
  [4006] = {.lex_state = 237},
  [4007] = {.lex_state = 199},
  [4008] = {.lex_state = 237},
  [4009] = {.lex_state = 237},
  [4010] = {.lex_state = 237},
  [4011] = {.lex_state = 233},
  [4012] = {.lex_state = 237},
  [4013] = {.lex_state = 199},
  [4014] = {.lex_state = 202},
  [4015] = {.lex_state = 202},
  [4016] = {.lex_state = 233},
  [4017] = {.lex_state = 236},
  [4018] = {.lex_state = 199},
  [4019] = {.lex_state = 199},
  [4020] = {.lex_state = 199},
  [4021] = {.lex_state = 220},
  [4022] = {.lex_state = 236},
  [4023] = {.lex_state = 220},
  [4024] = {.lex_state = 199},
  [4025] = {.lex_state = 199},
  [4026] = {.lex_state = 237},
  [4027] = {.lex_state = 237},
  [4028] = {.lex_state = 237},
  [4029] = {.lex_state = 236},
  [4030] = {.lex_state = 199},
  [4031] = {.lex_state = 233},
  [4032] = {.lex_state = 202},
  [4033] = {.lex_state = 201},
  [4034] = {.lex_state = 220},
  [4035] = {.lex_state = 237},
  [4036] = {.lex_state = 220},
  [4037] = {.lex_state = 220},
  [4038] = {.lex_state = 237},
  [4039] = {.lex_state = 202},
  [4040] = {.lex_state = 199},
  [4041] = {.lex_state = 237},
  [4042] = {.lex_state = 199},
  [4043] = {.lex_state = 237},
  [4044] = {.lex_state = 237},
  [4045] = {.lex_state = 237},
  [4046] = {.lex_state = 220},
  [4047] = {.lex_state = 233},
  [4048] = {.lex_state = 233},
  [4049] = {.lex_state = 199},
  [4050] = {.lex_state = 237},
  [4051] = {.lex_state = 233},
  [4052] = {.lex_state = 233},
  [4053] = {.lex_state = 220},
  [4054] = {.lex_state = 220},
  [4055] = {.lex_state = 233},
  [4056] = {.lex_state = 201},
  [4057] = {.lex_state = 199},
  [4058] = {.lex_state = 199},
  [4059] = {.lex_state = 236},
  [4060] = {.lex_state = 237},
  [4061] = {.lex_state = 233},
  [4062] = {.lex_state = 199},
  [4063] = {.lex_state = 199},
  [4064] = {.lex_state = 237},
  [4065] = {.lex_state = 240},
  [4066] = {.lex_state = 199},
  [4067] = {.lex_state = 199},
  [4068] = {.lex_state = 236},
  [4069] = {.lex_state = 199},
  [4070] = {.lex_state = 201},
  [4071] = {.lex_state = 240},
  [4072] = {.lex_state = 220},
  [4073] = {.lex_state = 199},
  [4074] = {.lex_state = 240},
  [4075] = {.lex_state = 233},
  [4076] = {.lex_state = 199},
  [4077] = {.lex_state = 236},
  [4078] = {.lex_state = 237},
  [4079] = {.lex_state = 199},
  [4080] = {.lex_state = 236},
  [4081] = {.lex_state = 237},
  [4082] = {.lex_state = 233},
  [4083] = {.lex_state = 237},
  [4084] = {.lex_state = 233},
  [4085] = {.lex_state = 199},
  [4086] = {.lex_state = 199},
  [4087] = {.lex_state = 199},
  [4088] = {.lex_state = 199},
  [4089] = {.lex_state = 199},
  [4090] = {.lex_state = 237},
  [4091] = {.lex_state = 233},
  [4092] = {.lex_state = 199},
  [4093] = {.lex_state = 236},
  [4094] = {.lex_state = 199},
  [4095] = {.lex_state = 236},
  [4096] = {.lex_state = 201},
  [4097] = {.lex_state = 199},
  [4098] = {.lex_state = 199},
  [4099] = {.lex_state = 199},
  [4100] = {.lex_state = 199},
  [4101] = {.lex_state = 199},
  [4102] = {.lex_state = 199},
  [4103] = {.lex_state = 199},
  [4104] = {.lex_state = 199},
  [4105] = {.lex_state = 224},
  [4106] = {.lex_state = 199},
  [4107] = {.lex_state = 224},
  [4108] = {.lex_state = 199},
  [4109] = {.lex_state = 224},
  [4110] = {.lex_state = 224},
  [4111] = {.lex_state = 199},
  [4112] = {.lex_state = 199},
  [4113] = {.lex_state = 224},
  [4114] = {.lex_state = 199},
  [4115] = {.lex_state = 199},
  [4116] = {.lex_state = 224},
  [4117] = {.lex_state = 233},
  [4118] = {.lex_state = 224},
  [4119] = {.lex_state = 199},
  [4120] = {.lex_state = 199},
  [4121] = {.lex_state = 224},
  [4122] = {.lex_state = 224},
  [4123] = {.lex_state = 199},
  [4124] = {.lex_state = 237},
  [4125] = {.lex_state = 224},
  [4126] = {.lex_state = 224},
  [4127] = {.lex_state = 237},
  [4128] = {.lex_state = 199},
  [4129] = {.lex_state = 199},
  [4130] = {.lex_state = 199},
  [4131] = {.lex_state = 220},
  [4132] = {.lex_state = 224},
  [4133] = {.lex_state = 199},
  [4134] = {.lex_state = 199},
  [4135] = {.lex_state = 233},
  [4136] = {.lex_state = 224},
  [4137] = {.lex_state = 199},
  [4138] = {.lex_state = 224},
  [4139] = {.lex_state = 199},
  [4140] = {.lex_state = 224},
  [4141] = {.lex_state = 224},
  [4142] = {.lex_state = 224},
  [4143] = {.lex_state = 199},
  [4144] = {.lex_state = 224},
  [4145] = {.lex_state = 199},
  [4146] = {.lex_state = 224},
  [4147] = {.lex_state = 199},
  [4148] = {.lex_state = 237},
  [4149] = {.lex_state = 224},
  [4150] = {.lex_state = 224},
  [4151] = {.lex_state = 220},
  [4152] = {.lex_state = 199},
  [4153] = {.lex_state = 224},
  [4154] = {.lex_state = 199},
  [4155] = {.lex_state = 224},
  [4156] = {.lex_state = 237},
  [4157] = {.lex_state = 199},
  [4158] = {.lex_state = 199},
  [4159] = {.lex_state = 199},
  [4160] = {.lex_state = 199},
  [4161] = {.lex_state = 199},
  [4162] = {.lex_state = 219},
  [4163] = {.lex_state = 224},
  [4164] = {.lex_state = 199},
  [4165] = {.lex_state = 199},
  [4166] = {.lex_state = 199},
  [4167] = {.lex_state = 224},
  [4168] = {.lex_state = 224},
  [4169] = {.lex_state = 224},
  [4170] = {.lex_state = 224},
  [4171] = {.lex_state = 199},
  [4172] = {.lex_state = 224},
  [4173] = {.lex_state = 224},
  [4174] = {.lex_state = 220},
  [4175] = {.lex_state = 199},
  [4176] = {.lex_state = 199},
  [4177] = {.lex_state = 224},
  [4178] = {.lex_state = 199},
  [4179] = {.lex_state = 199},
  [4180] = {.lex_state = 237},
  [4181] = {.lex_state = 199},
  [4182] = {.lex_state = 224},
  [4183] = {.lex_state = 224},
  [4184] = {.lex_state = 224},
  [4185] = {.lex_state = 220},
  [4186] = {.lex_state = 199},
  [4187] = {.lex_state = 199},
  [4188] = {.lex_state = 237},
  [4189] = {.lex_state = 237},
  [4190] = {.lex_state = 199},
  [4191] = {.lex_state = 199},
  [4192] = {.lex_state = 224},
  [4193] = {.lex_state = 224},
  [4194] = {.lex_state = 224},
  [4195] = {.lex_state = 224},
  [4196] = {.lex_state = 199},
  [4197] = {.lex_state = 199},
  [4198] = {.lex_state = 237},
  [4199] = {.lex_state = 199},
  [4200] = {.lex_state = 237},
  [4201] = {.lex_state = 237},
  [4202] = {.lex_state = 199},
  [4203] = {.lex_state = 199},
  [4204] = {.lex_state = 199},
  [4205] = {.lex_state = 199},
  [4206] = {.lex_state = 199},
  [4207] = {.lex_state = 199},
  [4208] = {.lex_state = 199},
  [4209] = {.lex_state = 199},
  [4210] = {.lex_state = 202},
  [4211] = {.lex_state = 224},
  [4212] = {.lex_state = 199},
  [4213] = {.lex_state = 224},
  [4214] = {.lex_state = 224},
  [4215] = {.lex_state = 199},
  [4216] = {.lex_state = 201},
  [4217] = {.lex_state = 201},
  [4218] = {.lex_state = 201},
  [4219] = {.lex_state = 234},
  [4220] = {.lex_state = 237},
  [4221] = {.lex_state = 201},
  [4222] = {.lex_state = 199},
  [4223] = {.lex_state = 224},
  [4224] = {.lex_state = 201},
  [4225] = {.lex_state = 199},
  [4226] = {.lex_state = 199},
  [4227] = {.lex_state = 201},
  [4228] = {.lex_state = 201},
  [4229] = {.lex_state = 201},
  [4230] = {.lex_state = 201},
  [4231] = {.lex_state = 224},
  [4232] = {.lex_state = 201},
  [4233] = {.lex_state = 201},
  [4234] = {.lex_state = 201},
  [4235] = {.lex_state = 201},
  [4236] = {.lex_state = 199},
  [4237] = {.lex_state = 199},
  [4238] = {.lex_state = 199},
  [4239] = {.lex_state = 201},
  [4240] = {.lex_state = 201},
  [4241] = {.lex_state = 201},
  [4242] = {.lex_state = 201},
  [4243] = {.lex_state = 201},
  [4244] = {.lex_state = 201},
  [4245] = {.lex_state = 201},
  [4246] = {.lex_state = 237},
  [4247] = {.lex_state = 224},
  [4248] = {.lex_state = 224},
  [4249] = {.lex_state = 199},
  [4250] = {.lex_state = 233},
  [4251] = {.lex_state = 201},
  [4252] = {.lex_state = 201},
  [4253] = {.lex_state = 237},
  [4254] = {.lex_state = 224},
  [4255] = {.lex_state = 201},
  [4256] = {.lex_state = 199},
  [4257] = {.lex_state = 233},
  [4258] = {.lex_state = 199},
  [4259] = {.lex_state = 199},
  [4260] = {.lex_state = 199},
  [4261] = {.lex_state = 201},
  [4262] = {.lex_state = 201},
  [4263] = {.lex_state = 199},
  [4264] = {.lex_state = 201},
  [4265] = {.lex_state = 224},
  [4266] = {.lex_state = 201},
  [4267] = {.lex_state = 201},
  [4268] = {.lex_state = 199},
  [4269] = {.lex_state = 199},
  [4270] = {.lex_state = 199},
  [4271] = {.lex_state = 199},
  [4272] = {.lex_state = 199},
  [4273] = {.lex_state = 199},
  [4274] = {.lex_state = 201},
  [4275] = {.lex_state = 199},
  [4276] = {.lex_state = 199},
  [4277] = {.lex_state = 199},
  [4278] = {.lex_state = 201},
  [4279] = {.lex_state = 199},
  [4280] = {.lex_state = 199},
  [4281] = {.lex_state = 199},
  [4282] = {.lex_state = 223},
  [4283] = {.lex_state = 201},
  [4284] = {.lex_state = 199},
  [4285] = {.lex_state = 199},
  [4286] = {.lex_state = 199},
  [4287] = {.lex_state = 199},
  [4288] = {.lex_state = 199},
  [4289] = {.lex_state = 199},
  [4290] = {.lex_state = 202},
  [4291] = {.lex_state = 199},
  [4292] = {.lex_state = 233},
  [4293] = {.lex_state = 233},
  [4294] = {.lex_state = 233},
  [4295] = {.lex_state = 224},
  [4296] = {.lex_state = 233},
  [4297] = {.lex_state = 233},
  [4298] = {.lex_state = 233},
  [4299] = {.lex_state = 233},
  [4300] = {.lex_state = 201},
  [4301] = {.lex_state = 199},
  [4302] = {.lex_state = 201},
  [4303] = {.lex_state = 201},
  [4304] = {.lex_state = 201},
  [4305] = {.lex_state = 199},
  [4306] = {.lex_state = 199},
  [4307] = {.lex_state = 199},
  [4308] = {.lex_state = 199},
  [4309] = {.lex_state = 199},
  [4310] = {.lex_state = 199},
  [4311] = {.lex_state = 199},
  [4312] = {.lex_state = 233},
  [4313] = {.lex_state = 199},
  [4314] = {.lex_state = 233},
  [4315] = {.lex_state = 233},
  [4316] = {.lex_state = 233},
  [4317] = {.lex_state = 199},
  [4318] = {.lex_state = 233},
  [4319] = {.lex_state = 233},
  [4320] = {.lex_state = 233},
  [4321] = {.lex_state = 199},
  [4322] = {.lex_state = 233},
  [4323] = {.lex_state = 224},
  [4324] = {.lex_state = 224},
  [4325] = {.lex_state = 224},
  [4326] = {.lex_state = 224},
  [4327] = {.lex_state = 224},
  [4328] = {.lex_state = 220},
  [4329] = {.lex_state = 224},
  [4330] = {.lex_state = 199},
  [4331] = {.lex_state = 201},
  [4332] = {.lex_state = 201},
  [4333] = {.lex_state = 199},
  [4334] = {.lex_state = 199},
  [4335] = {.lex_state = 201},
  [4336] = {.lex_state = 201},
  [4337] = {.lex_state = 224},
  [4338] = {.lex_state = 233},
  [4339] = {.lex_state = 224},
  [4340] = {.lex_state = 233},
  [4341] = {.lex_state = 199},
  [4342] = {.lex_state = 233},
  [4343] = {.lex_state = 224},
  [4344] = {.lex_state = 201},
  [4345] = {.lex_state = 199},
  [4346] = {.lex_state = 233},
  [4347] = {.lex_state = 199},
  [4348] = {.lex_state = 199},
  [4349] = {.lex_state = 199},
  [4350] = {.lex_state = 199},
  [4351] = {.lex_state = 224},
  [4352] = {.lex_state = 199},
  [4353] = {.lex_state = 224},
  [4354] = {.lex_state = 199},
  [4355] = {.lex_state = 233},
  [4356] = {.lex_state = 199},
  [4357] = {.lex_state = 224},
  [4358] = {.lex_state = 224},
  [4359] = {.lex_state = 224},
  [4360] = {.lex_state = 199},
  [4361] = {.lex_state = 199},
  [4362] = {.lex_state = 224},
  [4363] = {.lex_state = 238},
  [4364] = {.lex_state = 199},
  [4365] = {.lex_state = 199},
  [4366] = {.lex_state = 224},
  [4367] = {.lex_state = 224},
  [4368] = {.lex_state = 233},
  [4369] = {.lex_state = 199},
  [4370] = {.lex_state = 224},
  [4371] = {.lex_state = 224},
  [4372] = {.lex_state = 199},
  [4373] = {.lex_state = 236},
  [4374] = {.lex_state = 199},
  [4375] = {.lex_state = 199},
  [4376] = {.lex_state = 234},
  [4377] = {.lex_state = 237},
  [4378] = {.lex_state = 199},
  [4379] = {.lex_state = 226},
  [4380] = {.lex_state = 199},
  [4381] = {.lex_state = 199},
  [4382] = {.lex_state = 233},
  [4383] = {.lex_state = 234},
  [4384] = {.lex_state = 199},
  [4385] = {.lex_state = 234},
  [4386] = {.lex_state = 199},
  [4387] = {.lex_state = 199},
  [4388] = {.lex_state = 233},
  [4389] = {.lex_state = 233},
  [4390] = {.lex_state = 199},
  [4391] = {.lex_state = 199},
  [4392] = {.lex_state = 199},
  [4393] = {.lex_state = 199},
  [4394] = {.lex_state = 199},
  [4395] = {.lex_state = 234},
  [4396] = {.lex_state = 199},
  [4397] = {.lex_state = 199},
  [4398] = {.lex_state = 199},
  [4399] = {.lex_state = 199},
  [4400] = {.lex_state = 199},
  [4401] = {.lex_state = 237},
  [4402] = {.lex_state = 199},
  [4403] = {.lex_state = 234},
  [4404] = {.lex_state = 233},
  [4405] = {.lex_state = 199},
  [4406] = {.lex_state = 199},
  [4407] = {.lex_state = 199},
  [4408] = {.lex_state = 199},
  [4409] = {.lex_state = 199},
  [4410] = {.lex_state = 237},
  [4411] = {.lex_state = 199},
  [4412] = {.lex_state = 199},
  [4413] = {.lex_state = 233},
  [4414] = {.lex_state = 234},
  [4415] = {.lex_state = 199},
  [4416] = {.lex_state = 199},
  [4417] = {.lex_state = 201},
  [4418] = {.lex_state = 199},
  [4419] = {.lex_state = 234},
  [4420] = {.lex_state = 199},
  [4421] = {.lex_state = 199},
  [4422] = {.lex_state = 199},
  [4423] = {.lex_state = 199},
  [4424] = {.lex_state = 234},
  [4425] = {.lex_state = 234},
  [4426] = {.lex_state = 199},
  [4427] = {.lex_state = 234},
  [4428] = {.lex_state = 199},
  [4429] = {.lex_state = 199},
  [4430] = {.lex_state = 199},
  [4431] = {.lex_state = 199},
  [4432] = {.lex_state = 199},
  [4433] = {.lex_state = 199},
  [4434] = {.lex_state = 199},
  [4435] = {.lex_state = 201},
  [4436] = {.lex_state = 237},
  [4437] = {.lex_state = 199},
  [4438] = {.lex_state = 237},
  [4439] = {.lex_state = 199},
  [4440] = {.lex_state = 199},
  [4441] = {.lex_state = 199},
  [4442] = {.lex_state = 199},
  [4443] = {.lex_state = 199},
  [4444] = {.lex_state = 199},
  [4445] = {.lex_state = 199},
  [4446] = {.lex_state = 233},
  [4447] = {.lex_state = 199},
  [4448] = {.lex_state = 199},
  [4449] = {.lex_state = 199},
  [4450] = {.lex_state = 199},
  [4451] = {.lex_state = 199},
  [4452] = {.lex_state = 237},
  [4453] = {.lex_state = 199},
  [4454] = {.lex_state = 199},
  [4455] = {.lex_state = 199},
  [4456] = {.lex_state = 234},
  [4457] = {.lex_state = 237},
  [4458] = {.lex_state = 234},
  [4459] = {.lex_state = 199},
  [4460] = {.lex_state = 199},
  [4461] = {.lex_state = 199},
  [4462] = {.lex_state = 234},
  [4463] = {.lex_state = 201},
  [4464] = {.lex_state = 199},
  [4465] = {.lex_state = 237},
  [4466] = {.lex_state = 199},
  [4467] = {.lex_state = 199},
  [4468] = {.lex_state = 199},
  [4469] = {.lex_state = 199},
  [4470] = {.lex_state = 233},
  [4471] = {.lex_state = 233},
  [4472] = {.lex_state = 199},
  [4473] = {.lex_state = 237},
  [4474] = {.lex_state = 199},
  [4475] = {.lex_state = 237},
  [4476] = {.lex_state = 238},
  [4477] = {.lex_state = 199},
  [4478] = {.lex_state = 234},
  [4479] = {.lex_state = 199},
  [4480] = {.lex_state = 199},
  [4481] = {.lex_state = 199},
  [4482] = {.lex_state = 199},
  [4483] = {.lex_state = 199},
  [4484] = {.lex_state = 200},
  [4485] = {.lex_state = 226},
  [4486] = {.lex_state = 234},
  [4487] = {.lex_state = 199},
  [4488] = {.lex_state = 199},
  [4489] = {.lex_state = 234},
  [4490] = {.lex_state = 234},
  [4491] = {.lex_state = 238},
  [4492] = {.lex_state = 199},
  [4493] = {.lex_state = 199},
  [4494] = {.lex_state = 199},
  [4495] = {.lex_state = 237},
  [4496] = {.lex_state = 199},
  [4497] = {.lex_state = 199},
  [4498] = {.lex_state = 236},
  [4499] = {.lex_state = 199},
  [4500] = {.lex_state = 237},
  [4501] = {.lex_state = 234},
  [4502] = {.lex_state = 201},
  [4503] = {.lex_state = 199},
  [4504] = {.lex_state = 199},
  [4505] = {.lex_state = 199},
  [4506] = {.lex_state = 199},
  [4507] = {.lex_state = 199},
  [4508] = {.lex_state = 199},
  [4509] = {.lex_state = 199},
  [4510] = {.lex_state = 199},
  [4511] = {.lex_state = 199},
  [4512] = {.lex_state = 199},
  [4513] = {.lex_state = 199},
  [4514] = {.lex_state = 199},
  [4515] = {.lex_state = 199},
  [4516] = {.lex_state = 237},
  [4517] = {.lex_state = 199},
  [4518] = {.lex_state = 199},
  [4519] = {.lex_state = 199},
  [4520] = {.lex_state = 199},
  [4521] = {.lex_state = 238},
  [4522] = {.lex_state = 237},
  [4523] = {.lex_state = 199},
  [4524] = {.lex_state = 234},
  [4525] = {.lex_state = 233},
  [4526] = {.lex_state = 199},
  [4527] = {.lex_state = 199},
  [4528] = {.lex_state = 237},
  [4529] = {.lex_state = 199},
  [4530] = {.lex_state = 234},
  [4531] = {.lex_state = 234},
  [4532] = {.lex_state = 201},
  [4533] = {.lex_state = 199},
  [4534] = {.lex_state = 199},
  [4535] = {.lex_state = 233},
  [4536] = {.lex_state = 199},
  [4537] = {.lex_state = 224},
  [4538] = {.lex_state = 233},
  [4539] = {.lex_state = 237},
  [4540] = {.lex_state = 224},
  [4541] = {.lex_state = 224},
  [4542] = {.lex_state = 237},
  [4543] = {.lex_state = 237},
  [4544] = {.lex_state = 237},
  [4545] = {.lex_state = 224},
  [4546] = {.lex_state = 224},
  [4547] = {.lex_state = 237},
  [4548] = {.lex_state = 237},
  [4549] = {.lex_state = 224},
  [4550] = {.lex_state = 237},
  [4551] = {.lex_state = 224},
  [4552] = {.lex_state = 237},
  [4553] = {.lex_state = 224},
  [4554] = {.lex_state = 237},
  [4555] = {.lex_state = 224},
  [4556] = {.lex_state = 224},
  [4557] = {.lex_state = 224},
  [4558] = {.lex_state = 237},
  [4559] = {.lex_state = 224},
  [4560] = {.lex_state = 237},
  [4561] = {.lex_state = 224},
  [4562] = {.lex_state = 233},
  [4563] = {.lex_state = 224},
  [4564] = {.lex_state = 234},
  [4565] = {.lex_state = 224},
  [4566] = {.lex_state = 224},
  [4567] = {.lex_state = 199},
  [4568] = {.lex_state = 237},
  [4569] = {.lex_state = 237},
  [4570] = {.lex_state = 237},
  [4571] = {.lex_state = 224},
  [4572] = {.lex_state = 237},
  [4573] = {.lex_state = 199},
  [4574] = {.lex_state = 224},
  [4575] = {.lex_state = 237},
  [4576] = {.lex_state = 199},
  [4577] = {.lex_state = 224},
  [4578] = {.lex_state = 237},
  [4579] = {.lex_state = 224},
  [4580] = {.lex_state = 237},
  [4581] = {.lex_state = 224},
  [4582] = {.lex_state = 224},
  [4583] = {.lex_state = 224},
  [4584] = {.lex_state = 224},
  [4585] = {.lex_state = 224},
  [4586] = {.lex_state = 237},
  [4587] = {.lex_state = 199},
  [4588] = {.lex_state = 237},
  [4589] = {.lex_state = 237},
  [4590] = {.lex_state = 237},
  [4591] = {.lex_state = 237},
  [4592] = {.lex_state = 224},
  [4593] = {.lex_state = 224},
  [4594] = {.lex_state = 237},
  [4595] = {.lex_state = 237},
  [4596] = {.lex_state = 237},
  [4597] = {.lex_state = 237},
  [4598] = {.lex_state = 224},
  [4599] = {.lex_state = 237},
  [4600] = {.lex_state = 237},
  [4601] = {.lex_state = 237},
  [4602] = {.lex_state = 237},
  [4603] = {.lex_state = 224},
  [4604] = {.lex_state = 237},
  [4605] = {.lex_state = 224},
  [4606] = {.lex_state = 237},
  [4607] = {.lex_state = 199},
  [4608] = {.lex_state = 224},
  [4609] = {.lex_state = 224},
  [4610] = {.lex_state = 224},
  [4611] = {.lex_state = 202},
  [4612] = {.lex_state = 237},
  [4613] = {.lex_state = 237},
  [4614] = {.lex_state = 220},
  [4615] = {.lex_state = 237},
  [4616] = {.lex_state = 224},
  [4617] = {.lex_state = 199},
  [4618] = {.lex_state = 199},
  [4619] = {.lex_state = 237},
  [4620] = {.lex_state = 237},
  [4621] = {.lex_state = 224},
  [4622] = {.lex_state = 237},
  [4623] = {.lex_state = 237},
  [4624] = {.lex_state = 237},
  [4625] = {.lex_state = 224},
  [4626] = {.lex_state = 234},
  [4627] = {.lex_state = 199},
  [4628] = {.lex_state = 237},
  [4629] = {.lex_state = 224},
  [4630] = {.lex_state = 237},
  [4631] = {.lex_state = 237},
  [4632] = {.lex_state = 224},
  [4633] = {.lex_state = 199},
  [4634] = {.lex_state = 224},
  [4635] = {.lex_state = 224},
  [4636] = {.lex_state = 220},
  [4637] = {.lex_state = 201},
  [4638] = {.lex_state = 237},
  [4639] = {.lex_state = 220},
  [4640] = {.lex_state = 233},
  [4641] = {.lex_state = 220},
  [4642] = {.lex_state = 236},
  [4643] = {.lex_state = 201},
  [4644] = {.lex_state = 236},
  [4645] = {.lex_state = 220},
  [4646] = {.lex_state = 220},
  [4647] = {.lex_state = 236},
  [4648] = {.lex_state = 237},
  [4649] = {.lex_state = 201},
  [4650] = {.lex_state = 236},
  [4651] = {.lex_state = 201},
  [4652] = {.lex_state = 237},
  [4653] = {.lex_state = 220},
  [4654] = {.lex_state = 236},
  [4655] = {.lex_state = 233},
  [4656] = {.lex_state = 237},
  [4657] = {.lex_state = 199},
  [4658] = {.lex_state = 201},
  [4659] = {.lex_state = 233},
  [4660] = {.lex_state = 201},
  [4661] = {.lex_state = 233},
  [4662] = {.lex_state = 236},
  [4663] = {.lex_state = 233},
  [4664] = {.lex_state = 199},
  [4665] = {.lex_state = 233},
  [4666] = {.lex_state = 236},
  [4667] = {.lex_state = 200},
  [4668] = {.lex_state = 236},
  [4669] = {.lex_state = 236},
  [4670] = {.lex_state = 236},
  [4671] = {.lex_state = 220},
  [4672] = {.lex_state = 220},
  [4673] = {.lex_state = 199},
  [4674] = {.lex_state = 201},
  [4675] = {.lex_state = 199},
  [4676] = {.lex_state = 233},
  [4677] = {.lex_state = 220},
  [4678] = {.lex_state = 220},
  [4679] = {.lex_state = 233},
  [4680] = {.lex_state = 233},
  [4681] = {.lex_state = 199},
  [4682] = {.lex_state = 233},
  [4683] = {.lex_state = 201},
  [4684] = {.lex_state = 233},
  [4685] = {.lex_state = 224},
  [4686] = {.lex_state = 233},
  [4687] = {.lex_state = 233},
  [4688] = {.lex_state = 234},
  [4689] = {.lex_state = 233},
  [4690] = {.lex_state = 234},
  [4691] = {.lex_state = 224},
  [4692] = {.lex_state = 233},
  [4693] = {.lex_state = 233},
  [4694] = {.lex_state = 233},
  [4695] = {.lex_state = 200},
  [4696] = {.lex_state = 233},
  [4697] = {.lex_state = 233},
  [4698] = {.lex_state = 233},
  [4699] = {.lex_state = 233},
  [4700] = {.lex_state = 233},
  [4701] = {.lex_state = 233},
  [4702] = {.lex_state = 233},
  [4703] = {.lex_state = 233},
  [4704] = {.lex_state = 237},
  [4705] = {.lex_state = 233},
  [4706] = {.lex_state = 233},
  [4707] = {.lex_state = 236},
  [4708] = {.lex_state = 237},
  [4709] = {.lex_state = 233},
  [4710] = {.lex_state = 233},
  [4711] = {.lex_state = 237},
  [4712] = {.lex_state = 233},
  [4713] = {.lex_state = 233},
  [4714] = {.lex_state = 236},
  [4715] = {.lex_state = 237},
  [4716] = {.lex_state = 233},
  [4717] = {.lex_state = 234},
  [4718] = {.lex_state = 234},
  [4719] = {.lex_state = 233},
  [4720] = {.lex_state = 234},
  [4721] = {.lex_state = 201},
  [4722] = {.lex_state = 233},
  [4723] = {.lex_state = 237},
  [4724] = {.lex_state = 237},
  [4725] = {.lex_state = 233},
  [4726] = {.lex_state = 233},
  [4727] = {.lex_state = 201},
  [4728] = {.lex_state = 234},
  [4729] = {.lex_state = 233},
  [4730] = {.lex_state = 233},
  [4731] = {.lex_state = 234},
  [4732] = {.lex_state = 201},
  [4733] = {.lex_state = 234},
  [4734] = {.lex_state = 237},
  [4735] = {.lex_state = 237},
  [4736] = {.lex_state = 234},
  [4737] = {.lex_state = 233},
  [4738] = {.lex_state = 236},
  [4739] = {.lex_state = 233},
  [4740] = {.lex_state = 234},
  [4741] = {.lex_state = 233},
  [4742] = {.lex_state = 234},
  [4743] = {.lex_state = 234},
  [4744] = {.lex_state = 233},
  [4745] = {.lex_state = 233},
  [4746] = {.lex_state = 237},
  [4747] = {.lex_state = 236},
  [4748] = {.lex_state = 233},
  [4749] = {.lex_state = 236},
  [4750] = {.lex_state = 234},
  [4751] = {.lex_state = 233},
  [4752] = {.lex_state = 237},
  [4753] = {.lex_state = 234},
  [4754] = {.lex_state = 201},
  [4755] = {.lex_state = 237},
  [4756] = {.lex_state = 234},
  [4757] = {.lex_state = 234},
  [4758] = {.lex_state = 233},
  [4759] = {.lex_state = 233},
  [4760] = {.lex_state = 233},
  [4761] = {.lex_state = 234},
  [4762] = {.lex_state = 233},
  [4763] = {.lex_state = 236},
  [4764] = {.lex_state = 236},
  [4765] = {.lex_state = 233},
  [4766] = {.lex_state = 237},
  [4767] = {.lex_state = 233},
  [4768] = {.lex_state = 233},
  [4769] = {.lex_state = 236},
  [4770] = {.lex_state = 234},
  [4771] = {.lex_state = 233},
  [4772] = {.lex_state = 233},
  [4773] = {.lex_state = 234},
  [4774] = {.lex_state = 234},
  [4775] = {.lex_state = 236},
  [4776] = {.lex_state = 236},
  [4777] = {.lex_state = 233},
  [4778] = {.lex_state = 233},
  [4779] = {.lex_state = 234},
  [4780] = {.lex_state = 233},
  [4781] = {.lex_state = 233},
  [4782] = {.lex_state = 233},
  [4783] = {.lex_state = 233},
  [4784] = {.lex_state = 233},
  [4785] = {.lex_state = 237},
  [4786] = {.lex_state = 237},
  [4787] = {.lex_state = 201},
  [4788] = {.lex_state = 233},
  [4789] = {.lex_state = 234},
  [4790] = {.lex_state = 234},
  [4791] = {.lex_state = 233},
  [4792] = {.lex_state = 233},
  [4793] = {.lex_state = 234},
  [4794] = {.lex_state = 234},
  [4795] = {.lex_state = 233},
  [4796] = {.lex_state = 191},
  [4797] = {.lex_state = 234},
  [4798] = {.lex_state = 191},
  [4799] = {.lex_state = 191},
  [4800] = {.lex_state = 191},
  [4801] = {.lex_state = 234},
  [4802] = {.lex_state = 234},
  [4803] = {.lex_state = 237},
  [4804] = {.lex_state = 237},
  [4805] = {.lex_state = 237},
  [4806] = {.lex_state = 237},
  [4807] = {.lex_state = 191},
  [4808] = {.lex_state = 234},
  [4809] = {.lex_state = 234},
  [4810] = {.lex_state = 234},
  [4811] = {.lex_state = 191},
  [4812] = {.lex_state = 199},
  [4813] = {.lex_state = 191},
  [4814] = {.lex_state = 234},
  [4815] = {.lex_state = 234},
  [4816] = {.lex_state = 234},
  [4817] = {.lex_state = 199},
  [4818] = {.lex_state = 191},
  [4819] = {.lex_state = 234},
  [4820] = {.lex_state = 234},
  [4821] = {.lex_state = 236},
  [4822] = {.lex_state = 234},
  [4823] = {.lex_state = 234},
  [4824] = {.lex_state = 234},
  [4825] = {.lex_state = 199},
  [4826] = {.lex_state = 234},
  [4827] = {.lex_state = 191},
  [4828] = {.lex_state = 191},
  [4829] = {.lex_state = 199},
  [4830] = {.lex_state = 191},
  [4831] = {.lex_state = 191},
  [4832] = {.lex_state = 191},
  [4833] = {.lex_state = 191},
  [4834] = {.lex_state = 234},
  [4835] = {.lex_state = 191},
  [4836] = {.lex_state = 234},
  [4837] = {.lex_state = 191},
  [4838] = {.lex_state = 191},
  [4839] = {.lex_state = 191},
  [4840] = {.lex_state = 191},
  [4841] = {.lex_state = 234},
  [4842] = {.lex_state = 191},
  [4843] = {.lex_state = 191},
  [4844] = {.lex_state = 191},
  [4845] = {.lex_state = 234},
  [4846] = {.lex_state = 191},
  [4847] = {.lex_state = 191},
  [4848] = {.lex_state = 234},
  [4849] = {.lex_state = 199},
  [4850] = {.lex_state = 234},
  [4851] = {.lex_state = 191},
  [4852] = {.lex_state = 234},
  [4853] = {.lex_state = 191},
  [4854] = {.lex_state = 236},
  [4855] = {.lex_state = 234},
  [4856] = {.lex_state = 191},
  [4857] = {.lex_state = 191},
  [4858] = {.lex_state = 234},
  [4859] = {.lex_state = 191},
  [4860] = {.lex_state = 199},
  [4861] = {.lex_state = 191},
  [4862] = {.lex_state = 191},
  [4863] = {.lex_state = 234},
  [4864] = {.lex_state = 191},
  [4865] = {.lex_state = 191},
  [4866] = {.lex_state = 234},
  [4867] = {.lex_state = 234},
  [4868] = {.lex_state = 191},
  [4869] = {.lex_state = 234},
  [4870] = {.lex_state = 191},
  [4871] = {.lex_state = 191},
  [4872] = {.lex_state = 191},
  [4873] = {.lex_state = 234},
  [4874] = {.lex_state = 234},
  [4875] = {.lex_state = 191},
  [4876] = {.lex_state = 234},
  [4877] = {.lex_state = 191},
  [4878] = {.lex_state = 191},
  [4879] = {.lex_state = 234},
  [4880] = {.lex_state = 234},
  [4881] = {.lex_state = 191},
  [4882] = {.lex_state = 199},
  [4883] = {.lex_state = 234},
  [4884] = {.lex_state = 234},
  [4885] = {.lex_state = 191},
  [4886] = {.lex_state = 199},
  [4887] = {.lex_state = 191},
  [4888] = {.lex_state = 236},
  [4889] = {.lex_state = 191},
  [4890] = {.lex_state = 234},
  [4891] = {.lex_state = 199},
  [4892] = {.lex_state = 234},
  [4893] = {.lex_state = 236},
  [4894] = {.lex_state = 191},
  [4895] = {.lex_state = 234},
  [4896] = {.lex_state = 191},
  [4897] = {.lex_state = 234},
  [4898] = {.lex_state = 234},
  [4899] = {.lex_state = 191},
  [4900] = {.lex_state = 234},
  [4901] = {.lex_state = 191},
  [4902] = {.lex_state = 234},
  [4903] = {.lex_state = 191},
  [4904] = {.lex_state = 234},
  [4905] = {.lex_state = 191},
  [4906] = {.lex_state = 191},
  [4907] = {.lex_state = 234},
  [4908] = {.lex_state = 234},
  [4909] = {.lex_state = 191},
  [4910] = {.lex_state = 234},
  [4911] = {.lex_state = 191},
  [4912] = {.lex_state = 191},
  [4913] = {.lex_state = 191},
  [4914] = {.lex_state = 234},
  [4915] = {.lex_state = 234},
  [4916] = {.lex_state = 234},
  [4917] = {.lex_state = 191},
  [4918] = {.lex_state = 191},
  [4919] = {.lex_state = 191},
  [4920] = {.lex_state = 191},
  [4921] = {.lex_state = 191},
  [4922] = {.lex_state = 191},
  [4923] = {.lex_state = 191},
  [4924] = {.lex_state = 191},
  [4925] = {.lex_state = 191},
  [4926] = {.lex_state = 234},
  [4927] = {.lex_state = 191},
  [4928] = {.lex_state = 191},
  [4929] = {.lex_state = 191},
  [4930] = {.lex_state = 191},
  [4931] = {.lex_state = 191},
  [4932] = {.lex_state = 191},
  [4933] = {.lex_state = 191},
  [4934] = {.lex_state = 191},
  [4935] = {.lex_state = 191},
  [4936] = {.lex_state = 191},
  [4937] = {.lex_state = 191},
  [4938] = {.lex_state = 191},
  [4939] = {.lex_state = 234},
  [4940] = {.lex_state = 191},
  [4941] = {.lex_state = 191},
  [4942] = {.lex_state = 191},
  [4943] = {.lex_state = 234},
  [4944] = {.lex_state = 191},
  [4945] = {.lex_state = 191},
  [4946] = {.lex_state = 191},
  [4947] = {.lex_state = 191},
  [4948] = {.lex_state = 191},
  [4949] = {.lex_state = 234},
  [4950] = {.lex_state = 191},
  [4951] = {.lex_state = 234},
  [4952] = {.lex_state = 191},
  [4953] = {.lex_state = 234},
  [4954] = {.lex_state = 191},
  [4955] = {.lex_state = 199},
  [4956] = {.lex_state = 191},
  [4957] = {.lex_state = 234},
  [4958] = {.lex_state = 191},
  [4959] = {.lex_state = 191},
  [4960] = {.lex_state = 191},
  [4961] = {.lex_state = 234},
  [4962] = {.lex_state = 191},
  [4963] = {.lex_state = 191},
  [4964] = {.lex_state = 234},
  [4965] = {.lex_state = 191},
  [4966] = {.lex_state = 191},
  [4967] = {.lex_state = 191},
  [4968] = {.lex_state = 191},
  [4969] = {.lex_state = 191},
  [4970] = {.lex_state = 234},
  [4971] = {.lex_state = 191},
  [4972] = {.lex_state = 191},
  [4973] = {.lex_state = 191},
  [4974] = {.lex_state = 191},
  [4975] = {.lex_state = 234},
  [4976] = {.lex_state = 191},
  [4977] = {.lex_state = 191},
  [4978] = {.lex_state = 191},
  [4979] = {.lex_state = 199},
  [4980] = {.lex_state = 191},
  [4981] = {.lex_state = 191},
  [4982] = {.lex_state = 199},
  [4983] = {.lex_state = 199},
  [4984] = {.lex_state = 236},
  [4985] = {.lex_state = 236},
  [4986] = {.lex_state = 199},
  [4987] = {.lex_state = 234},
  [4988] = {.lex_state = 191},
  [4989] = {.lex_state = 199},
  [4990] = {.lex_state = 199},
  [4991] = {.lex_state = 191},
  [4992] = {.lex_state = 236},
  [4993] = {.lex_state = 199},
  [4994] = {.lex_state = 191},
  [4995] = {.lex_state = 199},
  [4996] = {.lex_state = 236},
  [4997] = {.lex_state = 199},
  [4998] = {.lex_state = 199},
  [4999] = {.lex_state = 234},
  [5000] = {.lex_state = 191},
  [5001] = {.lex_state = 199},
  [5002] = {.lex_state = 199},
  [5003] = {.lex_state = 201},
  [5004] = {.lex_state = 191},
  [5005] = {.lex_state = 199},
  [5006] = {.lex_state = 191},
  [5007] = {.lex_state = 201},
  [5008] = {.lex_state = 191},
  [5009] = {.lex_state = 199},
  [5010] = {.lex_state = 191},
  [5011] = {.lex_state = 191},
  [5012] = {.lex_state = 199},
  [5013] = {.lex_state = 191},
  [5014] = {.lex_state = 199},
  [5015] = {.lex_state = 191},
  [5016] = {.lex_state = 191},
  [5017] = {.lex_state = 234},
  [5018] = {.lex_state = 199},
  [5019] = {.lex_state = 199},
  [5020] = {.lex_state = 199},
  [5021] = {.lex_state = 199},
  [5022] = {.lex_state = 236},
  [5023] = {.lex_state = 236},
  [5024] = {.lex_state = 199},
  [5025] = {.lex_state = 199},
  [5026] = {.lex_state = 236},
  [5027] = {.lex_state = 191},
  [5028] = {.lex_state = 191},
  [5029] = {.lex_state = 199},
  [5030] = {.lex_state = 199},
  [5031] = {.lex_state = 199},
  [5032] = {.lex_state = 199},
  [5033] = {.lex_state = 199},
  [5034] = {.lex_state = 191},
  [5035] = {.lex_state = 233},
  [5036] = {.lex_state = 237},
  [5037] = {.lex_state = 237},
  [5038] = {.lex_state = 193},
  [5039] = {.lex_state = 193},
  [5040] = {.lex_state = 193},
  [5041] = {.lex_state = 237},
  [5042] = {.lex_state = 193},
  [5043] = {.lex_state = 193},
  [5044] = {.lex_state = 193},
  [5045] = {.lex_state = 193},
  [5046] = {.lex_state = 237},
  [5047] = {.lex_state = 237},
  [5048] = {.lex_state = 193},
  [5049] = {.lex_state = 237},
  [5050] = {.lex_state = 236},
  [5051] = {.lex_state = 237},
  [5052] = {.lex_state = 236},
  [5053] = {.lex_state = 201},
  [5054] = {.lex_state = 237},
  [5055] = {.lex_state = 237},
  [5056] = {.lex_state = 236},
  [5057] = {.lex_state = 236},
  [5058] = {.lex_state = 236},
  [5059] = {.lex_state = 237},
  [5060] = {.lex_state = 237},
  [5061] = {.lex_state = 236},
  [5062] = {.lex_state = 233},
  [5063] = {.lex_state = 237},
  [5064] = {.lex_state = 236},
  [5065] = {.lex_state = 237},
  [5066] = {.lex_state = 237},
  [5067] = {.lex_state = 236},
  [5068] = {.lex_state = 236},
  [5069] = {.lex_state = 236},
  [5070] = {.lex_state = 236},
  [5071] = {.lex_state = 237},
  [5072] = {.lex_state = 237},
  [5073] = {.lex_state = 236},
  [5074] = {.lex_state = 237},
  [5075] = {.lex_state = 237},
  [5076] = {.lex_state = 191},
  [5077] = {.lex_state = 191},
  [5078] = {.lex_state = 191},
  [5079] = {.lex_state = 191},
  [5080] = {.lex_state = 191},
  [5081] = {.lex_state = 191},
  [5082] = {.lex_state = 191},
  [5083] = {.lex_state = 191},
  [5084] = {.lex_state = 234},
  [5085] = {.lex_state = 191},
  [5086] = {.lex_state = 191},
  [5087] = {.lex_state = 234},
  [5088] = {.lex_state = 191},
  [5089] = {.lex_state = 234},
  [5090] = {.lex_state = 234},
  [5091] = {.lex_state = 191},
  [5092] = {.lex_state = 237},
  [5093] = {.lex_state = 236},
  [5094] = {.lex_state = 236},
  [5095] = {.lex_state = 236},
  [5096] = {.lex_state = 245},
  [5097] = {.lex_state = 245},
  [5098] = {.lex_state = 245},
  [5099] = {.lex_state = 245},
  [5100] = {.lex_state = 236},
  [5101] = {.lex_state = 245},
  [5102] = {.lex_state = 236},
  [5103] = {.lex_state = 236},
  [5104] = {.lex_state = 245},
  [5105] = {.lex_state = 245},
  [5106] = {.lex_state = 236},
  [5107] = {.lex_state = 220},
  [5108] = {.lex_state = 201},
  [5109] = {.lex_state = 237},
  [5110] = {.lex_state = 201},
  [5111] = {.lex_state = 193},
  [5112] = {.lex_state = 237},
  [5113] = {.lex_state = 233},
  [5114] = {.lex_state = 193},
  [5115] = {.lex_state = 193},
  [5116] = {.lex_state = 193},
  [5117] = {.lex_state = 193},
  [5118] = {.lex_state = 236},
  [5119] = {.lex_state = 236},
  [5120] = {.lex_state = 193},
  [5121] = {.lex_state = 193},
  [5122] = {.lex_state = 193},
  [5123] = {.lex_state = 237},
  [5124] = {.lex_state = 237},
  [5125] = {.lex_state = 193},
  [5126] = {.lex_state = 193},
  [5127] = {.lex_state = 193},
  [5128] = {.lex_state = 193},
  [5129] = {.lex_state = 245},
  [5130] = {.lex_state = 245},
  [5131] = {.lex_state = 245},
  [5132] = {.lex_state = 245},
  [5133] = {.lex_state = 245},
  [5134] = {.lex_state = 245},
  [5135] = {.lex_state = 245},
  [5136] = {.lex_state = 245},
  [5137] = {.lex_state = 245},
  [5138] = {.lex_state = 245},
  [5139] = {.lex_state = 245},
  [5140] = {.lex_state = 245},
  [5141] = {.lex_state = 245},
  [5142] = {.lex_state = 245},
  [5143] = {.lex_state = 245},
  [5144] = {.lex_state = 245},
  [5145] = {.lex_state = 245},
  [5146] = {.lex_state = 245},
  [5147] = {.lex_state = 245},
  [5148] = {.lex_state = 237},
  [5149] = {.lex_state = 245},
  [5150] = {.lex_state = 245},
  [5151] = {.lex_state = 245},
  [5152] = {.lex_state = 245},
  [5153] = {.lex_state = 245},
  [5154] = {.lex_state = 245},
  [5155] = {.lex_state = 220},
  [5156] = {.lex_state = 245},
  [5157] = {.lex_state = 245},
  [5158] = {.lex_state = 236},
  [5159] = {.lex_state = 190},
  [5160] = {.lex_state = 245},
  [5161] = {.lex_state = 245},
  [5162] = {.lex_state = 245},
  [5163] = {.lex_state = 237},
  [5164] = {.lex_state = 245},
  [5165] = {.lex_state = 245},
  [5166] = {.lex_state = 245},
  [5167] = {.lex_state = 245},
  [5168] = {.lex_state = 245},
  [5169] = {.lex_state = 220},
  [5170] = {.lex_state = 245},
  [5171] = {.lex_state = 245},
  [5172] = {.lex_state = 245},
  [5173] = {.lex_state = 245},
  [5174] = {.lex_state = 220},
  [5175] = {.lex_state = 245},
  [5176] = {.lex_state = 245},
  [5177] = {.lex_state = 191},
  [5178] = {.lex_state = 97},
  [5179] = {.lex_state = 220},
  [5180] = {.lex_state = 191},
  [5181] = {.lex_state = 236},
  [5182] = {.lex_state = 191},
  [5183] = {.lex_state = 191},
  [5184] = {.lex_state = 236},
  [5185] = {.lex_state = 191},
  [5186] = {.lex_state = 191},
  [5187] = {.lex_state = 236},
  [5188] = {.lex_state = 191},
  [5189] = {.lex_state = 191},
  [5190] = {.lex_state = 191},
  [5191] = {.lex_state = 191},
  [5192] = {.lex_state = 191},
  [5193] = {.lex_state = 173},
  [5194] = {.lex_state = 191},
  [5195] = {.lex_state = 191},
  [5196] = {.lex_state = 191},
  [5197] = {.lex_state = 191},
  [5198] = {.lex_state = 191},
  [5199] = {.lex_state = 191},
  [5200] = {.lex_state = 191},
  [5201] = {.lex_state = 191},
  [5202] = {.lex_state = 191},
  [5203] = {.lex_state = 191},
  [5204] = {.lex_state = 191},
  [5205] = {.lex_state = 191},
  [5206] = {.lex_state = 191},
  [5207] = {.lex_state = 237},
  [5208] = {.lex_state = 191},
  [5209] = {.lex_state = 191},
  [5210] = {.lex_state = 191},
  [5211] = {.lex_state = 191},
  [5212] = {.lex_state = 191},
  [5213] = {.lex_state = 191},
  [5214] = {.lex_state = 191},
  [5215] = {.lex_state = 191},
  [5216] = {.lex_state = 191},
  [5217] = {.lex_state = 191},
  [5218] = {.lex_state = 191},
  [5219] = {.lex_state = 237},
  [5220] = {.lex_state = 191},
  [5221] = {.lex_state = 191},
  [5222] = {.lex_state = 191},
  [5223] = {.lex_state = 191},
  [5224] = {.lex_state = 191},
  [5225] = {.lex_state = 191},
  [5226] = {.lex_state = 191},
  [5227] = {.lex_state = 191},
  [5228] = {.lex_state = 220},
  [5229] = {.lex_state = 191},
  [5230] = {.lex_state = 190},
  [5231] = {.lex_state = 236},
  [5232] = {.lex_state = 173},
  [5233] = {.lex_state = 236},
  [5234] = {.lex_state = 191},
  [5235] = {.lex_state = 236},
  [5236] = {.lex_state = 191},
  [5237] = {.lex_state = 191},
  [5238] = {.lex_state = 191},
  [5239] = {.lex_state = 191},
  [5240] = {.lex_state = 191},
  [5241] = {.lex_state = 191},
  [5242] = {.lex_state = 191},
  [5243] = {.lex_state = 190},
  [5244] = {.lex_state = 191},
  [5245] = {.lex_state = 191},
  [5246] = {.lex_state = 191},
  [5247] = {.lex_state = 191},
  [5248] = {.lex_state = 191},
  [5249] = {.lex_state = 191},
  [5250] = {.lex_state = 173},
  [5251] = {.lex_state = 191},
  [5252] = {.lex_state = 191},
  [5253] = {.lex_state = 191},
  [5254] = {.lex_state = 191},
  [5255] = {.lex_state = 191},
  [5256] = {.lex_state = 191},
  [5257] = {.lex_state = 191},
  [5258] = {.lex_state = 191},
  [5259] = {.lex_state = 191},
  [5260] = {.lex_state = 191},
  [5261] = {.lex_state = 191},
  [5262] = {.lex_state = 191},
  [5263] = {.lex_state = 191},
  [5264] = {.lex_state = 191},
  [5265] = {.lex_state = 191},
  [5266] = {.lex_state = 191},
  [5267] = {.lex_state = 191},
  [5268] = {.lex_state = 191},
  [5269] = {.lex_state = 191},
  [5270] = {.lex_state = 191},
  [5271] = {.lex_state = 191},
  [5272] = {.lex_state = 191},
  [5273] = {.lex_state = 191},
  [5274] = {.lex_state = 191},
  [5275] = {.lex_state = 191},
  [5276] = {.lex_state = 190},
  [5277] = {.lex_state = 191},
  [5278] = {.lex_state = 236},
  [5279] = {.lex_state = 191},
  [5280] = {.lex_state = 191},
  [5281] = {.lex_state = 191},
  [5282] = {.lex_state = 191},
  [5283] = {.lex_state = 191},
  [5284] = {.lex_state = 191},
  [5285] = {.lex_state = 173},
  [5286] = {.lex_state = 237},
  [5287] = {.lex_state = 173},
  [5288] = {.lex_state = 173},
  [5289] = {.lex_state = 173},
  [5290] = {.lex_state = 237},
  [5291] = {.lex_state = 173},
  [5292] = {.lex_state = 237},
  [5293] = {.lex_state = 173},
  [5294] = {.lex_state = 220},
  [5295] = {.lex_state = 173},
  [5296] = {.lex_state = 237},
  [5297] = {.lex_state = 173},
  [5298] = {.lex_state = 173},
  [5299] = {.lex_state = 173},
  [5300] = {.lex_state = 236},
  [5301] = {.lex_state = 173},
  [5302] = {.lex_state = 173},
  [5303] = {.lex_state = 173},
  [5304] = {.lex_state = 173},
  [5305] = {.lex_state = 220},
  [5306] = {.lex_state = 173},
  [5307] = {.lex_state = 236},
  [5308] = {.lex_state = 173},
  [5309] = {.lex_state = 237},
  [5310] = {.lex_state = 237},
  [5311] = {.lex_state = 173},
  [5312] = {.lex_state = 190},
  [5313] = {.lex_state = 237},
  [5314] = {.lex_state = 190},
  [5315] = {.lex_state = 237},
  [5316] = {.lex_state = 234},
  [5317] = {.lex_state = 237},
  [5318] = {.lex_state = 237},
  [5319] = {.lex_state = 173},
  [5320] = {.lex_state = 237},
  [5321] = {.lex_state = 236},
  [5322] = {.lex_state = 234},
  [5323] = {.lex_state = 173},
  [5324] = {.lex_state = 173},
  [5325] = {.lex_state = 237},
  [5326] = {.lex_state = 234},
  [5327] = {.lex_state = 236},
  [5328] = {.lex_state = 237},
  [5329] = {.lex_state = 220},
  [5330] = {.lex_state = 173},
  [5331] = {.lex_state = 237},
  [5332] = {.lex_state = 234},
  [5333] = {.lex_state = 173},
  [5334] = {.lex_state = 190},
  [5335] = {.lex_state = 190},
  [5336] = {.lex_state = 190},
  [5337] = {.lex_state = 234},
  [5338] = {.lex_state = 190},
  [5339] = {.lex_state = 190},
  [5340] = {.lex_state = 190},
  [5341] = {.lex_state = 190},
  [5342] = {.lex_state = 234},
  [5343] = {.lex_state = 173},
  [5344] = {.lex_state = 234},
  [5345] = {.lex_state = 190},
  [5346] = {.lex_state = 236},
  [5347] = {.lex_state = 190},
  [5348] = {.lex_state = 190},
  [5349] = {.lex_state = 190},
  [5350] = {.lex_state = 190},
  [5351] = {.lex_state = 173},
  [5352] = {.lex_state = 237},
  [5353] = {.lex_state = 236},
  [5354] = {.lex_state = 236},
  [5355] = {.lex_state = 220},
  [5356] = {.lex_state = 236},
  [5357] = {.lex_state = 237},
  [5358] = {.lex_state = 236},
  [5359] = {.lex_state = 173},
  [5360] = {.lex_state = 237},
  [5361] = {.lex_state = 173},
  [5362] = {.lex_state = 173},
  [5363] = {.lex_state = 236},
  [5364] = {.lex_state = 237},
  [5365] = {.lex_state = 220},
  [5366] = {.lex_state = 236},
  [5367] = {.lex_state = 237},
  [5368] = {.lex_state = 237},
  [5369] = {.lex_state = 220},
  [5370] = {.lex_state = 237},
  [5371] = {.lex_state = 236},
  [5372] = {.lex_state = 173},
  [5373] = {.lex_state = 234},
  [5374] = {.lex_state = 237},
  [5375] = {.lex_state = 234},
  [5376] = {.lex_state = 190},
  [5377] = {.lex_state = 234},
  [5378] = {.lex_state = 237},
  [5379] = {.lex_state = 237},
  [5380] = {.lex_state = 237},
  [5381] = {.lex_state = 237},
  [5382] = {.lex_state = 190},
  [5383] = {.lex_state = 220},
  [5384] = {.lex_state = 237},
  [5385] = {.lex_state = 237},
  [5386] = {.lex_state = 237},
  [5387] = {.lex_state = 173},
  [5388] = {.lex_state = 236},
  [5389] = {.lex_state = 237},
  [5390] = {.lex_state = 237},
  [5391] = {.lex_state = 236},
  [5392] = {.lex_state = 236},
  [5393] = {.lex_state = 220},
  [5394] = {.lex_state = 236},
  [5395] = {.lex_state = 236},
  [5396] = {.lex_state = 237},
  [5397] = {.lex_state = 236},
  [5398] = {.lex_state = 237},
  [5399] = {.lex_state = 234},
  [5400] = {.lex_state = 234},
  [5401] = {.lex_state = 237},
  [5402] = {.lex_state = 220},
  [5403] = {.lex_state = 236},
  [5404] = {.lex_state = 234},
  [5405] = {.lex_state = 173},
  [5406] = {.lex_state = 220},
  [5407] = {.lex_state = 237},
  [5408] = {.lex_state = 236},
  [5409] = {.lex_state = 237},
  [5410] = {.lex_state = 173},
  [5411] = {.lex_state = 190},
  [5412] = {.lex_state = 234},
  [5413] = {.lex_state = 220},
  [5414] = {.lex_state = 236},
  [5415] = {.lex_state = 173},
  [5416] = {.lex_state = 237},
  [5417] = {.lex_state = 237},
  [5418] = {.lex_state = 199},
  [5419] = {.lex_state = 173},
  [5420] = {.lex_state = 237},
  [5421] = {.lex_state = 237},
  [5422] = {.lex_state = 220},
  [5423] = {.lex_state = 237},
  [5424] = {.lex_state = 237},
  [5425] = {.lex_state = 234},
  [5426] = {.lex_state = 237},
  [5427] = {.lex_state = 236},
  [5428] = {.lex_state = 220},
  [5429] = {.lex_state = 190},
  [5430] = {.lex_state = 173},
  [5431] = {.lex_state = 173},
  [5432] = {.lex_state = 173},
  [5433] = {.lex_state = 173},
  [5434] = {.lex_state = 173},
  [5435] = {.lex_state = 220},
  [5436] = {.lex_state = 190},
  [5437] = {.lex_state = 220},
  [5438] = {.lex_state = 234},
  [5439] = {.lex_state = 220},
  [5440] = {.lex_state = 173},
  [5441] = {.lex_state = 220},
  [5442] = {.lex_state = 237},
  [5443] = {.lex_state = 234},
  [5444] = {.lex_state = 234},
  [5445] = {.lex_state = 190},
  [5446] = {.lex_state = 236},
  [5447] = {.lex_state = 237},
  [5448] = {.lex_state = 237},
  [5449] = {.lex_state = 237},
  [5450] = {.lex_state = 97},
  [5451] = {.lex_state = 233},
  [5452] = {.lex_state = 234},
  [5453] = {.lex_state = 97},
  [5454] = {.lex_state = 234},
  [5455] = {.lex_state = 234},
  [5456] = {.lex_state = 220},
  [5457] = {.lex_state = 237},
  [5458] = {.lex_state = 237},
  [5459] = {.lex_state = 237},
  [5460] = {.lex_state = 97},
  [5461] = {.lex_state = 234},
  [5462] = {.lex_state = 97},
  [5463] = {.lex_state = 237},
  [5464] = {.lex_state = 220},
  [5465] = {.lex_state = 97},
  [5466] = {.lex_state = 97},
  [5467] = {.lex_state = 97},
  [5468] = {.lex_state = 97},
  [5469] = {.lex_state = 97},
  [5470] = {.lex_state = 220},
  [5471] = {.lex_state = 97},
  [5472] = {.lex_state = 234},
  [5473] = {.lex_state = 220},
  [5474] = {.lex_state = 97},
  [5475] = {.lex_state = 234},
  [5476] = {.lex_state = 97},
  [5477] = {.lex_state = 234},
  [5478] = {.lex_state = 97},
  [5479] = {.lex_state = 97},
  [5480] = {.lex_state = 190},
  [5481] = {.lex_state = 97},
  [5482] = {.lex_state = 97},
  [5483] = {.lex_state = 237},
  [5484] = {.lex_state = 97},
  [5485] = {.lex_state = 237},
  [5486] = {.lex_state = 97},
  [5487] = {.lex_state = 234},
  [5488] = {.lex_state = 220},
  [5489] = {.lex_state = 97},
  [5490] = {.lex_state = 97},
  [5491] = {.lex_state = 97},
  [5492] = {.lex_state = 234},
  [5493] = {.lex_state = 97},
  [5494] = {.lex_state = 97},
  [5495] = {.lex_state = 97},
  [5496] = {.lex_state = 237},
  [5497] = {.lex_state = 97},
  [5498] = {.lex_state = 237},
  [5499] = {.lex_state = 97},
  [5500] = {.lex_state = 234},
  [5501] = {.lex_state = 97},
  [5502] = {.lex_state = 220},
  [5503] = {.lex_state = 97},
  [5504] = {.lex_state = 97},
  [5505] = {.lex_state = 97},
  [5506] = {.lex_state = 234},
  [5507] = {.lex_state = 237},
  [5508] = {.lex_state = 237},
  [5509] = {.lex_state = 97},
  [5510] = {.lex_state = 190},
  [5511] = {.lex_state = 237},
  [5512] = {.lex_state = 97},
  [5513] = {.lex_state = 97},
  [5514] = {.lex_state = 234},
  [5515] = {.lex_state = 236},
  [5516] = {.lex_state = 237},
  [5517] = {.lex_state = 233},
  [5518] = {.lex_state = 237},
  [5519] = {.lex_state = 237},
  [5520] = {.lex_state = 237},
  [5521] = {.lex_state = 237},
  [5522] = {.lex_state = 236},
  [5523] = {.lex_state = 236},
  [5524] = {.lex_state = 237},
  [5525] = {.lex_state = 233},
  [5526] = {.lex_state = 237},
  [5527] = {.lex_state = 191},
  [5528] = {.lex_state = 237},
  [5529] = {.lex_state = 237},
  [5530] = {.lex_state = 237},
  [5531] = {.lex_state = 233},
  [5532] = {.lex_state = 237},
  [5533] = {.lex_state = 236},
  [5534] = {.lex_state = 233},
  [5535] = {.lex_state = 191},
  [5536] = {.lex_state = 237},
  [5537] = {.lex_state = 237},
  [5538] = {.lex_state = 237},
  [5539] = {.lex_state = 191},
  [5540] = {.lex_state = 236},
  [5541] = {.lex_state = 237},
  [5542] = {.lex_state = 236},
  [5543] = {.lex_state = 237},
  [5544] = {.lex_state = 237},
  [5545] = {.lex_state = 237},
  [5546] = {.lex_state = 237},
  [5547] = {.lex_state = 237},
  [5548] = {.lex_state = 233},
  [5549] = {.lex_state = 233},
  [5550] = {.lex_state = 191},
  [5551] = {.lex_state = 233},
  [5552] = {.lex_state = 233},
  [5553] = {.lex_state = 237},
  [5554] = {.lex_state = 237},
  [5555] = {.lex_state = 199},
  [5556] = {.lex_state = 237},
  [5557] = {.lex_state = 199},
  [5558] = {.lex_state = 199},
  [5559] = {.lex_state = 244},
  [5560] = {.lex_state = 171},
  [5561] = {.lex_state = 236},
  [5562] = {.lex_state = 229},
  [5563] = {.lex_state = 237},
  [5564] = {.lex_state = 171},
  [5565] = {.lex_state = 201},
  [5566] = {.lex_state = 229},
  [5567] = {.lex_state = 229},
  [5568] = {.lex_state = 237},
  [5569] = {.lex_state = 171},
  [5570] = {.lex_state = 199},
  [5571] = {.lex_state = 237},
  [5572] = {.lex_state = 236},
  [5573] = {.lex_state = 237},
  [5574] = {.lex_state = 233},
  [5575] = {.lex_state = 233},
  [5576] = {.lex_state = 237},
  [5577] = {.lex_state = 236},
  [5578] = {.lex_state = 236},
  [5579] = {.lex_state = 233},
  [5580] = {.lex_state = 171},
  [5581] = {.lex_state = 236},
  [5582] = {.lex_state = 220},
  [5583] = {.lex_state = 199},
  [5584] = {.lex_state = 236},
  [5585] = {.lex_state = 237},
  [5586] = {.lex_state = 220},
  [5587] = {.lex_state = 236},
  [5588] = {.lex_state = 171},
  [5589] = {.lex_state = 236},
  [5590] = {.lex_state = 229},
  [5591] = {.lex_state = 171},
  [5592] = {.lex_state = 236},
  [5593] = {.lex_state = 171},
  [5594] = {.lex_state = 237},
  [5595] = {.lex_state = 237},
  [5596] = {.lex_state = 220},
  [5597] = {.lex_state = 199},
  [5598] = {.lex_state = 220},
  [5599] = {.lex_state = 171},
  [5600] = {.lex_state = 171},
  [5601] = {.lex_state = 199},
  [5602] = {.lex_state = 236},
  [5603] = {.lex_state = 236},
  [5604] = {.lex_state = 199},
  [5605] = {.lex_state = 237},
  [5606] = {.lex_state = 199},
  [5607] = {.lex_state = 199},
  [5608] = {.lex_state = 171},
  [5609] = {.lex_state = 237},
  [5610] = {.lex_state = 234},
  [5611] = {.lex_state = 234},
  [5612] = {.lex_state = 233},
  [5613] = {.lex_state = 234},
  [5614] = {.lex_state = 234},
  [5615] = {.lex_state = 234},
  [5616] = {.lex_state = 234},
  [5617] = {.lex_state = 233},
  [5618] = {.lex_state = 233},
  [5619] = {.lex_state = 171},
  [5620] = {.lex_state = 237},
  [5621] = {.lex_state = 233},
  [5622] = {.lex_state = 171},
  [5623] = {.lex_state = 234},
  [5624] = {.lex_state = 237},
  [5625] = {.lex_state = 237},
  [5626] = {.lex_state = 191},
  [5627] = {.lex_state = 233},
  [5628] = {.lex_state = 237},
  [5629] = {.lex_state = 233},
  [5630] = {.lex_state = 233},
  [5631] = {.lex_state = 234},
  [5632] = {.lex_state = 238},
  [5633] = {.lex_state = 234},
  [5634] = {.lex_state = 237},
  [5635] = {.lex_state = 237},
  [5636] = {.lex_state = 237},
  [5637] = {.lex_state = 191},
  [5638] = {.lex_state = 237},
  [5639] = {.lex_state = 237},
  [5640] = {.lex_state = 191},
  [5641] = {.lex_state = 233},
  [5642] = {.lex_state = 191},
  [5643] = {.lex_state = 234},
  [5644] = {.lex_state = 233},
  [5645] = {.lex_state = 236},
  [5646] = {.lex_state = 238},
  [5647] = {.lex_state = 234},
  [5648] = {.lex_state = 234},
  [5649] = {.lex_state = 233},
  [5650] = {.lex_state = 234},
  [5651] = {.lex_state = 233},
  [5652] = {.lex_state = 233},
  [5653] = {.lex_state = 233},
  [5654] = {.lex_state = 234},
  [5655] = {.lex_state = 233},
  [5656] = {.lex_state = 191},
  [5657] = {.lex_state = 233},
  [5658] = {.lex_state = 233},
  [5659] = {.lex_state = 233},
  [5660] = {.lex_state = 236},
  [5661] = {.lex_state = 191},
  [5662] = {.lex_state = 233},
  [5663] = {.lex_state = 233},
  [5664] = {.lex_state = 233},
  [5665] = {.lex_state = 191},
  [5666] = {.lex_state = 233},
  [5667] = {.lex_state = 234},
  [5668] = {.lex_state = 191},
  [5669] = {.lex_state = 236},
  [5670] = {.lex_state = 233},
  [5671] = {.lex_state = 236},
  [5672] = {.lex_state = 234},
  [5673] = {.lex_state = 191},
  [5674] = {.lex_state = 234},
  [5675] = {.lex_state = 236},
  [5676] = {.lex_state = 236},
  [5677] = {.lex_state = 236},
  [5678] = {.lex_state = 236},
  [5679] = {.lex_state = 236},
  [5680] = {.lex_state = 236},
  [5681] = {.lex_state = 236},
  [5682] = {.lex_state = 233},
  [5683] = {.lex_state = 233},
  [5684] = {.lex_state = 233},
  [5685] = {.lex_state = 191},
  [5686] = {.lex_state = 236},
  [5687] = {.lex_state = 233},
  [5688] = {.lex_state = 237},
  [5689] = {.lex_state = 233},
  [5690] = {.lex_state = 236},
  [5691] = {.lex_state = 234},
  [5692] = {.lex_state = 233},
  [5693] = {.lex_state = 236},
  [5694] = {.lex_state = 233},
  [5695] = {.lex_state = 171},
  [5696] = {.lex_state = 183},
  [5697] = {.lex_state = 171},
  [5698] = {.lex_state = 236},
  [5699] = {.lex_state = 183},
  [5700] = {.lex_state = 236},
  [5701] = {.lex_state = 237},
  [5702] = {.lex_state = 183},
  [5703] = {.lex_state = 191},
  [5704] = {.lex_state = 183},
  [5705] = {.lex_state = 191},
  [5706] = {.lex_state = 183},
  [5707] = {.lex_state = 183},
  [5708] = {.lex_state = 191},
  [5709] = {.lex_state = 183},
  [5710] = {.lex_state = 171},
  [5711] = {.lex_state = 191},
  [5712] = {.lex_state = 237},
  [5713] = {.lex_state = 171},
  [5714] = {.lex_state = 183},
  [5715] = {.lex_state = 237},
  [5716] = {.lex_state = 183},
  [5717] = {.lex_state = 171},
  [5718] = {.lex_state = 183},
  [5719] = {.lex_state = 237},
  [5720] = {.lex_state = 183},
  [5721] = {.lex_state = 191},
  [5722] = {.lex_state = 236},
  [5723] = {.lex_state = 191},
  [5724] = {.lex_state = 183},
  [5725] = {.lex_state = 192},
  [5726] = {.lex_state = 236},
  [5727] = {.lex_state = 236},
  [5728] = {.lex_state = 176},
  [5729] = {.lex_state = 171},
  [5730] = {.lex_state = 183},
  [5731] = {.lex_state = 192},
  [5732] = {.lex_state = 183},
  [5733] = {.lex_state = 171},
  [5734] = {.lex_state = 183},
  [5735] = {.lex_state = 171},
  [5736] = {.lex_state = 236},
  [5737] = {.lex_state = 183},
  [5738] = {.lex_state = 192},
  [5739] = {.lex_state = 192},
  [5740] = {.lex_state = 237},
  [5741] = {.lex_state = 183},
  [5742] = {.lex_state = 183},
  [5743] = {.lex_state = 236},
  [5744] = {.lex_state = 237},
  [5745] = {.lex_state = 237},
  [5746] = {.lex_state = 171},
  [5747] = {.lex_state = 237},
  [5748] = {.lex_state = 183},
  [5749] = {.lex_state = 192},
  [5750] = {.lex_state = 237},
  [5751] = {.lex_state = 236},
  [5752] = {.lex_state = 237},
  [5753] = {.lex_state = 191},
  [5754] = {.lex_state = 192},
  [5755] = {.lex_state = 237},
  [5756] = {.lex_state = 237},
  [5757] = {.lex_state = 183},
  [5758] = {.lex_state = 191},
  [5759] = {.lex_state = 237},
  [5760] = {.lex_state = 192},
  [5761] = {.lex_state = 171},
  [5762] = {.lex_state = 192},
  [5763] = {.lex_state = 183},
  [5764] = {.lex_state = 183},
  [5765] = {.lex_state = 237},
  [5766] = {.lex_state = 191},
  [5767] = {.lex_state = 200},
  [5768] = {.lex_state = 237},
  [5769] = {.lex_state = 237},
  [5770] = {.lex_state = 237},
  [5771] = {.lex_state = 191},
  [5772] = {.lex_state = 194},
  [5773] = {.lex_state = 237},
  [5774] = {.lex_state = 238},
  [5775] = {.lex_state = 229},
  [5776] = {.lex_state = 237},
  [5777] = {.lex_state = 191},
  [5778] = {.lex_state = 191},
  [5779] = {.lex_state = 237},
  [5780] = {.lex_state = 194},
  [5781] = {.lex_state = 191},
  [5782] = {.lex_state = 238},
  [5783] = {.lex_state = 238},
  [5784] = {.lex_state = 237},
  [5785] = {.lex_state = 191},
  [5786] = {.lex_state = 237},
  [5787] = {.lex_state = 191},
  [5788] = {.lex_state = 194},
  [5789] = {.lex_state = 194},
  [5790] = {.lex_state = 238},
  [5791] = {.lex_state = 238},
  [5792] = {.lex_state = 238},
  [5793] = {.lex_state = 191},
  [5794] = {.lex_state = 194},
  [5795] = {.lex_state = 191},
  [5796] = {.lex_state = 237},
  [5797] = {.lex_state = 237},
  [5798] = {.lex_state = 237},
  [5799] = {.lex_state = 237},
  [5800] = {.lex_state = 194},
  [5801] = {.lex_state = 238},
  [5802] = {.lex_state = 229},
  [5803] = {.lex_state = 229},
  [5804] = {.lex_state = 191},
  [5805] = {.lex_state = 238},
  [5806] = {.lex_state = 237},
  [5807] = {.lex_state = 194},
  [5808] = {.lex_state = 191},
  [5809] = {.lex_state = 194},
  [5810] = {.lex_state = 238},
  [5811] = {.lex_state = 229},
  [5812] = {.lex_state = 237},
  [5813] = {.lex_state = 237},
  [5814] = {.lex_state = 238},
  [5815] = {.lex_state = 191},
  [5816] = {.lex_state = 237},
  [5817] = {.lex_state = 194},
  [5818] = {.lex_state = 194},
  [5819] = {.lex_state = 238},
  [5820] = {.lex_state = 233},
  [5821] = {.lex_state = 238},
  [5822] = {.lex_state = 237},
  [5823] = {.lex_state = 191},
  [5824] = {.lex_state = 237},
  [5825] = {.lex_state = 194},
  [5826] = {.lex_state = 191},
  [5827] = {.lex_state = 237},
  [5828] = {.lex_state = 238},
  [5829] = {.lex_state = 233},
  [5830] = {.lex_state = 233},
  [5831] = {.lex_state = 191},
  [5832] = {.lex_state = 237},
  [5833] = {.lex_state = 211},
  [5834] = {.lex_state = 191},
  [5835] = {.lex_state = 191},
  [5836] = {.lex_state = 191},
  [5837] = {.lex_state = 233},
  [5838] = {.lex_state = 191},
  [5839] = {.lex_state = 237},
  [5840] = {.lex_state = 237},
  [5841] = {.lex_state = 237},
  [5842] = {.lex_state = 237},
  [5843] = {.lex_state = 191},
  [5844] = {.lex_state = 237},
  [5845] = {.lex_state = 191},
  [5846] = {.lex_state = 238},
  [5847] = {.lex_state = 191},
  [5848] = {.lex_state = 238},
  [5849] = {.lex_state = 194},
  [5850] = {.lex_state = 191},
  [5851] = {.lex_state = 237},
  [5852] = {.lex_state = 237},
  [5853] = {.lex_state = 237},
  [5854] = {.lex_state = 191},
  [5855] = {.lex_state = 191},
  [5856] = {.lex_state = 237},
  [5857] = {.lex_state = 237},
  [5858] = {.lex_state = 191},
  [5859] = {.lex_state = 191},
  [5860] = {.lex_state = 238},
  [5861] = {.lex_state = 237},
  [5862] = {.lex_state = 191},
  [5863] = {.lex_state = 237},
  [5864] = {.lex_state = 237},
  [5865] = {.lex_state = 191},
  [5866] = {.lex_state = 237},
  [5867] = {.lex_state = 211},
  [5868] = {.lex_state = 237},
  [5869] = {.lex_state = 211},
  [5870] = {.lex_state = 233},
  [5871] = {.lex_state = 191},
  [5872] = {.lex_state = 238},
  [5873] = {.lex_state = 237},
  [5874] = {.lex_state = 237},
  [5875] = {.lex_state = 191},
  [5876] = {.lex_state = 237},
  [5877] = {.lex_state = 237},
  [5878] = {.lex_state = 237},
  [5879] = {.lex_state = 233},
  [5880] = {.lex_state = 237},
  [5881] = {.lex_state = 237},
  [5882] = {.lex_state = 237},
  [5883] = {.lex_state = 237},
  [5884] = {.lex_state = 191},
  [5885] = {.lex_state = 211},
  [5886] = {.lex_state = 211},
  [5887] = {.lex_state = 237},
  [5888] = {.lex_state = 238},
  [5889] = {.lex_state = 191},
  [5890] = {.lex_state = 211},
  [5891] = {.lex_state = 237},
  [5892] = {.lex_state = 237},
  [5893] = {.lex_state = 211},
  [5894] = {.lex_state = 238},
  [5895] = {.lex_state = 237},
  [5896] = {.lex_state = 233},
  [5897] = {.lex_state = 237},
  [5898] = {.lex_state = 237},
  [5899] = {.lex_state = 238},
  [5900] = {.lex_state = 237},
  [5901] = {.lex_state = 237},
  [5902] = {.lex_state = 191},
  [5903] = {.lex_state = 191},
  [5904] = {.lex_state = 238},
  [5905] = {.lex_state = 237},
  [5906] = {.lex_state = 211},
  [5907] = {.lex_state = 233},
  [5908] = {.lex_state = 189},
  [5909] = {.lex_state = 236},
  [5910] = {.lex_state = 237},
  [5911] = {.lex_state = 189},
  [5912] = {.lex_state = 189},
  [5913] = {.lex_state = 237},
  [5914] = {.lex_state = 191},
  [5915] = {.lex_state = 191},
  [5916] = {.lex_state = 237},
  [5917] = {.lex_state = 237},
  [5918] = {.lex_state = 193},
  [5919] = {.lex_state = 237},
  [5920] = {.lex_state = 189},
  [5921] = {.lex_state = 237},
  [5922] = {.lex_state = 193},
  [5923] = {.lex_state = 237},
  [5924] = {.lex_state = 189},
  [5925] = {.lex_state = 171},
  [5926] = {.lex_state = 171},
  [5927] = {.lex_state = 189},
  [5928] = {.lex_state = 189},
  [5929] = {.lex_state = 189},
  [5930] = {.lex_state = 189},
  [5931] = {.lex_state = 237},
  [5932] = {.lex_state = 237},
  [5933] = {.lex_state = 237},
  [5934] = {.lex_state = 191},
  [5935] = {.lex_state = 189},
  [5936] = {.lex_state = 189},
  [5937] = {.lex_state = 189},
  [5938] = {.lex_state = 237},
  [5939] = {.lex_state = 236},
  [5940] = {.lex_state = 189},
  [5941] = {.lex_state = 189},
  [5942] = {.lex_state = 189},
  [5943] = {.lex_state = 236},
  [5944] = {.lex_state = 237},
  [5945] = {.lex_state = 236},
  [5946] = {.lex_state = 236},
  [5947] = {.lex_state = 236},
  [5948] = {.lex_state = 236},
  [5949] = {.lex_state = 193},
  [5950] = {.lex_state = 236},
  [5951] = {.lex_state = 191},
  [5952] = {.lex_state = 237},
  [5953] = {.lex_state = 193},
  [5954] = {.lex_state = 191},
  [5955] = {.lex_state = 237},
  [5956] = {.lex_state = 189},
  [5957] = {.lex_state = 189},
  [5958] = {.lex_state = 191},
  [5959] = {.lex_state = 237},
  [5960] = {.lex_state = 191},
  [5961] = {.lex_state = 193},
  [5962] = {.lex_state = 189},
  [5963] = {.lex_state = 237},
  [5964] = {.lex_state = 193},
  [5965] = {.lex_state = 193},
  [5966] = {.lex_state = 189},
  [5967] = {.lex_state = 237},
  [5968] = {.lex_state = 237},
  [5969] = {.lex_state = 171},
  [5970] = {.lex_state = 193},
  [5971] = {.lex_state = 189},
  [5972] = {.lex_state = 191},
  [5973] = {.lex_state = 211},
  [5974] = {.lex_state = 191},
  [5975] = {.lex_state = 191},
  [5976] = {.lex_state = 191},
  [5977] = {.lex_state = 194},
  [5978] = {.lex_state = 0},
  [5979] = {.lex_state = 191},
  [5980] = {.lex_state = 191},
  [5981] = {.lex_state = 191},
  [5982] = {.lex_state = 191},
  [5983] = {.lex_state = 211},
  [5984] = {.lex_state = 191},
  [5985] = {.lex_state = 191},
  [5986] = {.lex_state = 332},
  [5987] = {.lex_state = 191},
  [5988] = {.lex_state = 191},
  [5989] = {.lex_state = 191},
  [5990] = {.lex_state = 332},
  [5991] = {.lex_state = 191},
  [5992] = {.lex_state = 191},
  [5993] = {.lex_state = 191},
  [5994] = {.lex_state = 191},
  [5995] = {.lex_state = 191},
  [5996] = {.lex_state = 211},
  [5997] = {.lex_state = 194},
  [5998] = {.lex_state = 211},
  [5999] = {.lex_state = 211},
  [6000] = {.lex_state = 194},
  [6001] = {.lex_state = 211},
  [6002] = {.lex_state = 191},
  [6003] = {.lex_state = 191},
  [6004] = {.lex_state = 211},
  [6005] = {.lex_state = 211},
  [6006] = {.lex_state = 191},
  [6007] = {.lex_state = 332},
  [6008] = {.lex_state = 194},
  [6009] = {.lex_state = 194},
  [6010] = {.lex_state = 211},
  [6011] = {.lex_state = 194},
  [6012] = {.lex_state = 191},
  [6013] = {.lex_state = 211},
  [6014] = {.lex_state = 194},
  [6015] = {.lex_state = 191},
  [6016] = {.lex_state = 191},
  [6017] = {.lex_state = 332},
  [6018] = {.lex_state = 332},
  [6019] = {.lex_state = 191},
  [6020] = {.lex_state = 191},
  [6021] = {.lex_state = 237},
  [6022] = {.lex_state = 191},
  [6023] = {.lex_state = 211},
  [6024] = {.lex_state = 199},
  [6025] = {.lex_state = 191},
  [6026] = {.lex_state = 191},
  [6027] = {.lex_state = 237},
  [6028] = {.lex_state = 191},
  [6029] = {.lex_state = 194},
  [6030] = {.lex_state = 237},
  [6031] = {.lex_state = 191},
  [6032] = {.lex_state = 191},
  [6033] = {.lex_state = 211},
  [6034] = {.lex_state = 191},
  [6035] = {.lex_state = 237},
  [6036] = {.lex_state = 191},
  [6037] = {.lex_state = 191},
  [6038] = {.lex_state = 193},
  [6039] = {.lex_state = 191},
  [6040] = {.lex_state = 191},
  [6041] = {.lex_state = 237},
  [6042] = {.lex_state = 191},
  [6043] = {.lex_state = 191},
  [6044] = {.lex_state = 237},
  [6045] = {.lex_state = 192},
  [6046] = {.lex_state = 193},
  [6047] = {.lex_state = 191},
  [6048] = {.lex_state = 193},
  [6049] = {.lex_state = 191},
  [6050] = {.lex_state = 191},
  [6051] = {.lex_state = 193},
  [6052] = {.lex_state = 191},
  [6053] = {.lex_state = 189},
  [6054] = {.lex_state = 191},
  [6055] = {.lex_state = 193},
  [6056] = {.lex_state = 233},
  [6057] = {.lex_state = 233},
  [6058] = {.lex_state = 191},
  [6059] = {.lex_state = 191},
  [6060] = {.lex_state = 191},
  [6061] = {.lex_state = 191},
  [6062] = {.lex_state = 191},
  [6063] = {.lex_state = 191},
  [6064] = {.lex_state = 191},
  [6065] = {.lex_state = 191},
  [6066] = {.lex_state = 191},
  [6067] = {.lex_state = 191},
  [6068] = {.lex_state = 191},
  [6069] = {.lex_state = 191},
  [6070] = {.lex_state = 191},
  [6071] = {.lex_state = 191},
  [6072] = {.lex_state = 191},
  [6073] = {.lex_state = 233},
  [6074] = {.lex_state = 237},
  [6075] = {.lex_state = 191},
  [6076] = {.lex_state = 237},
  [6077] = {.lex_state = 191},
  [6078] = {.lex_state = 191},
  [6079] = {.lex_state = 191},
  [6080] = {.lex_state = 191},
  [6081] = {.lex_state = 191},
  [6082] = {.lex_state = 191},
  [6083] = {.lex_state = 191},
  [6084] = {.lex_state = 192},
  [6085] = {.lex_state = 193},
  [6086] = {.lex_state = 193},
  [6087] = {.lex_state = 192},
  [6088] = {.lex_state = 191},
  [6089] = {.lex_state = 191},
  [6090] = {.lex_state = 192},
  [6091] = {.lex_state = 191},
  [6092] = {.lex_state = 191},
  [6093] = {.lex_state = 192},
  [6094] = {.lex_state = 191},
  [6095] = {.lex_state = 237},
  [6096] = {.lex_state = 193},
  [6097] = {.lex_state = 191},
  [6098] = {.lex_state = 191},
  [6099] = {.lex_state = 237},
  [6100] = {.lex_state = 237},
  [6101] = {.lex_state = 193},
  [6102] = {.lex_state = 191},
  [6103] = {.lex_state = 193},
  [6104] = {.lex_state = 191},
  [6105] = {.lex_state = 191},
  [6106] = {.lex_state = 191},
  [6107] = {.lex_state = 191},
  [6108] = {.lex_state = 233},
  [6109] = {.lex_state = 193},
  [6110] = {.lex_state = 237},
  [6111] = {.lex_state = 193},
  [6112] = {.lex_state = 191},
  [6113] = {.lex_state = 237},
  [6114] = {.lex_state = 192},
  [6115] = {.lex_state = 191},
  [6116] = {.lex_state = 192},
  [6117] = {.lex_state = 192},
  [6118] = {.lex_state = 191},
  [6119] = {.lex_state = 191},
  [6120] = {.lex_state = 191},
  [6121] = {.lex_state = 220},
  [6122] = {.lex_state = 211},
  [6123] = {.lex_state = 191},
  [6124] = {.lex_state = 220},
  [6125] = {.lex_state = 237},
  [6126] = {.lex_state = 237},
  [6127] = {.lex_state = 237},
  [6128] = {.lex_state = 220},
  [6129] = {.lex_state = 332},
  [6130] = {.lex_state = 220},
  [6131] = {.lex_state = 220},
  [6132] = {.lex_state = 237},
  [6133] = {.lex_state = 237},
  [6134] = {.lex_state = 176},
  [6135] = {.lex_state = 237},
  [6136] = {.lex_state = 237},
  [6137] = {.lex_state = 220},
  [6138] = {.lex_state = 191},
  [6139] = {.lex_state = 220},
  [6140] = {.lex_state = 220},
  [6141] = {.lex_state = 191},
  [6142] = {.lex_state = 191},
  [6143] = {.lex_state = 176},
  [6144] = {.lex_state = 211},
  [6145] = {.lex_state = 211},
  [6146] = {.lex_state = 191},
  [6147] = {.lex_state = 220},
  [6148] = {.lex_state = 211},
  [6149] = {.lex_state = 220},
  [6150] = {.lex_state = 332},
  [6151] = {.lex_state = 191},
  [6152] = {.lex_state = 220},
  [6153] = {.lex_state = 220},
  [6154] = {.lex_state = 220},
  [6155] = {.lex_state = 211},
  [6156] = {.lex_state = 211},
  [6157] = {.lex_state = 332},
  [6158] = {.lex_state = 211},
  [6159] = {.lex_state = 211},
  [6160] = {.lex_state = 191},
  [6161] = {.lex_state = 199},
  [6162] = {.lex_state = 191},
  [6163] = {.lex_state = 191},
  [6164] = {.lex_state = 193},
  [6165] = {.lex_state = 191},
  [6166] = {.lex_state = 191},
  [6167] = {.lex_state = 191},
  [6168] = {.lex_state = 191},
  [6169] = {.lex_state = 191},
  [6170] = {.lex_state = 191},
  [6171] = {.lex_state = 171},
  [6172] = {.lex_state = 191},
  [6173] = {.lex_state = 191},
  [6174] = {.lex_state = 191},
  [6175] = {.lex_state = 332},
  [6176] = {.lex_state = 191},
  [6177] = {.lex_state = 191},
  [6178] = {.lex_state = 191},
  [6179] = {.lex_state = 191},
  [6180] = {.lex_state = 191},
  [6181] = {.lex_state = 230},
  [6182] = {.lex_state = 191},
  [6183] = {.lex_state = 193},
  [6184] = {.lex_state = 191},
  [6185] = {.lex_state = 191},
  [6186] = {.lex_state = 193},
  [6187] = {.lex_state = 191},
  [6188] = {.lex_state = 191},
  [6189] = {.lex_state = 332},
  [6190] = {.lex_state = 193},
  [6191] = {.lex_state = 193},
  [6192] = {.lex_state = 191},
  [6193] = {.lex_state = 230},
  [6194] = {.lex_state = 191},
  [6195] = {.lex_state = 191},
  [6196] = {.lex_state = 191},
  [6197] = {.lex_state = 230},
  [6198] = {.lex_state = 193},
  [6199] = {.lex_state = 191},
  [6200] = {.lex_state = 193},
  [6201] = {.lex_state = 230},
  [6202] = {.lex_state = 191},
  [6203] = {.lex_state = 191},
  [6204] = {.lex_state = 191},
  [6205] = {.lex_state = 191},
  [6206] = {.lex_state = 191},
  [6207] = {.lex_state = 191},
  [6208] = {.lex_state = 191},
  [6209] = {.lex_state = 191},
  [6210] = {.lex_state = 191},
  [6211] = {.lex_state = 191},
  [6212] = {.lex_state = 193},
  [6213] = {.lex_state = 199},
  [6214] = {.lex_state = 191},
  [6215] = {.lex_state = 193},
  [6216] = {.lex_state = 193},
  [6217] = {.lex_state = 194},
  [6218] = {.lex_state = 171},
  [6219] = {.lex_state = 193},
  [6220] = {.lex_state = 193},
  [6221] = {.lex_state = 332},
  [6222] = {.lex_state = 332},
  [6223] = {.lex_state = 194},
  [6224] = {.lex_state = 194},
  [6225] = {.lex_state = 194},
  [6226] = {.lex_state = 194},
  [6227] = {.lex_state = 332},
  [6228] = {.lex_state = 236},
  [6229] = {.lex_state = 332},
  [6230] = {.lex_state = 239},
  [6231] = {.lex_state = 332},
  [6232] = {.lex_state = 332},
  [6233] = {.lex_state = 194},
  [6234] = {.lex_state = 194},
  [6235] = {.lex_state = 194},
  [6236] = {.lex_state = 332},
  [6237] = {.lex_state = 193},
  [6238] = {.lex_state = 332},
  [6239] = {.lex_state = 332},
  [6240] = {.lex_state = 332},
  [6241] = {.lex_state = 191},
  [6242] = {.lex_state = 332},
  [6243] = {.lex_state = 332},
  [6244] = {.lex_state = 332},
  [6245] = {.lex_state = 193},
  [6246] = {.lex_state = 332},
  [6247] = {.lex_state = 332},
  [6248] = {.lex_state = 233},
  [6249] = {.lex_state = 236},
  [6250] = {.lex_state = 220},
  [6251] = {.lex_state = 332},
  [6252] = {.lex_state = 220},
  [6253] = {.lex_state = 332},
  [6254] = {.lex_state = 171},
  [6255] = {.lex_state = 233},
  [6256] = {.lex_state = 332},
  [6257] = {.lex_state = 332},
  [6258] = {.lex_state = 332},
  [6259] = {.lex_state = 332},
  [6260] = {.lex_state = 332},
  [6261] = {.lex_state = 332},
  [6262] = {.lex_state = 332},
  [6263] = {.lex_state = 171},
  [6264] = {.lex_state = 193},
  [6265] = {.lex_state = 332},
  [6266] = {.lex_state = 171},
  [6267] = {.lex_state = 171},
  [6268] = {.lex_state = 171},
  [6269] = {.lex_state = 332},
  [6270] = {.lex_state = 171},
  [6271] = {.lex_state = 171},
  [6272] = {.lex_state = 171},
  [6273] = {.lex_state = 171},
  [6274] = {.lex_state = 191},
  [6275] = {.lex_state = 171},
  [6276] = {.lex_state = 191},
  [6277] = {.lex_state = 171},
  [6278] = {.lex_state = 171},
  [6279] = {.lex_state = 199},
  [6280] = {.lex_state = 171},
  [6281] = {.lex_state = 332},
  [6282] = {.lex_state = 199},
  [6283] = {.lex_state = 236},
  [6284] = {.lex_state = 191},
  [6285] = {.lex_state = 193},
  [6286] = {.lex_state = 171},
  [6287] = {.lex_state = 171},
  [6288] = {.lex_state = 171},
  [6289] = {.lex_state = 171},
  [6290] = {.lex_state = 332},
  [6291] = {.lex_state = 199},
  [6292] = {.lex_state = 171},
  [6293] = {.lex_state = 191},
  [6294] = {.lex_state = 193},
  [6295] = {.lex_state = 191},
  [6296] = {.lex_state = 193},
  [6297] = {.lex_state = 171},
  [6298] = {.lex_state = 332},
  [6299] = {.lex_state = 191},
  [6300] = {.lex_state = 332},
  [6301] = {.lex_state = 193},
  [6302] = {.lex_state = 332},
  [6303] = {.lex_state = 171},
  [6304] = {.lex_state = 332},
  [6305] = {.lex_state = 191},
  [6306] = {.lex_state = 171},
  [6307] = {.lex_state = 191},
  [6308] = {.lex_state = 171},
  [6309] = {.lex_state = 332},
  [6310] = {.lex_state = 191},
  [6311] = {.lex_state = 171},
  [6312] = {.lex_state = 171},
  [6313] = {.lex_state = 332},
  [6314] = {.lex_state = 191},
  [6315] = {.lex_state = 191},
  [6316] = {.lex_state = 233},
  [6317] = {.lex_state = 233},
  [6318] = {.lex_state = 189},
  [6319] = {.lex_state = 189},
  [6320] = {.lex_state = 191},
  [6321] = {.lex_state = 191},
  [6322] = {.lex_state = 171},
  [6323] = {.lex_state = 233},
  [6324] = {.lex_state = 191},
  [6325] = {.lex_state = 233},
  [6326] = {.lex_state = 191},
  [6327] = {.lex_state = 191},
  [6328] = {.lex_state = 233},
  [6329] = {.lex_state = 191},
  [6330] = {.lex_state = 189},
  [6331] = {.lex_state = 191},
  [6332] = {.lex_state = 332},
  [6333] = {.lex_state = 189},
  [6334] = {.lex_state = 233},
  [6335] = {.lex_state = 0},
  [6336] = {.lex_state = 191},
  [6337] = {.lex_state = 191},
  [6338] = {.lex_state = 233},
  [6339] = {.lex_state = 191},
  [6340] = {.lex_state = 191},
  [6341] = {.lex_state = 332},
  [6342] = {.lex_state = 191},
  [6343] = {.lex_state = 233},
  [6344] = {.lex_state = 233},
  [6345] = {.lex_state = 191},
  [6346] = {.lex_state = 191},
  [6347] = {.lex_state = 193},
  [6348] = {.lex_state = 189},
  [6349] = {.lex_state = 332},
  [6350] = {.lex_state = 189},
  [6351] = {.lex_state = 189},
  [6352] = {.lex_state = 189},
  [6353] = {.lex_state = 189},
  [6354] = {.lex_state = 233},
  [6355] = {.lex_state = 233},
  [6356] = {.lex_state = 332},
  [6357] = {.lex_state = 189},
  [6358] = {.lex_state = 191},
  [6359] = {.lex_state = 233},
  [6360] = {.lex_state = 332},
  [6361] = {.lex_state = 233},
  [6362] = {.lex_state = 171},
  [6363] = {.lex_state = 189},
  [6364] = {.lex_state = 233},
  [6365] = {.lex_state = 191},
  [6366] = {.lex_state = 0},
  [6367] = {.lex_state = 191},
  [6368] = {.lex_state = 191},
  [6369] = {.lex_state = 171},
  [6370] = {.lex_state = 191},
  [6371] = {.lex_state = 200},
  [6372] = {.lex_state = 191},
  [6373] = {.lex_state = 191},
  [6374] = {.lex_state = 171},
  [6375] = {.lex_state = 191},
  [6376] = {.lex_state = 191},
  [6377] = {.lex_state = 191},
  [6378] = {.lex_state = 191},
  [6379] = {.lex_state = 332},
  [6380] = {.lex_state = 191},
  [6381] = {.lex_state = 191},
  [6382] = {.lex_state = 191},
  [6383] = {.lex_state = 191},
  [6384] = {.lex_state = 191},
  [6385] = {.lex_state = 191},
  [6386] = {.lex_state = 191},
  [6387] = {.lex_state = 191},
  [6388] = {.lex_state = 191},
  [6389] = {.lex_state = 171},
  [6390] = {.lex_state = 191},
  [6391] = {.lex_state = 191},
  [6392] = {.lex_state = 332},
  [6393] = {.lex_state = 200},
  [6394] = {.lex_state = 191},
  [6395] = {.lex_state = 191},
  [6396] = {.lex_state = 191},
  [6397] = {.lex_state = 233},
  [6398] = {.lex_state = 200},
  [6399] = {.lex_state = 200},
  [6400] = {.lex_state = 191},
  [6401] = {.lex_state = 200},
  [6402] = {.lex_state = 191},
  [6403] = {.lex_state = 200},
  [6404] = {.lex_state = 200},
  [6405] = {.lex_state = 200},
  [6406] = {.lex_state = 191},
  [6407] = {.lex_state = 332},
  [6408] = {.lex_state = 191},
  [6409] = {.lex_state = 171},
  [6410] = {.lex_state = 171},
  [6411] = {.lex_state = 191},
  [6412] = {.lex_state = 191},
  [6413] = {.lex_state = 191},
  [6414] = {.lex_state = 191},
  [6415] = {.lex_state = 191},
  [6416] = {.lex_state = 191},
  [6417] = {.lex_state = 191},
  [6418] = {.lex_state = 191},
  [6419] = {.lex_state = 211},
  [6420] = {.lex_state = 171},
  [6421] = {.lex_state = 211},
  [6422] = {.lex_state = 191},
  [6423] = {.lex_state = 191},
  [6424] = {.lex_state = 191},
  [6425] = {.lex_state = 332},
  [6426] = {.lex_state = 200},
  [6427] = {.lex_state = 191},
  [6428] = {.lex_state = 171},
  [6429] = {.lex_state = 171},
  [6430] = {.lex_state = 191},
  [6431] = {.lex_state = 0},
  [6432] = {.lex_state = 233},
  [6433] = {.lex_state = 191},
  [6434] = {.lex_state = 191},
  [6435] = {.lex_state = 191},
  [6436] = {.lex_state = 332},
  [6437] = {.lex_state = 106},
  [6438] = {.lex_state = 106},
  [6439] = {.lex_state = 200},
  [6440] = {.lex_state = 106},
  [6441] = {.lex_state = 106},
  [6442] = {.lex_state = 0},
  [6443] = {.lex_state = 200},
  [6444] = {.lex_state = 106},
  [6445] = {.lex_state = 200},
  [6446] = {.lex_state = 106},
  [6447] = {.lex_state = 200},
  [6448] = {.lex_state = 0},
  [6449] = {.lex_state = 191},
  [6450] = {.lex_state = 332},
  [6451] = {.lex_state = 332},
  [6452] = {.lex_state = 106},
  [6453] = {.lex_state = 233},
  [6454] = {.lex_state = 191},
  [6455] = {.lex_state = 106},
  [6456] = {.lex_state = 108},
  [6457] = {.lex_state = 106},
  [6458] = {.lex_state = 0},
  [6459] = {.lex_state = 332},
  [6460] = {.lex_state = 171},
  [6461] = {.lex_state = 191},
  [6462] = {.lex_state = 191},
  [6463] = {.lex_state = 332},
  [6464] = {.lex_state = 191},
  [6465] = {.lex_state = 113},
  [6466] = {.lex_state = 0},
  [6467] = {.lex_state = 332},
  [6468] = {.lex_state = 171},
  [6469] = {.lex_state = 106},
  [6470] = {.lex_state = 106},
  [6471] = {.lex_state = 0},
  [6472] = {.lex_state = 106},
  [6473] = {.lex_state = 113},
  [6474] = {.lex_state = 191},
  [6475] = {.lex_state = 233},
  [6476] = {.lex_state = 0},
  [6477] = {.lex_state = 106},
  [6478] = {.lex_state = 332},
  [6479] = {.lex_state = 332},
  [6480] = {.lex_state = 0},
  [6481] = {.lex_state = 191},
  [6482] = {.lex_state = 332},
  [6483] = {.lex_state = 106},
  [6484] = {.lex_state = 200},
  [6485] = {.lex_state = 0},
  [6486] = {.lex_state = 200},
  [6487] = {.lex_state = 0},
  [6488] = {.lex_state = 332},
  [6489] = {.lex_state = 332},
  [6490] = {.lex_state = 233},
  [6491] = {.lex_state = 106},
  [6492] = {.lex_state = 106},
  [6493] = {.lex_state = 106},
  [6494] = {.lex_state = 106},
  [6495] = {.lex_state = 211},
  [6496] = {.lex_state = 191},
  [6497] = {.lex_state = 332},
  [6498] = {.lex_state = 108},
  [6499] = {.lex_state = 233},
  [6500] = {.lex_state = 171},
  [6501] = {.lex_state = 332},
  [6502] = {.lex_state = 200},
  [6503] = {.lex_state = 191},
  [6504] = {.lex_state = 0},
  [6505] = {.lex_state = 200},
  [6506] = {.lex_state = 106},
  [6507] = {.lex_state = 332},
  [6508] = {.lex_state = 113},
  [6509] = {.lex_state = 171},
  [6510] = {.lex_state = 106},
  [6511] = {.lex_state = 108},
  [6512] = {.lex_state = 191},
  [6513] = {.lex_state = 0},
  [6514] = {.lex_state = 171},
  [6515] = {.lex_state = 233},
  [6516] = {.lex_state = 191},
  [6517] = {.lex_state = 200},
  [6518] = {.lex_state = 200},
  [6519] = {.lex_state = 113},
  [6520] = {.lex_state = 106},
  [6521] = {.lex_state = 191},
  [6522] = {.lex_state = 200},
  [6523] = {.lex_state = 106},
  [6524] = {.lex_state = 113},
  [6525] = {.lex_state = 113},
  [6526] = {.lex_state = 332},
  [6527] = {.lex_state = 200},
  [6528] = {.lex_state = 200},
  [6529] = {.lex_state = 332},
  [6530] = {.lex_state = 332},
  [6531] = {.lex_state = 191},
  [6532] = {.lex_state = 191},
  [6533] = {.lex_state = 191},
  [6534] = {.lex_state = 332},
  [6535] = {.lex_state = 171},
  [6536] = {.lex_state = 171},
  [6537] = {.lex_state = 106},
  [6538] = {.lex_state = 233},
  [6539] = {.lex_state = 113},
  [6540] = {.lex_state = 332},
  [6541] = {.lex_state = 191},
  [6542] = {.lex_state = 191},
  [6543] = {.lex_state = 108},
  [6544] = {.lex_state = 332},
  [6545] = {.lex_state = 191},
  [6546] = {.lex_state = 171},
  [6547] = {.lex_state = 332},
  [6548] = {.lex_state = 233},
  [6549] = {.lex_state = 332},
  [6550] = {.lex_state = 191},
  [6551] = {.lex_state = 171},
  [6552] = {.lex_state = 200},
  [6553] = {.lex_state = 171},
  [6554] = {.lex_state = 191},
  [6555] = {.lex_state = 200},
  [6556] = {.lex_state = 200},
  [6557] = {.lex_state = 200},
  [6558] = {.lex_state = 191},
  [6559] = {.lex_state = 332},
  [6560] = {.lex_state = 191},
  [6561] = {.lex_state = 191},
  [6562] = {.lex_state = 0},
  [6563] = {.lex_state = 0},
  [6564] = {.lex_state = 0},
  [6565] = {.lex_state = 106},
  [6566] = {.lex_state = 106},
  [6567] = {.lex_state = 332},
  [6568] = {.lex_state = 332},
  [6569] = {.lex_state = 332},
  [6570] = {.lex_state = 332},
  [6571] = {.lex_state = 191},
  [6572] = {.lex_state = 200},
  [6573] = {.lex_state = 171},
  [6574] = {.lex_state = 332},
  [6575] = {.lex_state = 233},
  [6576] = {.lex_state = 200},
  [6577] = {.lex_state = 200},
  [6578] = {.lex_state = 171},
  [6579] = {.lex_state = 106},
  [6580] = {.lex_state = 113},
  [6581] = {.lex_state = 200},
  [6582] = {.lex_state = 191},
  [6583] = {.lex_state = 171},
  [6584] = {.lex_state = 171},
  [6585] = {.lex_state = 332},
  [6586] = {.lex_state = 200},
  [6587] = {.lex_state = 113},
  [6588] = {.lex_state = 191},
  [6589] = {.lex_state = 191},
  [6590] = {.lex_state = 106},
  [6591] = {.lex_state = 106},
  [6592] = {.lex_state = 0},
  [6593] = {.lex_state = 113},
  [6594] = {.lex_state = 106},
  [6595] = {.lex_state = 171},
  [6596] = {.lex_state = 191},
  [6597] = {.lex_state = 191},
  [6598] = {.lex_state = 332},
  [6599] = {.lex_state = 171},
  [6600] = {.lex_state = 191},
  [6601] = {.lex_state = 171},
  [6602] = {.lex_state = 332},
  [6603] = {.lex_state = 332},
  [6604] = {.lex_state = 191},
  [6605] = {.lex_state = 332},
  [6606] = {.lex_state = 332},
  [6607] = {.lex_state = 191},
  [6608] = {.lex_state = 0},
  [6609] = {.lex_state = 171},
  [6610] = {.lex_state = 171},
  [6611] = {.lex_state = 200},
  [6612] = {.lex_state = 191},
  [6613] = {.lex_state = 200},
  [6614] = {.lex_state = 191},
  [6615] = {.lex_state = 0},
  [6616] = {.lex_state = 332},
  [6617] = {.lex_state = 200},
  [6618] = {.lex_state = 0},
  [6619] = {.lex_state = 200},
  [6620] = {.lex_state = 332},
  [6621] = {.lex_state = 106},
  [6622] = {.lex_state = 191},
  [6623] = {.lex_state = 191},
  [6624] = {.lex_state = 171},
  [6625] = {.lex_state = 200},
  [6626] = {.lex_state = 332},
  [6627] = {.lex_state = 200},
  [6628] = {.lex_state = 332},
  [6629] = {.lex_state = 332},
  [6630] = {.lex_state = 108},
  [6631] = {.lex_state = 191},
  [6632] = {.lex_state = 200},
  [6633] = {.lex_state = 200},
  [6634] = {.lex_state = 200},
  [6635] = {.lex_state = 106},
  [6636] = {.lex_state = 113},
  [6637] = {.lex_state = 113},
  [6638] = {.lex_state = 200},
  [6639] = {.lex_state = 191},
  [6640] = {.lex_state = 106},
  [6641] = {.lex_state = 171},
  [6642] = {.lex_state = 106},
  [6643] = {.lex_state = 106},
  [6644] = {.lex_state = 332},
  [6645] = {.lex_state = 332},
  [6646] = {.lex_state = 200},
  [6647] = {.lex_state = 171},
  [6648] = {.lex_state = 332},
  [6649] = {.lex_state = 332},
  [6650] = {.lex_state = 233},
  [6651] = {.lex_state = 191},
  [6652] = {.lex_state = 200},
  [6653] = {.lex_state = 106},
  [6654] = {.lex_state = 0},
  [6655] = {.lex_state = 171},
  [6656] = {.lex_state = 191},
  [6657] = {.lex_state = 332},
  [6658] = {.lex_state = 171},
  [6659] = {.lex_state = 171},
  [6660] = {.lex_state = 106},
  [6661] = {.lex_state = 200},
  [6662] = {.lex_state = 191},
  [6663] = {.lex_state = 113},
  [6664] = {.lex_state = 106},
  [6665] = {.lex_state = 191},
  [6666] = {.lex_state = 171},
  [6667] = {.lex_state = 200},
  [6668] = {.lex_state = 191},
  [6669] = {.lex_state = 191},
  [6670] = {.lex_state = 332},
  [6671] = {.lex_state = 332},
  [6672] = {.lex_state = 171},
  [6673] = {.lex_state = 191},
  [6674] = {.lex_state = 171},
  [6675] = {.lex_state = 108},
  [6676] = {.lex_state = 171},
  [6677] = {.lex_state = 200},
  [6678] = {.lex_state = 191},
  [6679] = {.lex_state = 200},
  [6680] = {.lex_state = 108},
  [6681] = {.lex_state = 0},
  [6682] = {.lex_state = 106},
  [6683] = {.lex_state = 332},
  [6684] = {.lex_state = 106},
  [6685] = {.lex_state = 200},
  [6686] = {.lex_state = 200},
  [6687] = {.lex_state = 0},
  [6688] = {.lex_state = 332},
  [6689] = {.lex_state = 0},
  [6690] = {.lex_state = 200},
  [6691] = {.lex_state = 0},
  [6692] = {.lex_state = 191},
  [6693] = {.lex_state = 332},
  [6694] = {.lex_state = 0},
  [6695] = {.lex_state = 200},
  [6696] = {.lex_state = 110},
  [6697] = {.lex_state = 191},
  [6698] = {.lex_state = 0},
  [6699] = {.lex_state = 0},
  [6700] = {.lex_state = 0},
  [6701] = {.lex_state = 0},
  [6702] = {.lex_state = 200},
  [6703] = {.lex_state = 0},
  [6704] = {.lex_state = 200},
  [6705] = {.lex_state = 110},
  [6706] = {.lex_state = 191},
  [6707] = {.lex_state = 0},
  [6708] = {.lex_state = 0},
  [6709] = {.lex_state = 332},
  [6710] = {.lex_state = 200},
  [6711] = {.lex_state = 191},
  [6712] = {.lex_state = 0},
  [6713] = {.lex_state = 0},
  [6714] = {.lex_state = 0},
  [6715] = {.lex_state = 200},
  [6716] = {.lex_state = 200},
  [6717] = {.lex_state = 0},
  [6718] = {.lex_state = 0},
  [6719] = {.lex_state = 0},
  [6720] = {.lex_state = 191},
  [6721] = {.lex_state = 332},
  [6722] = {.lex_state = 200},
  [6723] = {.lex_state = 200},
  [6724] = {.lex_state = 171},
  [6725] = {.lex_state = 0},
  [6726] = {.lex_state = 113},
  [6727] = {.lex_state = 0},
  [6728] = {.lex_state = 191},
  [6729] = {.lex_state = 0},
  [6730] = {.lex_state = 113},
  [6731] = {.lex_state = 191},
  [6732] = {.lex_state = 0},
  [6733] = {.lex_state = 0},
  [6734] = {.lex_state = 191},
  [6735] = {.lex_state = 332},
  [6736] = {.lex_state = 191},
  [6737] = {.lex_state = 0},
  [6738] = {.lex_state = 0},
  [6739] = {.lex_state = 0},
  [6740] = {.lex_state = 0},
  [6741] = {.lex_state = 0},
  [6742] = {.lex_state = 0},
  [6743] = {.lex_state = 0},
  [6744] = {.lex_state = 0},
  [6745] = {.lex_state = 0},
  [6746] = {.lex_state = 0},
  [6747] = {.lex_state = 200},
  [6748] = {.lex_state = 0},
  [6749] = {.lex_state = 0},
  [6750] = {.lex_state = 0},
  [6751] = {.lex_state = 0},
  [6752] = {.lex_state = 200},
  [6753] = {.lex_state = 0},
  [6754] = {.lex_state = 0},
  [6755] = {.lex_state = 0},
  [6756] = {.lex_state = 0},
  [6757] = {.lex_state = 332},
  [6758] = {.lex_state = 191},
  [6759] = {.lex_state = 0},
  [6760] = {.lex_state = 0},
  [6761] = {.lex_state = 191},
  [6762] = {.lex_state = 0},
  [6763] = {.lex_state = 200},
  [6764] = {.lex_state = 191},
  [6765] = {.lex_state = 0},
  [6766] = {.lex_state = 0},
  [6767] = {.lex_state = 191},
  [6768] = {.lex_state = 200},
  [6769] = {.lex_state = 0},
  [6770] = {.lex_state = 200},
  [6771] = {.lex_state = 200},
  [6772] = {.lex_state = 0},
  [6773] = {.lex_state = 0},
  [6774] = {.lex_state = 113},
  [6775] = {.lex_state = 200},
  [6776] = {.lex_state = 0},
  [6777] = {.lex_state = 200},
  [6778] = {.lex_state = 200},
  [6779] = {.lex_state = 200},
  [6780] = {.lex_state = 332},
  [6781] = {.lex_state = 0},
  [6782] = {.lex_state = 211},
  [6783] = {.lex_state = 191},
  [6784] = {.lex_state = 0},
  [6785] = {.lex_state = 0},
  [6786] = {.lex_state = 0},
  [6787] = {.lex_state = 0},
  [6788] = {.lex_state = 191},
  [6789] = {.lex_state = 0},
  [6790] = {.lex_state = 0},
  [6791] = {.lex_state = 0},
  [6792] = {.lex_state = 0},
  [6793] = {.lex_state = 200},
  [6794] = {.lex_state = 200},
  [6795] = {.lex_state = 0},
  [6796] = {.lex_state = 200},
  [6797] = {.lex_state = 0},
  [6798] = {.lex_state = 0},
  [6799] = {.lex_state = 0},
  [6800] = {.lex_state = 191},
  [6801] = {.lex_state = 0},
  [6802] = {.lex_state = 0},
  [6803] = {.lex_state = 200},
  [6804] = {.lex_state = 0},
  [6805] = {.lex_state = 191},
  [6806] = {.lex_state = 200},
  [6807] = {.lex_state = 0},
  [6808] = {.lex_state = 332},
  [6809] = {.lex_state = 191},
  [6810] = {.lex_state = 0},
  [6811] = {.lex_state = 191},
  [6812] = {.lex_state = 200},
  [6813] = {.lex_state = 0},
  [6814] = {.lex_state = 0},
  [6815] = {.lex_state = 191},
  [6816] = {.lex_state = 0},
  [6817] = {.lex_state = 0},
  [6818] = {.lex_state = 0},
  [6819] = {.lex_state = 0},
  [6820] = {.lex_state = 0},
  [6821] = {.lex_state = 0},
  [6822] = {.lex_state = 0},
  [6823] = {.lex_state = 0},
  [6824] = {.lex_state = 0},
  [6825] = {.lex_state = 0},
  [6826] = {.lex_state = 191},
  [6827] = {.lex_state = 200},
  [6828] = {.lex_state = 191},
  [6829] = {.lex_state = 0},
  [6830] = {.lex_state = 200},
  [6831] = {.lex_state = 191},
  [6832] = {.lex_state = 191},
  [6833] = {.lex_state = 332},
  [6834] = {.lex_state = 0},
  [6835] = {.lex_state = 0},
  [6836] = {.lex_state = 0},
  [6837] = {.lex_state = 0},
  [6838] = {.lex_state = 332},
  [6839] = {.lex_state = 171},
  [6840] = {.lex_state = 191},
  [6841] = {.lex_state = 0},
  [6842] = {.lex_state = 0},
  [6843] = {.lex_state = 200},
  [6844] = {.lex_state = 191},
  [6845] = {.lex_state = 191},
  [6846] = {.lex_state = 0},
  [6847] = {.lex_state = 332},
  [6848] = {.lex_state = 200},
  [6849] = {.lex_state = 0},
  [6850] = {.lex_state = 0},
  [6851] = {.lex_state = 0},
  [6852] = {.lex_state = 332},
  [6853] = {.lex_state = 0},
  [6854] = {.lex_state = 0},
  [6855] = {.lex_state = 332},
  [6856] = {.lex_state = 0},
  [6857] = {.lex_state = 0},
  [6858] = {.lex_state = 0},
  [6859] = {.lex_state = 200},
  [6860] = {.lex_state = 0},
  [6861] = {.lex_state = 191},
  [6862] = {.lex_state = 200},
  [6863] = {.lex_state = 0},
  [6864] = {.lex_state = 0},
  [6865] = {.lex_state = 0},
  [6866] = {.lex_state = 0},
  [6867] = {.lex_state = 0},
  [6868] = {.lex_state = 191},
  [6869] = {.lex_state = 191},
  [6870] = {.lex_state = 332},
  [6871] = {.lex_state = 0},
  [6872] = {.lex_state = 113},
  [6873] = {.lex_state = 0},
  [6874] = {.lex_state = 0},
  [6875] = {.lex_state = 0},
  [6876] = {.lex_state = 0},
  [6877] = {.lex_state = 0},
  [6878] = {.lex_state = 0},
  [6879] = {.lex_state = 0},
  [6880] = {.lex_state = 0},
  [6881] = {.lex_state = 0},
  [6882] = {.lex_state = 113},
  [6883] = {.lex_state = 0},
  [6884] = {.lex_state = 110},
  [6885] = {.lex_state = 332},
  [6886] = {.lex_state = 0},
  [6887] = {.lex_state = 191},
  [6888] = {.lex_state = 113},
  [6889] = {.lex_state = 171},
  [6890] = {.lex_state = 0},
  [6891] = {.lex_state = 0},
  [6892] = {.lex_state = 0},
  [6893] = {.lex_state = 191},
  [6894] = {.lex_state = 0},
  [6895] = {.lex_state = 0},
  [6896] = {.lex_state = 0},
  [6897] = {.lex_state = 0},
  [6898] = {.lex_state = 0},
  [6899] = {.lex_state = 0},
  [6900] = {.lex_state = 0},
  [6901] = {.lex_state = 0},
  [6902] = {.lex_state = 0},
  [6903] = {.lex_state = 0},
  [6904] = {.lex_state = 0},
  [6905] = {.lex_state = 0},
  [6906] = {.lex_state = 113},
  [6907] = {.lex_state = 0},
  [6908] = {.lex_state = 0},
  [6909] = {.lex_state = 0},
  [6910] = {.lex_state = 0},
  [6911] = {.lex_state = 0},
  [6912] = {.lex_state = 0},
  [6913] = {.lex_state = 0},
  [6914] = {.lex_state = 332},
  [6915] = {.lex_state = 191},
  [6916] = {.lex_state = 191},
  [6917] = {.lex_state = 200},
  [6918] = {.lex_state = 160},
  [6919] = {.lex_state = 0},
  [6920] = {.lex_state = 0},
  [6921] = {.lex_state = 0},
  [6922] = {.lex_state = 0},
  [6923] = {.lex_state = 191},
  [6924] = {.lex_state = 191},
  [6925] = {.lex_state = 200},
  [6926] = {.lex_state = 200},
  [6927] = {.lex_state = 0},
  [6928] = {.lex_state = 0},
  [6929] = {.lex_state = 0},
  [6930] = {.lex_state = 0},
  [6931] = {.lex_state = 0},
  [6932] = {.lex_state = 0},
  [6933] = {.lex_state = 332},
  [6934] = {.lex_state = 332},
  [6935] = {.lex_state = 332},
  [6936] = {.lex_state = 191},
  [6937] = {.lex_state = 191},
  [6938] = {.lex_state = 113},
  [6939] = {.lex_state = 0},
  [6940] = {.lex_state = 0},
  [6941] = {.lex_state = 0},
  [6942] = {.lex_state = 0},
  [6943] = {.lex_state = 0},
  [6944] = {.lex_state = 0},
  [6945] = {.lex_state = 0},
  [6946] = {.lex_state = 0},
  [6947] = {.lex_state = 200},
  [6948] = {.lex_state = 0},
  [6949] = {.lex_state = 0},
  [6950] = {.lex_state = 191},
  [6951] = {.lex_state = 0},
  [6952] = {.lex_state = 0},
  [6953] = {.lex_state = 200},
  [6954] = {.lex_state = 0},
  [6955] = {.lex_state = 200},
  [6956] = {.lex_state = 0},
  [6957] = {.lex_state = 113},
  [6958] = {.lex_state = 191},
  [6959] = {.lex_state = 200},
  [6960] = {.lex_state = 200},
  [6961] = {.lex_state = 0},
  [6962] = {.lex_state = 0},
  [6963] = {.lex_state = 0},
  [6964] = {.lex_state = 0},
  [6965] = {.lex_state = 200},
  [6966] = {.lex_state = 200},
  [6967] = {.lex_state = 0},
  [6968] = {.lex_state = 0},
  [6969] = {.lex_state = 191},
  [6970] = {.lex_state = 200},
  [6971] = {.lex_state = 0},
  [6972] = {.lex_state = 191},
  [6973] = {.lex_state = 200},
  [6974] = {.lex_state = 0},
  [6975] = {.lex_state = 113},
  [6976] = {.lex_state = 110},
  [6977] = {.lex_state = 0},
  [6978] = {.lex_state = 191},
  [6979] = {.lex_state = 200},
  [6980] = {.lex_state = 191},
  [6981] = {.lex_state = 0},
  [6982] = {.lex_state = 0},
  [6983] = {.lex_state = 0},
  [6984] = {.lex_state = 0},
  [6985] = {.lex_state = 191},
  [6986] = {.lex_state = 0},
  [6987] = {.lex_state = 0},
  [6988] = {.lex_state = 0},
  [6989] = {.lex_state = 0},
  [6990] = {.lex_state = 0},
  [6991] = {.lex_state = 0},
  [6992] = {.lex_state = 0},
  [6993] = {.lex_state = 0},
  [6994] = {.lex_state = 200},
  [6995] = {.lex_state = 200},
  [6996] = {.lex_state = 191},
  [6997] = {.lex_state = 191},
  [6998] = {.lex_state = 0},
  [6999] = {.lex_state = 200},
  [7000] = {.lex_state = 0},
  [7001] = {.lex_state = 0},
  [7002] = {.lex_state = 0},
  [7003] = {.lex_state = 0},
  [7004] = {.lex_state = 200},
  [7005] = {.lex_state = 200},
  [7006] = {.lex_state = 191},
  [7007] = {.lex_state = 191},
  [7008] = {.lex_state = 0},
  [7009] = {.lex_state = 200},
  [7010] = {.lex_state = 0},
  [7011] = {.lex_state = 191},
  [7012] = {.lex_state = 0},
  [7013] = {.lex_state = 191},
  [7014] = {.lex_state = 0},
  [7015] = {.lex_state = 0},
  [7016] = {.lex_state = 200},
  [7017] = {.lex_state = 0},
  [7018] = {.lex_state = 0},
  [7019] = {.lex_state = 0},
  [7020] = {.lex_state = 191},
  [7021] = {.lex_state = 0},
  [7022] = {.lex_state = 191},
  [7023] = {.lex_state = 0},
  [7024] = {.lex_state = 200},
  [7025] = {.lex_state = 191},
  [7026] = {.lex_state = 113},
  [7027] = {.lex_state = 200},
  [7028] = {.lex_state = 191},
  [7029] = {.lex_state = 191},
  [7030] = {.lex_state = 191},
  [7031] = {.lex_state = 200},
  [7032] = {.lex_state = 0},
  [7033] = {.lex_state = 0},
  [7034] = {.lex_state = 0},
  [7035] = {.lex_state = 0},
  [7036] = {.lex_state = 0},
  [7037] = {.lex_state = 332},
  [7038] = {.lex_state = 0},
  [7039] = {.lex_state = 0},
  [7040] = {.lex_state = 0},
  [7041] = {.lex_state = 0},
  [7042] = {.lex_state = 200},
  [7043] = {.lex_state = 200},
  [7044] = {.lex_state = 200},
  [7045] = {.lex_state = 200},
  [7046] = {.lex_state = 0},
  [7047] = {.lex_state = 200},
  [7048] = {.lex_state = 0},
  [7049] = {.lex_state = 0},
  [7050] = {.lex_state = 200},
  [7051] = {.lex_state = 191},
  [7052] = {.lex_state = 0},
  [7053] = {.lex_state = 191},
  [7054] = {.lex_state = 0},
  [7055] = {.lex_state = 0},
  [7056] = {.lex_state = 0},
  [7057] = {.lex_state = 191},
  [7058] = {.lex_state = 200},
  [7059] = {.lex_state = 0},
  [7060] = {.lex_state = 0},
  [7061] = {.lex_state = 0},
  [7062] = {.lex_state = 0},
  [7063] = {.lex_state = 0},
  [7064] = {.lex_state = 0},
  [7065] = {.lex_state = 191},
  [7066] = {.lex_state = 191},
  [7067] = {.lex_state = 113},
  [7068] = {.lex_state = 0},
  [7069] = {.lex_state = 0},
  [7070] = {.lex_state = 0},
  [7071] = {.lex_state = 0},
  [7072] = {.lex_state = 0},
  [7073] = {.lex_state = 200},
  [7074] = {.lex_state = 200},
  [7075] = {.lex_state = 0},
  [7076] = {.lex_state = 0},
  [7077] = {.lex_state = 0},
  [7078] = {.lex_state = 0},
  [7079] = {.lex_state = 0},
  [7080] = {.lex_state = 0},
  [7081] = {.lex_state = 0},
  [7082] = {.lex_state = 191},
  [7083] = {.lex_state = 109},
  [7084] = {.lex_state = 332},
  [7085] = {.lex_state = 191},
  [7086] = {.lex_state = 191},
  [7087] = {.lex_state = 191},
  [7088] = {.lex_state = 0},
  [7089] = {.lex_state = 191},
  [7090] = {.lex_state = 191},
  [7091] = {.lex_state = 191},
  [7092] = {.lex_state = 332},
  [7093] = {.lex_state = 332},
  [7094] = {.lex_state = 191},
  [7095] = {.lex_state = 332},
  [7096] = {.lex_state = 191},
  [7097] = {.lex_state = 332},
  [7098] = {.lex_state = 332, .external_lex_state = 2},
  [7099] = {.lex_state = 332, .external_lex_state = 2},
  [7100] = {.lex_state = 332, .external_lex_state = 2},
  [7101] = {.lex_state = 332, .external_lex_state = 2},
  [7102] = {.lex_state = 0},
  [7103] = {.lex_state = 332, .external_lex_state = 2},
  [7104] = {.lex_state = 332, .external_lex_state = 2},
  [7105] = {.lex_state = 332, .external_lex_state = 2},
  [7106] = {.lex_state = 332, .external_lex_state = 2},
  [7107] = {.lex_state = 332, .external_lex_state = 2},
  [7108] = {.lex_state = 332, .external_lex_state = 2},
  [7109] = {.lex_state = 332, .external_lex_state = 2},
  [7110] = {.lex_state = 191},
  [7111] = {.lex_state = 332, .external_lex_state = 2},
  [7112] = {.lex_state = 191},
  [7113] = {.lex_state = 332},
  [7114] = {.lex_state = 332},
  [7115] = {.lex_state = 332, .external_lex_state = 2},
  [7116] = {.lex_state = 191},
  [7117] = {.lex_state = 332},
  [7118] = {.lex_state = 332, .external_lex_state = 2},
  [7119] = {.lex_state = 0},
  [7120] = {.lex_state = 332},
  [7121] = {.lex_state = 332},
  [7122] = {.lex_state = 332},
  [7123] = {.lex_state = 332, .external_lex_state = 2},
  [7124] = {.lex_state = 332},
  [7125] = {.lex_state = 191},
  [7126] = {.lex_state = 0},
  [7127] = {.lex_state = 0},
  [7128] = {.lex_state = 332},
  [7129] = {.lex_state = 0},
  [7130] = {.lex_state = 332, .external_lex_state = 2},
  [7131] = {.lex_state = 109},
  [7132] = {.lex_state = 191},
  [7133] = {.lex_state = 0},
  [7134] = {.lex_state = 332},
  [7135] = {.lex_state = 332},
  [7136] = {.lex_state = 191},
  [7137] = {.lex_state = 0},
  [7138] = {.lex_state = 0},
  [7139] = {.lex_state = 191},
  [7140] = {.lex_state = 0},
  [7141] = {.lex_state = 191},
  [7142] = {.lex_state = 0},
  [7143] = {.lex_state = 0},
  [7144] = {.lex_state = 0},
  [7145] = {.lex_state = 191},
  [7146] = {.lex_state = 0},
  [7147] = {.lex_state = 0},
  [7148] = {.lex_state = 332},
  [7149] = {.lex_state = 0},
  [7150] = {.lex_state = 0},
  [7151] = {.lex_state = 0},
  [7152] = {.lex_state = 191},
  [7153] = {.lex_state = 109},
  [7154] = {.lex_state = 0},
  [7155] = {.lex_state = 0},
  [7156] = {.lex_state = 0},
  [7157] = {.lex_state = 332, .external_lex_state = 2},
  [7158] = {.lex_state = 0},
  [7159] = {.lex_state = 0},
  [7160] = {.lex_state = 332},
  [7161] = {.lex_state = 0},
  [7162] = {.lex_state = 0},
  [7163] = {.lex_state = 0},
  [7164] = {.lex_state = 0},
  [7165] = {.lex_state = 0},
  [7166] = {.lex_state = 0},
  [7167] = {.lex_state = 0},
  [7168] = {.lex_state = 0},
  [7169] = {.lex_state = 332},
  [7170] = {.lex_state = 109},
  [7171] = {.lex_state = 0},
  [7172] = {.lex_state = 332},
  [7173] = {.lex_state = 0},
  [7174] = {.lex_state = 0},
  [7175] = {.lex_state = 332},
  [7176] = {.lex_state = 0},
  [7177] = {.lex_state = 0},
  [7178] = {.lex_state = 332},
  [7179] = {.lex_state = 0},
  [7180] = {.lex_state = 0},
  [7181] = {.lex_state = 0},
  [7182] = {.lex_state = 191},
  [7183] = {.lex_state = 0},
  [7184] = {.lex_state = 0},
  [7185] = {.lex_state = 0},
  [7186] = {.lex_state = 332},
  [7187] = {.lex_state = 0},
  [7188] = {.lex_state = 332},
  [7189] = {.lex_state = 0},
  [7190] = {.lex_state = 0},
  [7191] = {.lex_state = 0},
  [7192] = {.lex_state = 0},
  [7193] = {.lex_state = 0},
  [7194] = {.lex_state = 0},
  [7195] = {.lex_state = 0},
  [7196] = {.lex_state = 0},
  [7197] = {.lex_state = 0},
  [7198] = {.lex_state = 0},
  [7199] = {.lex_state = 0},
  [7200] = {.lex_state = 191},
  [7201] = {.lex_state = 0},
  [7202] = {.lex_state = 0},
  [7203] = {.lex_state = 0},
  [7204] = {.lex_state = 0},
  [7205] = {.lex_state = 332},
  [7206] = {.lex_state = 332},
  [7207] = {.lex_state = 0},
  [7208] = {.lex_state = 0},
  [7209] = {.lex_state = 0},
  [7210] = {.lex_state = 0},
  [7211] = {.lex_state = 0},
  [7212] = {.lex_state = 0},
  [7213] = {.lex_state = 332},
  [7214] = {.lex_state = 0},
  [7215] = {.lex_state = 109},
  [7216] = {.lex_state = 0},
  [7217] = {.lex_state = 0},
  [7218] = {.lex_state = 191},
  [7219] = {.lex_state = 0},
  [7220] = {.lex_state = 0},
  [7221] = {.lex_state = 0},
  [7222] = {.lex_state = 0},
  [7223] = {.lex_state = 0},
  [7224] = {.lex_state = 0},
  [7225] = {.lex_state = 0},
  [7226] = {.lex_state = 109},
  [7227] = {.lex_state = 0},
  [7228] = {.lex_state = 332},
  [7229] = {.lex_state = 0},
  [7230] = {.lex_state = 0},
  [7231] = {.lex_state = 191},
  [7232] = {.lex_state = 0},
  [7233] = {.lex_state = 0},
  [7234] = {.lex_state = 0},
  [7235] = {.lex_state = 0},
  [7236] = {.lex_state = 0},
  [7237] = {.lex_state = 332},
  [7238] = {.lex_state = 0},
  [7239] = {.lex_state = 0},
  [7240] = {.lex_state = 0},
  [7241] = {.lex_state = 0},
  [7242] = {.lex_state = 0},
  [7243] = {.lex_state = 0},
  [7244] = {.lex_state = 0},
  [7245] = {.lex_state = 109},
  [7246] = {.lex_state = 0},
  [7247] = {.lex_state = 0},
  [7248] = {.lex_state = 332},
  [7249] = {.lex_state = 0},
  [7250] = {.lex_state = 332},
  [7251] = {.lex_state = 0},
  [7252] = {.lex_state = 0},
  [7253] = {.lex_state = 0},
  [7254] = {.lex_state = 0},
  [7255] = {.lex_state = 332},
  [7256] = {.lex_state = 332},
  [7257] = {.lex_state = 109},
  [7258] = {.lex_state = 0},
  [7259] = {.lex_state = 332},
  [7260] = {.lex_state = 0},
  [7261] = {.lex_state = 191},
  [7262] = {.lex_state = 332},
  [7263] = {.lex_state = 109},
  [7264] = {.lex_state = 332},
  [7265] = {.lex_state = 0},
  [7266] = {.lex_state = 0},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 0},
  [7269] = {.lex_state = 0},
  [7270] = {.lex_state = 332},
  [7271] = {.lex_state = 0},
  [7272] = {.lex_state = 0},
  [7273] = {.lex_state = 0},
  [7274] = {.lex_state = 0},
  [7275] = {.lex_state = 0},
  [7276] = {.lex_state = 0},
  [7277] = {.lex_state = 332},
  [7278] = {.lex_state = 0},
  [7279] = {.lex_state = 0},
  [7280] = {.lex_state = 0},
  [7281] = {.lex_state = 191},
  [7282] = {.lex_state = 191},
  [7283] = {.lex_state = 332},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 0},
  [7286] = {.lex_state = 0},
  [7287] = {.lex_state = 332},
  [7288] = {.lex_state = 332},
  [7289] = {.lex_state = 109},
  [7290] = {.lex_state = 0},
  [7291] = {.lex_state = 332},
  [7292] = {.lex_state = 332},
  [7293] = {.lex_state = 332},
  [7294] = {.lex_state = 109},
  [7295] = {.lex_state = 0},
  [7296] = {.lex_state = 191},
  [7297] = {.lex_state = 191},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 0},
  [7301] = {.lex_state = 332},
  [7302] = {.lex_state = 109},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 332},
  [7305] = {.lex_state = 0},
  [7306] = {.lex_state = 0},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 191},
  [7309] = {.lex_state = 332},
  [7310] = {.lex_state = 332},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 0},
  [7313] = {.lex_state = 0},
  [7314] = {.lex_state = 0},
  [7315] = {.lex_state = 0},
  [7316] = {.lex_state = 0},
  [7317] = {.lex_state = 0},
  [7318] = {.lex_state = 191},
  [7319] = {.lex_state = 0},
  [7320] = {.lex_state = 0},
  [7321] = {.lex_state = 0},
  [7322] = {.lex_state = 0},
  [7323] = {.lex_state = 332},
  [7324] = {.lex_state = 332},
  [7325] = {.lex_state = 109},
  [7326] = {.lex_state = 332},
  [7327] = {.lex_state = 0},
  [7328] = {.lex_state = 332},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 0},
  [7331] = {.lex_state = 191},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 332},
  [7334] = {.lex_state = 0},
  [7335] = {.lex_state = 0},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 332},
  [7338] = {.lex_state = 109},
  [7339] = {.lex_state = 0},
  [7340] = {.lex_state = 0},
  [7341] = {.lex_state = 0},
  [7342] = {.lex_state = 332},
  [7343] = {.lex_state = 332},
  [7344] = {.lex_state = 332},
  [7345] = {.lex_state = 0},
  [7346] = {.lex_state = 191},
  [7347] = {.lex_state = 332},
  [7348] = {.lex_state = 332},
  [7349] = {.lex_state = 332},
  [7350] = {.lex_state = 0},
  [7351] = {.lex_state = 0},
  [7352] = {.lex_state = 0},
  [7353] = {.lex_state = 332},
  [7354] = {.lex_state = 0},
  [7355] = {.lex_state = 0},
  [7356] = {.lex_state = 332},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 0},
  [7359] = {.lex_state = 332},
  [7360] = {.lex_state = 0},
  [7361] = {.lex_state = 191},
  [7362] = {.lex_state = 191},
  [7363] = {.lex_state = 0},
  [7364] = {.lex_state = 0},
  [7365] = {.lex_state = 0},
  [7366] = {.lex_state = 109},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 0},
  [7369] = {.lex_state = 0},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 0},
  [7372] = {.lex_state = 332},
  [7373] = {.lex_state = 332},
  [7374] = {.lex_state = 191},
  [7375] = {.lex_state = 332},
  [7376] = {.lex_state = 191},
  [7377] = {.lex_state = 332},
  [7378] = {.lex_state = 0},
  [7379] = {.lex_state = 332},
  [7380] = {.lex_state = 332},
  [7381] = {.lex_state = 332},
  [7382] = {.lex_state = 191},
  [7383] = {.lex_state = 0},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 0},
  [7387] = {.lex_state = 0},
  [7388] = {.lex_state = 0},
  [7389] = {.lex_state = 0},
  [7390] = {.lex_state = 109},
  [7391] = {.lex_state = 0},
  [7392] = {.lex_state = 191},
  [7393] = {.lex_state = 191},
  [7394] = {.lex_state = 0},
  [7395] = {.lex_state = 332},
  [7396] = {.lex_state = 0},
  [7397] = {.lex_state = 0},
  [7398] = {.lex_state = 332},
  [7399] = {.lex_state = 0},
  [7400] = {.lex_state = 332},
  [7401] = {.lex_state = 332},
  [7402] = {.lex_state = 0},
  [7403] = {.lex_state = 0},
  [7404] = {.lex_state = 332},
  [7405] = {.lex_state = 0},
  [7406] = {.lex_state = 0},
  [7407] = {.lex_state = 0},
  [7408] = {.lex_state = 0},
  [7409] = {.lex_state = 109},
  [7410] = {.lex_state = 0},
  [7411] = {.lex_state = 0},
  [7412] = {.lex_state = 0},
  [7413] = {.lex_state = 0},
  [7414] = {.lex_state = 0},
  [7415] = {.lex_state = 0},
  [7416] = {.lex_state = 332},
  [7417] = {.lex_state = 169},
  [7418] = {.lex_state = 200},
  [7419] = {.lex_state = 191},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 0},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 0},
  [7424] = {.lex_state = 0},
  [7425] = {.lex_state = 110},
  [7426] = {.lex_state = 200},
  [7427] = {.lex_state = 191},
  [7428] = {.lex_state = 0},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 0},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 332},
  [7433] = {.lex_state = 332},
  [7434] = {.lex_state = 0},
  [7435] = {.lex_state = 0},
  [7436] = {.lex_state = 0},
  [7437] = {.lex_state = 0},
  [7438] = {.lex_state = 0},
  [7439] = {.lex_state = 191},
  [7440] = {.lex_state = 200},
  [7441] = {.lex_state = 0},
  [7442] = {.lex_state = 0},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 0},
  [7445] = {.lex_state = 191},
  [7446] = {.lex_state = 0},
  [7447] = {.lex_state = 110},
  [7448] = {.lex_state = 200},
  [7449] = {.lex_state = 0},
  [7450] = {.lex_state = 191},
  [7451] = {.lex_state = 0},
  [7452] = {.lex_state = 191},
  [7453] = {.lex_state = 200},
  [7454] = {.lex_state = 0},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 0},
  [7457] = {.lex_state = 0},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 0},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 191},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 191},
  [7464] = {.lex_state = 0},
  [7465] = {.lex_state = 0},
  [7466] = {.lex_state = 0},
  [7467] = {.lex_state = 0},
  [7468] = {.lex_state = 0},
  [7469] = {.lex_state = 0},
  [7470] = {.lex_state = 191},
  [7471] = {.lex_state = 0},
  [7472] = {.lex_state = 0, .external_lex_state = 2},
  [7473] = {.lex_state = 110},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 0},
  [7476] = {.lex_state = 0},
  [7477] = {.lex_state = 191},
  [7478] = {.lex_state = 0},
  [7479] = {.lex_state = 0},
  [7480] = {.lex_state = 200},
  [7481] = {.lex_state = 0},
  [7482] = {.lex_state = 0},
  [7483] = {.lex_state = 0},
  [7484] = {.lex_state = 0},
  [7485] = {.lex_state = 0},
  [7486] = {.lex_state = 0},
  [7487] = {.lex_state = 0},
  [7488] = {.lex_state = 0},
  [7489] = {.lex_state = 0},
  [7490] = {.lex_state = 332},
  [7491] = {.lex_state = 0},
  [7492] = {.lex_state = 0},
  [7493] = {.lex_state = 169},
  [7494] = {.lex_state = 0},
  [7495] = {.lex_state = 191},
  [7496] = {.lex_state = 0},
  [7497] = {.lex_state = 0},
  [7498] = {.lex_state = 191},
  [7499] = {.lex_state = 191},
  [7500] = {.lex_state = 0},
  [7501] = {.lex_state = 191},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 0},
  [7504] = {.lex_state = 0},
  [7505] = {.lex_state = 0},
  [7506] = {.lex_state = 0},
  [7507] = {.lex_state = 110},
  [7508] = {.lex_state = 191},
  [7509] = {.lex_state = 0},
  [7510] = {.lex_state = 191},
  [7511] = {.lex_state = 191},
  [7512] = {.lex_state = 0},
  [7513] = {.lex_state = 0},
  [7514] = {.lex_state = 0},
  [7515] = {.lex_state = 332},
  [7516] = {.lex_state = 0},
  [7517] = {.lex_state = 0},
  [7518] = {.lex_state = 110},
  [7519] = {.lex_state = 0},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 0},
  [7522] = {.lex_state = 0},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 0},
  [7525] = {.lex_state = 0},
  [7526] = {.lex_state = 191},
  [7527] = {.lex_state = 0},
  [7528] = {.lex_state = 0},
  [7529] = {.lex_state = 0},
  [7530] = {.lex_state = 169},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 169},
  [7533] = {.lex_state = 110},
  [7534] = {.lex_state = 332},
  [7535] = {.lex_state = 0},
  [7536] = {.lex_state = 332},
  [7537] = {.lex_state = 191},
  [7538] = {.lex_state = 200},
  [7539] = {.lex_state = 191},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 0},
  [7542] = {.lex_state = 0},
  [7543] = {.lex_state = 191},
  [7544] = {.lex_state = 0},
  [7545] = {.lex_state = 0},
  [7546] = {.lex_state = 191},
  [7547] = {.lex_state = 0},
  [7548] = {.lex_state = 0},
  [7549] = {.lex_state = 0},
  [7550] = {.lex_state = 0},
  [7551] = {.lex_state = 0},
  [7552] = {.lex_state = 0},
  [7553] = {.lex_state = 0},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 0},
  [7557] = {.lex_state = 0},
  [7558] = {.lex_state = 0},
  [7559] = {.lex_state = 0},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 191},
  [7562] = {.lex_state = 0},
  [7563] = {.lex_state = 0},
  [7564] = {.lex_state = 191},
  [7565] = {.lex_state = 191},
  [7566] = {.lex_state = 191},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 0},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 191},
  [7571] = {.lex_state = 0},
  [7572] = {.lex_state = 0},
  [7573] = {.lex_state = 0, .external_lex_state = 2},
  [7574] = {.lex_state = 0},
  [7575] = {.lex_state = 0},
  [7576] = {.lex_state = 0},
  [7577] = {.lex_state = 0},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 0},
  [7580] = {.lex_state = 0},
  [7581] = {.lex_state = 191},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 0},
  [7584] = {.lex_state = 0},
  [7585] = {.lex_state = 0},
  [7586] = {.lex_state = 191},
  [7587] = {.lex_state = 169},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 0},
  [7590] = {.lex_state = 0},
  [7591] = {.lex_state = 110},
  [7592] = {.lex_state = 332},
  [7593] = {.lex_state = 0},
  [7594] = {.lex_state = 332},
  [7595] = {.lex_state = 0},
  [7596] = {.lex_state = 0},
  [7597] = {.lex_state = 0},
  [7598] = {.lex_state = 0},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 0},
  [7601] = {.lex_state = 0},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 191},
  [7604] = {.lex_state = 191},
  [7605] = {.lex_state = 0},
  [7606] = {.lex_state = 0},
  [7607] = {.lex_state = 332},
  [7608] = {.lex_state = 200},
  [7609] = {.lex_state = 110},
  [7610] = {.lex_state = 0},
  [7611] = {.lex_state = 0},
  [7612] = {.lex_state = 191},
  [7613] = {.lex_state = 0},
  [7614] = {.lex_state = 191},
  [7615] = {.lex_state = 0},
  [7616] = {.lex_state = 0},
  [7617] = {.lex_state = 0},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 0},
  [7620] = {.lex_state = 0},
  [7621] = {.lex_state = 0},
  [7622] = {.lex_state = 110},
  [7623] = {.lex_state = 0},
  [7624] = {.lex_state = 110},
  [7625] = {.lex_state = 0},
  [7626] = {.lex_state = 0},
  [7627] = {.lex_state = 0},
  [7628] = {.lex_state = 0},
  [7629] = {.lex_state = 191},
  [7630] = {.lex_state = 200},
  [7631] = {.lex_state = 0},
  [7632] = {.lex_state = 0},
  [7633] = {.lex_state = 0},
  [7634] = {.lex_state = 0},
  [7635] = {.lex_state = 0},
  [7636] = {.lex_state = 0, .external_lex_state = 2},
  [7637] = {.lex_state = 110},
  [7638] = {.lex_state = 191},
  [7639] = {.lex_state = 110},
  [7640] = {.lex_state = 191},
  [7641] = {.lex_state = 191},
  [7642] = {.lex_state = 0},
  [7643] = {.lex_state = 0},
  [7644] = {.lex_state = 169},
  [7645] = {.lex_state = 332},
  [7646] = {.lex_state = 169},
  [7647] = {.lex_state = 0},
  [7648] = {.lex_state = 0},
  [7649] = {.lex_state = 191},
  [7650] = {.lex_state = 0},
  [7651] = {.lex_state = 0},
  [7652] = {.lex_state = 0},
  [7653] = {.lex_state = 0},
  [7654] = {.lex_state = 0},
  [7655] = {.lex_state = 0},
  [7656] = {.lex_state = 169},
  [7657] = {.lex_state = 0},
  [7658] = {.lex_state = 0},
  [7659] = {.lex_state = 332},
  [7660] = {.lex_state = 0},
  [7661] = {.lex_state = 0},
  [7662] = {.lex_state = 169},
  [7663] = {.lex_state = 0},
  [7664] = {.lex_state = 191},
  [7665] = {.lex_state = 191},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 0},
  [7668] = {.lex_state = 169},
  [7669] = {.lex_state = 169},
  [7670] = {.lex_state = 0},
  [7671] = {.lex_state = 0},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 0},
  [7674] = {.lex_state = 0},
  [7675] = {.lex_state = 0},
  [7676] = {.lex_state = 0},
  [7677] = {.lex_state = 169},
  [7678] = {.lex_state = 0},
  [7679] = {.lex_state = 191},
  [7680] = {.lex_state = 191},
  [7681] = {.lex_state = 0},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 169},
  [7684] = {.lex_state = 0},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 0},
  [7687] = {.lex_state = 0, .external_lex_state = 2},
  [7688] = {.lex_state = 0},
  [7689] = {.lex_state = 191},
  [7690] = {.lex_state = 110},
  [7691] = {.lex_state = 0},
  [7692] = {.lex_state = 0},
  [7693] = {.lex_state = 0},
  [7694] = {.lex_state = 0},
  [7695] = {.lex_state = 0},
  [7696] = {.lex_state = 0},
  [7697] = {.lex_state = 0},
  [7698] = {.lex_state = 167},
  [7699] = {.lex_state = 0},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 0},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 0},
  [7704] = {.lex_state = 332},
  [7705] = {.lex_state = 0},
  [7706] = {.lex_state = 0},
  [7707] = {.lex_state = 0},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 0},
  [7710] = {.lex_state = 0},
  [7711] = {.lex_state = 169},
  [7712] = {.lex_state = 169},
  [7713] = {.lex_state = 0},
  [7714] = {.lex_state = 110},
  [7715] = {.lex_state = 0},
  [7716] = {.lex_state = 0},
  [7717] = {.lex_state = 200},
  [7718] = {.lex_state = 191},
  [7719] = {.lex_state = 332},
  [7720] = {.lex_state = 191},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 191},
  [7725] = {.lex_state = 0},
  [7726] = {.lex_state = 0, .external_lex_state = 2},
  [7727] = {.lex_state = 110},
  [7728] = {.lex_state = 169},
  [7729] = {.lex_state = 0},
  [7730] = {.lex_state = 169},
  [7731] = {.lex_state = 170},
  [7732] = {.lex_state = 167},
  [7733] = {.lex_state = 332},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 0},
  [7739] = {.lex_state = 110},
  [7740] = {.lex_state = 0, .external_lex_state = 2},
  [7741] = {.lex_state = 0},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 332},
  [7744] = {.lex_state = 0},
  [7745] = {.lex_state = 332},
  [7746] = {.lex_state = 191},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 0},
  [7749] = {.lex_state = 167},
  [7750] = {.lex_state = 0, .external_lex_state = 2},
  [7751] = {.lex_state = 0},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 200},
  [7754] = {.lex_state = 332},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 0, .external_lex_state = 2},
  [7757] = {.lex_state = 0},
  [7758] = {.lex_state = 0},
  [7759] = {.lex_state = 0, .external_lex_state = 2},
  [7760] = {.lex_state = 0},
  [7761] = {.lex_state = 0},
  [7762] = {.lex_state = 0, .external_lex_state = 2},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 0, .external_lex_state = 2},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 0, .external_lex_state = 2},
  [7767] = {.lex_state = 0},
  [7768] = {.lex_state = 0, .external_lex_state = 2},
  [7769] = {.lex_state = 0},
  [7770] = {.lex_state = 0, .external_lex_state = 2},
  [7771] = {.lex_state = 0},
  [7772] = {.lex_state = 0, .external_lex_state = 2},
  [7773] = {.lex_state = 0},
  [7774] = {.lex_state = 0},
  [7775] = {.lex_state = 169},
  [7776] = {.lex_state = 332},
  [7777] = {.lex_state = 169},
  [7778] = {.lex_state = 332},
  [7779] = {.lex_state = 332},
  [7780] = {.lex_state = 332},
  [7781] = {.lex_state = 332},
  [7782] = {.lex_state = 0},
  [7783] = {.lex_state = 332},
  [7784] = {.lex_state = 0},
  [7785] = {.lex_state = 332},
  [7786] = {.lex_state = 0},
  [7787] = {.lex_state = 169},
  [7788] = {.lex_state = 0},
  [7789] = {.lex_state = 0},
  [7790] = {.lex_state = 110},
  [7791] = {.lex_state = 332},
  [7792] = {.lex_state = 0},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 0},
  [7795] = {.lex_state = 191},
  [7796] = {.lex_state = 0},
  [7797] = {.lex_state = 191},
  [7798] = {.lex_state = 200},
  [7799] = {.lex_state = 191},
  [7800] = {.lex_state = 0},
  [7801] = {.lex_state = 191},
  [7802] = {.lex_state = 332},
  [7803] = {.lex_state = 332},
  [7804] = {.lex_state = 167},
  [7805] = {.lex_state = 0},
  [7806] = {.lex_state = 0},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 0},
  [7809] = {.lex_state = 332},
  [7810] = {.lex_state = 0, .external_lex_state = 3},
  [7811] = {.lex_state = 110},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 332},
  [7815] = {.lex_state = 0},
  [7816] = {.lex_state = 200},
  [7817] = {.lex_state = 191},
  [7818] = {.lex_state = 0},
  [7819] = {.lex_state = 0},
  [7820] = {.lex_state = 332},
  [7821] = {.lex_state = 191},
  [7822] = {.lex_state = 0},
  [7823] = {.lex_state = 0},
  [7824] = {.lex_state = 191},
  [7825] = {.lex_state = 0},
  [7826] = {.lex_state = 0},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 0},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 200},
  [7832] = {.lex_state = 0},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 0},
  [7835] = {.lex_state = 110},
  [7836] = {.lex_state = 110},
  [7837] = {.lex_state = 0, .external_lex_state = 3},
  [7838] = {.lex_state = 332},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 169},
  [7841] = {.lex_state = 0},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 0},
  [7844] = {.lex_state = 0},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 332},
  [7847] = {.lex_state = 0},
  [7848] = {.lex_state = 0},
  [7849] = {.lex_state = 200},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 0, .external_lex_state = 2},
  [7853] = {.lex_state = 332},
  [7854] = {.lex_state = 0},
  [7855] = {.lex_state = 0},
  [7856] = {.lex_state = 0},
  [7857] = {.lex_state = 0},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 0},
  [7860] = {.lex_state = 0},
  [7861] = {.lex_state = 167},
  [7862] = {.lex_state = 0},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 332},
  [7865] = {.lex_state = 110},
  [7866] = {.lex_state = 0},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 191},
  [7869] = {.lex_state = 169},
  [7870] = {.lex_state = 169},
  [7871] = {.lex_state = 0},
  [7872] = {.lex_state = 191},
  [7873] = {.lex_state = 169},
  [7874] = {.lex_state = 0},
  [7875] = {.lex_state = 0},
  [7876] = {.lex_state = 0},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 0},
  [7879] = {.lex_state = 0},
  [7880] = {.lex_state = 0},
  [7881] = {.lex_state = 0},
  [7882] = {.lex_state = 0},
  [7883] = {.lex_state = 0},
  [7884] = {.lex_state = 169},
  [7885] = {.lex_state = 0},
  [7886] = {.lex_state = 0},
  [7887] = {.lex_state = 0},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 169},
  [7891] = {.lex_state = 169},
  [7892] = {.lex_state = 191},
  [7893] = {.lex_state = 169},
  [7894] = {.lex_state = 169},
  [7895] = {.lex_state = 0},
  [7896] = {.lex_state = 169},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 0},
  [7900] = {.lex_state = 169},
  [7901] = {.lex_state = 191},
  [7902] = {.lex_state = 169},
  [7903] = {.lex_state = 190},
  [7904] = {.lex_state = 0},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 0},
  [7908] = {.lex_state = 0},
  [7909] = {.lex_state = 0},
  [7910] = {.lex_state = 332},
  [7911] = {.lex_state = 332},
  [7912] = {.lex_state = 0},
  [7913] = {.lex_state = 332},
  [7914] = {.lex_state = 0},
  [7915] = {.lex_state = 0},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 0},
  [7918] = {.lex_state = 0},
  [7919] = {.lex_state = 191},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 234},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 0},
  [7924] = {.lex_state = 0},
  [7925] = {.lex_state = 0},
  [7926] = {.lex_state = 0},
  [7927] = {.lex_state = 0},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 169},
  [7930] = {.lex_state = 0, .external_lex_state = 2},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 0},
  [7933] = {.lex_state = 0},
  [7934] = {.lex_state = 191},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 200},
  [7937] = {.lex_state = 169},
  [7938] = {.lex_state = 0},
  [7939] = {.lex_state = 169},
  [7940] = {.lex_state = 0},
  [7941] = {.lex_state = 110},
  [7942] = {.lex_state = 0},
  [7943] = {.lex_state = 0},
  [7944] = {.lex_state = 169},
  [7945] = {.lex_state = 200},
  [7946] = {.lex_state = 191},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 0},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 0},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 0},
  [7954] = {.lex_state = 0},
  [7955] = {.lex_state = 191},
  [7956] = {.lex_state = 191},
  [7957] = {.lex_state = 332},
  [7958] = {.lex_state = 332},
  [7959] = {.lex_state = 332},
  [7960] = {.lex_state = 332},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 332},
  [7963] = {.lex_state = 0},
  [7964] = {.lex_state = 0},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 0},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 191},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 332},
  [7971] = {.lex_state = 332},
  [7972] = {.lex_state = 0},
  [7973] = {.lex_state = 0},
  [7974] = {.lex_state = 332},
  [7975] = {.lex_state = 0, .external_lex_state = 3},
  [7976] = {.lex_state = 332},
  [7977] = {.lex_state = 200},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 0},
  [7980] = {.lex_state = 0},
  [7981] = {.lex_state = 191},
  [7982] = {.lex_state = 0},
  [7983] = {.lex_state = 0},
  [7984] = {.lex_state = 200},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 332},
  [7988] = {.lex_state = 332},
  [7989] = {.lex_state = 332},
  [7990] = {.lex_state = 0},
  [7991] = {.lex_state = 332},
  [7992] = {.lex_state = 0},
  [7993] = {.lex_state = 0},
  [7994] = {.lex_state = 191},
  [7995] = {.lex_state = 0},
  [7996] = {.lex_state = 332},
  [7997] = {.lex_state = 0},
  [7998] = {.lex_state = 0},
  [7999] = {.lex_state = 332},
  [8000] = {.lex_state = 0, .external_lex_state = 3},
  [8001] = {.lex_state = 0},
  [8002] = {.lex_state = 332},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 169},
  [8005] = {.lex_state = 0},
  [8006] = {.lex_state = 200},
  [8007] = {.lex_state = 0},
  [8008] = {.lex_state = 332},
  [8009] = {.lex_state = 332},
  [8010] = {.lex_state = 332},
  [8011] = {.lex_state = 0},
  [8012] = {.lex_state = 332},
  [8013] = {.lex_state = 332},
  [8014] = {.lex_state = 191},
  [8015] = {.lex_state = 191},
  [8016] = {.lex_state = 332},
  [8017] = {.lex_state = 110},
  [8018] = {.lex_state = 0},
  [8019] = {.lex_state = 332},
  [8020] = {.lex_state = 0, .external_lex_state = 3},
  [8021] = {.lex_state = 0},
  [8022] = {.lex_state = 169},
  [8023] = {.lex_state = 332},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 200},
  [8027] = {.lex_state = 169},
  [8028] = {.lex_state = 332},
  [8029] = {.lex_state = 332},
  [8030] = {.lex_state = 332},
  [8031] = {.lex_state = 0},
  [8032] = {.lex_state = 332},
  [8033] = {.lex_state = 169},
  [8034] = {.lex_state = 191},
  [8035] = {.lex_state = 332},
  [8036] = {.lex_state = 0},
  [8037] = {.lex_state = 169},
  [8038] = {.lex_state = 332},
  [8039] = {.lex_state = 0, .external_lex_state = 3},
  [8040] = {.lex_state = 0},
  [8041] = {.lex_state = 169},
  [8042] = {.lex_state = 169},
  [8043] = {.lex_state = 0},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 200},
  [8046] = {.lex_state = 0},
  [8047] = {.lex_state = 332},
  [8048] = {.lex_state = 0},
  [8049] = {.lex_state = 332},
  [8050] = {.lex_state = 0},
  [8051] = {.lex_state = 191},
  [8052] = {.lex_state = 0},
  [8053] = {.lex_state = 0},
  [8054] = {.lex_state = 332},
  [8055] = {.lex_state = 0, .external_lex_state = 3},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 169},
  [8058] = {.lex_state = 169},
  [8059] = {.lex_state = 0},
  [8060] = {.lex_state = 191},
  [8061] = {.lex_state = 332},
  [8062] = {.lex_state = 332},
  [8063] = {.lex_state = 200},
  [8064] = {.lex_state = 0, .external_lex_state = 3},
  [8065] = {.lex_state = 0},
  [8066] = {.lex_state = 0},
  [8067] = {.lex_state = 0},
  [8068] = {.lex_state = 0},
  [8069] = {.lex_state = 332},
  [8070] = {.lex_state = 332},
  [8071] = {.lex_state = 0},
  [8072] = {.lex_state = 0, .external_lex_state = 3},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 0},
  [8075] = {.lex_state = 332},
  [8076] = {.lex_state = 332},
  [8077] = {.lex_state = 0, .external_lex_state = 3},
  [8078] = {.lex_state = 0},
  [8079] = {.lex_state = 0, .external_lex_state = 3},
  [8080] = {.lex_state = 0},
  [8081] = {.lex_state = 0, .external_lex_state = 3},
  [8082] = {.lex_state = 0},
  [8083] = {.lex_state = 0, .external_lex_state = 3},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 0, .external_lex_state = 3},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 0, .external_lex_state = 3},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 0, .external_lex_state = 3},
  [8090] = {.lex_state = 0},
  [8091] = {.lex_state = 0, .external_lex_state = 3},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 191},
  [8094] = {.lex_state = 191},
  [8095] = {.lex_state = 332},
  [8096] = {.lex_state = 332},
  [8097] = {.lex_state = 191},
  [8098] = {.lex_state = 0},
  [8099] = {.lex_state = 191},
  [8100] = {.lex_state = 0},
  [8101] = {.lex_state = 0},
  [8102] = {.lex_state = 0},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 0},
  [8105] = {.lex_state = 0},
  [8106] = {.lex_state = 0},
  [8107] = {.lex_state = 0},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 332},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 110},
  [8113] = {.lex_state = 191},
  [8114] = {.lex_state = 0, .external_lex_state = 3},
  [8115] = {.lex_state = 110},
  [8116] = {.lex_state = 0},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 110},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 0},
  [8122] = {.lex_state = 0},
  [8123] = {.lex_state = 0},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 110},
  [8126] = {.lex_state = 0},
  [8127] = {.lex_state = 0},
  [8128] = {.lex_state = 191},
  [8129] = {.lex_state = 110},
  [8130] = {.lex_state = 0},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 0, .external_lex_state = 3},
  [8134] = {.lex_state = 0},
  [8135] = {.lex_state = 0},
  [8136] = {.lex_state = 0},
  [8137] = {.lex_state = 110},
  [8138] = {.lex_state = 200},
  [8139] = {.lex_state = 0},
  [8140] = {.lex_state = 0},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 0},
  [8143] = {.lex_state = 0},
  [8144] = {.lex_state = 0},
  [8145] = {.lex_state = 0},
  [8146] = {.lex_state = 200},
  [8147] = {.lex_state = 332},
  [8148] = {.lex_state = 169},
  [8149] = {.lex_state = 169},
  [8150] = {.lex_state = 169},
  [8151] = {.lex_state = 169},
  [8152] = {.lex_state = 332},
  [8153] = {.lex_state = 169},
  [8154] = {.lex_state = 0},
  [8155] = {.lex_state = 169},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 191},
  [8159] = {.lex_state = 332},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 169},
  [8165] = {.lex_state = 332},
  [8166] = {.lex_state = 169},
  [8167] = {.lex_state = 169},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 200},
  [8170] = {.lex_state = 191},
  [8171] = {.lex_state = 332},
  [8172] = {.lex_state = 332},
  [8173] = {.lex_state = 332},
  [8174] = {.lex_state = 332},
  [8175] = {.lex_state = 191},
  [8176] = {.lex_state = 200},
  [8177] = {.lex_state = 191},
  [8178] = {.lex_state = 0},
  [8179] = {.lex_state = 332},
  [8180] = {.lex_state = 332},
  [8181] = {.lex_state = 191},
  [8182] = {.lex_state = 0},
  [8183] = {.lex_state = 0},
  [8184] = {.lex_state = 332},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 191},
  [8187] = {.lex_state = 0, .external_lex_state = 3},
  [8188] = {.lex_state = 200},
  [8189] = {.lex_state = 0},
  [8190] = {.lex_state = 0},
  [8191] = {.lex_state = 191},
  [8192] = {.lex_state = 332},
  [8193] = {.lex_state = 332},
  [8194] = {.lex_state = 191},
  [8195] = {.lex_state = 0},
  [8196] = {.lex_state = 110},
  [8197] = {.lex_state = 191},
  [8198] = {.lex_state = 0, .external_lex_state = 3},
  [8199] = {.lex_state = 110},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 332},
  [8202] = {.lex_state = 332},
  [8203] = {.lex_state = 191},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 0},
  [8206] = {.lex_state = 191},
  [8207] = {.lex_state = 0, .external_lex_state = 3},
  [8208] = {.lex_state = 332},
  [8209] = {.lex_state = 200},
  [8210] = {.lex_state = 332},
  [8211] = {.lex_state = 191},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 0},
  [8214] = {.lex_state = 191},
  [8215] = {.lex_state = 0, .external_lex_state = 3},
  [8216] = {.lex_state = 332},
  [8217] = {.lex_state = 332},
  [8218] = {.lex_state = 191},
  [8219] = {.lex_state = 0},
  [8220] = {.lex_state = 191},
  [8221] = {.lex_state = 0, .external_lex_state = 3},
  [8222] = {.lex_state = 0},
  [8223] = {.lex_state = 191},
  [8224] = {.lex_state = 0, .external_lex_state = 3},
  [8225] = {.lex_state = 191},
  [8226] = {.lex_state = 0, .external_lex_state = 3},
  [8227] = {.lex_state = 0},
  [8228] = {.lex_state = 0, .external_lex_state = 3},
  [8229] = {.lex_state = 0},
  [8230] = {.lex_state = 0, .external_lex_state = 3},
  [8231] = {.lex_state = 0},
  [8232] = {.lex_state = 0, .external_lex_state = 3},
  [8233] = {.lex_state = 0},
  [8234] = {.lex_state = 0, .external_lex_state = 3},
  [8235] = {.lex_state = 0},
  [8236] = {.lex_state = 0, .external_lex_state = 3},
  [8237] = {.lex_state = 0},
  [8238] = {.lex_state = 0, .external_lex_state = 3},
  [8239] = {.lex_state = 191},
  [8240] = {.lex_state = 0, .external_lex_state = 3},
  [8241] = {.lex_state = 191},
  [8242] = {.lex_state = 0, .external_lex_state = 3},
  [8243] = {.lex_state = 332},
  [8244] = {.lex_state = 332},
  [8245] = {.lex_state = 0},
  [8246] = {.lex_state = 332},
  [8247] = {.lex_state = 332},
  [8248] = {.lex_state = 191},
  [8249] = {.lex_state = 332},
  [8250] = {.lex_state = 332},
  [8251] = {.lex_state = 332},
  [8252] = {.lex_state = 332},
  [8253] = {.lex_state = 332},
  [8254] = {.lex_state = 332},
  [8255] = {.lex_state = 332},
  [8256] = {.lex_state = 332},
  [8257] = {.lex_state = 332},
  [8258] = {.lex_state = 332},
  [8259] = {.lex_state = 332},
  [8260] = {.lex_state = 332},
  [8261] = {.lex_state = 332},
  [8262] = {.lex_state = 332},
  [8263] = {.lex_state = 332},
  [8264] = {.lex_state = 332},
  [8265] = {.lex_state = 332},
  [8266] = {.lex_state = 332},
  [8267] = {.lex_state = 332},
  [8268] = {.lex_state = 332},
  [8269] = {.lex_state = 191},
  [8270] = {.lex_state = 191},
  [8271] = {.lex_state = 191},
  [8272] = {.lex_state = 191},
  [8273] = {.lex_state = 0},
  [8274] = {.lex_state = 332},
  [8275] = {.lex_state = 332},
  [8276] = {.lex_state = 332},
  [8277] = {.lex_state = 332},
  [8278] = {.lex_state = 332},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(8154),
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4402),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1867),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2685),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(698),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4611),
    [sym_conditional_expression] = STATE(4657),
    [sym_assignment_expression] = STATE(4657),
    [sym_pointer_expression] = STATE(3624),
    [sym_unary_expression] = STATE(4657),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(4657),
    [sym_cast_expression] = STATE(4657),
    [sym_sizeof_expression] = STATE(4657),
    [sym_alignof_expression] = STATE(4657),
    [sym_offsetof_expression] = STATE(4657),
    [sym_generic_expression] = STATE(4657),
    [sym_subscript_expression] = STATE(3624),
    [sym_call_expression] = STATE(3624),
    [sym_gnu_asm_expression] = STATE(4657),
    [sym_extension_expression] = STATE(4657),
    [sym_field_expression] = STATE(3624),
    [sym_compound_literal_expression] = STATE(4657),
    [sym_parenthesized_expression] = STATE(3624),
    [sym_char_literal] = STATE(4611),
    [sym_concatenated_string] = STATE(4611),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(4657),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1698),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6334),
    [sym__constructor_specifiers] = STATE(1698),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4614),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(4657),
    [sym_new_expression] = STATE(4657),
    [sym_delete_expression] = STATE(4657),
    [sym_requires_clause] = STATE(4657),
    [sym_requires_expression] = STATE(4657),
    [sym_lambda_expression] = STATE(4657),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(4657),
    [sym_parameter_pack_expansion] = STATE(4657),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3444),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6334),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3624),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1698),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(111),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(117),
    [sym_false] = ACTIONS(117),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(117),
  },
  [2] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [3] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [4] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [5] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [6] = {
    [sym__block_item] = STATE(36),
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(36),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [7] = {
    [sym__block_item] = STATE(56),
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(56),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [8] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [9] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [10] = {
    [sym__block_item] = STATE(56),
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(56),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [11] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [12] = {
    [sym__block_item] = STATE(61),
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(61),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [13] = {
    [sym__block_item] = STATE(28),
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(7662),
    [sym_preproc_elif] = STATE(7662),
    [sym_preproc_elifdef] = STATE(7662),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(28),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [14] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7896),
    [sym_preproc_elif] = STATE(7896),
    [sym_preproc_elifdef] = STATE(7896),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [15] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7530),
    [sym_preproc_elif] = STATE(7530),
    [sym_preproc_elifdef] = STATE(7530),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [16] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8027),
    [sym_preproc_elif] = STATE(8027),
    [sym_preproc_elifdef] = STATE(8027),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [17] = {
    [sym__block_item] = STATE(14),
    [sym_preproc_include] = STATE(14),
    [sym_preproc_def] = STATE(14),
    [sym_preproc_function_def] = STATE(14),
    [sym_preproc_call] = STATE(14),
    [sym_preproc_if] = STATE(14),
    [sym_preproc_ifdef] = STATE(14),
    [sym_preproc_else] = STATE(7646),
    [sym_preproc_elif] = STATE(7646),
    [sym_preproc_elifdef] = STATE(7646),
    [sym_function_definition] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_type_definition] = STATE(14),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(14),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(14),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(14),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(14),
    [sym_template_instantiation] = STATE(14),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(14),
    [sym_operator_cast_declaration] = STATE(14),
    [sym_constructor_or_destructor_definition] = STATE(14),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(14),
    [sym_namespace_alias_definition] = STATE(14),
    [sym_using_declaration] = STATE(14),
    [sym_alias_declaration] = STATE(14),
    [sym_static_assert_declaration] = STATE(14),
    [sym_concept_definition] = STATE(14),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(14),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [18] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(7532),
    [sym_preproc_elif] = STATE(7532),
    [sym_preproc_elifdef] = STATE(7532),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [19] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7711),
    [sym_preproc_elif] = STATE(7711),
    [sym_preproc_elifdef] = STATE(7711),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [20] = {
    [sym__block_item] = STATE(16),
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(7840),
    [sym_preproc_elif] = STATE(7840),
    [sym_preproc_elifdef] = STATE(7840),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(16),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(16),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(16),
    [sym_template_instantiation] = STATE(16),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(16),
    [sym_operator_cast_declaration] = STATE(16),
    [sym_constructor_or_destructor_definition] = STATE(16),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(16),
    [sym_namespace_alias_definition] = STATE(16),
    [sym_using_declaration] = STATE(16),
    [sym_alias_declaration] = STATE(16),
    [sym_static_assert_declaration] = STATE(16),
    [sym_concept_definition] = STATE(16),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [21] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7644),
    [sym_preproc_elif] = STATE(7644),
    [sym_preproc_elifdef] = STATE(7644),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [22] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(7712),
    [sym_preproc_elif] = STATE(7712),
    [sym_preproc_elifdef] = STATE(7712),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [23] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(7939),
    [sym_preproc_elif] = STATE(7939),
    [sym_preproc_elifdef] = STATE(7939),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(31),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(31),
    [sym_template_instantiation] = STATE(31),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(31),
    [sym_operator_cast_declaration] = STATE(31),
    [sym_constructor_or_destructor_definition] = STATE(31),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(31),
    [sym_namespace_alias_definition] = STATE(31),
    [sym_using_declaration] = STATE(31),
    [sym_alias_declaration] = STATE(31),
    [sym_static_assert_declaration] = STATE(31),
    [sym_concept_definition] = STATE(31),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [24] = {
    [sym__block_item] = STATE(21),
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(8041),
    [sym_preproc_elif] = STATE(8041),
    [sym_preproc_elifdef] = STATE(8041),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(21),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(21),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(21),
    [sym_template_instantiation] = STATE(21),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(21),
    [sym_operator_cast_declaration] = STATE(21),
    [sym_constructor_or_destructor_definition] = STATE(21),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(21),
    [sym_namespace_alias_definition] = STATE(21),
    [sym_using_declaration] = STATE(21),
    [sym_alias_declaration] = STATE(21),
    [sym_static_assert_declaration] = STATE(21),
    [sym_concept_definition] = STATE(21),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [25] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7493),
    [sym_preproc_elif] = STATE(7493),
    [sym_preproc_elifdef] = STATE(7493),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [26] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7937),
    [sym_preproc_elif] = STATE(7937),
    [sym_preproc_elifdef] = STATE(7937),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [27] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(8004),
    [sym_preproc_elif] = STATE(8004),
    [sym_preproc_elifdef] = STATE(8004),
    [sym_function_definition] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(26),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(26),
    [sym_template_instantiation] = STATE(26),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(26),
    [sym_operator_cast_declaration] = STATE(26),
    [sym_constructor_or_destructor_definition] = STATE(26),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(26),
    [sym_namespace_alias_definition] = STATE(26),
    [sym_using_declaration] = STATE(26),
    [sym_alias_declaration] = STATE(26),
    [sym_static_assert_declaration] = STATE(26),
    [sym_concept_definition] = STATE(26),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [28] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7929),
    [sym_preproc_elif] = STATE(7929),
    [sym_preproc_elifdef] = STATE(7929),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [29] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7683),
    [sym_preproc_elif] = STATE(7683),
    [sym_preproc_elifdef] = STATE(7683),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [30] = {
    [sym__block_item] = STATE(19),
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(7787),
    [sym_preproc_elif] = STATE(7787),
    [sym_preproc_elifdef] = STATE(7787),
    [sym_function_definition] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(19),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(19),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(19),
    [sym_template_instantiation] = STATE(19),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(19),
    [sym_operator_cast_declaration] = STATE(19),
    [sym_constructor_or_destructor_definition] = STATE(19),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(19),
    [sym_namespace_alias_definition] = STATE(19),
    [sym_using_declaration] = STATE(19),
    [sym_alias_declaration] = STATE(19),
    [sym_static_assert_declaration] = STATE(19),
    [sym_concept_definition] = STATE(19),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [31] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7890),
    [sym_preproc_elif] = STATE(7890),
    [sym_preproc_elifdef] = STATE(7890),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [32] = {
    [sym__block_item] = STATE(15),
    [sym_preproc_include] = STATE(15),
    [sym_preproc_def] = STATE(15),
    [sym_preproc_function_def] = STATE(15),
    [sym_preproc_call] = STATE(15),
    [sym_preproc_if] = STATE(15),
    [sym_preproc_ifdef] = STATE(15),
    [sym_preproc_else] = STATE(7587),
    [sym_preproc_elif] = STATE(7587),
    [sym_preproc_elifdef] = STATE(7587),
    [sym_function_definition] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_type_definition] = STATE(15),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(15),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(15),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(15),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(15),
    [sym_template_instantiation] = STATE(15),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(15),
    [sym_operator_cast_declaration] = STATE(15),
    [sym_constructor_or_destructor_definition] = STATE(15),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(15),
    [sym_namespace_alias_definition] = STATE(15),
    [sym_using_declaration] = STATE(15),
    [sym_alias_declaration] = STATE(15),
    [sym_static_assert_declaration] = STATE(15),
    [sym_concept_definition] = STATE(15),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(15),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [33] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5923),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(303),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1661),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1661),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1661),
    [sym_identifier] = ACTIONS(373),
    [aux_sym_preproc_include_token1] = ACTIONS(376),
    [aux_sym_preproc_def_token1] = ACTIONS(379),
    [aux_sym_preproc_if_token1] = ACTIONS(382),
    [aux_sym_preproc_if_token2] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(387),
    [aux_sym_preproc_else_token1] = ACTIONS(385),
    [aux_sym_preproc_elif_token1] = ACTIONS(385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(385),
    [sym_preproc_directive] = ACTIONS(390),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(414),
    [anon_sym___extension__] = ACTIONS(417),
    [anon_sym_typedef] = ACTIONS(420),
    [anon_sym_virtual] = ACTIONS(423),
    [anon_sym_extern] = ACTIONS(426),
    [anon_sym___attribute__] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(435),
    [anon_sym___declspec] = ACTIONS(438),
    [anon_sym___based] = ACTIONS(441),
    [anon_sym___cdecl] = ACTIONS(444),
    [anon_sym___clrcall] = ACTIONS(444),
    [anon_sym___stdcall] = ACTIONS(444),
    [anon_sym___fastcall] = ACTIONS(444),
    [anon_sym___thiscall] = ACTIONS(444),
    [anon_sym___vectorcall] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(447),
    [anon_sym_signed] = ACTIONS(450),
    [anon_sym_unsigned] = ACTIONS(450),
    [anon_sym_long] = ACTIONS(450),
    [anon_sym_short] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_register] = ACTIONS(456),
    [anon_sym_inline] = ACTIONS(459),
    [anon_sym___inline] = ACTIONS(456),
    [anon_sym___inline__] = ACTIONS(456),
    [anon_sym___forceinline] = ACTIONS(456),
    [anon_sym_thread_local] = ACTIONS(456),
    [anon_sym___thread] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_constexpr] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_restrict] = ACTIONS(462),
    [anon_sym___restrict__] = ACTIONS(462),
    [anon_sym__Atomic] = ACTIONS(462),
    [anon_sym__Noreturn] = ACTIONS(462),
    [anon_sym_noreturn] = ACTIONS(462),
    [anon_sym__Nonnull] = ACTIONS(462),
    [anon_sym_mutable] = ACTIONS(462),
    [anon_sym_constinit] = ACTIONS(462),
    [anon_sym_consteval] = ACTIONS(462),
    [anon_sym_alignas] = ACTIONS(465),
    [anon_sym__Alignas] = ACTIONS(465),
    [sym_primitive_type] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(471),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_struct] = ACTIONS(477),
    [anon_sym_union] = ACTIONS(480),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_switch] = ACTIONS(486),
    [anon_sym_case] = ACTIONS(489),
    [anon_sym_default] = ACTIONS(492),
    [anon_sym_while] = ACTIONS(495),
    [anon_sym_do] = ACTIONS(498),
    [anon_sym_for] = ACTIONS(501),
    [anon_sym_return] = ACTIONS(504),
    [anon_sym_break] = ACTIONS(507),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_goto] = ACTIONS(513),
    [anon_sym___try] = ACTIONS(516),
    [anon_sym___leave] = ACTIONS(519),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_sizeof] = ACTIONS(525),
    [anon_sym___alignof__] = ACTIONS(528),
    [anon_sym___alignof] = ACTIONS(528),
    [anon_sym__alignof] = ACTIONS(528),
    [anon_sym_alignof] = ACTIONS(528),
    [anon_sym__Alignof] = ACTIONS(528),
    [anon_sym_offsetof] = ACTIONS(531),
    [anon_sym__Generic] = ACTIONS(534),
    [anon_sym_asm] = ACTIONS(537),
    [anon_sym___asm__] = ACTIONS(537),
    [anon_sym___asm] = ACTIONS(537),
    [sym_number_literal] = ACTIONS(540),
    [anon_sym_L_SQUOTE] = ACTIONS(543),
    [anon_sym_u_SQUOTE] = ACTIONS(543),
    [anon_sym_U_SQUOTE] = ACTIONS(543),
    [anon_sym_u8_SQUOTE] = ACTIONS(543),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_L_DQUOTE] = ACTIONS(546),
    [anon_sym_u_DQUOTE] = ACTIONS(546),
    [anon_sym_U_DQUOTE] = ACTIONS(546),
    [anon_sym_u8_DQUOTE] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(546),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [anon_sym_NULL] = ACTIONS(552),
    [anon_sym_nullptr] = ACTIONS(552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(555),
    [anon_sym_decltype] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(567),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(579),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_using] = ACTIONS(585),
    [anon_sym_static_assert] = ACTIONS(588),
    [anon_sym_concept] = ACTIONS(591),
    [anon_sym_co_return] = ACTIONS(594),
    [anon_sym_co_yield] = ACTIONS(597),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(549),
  },
  [34] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4507),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1845),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5967),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(502),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2680),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(667),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1706),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(6328),
    [sym__constructor_specifiers] = STATE(1706),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6328),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1706),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(615),
    [aux_sym_preproc_def_token1] = ACTIONS(618),
    [aux_sym_preproc_if_token1] = ACTIONS(621),
    [aux_sym_preproc_if_token2] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(624),
    [sym_preproc_directive] = ACTIONS(627),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(630),
    [anon_sym___extension__] = ACTIONS(633),
    [anon_sym_typedef] = ACTIONS(636),
    [anon_sym_virtual] = ACTIONS(423),
    [anon_sym_extern] = ACTIONS(639),
    [anon_sym___attribute__] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(435),
    [anon_sym___declspec] = ACTIONS(438),
    [anon_sym___based] = ACTIONS(441),
    [anon_sym___cdecl] = ACTIONS(444),
    [anon_sym___clrcall] = ACTIONS(444),
    [anon_sym___stdcall] = ACTIONS(444),
    [anon_sym___fastcall] = ACTIONS(444),
    [anon_sym___thiscall] = ACTIONS(444),
    [anon_sym___vectorcall] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(642),
    [anon_sym_signed] = ACTIONS(450),
    [anon_sym_unsigned] = ACTIONS(450),
    [anon_sym_long] = ACTIONS(450),
    [anon_sym_short] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_register] = ACTIONS(456),
    [anon_sym_inline] = ACTIONS(645),
    [anon_sym___inline] = ACTIONS(456),
    [anon_sym___inline__] = ACTIONS(456),
    [anon_sym___forceinline] = ACTIONS(456),
    [anon_sym_thread_local] = ACTIONS(456),
    [anon_sym___thread] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_constexpr] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_restrict] = ACTIONS(462),
    [anon_sym___restrict__] = ACTIONS(462),
    [anon_sym__Atomic] = ACTIONS(462),
    [anon_sym__Noreturn] = ACTIONS(462),
    [anon_sym_noreturn] = ACTIONS(462),
    [anon_sym__Nonnull] = ACTIONS(462),
    [anon_sym_mutable] = ACTIONS(462),
    [anon_sym_constinit] = ACTIONS(462),
    [anon_sym_consteval] = ACTIONS(462),
    [anon_sym_alignas] = ACTIONS(465),
    [anon_sym__Alignas] = ACTIONS(465),
    [sym_primitive_type] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(471),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_struct] = ACTIONS(477),
    [anon_sym_union] = ACTIONS(480),
    [anon_sym_if] = ACTIONS(648),
    [anon_sym_switch] = ACTIONS(651),
    [anon_sym_case] = ACTIONS(654),
    [anon_sym_default] = ACTIONS(657),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(663),
    [anon_sym_for] = ACTIONS(666),
    [anon_sym_return] = ACTIONS(669),
    [anon_sym_break] = ACTIONS(672),
    [anon_sym_continue] = ACTIONS(675),
    [anon_sym_goto] = ACTIONS(678),
    [anon_sym___try] = ACTIONS(681),
    [anon_sym___leave] = ACTIONS(684),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_sizeof] = ACTIONS(525),
    [anon_sym___alignof__] = ACTIONS(528),
    [anon_sym___alignof] = ACTIONS(528),
    [anon_sym__alignof] = ACTIONS(528),
    [anon_sym_alignof] = ACTIONS(528),
    [anon_sym__Alignof] = ACTIONS(528),
    [anon_sym_offsetof] = ACTIONS(531),
    [anon_sym__Generic] = ACTIONS(534),
    [anon_sym_asm] = ACTIONS(537),
    [anon_sym___asm__] = ACTIONS(537),
    [anon_sym___asm] = ACTIONS(537),
    [sym_number_literal] = ACTIONS(540),
    [anon_sym_L_SQUOTE] = ACTIONS(543),
    [anon_sym_u_SQUOTE] = ACTIONS(543),
    [anon_sym_U_SQUOTE] = ACTIONS(543),
    [anon_sym_u8_SQUOTE] = ACTIONS(543),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_L_DQUOTE] = ACTIONS(546),
    [anon_sym_u_DQUOTE] = ACTIONS(546),
    [anon_sym_U_DQUOTE] = ACTIONS(546),
    [anon_sym_u8_DQUOTE] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(546),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [anon_sym_NULL] = ACTIONS(552),
    [anon_sym_nullptr] = ACTIONS(552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(555),
    [anon_sym_decltype] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(687),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(690),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(693),
    [anon_sym_namespace] = ACTIONS(696),
    [anon_sym_using] = ACTIONS(699),
    [anon_sym_static_assert] = ACTIONS(702),
    [anon_sym_concept] = ACTIONS(705),
    [anon_sym_co_return] = ACTIONS(708),
    [anon_sym_co_yield] = ACTIONS(711),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(549),
  },
  [35] = {
    [sym__block_item] = STATE(69),
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(69),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [36] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(720),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [37] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [38] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(724),
    [aux_sym_preproc_include_token1] = ACTIONS(727),
    [aux_sym_preproc_def_token1] = ACTIONS(730),
    [aux_sym_preproc_if_token1] = ACTIONS(733),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(736),
    [sym_preproc_directive] = ACTIONS(739),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym___extension__] = ACTIONS(745),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_virtual] = ACTIONS(423),
    [anon_sym_extern] = ACTIONS(751),
    [anon_sym___attribute__] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(435),
    [anon_sym___declspec] = ACTIONS(438),
    [anon_sym___based] = ACTIONS(441),
    [anon_sym___cdecl] = ACTIONS(444),
    [anon_sym___clrcall] = ACTIONS(444),
    [anon_sym___stdcall] = ACTIONS(444),
    [anon_sym___fastcall] = ACTIONS(444),
    [anon_sym___thiscall] = ACTIONS(444),
    [anon_sym___vectorcall] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_signed] = ACTIONS(450),
    [anon_sym_unsigned] = ACTIONS(450),
    [anon_sym_long] = ACTIONS(450),
    [anon_sym_short] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_register] = ACTIONS(456),
    [anon_sym_inline] = ACTIONS(759),
    [anon_sym___inline] = ACTIONS(456),
    [anon_sym___inline__] = ACTIONS(456),
    [anon_sym___forceinline] = ACTIONS(456),
    [anon_sym_thread_local] = ACTIONS(456),
    [anon_sym___thread] = ACTIONS(456),
    [anon_sym_const] = ACTIONS(462),
    [anon_sym_constexpr] = ACTIONS(462),
    [anon_sym_volatile] = ACTIONS(462),
    [anon_sym_restrict] = ACTIONS(462),
    [anon_sym___restrict__] = ACTIONS(462),
    [anon_sym__Atomic] = ACTIONS(462),
    [anon_sym__Noreturn] = ACTIONS(462),
    [anon_sym_noreturn] = ACTIONS(462),
    [anon_sym__Nonnull] = ACTIONS(462),
    [anon_sym_mutable] = ACTIONS(462),
    [anon_sym_constinit] = ACTIONS(462),
    [anon_sym_consteval] = ACTIONS(462),
    [anon_sym_alignas] = ACTIONS(465),
    [anon_sym__Alignas] = ACTIONS(465),
    [sym_primitive_type] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(471),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_struct] = ACTIONS(477),
    [anon_sym_union] = ACTIONS(480),
    [anon_sym_if] = ACTIONS(762),
    [anon_sym_switch] = ACTIONS(765),
    [anon_sym_case] = ACTIONS(768),
    [anon_sym_default] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(774),
    [anon_sym_do] = ACTIONS(777),
    [anon_sym_for] = ACTIONS(780),
    [anon_sym_return] = ACTIONS(783),
    [anon_sym_break] = ACTIONS(786),
    [anon_sym_continue] = ACTIONS(789),
    [anon_sym_goto] = ACTIONS(792),
    [anon_sym___try] = ACTIONS(795),
    [anon_sym___leave] = ACTIONS(798),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_sizeof] = ACTIONS(525),
    [anon_sym___alignof__] = ACTIONS(528),
    [anon_sym___alignof] = ACTIONS(528),
    [anon_sym__alignof] = ACTIONS(528),
    [anon_sym_alignof] = ACTIONS(528),
    [anon_sym__Alignof] = ACTIONS(528),
    [anon_sym_offsetof] = ACTIONS(531),
    [anon_sym__Generic] = ACTIONS(534),
    [anon_sym_asm] = ACTIONS(537),
    [anon_sym___asm__] = ACTIONS(537),
    [anon_sym___asm] = ACTIONS(537),
    [sym_number_literal] = ACTIONS(540),
    [anon_sym_L_SQUOTE] = ACTIONS(543),
    [anon_sym_u_SQUOTE] = ACTIONS(543),
    [anon_sym_U_SQUOTE] = ACTIONS(543),
    [anon_sym_u8_SQUOTE] = ACTIONS(543),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_L_DQUOTE] = ACTIONS(546),
    [anon_sym_u_DQUOTE] = ACTIONS(546),
    [anon_sym_U_DQUOTE] = ACTIONS(546),
    [anon_sym_u8_DQUOTE] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(546),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [anon_sym_NULL] = ACTIONS(552),
    [anon_sym_nullptr] = ACTIONS(552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(555),
    [anon_sym_decltype] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(801),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(804),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(807),
    [anon_sym_namespace] = ACTIONS(810),
    [anon_sym_using] = ACTIONS(813),
    [anon_sym_static_assert] = ACTIONS(816),
    [anon_sym_concept] = ACTIONS(819),
    [anon_sym_co_return] = ACTIONS(822),
    [anon_sym_co_yield] = ACTIONS(825),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(549),
  },
  [39] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(828),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [40] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [41] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(832),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [42] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(834),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [43] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [44] = {
    [sym__block_item] = STATE(59),
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(59),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(838),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [45] = {
    [sym__block_item] = STATE(51),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(51),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(840),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [46] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(842),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [47] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(844),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [48] = {
    [sym__block_item] = STATE(67),
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(67),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(846),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [49] = {
    [sym__block_item] = STATE(71),
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(71),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [50] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [51] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [52] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(854),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [53] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(856),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [54] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(858),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [55] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(860),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [56] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(862),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [57] = {
    [sym__block_item] = STATE(56),
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(56),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [58] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(866),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [59] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(868),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [60] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [61] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(872),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [62] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(874),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [63] = {
    [sym__block_item] = STATE(68),
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if] = STATE(68),
    [sym_preproc_ifdef] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4507),
    [sym_linkage_specification] = STATE(68),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1845),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5967),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(502),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2680),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(667),
    [sym_statement] = STATE(68),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(68),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1706),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(68),
    [sym_template_instantiation] = STATE(68),
    [sym_operator_cast] = STATE(6328),
    [sym__constructor_specifiers] = STATE(1706),
    [sym_operator_cast_definition] = STATE(68),
    [sym_operator_cast_declaration] = STATE(68),
    [sym_constructor_or_destructor_definition] = STATE(68),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(68),
    [sym_namespace_alias_definition] = STATE(68),
    [sym_using_declaration] = STATE(68),
    [sym_alias_declaration] = STATE(68),
    [sym_static_assert_declaration] = STATE(68),
    [sym_concept_definition] = STATE(68),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6328),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(68),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1706),
    [sym_identifier] = ACTIONS(876),
    [aux_sym_preproc_include_token1] = ACTIONS(878),
    [aux_sym_preproc_def_token1] = ACTIONS(880),
    [aux_sym_preproc_if_token1] = ACTIONS(882),
    [aux_sym_preproc_if_token2] = ACTIONS(884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(888),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(892),
    [anon_sym_typedef] = ACTIONS(894),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(896),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(900),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(928),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_namespace] = ACTIONS(934),
    [anon_sym_using] = ACTIONS(936),
    [anon_sym_static_assert] = ACTIONS(938),
    [anon_sym_concept] = ACTIONS(940),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [64] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(946),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [65] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [66] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [67] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(952),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [68] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4507),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1845),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5967),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(502),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2680),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(667),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1706),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(6328),
    [sym__constructor_specifiers] = STATE(1706),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6328),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1706),
    [sym_identifier] = ACTIONS(876),
    [aux_sym_preproc_include_token1] = ACTIONS(878),
    [aux_sym_preproc_def_token1] = ACTIONS(880),
    [aux_sym_preproc_if_token1] = ACTIONS(882),
    [aux_sym_preproc_if_token2] = ACTIONS(954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(888),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(892),
    [anon_sym_typedef] = ACTIONS(894),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(896),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(900),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(928),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_namespace] = ACTIONS(934),
    [anon_sym_using] = ACTIONS(936),
    [anon_sym_static_assert] = ACTIONS(938),
    [anon_sym_concept] = ACTIONS(940),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [69] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(956),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [70] = {
    [sym__block_item] = STATE(36),
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(36),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [71] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(960),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [72] = {
    [sym__block_item] = STATE(79),
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(79),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [73] = {
    [sym__block_item] = STATE(61),
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(61),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(964),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [74] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [75] = {
    [sym__block_item] = STATE(74),
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(74),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(968),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [76] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(970),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [77] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [78] = {
    [sym__block_item] = STATE(77),
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [79] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5968),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(646),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1772),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1772),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4328),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1772),
    [sym_identifier] = ACTIONS(714),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(976),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [80] = {
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4402),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1867),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2685),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(698),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4611),
    [sym_conditional_expression] = STATE(4657),
    [sym_assignment_expression] = STATE(4657),
    [sym_pointer_expression] = STATE(3624),
    [sym_unary_expression] = STATE(4657),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(4657),
    [sym_cast_expression] = STATE(4657),
    [sym_sizeof_expression] = STATE(4657),
    [sym_alignof_expression] = STATE(4657),
    [sym_offsetof_expression] = STATE(4657),
    [sym_generic_expression] = STATE(4657),
    [sym_subscript_expression] = STATE(3624),
    [sym_call_expression] = STATE(3624),
    [sym_gnu_asm_expression] = STATE(4657),
    [sym_extension_expression] = STATE(4657),
    [sym_field_expression] = STATE(3624),
    [sym_compound_literal_expression] = STATE(4657),
    [sym_parenthesized_expression] = STATE(3624),
    [sym_char_literal] = STATE(4611),
    [sym_concatenated_string] = STATE(4611),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(4657),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1698),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6334),
    [sym__constructor_specifiers] = STATE(1698),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4614),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(4657),
    [sym_new_expression] = STATE(4657),
    [sym_delete_expression] = STATE(4657),
    [sym_requires_clause] = STATE(4657),
    [sym_requires_expression] = STATE(4657),
    [sym_lambda_expression] = STATE(4657),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(4657),
    [sym_parameter_pack_expansion] = STATE(4657),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3444),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6334),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3624),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1698),
    [ts_builtin_sym_end] = ACTIONS(978),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(45),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(61),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(111),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(117),
    [sym_false] = ACTIONS(117),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(117),
  },
  [81] = {
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4402),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(824),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1867),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5932),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2685),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(698),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4618),
    [sym__string] = STATE(4611),
    [sym_conditional_expression] = STATE(4657),
    [sym_assignment_expression] = STATE(4657),
    [sym_pointer_expression] = STATE(3624),
    [sym_unary_expression] = STATE(4657),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(4657),
    [sym_cast_expression] = STATE(4657),
    [sym_sizeof_expression] = STATE(4657),
    [sym_alignof_expression] = STATE(4657),
    [sym_offsetof_expression] = STATE(4657),
    [sym_generic_expression] = STATE(4657),
    [sym_subscript_expression] = STATE(3624),
    [sym_call_expression] = STATE(3624),
    [sym_gnu_asm_expression] = STATE(4657),
    [sym_extension_expression] = STATE(4657),
    [sym_field_expression] = STATE(3624),
    [sym_compound_literal_expression] = STATE(4657),
    [sym_parenthesized_expression] = STATE(3624),
    [sym_char_literal] = STATE(4611),
    [sym_concatenated_string] = STATE(4611),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(4657),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_explicit_function_specifier] = STATE(1698),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6334),
    [sym__constructor_specifiers] = STATE(1698),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(4614),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(4657),
    [sym_new_expression] = STATE(4657),
    [sym_delete_expression] = STATE(4657),
    [sym_requires_clause] = STATE(4657),
    [sym_requires_expression] = STATE(4657),
    [sym_lambda_expression] = STATE(4657),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(4657),
    [sym_parameter_pack_expansion] = STATE(4657),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5169),
    [sym_qualified_identifier] = STATE(3444),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_qualified_operator_cast_identifier] = STATE(6334),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3624),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1698),
    [ts_builtin_sym_end] = ACTIONS(980),
    [sym_identifier] = ACTIONS(982),
    [aux_sym_preproc_include_token1] = ACTIONS(985),
    [aux_sym_preproc_def_token1] = ACTIONS(988),
    [aux_sym_preproc_if_token1] = ACTIONS(991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(994),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(1000),
    [anon_sym_BANG] = ACTIONS(1003),
    [anon_sym_TILDE] = ACTIONS(1006),
    [anon_sym_DASH] = ACTIONS(1009),
    [anon_sym_PLUS] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_AMP_AMP] = ACTIONS(1015),
    [anon_sym_AMP] = ACTIONS(1018),
    [anon_sym___extension__] = ACTIONS(1021),
    [anon_sym_typedef] = ACTIONS(1024),
    [anon_sym_virtual] = ACTIONS(1027),
    [anon_sym_extern] = ACTIONS(1030),
    [anon_sym___attribute__] = ACTIONS(1033),
    [anon_sym_COLON_COLON] = ACTIONS(1036),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1039),
    [anon_sym___declspec] = ACTIONS(1042),
    [anon_sym___based] = ACTIONS(1045),
    [anon_sym___cdecl] = ACTIONS(1048),
    [anon_sym___clrcall] = ACTIONS(1048),
    [anon_sym___stdcall] = ACTIONS(1048),
    [anon_sym___fastcall] = ACTIONS(1048),
    [anon_sym___thiscall] = ACTIONS(1048),
    [anon_sym___vectorcall] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_signed] = ACTIONS(1054),
    [anon_sym_unsigned] = ACTIONS(1054),
    [anon_sym_long] = ACTIONS(1054),
    [anon_sym_short] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_static] = ACTIONS(1060),
    [anon_sym_register] = ACTIONS(1060),
    [anon_sym_inline] = ACTIONS(1063),
    [anon_sym___inline] = ACTIONS(1060),
    [anon_sym___inline__] = ACTIONS(1060),
    [anon_sym___forceinline] = ACTIONS(1060),
    [anon_sym_thread_local] = ACTIONS(1060),
    [anon_sym___thread] = ACTIONS(1060),
    [anon_sym_const] = ACTIONS(1066),
    [anon_sym_constexpr] = ACTIONS(1066),
    [anon_sym_volatile] = ACTIONS(1066),
    [anon_sym_restrict] = ACTIONS(1066),
    [anon_sym___restrict__] = ACTIONS(1066),
    [anon_sym__Atomic] = ACTIONS(1066),
    [anon_sym__Noreturn] = ACTIONS(1066),
    [anon_sym_noreturn] = ACTIONS(1066),
    [anon_sym__Nonnull] = ACTIONS(1066),
    [anon_sym_mutable] = ACTIONS(1066),
    [anon_sym_constinit] = ACTIONS(1066),
    [anon_sym_consteval] = ACTIONS(1066),
    [anon_sym_alignas] = ACTIONS(1069),
    [anon_sym__Alignas] = ACTIONS(1069),
    [sym_primitive_type] = ACTIONS(1072),
    [anon_sym_enum] = ACTIONS(1075),
    [anon_sym_class] = ACTIONS(1078),
    [anon_sym_struct] = ACTIONS(1081),
    [anon_sym_union] = ACTIONS(1084),
    [anon_sym_if] = ACTIONS(1087),
    [anon_sym_switch] = ACTIONS(1090),
    [anon_sym_case] = ACTIONS(1093),
    [anon_sym_default] = ACTIONS(1096),
    [anon_sym_while] = ACTIONS(1099),
    [anon_sym_do] = ACTIONS(1102),
    [anon_sym_for] = ACTIONS(1105),
    [anon_sym_return] = ACTIONS(1108),
    [anon_sym_break] = ACTIONS(1111),
    [anon_sym_continue] = ACTIONS(1114),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym_not] = ACTIONS(1009),
    [anon_sym_compl] = ACTIONS(1009),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_sizeof] = ACTIONS(1123),
    [anon_sym___alignof__] = ACTIONS(1126),
    [anon_sym___alignof] = ACTIONS(1126),
    [anon_sym__alignof] = ACTIONS(1126),
    [anon_sym_alignof] = ACTIONS(1126),
    [anon_sym__Alignof] = ACTIONS(1126),
    [anon_sym_offsetof] = ACTIONS(1129),
    [anon_sym__Generic] = ACTIONS(1132),
    [anon_sym_asm] = ACTIONS(1135),
    [anon_sym___asm__] = ACTIONS(1135),
    [anon_sym___asm] = ACTIONS(1135),
    [sym_number_literal] = ACTIONS(1138),
    [anon_sym_L_SQUOTE] = ACTIONS(1141),
    [anon_sym_u_SQUOTE] = ACTIONS(1141),
    [anon_sym_U_SQUOTE] = ACTIONS(1141),
    [anon_sym_u8_SQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_L_DQUOTE] = ACTIONS(1144),
    [anon_sym_u_DQUOTE] = ACTIONS(1144),
    [anon_sym_U_DQUOTE] = ACTIONS(1144),
    [anon_sym_u8_DQUOTE] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [anon_sym_NULL] = ACTIONS(1150),
    [anon_sym_nullptr] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1153),
    [anon_sym_decltype] = ACTIONS(1156),
    [anon_sym_explicit] = ACTIONS(1159),
    [anon_sym_typename] = ACTIONS(1162),
    [anon_sym_template] = ACTIONS(1165),
    [anon_sym_operator] = ACTIONS(1168),
    [anon_sym_try] = ACTIONS(1171),
    [anon_sym_delete] = ACTIONS(1174),
    [anon_sym_throw] = ACTIONS(1177),
    [anon_sym_namespace] = ACTIONS(1180),
    [anon_sym_using] = ACTIONS(1183),
    [anon_sym_static_assert] = ACTIONS(1186),
    [anon_sym_concept] = ACTIONS(1189),
    [anon_sym_co_return] = ACTIONS(1192),
    [anon_sym_co_yield] = ACTIONS(1195),
    [anon_sym_R_DQUOTE] = ACTIONS(1198),
    [anon_sym_LR_DQUOTE] = ACTIONS(1198),
    [anon_sym_uR_DQUOTE] = ACTIONS(1198),
    [anon_sym_UR_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1198),
    [anon_sym_co_await] = ACTIONS(1201),
    [anon_sym_new] = ACTIONS(1204),
    [anon_sym_requires] = ACTIONS(1207),
    [sym_this] = ACTIONS(1147),
  },
  [82] = {
    [sym_declaration] = STATE(86),
    [sym_type_definition] = STATE(86),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4860),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(86),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(86),
    [sym_labeled_statement] = STATE(86),
    [sym_expression_statement] = STATE(86),
    [sym_if_statement] = STATE(86),
    [sym_switch_statement] = STATE(86),
    [sym_while_statement] = STATE(86),
    [sym_do_statement] = STATE(86),
    [sym_for_statement] = STATE(86),
    [sym_return_statement] = STATE(86),
    [sym_break_statement] = STATE(86),
    [sym_continue_statement] = STATE(86),
    [sym_goto_statement] = STATE(86),
    [sym_seh_try_statement] = STATE(86),
    [sym_seh_leave_statement] = STATE(86),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(86),
    [sym_co_return_statement] = STATE(86),
    [sym_co_yield_statement] = STATE(86),
    [sym_throw_statement] = STATE(86),
    [sym_try_statement] = STATE(86),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(86),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [aux_sym_preproc_else_token1] = ACTIONS(1212),
    [aux_sym_preproc_elif_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [83] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4860),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token2] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [aux_sym_preproc_else_token1] = ACTIONS(1232),
    [aux_sym_preproc_elif_token1] = ACTIONS(1232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1232),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1232),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1232),
    [anon_sym_using] = ACTIONS(1232),
    [anon_sym_static_assert] = ACTIONS(1232),
    [anon_sym_concept] = ACTIONS(1232),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [84] = {
    [sym_declaration] = STATE(86),
    [sym_type_definition] = STATE(86),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4860),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(86),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(86),
    [sym_labeled_statement] = STATE(86),
    [sym_expression_statement] = STATE(86),
    [sym_if_statement] = STATE(86),
    [sym_switch_statement] = STATE(86),
    [sym_while_statement] = STATE(86),
    [sym_do_statement] = STATE(86),
    [sym_for_statement] = STATE(86),
    [sym_return_statement] = STATE(86),
    [sym_break_statement] = STATE(86),
    [sym_continue_statement] = STATE(86),
    [sym_goto_statement] = STATE(86),
    [sym_seh_try_statement] = STATE(86),
    [sym_seh_leave_statement] = STATE(86),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(86),
    [sym_co_return_statement] = STATE(86),
    [sym_co_yield_statement] = STATE(86),
    [sym_throw_statement] = STATE(86),
    [sym_try_statement] = STATE(86),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(86),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token2] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [aux_sym_preproc_else_token1] = ACTIONS(1236),
    [aux_sym_preproc_elif_token1] = ACTIONS(1236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1236),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1236),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1236),
    [anon_sym_using] = ACTIONS(1236),
    [anon_sym_static_assert] = ACTIONS(1236),
    [anon_sym_concept] = ACTIONS(1236),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [85] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4860),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token2] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [aux_sym_preproc_else_token1] = ACTIONS(1240),
    [aux_sym_preproc_elif_token1] = ACTIONS(1240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1240),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1240),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(1240),
    [anon_sym_static_assert] = ACTIONS(1240),
    [anon_sym_concept] = ACTIONS(1240),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [86] = {
    [sym_declaration] = STATE(86),
    [sym_type_definition] = STATE(86),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4860),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(86),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(86),
    [sym_labeled_statement] = STATE(86),
    [sym_expression_statement] = STATE(86),
    [sym_if_statement] = STATE(86),
    [sym_switch_statement] = STATE(86),
    [sym_while_statement] = STATE(86),
    [sym_do_statement] = STATE(86),
    [sym_for_statement] = STATE(86),
    [sym_return_statement] = STATE(86),
    [sym_break_statement] = STATE(86),
    [sym_continue_statement] = STATE(86),
    [sym_goto_statement] = STATE(86),
    [sym_seh_try_statement] = STATE(86),
    [sym_seh_leave_statement] = STATE(86),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(86),
    [sym_co_return_statement] = STATE(86),
    [sym_co_yield_statement] = STATE(86),
    [sym_throw_statement] = STATE(86),
    [sym_try_statement] = STATE(86),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(86),
    [sym_identifier] = ACTIONS(1244),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token2] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [aux_sym_preproc_else_token1] = ACTIONS(1247),
    [aux_sym_preproc_elif_token1] = ACTIONS(1247),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym___extension__] = ACTIONS(1269),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_virtual] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1278),
    [anon_sym___attribute__] = ACTIONS(1281),
    [anon_sym_COLON_COLON] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1287),
    [anon_sym___declspec] = ACTIONS(1290),
    [anon_sym___based] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_register] = ACTIONS(1278),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym___inline] = ACTIONS(1278),
    [anon_sym___inline__] = ACTIONS(1278),
    [anon_sym___forceinline] = ACTIONS(1278),
    [anon_sym_thread_local] = ACTIONS(1278),
    [anon_sym___thread] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [anon_sym__Nonnull] = ACTIONS(1302),
    [anon_sym_mutable] = ACTIONS(1302),
    [anon_sym_constinit] = ACTIONS(1302),
    [anon_sym_consteval] = ACTIONS(1302),
    [anon_sym_alignas] = ACTIONS(1305),
    [anon_sym__Alignas] = ACTIONS(1305),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_class] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1317),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1329),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1341),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1347),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1353),
    [anon_sym_not] = ACTIONS(1255),
    [anon_sym_compl] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1359),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1371),
    [anon_sym___asm__] = ACTIONS(1371),
    [anon_sym___asm] = ACTIONS(1371),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1377),
    [anon_sym_u_SQUOTE] = ACTIONS(1377),
    [anon_sym_U_SQUOTE] = ACTIONS(1377),
    [anon_sym_u8_SQUOTE] = ACTIONS(1377),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1389),
    [anon_sym_decltype] = ACTIONS(1392),
    [anon_sym_explicit] = ACTIONS(1247),
    [anon_sym_typename] = ACTIONS(1395),
    [anon_sym_template] = ACTIONS(1398),
    [anon_sym_operator] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1401),
    [anon_sym_delete] = ACTIONS(1404),
    [anon_sym_throw] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1247),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_static_assert] = ACTIONS(1247),
    [anon_sym_concept] = ACTIONS(1247),
    [anon_sym_co_return] = ACTIONS(1410),
    [anon_sym_co_yield] = ACTIONS(1413),
    [anon_sym_R_DQUOTE] = ACTIONS(1416),
    [anon_sym_LR_DQUOTE] = ACTIONS(1416),
    [anon_sym_uR_DQUOTE] = ACTIONS(1416),
    [anon_sym_UR_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1416),
    [anon_sym_co_await] = ACTIONS(1419),
    [anon_sym_new] = ACTIONS(1422),
    [anon_sym_requires] = ACTIONS(1425),
    [sym_this] = ACTIONS(1383),
  },
  [87] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4825),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1240),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1240),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(1240),
    [anon_sym_static_assert] = ACTIONS(1240),
    [anon_sym_concept] = ACTIONS(1240),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [88] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4825),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [89] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4825),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1232),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1232),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1232),
    [anon_sym_using] = ACTIONS(1232),
    [anon_sym_static_assert] = ACTIONS(1232),
    [anon_sym_concept] = ACTIONS(1232),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [90] = {
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4829),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(93),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token2] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(894),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1236),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1236),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_namespace] = ACTIONS(1236),
    [anon_sym_using] = ACTIONS(1236),
    [anon_sym_static_assert] = ACTIONS(1236),
    [anon_sym_concept] = ACTIONS(1236),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [91] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4829),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token2] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(894),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1240),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1240),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_namespace] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(1240),
    [anon_sym_static_assert] = ACTIONS(1240),
    [anon_sym_concept] = ACTIONS(1240),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [92] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1240),
    [aux_sym_preproc_def_token1] = ACTIONS(1240),
    [aux_sym_preproc_if_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1240),
    [sym_preproc_directive] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1240),
    [anon_sym___cdecl] = ACTIONS(1240),
    [anon_sym___clrcall] = ACTIONS(1240),
    [anon_sym___stdcall] = ACTIONS(1240),
    [anon_sym___fastcall] = ACTIONS(1240),
    [anon_sym___thiscall] = ACTIONS(1240),
    [anon_sym___vectorcall] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1240),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1240),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(1240),
    [anon_sym_static_assert] = ACTIONS(1240),
    [anon_sym_concept] = ACTIONS(1240),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [93] = {
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4829),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(93),
    [sym_identifier] = ACTIONS(1446),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token2] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1455),
    [anon_sym_virtual] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1278),
    [anon_sym___attribute__] = ACTIONS(1281),
    [anon_sym_COLON_COLON] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1287),
    [anon_sym___declspec] = ACTIONS(1290),
    [anon_sym___based] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_register] = ACTIONS(1278),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym___inline] = ACTIONS(1278),
    [anon_sym___inline__] = ACTIONS(1278),
    [anon_sym___forceinline] = ACTIONS(1278),
    [anon_sym_thread_local] = ACTIONS(1278),
    [anon_sym___thread] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [anon_sym__Nonnull] = ACTIONS(1302),
    [anon_sym_mutable] = ACTIONS(1302),
    [anon_sym_constinit] = ACTIONS(1302),
    [anon_sym_consteval] = ACTIONS(1302),
    [anon_sym_alignas] = ACTIONS(1305),
    [anon_sym__Alignas] = ACTIONS(1305),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_class] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1317),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1467),
    [anon_sym_do] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1473),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1479),
    [anon_sym_continue] = ACTIONS(1482),
    [anon_sym_goto] = ACTIONS(1485),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1491),
    [anon_sym_not] = ACTIONS(1255),
    [anon_sym_compl] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1359),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1371),
    [anon_sym___asm__] = ACTIONS(1371),
    [anon_sym___asm] = ACTIONS(1371),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1377),
    [anon_sym_u_SQUOTE] = ACTIONS(1377),
    [anon_sym_U_SQUOTE] = ACTIONS(1377),
    [anon_sym_u8_SQUOTE] = ACTIONS(1377),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1389),
    [anon_sym_decltype] = ACTIONS(1392),
    [anon_sym_explicit] = ACTIONS(1247),
    [anon_sym_typename] = ACTIONS(1395),
    [anon_sym_template] = ACTIONS(1398),
    [anon_sym_operator] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1494),
    [anon_sym_delete] = ACTIONS(1404),
    [anon_sym_throw] = ACTIONS(1497),
    [anon_sym_namespace] = ACTIONS(1247),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_static_assert] = ACTIONS(1247),
    [anon_sym_concept] = ACTIONS(1247),
    [anon_sym_co_return] = ACTIONS(1500),
    [anon_sym_co_yield] = ACTIONS(1503),
    [anon_sym_R_DQUOTE] = ACTIONS(1416),
    [anon_sym_LR_DQUOTE] = ACTIONS(1416),
    [anon_sym_uR_DQUOTE] = ACTIONS(1416),
    [anon_sym_UR_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1416),
    [anon_sym_co_await] = ACTIONS(1419),
    [anon_sym_new] = ACTIONS(1422),
    [anon_sym_requires] = ACTIONS(1425),
    [sym_this] = ACTIONS(1383),
  },
  [94] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4829),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token2] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(894),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1232),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1232),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_namespace] = ACTIONS(1232),
    [anon_sym_using] = ACTIONS(1232),
    [anon_sym_static_assert] = ACTIONS(1232),
    [anon_sym_concept] = ACTIONS(1232),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [95] = {
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4829),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(93),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(894),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [96] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1236),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1236),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1236),
    [anon_sym_using] = ACTIONS(1236),
    [anon_sym_static_assert] = ACTIONS(1236),
    [anon_sym_concept] = ACTIONS(1236),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [97] = {
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(96),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1232),
    [aux_sym_preproc_def_token1] = ACTIONS(1232),
    [aux_sym_preproc_if_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1232),
    [sym_preproc_directive] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1232),
    [anon_sym___cdecl] = ACTIONS(1232),
    [anon_sym___clrcall] = ACTIONS(1232),
    [anon_sym___stdcall] = ACTIONS(1232),
    [anon_sym___fastcall] = ACTIONS(1232),
    [anon_sym___thiscall] = ACTIONS(1232),
    [anon_sym___vectorcall] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1232),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1232),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1232),
    [anon_sym_using] = ACTIONS(1232),
    [anon_sym_static_assert] = ACTIONS(1232),
    [anon_sym_concept] = ACTIONS(1232),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [98] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4825),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1261),
    [sym_identifier] = ACTIONS(1506),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1509),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1515),
    [anon_sym_virtual] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1278),
    [anon_sym___attribute__] = ACTIONS(1281),
    [anon_sym_COLON_COLON] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1287),
    [anon_sym___declspec] = ACTIONS(1290),
    [anon_sym___based] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_register] = ACTIONS(1278),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym___inline] = ACTIONS(1278),
    [anon_sym___inline__] = ACTIONS(1278),
    [anon_sym___forceinline] = ACTIONS(1278),
    [anon_sym_thread_local] = ACTIONS(1278),
    [anon_sym___thread] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [anon_sym__Nonnull] = ACTIONS(1302),
    [anon_sym_mutable] = ACTIONS(1302),
    [anon_sym_constinit] = ACTIONS(1302),
    [anon_sym_consteval] = ACTIONS(1302),
    [anon_sym_alignas] = ACTIONS(1305),
    [anon_sym__Alignas] = ACTIONS(1305),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_class] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1317),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1521),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1524),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1527),
    [anon_sym_do] = ACTIONS(1530),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1536),
    [anon_sym_break] = ACTIONS(1539),
    [anon_sym_continue] = ACTIONS(1542),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1548),
    [anon_sym___leave] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1255),
    [anon_sym_compl] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1359),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1371),
    [anon_sym___asm__] = ACTIONS(1371),
    [anon_sym___asm] = ACTIONS(1371),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1377),
    [anon_sym_u_SQUOTE] = ACTIONS(1377),
    [anon_sym_U_SQUOTE] = ACTIONS(1377),
    [anon_sym_u8_SQUOTE] = ACTIONS(1377),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1389),
    [anon_sym_decltype] = ACTIONS(1392),
    [anon_sym_explicit] = ACTIONS(1247),
    [anon_sym_typename] = ACTIONS(1395),
    [anon_sym_template] = ACTIONS(1398),
    [anon_sym_operator] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1554),
    [anon_sym_delete] = ACTIONS(1404),
    [anon_sym_throw] = ACTIONS(1557),
    [anon_sym_namespace] = ACTIONS(1247),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_static_assert] = ACTIONS(1247),
    [anon_sym_concept] = ACTIONS(1247),
    [anon_sym_co_return] = ACTIONS(1560),
    [anon_sym_co_yield] = ACTIONS(1563),
    [anon_sym_R_DQUOTE] = ACTIONS(1416),
    [anon_sym_LR_DQUOTE] = ACTIONS(1416),
    [anon_sym_uR_DQUOTE] = ACTIONS(1416),
    [anon_sym_UR_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1416),
    [anon_sym_co_await] = ACTIONS(1419),
    [anon_sym_new] = ACTIONS(1422),
    [anon_sym_requires] = ACTIONS(1425),
    [sym_this] = ACTIONS(1383),
  },
  [99] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [100] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1566),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1569),
    [anon_sym___extension__] = ACTIONS(1572),
    [anon_sym_typedef] = ACTIONS(1575),
    [anon_sym_virtual] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1278),
    [anon_sym___attribute__] = ACTIONS(1281),
    [anon_sym_COLON_COLON] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1287),
    [anon_sym___declspec] = ACTIONS(1290),
    [anon_sym___based] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_register] = ACTIONS(1278),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym___inline] = ACTIONS(1278),
    [anon_sym___inline__] = ACTIONS(1278),
    [anon_sym___forceinline] = ACTIONS(1278),
    [anon_sym_thread_local] = ACTIONS(1278),
    [anon_sym___thread] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [anon_sym__Nonnull] = ACTIONS(1302),
    [anon_sym_mutable] = ACTIONS(1302),
    [anon_sym_constinit] = ACTIONS(1302),
    [anon_sym_consteval] = ACTIONS(1302),
    [anon_sym_alignas] = ACTIONS(1305),
    [anon_sym__Alignas] = ACTIONS(1305),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_class] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1317),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1584),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1587),
    [anon_sym_do] = ACTIONS(1590),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1596),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_continue] = ACTIONS(1602),
    [anon_sym_goto] = ACTIONS(1605),
    [anon_sym___try] = ACTIONS(1608),
    [anon_sym___leave] = ACTIONS(1611),
    [anon_sym_not] = ACTIONS(1255),
    [anon_sym_compl] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1359),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1371),
    [anon_sym___asm__] = ACTIONS(1371),
    [anon_sym___asm] = ACTIONS(1371),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1377),
    [anon_sym_u_SQUOTE] = ACTIONS(1377),
    [anon_sym_U_SQUOTE] = ACTIONS(1377),
    [anon_sym_u8_SQUOTE] = ACTIONS(1377),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1389),
    [anon_sym_decltype] = ACTIONS(1392),
    [anon_sym_explicit] = ACTIONS(1247),
    [anon_sym_typename] = ACTIONS(1395),
    [anon_sym_template] = ACTIONS(1398),
    [anon_sym_operator] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1614),
    [anon_sym_delete] = ACTIONS(1404),
    [anon_sym_throw] = ACTIONS(1617),
    [anon_sym_namespace] = ACTIONS(1247),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_static_assert] = ACTIONS(1247),
    [anon_sym_concept] = ACTIONS(1247),
    [anon_sym_co_return] = ACTIONS(1620),
    [anon_sym_co_yield] = ACTIONS(1623),
    [anon_sym_R_DQUOTE] = ACTIONS(1416),
    [anon_sym_LR_DQUOTE] = ACTIONS(1416),
    [anon_sym_uR_DQUOTE] = ACTIONS(1416),
    [anon_sym_UR_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1416),
    [anon_sym_co_await] = ACTIONS(1419),
    [anon_sym_new] = ACTIONS(1422),
    [anon_sym_requires] = ACTIONS(1425),
    [sym_this] = ACTIONS(1383),
  },
  [101] = {
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4825),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym_seh_try_statement] = STATE(98),
    [sym_seh_leave_statement] = STATE(98),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(98),
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1236),
    [aux_sym_preproc_def_token1] = ACTIONS(1236),
    [aux_sym_preproc_if_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1236),
    [sym_preproc_directive] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(1236),
    [anon_sym___cdecl] = ACTIONS(1236),
    [anon_sym___clrcall] = ACTIONS(1236),
    [anon_sym___stdcall] = ACTIONS(1236),
    [anon_sym___fastcall] = ACTIONS(1236),
    [anon_sym___thiscall] = ACTIONS(1236),
    [anon_sym___vectorcall] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1236),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1236),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1236),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1236),
    [anon_sym_using] = ACTIONS(1236),
    [anon_sym_static_assert] = ACTIONS(1236),
    [anon_sym_concept] = ACTIONS(1236),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [102] = {
    [sym_declaration] = STATE(442),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(442),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4206),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7276),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [103] = {
    [sym_declaration] = STATE(442),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(442),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [104] = {
    [sym_declaration] = STATE(456),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4825),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(530),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(456),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1628),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [105] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4955),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [106] = {
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4955),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(107),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(107),
    [sym_co_return_statement] = STATE(107),
    [sym_co_yield_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [107] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4955),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [108] = {
    [sym_declaration] = STATE(841),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4955),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(869),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(869),
    [sym_statement] = STATE(841),
    [sym_labeled_statement] = STATE(869),
    [sym_expression_statement] = STATE(869),
    [sym_if_statement] = STATE(869),
    [sym_switch_statement] = STATE(869),
    [sym_case_statement] = STATE(869),
    [sym_while_statement] = STATE(869),
    [sym_do_statement] = STATE(869),
    [sym_for_statement] = STATE(869),
    [sym_return_statement] = STATE(869),
    [sym_break_statement] = STATE(869),
    [sym_continue_statement] = STATE(869),
    [sym_goto_statement] = STATE(869),
    [sym_seh_try_statement] = STATE(869),
    [sym_seh_leave_statement] = STATE(869),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(869),
    [sym_co_return_statement] = STATE(869),
    [sym_co_yield_statement] = STATE(869),
    [sym_throw_statement] = STATE(869),
    [sym_try_statement] = STATE(869),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [109] = {
    [sym_declaration] = STATE(436),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4829),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(502),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(502),
    [sym_statement] = STATE(436),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [110] = {
    [sym_declaration] = STATE(456),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4825),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(491),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(456),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [111] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4955),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym___extension__] = ACTIONS(1688),
    [anon_sym_typedef] = ACTIONS(1691),
    [anon_sym_virtual] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1278),
    [anon_sym___attribute__] = ACTIONS(1281),
    [anon_sym_COLON_COLON] = ACTIONS(1284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1287),
    [anon_sym___declspec] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_signed] = ACTIONS(1296),
    [anon_sym_unsigned] = ACTIONS(1296),
    [anon_sym_long] = ACTIONS(1296),
    [anon_sym_short] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_register] = ACTIONS(1278),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym___inline] = ACTIONS(1278),
    [anon_sym___inline__] = ACTIONS(1278),
    [anon_sym___forceinline] = ACTIONS(1278),
    [anon_sym_thread_local] = ACTIONS(1278),
    [anon_sym___thread] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [anon_sym__Nonnull] = ACTIONS(1302),
    [anon_sym_mutable] = ACTIONS(1302),
    [anon_sym_constinit] = ACTIONS(1302),
    [anon_sym_consteval] = ACTIONS(1302),
    [anon_sym_alignas] = ACTIONS(1305),
    [anon_sym__Alignas] = ACTIONS(1305),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_class] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1317),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1697),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1700),
    [anon_sym_while] = ACTIONS(1703),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_for] = ACTIONS(1709),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1718),
    [anon_sym_goto] = ACTIONS(1721),
    [anon_sym___try] = ACTIONS(1724),
    [anon_sym___leave] = ACTIONS(1727),
    [anon_sym_not] = ACTIONS(1255),
    [anon_sym_compl] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1359),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1371),
    [anon_sym___asm__] = ACTIONS(1371),
    [anon_sym___asm] = ACTIONS(1371),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1377),
    [anon_sym_u_SQUOTE] = ACTIONS(1377),
    [anon_sym_U_SQUOTE] = ACTIONS(1377),
    [anon_sym_u8_SQUOTE] = ACTIONS(1377),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1389),
    [anon_sym_decltype] = ACTIONS(1392),
    [anon_sym_typename] = ACTIONS(1395),
    [anon_sym_template] = ACTIONS(1398),
    [anon_sym_try] = ACTIONS(1730),
    [anon_sym_delete] = ACTIONS(1404),
    [anon_sym_throw] = ACTIONS(1733),
    [anon_sym_co_return] = ACTIONS(1736),
    [anon_sym_co_yield] = ACTIONS(1739),
    [anon_sym_R_DQUOTE] = ACTIONS(1416),
    [anon_sym_LR_DQUOTE] = ACTIONS(1416),
    [anon_sym_uR_DQUOTE] = ACTIONS(1416),
    [anon_sym_UR_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1416),
    [anon_sym_co_await] = ACTIONS(1419),
    [anon_sym_new] = ACTIONS(1422),
    [anon_sym_requires] = ACTIONS(1425),
    [sym_this] = ACTIONS(1383),
  },
  [112] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4955),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_else] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [113] = {
    [sym_declaration] = STATE(275),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4860),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(872),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_compound_statement] = STATE(235),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_attributed_statement] = STATE(235),
    [sym_statement] = STATE(275),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1210),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [114] = {
    [sym_declaration] = STATE(368),
    [sym_type_definition] = STATE(3961),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4882),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_expression_statement] = STATE(3961),
    [sym__for_statement_body] = STATE(7443),
    [sym_expression] = STATE(4215),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7529),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_alias_declaration] = STATE(3961),
    [sym__for_range_loop_body] = STATE(7444),
    [sym_init_statement] = STATE(1849),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym___extension__] = ACTIONS(1746),
    [anon_sym_typedef] = ACTIONS(1748),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1752),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [115] = {
    [sym_declaration] = STATE(368),
    [sym_type_definition] = STATE(3961),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4882),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_expression_statement] = STATE(3961),
    [sym__for_statement_body] = STATE(7744),
    [sym_expression] = STATE(4215),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7529),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_alias_declaration] = STATE(3961),
    [sym__for_range_loop_body] = STATE(7742),
    [sym_init_statement] = STATE(1849),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym___extension__] = ACTIONS(1746),
    [anon_sym_typedef] = ACTIONS(1748),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1752),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [116] = {
    [sym_declaration] = STATE(368),
    [sym_type_definition] = STATE(3961),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4882),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_expression_statement] = STATE(3961),
    [sym__for_statement_body] = STATE(8162),
    [sym_expression] = STATE(4215),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7529),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_alias_declaration] = STATE(3961),
    [sym__for_range_loop_body] = STATE(8161),
    [sym_init_statement] = STATE(1849),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym___extension__] = ACTIONS(1746),
    [anon_sym_typedef] = ACTIONS(1748),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1752),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [117] = {
    [sym_declaration] = STATE(368),
    [sym_type_definition] = STATE(3961),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4882),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_expression_statement] = STATE(3961),
    [sym__for_statement_body] = STATE(7544),
    [sym_expression] = STATE(4215),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7529),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_alias_declaration] = STATE(3961),
    [sym__for_range_loop_body] = STATE(7545),
    [sym_init_statement] = STATE(1849),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym___extension__] = ACTIONS(1746),
    [anon_sym_typedef] = ACTIONS(1748),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1752),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [118] = {
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(5031),
    [sym__declarator] = STATE(6261),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7830),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3076),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5428),
    [sym_qualified_identifier] = STATE(3121),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1758),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1762),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1774),
    [anon_sym___clrcall] = ACTIONS(1774),
    [anon_sym___stdcall] = ACTIONS(1774),
    [anon_sym___fastcall] = ACTIONS(1774),
    [anon_sym___thiscall] = ACTIONS(1774),
    [anon_sym___vectorcall] = ACTIONS(1774),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [119] = {
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(5031),
    [sym__declarator] = STATE(6261),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(8122),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3076),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5428),
    [sym_qualified_identifier] = STATE(3121),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1758),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1762),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1774),
    [anon_sym___clrcall] = ACTIONS(1774),
    [anon_sym___stdcall] = ACTIONS(1774),
    [anon_sym___fastcall] = ACTIONS(1774),
    [anon_sym___thiscall] = ACTIONS(1774),
    [anon_sym___vectorcall] = ACTIONS(1774),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [120] = {
    [sym_declaration] = STATE(368),
    [sym_type_definition] = STATE(3961),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4882),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_expression_statement] = STATE(3961),
    [sym__for_statement_body] = STATE(7509),
    [sym_expression] = STATE(4215),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7529),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_alias_declaration] = STATE(3961),
    [sym__for_range_loop_body] = STATE(7540),
    [sym_init_statement] = STATE(1849),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym___extension__] = ACTIONS(1746),
    [anon_sym_typedef] = ACTIONS(1748),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1752),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [121] = {
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(5031),
    [sym__declarator] = STATE(6261),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_compound_statement] = STATE(8110),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2836),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8110),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(8108),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3076),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8107),
    [sym__unary_right_fold] = STATE(8106),
    [sym__binary_fold] = STATE(8105),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5428),
    [sym_qualified_identifier] = STATE(3121),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8104),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1758),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1762),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1774),
    [anon_sym___clrcall] = ACTIONS(1774),
    [anon_sym___stdcall] = ACTIONS(1774),
    [anon_sym___fastcall] = ACTIONS(1774),
    [anon_sym___thiscall] = ACTIONS(1774),
    [anon_sym___vectorcall] = ACTIONS(1774),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [122] = {
    [sym_declaration] = STATE(368),
    [sym_type_definition] = STATE(3961),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4882),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_expression_statement] = STATE(3961),
    [sym__for_statement_body] = STATE(7967),
    [sym_expression] = STATE(4215),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7529),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_alias_declaration] = STATE(3961),
    [sym__for_range_loop_body] = STATE(7966),
    [sym_init_statement] = STATE(1849),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym___extension__] = ACTIONS(1746),
    [anon_sym_typedef] = ACTIONS(1748),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1752),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [123] = {
    [sym_declaration] = STATE(1527),
    [sym_type_definition] = STATE(1527),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4849),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_expression_statement] = STATE(1527),
    [sym_expression] = STATE(4102),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7387),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_alias_declaration] = STATE(1527),
    [sym_init_statement] = STATE(131),
    [sym_condition_declaration] = STATE(7492),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1646),
    [anon_sym_typedef] = ACTIONS(1648),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1830),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(6901),
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7391),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(6901),
    [sym_variadic_parameter_declaration] = STATE(6901),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7522),
    [sym__unary_right_fold] = STATE(7523),
    [sym__binary_fold] = STATE(7525),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5383),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3225),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [125] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(6901),
    [sym_expression] = STATE(3164),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7391),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(6901),
    [sym_variadic_parameter_declaration] = STATE(6901),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7467),
    [sym__unary_right_fold] = STATE(7466),
    [sym__binary_fold] = STATE(7465),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5383),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3225),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [126] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(6901),
    [sym_expression] = STATE(3195),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7391),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(6901),
    [sym_variadic_parameter_declaration] = STATE(6901),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(8107),
    [sym__unary_right_fold] = STATE(8106),
    [sym__binary_fold] = STATE(8105),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5383),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3225),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [127] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_compound_statement] = STATE(6784),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(7072),
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6784),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(7072),
    [sym_variadic_parameter_declaration] = STATE(7072),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5402),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(1898),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [128] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(6901),
    [sym_expression] = STATE(3079),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7391),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(6901),
    [sym_variadic_parameter_declaration] = STATE(6901),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5383),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3225),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [129] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(6901),
    [sym_expression] = STATE(3101),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7391),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(6901),
    [sym_variadic_parameter_declaration] = STATE(6901),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5383),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3225),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [130] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(6901),
    [sym_expression] = STATE(3143),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7391),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(6901),
    [sym_variadic_parameter_declaration] = STATE(6901),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7618),
    [sym__unary_right_fold] = STATE(7617),
    [sym__binary_fold] = STATE(7615),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5383),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3225),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1844),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1850),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [131] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4998),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_expression] = STATE(4207),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7457),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3057),
    [sym_template_function] = STATE(3791),
    [sym_condition_declaration] = STATE(7457),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5365),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(3068),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1626),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(67),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [132] = {
    [sym_expression] = STATE(2319),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_initializer_list] = STATE(2402),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [aux_sym_preproc_if_token2] = ACTIONS(1904),
    [aux_sym_preproc_else_token1] = ACTIONS(1904),
    [aux_sym_preproc_elif_token1] = ACTIONS(1902),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1904),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1906),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(1950),
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [anon_sym_COMMA] = ACTIONS(1950),
    [anon_sym_RPAREN] = ACTIONS(1950),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_PIPE_PIPE] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___except] = ACTIONS(1952),
    [anon_sym___finally] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_or] = ACTIONS(1952),
    [anon_sym_and] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_final] = ACTIONS(1952),
    [anon_sym_override] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_GT2] = ACTIONS(1950),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [134] = {
    [ts_builtin_sym_end] = ACTIONS(1954),
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(1954),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_PIPE_PIPE] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1954),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___except] = ACTIONS(1956),
    [anon_sym___finally] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_or] = ACTIONS(1956),
    [anon_sym_and] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_final] = ACTIONS(1956),
    [anon_sym_override] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_GT2] = ACTIONS(1954),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [135] = {
    [sym_expression] = STATE(2319),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_initializer_list] = STATE(2402),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1960),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_RBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [136] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7556),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [137] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7741),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [138] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(8122),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [139] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(8043),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [140] = {
    [sym_compound_statement] = STATE(7832),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2770),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(7832),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7560),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7618),
    [sym__unary_right_fold] = STATE(7617),
    [sym__binary_fold] = STATE(7615),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(7823),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [141] = {
    [sym_compound_statement] = STATE(7832),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2770),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(7832),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7619),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7618),
    [sym__unary_right_fold] = STATE(7617),
    [sym__binary_fold] = STATE(7615),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(7823),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [142] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(8245),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [143] = {
    [sym_compound_statement] = STATE(8110),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2836),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8110),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7437),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7467),
    [sym__unary_right_fold] = STATE(7466),
    [sym__binary_fold] = STATE(7465),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8104),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [144] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7830),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [145] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7825),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [146] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7866),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [147] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7751),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [148] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7978),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [149] = {
    [sym_compound_statement] = STATE(7832),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2770),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(7832),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7519),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7522),
    [sym__unary_right_fold] = STATE(7523),
    [sym__binary_fold] = STATE(7525),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(7823),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [150] = {
    [sym_compound_statement] = STATE(7832),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2770),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(7832),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7588),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7522),
    [sym__unary_right_fold] = STATE(7523),
    [sym__binary_fold] = STATE(7525),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(7823),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [151] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7789),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [152] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(8139),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [153] = {
    [sym_compound_statement] = STATE(8110),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2836),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8110),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7965),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8107),
    [sym__unary_right_fold] = STATE(8106),
    [sym__binary_fold] = STATE(8105),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8104),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [154] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7932),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [155] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(8144),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [156] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7475),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [157] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7964),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [158] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7935),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [159] = {
    [sym_compound_statement] = STATE(8110),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2836),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8110),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7424),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7467),
    [sym__unary_right_fold] = STATE(7466),
    [sym__binary_fold] = STATE(7465),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8104),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [160] = {
    [sym_compound_statement] = STATE(8124),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(7692),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [161] = {
    [sym_compound_statement] = STATE(8110),
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(2836),
    [sym__string] = STATE(3081),
    [sym_comma_expression] = STATE(8110),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_type_descriptor] = STATE(8108),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7138),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym__unary_left_fold] = STATE(8107),
    [sym__unary_right_fold] = STATE(8106),
    [sym__binary_fold] = STATE(8105),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5369),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym__assignment_expression_lhs] = STATE(8104),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(464),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(235),
    [sym_attributed_statement] = STATE(235),
    [sym_statement] = STATE(265),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(203),
    [sym_compound_statement] = STATE(869),
    [sym_attributed_statement] = STATE(869),
    [sym_statement] = STATE(835),
    [sym_labeled_statement] = STATE(869),
    [sym_expression_statement] = STATE(869),
    [sym_if_statement] = STATE(869),
    [sym_switch_statement] = STATE(869),
    [sym_case_statement] = STATE(869),
    [sym_while_statement] = STATE(869),
    [sym_do_statement] = STATE(869),
    [sym_for_statement] = STATE(869),
    [sym_return_statement] = STATE(869),
    [sym_break_statement] = STATE(869),
    [sym_continue_statement] = STATE(869),
    [sym_goto_statement] = STATE(869),
    [sym_seh_try_statement] = STATE(869),
    [sym_seh_leave_statement] = STATE(869),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(869),
    [sym_co_return_statement] = STATE(869),
    [sym_co_yield_statement] = STATE(869),
    [sym_throw_statement] = STATE(869),
    [sym_try_statement] = STATE(869),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(502),
    [sym_attributed_statement] = STATE(502),
    [sym_statement] = STATE(404),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(194),
    [sym_compound_statement] = STATE(235),
    [sym_attributed_statement] = STATE(235),
    [sym_statement] = STATE(254),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(167),
    [sym_compound_statement] = STATE(491),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(419),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(167),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2011),
    [anon_sym_STAR] = ACTIONS(2014),
    [anon_sym_AMP] = ACTIONS(2014),
    [anon_sym_SEMI] = ACTIONS(2017),
    [anon_sym___extension__] = ACTIONS(2020),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_if] = ACTIONS(2038),
    [anon_sym_switch] = ACTIONS(2041),
    [anon_sym_case] = ACTIONS(2044),
    [anon_sym_default] = ACTIONS(2047),
    [anon_sym_while] = ACTIONS(2050),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2059),
    [anon_sym_break] = ACTIONS(2062),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_goto] = ACTIONS(2068),
    [anon_sym___try] = ACTIONS(2071),
    [anon_sym___leave] = ACTIONS(2074),
    [anon_sym_not] = ACTIONS(2011),
    [anon_sym_compl] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_sizeof] = ACTIONS(2080),
    [anon_sym___alignof__] = ACTIONS(2083),
    [anon_sym___alignof] = ACTIONS(2083),
    [anon_sym__alignof] = ACTIONS(2083),
    [anon_sym_alignof] = ACTIONS(2083),
    [anon_sym__Alignof] = ACTIONS(2083),
    [anon_sym_offsetof] = ACTIONS(2086),
    [anon_sym__Generic] = ACTIONS(2089),
    [anon_sym_asm] = ACTIONS(2092),
    [anon_sym___asm__] = ACTIONS(2092),
    [anon_sym___asm] = ACTIONS(2092),
    [sym_number_literal] = ACTIONS(2095),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2110),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2116),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2122),
    [anon_sym_co_return] = ACTIONS(2125),
    [anon_sym_co_yield] = ACTIONS(2128),
    [anon_sym_R_DQUOTE] = ACTIONS(2131),
    [anon_sym_LR_DQUOTE] = ACTIONS(2131),
    [anon_sym_uR_DQUOTE] = ACTIONS(2131),
    [anon_sym_UR_DQUOTE] = ACTIONS(2131),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2131),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_requires] = ACTIONS(2140),
    [sym_this] = ACTIONS(2104),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(168),
    [sym_compound_statement] = STATE(869),
    [sym_attributed_statement] = STATE(869),
    [sym_statement] = STATE(865),
    [sym_labeled_statement] = STATE(869),
    [sym_expression_statement] = STATE(869),
    [sym_if_statement] = STATE(869),
    [sym_switch_statement] = STATE(869),
    [sym_case_statement] = STATE(869),
    [sym_while_statement] = STATE(869),
    [sym_do_statement] = STATE(869),
    [sym_for_statement] = STATE(869),
    [sym_return_statement] = STATE(869),
    [sym_break_statement] = STATE(869),
    [sym_continue_statement] = STATE(869),
    [sym_goto_statement] = STATE(869),
    [sym_seh_try_statement] = STATE(869),
    [sym_seh_leave_statement] = STATE(869),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(869),
    [sym_co_return_statement] = STATE(869),
    [sym_co_yield_statement] = STATE(869),
    [sym_throw_statement] = STATE(869),
    [sym_try_statement] = STATE(869),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [sym_identifier] = ACTIONS(2143),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2011),
    [anon_sym_STAR] = ACTIONS(2014),
    [anon_sym_AMP] = ACTIONS(2014),
    [anon_sym_SEMI] = ACTIONS(2146),
    [anon_sym___extension__] = ACTIONS(2020),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_switch] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2158),
    [anon_sym_default] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2164),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2170),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2185),
    [anon_sym___leave] = ACTIONS(2188),
    [anon_sym_not] = ACTIONS(2011),
    [anon_sym_compl] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_sizeof] = ACTIONS(2080),
    [anon_sym___alignof__] = ACTIONS(2083),
    [anon_sym___alignof] = ACTIONS(2083),
    [anon_sym__alignof] = ACTIONS(2083),
    [anon_sym_alignof] = ACTIONS(2083),
    [anon_sym__Alignof] = ACTIONS(2083),
    [anon_sym_offsetof] = ACTIONS(2086),
    [anon_sym__Generic] = ACTIONS(2089),
    [anon_sym_asm] = ACTIONS(2092),
    [anon_sym___asm__] = ACTIONS(2092),
    [anon_sym___asm] = ACTIONS(2092),
    [sym_number_literal] = ACTIONS(2095),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2110),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2191),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_co_return] = ACTIONS(2197),
    [anon_sym_co_yield] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2131),
    [anon_sym_LR_DQUOTE] = ACTIONS(2131),
    [anon_sym_uR_DQUOTE] = ACTIONS(2131),
    [anon_sym_UR_DQUOTE] = ACTIONS(2131),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2131),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_requires] = ACTIONS(2140),
    [sym_this] = ACTIONS(2104),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(502),
    [sym_attributed_statement] = STATE(502),
    [sym_statement] = STATE(462),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(203),
    [sym_compound_statement] = STATE(869),
    [sym_attributed_statement] = STATE(869),
    [sym_statement] = STATE(834),
    [sym_labeled_statement] = STATE(869),
    [sym_expression_statement] = STATE(869),
    [sym_if_statement] = STATE(869),
    [sym_switch_statement] = STATE(869),
    [sym_case_statement] = STATE(869),
    [sym_while_statement] = STATE(869),
    [sym_do_statement] = STATE(869),
    [sym_for_statement] = STATE(869),
    [sym_return_statement] = STATE(869),
    [sym_break_statement] = STATE(869),
    [sym_continue_statement] = STATE(869),
    [sym_goto_statement] = STATE(869),
    [sym_seh_try_statement] = STATE(869),
    [sym_seh_leave_statement] = STATE(869),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(869),
    [sym_co_return_statement] = STATE(869),
    [sym_co_yield_statement] = STATE(869),
    [sym_throw_statement] = STATE(869),
    [sym_try_statement] = STATE(869),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(409),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(502),
    [sym_attributed_statement] = STATE(502),
    [sym_statement] = STATE(474),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(502),
    [sym_attributed_statement] = STATE(502),
    [sym_statement] = STATE(495),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(235),
    [sym_attributed_statement] = STATE(235),
    [sym_statement] = STATE(264),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(203),
    [sym_compound_statement] = STATE(869),
    [sym_attributed_statement] = STATE(869),
    [sym_statement] = STATE(874),
    [sym_labeled_statement] = STATE(869),
    [sym_expression_statement] = STATE(869),
    [sym_if_statement] = STATE(869),
    [sym_switch_statement] = STATE(869),
    [sym_case_statement] = STATE(869),
    [sym_while_statement] = STATE(869),
    [sym_do_statement] = STATE(869),
    [sym_for_statement] = STATE(869),
    [sym_return_statement] = STATE(869),
    [sym_break_statement] = STATE(869),
    [sym_continue_statement] = STATE(869),
    [sym_goto_statement] = STATE(869),
    [sym_seh_try_statement] = STATE(869),
    [sym_seh_leave_statement] = STATE(869),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(869),
    [sym_co_return_statement] = STATE(869),
    [sym_co_yield_statement] = STATE(869),
    [sym_throw_statement] = STATE(869),
    [sym_try_statement] = STATE(869),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [176] = {
    [sym_expression] = STATE(2942),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_initializer_list] = STATE(3303),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1764),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1902),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1904),
    [sym_this] = ACTIONS(1808),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(487),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(502),
    [sym_attributed_statement] = STATE(502),
    [sym_statement] = STATE(417),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(475),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [180] = {
    [sym_expression] = STATE(2319),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_initializer_list] = STATE(2402),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym___attribute__] = ACTIONS(1902),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(167),
    [sym_compound_statement] = STATE(491),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(419),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(167),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(7006),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(485),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(235),
    [sym_attributed_statement] = STATE(235),
    [sym_statement] = STATE(286),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(7968),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(502),
    [sym_attributed_statement] = STATE(502),
    [sym_statement] = STATE(499),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(7919),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(235),
    [sym_attributed_statement] = STATE(235),
    [sym_statement] = STATE(232),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(465),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(7801),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [191] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(502),
    [sym_attributed_statement] = STATE(502),
    [sym_statement] = STATE(473),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2239),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2011),
    [anon_sym_STAR] = ACTIONS(2014),
    [anon_sym_AMP] = ACTIONS(2014),
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym___extension__] = ACTIONS(2020),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_switch] = ACTIONS(2251),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_default] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2260),
    [anon_sym_do] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2275),
    [anon_sym_goto] = ACTIONS(2278),
    [anon_sym___try] = ACTIONS(2281),
    [anon_sym___leave] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2011),
    [anon_sym_compl] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_sizeof] = ACTIONS(2080),
    [anon_sym___alignof__] = ACTIONS(2083),
    [anon_sym___alignof] = ACTIONS(2083),
    [anon_sym__alignof] = ACTIONS(2083),
    [anon_sym_alignof] = ACTIONS(2083),
    [anon_sym__Alignof] = ACTIONS(2083),
    [anon_sym_offsetof] = ACTIONS(2086),
    [anon_sym__Generic] = ACTIONS(2089),
    [anon_sym_asm] = ACTIONS(2092),
    [anon_sym___asm__] = ACTIONS(2092),
    [anon_sym___asm] = ACTIONS(2092),
    [sym_number_literal] = ACTIONS(2095),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2110),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2290),
    [anon_sym_co_return] = ACTIONS(2293),
    [anon_sym_co_yield] = ACTIONS(2296),
    [anon_sym_R_DQUOTE] = ACTIONS(2131),
    [anon_sym_LR_DQUOTE] = ACTIONS(2131),
    [anon_sym_uR_DQUOTE] = ACTIONS(2131),
    [anon_sym_UR_DQUOTE] = ACTIONS(2131),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2131),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_requires] = ACTIONS(2140),
    [sym_this] = ACTIONS(2104),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(425),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(193),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(419),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(193),
    [sym_identifier] = ACTIONS(2299),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2011),
    [anon_sym_STAR] = ACTIONS(2014),
    [anon_sym_AMP] = ACTIONS(2014),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2020),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_if] = ACTIONS(2305),
    [anon_sym_switch] = ACTIONS(2041),
    [anon_sym_case] = ACTIONS(2158),
    [anon_sym_default] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_for] = ACTIONS(2311),
    [anon_sym_return] = ACTIONS(2059),
    [anon_sym_break] = ACTIONS(2062),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_goto] = ACTIONS(2068),
    [anon_sym___try] = ACTIONS(2314),
    [anon_sym___leave] = ACTIONS(2317),
    [anon_sym_not] = ACTIONS(2011),
    [anon_sym_compl] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_sizeof] = ACTIONS(2080),
    [anon_sym___alignof__] = ACTIONS(2083),
    [anon_sym___alignof] = ACTIONS(2083),
    [anon_sym__alignof] = ACTIONS(2083),
    [anon_sym_alignof] = ACTIONS(2083),
    [anon_sym__Alignof] = ACTIONS(2083),
    [anon_sym_offsetof] = ACTIONS(2086),
    [anon_sym__Generic] = ACTIONS(2089),
    [anon_sym_asm] = ACTIONS(2092),
    [anon_sym___asm__] = ACTIONS(2092),
    [anon_sym___asm] = ACTIONS(2092),
    [sym_number_literal] = ACTIONS(2095),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2110),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2116),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2122),
    [anon_sym_co_return] = ACTIONS(2125),
    [anon_sym_co_yield] = ACTIONS(2128),
    [anon_sym_R_DQUOTE] = ACTIONS(2131),
    [anon_sym_LR_DQUOTE] = ACTIONS(2131),
    [anon_sym_uR_DQUOTE] = ACTIONS(2131),
    [anon_sym_UR_DQUOTE] = ACTIONS(2131),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2131),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_requires] = ACTIONS(2140),
    [sym_this] = ACTIONS(2104),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(194),
    [sym_compound_statement] = STATE(235),
    [sym_attributed_statement] = STATE(235),
    [sym_statement] = STATE(254),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2320),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2011),
    [anon_sym_STAR] = ACTIONS(2014),
    [anon_sym_AMP] = ACTIONS(2014),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym___extension__] = ACTIONS(2020),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_if] = ACTIONS(2329),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2335),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2341),
    [anon_sym_do] = ACTIONS(2344),
    [anon_sym_for] = ACTIONS(2347),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2353),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2359),
    [anon_sym___try] = ACTIONS(2362),
    [anon_sym___leave] = ACTIONS(2365),
    [anon_sym_not] = ACTIONS(2011),
    [anon_sym_compl] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_sizeof] = ACTIONS(2080),
    [anon_sym___alignof__] = ACTIONS(2083),
    [anon_sym___alignof] = ACTIONS(2083),
    [anon_sym__alignof] = ACTIONS(2083),
    [anon_sym_alignof] = ACTIONS(2083),
    [anon_sym__Alignof] = ACTIONS(2083),
    [anon_sym_offsetof] = ACTIONS(2086),
    [anon_sym__Generic] = ACTIONS(2089),
    [anon_sym_asm] = ACTIONS(2092),
    [anon_sym___asm__] = ACTIONS(2092),
    [anon_sym___asm] = ACTIONS(2092),
    [sym_number_literal] = ACTIONS(2095),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2110),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2371),
    [anon_sym_co_return] = ACTIONS(2374),
    [anon_sym_co_yield] = ACTIONS(2377),
    [anon_sym_R_DQUOTE] = ACTIONS(2131),
    [anon_sym_LR_DQUOTE] = ACTIONS(2131),
    [anon_sym_uR_DQUOTE] = ACTIONS(2131),
    [anon_sym_UR_DQUOTE] = ACTIONS(2131),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2131),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_requires] = ACTIONS(2140),
    [sym_this] = ACTIONS(2104),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(6844),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [196] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(7994),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(235),
    [sym_attributed_statement] = STATE(235),
    [sym_statement] = STATE(284),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(465),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2380),
    [anon_sym_LPAREN2] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2011),
    [anon_sym_STAR] = ACTIONS(2014),
    [anon_sym_AMP] = ACTIONS(2014),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym___extension__] = ACTIONS(2020),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [sym_primitive_type] = ACTIONS(2035),
    [anon_sym_if] = ACTIONS(2386),
    [anon_sym_switch] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2395),
    [anon_sym_while] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(2401),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2413),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym___try] = ACTIONS(2419),
    [anon_sym___leave] = ACTIONS(2317),
    [anon_sym_not] = ACTIONS(2011),
    [anon_sym_compl] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_sizeof] = ACTIONS(2080),
    [anon_sym___alignof__] = ACTIONS(2083),
    [anon_sym___alignof] = ACTIONS(2083),
    [anon_sym__alignof] = ACTIONS(2083),
    [anon_sym_alignof] = ACTIONS(2083),
    [anon_sym__Alignof] = ACTIONS(2083),
    [anon_sym_offsetof] = ACTIONS(2086),
    [anon_sym__Generic] = ACTIONS(2089),
    [anon_sym_asm] = ACTIONS(2092),
    [anon_sym___asm__] = ACTIONS(2092),
    [anon_sym___asm] = ACTIONS(2092),
    [sym_number_literal] = ACTIONS(2095),
    [anon_sym_L_SQUOTE] = ACTIONS(2098),
    [anon_sym_u_SQUOTE] = ACTIONS(2098),
    [anon_sym_U_SQUOTE] = ACTIONS(2098),
    [anon_sym_u8_SQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2098),
    [anon_sym_L_DQUOTE] = ACTIONS(2101),
    [anon_sym_u_DQUOTE] = ACTIONS(2101),
    [anon_sym_U_DQUOTE] = ACTIONS(2101),
    [anon_sym_u8_DQUOTE] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(2101),
    [sym_true] = ACTIONS(2104),
    [sym_false] = ACTIONS(2104),
    [anon_sym_NULL] = ACTIONS(2107),
    [anon_sym_nullptr] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2110),
    [anon_sym_template] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2422),
    [anon_sym_delete] = ACTIONS(2119),
    [anon_sym_throw] = ACTIONS(2425),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2431),
    [anon_sym_R_DQUOTE] = ACTIONS(2131),
    [anon_sym_LR_DQUOTE] = ACTIONS(2131),
    [anon_sym_uR_DQUOTE] = ACTIONS(2131),
    [anon_sym_UR_DQUOTE] = ACTIONS(2131),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2131),
    [anon_sym_co_await] = ACTIONS(2134),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_requires] = ACTIONS(2140),
    [sym_this] = ACTIONS(2104),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(491),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(529),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(203),
    [sym_compound_statement] = STATE(869),
    [sym_attributed_statement] = STATE(869),
    [sym_statement] = STATE(844),
    [sym_labeled_statement] = STATE(869),
    [sym_expression_statement] = STATE(869),
    [sym_if_statement] = STATE(869),
    [sym_switch_statement] = STATE(869),
    [sym_case_statement] = STATE(869),
    [sym_while_statement] = STATE(869),
    [sym_do_statement] = STATE(869),
    [sym_for_statement] = STATE(869),
    [sym_return_statement] = STATE(869),
    [sym_break_statement] = STATE(869),
    [sym_continue_statement] = STATE(869),
    [sym_goto_statement] = STATE(869),
    [sym_seh_try_statement] = STATE(869),
    [sym_seh_leave_statement] = STATE(869),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(869),
    [sym_co_return_statement] = STATE(869),
    [sym_co_yield_statement] = STATE(869),
    [sym_throw_statement] = STATE(869),
    [sym_try_statement] = STATE(869),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(491),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(464),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(502),
    [sym_attributed_statement] = STATE(502),
    [sym_statement] = STATE(473),
    [sym_labeled_statement] = STATE(502),
    [sym_expression_statement] = STATE(502),
    [sym_if_statement] = STATE(502),
    [sym_switch_statement] = STATE(502),
    [sym_case_statement] = STATE(502),
    [sym_while_statement] = STATE(502),
    [sym_do_statement] = STATE(502),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(502),
    [sym_break_statement] = STATE(502),
    [sym_continue_statement] = STATE(502),
    [sym_goto_statement] = STATE(502),
    [sym_seh_try_statement] = STATE(502),
    [sym_seh_leave_statement] = STATE(502),
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(502),
    [sym_co_return_statement] = STATE(502),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(502),
    [sym_try_statement] = STATE(502),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(906),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(910),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(918),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(924),
    [anon_sym___leave] = ACTIONS(926),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(930),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_co_return] = ACTIONS(942),
    [anon_sym_co_yield] = ACTIONS(944),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(168),
    [sym_compound_statement] = STATE(869),
    [sym_attributed_statement] = STATE(869),
    [sym_statement] = STATE(865),
    [sym_labeled_statement] = STATE(869),
    [sym_expression_statement] = STATE(869),
    [sym_if_statement] = STATE(869),
    [sym_switch_statement] = STATE(869),
    [sym_case_statement] = STATE(869),
    [sym_while_statement] = STATE(869),
    [sym_do_statement] = STATE(869),
    [sym_for_statement] = STATE(869),
    [sym_return_statement] = STATE(869),
    [sym_break_statement] = STATE(869),
    [sym_continue_statement] = STATE(869),
    [sym_goto_statement] = STATE(869),
    [sym_seh_try_statement] = STATE(869),
    [sym_seh_leave_statement] = STATE(869),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(869),
    [sym_co_return_statement] = STATE(869),
    [sym_co_yield_statement] = STATE(869),
    [sym_throw_statement] = STATE(869),
    [sym_try_statement] = STATE(869),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(166),
    [sym_compound_statement] = STATE(235),
    [sym_attributed_statement] = STATE(235),
    [sym_statement] = STATE(229),
    [sym_labeled_statement] = STATE(235),
    [sym_expression_statement] = STATE(235),
    [sym_if_statement] = STATE(235),
    [sym_switch_statement] = STATE(235),
    [sym_case_statement] = STATE(235),
    [sym_while_statement] = STATE(235),
    [sym_do_statement] = STATE(235),
    [sym_for_statement] = STATE(235),
    [sym_return_statement] = STATE(235),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(235),
    [sym_goto_statement] = STATE(235),
    [sym_seh_try_statement] = STATE(235),
    [sym_seh_leave_statement] = STATE(235),
    [sym_expression] = STATE(4345),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7818),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(235),
    [sym_co_return_statement] = STATE(235),
    [sym_co_yield_statement] = STATE(235),
    [sym_throw_statement] = STATE(235),
    [sym_try_statement] = STATE(235),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(166),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(203),
    [sym_compound_statement] = STATE(869),
    [sym_attributed_statement] = STATE(869),
    [sym_statement] = STATE(861),
    [sym_labeled_statement] = STATE(869),
    [sym_expression_statement] = STATE(869),
    [sym_if_statement] = STATE(869),
    [sym_switch_statement] = STATE(869),
    [sym_case_statement] = STATE(869),
    [sym_while_statement] = STATE(869),
    [sym_do_statement] = STATE(869),
    [sym_for_statement] = STATE(869),
    [sym_return_statement] = STATE(869),
    [sym_break_statement] = STATE(869),
    [sym_continue_statement] = STATE(869),
    [sym_goto_statement] = STATE(869),
    [sym_seh_try_statement] = STATE(869),
    [sym_seh_leave_statement] = STATE(869),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(869),
    [sym_co_return_statement] = STATE(869),
    [sym_co_yield_statement] = STATE(869),
    [sym_throw_statement] = STATE(869),
    [sym_try_statement] = STATE(869),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(513),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [207] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(529),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [208] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(437),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(491),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(513),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(203),
    [sym_compound_statement] = STATE(869),
    [sym_attributed_statement] = STATE(869),
    [sym_statement] = STATE(871),
    [sym_labeled_statement] = STATE(869),
    [sym_expression_statement] = STATE(869),
    [sym_if_statement] = STATE(869),
    [sym_switch_statement] = STATE(869),
    [sym_case_statement] = STATE(869),
    [sym_while_statement] = STATE(869),
    [sym_do_statement] = STATE(869),
    [sym_for_statement] = STATE(869),
    [sym_return_statement] = STATE(869),
    [sym_break_statement] = STATE(869),
    [sym_continue_statement] = STATE(869),
    [sym_goto_statement] = STATE(869),
    [sym_seh_try_statement] = STATE(869),
    [sym_seh_leave_statement] = STATE(869),
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7528),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(869),
    [sym_co_return_statement] = STATE(869),
    [sym_co_yield_statement] = STATE(869),
    [sym_throw_statement] = STATE(869),
    [sym_try_statement] = STATE(869),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(203),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1644),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1658),
    [anon_sym_for] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1662),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1666),
    [anon_sym_goto] = ACTIONS(1668),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1672),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1676),
    [anon_sym_co_return] = ACTIONS(1678),
    [anon_sym_co_yield] = ACTIONS(1680),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(8015),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(408),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2203),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(193),
    [sym_compound_statement] = STATE(530),
    [sym_attributed_statement] = STATE(530),
    [sym_statement] = STATE(419),
    [sym_labeled_statement] = STATE(530),
    [sym_expression_statement] = STATE(530),
    [sym_if_statement] = STATE(530),
    [sym_switch_statement] = STATE(530),
    [sym_case_statement] = STATE(530),
    [sym_while_statement] = STATE(530),
    [sym_do_statement] = STATE(530),
    [sym_for_statement] = STATE(530),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(530),
    [sym_continue_statement] = STATE(530),
    [sym_goto_statement] = STATE(530),
    [sym_seh_try_statement] = STATE(530),
    [sym_seh_leave_statement] = STATE(530),
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7993),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(530),
    [sym_co_return_statement] = STATE(530),
    [sym_co_yield_statement] = STATE(530),
    [sym_throw_statement] = STATE(530),
    [sym_try_statement] = STATE(530),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(193),
    [sym_identifier] = ACTIONS(1990),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1630),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(1632),
    [anon_sym_default] = ACTIONS(1634),
    [anon_sym_while] = ACTIONS(1636),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1640),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(491),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(485),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(491),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(413),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(491),
    [sym_attributed_statement] = STATE(491),
    [sym_statement] = STATE(411),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8066),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_for_range_loop] = STATE(491),
    [sym_co_return_statement] = STATE(491),
    [sym_co_yield_statement] = STATE(491),
    [sym_throw_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(81),
    [anon_sym_default] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_break] = ACTIONS(93),
    [anon_sym_continue] = ACTIONS(95),
    [anon_sym_goto] = ACTIONS(97),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [217] = {
    [sym_expression] = STATE(3198),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_initializer_list] = STATE(2402),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_COLON] = ACTIONS(1902),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [218] = {
    [sym_expression] = STATE(3115),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_initializer_list] = STATE(3504),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1902),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_and_eq] = ACTIONS(1902),
    [anon_sym_or_eq] = ACTIONS(1902),
    [anon_sym_xor_eq] = ACTIONS(1902),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(1904),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [219] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [aux_sym_preproc_else_token1] = ACTIONS(2492),
    [aux_sym_preproc_elif_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
  },
  [220] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [aux_sym_preproc_else_token1] = ACTIONS(2499),
    [aux_sym_preproc_elif_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(2503),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
  },
  [221] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [aux_sym_preproc_else_token1] = ACTIONS(2505),
    [aux_sym_preproc_elif_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym___cdecl] = ACTIONS(2505),
    [anon_sym___clrcall] = ACTIONS(2505),
    [anon_sym___stdcall] = ACTIONS(2505),
    [anon_sym___fastcall] = ACTIONS(2505),
    [anon_sym___thiscall] = ACTIONS(2505),
    [anon_sym___vectorcall] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_goto] = ACTIONS(2505),
    [anon_sym___try] = ACTIONS(2505),
    [anon_sym___leave] = ACTIONS(2505),
    [anon_sym_not] = ACTIONS(2505),
    [anon_sym_compl] = ACTIONS(2505),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_sizeof] = ACTIONS(2505),
    [anon_sym___alignof__] = ACTIONS(2505),
    [anon_sym___alignof] = ACTIONS(2505),
    [anon_sym__alignof] = ACTIONS(2505),
    [anon_sym_alignof] = ACTIONS(2505),
    [anon_sym__Alignof] = ACTIONS(2505),
    [anon_sym_offsetof] = ACTIONS(2505),
    [anon_sym__Generic] = ACTIONS(2505),
    [anon_sym_asm] = ACTIONS(2505),
    [anon_sym___asm__] = ACTIONS(2505),
    [anon_sym___asm] = ACTIONS(2505),
    [sym_number_literal] = ACTIONS(2507),
    [anon_sym_L_SQUOTE] = ACTIONS(2507),
    [anon_sym_u_SQUOTE] = ACTIONS(2507),
    [anon_sym_U_SQUOTE] = ACTIONS(2507),
    [anon_sym_u8_SQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_L_DQUOTE] = ACTIONS(2507),
    [anon_sym_u_DQUOTE] = ACTIONS(2507),
    [anon_sym_U_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [anon_sym_NULL] = ACTIONS(2505),
    [anon_sym_nullptr] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_concept] = ACTIONS(2505),
    [anon_sym_co_return] = ACTIONS(2505),
    [anon_sym_co_yield] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(2503),
    [anon_sym_R_DQUOTE] = ACTIONS(2507),
    [anon_sym_LR_DQUOTE] = ACTIONS(2507),
    [anon_sym_uR_DQUOTE] = ACTIONS(2507),
    [anon_sym_UR_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2507),
    [anon_sym_co_await] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_requires] = ACTIONS(2505),
    [sym_this] = ACTIONS(2505),
  },
  [222] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2529),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2531),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [223] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2531),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [224] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2550),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2531),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [225] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_explicit] = ACTIONS(2531),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [226] = {
    [sym_expression] = STATE(3414),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_initializer_list] = STATE(3654),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1902),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1902),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_EQ] = ACTIONS(1902),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_STAR_EQ] = ACTIONS(1904),
    [anon_sym_SLASH_EQ] = ACTIONS(1904),
    [anon_sym_PERCENT_EQ] = ACTIONS(1904),
    [anon_sym_PLUS_EQ] = ACTIONS(1904),
    [anon_sym_DASH_EQ] = ACTIONS(1904),
    [anon_sym_LT_LT_EQ] = ACTIONS(1904),
    [anon_sym_GT_GT_EQ] = ACTIONS(1904),
    [anon_sym_AMP_EQ] = ACTIONS(1904),
    [anon_sym_CARET_EQ] = ACTIONS(1904),
    [anon_sym_PIPE_EQ] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1902),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1904),
    [sym_this] = ACTIONS(1878),
  },
  [227] = {
    [sym_catch_clause] = STATE(219),
    [aux_sym_constructor_try_statement_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [aux_sym_preproc_else_token1] = ACTIONS(2562),
    [aux_sym_preproc_elif_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [sym_number_literal] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(2503),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [228] = {
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token2] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [aux_sym_preproc_else_token1] = ACTIONS(2566),
    [aux_sym_preproc_elif_token1] = ACTIONS(2566),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2566),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_catch] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
  },
  [229] = {
    [sym_else_clause] = STATE(244),
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token2] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [aux_sym_preproc_else_token1] = ACTIONS(2570),
    [aux_sym_preproc_elif_token1] = ACTIONS(2570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_virtual] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym__Nonnull] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym__Alignas] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [anon_sym___asm] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
  },
  [230] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [aux_sym_preproc_else_token1] = ACTIONS(1952),
    [aux_sym_preproc_elif_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [231] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [aux_sym_preproc_else_token1] = ACTIONS(1956),
    [aux_sym_preproc_elif_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [232] = {
    [sym_else_clause] = STATE(282),
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [aux_sym_preproc_else_token1] = ACTIONS(2576),
    [aux_sym_preproc_elif_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [233] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [234] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4194),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6431),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(7019),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [235] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token2] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [aux_sym_preproc_else_token1] = ACTIONS(2650),
    [aux_sym_preproc_elif_token1] = ACTIONS(2650),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_virtual] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___based] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_mutable] = ACTIONS(2650),
    [anon_sym_constinit] = ACTIONS(2650),
    [anon_sym_consteval] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym___leave] = ACTIONS(2650),
    [anon_sym_not] = ACTIONS(2650),
    [anon_sym_compl] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [anon_sym___asm] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2650),
    [anon_sym_decltype] = ACTIONS(2650),
    [anon_sym_explicit] = ACTIONS(2650),
    [anon_sym_typename] = ACTIONS(2650),
    [anon_sym_template] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2650),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_namespace] = ACTIONS(2650),
    [anon_sym_using] = ACTIONS(2650),
    [anon_sym_static_assert] = ACTIONS(2650),
    [anon_sym_concept] = ACTIONS(2650),
    [anon_sym_co_return] = ACTIONS(2650),
    [anon_sym_co_yield] = ACTIONS(2650),
    [anon_sym_R_DQUOTE] = ACTIONS(2652),
    [anon_sym_LR_DQUOTE] = ACTIONS(2652),
    [anon_sym_uR_DQUOTE] = ACTIONS(2652),
    [anon_sym_UR_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2652),
    [anon_sym_co_await] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2650),
    [sym_this] = ACTIONS(2650),
  },
  [236] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4122),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6504),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6897),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [237] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6487),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6919),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [238] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [aux_sym_preproc_else_token1] = ACTIONS(2658),
    [aux_sym_preproc_elif_token1] = ACTIONS(2658),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [239] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4150),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6476),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6941),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [240] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token2] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [aux_sym_preproc_else_token1] = ACTIONS(2664),
    [aux_sym_preproc_elif_token1] = ACTIONS(2664),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_virtual] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym__Nonnull] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [anon_sym___asm] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [241] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4116),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6513),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6874),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [242] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4153),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6466),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6961),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2670),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [243] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token2] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [aux_sym_preproc_else_token1] = ACTIONS(2672),
    [aux_sym_preproc_elif_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_virtual] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym__Nonnull] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_else] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [anon_sym___asm] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [244] = {
    [sym_identifier] = ACTIONS(2676),
    [aux_sym_preproc_include_token1] = ACTIONS(2676),
    [aux_sym_preproc_def_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token2] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2676),
    [aux_sym_preproc_else_token1] = ACTIONS(2676),
    [aux_sym_preproc_elif_token1] = ACTIONS(2676),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2676),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2676),
    [sym_preproc_directive] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_AMP_AMP] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym___extension__] = ACTIONS(2676),
    [anon_sym_typedef] = ACTIONS(2676),
    [anon_sym_virtual] = ACTIONS(2676),
    [anon_sym_extern] = ACTIONS(2676),
    [anon_sym___attribute__] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2678),
    [anon_sym___declspec] = ACTIONS(2676),
    [anon_sym___based] = ACTIONS(2676),
    [anon_sym___cdecl] = ACTIONS(2676),
    [anon_sym___clrcall] = ACTIONS(2676),
    [anon_sym___stdcall] = ACTIONS(2676),
    [anon_sym___fastcall] = ACTIONS(2676),
    [anon_sym___thiscall] = ACTIONS(2676),
    [anon_sym___vectorcall] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_signed] = ACTIONS(2676),
    [anon_sym_unsigned] = ACTIONS(2676),
    [anon_sym_long] = ACTIONS(2676),
    [anon_sym_short] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_register] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym___inline] = ACTIONS(2676),
    [anon_sym___inline__] = ACTIONS(2676),
    [anon_sym___forceinline] = ACTIONS(2676),
    [anon_sym_thread_local] = ACTIONS(2676),
    [anon_sym___thread] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_constexpr] = ACTIONS(2676),
    [anon_sym_volatile] = ACTIONS(2676),
    [anon_sym_restrict] = ACTIONS(2676),
    [anon_sym___restrict__] = ACTIONS(2676),
    [anon_sym__Atomic] = ACTIONS(2676),
    [anon_sym__Noreturn] = ACTIONS(2676),
    [anon_sym_noreturn] = ACTIONS(2676),
    [anon_sym__Nonnull] = ACTIONS(2676),
    [anon_sym_mutable] = ACTIONS(2676),
    [anon_sym_constinit] = ACTIONS(2676),
    [anon_sym_consteval] = ACTIONS(2676),
    [anon_sym_alignas] = ACTIONS(2676),
    [anon_sym__Alignas] = ACTIONS(2676),
    [sym_primitive_type] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_struct] = ACTIONS(2676),
    [anon_sym_union] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_case] = ACTIONS(2676),
    [anon_sym_default] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_break] = ACTIONS(2676),
    [anon_sym_continue] = ACTIONS(2676),
    [anon_sym_goto] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2676),
    [anon_sym___leave] = ACTIONS(2676),
    [anon_sym_not] = ACTIONS(2676),
    [anon_sym_compl] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_sizeof] = ACTIONS(2676),
    [anon_sym___alignof__] = ACTIONS(2676),
    [anon_sym___alignof] = ACTIONS(2676),
    [anon_sym__alignof] = ACTIONS(2676),
    [anon_sym_alignof] = ACTIONS(2676),
    [anon_sym__Alignof] = ACTIONS(2676),
    [anon_sym_offsetof] = ACTIONS(2676),
    [anon_sym__Generic] = ACTIONS(2676),
    [anon_sym_asm] = ACTIONS(2676),
    [anon_sym___asm__] = ACTIONS(2676),
    [anon_sym___asm] = ACTIONS(2676),
    [sym_number_literal] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2678),
    [anon_sym_u_SQUOTE] = ACTIONS(2678),
    [anon_sym_U_SQUOTE] = ACTIONS(2678),
    [anon_sym_u8_SQUOTE] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_L_DQUOTE] = ACTIONS(2678),
    [anon_sym_u_DQUOTE] = ACTIONS(2678),
    [anon_sym_U_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2678),
    [sym_true] = ACTIONS(2676),
    [sym_false] = ACTIONS(2676),
    [anon_sym_NULL] = ACTIONS(2676),
    [anon_sym_nullptr] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2676),
    [anon_sym_decltype] = ACTIONS(2676),
    [anon_sym_explicit] = ACTIONS(2676),
    [anon_sym_typename] = ACTIONS(2676),
    [anon_sym_template] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2676),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2676),
    [anon_sym_using] = ACTIONS(2676),
    [anon_sym_static_assert] = ACTIONS(2676),
    [anon_sym_concept] = ACTIONS(2676),
    [anon_sym_co_return] = ACTIONS(2676),
    [anon_sym_co_yield] = ACTIONS(2676),
    [anon_sym_R_DQUOTE] = ACTIONS(2678),
    [anon_sym_LR_DQUOTE] = ACTIONS(2678),
    [anon_sym_uR_DQUOTE] = ACTIONS(2678),
    [anon_sym_UR_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2678),
    [anon_sym_co_await] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_requires] = ACTIONS(2676),
    [sym_this] = ACTIONS(2676),
  },
  [245] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4126),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6563),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2680),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [246] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4182),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6448),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6981),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2682),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [247] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6442),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(7000),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2684),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [248] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4195),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6615),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6776),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2686),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [249] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4177),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6485),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6928),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [250] = {
    [sym_identifier] = ACTIONS(2690),
    [aux_sym_preproc_include_token1] = ACTIONS(2690),
    [aux_sym_preproc_def_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token2] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2690),
    [aux_sym_preproc_else_token1] = ACTIONS(2690),
    [aux_sym_preproc_elif_token1] = ACTIONS(2690),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2690),
    [sym_preproc_directive] = ACTIONS(2690),
    [anon_sym_LPAREN2] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_AMP] = ACTIONS(2690),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2690),
    [anon_sym_typedef] = ACTIONS(2690),
    [anon_sym_virtual] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2690),
    [anon_sym___attribute__] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2692),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2692),
    [anon_sym___declspec] = ACTIONS(2690),
    [anon_sym___based] = ACTIONS(2690),
    [anon_sym___cdecl] = ACTIONS(2690),
    [anon_sym___clrcall] = ACTIONS(2690),
    [anon_sym___stdcall] = ACTIONS(2690),
    [anon_sym___fastcall] = ACTIONS(2690),
    [anon_sym___thiscall] = ACTIONS(2690),
    [anon_sym___vectorcall] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_signed] = ACTIONS(2690),
    [anon_sym_unsigned] = ACTIONS(2690),
    [anon_sym_long] = ACTIONS(2690),
    [anon_sym_short] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_register] = ACTIONS(2690),
    [anon_sym_inline] = ACTIONS(2690),
    [anon_sym___inline] = ACTIONS(2690),
    [anon_sym___inline__] = ACTIONS(2690),
    [anon_sym___forceinline] = ACTIONS(2690),
    [anon_sym_thread_local] = ACTIONS(2690),
    [anon_sym___thread] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_constexpr] = ACTIONS(2690),
    [anon_sym_volatile] = ACTIONS(2690),
    [anon_sym_restrict] = ACTIONS(2690),
    [anon_sym___restrict__] = ACTIONS(2690),
    [anon_sym__Atomic] = ACTIONS(2690),
    [anon_sym__Noreturn] = ACTIONS(2690),
    [anon_sym_noreturn] = ACTIONS(2690),
    [anon_sym__Nonnull] = ACTIONS(2690),
    [anon_sym_mutable] = ACTIONS(2690),
    [anon_sym_constinit] = ACTIONS(2690),
    [anon_sym_consteval] = ACTIONS(2690),
    [anon_sym_alignas] = ACTIONS(2690),
    [anon_sym__Alignas] = ACTIONS(2690),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(2690),
    [anon_sym_struct] = ACTIONS(2690),
    [anon_sym_union] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_else] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_goto] = ACTIONS(2690),
    [anon_sym___try] = ACTIONS(2690),
    [anon_sym___leave] = ACTIONS(2690),
    [anon_sym_not] = ACTIONS(2690),
    [anon_sym_compl] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_sizeof] = ACTIONS(2690),
    [anon_sym___alignof__] = ACTIONS(2690),
    [anon_sym___alignof] = ACTIONS(2690),
    [anon_sym__alignof] = ACTIONS(2690),
    [anon_sym_alignof] = ACTIONS(2690),
    [anon_sym__Alignof] = ACTIONS(2690),
    [anon_sym_offsetof] = ACTIONS(2690),
    [anon_sym__Generic] = ACTIONS(2690),
    [anon_sym_asm] = ACTIONS(2690),
    [anon_sym___asm__] = ACTIONS(2690),
    [anon_sym___asm] = ACTIONS(2690),
    [sym_number_literal] = ACTIONS(2692),
    [anon_sym_L_SQUOTE] = ACTIONS(2692),
    [anon_sym_u_SQUOTE] = ACTIONS(2692),
    [anon_sym_U_SQUOTE] = ACTIONS(2692),
    [anon_sym_u8_SQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_L_DQUOTE] = ACTIONS(2692),
    [anon_sym_u_DQUOTE] = ACTIONS(2692),
    [anon_sym_U_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [anon_sym_NULL] = ACTIONS(2690),
    [anon_sym_nullptr] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2690),
    [anon_sym_decltype] = ACTIONS(2690),
    [anon_sym_explicit] = ACTIONS(2690),
    [anon_sym_typename] = ACTIONS(2690),
    [anon_sym_template] = ACTIONS(2690),
    [anon_sym_operator] = ACTIONS(2690),
    [anon_sym_try] = ACTIONS(2690),
    [anon_sym_delete] = ACTIONS(2690),
    [anon_sym_throw] = ACTIONS(2690),
    [anon_sym_namespace] = ACTIONS(2690),
    [anon_sym_using] = ACTIONS(2690),
    [anon_sym_static_assert] = ACTIONS(2690),
    [anon_sym_concept] = ACTIONS(2690),
    [anon_sym_co_return] = ACTIONS(2690),
    [anon_sym_co_yield] = ACTIONS(2690),
    [anon_sym_R_DQUOTE] = ACTIONS(2692),
    [anon_sym_LR_DQUOTE] = ACTIONS(2692),
    [anon_sym_uR_DQUOTE] = ACTIONS(2692),
    [anon_sym_UR_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2692),
    [anon_sym_co_await] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2690),
    [anon_sym_requires] = ACTIONS(2690),
    [sym_this] = ACTIONS(2690),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [aux_sym_preproc_else_token1] = ACTIONS(1956),
    [aux_sym_preproc_elif_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [252] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [aux_sym_preproc_else_token1] = ACTIONS(2696),
    [aux_sym_preproc_elif_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [253] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [aux_sym_preproc_else_token1] = ACTIONS(2700),
    [aux_sym_preproc_elif_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [254] = {
    [sym_identifier] = ACTIONS(2704),
    [aux_sym_preproc_include_token1] = ACTIONS(2704),
    [aux_sym_preproc_def_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token2] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2704),
    [aux_sym_preproc_else_token1] = ACTIONS(2704),
    [aux_sym_preproc_elif_token1] = ACTIONS(2704),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2704),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2704),
    [sym_preproc_directive] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym___extension__] = ACTIONS(2704),
    [anon_sym_typedef] = ACTIONS(2704),
    [anon_sym_virtual] = ACTIONS(2704),
    [anon_sym_extern] = ACTIONS(2704),
    [anon_sym___attribute__] = ACTIONS(2704),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2706),
    [anon_sym___declspec] = ACTIONS(2704),
    [anon_sym___based] = ACTIONS(2704),
    [anon_sym___cdecl] = ACTIONS(2704),
    [anon_sym___clrcall] = ACTIONS(2704),
    [anon_sym___stdcall] = ACTIONS(2704),
    [anon_sym___fastcall] = ACTIONS(2704),
    [anon_sym___thiscall] = ACTIONS(2704),
    [anon_sym___vectorcall] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_signed] = ACTIONS(2704),
    [anon_sym_unsigned] = ACTIONS(2704),
    [anon_sym_long] = ACTIONS(2704),
    [anon_sym_short] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_register] = ACTIONS(2704),
    [anon_sym_inline] = ACTIONS(2704),
    [anon_sym___inline] = ACTIONS(2704),
    [anon_sym___inline__] = ACTIONS(2704),
    [anon_sym___forceinline] = ACTIONS(2704),
    [anon_sym_thread_local] = ACTIONS(2704),
    [anon_sym___thread] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_constexpr] = ACTIONS(2704),
    [anon_sym_volatile] = ACTIONS(2704),
    [anon_sym_restrict] = ACTIONS(2704),
    [anon_sym___restrict__] = ACTIONS(2704),
    [anon_sym__Atomic] = ACTIONS(2704),
    [anon_sym__Noreturn] = ACTIONS(2704),
    [anon_sym_noreturn] = ACTIONS(2704),
    [anon_sym__Nonnull] = ACTIONS(2704),
    [anon_sym_mutable] = ACTIONS(2704),
    [anon_sym_constinit] = ACTIONS(2704),
    [anon_sym_consteval] = ACTIONS(2704),
    [anon_sym_alignas] = ACTIONS(2704),
    [anon_sym__Alignas] = ACTIONS(2704),
    [sym_primitive_type] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_struct] = ACTIONS(2704),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_goto] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2704),
    [anon_sym___leave] = ACTIONS(2704),
    [anon_sym_not] = ACTIONS(2704),
    [anon_sym_compl] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_sizeof] = ACTIONS(2704),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2704),
    [anon_sym__Generic] = ACTIONS(2704),
    [anon_sym_asm] = ACTIONS(2704),
    [anon_sym___asm__] = ACTIONS(2704),
    [anon_sym___asm] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2706),
    [anon_sym_L_SQUOTE] = ACTIONS(2706),
    [anon_sym_u_SQUOTE] = ACTIONS(2706),
    [anon_sym_U_SQUOTE] = ACTIONS(2706),
    [anon_sym_u8_SQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_L_DQUOTE] = ACTIONS(2706),
    [anon_sym_u_DQUOTE] = ACTIONS(2706),
    [anon_sym_U_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [anon_sym_NULL] = ACTIONS(2704),
    [anon_sym_nullptr] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2704),
    [anon_sym_decltype] = ACTIONS(2704),
    [anon_sym_explicit] = ACTIONS(2704),
    [anon_sym_typename] = ACTIONS(2704),
    [anon_sym_template] = ACTIONS(2704),
    [anon_sym_operator] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_static_assert] = ACTIONS(2704),
    [anon_sym_concept] = ACTIONS(2704),
    [anon_sym_co_return] = ACTIONS(2704),
    [anon_sym_co_yield] = ACTIONS(2704),
    [anon_sym_R_DQUOTE] = ACTIONS(2706),
    [anon_sym_LR_DQUOTE] = ACTIONS(2706),
    [anon_sym_uR_DQUOTE] = ACTIONS(2706),
    [anon_sym_UR_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2706),
    [anon_sym_co_await] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_requires] = ACTIONS(2704),
    [sym_this] = ACTIONS(2704),
  },
  [255] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4105),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6592),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6786),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2708),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [aux_sym_preproc_else_token1] = ACTIONS(2710),
    [aux_sym_preproc_elif_token1] = ACTIONS(2710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_virtual] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___based] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_mutable] = ACTIONS(2710),
    [anon_sym_constinit] = ACTIONS(2710),
    [anon_sym_consteval] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_else] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym___leave] = ACTIONS(2710),
    [anon_sym_not] = ACTIONS(2710),
    [anon_sym_compl] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2710),
    [anon_sym_decltype] = ACTIONS(2710),
    [anon_sym_explicit] = ACTIONS(2710),
    [anon_sym_typename] = ACTIONS(2710),
    [anon_sym_template] = ACTIONS(2710),
    [anon_sym_operator] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(2710),
    [anon_sym_static_assert] = ACTIONS(2710),
    [anon_sym_concept] = ACTIONS(2710),
    [anon_sym_co_return] = ACTIONS(2710),
    [anon_sym_co_yield] = ACTIONS(2710),
    [anon_sym_R_DQUOTE] = ACTIONS(2712),
    [anon_sym_LR_DQUOTE] = ACTIONS(2712),
    [anon_sym_uR_DQUOTE] = ACTIONS(2712),
    [anon_sym_UR_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2712),
    [anon_sym_co_await] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_requires] = ACTIONS(2710),
    [sym_this] = ACTIONS(2710),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_include_token1] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token2] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [aux_sym_preproc_else_token1] = ACTIONS(2714),
    [aux_sym_preproc_elif_token1] = ACTIONS(2714),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_virtual] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___based] = ACTIONS(2714),
    [anon_sym___cdecl] = ACTIONS(2714),
    [anon_sym___clrcall] = ACTIONS(2714),
    [anon_sym___stdcall] = ACTIONS(2714),
    [anon_sym___fastcall] = ACTIONS(2714),
    [anon_sym___thiscall] = ACTIONS(2714),
    [anon_sym___vectorcall] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_mutable] = ACTIONS(2714),
    [anon_sym_constinit] = ACTIONS(2714),
    [anon_sym_consteval] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_class] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_else] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2714),
    [anon_sym_default] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym___try] = ACTIONS(2714),
    [anon_sym___leave] = ACTIONS(2714),
    [anon_sym_not] = ACTIONS(2714),
    [anon_sym_compl] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_sizeof] = ACTIONS(2714),
    [anon_sym___alignof__] = ACTIONS(2714),
    [anon_sym___alignof] = ACTIONS(2714),
    [anon_sym__alignof] = ACTIONS(2714),
    [anon_sym_alignof] = ACTIONS(2714),
    [anon_sym__Alignof] = ACTIONS(2714),
    [anon_sym_offsetof] = ACTIONS(2714),
    [anon_sym__Generic] = ACTIONS(2714),
    [anon_sym_asm] = ACTIONS(2714),
    [anon_sym___asm__] = ACTIONS(2714),
    [anon_sym___asm] = ACTIONS(2714),
    [sym_number_literal] = ACTIONS(2716),
    [anon_sym_L_SQUOTE] = ACTIONS(2716),
    [anon_sym_u_SQUOTE] = ACTIONS(2716),
    [anon_sym_U_SQUOTE] = ACTIONS(2716),
    [anon_sym_u8_SQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [anon_sym_NULL] = ACTIONS(2714),
    [anon_sym_nullptr] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2714),
    [anon_sym_decltype] = ACTIONS(2714),
    [anon_sym_explicit] = ACTIONS(2714),
    [anon_sym_typename] = ACTIONS(2714),
    [anon_sym_template] = ACTIONS(2714),
    [anon_sym_operator] = ACTIONS(2714),
    [anon_sym_try] = ACTIONS(2714),
    [anon_sym_delete] = ACTIONS(2714),
    [anon_sym_throw] = ACTIONS(2714),
    [anon_sym_namespace] = ACTIONS(2714),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2714),
    [anon_sym_concept] = ACTIONS(2714),
    [anon_sym_co_return] = ACTIONS(2714),
    [anon_sym_co_yield] = ACTIONS(2714),
    [anon_sym_R_DQUOTE] = ACTIONS(2716),
    [anon_sym_LR_DQUOTE] = ACTIONS(2716),
    [anon_sym_uR_DQUOTE] = ACTIONS(2716),
    [anon_sym_UR_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2716),
    [anon_sym_co_await] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2714),
    [anon_sym_requires] = ACTIONS(2714),
    [sym_this] = ACTIONS(2714),
  },
  [258] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_include_token1] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token2] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [aux_sym_preproc_else_token1] = ACTIONS(2718),
    [aux_sym_preproc_elif_token1] = ACTIONS(2718),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_LPAREN2] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2718),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_virtual] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2720),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___based] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_mutable] = ACTIONS(2718),
    [anon_sym_constinit] = ACTIONS(2718),
    [anon_sym_consteval] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_goto] = ACTIONS(2718),
    [anon_sym___try] = ACTIONS(2718),
    [anon_sym___leave] = ACTIONS(2718),
    [anon_sym_not] = ACTIONS(2718),
    [anon_sym_compl] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_sizeof] = ACTIONS(2718),
    [anon_sym___alignof__] = ACTIONS(2718),
    [anon_sym___alignof] = ACTIONS(2718),
    [anon_sym__alignof] = ACTIONS(2718),
    [anon_sym_alignof] = ACTIONS(2718),
    [anon_sym__Alignof] = ACTIONS(2718),
    [anon_sym_offsetof] = ACTIONS(2718),
    [anon_sym__Generic] = ACTIONS(2718),
    [anon_sym_asm] = ACTIONS(2718),
    [anon_sym___asm__] = ACTIONS(2718),
    [anon_sym___asm] = ACTIONS(2718),
    [sym_number_literal] = ACTIONS(2720),
    [anon_sym_L_SQUOTE] = ACTIONS(2720),
    [anon_sym_u_SQUOTE] = ACTIONS(2720),
    [anon_sym_U_SQUOTE] = ACTIONS(2720),
    [anon_sym_u8_SQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_L_DQUOTE] = ACTIONS(2720),
    [anon_sym_u_DQUOTE] = ACTIONS(2720),
    [anon_sym_U_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2718),
    [anon_sym_nullptr] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2718),
    [anon_sym_decltype] = ACTIONS(2718),
    [anon_sym_explicit] = ACTIONS(2718),
    [anon_sym_typename] = ACTIONS(2718),
    [anon_sym_template] = ACTIONS(2718),
    [anon_sym_operator] = ACTIONS(2718),
    [anon_sym_try] = ACTIONS(2718),
    [anon_sym_delete] = ACTIONS(2718),
    [anon_sym_throw] = ACTIONS(2718),
    [anon_sym_namespace] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_static_assert] = ACTIONS(2718),
    [anon_sym_concept] = ACTIONS(2718),
    [anon_sym_co_return] = ACTIONS(2718),
    [anon_sym_co_yield] = ACTIONS(2718),
    [anon_sym_R_DQUOTE] = ACTIONS(2720),
    [anon_sym_LR_DQUOTE] = ACTIONS(2720),
    [anon_sym_uR_DQUOTE] = ACTIONS(2720),
    [anon_sym_UR_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2720),
    [anon_sym_co_await] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2718),
    [anon_sym_requires] = ACTIONS(2718),
    [sym_this] = ACTIONS(2718),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token2] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [aux_sym_preproc_else_token1] = ACTIONS(2722),
    [aux_sym_preproc_elif_token1] = ACTIONS(2722),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_virtual] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___based] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_mutable] = ACTIONS(2722),
    [anon_sym_constinit] = ACTIONS(2722),
    [anon_sym_consteval] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym___leave] = ACTIONS(2722),
    [anon_sym_not] = ACTIONS(2722),
    [anon_sym_compl] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_explicit] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2722),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_operator] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_using] = ACTIONS(2722),
    [anon_sym_static_assert] = ACTIONS(2722),
    [anon_sym_concept] = ACTIONS(2722),
    [anon_sym_co_return] = ACTIONS(2722),
    [anon_sym_co_yield] = ACTIONS(2722),
    [anon_sym_R_DQUOTE] = ACTIONS(2724),
    [anon_sym_LR_DQUOTE] = ACTIONS(2724),
    [anon_sym_uR_DQUOTE] = ACTIONS(2724),
    [anon_sym_UR_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2724),
    [anon_sym_co_await] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_requires] = ACTIONS(2722),
    [sym_this] = ACTIONS(2722),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2726),
    [aux_sym_preproc_include_token1] = ACTIONS(2726),
    [aux_sym_preproc_def_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token2] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2726),
    [aux_sym_preproc_else_token1] = ACTIONS(2726),
    [aux_sym_preproc_elif_token1] = ACTIONS(2726),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2726),
    [sym_preproc_directive] = ACTIONS(2726),
    [anon_sym_LPAREN2] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym_typedef] = ACTIONS(2726),
    [anon_sym_virtual] = ACTIONS(2726),
    [anon_sym_extern] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2728),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2728),
    [anon_sym___declspec] = ACTIONS(2726),
    [anon_sym___based] = ACTIONS(2726),
    [anon_sym___cdecl] = ACTIONS(2726),
    [anon_sym___clrcall] = ACTIONS(2726),
    [anon_sym___stdcall] = ACTIONS(2726),
    [anon_sym___fastcall] = ACTIONS(2726),
    [anon_sym___thiscall] = ACTIONS(2726),
    [anon_sym___vectorcall] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_register] = ACTIONS(2726),
    [anon_sym_inline] = ACTIONS(2726),
    [anon_sym___inline] = ACTIONS(2726),
    [anon_sym___inline__] = ACTIONS(2726),
    [anon_sym___forceinline] = ACTIONS(2726),
    [anon_sym_thread_local] = ACTIONS(2726),
    [anon_sym___thread] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_mutable] = ACTIONS(2726),
    [anon_sym_constinit] = ACTIONS(2726),
    [anon_sym_consteval] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_class] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_else] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2726),
    [anon_sym_default] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_goto] = ACTIONS(2726),
    [anon_sym___try] = ACTIONS(2726),
    [anon_sym___leave] = ACTIONS(2726),
    [anon_sym_not] = ACTIONS(2726),
    [anon_sym_compl] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_sizeof] = ACTIONS(2726),
    [anon_sym___alignof__] = ACTIONS(2726),
    [anon_sym___alignof] = ACTIONS(2726),
    [anon_sym__alignof] = ACTIONS(2726),
    [anon_sym_alignof] = ACTIONS(2726),
    [anon_sym__Alignof] = ACTIONS(2726),
    [anon_sym_offsetof] = ACTIONS(2726),
    [anon_sym__Generic] = ACTIONS(2726),
    [anon_sym_asm] = ACTIONS(2726),
    [anon_sym___asm__] = ACTIONS(2726),
    [anon_sym___asm] = ACTIONS(2726),
    [sym_number_literal] = ACTIONS(2728),
    [anon_sym_L_SQUOTE] = ACTIONS(2728),
    [anon_sym_u_SQUOTE] = ACTIONS(2728),
    [anon_sym_U_SQUOTE] = ACTIONS(2728),
    [anon_sym_u8_SQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_L_DQUOTE] = ACTIONS(2728),
    [anon_sym_u_DQUOTE] = ACTIONS(2728),
    [anon_sym_U_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [anon_sym_NULL] = ACTIONS(2726),
    [anon_sym_nullptr] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2726),
    [anon_sym_decltype] = ACTIONS(2726),
    [anon_sym_explicit] = ACTIONS(2726),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(2726),
    [anon_sym_operator] = ACTIONS(2726),
    [anon_sym_try] = ACTIONS(2726),
    [anon_sym_delete] = ACTIONS(2726),
    [anon_sym_throw] = ACTIONS(2726),
    [anon_sym_namespace] = ACTIONS(2726),
    [anon_sym_using] = ACTIONS(2726),
    [anon_sym_static_assert] = ACTIONS(2726),
    [anon_sym_concept] = ACTIONS(2726),
    [anon_sym_co_return] = ACTIONS(2726),
    [anon_sym_co_yield] = ACTIONS(2726),
    [anon_sym_R_DQUOTE] = ACTIONS(2728),
    [anon_sym_LR_DQUOTE] = ACTIONS(2728),
    [anon_sym_uR_DQUOTE] = ACTIONS(2728),
    [anon_sym_UR_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2728),
    [anon_sym_co_await] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2726),
    [anon_sym_requires] = ACTIONS(2726),
    [sym_this] = ACTIONS(2726),
  },
  [261] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4163),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6681),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6694),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2730),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token2] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [aux_sym_preproc_else_token1] = ACTIONS(2732),
    [aux_sym_preproc_elif_token1] = ACTIONS(2732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token2] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [aux_sym_preproc_else_token1] = ACTIONS(2736),
    [aux_sym_preproc_elif_token1] = ACTIONS(2736),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [sym_primitive_type] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [anon_sym___asm] = ACTIONS(2736),
    [sym_number_literal] = ACTIONS(2738),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [aux_sym_preproc_else_token1] = ACTIONS(2740),
    [aux_sym_preproc_elif_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_virtual] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym__Nonnull] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [anon_sym___asm] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [aux_sym_preproc_else_token1] = ACTIONS(2744),
    [aux_sym_preproc_elif_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [anon_sym___asm] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [266] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4107),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6562),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6842),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_virtual] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_else] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token2] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [aux_sym_preproc_else_token1] = ACTIONS(2754),
    [aux_sym_preproc_elif_token1] = ACTIONS(2754),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_virtual] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym__Nonnull] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_else] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [anon_sym___asm] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token2] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [aux_sym_preproc_else_token1] = ACTIONS(2758),
    [aux_sym_preproc_elif_token1] = ACTIONS(2758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_virtual] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_else] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [anon_sym___asm] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token2] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [aux_sym_preproc_else_token1] = ACTIONS(2762),
    [aux_sym_preproc_elif_token1] = ACTIONS(2762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_virtual] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_else] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym___leave] = ACTIONS(2762),
    [anon_sym_not] = ACTIONS(2762),
    [anon_sym_compl] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [anon_sym___asm] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_try] = ACTIONS(2762),
    [anon_sym_delete] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2762),
    [anon_sym_namespace] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
    [anon_sym_concept] = ACTIONS(2762),
    [anon_sym_co_return] = ACTIONS(2762),
    [anon_sym_co_yield] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2764),
    [anon_sym_LR_DQUOTE] = ACTIONS(2764),
    [anon_sym_uR_DQUOTE] = ACTIONS(2764),
    [anon_sym_UR_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2764),
    [anon_sym_co_await] = ACTIONS(2762),
    [anon_sym_new] = ACTIONS(2762),
    [anon_sym_requires] = ACTIONS(2762),
    [sym_this] = ACTIONS(2762),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [aux_sym_preproc_else_token1] = ACTIONS(2766),
    [aux_sym_preproc_elif_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [aux_sym_preproc_else_token1] = ACTIONS(2766),
    [aux_sym_preproc_elif_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [aux_sym_preproc_else_token1] = ACTIONS(2770),
    [aux_sym_preproc_elif_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2772),
    [anon_sym_LR_DQUOTE] = ACTIONS(2772),
    [anon_sym_uR_DQUOTE] = ACTIONS(2772),
    [anon_sym_UR_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2772),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [aux_sym_preproc_else_token1] = ACTIONS(2774),
    [aux_sym_preproc_elif_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_virtual] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_else] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [anon_sym___asm] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token2] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [aux_sym_preproc_else_token1] = ACTIONS(2778),
    [aux_sym_preproc_elif_token1] = ACTIONS(2778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2778),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_virtual] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym_COLON_COLON] = ACTIONS(2780),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___based] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym__Nonnull] = ACTIONS(2778),
    [anon_sym_mutable] = ACTIONS(2778),
    [anon_sym_constinit] = ACTIONS(2778),
    [anon_sym_consteval] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym__Alignas] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_else] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym___leave] = ACTIONS(2778),
    [anon_sym_not] = ACTIONS(2778),
    [anon_sym_compl] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [anon_sym___asm] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2778),
    [anon_sym_decltype] = ACTIONS(2778),
    [anon_sym_explicit] = ACTIONS(2778),
    [anon_sym_typename] = ACTIONS(2778),
    [anon_sym_template] = ACTIONS(2778),
    [anon_sym_operator] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_namespace] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(2778),
    [anon_sym_static_assert] = ACTIONS(2778),
    [anon_sym_concept] = ACTIONS(2778),
    [anon_sym_co_return] = ACTIONS(2778),
    [anon_sym_co_yield] = ACTIONS(2778),
    [anon_sym_R_DQUOTE] = ACTIONS(2780),
    [anon_sym_LR_DQUOTE] = ACTIONS(2780),
    [anon_sym_uR_DQUOTE] = ACTIONS(2780),
    [anon_sym_UR_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2780),
    [anon_sym_co_await] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_requires] = ACTIONS(2778),
    [sym_this] = ACTIONS(2778),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [aux_sym_preproc_else_token1] = ACTIONS(2782),
    [aux_sym_preproc_elif_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_virtual] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym__Nonnull] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym__Alignas] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_else] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [anon_sym___asm] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [aux_sym_preproc_else_token1] = ACTIONS(2786),
    [aux_sym_preproc_elif_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [aux_sym_preproc_else_token1] = ACTIONS(2700),
    [aux_sym_preproc_elif_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [280] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4140),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6618),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6772),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2796),
    [aux_sym_preproc_include_token1] = ACTIONS(2796),
    [aux_sym_preproc_def_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token2] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2796),
    [aux_sym_preproc_else_token1] = ACTIONS(2796),
    [aux_sym_preproc_elif_token1] = ACTIONS(2796),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2796),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2796),
    [sym_preproc_directive] = ACTIONS(2796),
    [anon_sym_LPAREN2] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2798),
    [anon_sym_AMP_AMP] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_typedef] = ACTIONS(2796),
    [anon_sym_virtual] = ACTIONS(2796),
    [anon_sym_extern] = ACTIONS(2796),
    [anon_sym___attribute__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2798),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2798),
    [anon_sym___declspec] = ACTIONS(2796),
    [anon_sym___based] = ACTIONS(2796),
    [anon_sym___cdecl] = ACTIONS(2796),
    [anon_sym___clrcall] = ACTIONS(2796),
    [anon_sym___stdcall] = ACTIONS(2796),
    [anon_sym___fastcall] = ACTIONS(2796),
    [anon_sym___thiscall] = ACTIONS(2796),
    [anon_sym___vectorcall] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2796),
    [anon_sym_unsigned] = ACTIONS(2796),
    [anon_sym_long] = ACTIONS(2796),
    [anon_sym_short] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym_static] = ACTIONS(2796),
    [anon_sym_register] = ACTIONS(2796),
    [anon_sym_inline] = ACTIONS(2796),
    [anon_sym___inline] = ACTIONS(2796),
    [anon_sym___inline__] = ACTIONS(2796),
    [anon_sym___forceinline] = ACTIONS(2796),
    [anon_sym_thread_local] = ACTIONS(2796),
    [anon_sym___thread] = ACTIONS(2796),
    [anon_sym_const] = ACTIONS(2796),
    [anon_sym_constexpr] = ACTIONS(2796),
    [anon_sym_volatile] = ACTIONS(2796),
    [anon_sym_restrict] = ACTIONS(2796),
    [anon_sym___restrict__] = ACTIONS(2796),
    [anon_sym__Atomic] = ACTIONS(2796),
    [anon_sym__Noreturn] = ACTIONS(2796),
    [anon_sym_noreturn] = ACTIONS(2796),
    [anon_sym__Nonnull] = ACTIONS(2796),
    [anon_sym_mutable] = ACTIONS(2796),
    [anon_sym_constinit] = ACTIONS(2796),
    [anon_sym_consteval] = ACTIONS(2796),
    [anon_sym_alignas] = ACTIONS(2796),
    [anon_sym__Alignas] = ACTIONS(2796),
    [sym_primitive_type] = ACTIONS(2796),
    [anon_sym_enum] = ACTIONS(2796),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_struct] = ACTIONS(2796),
    [anon_sym_union] = ACTIONS(2796),
    [anon_sym_if] = ACTIONS(2796),
    [anon_sym_else] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2796),
    [anon_sym_case] = ACTIONS(2796),
    [anon_sym_default] = ACTIONS(2796),
    [anon_sym_while] = ACTIONS(2796),
    [anon_sym_do] = ACTIONS(2796),
    [anon_sym_for] = ACTIONS(2796),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_break] = ACTIONS(2796),
    [anon_sym_continue] = ACTIONS(2796),
    [anon_sym_goto] = ACTIONS(2796),
    [anon_sym___try] = ACTIONS(2796),
    [anon_sym___leave] = ACTIONS(2796),
    [anon_sym_not] = ACTIONS(2796),
    [anon_sym_compl] = ACTIONS(2796),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_sizeof] = ACTIONS(2796),
    [anon_sym___alignof__] = ACTIONS(2796),
    [anon_sym___alignof] = ACTIONS(2796),
    [anon_sym__alignof] = ACTIONS(2796),
    [anon_sym_alignof] = ACTIONS(2796),
    [anon_sym__Alignof] = ACTIONS(2796),
    [anon_sym_offsetof] = ACTIONS(2796),
    [anon_sym__Generic] = ACTIONS(2796),
    [anon_sym_asm] = ACTIONS(2796),
    [anon_sym___asm__] = ACTIONS(2796),
    [anon_sym___asm] = ACTIONS(2796),
    [sym_number_literal] = ACTIONS(2798),
    [anon_sym_L_SQUOTE] = ACTIONS(2798),
    [anon_sym_u_SQUOTE] = ACTIONS(2798),
    [anon_sym_U_SQUOTE] = ACTIONS(2798),
    [anon_sym_u8_SQUOTE] = ACTIONS(2798),
    [anon_sym_SQUOTE] = ACTIONS(2798),
    [anon_sym_L_DQUOTE] = ACTIONS(2798),
    [anon_sym_u_DQUOTE] = ACTIONS(2798),
    [anon_sym_U_DQUOTE] = ACTIONS(2798),
    [anon_sym_u8_DQUOTE] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2798),
    [sym_true] = ACTIONS(2796),
    [sym_false] = ACTIONS(2796),
    [anon_sym_NULL] = ACTIONS(2796),
    [anon_sym_nullptr] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2796),
    [anon_sym_decltype] = ACTIONS(2796),
    [anon_sym_explicit] = ACTIONS(2796),
    [anon_sym_typename] = ACTIONS(2796),
    [anon_sym_template] = ACTIONS(2796),
    [anon_sym_operator] = ACTIONS(2796),
    [anon_sym_try] = ACTIONS(2796),
    [anon_sym_delete] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2796),
    [anon_sym_namespace] = ACTIONS(2796),
    [anon_sym_using] = ACTIONS(2796),
    [anon_sym_static_assert] = ACTIONS(2796),
    [anon_sym_concept] = ACTIONS(2796),
    [anon_sym_co_return] = ACTIONS(2796),
    [anon_sym_co_yield] = ACTIONS(2796),
    [anon_sym_R_DQUOTE] = ACTIONS(2798),
    [anon_sym_LR_DQUOTE] = ACTIONS(2798),
    [anon_sym_uR_DQUOTE] = ACTIONS(2798),
    [anon_sym_UR_DQUOTE] = ACTIONS(2798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2798),
    [anon_sym_co_await] = ACTIONS(2796),
    [anon_sym_new] = ACTIONS(2796),
    [anon_sym_requires] = ACTIONS(2796),
    [sym_this] = ACTIONS(2796),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2800),
    [aux_sym_preproc_include_token1] = ACTIONS(2800),
    [aux_sym_preproc_def_token1] = ACTIONS(2800),
    [aux_sym_preproc_if_token1] = ACTIONS(2800),
    [aux_sym_preproc_if_token2] = ACTIONS(2800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2800),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2800),
    [aux_sym_preproc_else_token1] = ACTIONS(2800),
    [aux_sym_preproc_elif_token1] = ACTIONS(2800),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2800),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2800),
    [sym_preproc_directive] = ACTIONS(2800),
    [anon_sym_LPAREN2] = ACTIONS(2802),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_TILDE] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2802),
    [anon_sym_AMP_AMP] = ACTIONS(2802),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2800),
    [anon_sym_typedef] = ACTIONS(2800),
    [anon_sym_virtual] = ACTIONS(2800),
    [anon_sym_extern] = ACTIONS(2800),
    [anon_sym___attribute__] = ACTIONS(2800),
    [anon_sym_COLON_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2802),
    [anon_sym___declspec] = ACTIONS(2800),
    [anon_sym___based] = ACTIONS(2800),
    [anon_sym___cdecl] = ACTIONS(2800),
    [anon_sym___clrcall] = ACTIONS(2800),
    [anon_sym___stdcall] = ACTIONS(2800),
    [anon_sym___fastcall] = ACTIONS(2800),
    [anon_sym___thiscall] = ACTIONS(2800),
    [anon_sym___vectorcall] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_signed] = ACTIONS(2800),
    [anon_sym_unsigned] = ACTIONS(2800),
    [anon_sym_long] = ACTIONS(2800),
    [anon_sym_short] = ACTIONS(2800),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym_static] = ACTIONS(2800),
    [anon_sym_register] = ACTIONS(2800),
    [anon_sym_inline] = ACTIONS(2800),
    [anon_sym___inline] = ACTIONS(2800),
    [anon_sym___inline__] = ACTIONS(2800),
    [anon_sym___forceinline] = ACTIONS(2800),
    [anon_sym_thread_local] = ACTIONS(2800),
    [anon_sym___thread] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_constexpr] = ACTIONS(2800),
    [anon_sym_volatile] = ACTIONS(2800),
    [anon_sym_restrict] = ACTIONS(2800),
    [anon_sym___restrict__] = ACTIONS(2800),
    [anon_sym__Atomic] = ACTIONS(2800),
    [anon_sym__Noreturn] = ACTIONS(2800),
    [anon_sym_noreturn] = ACTIONS(2800),
    [anon_sym__Nonnull] = ACTIONS(2800),
    [anon_sym_mutable] = ACTIONS(2800),
    [anon_sym_constinit] = ACTIONS(2800),
    [anon_sym_consteval] = ACTIONS(2800),
    [anon_sym_alignas] = ACTIONS(2800),
    [anon_sym__Alignas] = ACTIONS(2800),
    [sym_primitive_type] = ACTIONS(2800),
    [anon_sym_enum] = ACTIONS(2800),
    [anon_sym_class] = ACTIONS(2800),
    [anon_sym_struct] = ACTIONS(2800),
    [anon_sym_union] = ACTIONS(2800),
    [anon_sym_if] = ACTIONS(2800),
    [anon_sym_else] = ACTIONS(2800),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_case] = ACTIONS(2800),
    [anon_sym_default] = ACTIONS(2800),
    [anon_sym_while] = ACTIONS(2800),
    [anon_sym_do] = ACTIONS(2800),
    [anon_sym_for] = ACTIONS(2800),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_break] = ACTIONS(2800),
    [anon_sym_continue] = ACTIONS(2800),
    [anon_sym_goto] = ACTIONS(2800),
    [anon_sym___try] = ACTIONS(2800),
    [anon_sym___leave] = ACTIONS(2800),
    [anon_sym_not] = ACTIONS(2800),
    [anon_sym_compl] = ACTIONS(2800),
    [anon_sym_DASH_DASH] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2802),
    [anon_sym_sizeof] = ACTIONS(2800),
    [anon_sym___alignof__] = ACTIONS(2800),
    [anon_sym___alignof] = ACTIONS(2800),
    [anon_sym__alignof] = ACTIONS(2800),
    [anon_sym_alignof] = ACTIONS(2800),
    [anon_sym__Alignof] = ACTIONS(2800),
    [anon_sym_offsetof] = ACTIONS(2800),
    [anon_sym__Generic] = ACTIONS(2800),
    [anon_sym_asm] = ACTIONS(2800),
    [anon_sym___asm__] = ACTIONS(2800),
    [anon_sym___asm] = ACTIONS(2800),
    [sym_number_literal] = ACTIONS(2802),
    [anon_sym_L_SQUOTE] = ACTIONS(2802),
    [anon_sym_u_SQUOTE] = ACTIONS(2802),
    [anon_sym_U_SQUOTE] = ACTIONS(2802),
    [anon_sym_u8_SQUOTE] = ACTIONS(2802),
    [anon_sym_SQUOTE] = ACTIONS(2802),
    [anon_sym_L_DQUOTE] = ACTIONS(2802),
    [anon_sym_u_DQUOTE] = ACTIONS(2802),
    [anon_sym_U_DQUOTE] = ACTIONS(2802),
    [anon_sym_u8_DQUOTE] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2802),
    [sym_true] = ACTIONS(2800),
    [sym_false] = ACTIONS(2800),
    [anon_sym_NULL] = ACTIONS(2800),
    [anon_sym_nullptr] = ACTIONS(2800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2800),
    [anon_sym_decltype] = ACTIONS(2800),
    [anon_sym_explicit] = ACTIONS(2800),
    [anon_sym_typename] = ACTIONS(2800),
    [anon_sym_template] = ACTIONS(2800),
    [anon_sym_operator] = ACTIONS(2800),
    [anon_sym_try] = ACTIONS(2800),
    [anon_sym_delete] = ACTIONS(2800),
    [anon_sym_throw] = ACTIONS(2800),
    [anon_sym_namespace] = ACTIONS(2800),
    [anon_sym_using] = ACTIONS(2800),
    [anon_sym_static_assert] = ACTIONS(2800),
    [anon_sym_concept] = ACTIONS(2800),
    [anon_sym_co_return] = ACTIONS(2800),
    [anon_sym_co_yield] = ACTIONS(2800),
    [anon_sym_R_DQUOTE] = ACTIONS(2802),
    [anon_sym_LR_DQUOTE] = ACTIONS(2802),
    [anon_sym_uR_DQUOTE] = ACTIONS(2802),
    [anon_sym_UR_DQUOTE] = ACTIONS(2802),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2802),
    [anon_sym_co_await] = ACTIONS(2800),
    [anon_sym_new] = ACTIONS(2800),
    [anon_sym_requires] = ACTIONS(2800),
    [sym_this] = ACTIONS(2800),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2804),
    [aux_sym_preproc_include_token1] = ACTIONS(2804),
    [aux_sym_preproc_def_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token2] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2804),
    [aux_sym_preproc_else_token1] = ACTIONS(2804),
    [aux_sym_preproc_elif_token1] = ACTIONS(2804),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2804),
    [sym_preproc_directive] = ACTIONS(2804),
    [anon_sym_LPAREN2] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_AMP_AMP] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2804),
    [anon_sym_typedef] = ACTIONS(2804),
    [anon_sym_virtual] = ACTIONS(2804),
    [anon_sym_extern] = ACTIONS(2804),
    [anon_sym___attribute__] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2806),
    [anon_sym___declspec] = ACTIONS(2804),
    [anon_sym___based] = ACTIONS(2804),
    [anon_sym___cdecl] = ACTIONS(2804),
    [anon_sym___clrcall] = ACTIONS(2804),
    [anon_sym___stdcall] = ACTIONS(2804),
    [anon_sym___fastcall] = ACTIONS(2804),
    [anon_sym___thiscall] = ACTIONS(2804),
    [anon_sym___vectorcall] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2804),
    [anon_sym_unsigned] = ACTIONS(2804),
    [anon_sym_long] = ACTIONS(2804),
    [anon_sym_short] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_register] = ACTIONS(2804),
    [anon_sym_inline] = ACTIONS(2804),
    [anon_sym___inline] = ACTIONS(2804),
    [anon_sym___inline__] = ACTIONS(2804),
    [anon_sym___forceinline] = ACTIONS(2804),
    [anon_sym_thread_local] = ACTIONS(2804),
    [anon_sym___thread] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_constexpr] = ACTIONS(2804),
    [anon_sym_volatile] = ACTIONS(2804),
    [anon_sym_restrict] = ACTIONS(2804),
    [anon_sym___restrict__] = ACTIONS(2804),
    [anon_sym__Atomic] = ACTIONS(2804),
    [anon_sym__Noreturn] = ACTIONS(2804),
    [anon_sym_noreturn] = ACTIONS(2804),
    [anon_sym__Nonnull] = ACTIONS(2804),
    [anon_sym_mutable] = ACTIONS(2804),
    [anon_sym_constinit] = ACTIONS(2804),
    [anon_sym_consteval] = ACTIONS(2804),
    [anon_sym_alignas] = ACTIONS(2804),
    [anon_sym__Alignas] = ACTIONS(2804),
    [sym_primitive_type] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_struct] = ACTIONS(2804),
    [anon_sym_union] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_case] = ACTIONS(2804),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_goto] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2804),
    [anon_sym___leave] = ACTIONS(2804),
    [anon_sym_not] = ACTIONS(2804),
    [anon_sym_compl] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_sizeof] = ACTIONS(2804),
    [anon_sym___alignof__] = ACTIONS(2804),
    [anon_sym___alignof] = ACTIONS(2804),
    [anon_sym__alignof] = ACTIONS(2804),
    [anon_sym_alignof] = ACTIONS(2804),
    [anon_sym__Alignof] = ACTIONS(2804),
    [anon_sym_offsetof] = ACTIONS(2804),
    [anon_sym__Generic] = ACTIONS(2804),
    [anon_sym_asm] = ACTIONS(2804),
    [anon_sym___asm__] = ACTIONS(2804),
    [anon_sym___asm] = ACTIONS(2804),
    [sym_number_literal] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2806),
    [anon_sym_u_SQUOTE] = ACTIONS(2806),
    [anon_sym_U_SQUOTE] = ACTIONS(2806),
    [anon_sym_u8_SQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [anon_sym_L_DQUOTE] = ACTIONS(2806),
    [anon_sym_u_DQUOTE] = ACTIONS(2806),
    [anon_sym_U_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8_DQUOTE] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [anon_sym_NULL] = ACTIONS(2804),
    [anon_sym_nullptr] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2804),
    [anon_sym_decltype] = ACTIONS(2804),
    [anon_sym_explicit] = ACTIONS(2804),
    [anon_sym_typename] = ACTIONS(2804),
    [anon_sym_template] = ACTIONS(2804),
    [anon_sym_operator] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_namespace] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(2804),
    [anon_sym_static_assert] = ACTIONS(2804),
    [anon_sym_concept] = ACTIONS(2804),
    [anon_sym_co_return] = ACTIONS(2804),
    [anon_sym_co_yield] = ACTIONS(2804),
    [anon_sym_R_DQUOTE] = ACTIONS(2806),
    [anon_sym_LR_DQUOTE] = ACTIONS(2806),
    [anon_sym_uR_DQUOTE] = ACTIONS(2806),
    [anon_sym_UR_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2806),
    [anon_sym_co_await] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_requires] = ACTIONS(2804),
    [sym_this] = ACTIONS(2804),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [aux_sym_preproc_else_token1] = ACTIONS(2808),
    [aux_sym_preproc_elif_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [285] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4118),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6471),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(6816),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [aux_sym_preproc_else_token1] = ACTIONS(2814),
    [aux_sym_preproc_elif_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [287] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4136),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6608),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(7041),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [288] = {
    [sym_expression] = STATE(4365),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7808),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2825),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2831),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2834),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [aux_sym_preproc_else_token1] = ACTIONS(2840),
    [aux_sym_preproc_elif_token1] = ACTIONS(2840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym__Nonnull] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym___leave] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [anon_sym___asm] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [aux_sym_preproc_else_token1] = ACTIONS(2848),
    [aux_sym_preproc_elif_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [aux_sym_preproc_else_token1] = ACTIONS(2852),
    [aux_sym_preproc_elif_token1] = ACTIONS(2852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token2] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [aux_sym_preproc_else_token1] = ACTIONS(2856),
    [aux_sym_preproc_elif_token1] = ACTIONS(2856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym___leave] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(2856),
    [anon_sym_compl] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [sym_number_literal] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_namespace] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
    [anon_sym_concept] = ACTIONS(2856),
    [anon_sym_co_return] = ACTIONS(2856),
    [anon_sym_co_yield] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2858),
    [anon_sym_LR_DQUOTE] = ACTIONS(2858),
    [anon_sym_uR_DQUOTE] = ACTIONS(2858),
    [anon_sym_UR_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2858),
    [anon_sym_co_await] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_requires] = ACTIONS(2856),
    [sym_this] = ACTIONS(2856),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2860),
    [aux_sym_preproc_include_token1] = ACTIONS(2860),
    [aux_sym_preproc_def_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token2] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [aux_sym_preproc_else_token1] = ACTIONS(2860),
    [aux_sym_preproc_elif_token1] = ACTIONS(2860),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_AMP_AMP] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_typedef] = ACTIONS(2860),
    [anon_sym_virtual] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___based] = ACTIONS(2860),
    [anon_sym___cdecl] = ACTIONS(2860),
    [anon_sym___clrcall] = ACTIONS(2860),
    [anon_sym___stdcall] = ACTIONS(2860),
    [anon_sym___fastcall] = ACTIONS(2860),
    [anon_sym___thiscall] = ACTIONS(2860),
    [anon_sym___vectorcall] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_mutable] = ACTIONS(2860),
    [anon_sym_constinit] = ACTIONS(2860),
    [anon_sym_consteval] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_class] = ACTIONS(2860),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_switch] = ACTIONS(2860),
    [anon_sym_case] = ACTIONS(2860),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_break] = ACTIONS(2860),
    [anon_sym_continue] = ACTIONS(2860),
    [anon_sym_goto] = ACTIONS(2860),
    [anon_sym___try] = ACTIONS(2860),
    [anon_sym___leave] = ACTIONS(2860),
    [anon_sym_not] = ACTIONS(2860),
    [anon_sym_compl] = ACTIONS(2860),
    [anon_sym_DASH_DASH] = ACTIONS(2862),
    [anon_sym_PLUS_PLUS] = ACTIONS(2862),
    [anon_sym_sizeof] = ACTIONS(2860),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2860),
    [anon_sym__Generic] = ACTIONS(2860),
    [anon_sym_asm] = ACTIONS(2860),
    [anon_sym___asm__] = ACTIONS(2860),
    [anon_sym___asm] = ACTIONS(2860),
    [sym_number_literal] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2862),
    [anon_sym_u_SQUOTE] = ACTIONS(2862),
    [anon_sym_U_SQUOTE] = ACTIONS(2862),
    [anon_sym_u8_SQUOTE] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_L_DQUOTE] = ACTIONS(2862),
    [anon_sym_u_DQUOTE] = ACTIONS(2862),
    [anon_sym_U_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE] = ACTIONS(2862),
    [sym_true] = ACTIONS(2860),
    [sym_false] = ACTIONS(2860),
    [anon_sym_NULL] = ACTIONS(2860),
    [anon_sym_nullptr] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2860),
    [anon_sym_decltype] = ACTIONS(2860),
    [anon_sym_explicit] = ACTIONS(2860),
    [anon_sym_typename] = ACTIONS(2860),
    [anon_sym_template] = ACTIONS(2860),
    [anon_sym_operator] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_delete] = ACTIONS(2860),
    [anon_sym_throw] = ACTIONS(2860),
    [anon_sym_namespace] = ACTIONS(2860),
    [anon_sym_using] = ACTIONS(2860),
    [anon_sym_static_assert] = ACTIONS(2860),
    [anon_sym_concept] = ACTIONS(2860),
    [anon_sym_co_return] = ACTIONS(2860),
    [anon_sym_co_yield] = ACTIONS(2860),
    [anon_sym_R_DQUOTE] = ACTIONS(2862),
    [anon_sym_LR_DQUOTE] = ACTIONS(2862),
    [anon_sym_uR_DQUOTE] = ACTIONS(2862),
    [anon_sym_UR_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2862),
    [anon_sym_co_await] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_requires] = ACTIONS(2860),
    [sym_this] = ACTIONS(2860),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_include_token1] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [aux_sym_preproc_else_token1] = ACTIONS(2864),
    [aux_sym_preproc_elif_token1] = ACTIONS(2864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_AMP_AMP] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_virtual] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___based] = ACTIONS(2864),
    [anon_sym___cdecl] = ACTIONS(2864),
    [anon_sym___clrcall] = ACTIONS(2864),
    [anon_sym___stdcall] = ACTIONS(2864),
    [anon_sym___fastcall] = ACTIONS(2864),
    [anon_sym___thiscall] = ACTIONS(2864),
    [anon_sym___vectorcall] = ACTIONS(2864),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_mutable] = ACTIONS(2864),
    [anon_sym_constinit] = ACTIONS(2864),
    [anon_sym_consteval] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_class] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_switch] = ACTIONS(2864),
    [anon_sym_case] = ACTIONS(2864),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_break] = ACTIONS(2864),
    [anon_sym_continue] = ACTIONS(2864),
    [anon_sym_goto] = ACTIONS(2864),
    [anon_sym___try] = ACTIONS(2864),
    [anon_sym___leave] = ACTIONS(2864),
    [anon_sym_not] = ACTIONS(2864),
    [anon_sym_compl] = ACTIONS(2864),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_sizeof] = ACTIONS(2864),
    [anon_sym___alignof__] = ACTIONS(2864),
    [anon_sym___alignof] = ACTIONS(2864),
    [anon_sym__alignof] = ACTIONS(2864),
    [anon_sym_alignof] = ACTIONS(2864),
    [anon_sym__Alignof] = ACTIONS(2864),
    [anon_sym_offsetof] = ACTIONS(2864),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2864),
    [anon_sym___asm__] = ACTIONS(2864),
    [anon_sym___asm] = ACTIONS(2864),
    [sym_number_literal] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2866),
    [anon_sym_u_SQUOTE] = ACTIONS(2866),
    [anon_sym_U_SQUOTE] = ACTIONS(2866),
    [anon_sym_u8_SQUOTE] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_L_DQUOTE] = ACTIONS(2866),
    [anon_sym_u_DQUOTE] = ACTIONS(2866),
    [anon_sym_U_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE] = ACTIONS(2866),
    [sym_true] = ACTIONS(2864),
    [sym_false] = ACTIONS(2864),
    [anon_sym_NULL] = ACTIONS(2864),
    [anon_sym_nullptr] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2864),
    [anon_sym_decltype] = ACTIONS(2864),
    [anon_sym_explicit] = ACTIONS(2864),
    [anon_sym_typename] = ACTIONS(2864),
    [anon_sym_template] = ACTIONS(2864),
    [anon_sym_operator] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_delete] = ACTIONS(2864),
    [anon_sym_throw] = ACTIONS(2864),
    [anon_sym_namespace] = ACTIONS(2864),
    [anon_sym_using] = ACTIONS(2864),
    [anon_sym_static_assert] = ACTIONS(2864),
    [anon_sym_concept] = ACTIONS(2864),
    [anon_sym_co_return] = ACTIONS(2864),
    [anon_sym_co_yield] = ACTIONS(2864),
    [anon_sym_R_DQUOTE] = ACTIONS(2866),
    [anon_sym_LR_DQUOTE] = ACTIONS(2866),
    [anon_sym_uR_DQUOTE] = ACTIONS(2866),
    [anon_sym_UR_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2866),
    [anon_sym_co_await] = ACTIONS(2864),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_requires] = ACTIONS(2864),
    [sym_this] = ACTIONS(2864),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [aux_sym_preproc_else_token1] = ACTIONS(2868),
    [aux_sym_preproc_elif_token1] = ACTIONS(2868),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_virtual] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym___try] = ACTIONS(2868),
    [anon_sym___leave] = ACTIONS(2868),
    [anon_sym_not] = ACTIONS(2868),
    [anon_sym_compl] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [anon_sym___asm] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_delete] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
    [anon_sym_concept] = ACTIONS(2868),
    [anon_sym_co_return] = ACTIONS(2868),
    [anon_sym_co_yield] = ACTIONS(2868),
    [anon_sym_R_DQUOTE] = ACTIONS(2870),
    [anon_sym_LR_DQUOTE] = ACTIONS(2870),
    [anon_sym_uR_DQUOTE] = ACTIONS(2870),
    [anon_sym_UR_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2870),
    [anon_sym_co_await] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_requires] = ACTIONS(2868),
    [sym_this] = ACTIONS(2868),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token2] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [aux_sym_preproc_else_token1] = ACTIONS(2872),
    [aux_sym_preproc_elif_token1] = ACTIONS(2872),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_AMP_AMP] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_virtual] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___based] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_constinit] = ACTIONS(2872),
    [anon_sym_consteval] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_class] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym___try] = ACTIONS(2872),
    [anon_sym___leave] = ACTIONS(2872),
    [anon_sym_not] = ACTIONS(2872),
    [anon_sym_compl] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2872),
    [anon_sym_decltype] = ACTIONS(2872),
    [anon_sym_explicit] = ACTIONS(2872),
    [anon_sym_typename] = ACTIONS(2872),
    [anon_sym_template] = ACTIONS(2872),
    [anon_sym_operator] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_using] = ACTIONS(2872),
    [anon_sym_static_assert] = ACTIONS(2872),
    [anon_sym_concept] = ACTIONS(2872),
    [anon_sym_co_return] = ACTIONS(2872),
    [anon_sym_co_yield] = ACTIONS(2872),
    [anon_sym_R_DQUOTE] = ACTIONS(2874),
    [anon_sym_LR_DQUOTE] = ACTIONS(2874),
    [anon_sym_uR_DQUOTE] = ACTIONS(2874),
    [anon_sym_UR_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2874),
    [anon_sym_co_await] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_requires] = ACTIONS(2872),
    [sym_this] = ACTIONS(2872),
  },
  [298] = {
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_unaligned_ptr_modifier] = STATE(3994),
    [sym_ms_pointer_modifier] = STATE(2782),
    [sym__declarator] = STATE(6071),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_type_qualifier] = STATE(3810),
    [sym_alignas_qualifier] = STATE(4312),
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3172),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5329),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(2342),
    [aux_sym__type_definition_type_repeat1] = STATE(3810),
    [aux_sym_pointer_declarator_repeat1] = STATE(2782),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2884),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2884),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2884),
    [anon_sym__unaligned] = ACTIONS(2886),
    [anon_sym___unaligned] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2890),
    [anon_sym__Alignas] = ACTIONS(2890),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2894),
    [aux_sym_preproc_include_token1] = ACTIONS(2894),
    [aux_sym_preproc_def_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token2] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2894),
    [aux_sym_preproc_else_token1] = ACTIONS(2894),
    [aux_sym_preproc_elif_token1] = ACTIONS(2894),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2894),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2894),
    [sym_preproc_directive] = ACTIONS(2894),
    [anon_sym_LPAREN2] = ACTIONS(2896),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym___extension__] = ACTIONS(2894),
    [anon_sym_typedef] = ACTIONS(2894),
    [anon_sym_virtual] = ACTIONS(2894),
    [anon_sym_extern] = ACTIONS(2894),
    [anon_sym___attribute__] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2896),
    [anon_sym___declspec] = ACTIONS(2894),
    [anon_sym___based] = ACTIONS(2894),
    [anon_sym___cdecl] = ACTIONS(2894),
    [anon_sym___clrcall] = ACTIONS(2894),
    [anon_sym___stdcall] = ACTIONS(2894),
    [anon_sym___fastcall] = ACTIONS(2894),
    [anon_sym___thiscall] = ACTIONS(2894),
    [anon_sym___vectorcall] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_signed] = ACTIONS(2894),
    [anon_sym_unsigned] = ACTIONS(2894),
    [anon_sym_long] = ACTIONS(2894),
    [anon_sym_short] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2894),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_register] = ACTIONS(2894),
    [anon_sym_inline] = ACTIONS(2894),
    [anon_sym___inline] = ACTIONS(2894),
    [anon_sym___inline__] = ACTIONS(2894),
    [anon_sym___forceinline] = ACTIONS(2894),
    [anon_sym_thread_local] = ACTIONS(2894),
    [anon_sym___thread] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2894),
    [anon_sym_constexpr] = ACTIONS(2894),
    [anon_sym_volatile] = ACTIONS(2894),
    [anon_sym_restrict] = ACTIONS(2894),
    [anon_sym___restrict__] = ACTIONS(2894),
    [anon_sym__Atomic] = ACTIONS(2894),
    [anon_sym__Noreturn] = ACTIONS(2894),
    [anon_sym_noreturn] = ACTIONS(2894),
    [anon_sym__Nonnull] = ACTIONS(2894),
    [anon_sym_mutable] = ACTIONS(2894),
    [anon_sym_constinit] = ACTIONS(2894),
    [anon_sym_consteval] = ACTIONS(2894),
    [anon_sym_alignas] = ACTIONS(2894),
    [anon_sym__Alignas] = ACTIONS(2894),
    [sym_primitive_type] = ACTIONS(2894),
    [anon_sym_enum] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_struct] = ACTIONS(2894),
    [anon_sym_union] = ACTIONS(2894),
    [anon_sym_if] = ACTIONS(2894),
    [anon_sym_switch] = ACTIONS(2894),
    [anon_sym_case] = ACTIONS(2894),
    [anon_sym_default] = ACTIONS(2894),
    [anon_sym_while] = ACTIONS(2894),
    [anon_sym_do] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2894),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_break] = ACTIONS(2894),
    [anon_sym_continue] = ACTIONS(2894),
    [anon_sym_goto] = ACTIONS(2894),
    [anon_sym___try] = ACTIONS(2894),
    [anon_sym___leave] = ACTIONS(2894),
    [anon_sym_not] = ACTIONS(2894),
    [anon_sym_compl] = ACTIONS(2894),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_sizeof] = ACTIONS(2894),
    [anon_sym___alignof__] = ACTIONS(2894),
    [anon_sym___alignof] = ACTIONS(2894),
    [anon_sym__alignof] = ACTIONS(2894),
    [anon_sym_alignof] = ACTIONS(2894),
    [anon_sym__Alignof] = ACTIONS(2894),
    [anon_sym_offsetof] = ACTIONS(2894),
    [anon_sym__Generic] = ACTIONS(2894),
    [anon_sym_asm] = ACTIONS(2894),
    [anon_sym___asm__] = ACTIONS(2894),
    [anon_sym___asm] = ACTIONS(2894),
    [sym_number_literal] = ACTIONS(2896),
    [anon_sym_L_SQUOTE] = ACTIONS(2896),
    [anon_sym_u_SQUOTE] = ACTIONS(2896),
    [anon_sym_U_SQUOTE] = ACTIONS(2896),
    [anon_sym_u8_SQUOTE] = ACTIONS(2896),
    [anon_sym_SQUOTE] = ACTIONS(2896),
    [anon_sym_L_DQUOTE] = ACTIONS(2896),
    [anon_sym_u_DQUOTE] = ACTIONS(2896),
    [anon_sym_U_DQUOTE] = ACTIONS(2896),
    [anon_sym_u8_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [sym_true] = ACTIONS(2894),
    [sym_false] = ACTIONS(2894),
    [anon_sym_NULL] = ACTIONS(2894),
    [anon_sym_nullptr] = ACTIONS(2894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2894),
    [anon_sym_decltype] = ACTIONS(2894),
    [anon_sym_explicit] = ACTIONS(2894),
    [anon_sym_typename] = ACTIONS(2894),
    [anon_sym_template] = ACTIONS(2894),
    [anon_sym_operator] = ACTIONS(2894),
    [anon_sym_try] = ACTIONS(2894),
    [anon_sym_delete] = ACTIONS(2894),
    [anon_sym_throw] = ACTIONS(2894),
    [anon_sym_namespace] = ACTIONS(2894),
    [anon_sym_using] = ACTIONS(2894),
    [anon_sym_static_assert] = ACTIONS(2894),
    [anon_sym_concept] = ACTIONS(2894),
    [anon_sym_co_return] = ACTIONS(2894),
    [anon_sym_co_yield] = ACTIONS(2894),
    [anon_sym_R_DQUOTE] = ACTIONS(2896),
    [anon_sym_LR_DQUOTE] = ACTIONS(2896),
    [anon_sym_uR_DQUOTE] = ACTIONS(2896),
    [anon_sym_UR_DQUOTE] = ACTIONS(2896),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2896),
    [anon_sym_co_await] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2894),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2894),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2898),
    [aux_sym_preproc_include_token1] = ACTIONS(2898),
    [aux_sym_preproc_def_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token2] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2898),
    [aux_sym_preproc_else_token1] = ACTIONS(2898),
    [aux_sym_preproc_elif_token1] = ACTIONS(2898),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2898),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2898),
    [sym_preproc_directive] = ACTIONS(2898),
    [anon_sym_LPAREN2] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2898),
    [anon_sym_SEMI] = ACTIONS(2900),
    [anon_sym___extension__] = ACTIONS(2898),
    [anon_sym_typedef] = ACTIONS(2898),
    [anon_sym_virtual] = ACTIONS(2898),
    [anon_sym_extern] = ACTIONS(2898),
    [anon_sym___attribute__] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2900),
    [anon_sym___declspec] = ACTIONS(2898),
    [anon_sym___based] = ACTIONS(2898),
    [anon_sym___cdecl] = ACTIONS(2898),
    [anon_sym___clrcall] = ACTIONS(2898),
    [anon_sym___stdcall] = ACTIONS(2898),
    [anon_sym___fastcall] = ACTIONS(2898),
    [anon_sym___thiscall] = ACTIONS(2898),
    [anon_sym___vectorcall] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_signed] = ACTIONS(2898),
    [anon_sym_unsigned] = ACTIONS(2898),
    [anon_sym_long] = ACTIONS(2898),
    [anon_sym_short] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [anon_sym_static] = ACTIONS(2898),
    [anon_sym_register] = ACTIONS(2898),
    [anon_sym_inline] = ACTIONS(2898),
    [anon_sym___inline] = ACTIONS(2898),
    [anon_sym___inline__] = ACTIONS(2898),
    [anon_sym___forceinline] = ACTIONS(2898),
    [anon_sym_thread_local] = ACTIONS(2898),
    [anon_sym___thread] = ACTIONS(2898),
    [anon_sym_const] = ACTIONS(2898),
    [anon_sym_constexpr] = ACTIONS(2898),
    [anon_sym_volatile] = ACTIONS(2898),
    [anon_sym_restrict] = ACTIONS(2898),
    [anon_sym___restrict__] = ACTIONS(2898),
    [anon_sym__Atomic] = ACTIONS(2898),
    [anon_sym__Noreturn] = ACTIONS(2898),
    [anon_sym_noreturn] = ACTIONS(2898),
    [anon_sym__Nonnull] = ACTIONS(2898),
    [anon_sym_mutable] = ACTIONS(2898),
    [anon_sym_constinit] = ACTIONS(2898),
    [anon_sym_consteval] = ACTIONS(2898),
    [anon_sym_alignas] = ACTIONS(2898),
    [anon_sym__Alignas] = ACTIONS(2898),
    [sym_primitive_type] = ACTIONS(2898),
    [anon_sym_enum] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2898),
    [anon_sym_struct] = ACTIONS(2898),
    [anon_sym_union] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(2898),
    [anon_sym_switch] = ACTIONS(2898),
    [anon_sym_case] = ACTIONS(2898),
    [anon_sym_default] = ACTIONS(2898),
    [anon_sym_while] = ACTIONS(2898),
    [anon_sym_do] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2898),
    [anon_sym_break] = ACTIONS(2898),
    [anon_sym_continue] = ACTIONS(2898),
    [anon_sym_goto] = ACTIONS(2898),
    [anon_sym___try] = ACTIONS(2898),
    [anon_sym___leave] = ACTIONS(2898),
    [anon_sym_not] = ACTIONS(2898),
    [anon_sym_compl] = ACTIONS(2898),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_sizeof] = ACTIONS(2898),
    [anon_sym___alignof__] = ACTIONS(2898),
    [anon_sym___alignof] = ACTIONS(2898),
    [anon_sym__alignof] = ACTIONS(2898),
    [anon_sym_alignof] = ACTIONS(2898),
    [anon_sym__Alignof] = ACTIONS(2898),
    [anon_sym_offsetof] = ACTIONS(2898),
    [anon_sym__Generic] = ACTIONS(2898),
    [anon_sym_asm] = ACTIONS(2898),
    [anon_sym___asm__] = ACTIONS(2898),
    [anon_sym___asm] = ACTIONS(2898),
    [sym_number_literal] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2900),
    [anon_sym_u_SQUOTE] = ACTIONS(2900),
    [anon_sym_U_SQUOTE] = ACTIONS(2900),
    [anon_sym_u8_SQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [anon_sym_L_DQUOTE] = ACTIONS(2900),
    [anon_sym_u_DQUOTE] = ACTIONS(2900),
    [anon_sym_U_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [sym_true] = ACTIONS(2898),
    [sym_false] = ACTIONS(2898),
    [anon_sym_NULL] = ACTIONS(2898),
    [anon_sym_nullptr] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2898),
    [anon_sym_decltype] = ACTIONS(2898),
    [anon_sym_explicit] = ACTIONS(2898),
    [anon_sym_typename] = ACTIONS(2898),
    [anon_sym_template] = ACTIONS(2898),
    [anon_sym_operator] = ACTIONS(2898),
    [anon_sym_try] = ACTIONS(2898),
    [anon_sym_delete] = ACTIONS(2898),
    [anon_sym_throw] = ACTIONS(2898),
    [anon_sym_namespace] = ACTIONS(2898),
    [anon_sym_using] = ACTIONS(2898),
    [anon_sym_static_assert] = ACTIONS(2898),
    [anon_sym_concept] = ACTIONS(2898),
    [anon_sym_co_return] = ACTIONS(2898),
    [anon_sym_co_yield] = ACTIONS(2898),
    [anon_sym_R_DQUOTE] = ACTIONS(2900),
    [anon_sym_LR_DQUOTE] = ACTIONS(2900),
    [anon_sym_uR_DQUOTE] = ACTIONS(2900),
    [anon_sym_UR_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2900),
    [anon_sym_co_await] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2898),
    [anon_sym_requires] = ACTIONS(2898),
    [sym_this] = ACTIONS(2898),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2902),
    [aux_sym_preproc_include_token1] = ACTIONS(2902),
    [aux_sym_preproc_def_token1] = ACTIONS(2902),
    [aux_sym_preproc_if_token1] = ACTIONS(2902),
    [aux_sym_preproc_if_token2] = ACTIONS(2902),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2902),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2902),
    [aux_sym_preproc_else_token1] = ACTIONS(2902),
    [aux_sym_preproc_elif_token1] = ACTIONS(2902),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2902),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2902),
    [sym_preproc_directive] = ACTIONS(2902),
    [anon_sym_LPAREN2] = ACTIONS(2904),
    [anon_sym_BANG] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_AMP] = ACTIONS(2902),
    [anon_sym_SEMI] = ACTIONS(2904),
    [anon_sym___extension__] = ACTIONS(2902),
    [anon_sym_typedef] = ACTIONS(2902),
    [anon_sym_virtual] = ACTIONS(2902),
    [anon_sym_extern] = ACTIONS(2902),
    [anon_sym___attribute__] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2904),
    [anon_sym___declspec] = ACTIONS(2902),
    [anon_sym___based] = ACTIONS(2902),
    [anon_sym___cdecl] = ACTIONS(2902),
    [anon_sym___clrcall] = ACTIONS(2902),
    [anon_sym___stdcall] = ACTIONS(2902),
    [anon_sym___fastcall] = ACTIONS(2902),
    [anon_sym___thiscall] = ACTIONS(2902),
    [anon_sym___vectorcall] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_signed] = ACTIONS(2902),
    [anon_sym_unsigned] = ACTIONS(2902),
    [anon_sym_long] = ACTIONS(2902),
    [anon_sym_short] = ACTIONS(2902),
    [anon_sym_LBRACK] = ACTIONS(2902),
    [anon_sym_static] = ACTIONS(2902),
    [anon_sym_register] = ACTIONS(2902),
    [anon_sym_inline] = ACTIONS(2902),
    [anon_sym___inline] = ACTIONS(2902),
    [anon_sym___inline__] = ACTIONS(2902),
    [anon_sym___forceinline] = ACTIONS(2902),
    [anon_sym_thread_local] = ACTIONS(2902),
    [anon_sym___thread] = ACTIONS(2902),
    [anon_sym_const] = ACTIONS(2902),
    [anon_sym_constexpr] = ACTIONS(2902),
    [anon_sym_volatile] = ACTIONS(2902),
    [anon_sym_restrict] = ACTIONS(2902),
    [anon_sym___restrict__] = ACTIONS(2902),
    [anon_sym__Atomic] = ACTIONS(2902),
    [anon_sym__Noreturn] = ACTIONS(2902),
    [anon_sym_noreturn] = ACTIONS(2902),
    [anon_sym__Nonnull] = ACTIONS(2902),
    [anon_sym_mutable] = ACTIONS(2902),
    [anon_sym_constinit] = ACTIONS(2902),
    [anon_sym_consteval] = ACTIONS(2902),
    [anon_sym_alignas] = ACTIONS(2902),
    [anon_sym__Alignas] = ACTIONS(2902),
    [sym_primitive_type] = ACTIONS(2902),
    [anon_sym_enum] = ACTIONS(2902),
    [anon_sym_class] = ACTIONS(2902),
    [anon_sym_struct] = ACTIONS(2902),
    [anon_sym_union] = ACTIONS(2902),
    [anon_sym_if] = ACTIONS(2902),
    [anon_sym_switch] = ACTIONS(2902),
    [anon_sym_case] = ACTIONS(2902),
    [anon_sym_default] = ACTIONS(2902),
    [anon_sym_while] = ACTIONS(2902),
    [anon_sym_do] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2902),
    [anon_sym_return] = ACTIONS(2902),
    [anon_sym_break] = ACTIONS(2902),
    [anon_sym_continue] = ACTIONS(2902),
    [anon_sym_goto] = ACTIONS(2902),
    [anon_sym___try] = ACTIONS(2902),
    [anon_sym___leave] = ACTIONS(2902),
    [anon_sym_not] = ACTIONS(2902),
    [anon_sym_compl] = ACTIONS(2902),
    [anon_sym_DASH_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_PLUS] = ACTIONS(2904),
    [anon_sym_sizeof] = ACTIONS(2902),
    [anon_sym___alignof__] = ACTIONS(2902),
    [anon_sym___alignof] = ACTIONS(2902),
    [anon_sym__alignof] = ACTIONS(2902),
    [anon_sym_alignof] = ACTIONS(2902),
    [anon_sym__Alignof] = ACTIONS(2902),
    [anon_sym_offsetof] = ACTIONS(2902),
    [anon_sym__Generic] = ACTIONS(2902),
    [anon_sym_asm] = ACTIONS(2902),
    [anon_sym___asm__] = ACTIONS(2902),
    [anon_sym___asm] = ACTIONS(2902),
    [sym_number_literal] = ACTIONS(2904),
    [anon_sym_L_SQUOTE] = ACTIONS(2904),
    [anon_sym_u_SQUOTE] = ACTIONS(2904),
    [anon_sym_U_SQUOTE] = ACTIONS(2904),
    [anon_sym_u8_SQUOTE] = ACTIONS(2904),
    [anon_sym_SQUOTE] = ACTIONS(2904),
    [anon_sym_L_DQUOTE] = ACTIONS(2904),
    [anon_sym_u_DQUOTE] = ACTIONS(2904),
    [anon_sym_U_DQUOTE] = ACTIONS(2904),
    [anon_sym_u8_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [sym_true] = ACTIONS(2902),
    [sym_false] = ACTIONS(2902),
    [anon_sym_NULL] = ACTIONS(2902),
    [anon_sym_nullptr] = ACTIONS(2902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2902),
    [anon_sym_decltype] = ACTIONS(2902),
    [anon_sym_explicit] = ACTIONS(2902),
    [anon_sym_typename] = ACTIONS(2902),
    [anon_sym_template] = ACTIONS(2902),
    [anon_sym_operator] = ACTIONS(2902),
    [anon_sym_try] = ACTIONS(2902),
    [anon_sym_delete] = ACTIONS(2902),
    [anon_sym_throw] = ACTIONS(2902),
    [anon_sym_namespace] = ACTIONS(2902),
    [anon_sym_using] = ACTIONS(2902),
    [anon_sym_static_assert] = ACTIONS(2902),
    [anon_sym_concept] = ACTIONS(2902),
    [anon_sym_co_return] = ACTIONS(2902),
    [anon_sym_co_yield] = ACTIONS(2902),
    [anon_sym_R_DQUOTE] = ACTIONS(2904),
    [anon_sym_LR_DQUOTE] = ACTIONS(2904),
    [anon_sym_uR_DQUOTE] = ACTIONS(2904),
    [anon_sym_UR_DQUOTE] = ACTIONS(2904),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2904),
    [anon_sym_co_await] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2902),
    [anon_sym_requires] = ACTIONS(2902),
    [sym_this] = ACTIONS(2902),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2906),
    [aux_sym_preproc_include_token1] = ACTIONS(2906),
    [aux_sym_preproc_def_token1] = ACTIONS(2906),
    [aux_sym_preproc_if_token1] = ACTIONS(2906),
    [aux_sym_preproc_if_token2] = ACTIONS(2906),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2906),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2906),
    [aux_sym_preproc_else_token1] = ACTIONS(2906),
    [aux_sym_preproc_elif_token1] = ACTIONS(2906),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2906),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2906),
    [sym_preproc_directive] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(2908),
    [anon_sym_BANG] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2906),
    [anon_sym_PLUS] = ACTIONS(2906),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_AMP] = ACTIONS(2906),
    [anon_sym_SEMI] = ACTIONS(2908),
    [anon_sym___extension__] = ACTIONS(2906),
    [anon_sym_typedef] = ACTIONS(2906),
    [anon_sym_virtual] = ACTIONS(2906),
    [anon_sym_extern] = ACTIONS(2906),
    [anon_sym___attribute__] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2908),
    [anon_sym___declspec] = ACTIONS(2906),
    [anon_sym___based] = ACTIONS(2906),
    [anon_sym___cdecl] = ACTIONS(2906),
    [anon_sym___clrcall] = ACTIONS(2906),
    [anon_sym___stdcall] = ACTIONS(2906),
    [anon_sym___fastcall] = ACTIONS(2906),
    [anon_sym___thiscall] = ACTIONS(2906),
    [anon_sym___vectorcall] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_signed] = ACTIONS(2906),
    [anon_sym_unsigned] = ACTIONS(2906),
    [anon_sym_long] = ACTIONS(2906),
    [anon_sym_short] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2906),
    [anon_sym_static] = ACTIONS(2906),
    [anon_sym_register] = ACTIONS(2906),
    [anon_sym_inline] = ACTIONS(2906),
    [anon_sym___inline] = ACTIONS(2906),
    [anon_sym___inline__] = ACTIONS(2906),
    [anon_sym___forceinline] = ACTIONS(2906),
    [anon_sym_thread_local] = ACTIONS(2906),
    [anon_sym___thread] = ACTIONS(2906),
    [anon_sym_const] = ACTIONS(2906),
    [anon_sym_constexpr] = ACTIONS(2906),
    [anon_sym_volatile] = ACTIONS(2906),
    [anon_sym_restrict] = ACTIONS(2906),
    [anon_sym___restrict__] = ACTIONS(2906),
    [anon_sym__Atomic] = ACTIONS(2906),
    [anon_sym__Noreturn] = ACTIONS(2906),
    [anon_sym_noreturn] = ACTIONS(2906),
    [anon_sym__Nonnull] = ACTIONS(2906),
    [anon_sym_mutable] = ACTIONS(2906),
    [anon_sym_constinit] = ACTIONS(2906),
    [anon_sym_consteval] = ACTIONS(2906),
    [anon_sym_alignas] = ACTIONS(2906),
    [anon_sym__Alignas] = ACTIONS(2906),
    [sym_primitive_type] = ACTIONS(2906),
    [anon_sym_enum] = ACTIONS(2906),
    [anon_sym_class] = ACTIONS(2906),
    [anon_sym_struct] = ACTIONS(2906),
    [anon_sym_union] = ACTIONS(2906),
    [anon_sym_if] = ACTIONS(2906),
    [anon_sym_switch] = ACTIONS(2906),
    [anon_sym_case] = ACTIONS(2906),
    [anon_sym_default] = ACTIONS(2906),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_do] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2906),
    [anon_sym_return] = ACTIONS(2906),
    [anon_sym_break] = ACTIONS(2906),
    [anon_sym_continue] = ACTIONS(2906),
    [anon_sym_goto] = ACTIONS(2906),
    [anon_sym___try] = ACTIONS(2906),
    [anon_sym___leave] = ACTIONS(2906),
    [anon_sym_not] = ACTIONS(2906),
    [anon_sym_compl] = ACTIONS(2906),
    [anon_sym_DASH_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_PLUS] = ACTIONS(2908),
    [anon_sym_sizeof] = ACTIONS(2906),
    [anon_sym___alignof__] = ACTIONS(2906),
    [anon_sym___alignof] = ACTIONS(2906),
    [anon_sym__alignof] = ACTIONS(2906),
    [anon_sym_alignof] = ACTIONS(2906),
    [anon_sym__Alignof] = ACTIONS(2906),
    [anon_sym_offsetof] = ACTIONS(2906),
    [anon_sym__Generic] = ACTIONS(2906),
    [anon_sym_asm] = ACTIONS(2906),
    [anon_sym___asm__] = ACTIONS(2906),
    [anon_sym___asm] = ACTIONS(2906),
    [sym_number_literal] = ACTIONS(2908),
    [anon_sym_L_SQUOTE] = ACTIONS(2908),
    [anon_sym_u_SQUOTE] = ACTIONS(2908),
    [anon_sym_U_SQUOTE] = ACTIONS(2908),
    [anon_sym_u8_SQUOTE] = ACTIONS(2908),
    [anon_sym_SQUOTE] = ACTIONS(2908),
    [anon_sym_L_DQUOTE] = ACTIONS(2908),
    [anon_sym_u_DQUOTE] = ACTIONS(2908),
    [anon_sym_U_DQUOTE] = ACTIONS(2908),
    [anon_sym_u8_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [sym_true] = ACTIONS(2906),
    [sym_false] = ACTIONS(2906),
    [anon_sym_NULL] = ACTIONS(2906),
    [anon_sym_nullptr] = ACTIONS(2906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2906),
    [anon_sym_decltype] = ACTIONS(2906),
    [anon_sym_explicit] = ACTIONS(2906),
    [anon_sym_typename] = ACTIONS(2906),
    [anon_sym_template] = ACTIONS(2906),
    [anon_sym_operator] = ACTIONS(2906),
    [anon_sym_try] = ACTIONS(2906),
    [anon_sym_delete] = ACTIONS(2906),
    [anon_sym_throw] = ACTIONS(2906),
    [anon_sym_namespace] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_static_assert] = ACTIONS(2906),
    [anon_sym_concept] = ACTIONS(2906),
    [anon_sym_co_return] = ACTIONS(2906),
    [anon_sym_co_yield] = ACTIONS(2906),
    [anon_sym_R_DQUOTE] = ACTIONS(2908),
    [anon_sym_LR_DQUOTE] = ACTIONS(2908),
    [anon_sym_uR_DQUOTE] = ACTIONS(2908),
    [anon_sym_UR_DQUOTE] = ACTIONS(2908),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2908),
    [anon_sym_co_await] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2906),
    [anon_sym_requires] = ACTIONS(2906),
    [sym_this] = ACTIONS(2906),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2910),
    [aux_sym_preproc_include_token1] = ACTIONS(2910),
    [aux_sym_preproc_def_token1] = ACTIONS(2910),
    [aux_sym_preproc_if_token1] = ACTIONS(2910),
    [aux_sym_preproc_if_token2] = ACTIONS(2910),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2910),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2910),
    [aux_sym_preproc_else_token1] = ACTIONS(2910),
    [aux_sym_preproc_elif_token1] = ACTIONS(2910),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2910),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2910),
    [sym_preproc_directive] = ACTIONS(2910),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2910),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2910),
    [anon_sym_typedef] = ACTIONS(2910),
    [anon_sym_virtual] = ACTIONS(2910),
    [anon_sym_extern] = ACTIONS(2910),
    [anon_sym___attribute__] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2910),
    [anon_sym___based] = ACTIONS(2910),
    [anon_sym___cdecl] = ACTIONS(2910),
    [anon_sym___clrcall] = ACTIONS(2910),
    [anon_sym___stdcall] = ACTIONS(2910),
    [anon_sym___fastcall] = ACTIONS(2910),
    [anon_sym___thiscall] = ACTIONS(2910),
    [anon_sym___vectorcall] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2910),
    [anon_sym_unsigned] = ACTIONS(2910),
    [anon_sym_long] = ACTIONS(2910),
    [anon_sym_short] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_register] = ACTIONS(2910),
    [anon_sym_inline] = ACTIONS(2910),
    [anon_sym___inline] = ACTIONS(2910),
    [anon_sym___inline__] = ACTIONS(2910),
    [anon_sym___forceinline] = ACTIONS(2910),
    [anon_sym_thread_local] = ACTIONS(2910),
    [anon_sym___thread] = ACTIONS(2910),
    [anon_sym_const] = ACTIONS(2910),
    [anon_sym_constexpr] = ACTIONS(2910),
    [anon_sym_volatile] = ACTIONS(2910),
    [anon_sym_restrict] = ACTIONS(2910),
    [anon_sym___restrict__] = ACTIONS(2910),
    [anon_sym__Atomic] = ACTIONS(2910),
    [anon_sym__Noreturn] = ACTIONS(2910),
    [anon_sym_noreturn] = ACTIONS(2910),
    [anon_sym__Nonnull] = ACTIONS(2910),
    [anon_sym_mutable] = ACTIONS(2910),
    [anon_sym_constinit] = ACTIONS(2910),
    [anon_sym_consteval] = ACTIONS(2910),
    [anon_sym_alignas] = ACTIONS(2910),
    [anon_sym__Alignas] = ACTIONS(2910),
    [sym_primitive_type] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_struct] = ACTIONS(2910),
    [anon_sym_union] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2910),
    [anon_sym_switch] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_default] = ACTIONS(2910),
    [anon_sym_while] = ACTIONS(2910),
    [anon_sym_do] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2910),
    [anon_sym_return] = ACTIONS(2910),
    [anon_sym_break] = ACTIONS(2910),
    [anon_sym_continue] = ACTIONS(2910),
    [anon_sym_goto] = ACTIONS(2910),
    [anon_sym___try] = ACTIONS(2910),
    [anon_sym___leave] = ACTIONS(2910),
    [anon_sym_not] = ACTIONS(2910),
    [anon_sym_compl] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2910),
    [anon_sym___alignof__] = ACTIONS(2910),
    [anon_sym___alignof] = ACTIONS(2910),
    [anon_sym__alignof] = ACTIONS(2910),
    [anon_sym_alignof] = ACTIONS(2910),
    [anon_sym__Alignof] = ACTIONS(2910),
    [anon_sym_offsetof] = ACTIONS(2910),
    [anon_sym__Generic] = ACTIONS(2910),
    [anon_sym_asm] = ACTIONS(2910),
    [anon_sym___asm__] = ACTIONS(2910),
    [anon_sym___asm] = ACTIONS(2910),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2910),
    [sym_false] = ACTIONS(2910),
    [anon_sym_NULL] = ACTIONS(2910),
    [anon_sym_nullptr] = ACTIONS(2910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2910),
    [anon_sym_decltype] = ACTIONS(2910),
    [anon_sym_explicit] = ACTIONS(2910),
    [anon_sym_typename] = ACTIONS(2910),
    [anon_sym_template] = ACTIONS(2910),
    [anon_sym_operator] = ACTIONS(2910),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_delete] = ACTIONS(2910),
    [anon_sym_throw] = ACTIONS(2910),
    [anon_sym_namespace] = ACTIONS(2910),
    [anon_sym_using] = ACTIONS(2910),
    [anon_sym_static_assert] = ACTIONS(2910),
    [anon_sym_concept] = ACTIONS(2910),
    [anon_sym_co_return] = ACTIONS(2910),
    [anon_sym_co_yield] = ACTIONS(2910),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2910),
    [anon_sym_requires] = ACTIONS(2910),
    [sym_this] = ACTIONS(2910),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token2] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [aux_sym_preproc_else_token1] = ACTIONS(2916),
    [aux_sym_preproc_elif_token1] = ACTIONS(2916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [sym_number_literal] = ACTIONS(2918),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token2] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [aux_sym_preproc_else_token1] = ACTIONS(2920),
    [aux_sym_preproc_elif_token1] = ACTIONS(2920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [aux_sym_preproc_else_token1] = ACTIONS(2924),
    [aux_sym_preproc_elif_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [aux_sym_preproc_else_token1] = ACTIONS(2928),
    [aux_sym_preproc_elif_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [aux_sym_preproc_else_token1] = ACTIONS(2932),
    [aux_sym_preproc_elif_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [aux_sym_preproc_else_token1] = ACTIONS(2936),
    [aux_sym_preproc_elif_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [aux_sym_preproc_else_token1] = ACTIONS(2940),
    [aux_sym_preproc_elif_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [aux_sym_preproc_else_token1] = ACTIONS(2944),
    [aux_sym_preproc_elif_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [aux_sym_preproc_else_token1] = ACTIONS(2948),
    [aux_sym_preproc_elif_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [anon_sym___asm] = ACTIONS(2948),
    [sym_number_literal] = ACTIONS(2950),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token2] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [aux_sym_preproc_else_token1] = ACTIONS(2952),
    [aux_sym_preproc_elif_token1] = ACTIONS(2952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym__Nonnull] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym__Alignas] = ACTIONS(2952),
    [sym_primitive_type] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [anon_sym___asm] = ACTIONS(2952),
    [sym_number_literal] = ACTIONS(2954),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token2] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [aux_sym_preproc_else_token1] = ACTIONS(2956),
    [aux_sym_preproc_elif_token1] = ACTIONS(2956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_virtual] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym__Nonnull] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym__Alignas] = ACTIONS(2956),
    [sym_primitive_type] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym___try] = ACTIONS(2956),
    [anon_sym___leave] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [anon_sym___asm] = ACTIONS(2956),
    [sym_number_literal] = ACTIONS(2958),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token2] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [aux_sym_preproc_else_token1] = ACTIONS(2960),
    [aux_sym_preproc_elif_token1] = ACTIONS(2960),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_virtual] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym__Nonnull] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym__Alignas] = ACTIONS(2960),
    [sym_primitive_type] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym___try] = ACTIONS(2960),
    [anon_sym___leave] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [anon_sym___asm] = ACTIONS(2960),
    [sym_number_literal] = ACTIONS(2962),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [aux_sym_preproc_else_token1] = ACTIONS(2964),
    [aux_sym_preproc_elif_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym___try] = ACTIONS(2964),
    [anon_sym___leave] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [anon_sym___asm] = ACTIONS(2964),
    [sym_number_literal] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token2] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [aux_sym_preproc_else_token1] = ACTIONS(2968),
    [aux_sym_preproc_elif_token1] = ACTIONS(2968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym___cdecl] = ACTIONS(2968),
    [anon_sym___clrcall] = ACTIONS(2968),
    [anon_sym___stdcall] = ACTIONS(2968),
    [anon_sym___fastcall] = ACTIONS(2968),
    [anon_sym___thiscall] = ACTIONS(2968),
    [anon_sym___vectorcall] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [sym_primitive_type] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_goto] = ACTIONS(2968),
    [anon_sym___try] = ACTIONS(2968),
    [anon_sym___leave] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2968),
    [anon_sym_compl] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_sizeof] = ACTIONS(2968),
    [anon_sym___alignof__] = ACTIONS(2968),
    [anon_sym___alignof] = ACTIONS(2968),
    [anon_sym__alignof] = ACTIONS(2968),
    [anon_sym_alignof] = ACTIONS(2968),
    [anon_sym__Alignof] = ACTIONS(2968),
    [anon_sym_offsetof] = ACTIONS(2968),
    [anon_sym__Generic] = ACTIONS(2968),
    [anon_sym_asm] = ACTIONS(2968),
    [anon_sym___asm__] = ACTIONS(2968),
    [anon_sym___asm] = ACTIONS(2968),
    [sym_number_literal] = ACTIONS(2970),
    [anon_sym_L_SQUOTE] = ACTIONS(2970),
    [anon_sym_u_SQUOTE] = ACTIONS(2970),
    [anon_sym_U_SQUOTE] = ACTIONS(2970),
    [anon_sym_u8_SQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [anon_sym_L_DQUOTE] = ACTIONS(2970),
    [anon_sym_u_DQUOTE] = ACTIONS(2970),
    [anon_sym_U_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8_DQUOTE] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [anon_sym_NULL] = ACTIONS(2968),
    [anon_sym_nullptr] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
    [anon_sym_concept] = ACTIONS(2968),
    [anon_sym_co_return] = ACTIONS(2968),
    [anon_sym_co_yield] = ACTIONS(2968),
    [anon_sym_R_DQUOTE] = ACTIONS(2970),
    [anon_sym_LR_DQUOTE] = ACTIONS(2970),
    [anon_sym_uR_DQUOTE] = ACTIONS(2970),
    [anon_sym_UR_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2970),
    [anon_sym_co_await] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_requires] = ACTIONS(2968),
    [sym_this] = ACTIONS(2968),
  },
  [318] = {
    [sym_catch_clause] = STATE(318),
    [aux_sym_constructor_try_statement_repeat1] = STATE(318),
    [ts_builtin_sym_end] = ACTIONS(2494),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(2972),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_include_token1] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token2] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [aux_sym_preproc_else_token1] = ACTIONS(2975),
    [aux_sym_preproc_elif_token1] = ACTIONS(2975),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym___cdecl] = ACTIONS(2975),
    [anon_sym___clrcall] = ACTIONS(2975),
    [anon_sym___stdcall] = ACTIONS(2975),
    [anon_sym___fastcall] = ACTIONS(2975),
    [anon_sym___thiscall] = ACTIONS(2975),
    [anon_sym___vectorcall] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym__Nonnull] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym__Alignas] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_switch] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_default] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_do] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_break] = ACTIONS(2975),
    [anon_sym_continue] = ACTIONS(2975),
    [anon_sym_goto] = ACTIONS(2975),
    [anon_sym___try] = ACTIONS(2975),
    [anon_sym___leave] = ACTIONS(2975),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_compl] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_sizeof] = ACTIONS(2975),
    [anon_sym___alignof__] = ACTIONS(2975),
    [anon_sym___alignof] = ACTIONS(2975),
    [anon_sym__alignof] = ACTIONS(2975),
    [anon_sym_alignof] = ACTIONS(2975),
    [anon_sym__Alignof] = ACTIONS(2975),
    [anon_sym_offsetof] = ACTIONS(2975),
    [anon_sym__Generic] = ACTIONS(2975),
    [anon_sym_asm] = ACTIONS(2975),
    [anon_sym___asm__] = ACTIONS(2975),
    [anon_sym___asm] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2977),
    [anon_sym_L_SQUOTE] = ACTIONS(2977),
    [anon_sym_u_SQUOTE] = ACTIONS(2977),
    [anon_sym_U_SQUOTE] = ACTIONS(2977),
    [anon_sym_u8_SQUOTE] = ACTIONS(2977),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_L_DQUOTE] = ACTIONS(2977),
    [anon_sym_u_DQUOTE] = ACTIONS(2977),
    [anon_sym_U_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [anon_sym_NULL] = ACTIONS(2975),
    [anon_sym_nullptr] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2975),
    [anon_sym_namespace] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
    [anon_sym_concept] = ACTIONS(2975),
    [anon_sym_co_return] = ACTIONS(2975),
    [anon_sym_co_yield] = ACTIONS(2975),
    [anon_sym_R_DQUOTE] = ACTIONS(2977),
    [anon_sym_LR_DQUOTE] = ACTIONS(2977),
    [anon_sym_uR_DQUOTE] = ACTIONS(2977),
    [anon_sym_UR_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2977),
    [anon_sym_co_await] = ACTIONS(2975),
    [anon_sym_new] = ACTIONS(2975),
    [anon_sym_requires] = ACTIONS(2975),
    [sym_this] = ACTIONS(2975),
  },
  [320] = {
    [sym_catch_clause] = STATE(318),
    [aux_sym_constructor_try_statement_repeat1] = STATE(318),
    [ts_builtin_sym_end] = ACTIONS(2501),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(2979),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [anon_sym___asm] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [aux_sym_preproc_else_token1] = ACTIONS(2985),
    [aux_sym_preproc_elif_token1] = ACTIONS(2985),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym__Nonnull] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym__Alignas] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [anon_sym___asm] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [aux_sym_preproc_else_token1] = ACTIONS(2989),
    [aux_sym_preproc_elif_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [anon_sym___asm] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token2] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [aux_sym_preproc_else_token1] = ACTIONS(2993),
    [aux_sym_preproc_elif_token1] = ACTIONS(2993),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [anon_sym___asm] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [aux_sym_preproc_else_token1] = ACTIONS(2997),
    [aux_sym_preproc_elif_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [anon_sym___asm] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [326] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym__Nonnull] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [anon_sym___asm] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [327] = {
    [sym_catch_clause] = STATE(351),
    [aux_sym_constructor_try_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_RBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
  },
  [328] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [329] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token2] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [aux_sym_preproc_else_token1] = ACTIONS(3011),
    [aux_sym_preproc_elif_token1] = ACTIONS(3011),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym___try] = ACTIONS(3011),
    [anon_sym___leave] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [anon_sym___asm] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [330] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [331] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [aux_sym_preproc_else_token1] = ACTIONS(3015),
    [aux_sym_preproc_elif_token1] = ACTIONS(3015),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym___try] = ACTIONS(3015),
    [anon_sym___leave] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [anon_sym___asm] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [332] = {
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_include_token1] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token2] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [aux_sym_preproc_else_token1] = ACTIONS(3019),
    [aux_sym_preproc_elif_token1] = ACTIONS(3019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_BANG] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym___cdecl] = ACTIONS(3019),
    [anon_sym___clrcall] = ACTIONS(3019),
    [anon_sym___stdcall] = ACTIONS(3019),
    [anon_sym___fastcall] = ACTIONS(3019),
    [anon_sym___thiscall] = ACTIONS(3019),
    [anon_sym___vectorcall] = ACTIONS(3019),
    [anon_sym_LBRACE] = ACTIONS(3021),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_switch] = ACTIONS(3019),
    [anon_sym_case] = ACTIONS(3019),
    [anon_sym_default] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_do] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_return] = ACTIONS(3019),
    [anon_sym_break] = ACTIONS(3019),
    [anon_sym_continue] = ACTIONS(3019),
    [anon_sym_goto] = ACTIONS(3019),
    [anon_sym___try] = ACTIONS(3019),
    [anon_sym___leave] = ACTIONS(3019),
    [anon_sym_not] = ACTIONS(3019),
    [anon_sym_compl] = ACTIONS(3019),
    [anon_sym_DASH_DASH] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3021),
    [anon_sym_sizeof] = ACTIONS(3019),
    [anon_sym___alignof__] = ACTIONS(3019),
    [anon_sym___alignof] = ACTIONS(3019),
    [anon_sym__alignof] = ACTIONS(3019),
    [anon_sym_alignof] = ACTIONS(3019),
    [anon_sym__Alignof] = ACTIONS(3019),
    [anon_sym_offsetof] = ACTIONS(3019),
    [anon_sym__Generic] = ACTIONS(3019),
    [anon_sym_asm] = ACTIONS(3019),
    [anon_sym___asm__] = ACTIONS(3019),
    [anon_sym___asm] = ACTIONS(3019),
    [sym_number_literal] = ACTIONS(3021),
    [anon_sym_L_SQUOTE] = ACTIONS(3021),
    [anon_sym_u_SQUOTE] = ACTIONS(3021),
    [anon_sym_U_SQUOTE] = ACTIONS(3021),
    [anon_sym_u8_SQUOTE] = ACTIONS(3021),
    [anon_sym_SQUOTE] = ACTIONS(3021),
    [anon_sym_L_DQUOTE] = ACTIONS(3021),
    [anon_sym_u_DQUOTE] = ACTIONS(3021),
    [anon_sym_U_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8_DQUOTE] = ACTIONS(3021),
    [anon_sym_DQUOTE] = ACTIONS(3021),
    [sym_true] = ACTIONS(3019),
    [sym_false] = ACTIONS(3019),
    [anon_sym_NULL] = ACTIONS(3019),
    [anon_sym_nullptr] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3019),
    [anon_sym_delete] = ACTIONS(3019),
    [anon_sym_throw] = ACTIONS(3019),
    [anon_sym_namespace] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
    [anon_sym_concept] = ACTIONS(3019),
    [anon_sym_co_return] = ACTIONS(3019),
    [anon_sym_co_yield] = ACTIONS(3019),
    [anon_sym_R_DQUOTE] = ACTIONS(3021),
    [anon_sym_LR_DQUOTE] = ACTIONS(3021),
    [anon_sym_uR_DQUOTE] = ACTIONS(3021),
    [anon_sym_UR_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3021),
    [anon_sym_co_await] = ACTIONS(3019),
    [anon_sym_new] = ACTIONS(3019),
    [anon_sym_requires] = ACTIONS(3019),
    [sym_this] = ACTIONS(3019),
  },
  [333] = {
    [sym_catch_clause] = STATE(333),
    [aux_sym_constructor_try_statement_repeat1] = STATE(333),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(3023),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
  },
  [334] = {
    [sym_identifier] = ACTIONS(3026),
    [aux_sym_preproc_include_token1] = ACTIONS(3026),
    [aux_sym_preproc_def_token1] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(3026),
    [aux_sym_preproc_if_token2] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3026),
    [aux_sym_preproc_else_token1] = ACTIONS(3026),
    [aux_sym_preproc_elif_token1] = ACTIONS(3026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3026),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3026),
    [sym_preproc_directive] = ACTIONS(3026),
    [anon_sym_LPAREN2] = ACTIONS(3028),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3026),
    [anon_sym_SEMI] = ACTIONS(3028),
    [anon_sym___extension__] = ACTIONS(3026),
    [anon_sym_typedef] = ACTIONS(3026),
    [anon_sym_virtual] = ACTIONS(3026),
    [anon_sym_extern] = ACTIONS(3026),
    [anon_sym___attribute__] = ACTIONS(3026),
    [anon_sym_COLON_COLON] = ACTIONS(3028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3028),
    [anon_sym___declspec] = ACTIONS(3026),
    [anon_sym___based] = ACTIONS(3026),
    [anon_sym___cdecl] = ACTIONS(3026),
    [anon_sym___clrcall] = ACTIONS(3026),
    [anon_sym___stdcall] = ACTIONS(3026),
    [anon_sym___fastcall] = ACTIONS(3026),
    [anon_sym___thiscall] = ACTIONS(3026),
    [anon_sym___vectorcall] = ACTIONS(3026),
    [anon_sym_LBRACE] = ACTIONS(3028),
    [anon_sym_signed] = ACTIONS(3026),
    [anon_sym_unsigned] = ACTIONS(3026),
    [anon_sym_long] = ACTIONS(3026),
    [anon_sym_short] = ACTIONS(3026),
    [anon_sym_LBRACK] = ACTIONS(3026),
    [anon_sym_static] = ACTIONS(3026),
    [anon_sym_register] = ACTIONS(3026),
    [anon_sym_inline] = ACTIONS(3026),
    [anon_sym___inline] = ACTIONS(3026),
    [anon_sym___inline__] = ACTIONS(3026),
    [anon_sym___forceinline] = ACTIONS(3026),
    [anon_sym_thread_local] = ACTIONS(3026),
    [anon_sym___thread] = ACTIONS(3026),
    [anon_sym_const] = ACTIONS(3026),
    [anon_sym_constexpr] = ACTIONS(3026),
    [anon_sym_volatile] = ACTIONS(3026),
    [anon_sym_restrict] = ACTIONS(3026),
    [anon_sym___restrict__] = ACTIONS(3026),
    [anon_sym__Atomic] = ACTIONS(3026),
    [anon_sym__Noreturn] = ACTIONS(3026),
    [anon_sym_noreturn] = ACTIONS(3026),
    [anon_sym__Nonnull] = ACTIONS(3026),
    [anon_sym_mutable] = ACTIONS(3026),
    [anon_sym_constinit] = ACTIONS(3026),
    [anon_sym_consteval] = ACTIONS(3026),
    [anon_sym_alignas] = ACTIONS(3026),
    [anon_sym__Alignas] = ACTIONS(3026),
    [sym_primitive_type] = ACTIONS(3026),
    [anon_sym_enum] = ACTIONS(3026),
    [anon_sym_class] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3026),
    [anon_sym_union] = ACTIONS(3026),
    [anon_sym_if] = ACTIONS(3026),
    [anon_sym_switch] = ACTIONS(3026),
    [anon_sym_case] = ACTIONS(3026),
    [anon_sym_default] = ACTIONS(3026),
    [anon_sym_while] = ACTIONS(3026),
    [anon_sym_do] = ACTIONS(3026),
    [anon_sym_for] = ACTIONS(3026),
    [anon_sym_return] = ACTIONS(3026),
    [anon_sym_break] = ACTIONS(3026),
    [anon_sym_continue] = ACTIONS(3026),
    [anon_sym_goto] = ACTIONS(3026),
    [anon_sym___try] = ACTIONS(3026),
    [anon_sym___leave] = ACTIONS(3026),
    [anon_sym_not] = ACTIONS(3026),
    [anon_sym_compl] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3028),
    [anon_sym_sizeof] = ACTIONS(3026),
    [anon_sym___alignof__] = ACTIONS(3026),
    [anon_sym___alignof] = ACTIONS(3026),
    [anon_sym__alignof] = ACTIONS(3026),
    [anon_sym_alignof] = ACTIONS(3026),
    [anon_sym__Alignof] = ACTIONS(3026),
    [anon_sym_offsetof] = ACTIONS(3026),
    [anon_sym__Generic] = ACTIONS(3026),
    [anon_sym_asm] = ACTIONS(3026),
    [anon_sym___asm__] = ACTIONS(3026),
    [anon_sym___asm] = ACTIONS(3026),
    [sym_number_literal] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3028),
    [anon_sym_u_SQUOTE] = ACTIONS(3028),
    [anon_sym_U_SQUOTE] = ACTIONS(3028),
    [anon_sym_u8_SQUOTE] = ACTIONS(3028),
    [anon_sym_SQUOTE] = ACTIONS(3028),
    [anon_sym_L_DQUOTE] = ACTIONS(3028),
    [anon_sym_u_DQUOTE] = ACTIONS(3028),
    [anon_sym_U_DQUOTE] = ACTIONS(3028),
    [anon_sym_u8_DQUOTE] = ACTIONS(3028),
    [anon_sym_DQUOTE] = ACTIONS(3028),
    [sym_true] = ACTIONS(3026),
    [sym_false] = ACTIONS(3026),
    [anon_sym_NULL] = ACTIONS(3026),
    [anon_sym_nullptr] = ACTIONS(3026),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3026),
    [anon_sym_decltype] = ACTIONS(3026),
    [anon_sym_explicit] = ACTIONS(3026),
    [anon_sym_typename] = ACTIONS(3026),
    [anon_sym_template] = ACTIONS(3026),
    [anon_sym_operator] = ACTIONS(3026),
    [anon_sym_try] = ACTIONS(3026),
    [anon_sym_delete] = ACTIONS(3026),
    [anon_sym_throw] = ACTIONS(3026),
    [anon_sym_namespace] = ACTIONS(3026),
    [anon_sym_using] = ACTIONS(3026),
    [anon_sym_static_assert] = ACTIONS(3026),
    [anon_sym_concept] = ACTIONS(3026),
    [anon_sym_co_return] = ACTIONS(3026),
    [anon_sym_co_yield] = ACTIONS(3026),
    [anon_sym_R_DQUOTE] = ACTIONS(3028),
    [anon_sym_LR_DQUOTE] = ACTIONS(3028),
    [anon_sym_uR_DQUOTE] = ACTIONS(3028),
    [anon_sym_UR_DQUOTE] = ACTIONS(3028),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3028),
    [anon_sym_co_await] = ACTIONS(3026),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_requires] = ACTIONS(3026),
    [sym_this] = ACTIONS(3026),
  },
  [335] = {
    [sym_identifier] = ACTIONS(3030),
    [aux_sym_preproc_include_token1] = ACTIONS(3030),
    [aux_sym_preproc_def_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token2] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3030),
    [aux_sym_preproc_else_token1] = ACTIONS(3030),
    [aux_sym_preproc_elif_token1] = ACTIONS(3030),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3030),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3030),
    [sym_preproc_directive] = ACTIONS(3030),
    [anon_sym_LPAREN2] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3030),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym___extension__] = ACTIONS(3030),
    [anon_sym_typedef] = ACTIONS(3030),
    [anon_sym_virtual] = ACTIONS(3030),
    [anon_sym_extern] = ACTIONS(3030),
    [anon_sym___attribute__] = ACTIONS(3030),
    [anon_sym_COLON_COLON] = ACTIONS(3032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3032),
    [anon_sym___declspec] = ACTIONS(3030),
    [anon_sym___based] = ACTIONS(3030),
    [anon_sym___cdecl] = ACTIONS(3030),
    [anon_sym___clrcall] = ACTIONS(3030),
    [anon_sym___stdcall] = ACTIONS(3030),
    [anon_sym___fastcall] = ACTIONS(3030),
    [anon_sym___thiscall] = ACTIONS(3030),
    [anon_sym___vectorcall] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_signed] = ACTIONS(3030),
    [anon_sym_unsigned] = ACTIONS(3030),
    [anon_sym_long] = ACTIONS(3030),
    [anon_sym_short] = ACTIONS(3030),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [anon_sym_static] = ACTIONS(3030),
    [anon_sym_register] = ACTIONS(3030),
    [anon_sym_inline] = ACTIONS(3030),
    [anon_sym___inline] = ACTIONS(3030),
    [anon_sym___inline__] = ACTIONS(3030),
    [anon_sym___forceinline] = ACTIONS(3030),
    [anon_sym_thread_local] = ACTIONS(3030),
    [anon_sym___thread] = ACTIONS(3030),
    [anon_sym_const] = ACTIONS(3030),
    [anon_sym_constexpr] = ACTIONS(3030),
    [anon_sym_volatile] = ACTIONS(3030),
    [anon_sym_restrict] = ACTIONS(3030),
    [anon_sym___restrict__] = ACTIONS(3030),
    [anon_sym__Atomic] = ACTIONS(3030),
    [anon_sym__Noreturn] = ACTIONS(3030),
    [anon_sym_noreturn] = ACTIONS(3030),
    [anon_sym__Nonnull] = ACTIONS(3030),
    [anon_sym_mutable] = ACTIONS(3030),
    [anon_sym_constinit] = ACTIONS(3030),
    [anon_sym_consteval] = ACTIONS(3030),
    [anon_sym_alignas] = ACTIONS(3030),
    [anon_sym__Alignas] = ACTIONS(3030),
    [sym_primitive_type] = ACTIONS(3030),
    [anon_sym_enum] = ACTIONS(3030),
    [anon_sym_class] = ACTIONS(3030),
    [anon_sym_struct] = ACTIONS(3030),
    [anon_sym_union] = ACTIONS(3030),
    [anon_sym_if] = ACTIONS(3030),
    [anon_sym_switch] = ACTIONS(3030),
    [anon_sym_case] = ACTIONS(3030),
    [anon_sym_default] = ACTIONS(3030),
    [anon_sym_while] = ACTIONS(3030),
    [anon_sym_do] = ACTIONS(3030),
    [anon_sym_for] = ACTIONS(3030),
    [anon_sym_return] = ACTIONS(3030),
    [anon_sym_break] = ACTIONS(3030),
    [anon_sym_continue] = ACTIONS(3030),
    [anon_sym_goto] = ACTIONS(3030),
    [anon_sym___try] = ACTIONS(3030),
    [anon_sym___leave] = ACTIONS(3030),
    [anon_sym_not] = ACTIONS(3030),
    [anon_sym_compl] = ACTIONS(3030),
    [anon_sym_DASH_DASH] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(3032),
    [anon_sym_sizeof] = ACTIONS(3030),
    [anon_sym___alignof__] = ACTIONS(3030),
    [anon_sym___alignof] = ACTIONS(3030),
    [anon_sym__alignof] = ACTIONS(3030),
    [anon_sym_alignof] = ACTIONS(3030),
    [anon_sym__Alignof] = ACTIONS(3030),
    [anon_sym_offsetof] = ACTIONS(3030),
    [anon_sym__Generic] = ACTIONS(3030),
    [anon_sym_asm] = ACTIONS(3030),
    [anon_sym___asm__] = ACTIONS(3030),
    [anon_sym___asm] = ACTIONS(3030),
    [sym_number_literal] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3032),
    [anon_sym_u_SQUOTE] = ACTIONS(3032),
    [anon_sym_U_SQUOTE] = ACTIONS(3032),
    [anon_sym_u8_SQUOTE] = ACTIONS(3032),
    [anon_sym_SQUOTE] = ACTIONS(3032),
    [anon_sym_L_DQUOTE] = ACTIONS(3032),
    [anon_sym_u_DQUOTE] = ACTIONS(3032),
    [anon_sym_U_DQUOTE] = ACTIONS(3032),
    [anon_sym_u8_DQUOTE] = ACTIONS(3032),
    [anon_sym_DQUOTE] = ACTIONS(3032),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_NULL] = ACTIONS(3030),
    [anon_sym_nullptr] = ACTIONS(3030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3030),
    [anon_sym_decltype] = ACTIONS(3030),
    [anon_sym_explicit] = ACTIONS(3030),
    [anon_sym_typename] = ACTIONS(3030),
    [anon_sym_template] = ACTIONS(3030),
    [anon_sym_operator] = ACTIONS(3030),
    [anon_sym_try] = ACTIONS(3030),
    [anon_sym_delete] = ACTIONS(3030),
    [anon_sym_throw] = ACTIONS(3030),
    [anon_sym_namespace] = ACTIONS(3030),
    [anon_sym_using] = ACTIONS(3030),
    [anon_sym_static_assert] = ACTIONS(3030),
    [anon_sym_concept] = ACTIONS(3030),
    [anon_sym_co_return] = ACTIONS(3030),
    [anon_sym_co_yield] = ACTIONS(3030),
    [anon_sym_R_DQUOTE] = ACTIONS(3032),
    [anon_sym_LR_DQUOTE] = ACTIONS(3032),
    [anon_sym_uR_DQUOTE] = ACTIONS(3032),
    [anon_sym_UR_DQUOTE] = ACTIONS(3032),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3032),
    [anon_sym_co_await] = ACTIONS(3030),
    [anon_sym_new] = ACTIONS(3030),
    [anon_sym_requires] = ACTIONS(3030),
    [sym_this] = ACTIONS(3030),
  },
  [336] = {
    [sym_catch_clause] = STATE(333),
    [aux_sym_constructor_try_statement_repeat1] = STATE(333),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_include_token1] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym___cdecl] = ACTIONS(2499),
    [anon_sym___clrcall] = ACTIONS(2499),
    [anon_sym___stdcall] = ACTIONS(2499),
    [anon_sym___fastcall] = ACTIONS(2499),
    [anon_sym___thiscall] = ACTIONS(2499),
    [anon_sym___vectorcall] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2499),
    [anon_sym_default] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_namespace] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_concept] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(3034),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
  },
  [337] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [aux_sym_preproc_else_token1] = ACTIONS(3036),
    [aux_sym_preproc_elif_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [sym_primitive_type] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [sym_number_literal] = ACTIONS(3038),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [338] = {
    [sym_type_qualifier] = STATE(3653),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(2662),
    [sym_enum_specifier] = STATE(2662),
    [sym_struct_specifier] = STATE(2662),
    [sym_union_specifier] = STATE(2662),
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_type_descriptor] = STATE(6867),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_placeholder_type_specifier] = STATE(2662),
    [sym_decltype_auto] = STATE(2653),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2662),
    [sym__class_name] = STATE(7303),
    [sym_dependent_type] = STATE(2662),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_type_parameter_pack_expansion] = STATE(7217),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5355),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym__type_definition_type_repeat1] = STATE(3653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2598),
    [anon_sym_unsigned] = ACTIONS(2598),
    [anon_sym_long] = ACTIONS(2598),
    [anon_sym_short] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2602),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2606),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2634),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [339] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [aux_sym_preproc_else_token1] = ACTIONS(3040),
    [aux_sym_preproc_elif_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [sym_primitive_type] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [sym_number_literal] = ACTIONS(3042),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [340] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token2] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [aux_sym_preproc_else_token1] = ACTIONS(3044),
    [aux_sym_preproc_elif_token1] = ACTIONS(3044),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym___try] = ACTIONS(3044),
    [anon_sym___leave] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [sym_number_literal] = ACTIONS(3046),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [341] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token2] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [aux_sym_preproc_else_token1] = ACTIONS(3044),
    [aux_sym_preproc_elif_token1] = ACTIONS(3044),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym___try] = ACTIONS(3044),
    [anon_sym___leave] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [sym_number_literal] = ACTIONS(3046),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [342] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [aux_sym_preproc_else_token1] = ACTIONS(3048),
    [aux_sym_preproc_elif_token1] = ACTIONS(3048),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [sym_primitive_type] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [anon_sym___asm] = ACTIONS(3048),
    [sym_number_literal] = ACTIONS(3050),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [343] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [aux_sym_preproc_else_token1] = ACTIONS(3052),
    [aux_sym_preproc_elif_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [sym_primitive_type] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [sym_number_literal] = ACTIONS(3054),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [344] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token2] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [aux_sym_preproc_else_token1] = ACTIONS(3056),
    [aux_sym_preproc_elif_token1] = ACTIONS(3056),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [sym_primitive_type] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [sym_number_literal] = ACTIONS(3058),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [345] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [346] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [aux_sym_preproc_else_token1] = ACTIONS(3060),
    [aux_sym_preproc_elif_token1] = ACTIONS(3060),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [sym_primitive_type] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [sym_number_literal] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [347] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [sym_primitive_type] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [sym_number_literal] = ACTIONS(3066),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [348] = {
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_unaligned_ptr_modifier] = STATE(3994),
    [sym_ms_pointer_modifier] = STATE(2782),
    [sym__declarator] = STATE(6071),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_type_qualifier] = STATE(3810),
    [sym_alignas_qualifier] = STATE(4312),
    [sym_expression] = STATE(2952),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3076),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5294),
    [sym_qualified_identifier] = STATE(3121),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3234),
    [aux_sym__type_definition_type_repeat1] = STATE(3810),
    [aux_sym_pointer_declarator_repeat1] = STATE(2782),
    [sym_identifier] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(1758),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1762),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym___extension__] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2884),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2884),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2884),
    [anon_sym__unaligned] = ACTIONS(2886),
    [anon_sym___unaligned] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2890),
    [anon_sym__Alignas] = ACTIONS(2890),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [349] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [aux_sym_preproc_else_token1] = ACTIONS(3072),
    [aux_sym_preproc_elif_token1] = ACTIONS(3072),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [sym_primitive_type] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [sym_number_literal] = ACTIONS(3074),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [350] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7464),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(3087),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(3090),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(3093),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [351] = {
    [sym_catch_clause] = STATE(351),
    [aux_sym_constructor_try_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_include_token1] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym___cdecl] = ACTIONS(2492),
    [anon_sym___clrcall] = ACTIONS(2492),
    [anon_sym___stdcall] = ACTIONS(2492),
    [anon_sym___fastcall] = ACTIONS(2492),
    [anon_sym___thiscall] = ACTIONS(2492),
    [anon_sym___vectorcall] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_case] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_namespace] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_concept] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(3096),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
  },
  [352] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [aux_sym_preproc_else_token1] = ACTIONS(3099),
    [aux_sym_preproc_elif_token1] = ACTIONS(3099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [sym_primitive_type] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym___try] = ACTIONS(3099),
    [anon_sym___leave] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [anon_sym___asm] = ACTIONS(3099),
    [sym_number_literal] = ACTIONS(3101),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [353] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token2] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [aux_sym_preproc_else_token1] = ACTIONS(3103),
    [aux_sym_preproc_elif_token1] = ACTIONS(3103),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [sym_primitive_type] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym___try] = ACTIONS(3103),
    [anon_sym___leave] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [anon_sym___asm] = ACTIONS(3103),
    [sym_number_literal] = ACTIONS(3105),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [354] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [aux_sym_preproc_else_token1] = ACTIONS(3107),
    [aux_sym_preproc_elif_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym___try] = ACTIONS(3107),
    [anon_sym___leave] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [anon_sym___asm] = ACTIONS(3107),
    [sym_number_literal] = ACTIONS(3109),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [355] = {
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token2] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [aux_sym_preproc_else_token1] = ACTIONS(3111),
    [aux_sym_preproc_elif_token1] = ACTIONS(3111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_SEMI] = ACTIONS(3113),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym__Nonnull] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym__Alignas] = ACTIONS(3111),
    [sym_primitive_type] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym___try] = ACTIONS(3111),
    [anon_sym___leave] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [anon_sym___asm] = ACTIONS(3111),
    [sym_number_literal] = ACTIONS(3113),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [356] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token2] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [aux_sym_preproc_else_token1] = ACTIONS(3115),
    [aux_sym_preproc_elif_token1] = ACTIONS(3115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym___try] = ACTIONS(3115),
    [anon_sym___leave] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [anon_sym___asm] = ACTIONS(3115),
    [sym_number_literal] = ACTIONS(3117),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [357] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token2] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [aux_sym_preproc_else_token1] = ACTIONS(3119),
    [aux_sym_preproc_elif_token1] = ACTIONS(3119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym___try] = ACTIONS(3119),
    [anon_sym___leave] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [sym_number_literal] = ACTIONS(3121),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [358] = {
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_include_token1] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token2] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [aux_sym_preproc_else_token1] = ACTIONS(3123),
    [aux_sym_preproc_elif_token1] = ACTIONS(3123),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3123),
    [anon_sym_PLUS] = ACTIONS(3123),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym___cdecl] = ACTIONS(3123),
    [anon_sym___clrcall] = ACTIONS(3123),
    [anon_sym___stdcall] = ACTIONS(3123),
    [anon_sym___fastcall] = ACTIONS(3123),
    [anon_sym___thiscall] = ACTIONS(3123),
    [anon_sym___vectorcall] = ACTIONS(3123),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_switch] = ACTIONS(3123),
    [anon_sym_case] = ACTIONS(3123),
    [anon_sym_default] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(3123),
    [anon_sym_do] = ACTIONS(3123),
    [anon_sym_for] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3123),
    [anon_sym_break] = ACTIONS(3123),
    [anon_sym_continue] = ACTIONS(3123),
    [anon_sym_goto] = ACTIONS(3123),
    [anon_sym___try] = ACTIONS(3123),
    [anon_sym___leave] = ACTIONS(3123),
    [anon_sym_not] = ACTIONS(3123),
    [anon_sym_compl] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3125),
    [anon_sym_PLUS_PLUS] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3123),
    [anon_sym___alignof__] = ACTIONS(3123),
    [anon_sym___alignof] = ACTIONS(3123),
    [anon_sym__alignof] = ACTIONS(3123),
    [anon_sym_alignof] = ACTIONS(3123),
    [anon_sym__Alignof] = ACTIONS(3123),
    [anon_sym_offsetof] = ACTIONS(3123),
    [anon_sym__Generic] = ACTIONS(3123),
    [anon_sym_asm] = ACTIONS(3123),
    [anon_sym___asm__] = ACTIONS(3123),
    [anon_sym___asm] = ACTIONS(3123),
    [sym_number_literal] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3125),
    [anon_sym_u_SQUOTE] = ACTIONS(3125),
    [anon_sym_U_SQUOTE] = ACTIONS(3125),
    [anon_sym_u8_SQUOTE] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3125),
    [anon_sym_L_DQUOTE] = ACTIONS(3125),
    [anon_sym_u_DQUOTE] = ACTIONS(3125),
    [anon_sym_U_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8_DQUOTE] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3125),
    [sym_true] = ACTIONS(3123),
    [sym_false] = ACTIONS(3123),
    [anon_sym_NULL] = ACTIONS(3123),
    [anon_sym_nullptr] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_try] = ACTIONS(3123),
    [anon_sym_delete] = ACTIONS(3123),
    [anon_sym_throw] = ACTIONS(3123),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
    [anon_sym_concept] = ACTIONS(3123),
    [anon_sym_co_return] = ACTIONS(3123),
    [anon_sym_co_yield] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(3125),
    [anon_sym_LR_DQUOTE] = ACTIONS(3125),
    [anon_sym_uR_DQUOTE] = ACTIONS(3125),
    [anon_sym_UR_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3125),
    [anon_sym_co_await] = ACTIONS(3123),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_requires] = ACTIONS(3123),
    [sym_this] = ACTIONS(3123),
  },
  [359] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_include_token1] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token2] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [aux_sym_preproc_else_token1] = ACTIONS(3127),
    [aux_sym_preproc_elif_token1] = ACTIONS(3127),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3127),
    [anon_sym_PLUS] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym___cdecl] = ACTIONS(3127),
    [anon_sym___clrcall] = ACTIONS(3127),
    [anon_sym___stdcall] = ACTIONS(3127),
    [anon_sym___fastcall] = ACTIONS(3127),
    [anon_sym___thiscall] = ACTIONS(3127),
    [anon_sym___vectorcall] = ACTIONS(3127),
    [anon_sym_LBRACE] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [anon_sym_if] = ACTIONS(3127),
    [anon_sym_switch] = ACTIONS(3127),
    [anon_sym_case] = ACTIONS(3127),
    [anon_sym_default] = ACTIONS(3127),
    [anon_sym_while] = ACTIONS(3127),
    [anon_sym_do] = ACTIONS(3127),
    [anon_sym_for] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_break] = ACTIONS(3127),
    [anon_sym_continue] = ACTIONS(3127),
    [anon_sym_goto] = ACTIONS(3127),
    [anon_sym___try] = ACTIONS(3127),
    [anon_sym___leave] = ACTIONS(3127),
    [anon_sym_not] = ACTIONS(3127),
    [anon_sym_compl] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3127),
    [anon_sym___alignof__] = ACTIONS(3127),
    [anon_sym___alignof] = ACTIONS(3127),
    [anon_sym__alignof] = ACTIONS(3127),
    [anon_sym_alignof] = ACTIONS(3127),
    [anon_sym__Alignof] = ACTIONS(3127),
    [anon_sym_offsetof] = ACTIONS(3127),
    [anon_sym__Generic] = ACTIONS(3127),
    [anon_sym_asm] = ACTIONS(3127),
    [anon_sym___asm__] = ACTIONS(3127),
    [anon_sym___asm] = ACTIONS(3127),
    [sym_number_literal] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3129),
    [anon_sym_u_SQUOTE] = ACTIONS(3129),
    [anon_sym_U_SQUOTE] = ACTIONS(3129),
    [anon_sym_u8_SQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3129),
    [anon_sym_L_DQUOTE] = ACTIONS(3129),
    [anon_sym_u_DQUOTE] = ACTIONS(3129),
    [anon_sym_U_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8_DQUOTE] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [sym_true] = ACTIONS(3127),
    [sym_false] = ACTIONS(3127),
    [anon_sym_NULL] = ACTIONS(3127),
    [anon_sym_nullptr] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_delete] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3127),
    [anon_sym_namespace] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
    [anon_sym_concept] = ACTIONS(3127),
    [anon_sym_co_return] = ACTIONS(3127),
    [anon_sym_co_yield] = ACTIONS(3127),
    [anon_sym_R_DQUOTE] = ACTIONS(3129),
    [anon_sym_LR_DQUOTE] = ACTIONS(3129),
    [anon_sym_uR_DQUOTE] = ACTIONS(3129),
    [anon_sym_UR_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3129),
    [anon_sym_co_await] = ACTIONS(3127),
    [anon_sym_new] = ACTIONS(3127),
    [anon_sym_requires] = ACTIONS(3127),
    [sym_this] = ACTIONS(3127),
  },
  [360] = {
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_include_token1] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token2] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [aux_sym_preproc_else_token1] = ACTIONS(3131),
    [aux_sym_preproc_elif_token1] = ACTIONS(3131),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3131),
    [anon_sym_PLUS] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_SEMI] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym___cdecl] = ACTIONS(3131),
    [anon_sym___clrcall] = ACTIONS(3131),
    [anon_sym___stdcall] = ACTIONS(3131),
    [anon_sym___fastcall] = ACTIONS(3131),
    [anon_sym___thiscall] = ACTIONS(3131),
    [anon_sym___vectorcall] = ACTIONS(3131),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_switch] = ACTIONS(3131),
    [anon_sym_case] = ACTIONS(3131),
    [anon_sym_default] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(3131),
    [anon_sym_do] = ACTIONS(3131),
    [anon_sym_for] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3131),
    [anon_sym_break] = ACTIONS(3131),
    [anon_sym_continue] = ACTIONS(3131),
    [anon_sym_goto] = ACTIONS(3131),
    [anon_sym___try] = ACTIONS(3131),
    [anon_sym___leave] = ACTIONS(3131),
    [anon_sym_not] = ACTIONS(3131),
    [anon_sym_compl] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3131),
    [anon_sym___alignof__] = ACTIONS(3131),
    [anon_sym___alignof] = ACTIONS(3131),
    [anon_sym__alignof] = ACTIONS(3131),
    [anon_sym_alignof] = ACTIONS(3131),
    [anon_sym__Alignof] = ACTIONS(3131),
    [anon_sym_offsetof] = ACTIONS(3131),
    [anon_sym__Generic] = ACTIONS(3131),
    [anon_sym_asm] = ACTIONS(3131),
    [anon_sym___asm__] = ACTIONS(3131),
    [anon_sym___asm] = ACTIONS(3131),
    [sym_number_literal] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3133),
    [anon_sym_u_SQUOTE] = ACTIONS(3133),
    [anon_sym_U_SQUOTE] = ACTIONS(3133),
    [anon_sym_u8_SQUOTE] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3133),
    [anon_sym_L_DQUOTE] = ACTIONS(3133),
    [anon_sym_u_DQUOTE] = ACTIONS(3133),
    [anon_sym_U_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8_DQUOTE] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3133),
    [sym_true] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
    [anon_sym_NULL] = ACTIONS(3131),
    [anon_sym_nullptr] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_try] = ACTIONS(3131),
    [anon_sym_delete] = ACTIONS(3131),
    [anon_sym_throw] = ACTIONS(3131),
    [anon_sym_namespace] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
    [anon_sym_concept] = ACTIONS(3131),
    [anon_sym_co_return] = ACTIONS(3131),
    [anon_sym_co_yield] = ACTIONS(3131),
    [anon_sym_R_DQUOTE] = ACTIONS(3133),
    [anon_sym_LR_DQUOTE] = ACTIONS(3133),
    [anon_sym_uR_DQUOTE] = ACTIONS(3133),
    [anon_sym_UR_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3133),
    [anon_sym_co_await] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_requires] = ACTIONS(3131),
    [sym_this] = ACTIONS(3131),
  },
  [361] = {
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_include_token1] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token2] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [aux_sym_preproc_else_token1] = ACTIONS(3135),
    [aux_sym_preproc_elif_token1] = ACTIONS(3135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym___cdecl] = ACTIONS(3135),
    [anon_sym___clrcall] = ACTIONS(3135),
    [anon_sym___stdcall] = ACTIONS(3135),
    [anon_sym___fastcall] = ACTIONS(3135),
    [anon_sym___thiscall] = ACTIONS(3135),
    [anon_sym___vectorcall] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_case] = ACTIONS(3135),
    [anon_sym_default] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_goto] = ACTIONS(3135),
    [anon_sym___try] = ACTIONS(3135),
    [anon_sym___leave] = ACTIONS(3135),
    [anon_sym_not] = ACTIONS(3135),
    [anon_sym_compl] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3137),
    [anon_sym_PLUS_PLUS] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3135),
    [anon_sym___alignof__] = ACTIONS(3135),
    [anon_sym___alignof] = ACTIONS(3135),
    [anon_sym__alignof] = ACTIONS(3135),
    [anon_sym_alignof] = ACTIONS(3135),
    [anon_sym__Alignof] = ACTIONS(3135),
    [anon_sym_offsetof] = ACTIONS(3135),
    [anon_sym__Generic] = ACTIONS(3135),
    [anon_sym_asm] = ACTIONS(3135),
    [anon_sym___asm__] = ACTIONS(3135),
    [anon_sym___asm] = ACTIONS(3135),
    [sym_number_literal] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3137),
    [anon_sym_u_SQUOTE] = ACTIONS(3137),
    [anon_sym_U_SQUOTE] = ACTIONS(3137),
    [anon_sym_u8_SQUOTE] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3137),
    [anon_sym_L_DQUOTE] = ACTIONS(3137),
    [anon_sym_u_DQUOTE] = ACTIONS(3137),
    [anon_sym_U_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8_DQUOTE] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3137),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [anon_sym_NULL] = ACTIONS(3135),
    [anon_sym_nullptr] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
    [anon_sym_concept] = ACTIONS(3135),
    [anon_sym_co_return] = ACTIONS(3135),
    [anon_sym_co_yield] = ACTIONS(3135),
    [anon_sym_R_DQUOTE] = ACTIONS(3137),
    [anon_sym_LR_DQUOTE] = ACTIONS(3137),
    [anon_sym_uR_DQUOTE] = ACTIONS(3137),
    [anon_sym_UR_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3137),
    [anon_sym_co_await] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_requires] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
  },
  [362] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [aux_sym_preproc_else_token1] = ACTIONS(3139),
    [aux_sym_preproc_elif_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym___try] = ACTIONS(3139),
    [anon_sym___leave] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [sym_number_literal] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [363] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token2] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [aux_sym_preproc_else_token1] = ACTIONS(3143),
    [aux_sym_preproc_elif_token1] = ACTIONS(3143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym___try] = ACTIONS(3143),
    [anon_sym___leave] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [sym_number_literal] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [364] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [aux_sym_preproc_else_token1] = ACTIONS(3147),
    [aux_sym_preproc_elif_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym___try] = ACTIONS(3147),
    [anon_sym___leave] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [sym_number_literal] = ACTIONS(3149),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [365] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [aux_sym_preproc_else_token1] = ACTIONS(3151),
    [aux_sym_preproc_elif_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [366] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [aux_sym_preproc_else_token1] = ACTIONS(3151),
    [aux_sym_preproc_elif_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [367] = {
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token2] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [aux_sym_preproc_else_token1] = ACTIONS(3155),
    [aux_sym_preproc_elif_token1] = ACTIONS(3155),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3157),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [sym_primitive_type] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym___try] = ACTIONS(3155),
    [anon_sym___leave] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [sym_number_literal] = ACTIONS(3157),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [368] = {
    [sym_expression] = STATE(4284),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7474),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3159),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [sym_primitive_type] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3177),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [369] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token2] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [aux_sym_preproc_else_token1] = ACTIONS(3183),
    [aux_sym_preproc_elif_token1] = ACTIONS(3183),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym___try] = ACTIONS(3183),
    [anon_sym___leave] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [sym_number_literal] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [370] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [aux_sym_preproc_else_token1] = ACTIONS(3187),
    [aux_sym_preproc_elif_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym___try] = ACTIONS(3187),
    [anon_sym___leave] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [sym_number_literal] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [371] = {
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_field_declaration_list] = STATE(644),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(644),
    [sym_preproc_else_in_field_declaration_list] = STATE(8057),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8057),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8057),
    [sym_type_definition] = STATE(644),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(644),
    [sym_field_declaration] = STATE(644),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(644),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(644),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(644),
    [sym_operator_cast_declaration] = STATE(644),
    [sym_constructor_or_destructor_definition] = STATE(644),
    [sym_constructor_or_destructor_declaration] = STATE(644),
    [sym_friend_declaration] = STATE(644),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(644),
    [sym_alias_declaration] = STATE(644),
    [sym_static_assert_declaration] = STATE(644),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(644),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [372] = {
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_field_declaration_list] = STATE(644),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(644),
    [sym_preproc_else_in_field_declaration_list] = STATE(7891),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7891),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7891),
    [sym_type_definition] = STATE(644),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(644),
    [sym_field_declaration] = STATE(644),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(644),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(644),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(644),
    [sym_operator_cast_declaration] = STATE(644),
    [sym_constructor_or_destructor_definition] = STATE(644),
    [sym_constructor_or_destructor_declaration] = STATE(644),
    [sym_friend_declaration] = STATE(644),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(644),
    [sym_alias_declaration] = STATE(644),
    [sym_static_assert_declaration] = STATE(644),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(644),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [373] = {
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_type_descriptor] = STATE(7985),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5439),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [374] = {
    [sym_preproc_def] = STATE(372),
    [sym_preproc_function_def] = STATE(372),
    [sym_preproc_call] = STATE(372),
    [sym_preproc_if_in_field_declaration_list] = STATE(372),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(372),
    [sym_preproc_else_in_field_declaration_list] = STATE(7902),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7902),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7902),
    [sym_type_definition] = STATE(372),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(372),
    [sym_field_declaration] = STATE(372),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(372),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(372),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(372),
    [sym_operator_cast_declaration] = STATE(372),
    [sym_constructor_or_destructor_definition] = STATE(372),
    [sym_constructor_or_destructor_declaration] = STATE(372),
    [sym_friend_declaration] = STATE(372),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(372),
    [sym_alias_declaration] = STATE(372),
    [sym_static_assert_declaration] = STATE(372),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(372),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [375] = {
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_field_declaration_list] = STATE(644),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(644),
    [sym_preproc_else_in_field_declaration_list] = STATE(8167),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8167),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8167),
    [sym_type_definition] = STATE(644),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(644),
    [sym_field_declaration] = STATE(644),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(644),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(644),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(644),
    [sym_operator_cast_declaration] = STATE(644),
    [sym_constructor_or_destructor_definition] = STATE(644),
    [sym_constructor_or_destructor_declaration] = STATE(644),
    [sym_friend_declaration] = STATE(644),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(644),
    [sym_alias_declaration] = STATE(644),
    [sym_static_assert_declaration] = STATE(644),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(644),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [376] = {
    [sym_preproc_def] = STATE(385),
    [sym_preproc_function_def] = STATE(385),
    [sym_preproc_call] = STATE(385),
    [sym_preproc_if_in_field_declaration_list] = STATE(385),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(385),
    [sym_preproc_else_in_field_declaration_list] = STATE(7777),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7777),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7777),
    [sym_type_definition] = STATE(385),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(385),
    [sym_field_declaration] = STATE(385),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(385),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(385),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(385),
    [sym_operator_cast_declaration] = STATE(385),
    [sym_constructor_or_destructor_definition] = STATE(385),
    [sym_constructor_or_destructor_declaration] = STATE(385),
    [sym_friend_declaration] = STATE(385),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(385),
    [sym_alias_declaration] = STATE(385),
    [sym_static_assert_declaration] = STATE(385),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(385),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [377] = {
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_field_declaration_list] = STATE(644),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(644),
    [sym_preproc_else_in_field_declaration_list] = STATE(7884),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7884),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7884),
    [sym_type_definition] = STATE(644),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(644),
    [sym_field_declaration] = STATE(644),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(644),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(644),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(644),
    [sym_operator_cast_declaration] = STATE(644),
    [sym_constructor_or_destructor_definition] = STATE(644),
    [sym_constructor_or_destructor_declaration] = STATE(644),
    [sym_friend_declaration] = STATE(644),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(644),
    [sym_alias_declaration] = STATE(644),
    [sym_static_assert_declaration] = STATE(644),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(644),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [378] = {
    [sym_preproc_def] = STATE(371),
    [sym_preproc_function_def] = STATE(371),
    [sym_preproc_call] = STATE(371),
    [sym_preproc_if_in_field_declaration_list] = STATE(371),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(371),
    [sym_preproc_else_in_field_declaration_list] = STATE(7944),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7944),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7944),
    [sym_type_definition] = STATE(371),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(371),
    [sym_field_declaration] = STATE(371),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(371),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(371),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(371),
    [sym_operator_cast_declaration] = STATE(371),
    [sym_constructor_or_destructor_definition] = STATE(371),
    [sym_constructor_or_destructor_declaration] = STATE(371),
    [sym_friend_declaration] = STATE(371),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(371),
    [sym_alias_declaration] = STATE(371),
    [sym_static_assert_declaration] = STATE(371),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(371),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [379] = {
    [sym_preproc_def] = STATE(380),
    [sym_preproc_function_def] = STATE(380),
    [sym_preproc_call] = STATE(380),
    [sym_preproc_if_in_field_declaration_list] = STATE(380),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(380),
    [sym_preproc_else_in_field_declaration_list] = STATE(7417),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7417),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7417),
    [sym_type_definition] = STATE(380),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(380),
    [sym_field_declaration] = STATE(380),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(380),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(380),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(380),
    [sym_operator_cast_declaration] = STATE(380),
    [sym_constructor_or_destructor_definition] = STATE(380),
    [sym_constructor_or_destructor_declaration] = STATE(380),
    [sym_friend_declaration] = STATE(380),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(380),
    [sym_alias_declaration] = STATE(380),
    [sym_static_assert_declaration] = STATE(380),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(380),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [380] = {
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_field_declaration_list] = STATE(644),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(644),
    [sym_preproc_else_in_field_declaration_list] = STATE(7668),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7668),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7668),
    [sym_type_definition] = STATE(644),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(644),
    [sym_field_declaration] = STATE(644),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(644),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(644),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(644),
    [sym_operator_cast_declaration] = STATE(644),
    [sym_constructor_or_destructor_definition] = STATE(644),
    [sym_constructor_or_destructor_declaration] = STATE(644),
    [sym_friend_declaration] = STATE(644),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(644),
    [sym_alias_declaration] = STATE(644),
    [sym_static_assert_declaration] = STATE(644),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(644),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [381] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [382] = {
    [sym_catch_clause] = STATE(333),
    [aux_sym_constructor_try_statement_repeat1] = STATE(333),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [sym_number_literal] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(3034),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [383] = {
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_field_declaration_list] = STATE(644),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(644),
    [sym_preproc_else_in_field_declaration_list] = STATE(8155),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8155),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8155),
    [sym_type_definition] = STATE(644),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(644),
    [sym_field_declaration] = STATE(644),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(644),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(644),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(644),
    [sym_operator_cast_declaration] = STATE(644),
    [sym_constructor_or_destructor_definition] = STATE(644),
    [sym_constructor_or_destructor_declaration] = STATE(644),
    [sym_friend_declaration] = STATE(644),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(644),
    [sym_alias_declaration] = STATE(644),
    [sym_static_assert_declaration] = STATE(644),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(644),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [384] = {
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(4392),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_type_descriptor] = STATE(7580),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5439),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [385] = {
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_field_declaration_list] = STATE(644),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(644),
    [sym_preproc_else_in_field_declaration_list] = STATE(7900),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7900),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7900),
    [sym_type_definition] = STATE(644),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(644),
    [sym_field_declaration] = STATE(644),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(644),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(644),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(644),
    [sym_operator_cast_declaration] = STATE(644),
    [sym_constructor_or_destructor_definition] = STATE(644),
    [sym_constructor_or_destructor_declaration] = STATE(644),
    [sym_friend_declaration] = STATE(644),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(644),
    [sym_alias_declaration] = STATE(644),
    [sym_static_assert_declaration] = STATE(644),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(644),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [386] = {
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_field_declaration_list] = STATE(644),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(644),
    [sym_preproc_else_in_field_declaration_list] = STATE(7656),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7656),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7656),
    [sym_type_definition] = STATE(644),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(644),
    [sym_field_declaration] = STATE(644),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(644),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(644),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(644),
    [sym_operator_cast_declaration] = STATE(644),
    [sym_constructor_or_destructor_definition] = STATE(644),
    [sym_constructor_or_destructor_declaration] = STATE(644),
    [sym_friend_declaration] = STATE(644),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(644),
    [sym_alias_declaration] = STATE(644),
    [sym_static_assert_declaration] = STATE(644),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(644),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [387] = {
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(4372),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_type_descriptor] = STATE(7442),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5439),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [388] = {
    [sym_catch_clause] = STATE(351),
    [aux_sym_constructor_try_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym___cdecl] = ACTIONS(2505),
    [anon_sym___clrcall] = ACTIONS(2505),
    [anon_sym___stdcall] = ACTIONS(2505),
    [anon_sym___fastcall] = ACTIONS(2505),
    [anon_sym___thiscall] = ACTIONS(2505),
    [anon_sym___vectorcall] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_goto] = ACTIONS(2505),
    [anon_sym___try] = ACTIONS(2505),
    [anon_sym___leave] = ACTIONS(2505),
    [anon_sym_not] = ACTIONS(2505),
    [anon_sym_compl] = ACTIONS(2505),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_sizeof] = ACTIONS(2505),
    [anon_sym___alignof__] = ACTIONS(2505),
    [anon_sym___alignof] = ACTIONS(2505),
    [anon_sym__alignof] = ACTIONS(2505),
    [anon_sym_alignof] = ACTIONS(2505),
    [anon_sym__Alignof] = ACTIONS(2505),
    [anon_sym_offsetof] = ACTIONS(2505),
    [anon_sym__Generic] = ACTIONS(2505),
    [anon_sym_asm] = ACTIONS(2505),
    [anon_sym___asm__] = ACTIONS(2505),
    [anon_sym___asm] = ACTIONS(2505),
    [sym_number_literal] = ACTIONS(2507),
    [anon_sym_L_SQUOTE] = ACTIONS(2507),
    [anon_sym_u_SQUOTE] = ACTIONS(2507),
    [anon_sym_U_SQUOTE] = ACTIONS(2507),
    [anon_sym_u8_SQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_L_DQUOTE] = ACTIONS(2507),
    [anon_sym_u_DQUOTE] = ACTIONS(2507),
    [anon_sym_U_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [anon_sym_NULL] = ACTIONS(2505),
    [anon_sym_nullptr] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_concept] = ACTIONS(2505),
    [anon_sym_co_return] = ACTIONS(2505),
    [anon_sym_co_yield] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(2507),
    [anon_sym_LR_DQUOTE] = ACTIONS(2507),
    [anon_sym_uR_DQUOTE] = ACTIONS(2507),
    [anon_sym_UR_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2507),
    [anon_sym_co_await] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_requires] = ACTIONS(2505),
    [sym_this] = ACTIONS(2505),
  },
  [389] = {
    [sym_preproc_def] = STATE(383),
    [sym_preproc_function_def] = STATE(383),
    [sym_preproc_call] = STATE(383),
    [sym_preproc_if_in_field_declaration_list] = STATE(383),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(383),
    [sym_preproc_else_in_field_declaration_list] = STATE(8058),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8058),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8058),
    [sym_type_definition] = STATE(383),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(383),
    [sym_field_declaration] = STATE(383),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(383),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(383),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(383),
    [sym_operator_cast_declaration] = STATE(383),
    [sym_constructor_or_destructor_definition] = STATE(383),
    [sym_constructor_or_destructor_declaration] = STATE(383),
    [sym_friend_declaration] = STATE(383),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(383),
    [sym_alias_declaration] = STATE(383),
    [sym_static_assert_declaration] = STATE(383),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(383),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [390] = {
    [sym_preproc_def] = STATE(377),
    [sym_preproc_function_def] = STATE(377),
    [sym_preproc_call] = STATE(377),
    [sym_preproc_if_in_field_declaration_list] = STATE(377),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(377),
    [sym_preproc_else_in_field_declaration_list] = STATE(7894),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7894),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7894),
    [sym_type_definition] = STATE(377),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(377),
    [sym_field_declaration] = STATE(377),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(377),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(377),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(377),
    [sym_operator_cast_declaration] = STATE(377),
    [sym_constructor_or_destructor_definition] = STATE(377),
    [sym_constructor_or_destructor_declaration] = STATE(377),
    [sym_friend_declaration] = STATE(377),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(377),
    [sym_alias_declaration] = STATE(377),
    [sym_static_assert_declaration] = STATE(377),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(377),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [391] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2550),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [392] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(3295),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [393] = {
    [sym_catch_clause] = STATE(351),
    [aux_sym_constructor_try_statement_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2562),
    [anon_sym___leave] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [sym_number_literal] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [394] = {
    [sym_catch_clause] = STATE(333),
    [aux_sym_constructor_try_statement_repeat1] = STATE(333),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym___cdecl] = ACTIONS(2505),
    [anon_sym___clrcall] = ACTIONS(2505),
    [anon_sym___stdcall] = ACTIONS(2505),
    [anon_sym___fastcall] = ACTIONS(2505),
    [anon_sym___thiscall] = ACTIONS(2505),
    [anon_sym___vectorcall] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_goto] = ACTIONS(2505),
    [anon_sym___try] = ACTIONS(2505),
    [anon_sym___leave] = ACTIONS(2505),
    [anon_sym_not] = ACTIONS(2505),
    [anon_sym_compl] = ACTIONS(2505),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_sizeof] = ACTIONS(2505),
    [anon_sym___alignof__] = ACTIONS(2505),
    [anon_sym___alignof] = ACTIONS(2505),
    [anon_sym__alignof] = ACTIONS(2505),
    [anon_sym_alignof] = ACTIONS(2505),
    [anon_sym__Alignof] = ACTIONS(2505),
    [anon_sym_offsetof] = ACTIONS(2505),
    [anon_sym__Generic] = ACTIONS(2505),
    [anon_sym_asm] = ACTIONS(2505),
    [anon_sym___asm__] = ACTIONS(2505),
    [anon_sym___asm] = ACTIONS(2505),
    [sym_number_literal] = ACTIONS(2507),
    [anon_sym_L_SQUOTE] = ACTIONS(2507),
    [anon_sym_u_SQUOTE] = ACTIONS(2507),
    [anon_sym_U_SQUOTE] = ACTIONS(2507),
    [anon_sym_u8_SQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_L_DQUOTE] = ACTIONS(2507),
    [anon_sym_u_DQUOTE] = ACTIONS(2507),
    [anon_sym_U_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [anon_sym_NULL] = ACTIONS(2505),
    [anon_sym_nullptr] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_concept] = ACTIONS(2505),
    [anon_sym_co_return] = ACTIONS(2505),
    [anon_sym_co_yield] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(3034),
    [anon_sym_R_DQUOTE] = ACTIONS(2507),
    [anon_sym_LR_DQUOTE] = ACTIONS(2507),
    [anon_sym_uR_DQUOTE] = ACTIONS(2507),
    [anon_sym_UR_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2507),
    [anon_sym_co_await] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_requires] = ACTIONS(2505),
    [sym_this] = ACTIONS(2505),
  },
  [395] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(3297),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [396] = {
    [sym_preproc_def] = STATE(386),
    [sym_preproc_function_def] = STATE(386),
    [sym_preproc_call] = STATE(386),
    [sym_preproc_if_in_field_declaration_list] = STATE(386),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(386),
    [sym_preproc_else_in_field_declaration_list] = STATE(7669),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7669),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7669),
    [sym_type_definition] = STATE(386),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(386),
    [sym_field_declaration] = STATE(386),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(386),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(386),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(386),
    [sym_operator_cast_declaration] = STATE(386),
    [sym_constructor_or_destructor_definition] = STATE(386),
    [sym_constructor_or_destructor_declaration] = STATE(386),
    [sym_friend_declaration] = STATE(386),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(386),
    [sym_alias_declaration] = STATE(386),
    [sym_static_assert_declaration] = STATE(386),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(386),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [397] = {
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(4416),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_type_descriptor] = STATE(7774),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5439),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [398] = {
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(4508),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_type_descriptor] = STATE(7496),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5439),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [399] = {
    [sym_preproc_def] = STATE(375),
    [sym_preproc_function_def] = STATE(375),
    [sym_preproc_call] = STATE(375),
    [sym_preproc_if_in_field_declaration_list] = STATE(375),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(375),
    [sym_preproc_else_in_field_declaration_list] = STATE(8153),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8153),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8153),
    [sym_type_definition] = STATE(375),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(375),
    [sym_field_declaration] = STATE(375),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(375),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(375),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(375),
    [sym_operator_cast_declaration] = STATE(375),
    [sym_constructor_or_destructor_definition] = STATE(375),
    [sym_constructor_or_destructor_declaration] = STATE(375),
    [sym_friend_declaration] = STATE(375),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(375),
    [sym_alias_declaration] = STATE(375),
    [sym_static_assert_declaration] = STATE(375),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(375),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym___extension__] = ACTIONS(3219),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_static_assert] = ACTIONS(3249),
  },
  [400] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2529),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [401] = {
    [sym_type_qualifier] = STATE(3691),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(4453),
    [sym_sized_type_specifier] = STATE(1832),
    [sym_enum_specifier] = STATE(1832),
    [sym_struct_specifier] = STATE(1832),
    [sym_union_specifier] = STATE(1832),
    [sym_expression] = STATE(4386),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_type_descriptor] = STATE(7574),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_placeholder_type_specifier] = STATE(1832),
    [sym_decltype_auto] = STATE(1781),
    [sym_decltype] = STATE(1723),
    [sym_class_specifier] = STATE(1832),
    [sym__class_name] = STATE(7144),
    [sym_dependent_type] = STATE(1832),
    [sym_template_type] = STATE(5035),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5439),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(5062),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym__type_definition_type_repeat1] = STATE(3691),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1829),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3255),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1776),
    [anon_sym_unsigned] = ACTIONS(1776),
    [anon_sym_long] = ACTIONS(1776),
    [anon_sym_short] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(1782),
    [anon_sym_class] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1786),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1812),
    [anon_sym_decltype] = ACTIONS(1814),
    [anon_sym_typename] = ACTIONS(1816),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [402] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [403] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [404] = {
    [sym_else_clause] = STATE(455),
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [405] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [406] = {
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2566),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_catch] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
  },
  [407] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_include_token1] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [408] = {
    [sym_else_clause] = STATE(525),
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_virtual] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym__Nonnull] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym__Alignas] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [anon_sym___asm] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
  },
  [409] = {
    [sym_else_clause] = STATE(426),
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [410] = {
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token2] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2566),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_catch] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
  },
  [411] = {
    [sym_else_clause] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(2578),
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [412] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [413] = {
    [sym_else_clause] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(2572),
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_virtual] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym__Nonnull] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym__Alignas] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(3311),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [anon_sym___asm] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(2568),
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_include_token1] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym___cdecl] = ACTIONS(2566),
    [anon_sym___clrcall] = ACTIONS(2566),
    [anon_sym___stdcall] = ACTIONS(2566),
    [anon_sym___fastcall] = ACTIONS(2566),
    [anon_sym___thiscall] = ACTIONS(2566),
    [anon_sym___vectorcall] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2566),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_namespace] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_concept] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_catch] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
  },
  [415] = {
    [sym_expression] = STATE(3440),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(3322),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [416] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [417] = {
    [sym_else_clause] = STATE(443),
    [sym_identifier] = ACTIONS(2570),
    [aux_sym_preproc_include_token1] = ACTIONS(2570),
    [aux_sym_preproc_def_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token1] = ACTIONS(2570),
    [aux_sym_preproc_if_token2] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2570),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_virtual] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym___based] = ACTIONS(2570),
    [anon_sym___cdecl] = ACTIONS(2570),
    [anon_sym___clrcall] = ACTIONS(2570),
    [anon_sym___stdcall] = ACTIONS(2570),
    [anon_sym___fastcall] = ACTIONS(2570),
    [anon_sym___thiscall] = ACTIONS(2570),
    [anon_sym___vectorcall] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym__Nonnull] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym__Alignas] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(3307),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_case] = ACTIONS(2570),
    [anon_sym_default] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [anon_sym___asm] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [anon_sym_explicit] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_operator] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_namespace] = ACTIONS(2570),
    [anon_sym_using] = ACTIONS(2570),
    [anon_sym_static_assert] = ACTIONS(2570),
    [anon_sym_concept] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(2806),
    [sym_identifier] = ACTIONS(2804),
    [aux_sym_preproc_include_token1] = ACTIONS(2804),
    [aux_sym_preproc_def_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2804),
    [sym_preproc_directive] = ACTIONS(2804),
    [anon_sym_LPAREN2] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_AMP_AMP] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2804),
    [anon_sym_typedef] = ACTIONS(2804),
    [anon_sym_virtual] = ACTIONS(2804),
    [anon_sym_extern] = ACTIONS(2804),
    [anon_sym___attribute__] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2806),
    [anon_sym___declspec] = ACTIONS(2804),
    [anon_sym___based] = ACTIONS(2804),
    [anon_sym___cdecl] = ACTIONS(2804),
    [anon_sym___clrcall] = ACTIONS(2804),
    [anon_sym___stdcall] = ACTIONS(2804),
    [anon_sym___fastcall] = ACTIONS(2804),
    [anon_sym___thiscall] = ACTIONS(2804),
    [anon_sym___vectorcall] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2804),
    [anon_sym_unsigned] = ACTIONS(2804),
    [anon_sym_long] = ACTIONS(2804),
    [anon_sym_short] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_register] = ACTIONS(2804),
    [anon_sym_inline] = ACTIONS(2804),
    [anon_sym___inline] = ACTIONS(2804),
    [anon_sym___inline__] = ACTIONS(2804),
    [anon_sym___forceinline] = ACTIONS(2804),
    [anon_sym_thread_local] = ACTIONS(2804),
    [anon_sym___thread] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_constexpr] = ACTIONS(2804),
    [anon_sym_volatile] = ACTIONS(2804),
    [anon_sym_restrict] = ACTIONS(2804),
    [anon_sym___restrict__] = ACTIONS(2804),
    [anon_sym__Atomic] = ACTIONS(2804),
    [anon_sym__Noreturn] = ACTIONS(2804),
    [anon_sym_noreturn] = ACTIONS(2804),
    [anon_sym__Nonnull] = ACTIONS(2804),
    [anon_sym_mutable] = ACTIONS(2804),
    [anon_sym_constinit] = ACTIONS(2804),
    [anon_sym_consteval] = ACTIONS(2804),
    [anon_sym_alignas] = ACTIONS(2804),
    [anon_sym__Alignas] = ACTIONS(2804),
    [sym_primitive_type] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_struct] = ACTIONS(2804),
    [anon_sym_union] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_case] = ACTIONS(2804),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_goto] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2804),
    [anon_sym___leave] = ACTIONS(2804),
    [anon_sym_not] = ACTIONS(2804),
    [anon_sym_compl] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_sizeof] = ACTIONS(2804),
    [anon_sym___alignof__] = ACTIONS(2804),
    [anon_sym___alignof] = ACTIONS(2804),
    [anon_sym__alignof] = ACTIONS(2804),
    [anon_sym_alignof] = ACTIONS(2804),
    [anon_sym__Alignof] = ACTIONS(2804),
    [anon_sym_offsetof] = ACTIONS(2804),
    [anon_sym__Generic] = ACTIONS(2804),
    [anon_sym_asm] = ACTIONS(2804),
    [anon_sym___asm__] = ACTIONS(2804),
    [anon_sym___asm] = ACTIONS(2804),
    [sym_number_literal] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2806),
    [anon_sym_u_SQUOTE] = ACTIONS(2806),
    [anon_sym_U_SQUOTE] = ACTIONS(2806),
    [anon_sym_u8_SQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [anon_sym_L_DQUOTE] = ACTIONS(2806),
    [anon_sym_u_DQUOTE] = ACTIONS(2806),
    [anon_sym_U_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8_DQUOTE] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [anon_sym_NULL] = ACTIONS(2804),
    [anon_sym_nullptr] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2804),
    [anon_sym_decltype] = ACTIONS(2804),
    [anon_sym_explicit] = ACTIONS(2804),
    [anon_sym_typename] = ACTIONS(2804),
    [anon_sym_template] = ACTIONS(2804),
    [anon_sym_operator] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_namespace] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(2804),
    [anon_sym_static_assert] = ACTIONS(2804),
    [anon_sym_concept] = ACTIONS(2804),
    [anon_sym_co_return] = ACTIONS(2804),
    [anon_sym_co_yield] = ACTIONS(2804),
    [anon_sym_R_DQUOTE] = ACTIONS(2806),
    [anon_sym_LR_DQUOTE] = ACTIONS(2806),
    [anon_sym_uR_DQUOTE] = ACTIONS(2806),
    [anon_sym_UR_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2806),
    [anon_sym_co_await] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_requires] = ACTIONS(2804),
    [sym_this] = ACTIONS(2804),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(2706),
    [sym_identifier] = ACTIONS(2704),
    [aux_sym_preproc_include_token1] = ACTIONS(2704),
    [aux_sym_preproc_def_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2704),
    [sym_preproc_directive] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym___extension__] = ACTIONS(2704),
    [anon_sym_typedef] = ACTIONS(2704),
    [anon_sym_virtual] = ACTIONS(2704),
    [anon_sym_extern] = ACTIONS(2704),
    [anon_sym___attribute__] = ACTIONS(2704),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2706),
    [anon_sym___declspec] = ACTIONS(2704),
    [anon_sym___based] = ACTIONS(2704),
    [anon_sym___cdecl] = ACTIONS(2704),
    [anon_sym___clrcall] = ACTIONS(2704),
    [anon_sym___stdcall] = ACTIONS(2704),
    [anon_sym___fastcall] = ACTIONS(2704),
    [anon_sym___thiscall] = ACTIONS(2704),
    [anon_sym___vectorcall] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_signed] = ACTIONS(2704),
    [anon_sym_unsigned] = ACTIONS(2704),
    [anon_sym_long] = ACTIONS(2704),
    [anon_sym_short] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_register] = ACTIONS(2704),
    [anon_sym_inline] = ACTIONS(2704),
    [anon_sym___inline] = ACTIONS(2704),
    [anon_sym___inline__] = ACTIONS(2704),
    [anon_sym___forceinline] = ACTIONS(2704),
    [anon_sym_thread_local] = ACTIONS(2704),
    [anon_sym___thread] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_constexpr] = ACTIONS(2704),
    [anon_sym_volatile] = ACTIONS(2704),
    [anon_sym_restrict] = ACTIONS(2704),
    [anon_sym___restrict__] = ACTIONS(2704),
    [anon_sym__Atomic] = ACTIONS(2704),
    [anon_sym__Noreturn] = ACTIONS(2704),
    [anon_sym_noreturn] = ACTIONS(2704),
    [anon_sym__Nonnull] = ACTIONS(2704),
    [anon_sym_mutable] = ACTIONS(2704),
    [anon_sym_constinit] = ACTIONS(2704),
    [anon_sym_consteval] = ACTIONS(2704),
    [anon_sym_alignas] = ACTIONS(2704),
    [anon_sym__Alignas] = ACTIONS(2704),
    [sym_primitive_type] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_struct] = ACTIONS(2704),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_goto] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2704),
    [anon_sym___leave] = ACTIONS(2704),
    [anon_sym_not] = ACTIONS(2704),
    [anon_sym_compl] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_sizeof] = ACTIONS(2704),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2704),
    [anon_sym__Generic] = ACTIONS(2704),
    [anon_sym_asm] = ACTIONS(2704),
    [anon_sym___asm__] = ACTIONS(2704),
    [anon_sym___asm] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2706),
    [anon_sym_L_SQUOTE] = ACTIONS(2706),
    [anon_sym_u_SQUOTE] = ACTIONS(2706),
    [anon_sym_U_SQUOTE] = ACTIONS(2706),
    [anon_sym_u8_SQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_L_DQUOTE] = ACTIONS(2706),
    [anon_sym_u_DQUOTE] = ACTIONS(2706),
    [anon_sym_U_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [anon_sym_NULL] = ACTIONS(2704),
    [anon_sym_nullptr] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2704),
    [anon_sym_decltype] = ACTIONS(2704),
    [anon_sym_explicit] = ACTIONS(2704),
    [anon_sym_typename] = ACTIONS(2704),
    [anon_sym_template] = ACTIONS(2704),
    [anon_sym_operator] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_static_assert] = ACTIONS(2704),
    [anon_sym_concept] = ACTIONS(2704),
    [anon_sym_co_return] = ACTIONS(2704),
    [anon_sym_co_yield] = ACTIONS(2704),
    [anon_sym_R_DQUOTE] = ACTIONS(2706),
    [anon_sym_LR_DQUOTE] = ACTIONS(2706),
    [anon_sym_uR_DQUOTE] = ACTIONS(2706),
    [anon_sym_UR_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2706),
    [anon_sym_co_await] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_requires] = ACTIONS(2704),
    [sym_this] = ACTIONS(2704),
  },
  [420] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_virtual] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_RBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_else] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(2768),
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [422] = {
    [sym_identifier] = ACTIONS(2804),
    [aux_sym_preproc_include_token1] = ACTIONS(2804),
    [aux_sym_preproc_def_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token2] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2804),
    [sym_preproc_directive] = ACTIONS(2804),
    [anon_sym_LPAREN2] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_AMP_AMP] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2804),
    [anon_sym_typedef] = ACTIONS(2804),
    [anon_sym_virtual] = ACTIONS(2804),
    [anon_sym_extern] = ACTIONS(2804),
    [anon_sym___attribute__] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2806),
    [anon_sym___declspec] = ACTIONS(2804),
    [anon_sym___based] = ACTIONS(2804),
    [anon_sym___cdecl] = ACTIONS(2804),
    [anon_sym___clrcall] = ACTIONS(2804),
    [anon_sym___stdcall] = ACTIONS(2804),
    [anon_sym___fastcall] = ACTIONS(2804),
    [anon_sym___thiscall] = ACTIONS(2804),
    [anon_sym___vectorcall] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2804),
    [anon_sym_unsigned] = ACTIONS(2804),
    [anon_sym_long] = ACTIONS(2804),
    [anon_sym_short] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_register] = ACTIONS(2804),
    [anon_sym_inline] = ACTIONS(2804),
    [anon_sym___inline] = ACTIONS(2804),
    [anon_sym___inline__] = ACTIONS(2804),
    [anon_sym___forceinline] = ACTIONS(2804),
    [anon_sym_thread_local] = ACTIONS(2804),
    [anon_sym___thread] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_constexpr] = ACTIONS(2804),
    [anon_sym_volatile] = ACTIONS(2804),
    [anon_sym_restrict] = ACTIONS(2804),
    [anon_sym___restrict__] = ACTIONS(2804),
    [anon_sym__Atomic] = ACTIONS(2804),
    [anon_sym__Noreturn] = ACTIONS(2804),
    [anon_sym_noreturn] = ACTIONS(2804),
    [anon_sym__Nonnull] = ACTIONS(2804),
    [anon_sym_mutable] = ACTIONS(2804),
    [anon_sym_constinit] = ACTIONS(2804),
    [anon_sym_consteval] = ACTIONS(2804),
    [anon_sym_alignas] = ACTIONS(2804),
    [anon_sym__Alignas] = ACTIONS(2804),
    [sym_primitive_type] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_struct] = ACTIONS(2804),
    [anon_sym_union] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_case] = ACTIONS(2804),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_goto] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2804),
    [anon_sym___leave] = ACTIONS(2804),
    [anon_sym_not] = ACTIONS(2804),
    [anon_sym_compl] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_sizeof] = ACTIONS(2804),
    [anon_sym___alignof__] = ACTIONS(2804),
    [anon_sym___alignof] = ACTIONS(2804),
    [anon_sym__alignof] = ACTIONS(2804),
    [anon_sym_alignof] = ACTIONS(2804),
    [anon_sym__Alignof] = ACTIONS(2804),
    [anon_sym_offsetof] = ACTIONS(2804),
    [anon_sym__Generic] = ACTIONS(2804),
    [anon_sym_asm] = ACTIONS(2804),
    [anon_sym___asm__] = ACTIONS(2804),
    [anon_sym___asm] = ACTIONS(2804),
    [sym_number_literal] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2806),
    [anon_sym_u_SQUOTE] = ACTIONS(2806),
    [anon_sym_U_SQUOTE] = ACTIONS(2806),
    [anon_sym_u8_SQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [anon_sym_L_DQUOTE] = ACTIONS(2806),
    [anon_sym_u_DQUOTE] = ACTIONS(2806),
    [anon_sym_U_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8_DQUOTE] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [anon_sym_NULL] = ACTIONS(2804),
    [anon_sym_nullptr] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2804),
    [anon_sym_decltype] = ACTIONS(2804),
    [anon_sym_explicit] = ACTIONS(2804),
    [anon_sym_typename] = ACTIONS(2804),
    [anon_sym_template] = ACTIONS(2804),
    [anon_sym_operator] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_namespace] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(2804),
    [anon_sym_static_assert] = ACTIONS(2804),
    [anon_sym_concept] = ACTIONS(2804),
    [anon_sym_co_return] = ACTIONS(2804),
    [anon_sym_co_yield] = ACTIONS(2804),
    [anon_sym_R_DQUOTE] = ACTIONS(2806),
    [anon_sym_LR_DQUOTE] = ACTIONS(2806),
    [anon_sym_uR_DQUOTE] = ACTIONS(2806),
    [anon_sym_UR_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2806),
    [anon_sym_co_await] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_requires] = ACTIONS(2804),
    [sym_this] = ACTIONS(2804),
  },
  [423] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [424] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token2] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_virtual] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_else] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [anon_sym___asm] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [426] = {
    [sym_identifier] = ACTIONS(2800),
    [aux_sym_preproc_include_token1] = ACTIONS(2800),
    [aux_sym_preproc_def_token1] = ACTIONS(2800),
    [aux_sym_preproc_if_token1] = ACTIONS(2800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2800),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2800),
    [sym_preproc_directive] = ACTIONS(2800),
    [anon_sym_LPAREN2] = ACTIONS(2802),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_TILDE] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2802),
    [anon_sym_AMP_AMP] = ACTIONS(2802),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2800),
    [anon_sym_typedef] = ACTIONS(2800),
    [anon_sym_virtual] = ACTIONS(2800),
    [anon_sym_extern] = ACTIONS(2800),
    [anon_sym___attribute__] = ACTIONS(2800),
    [anon_sym_COLON_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2802),
    [anon_sym___declspec] = ACTIONS(2800),
    [anon_sym___based] = ACTIONS(2800),
    [anon_sym___cdecl] = ACTIONS(2800),
    [anon_sym___clrcall] = ACTIONS(2800),
    [anon_sym___stdcall] = ACTIONS(2800),
    [anon_sym___fastcall] = ACTIONS(2800),
    [anon_sym___thiscall] = ACTIONS(2800),
    [anon_sym___vectorcall] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_RBRACE] = ACTIONS(2802),
    [anon_sym_signed] = ACTIONS(2800),
    [anon_sym_unsigned] = ACTIONS(2800),
    [anon_sym_long] = ACTIONS(2800),
    [anon_sym_short] = ACTIONS(2800),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym_static] = ACTIONS(2800),
    [anon_sym_register] = ACTIONS(2800),
    [anon_sym_inline] = ACTIONS(2800),
    [anon_sym___inline] = ACTIONS(2800),
    [anon_sym___inline__] = ACTIONS(2800),
    [anon_sym___forceinline] = ACTIONS(2800),
    [anon_sym_thread_local] = ACTIONS(2800),
    [anon_sym___thread] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_constexpr] = ACTIONS(2800),
    [anon_sym_volatile] = ACTIONS(2800),
    [anon_sym_restrict] = ACTIONS(2800),
    [anon_sym___restrict__] = ACTIONS(2800),
    [anon_sym__Atomic] = ACTIONS(2800),
    [anon_sym__Noreturn] = ACTIONS(2800),
    [anon_sym_noreturn] = ACTIONS(2800),
    [anon_sym__Nonnull] = ACTIONS(2800),
    [anon_sym_mutable] = ACTIONS(2800),
    [anon_sym_constinit] = ACTIONS(2800),
    [anon_sym_consteval] = ACTIONS(2800),
    [anon_sym_alignas] = ACTIONS(2800),
    [anon_sym__Alignas] = ACTIONS(2800),
    [sym_primitive_type] = ACTIONS(2800),
    [anon_sym_enum] = ACTIONS(2800),
    [anon_sym_class] = ACTIONS(2800),
    [anon_sym_struct] = ACTIONS(2800),
    [anon_sym_union] = ACTIONS(2800),
    [anon_sym_if] = ACTIONS(2800),
    [anon_sym_else] = ACTIONS(2800),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_case] = ACTIONS(2800),
    [anon_sym_default] = ACTIONS(2800),
    [anon_sym_while] = ACTIONS(2800),
    [anon_sym_do] = ACTIONS(2800),
    [anon_sym_for] = ACTIONS(2800),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_break] = ACTIONS(2800),
    [anon_sym_continue] = ACTIONS(2800),
    [anon_sym_goto] = ACTIONS(2800),
    [anon_sym___try] = ACTIONS(2800),
    [anon_sym___leave] = ACTIONS(2800),
    [anon_sym_not] = ACTIONS(2800),
    [anon_sym_compl] = ACTIONS(2800),
    [anon_sym_DASH_DASH] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2802),
    [anon_sym_sizeof] = ACTIONS(2800),
    [anon_sym___alignof__] = ACTIONS(2800),
    [anon_sym___alignof] = ACTIONS(2800),
    [anon_sym__alignof] = ACTIONS(2800),
    [anon_sym_alignof] = ACTIONS(2800),
    [anon_sym__Alignof] = ACTIONS(2800),
    [anon_sym_offsetof] = ACTIONS(2800),
    [anon_sym__Generic] = ACTIONS(2800),
    [anon_sym_asm] = ACTIONS(2800),
    [anon_sym___asm__] = ACTIONS(2800),
    [anon_sym___asm] = ACTIONS(2800),
    [sym_number_literal] = ACTIONS(2802),
    [anon_sym_L_SQUOTE] = ACTIONS(2802),
    [anon_sym_u_SQUOTE] = ACTIONS(2802),
    [anon_sym_U_SQUOTE] = ACTIONS(2802),
    [anon_sym_u8_SQUOTE] = ACTIONS(2802),
    [anon_sym_SQUOTE] = ACTIONS(2802),
    [anon_sym_L_DQUOTE] = ACTIONS(2802),
    [anon_sym_u_DQUOTE] = ACTIONS(2802),
    [anon_sym_U_DQUOTE] = ACTIONS(2802),
    [anon_sym_u8_DQUOTE] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2802),
    [sym_true] = ACTIONS(2800),
    [sym_false] = ACTIONS(2800),
    [anon_sym_NULL] = ACTIONS(2800),
    [anon_sym_nullptr] = ACTIONS(2800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2800),
    [anon_sym_decltype] = ACTIONS(2800),
    [anon_sym_explicit] = ACTIONS(2800),
    [anon_sym_typename] = ACTIONS(2800),
    [anon_sym_template] = ACTIONS(2800),
    [anon_sym_operator] = ACTIONS(2800),
    [anon_sym_try] = ACTIONS(2800),
    [anon_sym_delete] = ACTIONS(2800),
    [anon_sym_throw] = ACTIONS(2800),
    [anon_sym_namespace] = ACTIONS(2800),
    [anon_sym_using] = ACTIONS(2800),
    [anon_sym_static_assert] = ACTIONS(2800),
    [anon_sym_concept] = ACTIONS(2800),
    [anon_sym_co_return] = ACTIONS(2800),
    [anon_sym_co_yield] = ACTIONS(2800),
    [anon_sym_R_DQUOTE] = ACTIONS(2802),
    [anon_sym_LR_DQUOTE] = ACTIONS(2802),
    [anon_sym_uR_DQUOTE] = ACTIONS(2802),
    [anon_sym_UR_DQUOTE] = ACTIONS(2802),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2802),
    [anon_sym_co_await] = ACTIONS(2800),
    [anon_sym_new] = ACTIONS(2800),
    [anon_sym_requires] = ACTIONS(2800),
    [sym_this] = ACTIONS(2800),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(2764),
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_virtual] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_else] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym___leave] = ACTIONS(2762),
    [anon_sym_not] = ACTIONS(2762),
    [anon_sym_compl] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [anon_sym___asm] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_try] = ACTIONS(2762),
    [anon_sym_delete] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2762),
    [anon_sym_namespace] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
    [anon_sym_concept] = ACTIONS(2762),
    [anon_sym_co_return] = ACTIONS(2762),
    [anon_sym_co_yield] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2764),
    [anon_sym_LR_DQUOTE] = ACTIONS(2764),
    [anon_sym_uR_DQUOTE] = ACTIONS(2764),
    [anon_sym_UR_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2764),
    [anon_sym_co_await] = ACTIONS(2762),
    [anon_sym_new] = ACTIONS(2762),
    [anon_sym_requires] = ACTIONS(2762),
    [sym_this] = ACTIONS(2762),
  },
  [428] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_virtual] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___based] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_mutable] = ACTIONS(2710),
    [anon_sym_constinit] = ACTIONS(2710),
    [anon_sym_consteval] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_else] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym___leave] = ACTIONS(2710),
    [anon_sym_not] = ACTIONS(2710),
    [anon_sym_compl] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2710),
    [anon_sym_decltype] = ACTIONS(2710),
    [anon_sym_explicit] = ACTIONS(2710),
    [anon_sym_typename] = ACTIONS(2710),
    [anon_sym_template] = ACTIONS(2710),
    [anon_sym_operator] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(2710),
    [anon_sym_static_assert] = ACTIONS(2710),
    [anon_sym_concept] = ACTIONS(2710),
    [anon_sym_co_return] = ACTIONS(2710),
    [anon_sym_co_yield] = ACTIONS(2710),
    [anon_sym_R_DQUOTE] = ACTIONS(2712),
    [anon_sym_LR_DQUOTE] = ACTIONS(2712),
    [anon_sym_uR_DQUOTE] = ACTIONS(2712),
    [anon_sym_UR_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2712),
    [anon_sym_co_await] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_requires] = ACTIONS(2710),
    [sym_this] = ACTIONS(2710),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(2788),
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(2724),
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_virtual] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___based] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_mutable] = ACTIONS(2722),
    [anon_sym_constinit] = ACTIONS(2722),
    [anon_sym_consteval] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym___leave] = ACTIONS(2722),
    [anon_sym_not] = ACTIONS(2722),
    [anon_sym_compl] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_explicit] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2722),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_operator] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_using] = ACTIONS(2722),
    [anon_sym_static_assert] = ACTIONS(2722),
    [anon_sym_concept] = ACTIONS(2722),
    [anon_sym_co_return] = ACTIONS(2722),
    [anon_sym_co_yield] = ACTIONS(2722),
    [anon_sym_R_DQUOTE] = ACTIONS(2724),
    [anon_sym_LR_DQUOTE] = ACTIONS(2724),
    [anon_sym_uR_DQUOTE] = ACTIONS(2724),
    [anon_sym_UR_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2724),
    [anon_sym_co_await] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_requires] = ACTIONS(2722),
    [sym_this] = ACTIONS(2722),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(2582),
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token2] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_virtual] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym__Nonnull] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_else] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [anon_sym___asm] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_virtual] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_RBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_else] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [anon_sym___asm] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [434] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2772),
    [anon_sym_LR_DQUOTE] = ACTIONS(2772),
    [anon_sym_uR_DQUOTE] = ACTIONS(2772),
    [anon_sym_UR_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2772),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_virtual] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym__Nonnull] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_else] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [anon_sym___asm] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [436] = {
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token2] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2778),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_virtual] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym_COLON_COLON] = ACTIONS(2780),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___based] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym__Nonnull] = ACTIONS(2778),
    [anon_sym_mutable] = ACTIONS(2778),
    [anon_sym_constinit] = ACTIONS(2778),
    [anon_sym_consteval] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym__Alignas] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_else] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym___leave] = ACTIONS(2778),
    [anon_sym_not] = ACTIONS(2778),
    [anon_sym_compl] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [anon_sym___asm] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2778),
    [anon_sym_decltype] = ACTIONS(2778),
    [anon_sym_explicit] = ACTIONS(2778),
    [anon_sym_typename] = ACTIONS(2778),
    [anon_sym_template] = ACTIONS(2778),
    [anon_sym_operator] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_namespace] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(2778),
    [anon_sym_static_assert] = ACTIONS(2778),
    [anon_sym_concept] = ACTIONS(2778),
    [anon_sym_co_return] = ACTIONS(2778),
    [anon_sym_co_yield] = ACTIONS(2778),
    [anon_sym_R_DQUOTE] = ACTIONS(2780),
    [anon_sym_LR_DQUOTE] = ACTIONS(2780),
    [anon_sym_uR_DQUOTE] = ACTIONS(2780),
    [anon_sym_UR_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2780),
    [anon_sym_co_await] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_requires] = ACTIONS(2778),
    [sym_this] = ACTIONS(2778),
  },
  [437] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2804),
    [aux_sym_preproc_include_token1] = ACTIONS(2804),
    [aux_sym_preproc_def_token1] = ACTIONS(2804),
    [aux_sym_preproc_if_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2804),
    [sym_preproc_directive] = ACTIONS(2804),
    [anon_sym_LPAREN2] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_AMP_AMP] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2804),
    [anon_sym_typedef] = ACTIONS(2804),
    [anon_sym_virtual] = ACTIONS(2804),
    [anon_sym_extern] = ACTIONS(2804),
    [anon_sym___attribute__] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2806),
    [anon_sym___declspec] = ACTIONS(2804),
    [anon_sym___based] = ACTIONS(2804),
    [anon_sym___cdecl] = ACTIONS(2804),
    [anon_sym___clrcall] = ACTIONS(2804),
    [anon_sym___stdcall] = ACTIONS(2804),
    [anon_sym___fastcall] = ACTIONS(2804),
    [anon_sym___thiscall] = ACTIONS(2804),
    [anon_sym___vectorcall] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_RBRACE] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2804),
    [anon_sym_unsigned] = ACTIONS(2804),
    [anon_sym_long] = ACTIONS(2804),
    [anon_sym_short] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_register] = ACTIONS(2804),
    [anon_sym_inline] = ACTIONS(2804),
    [anon_sym___inline] = ACTIONS(2804),
    [anon_sym___inline__] = ACTIONS(2804),
    [anon_sym___forceinline] = ACTIONS(2804),
    [anon_sym_thread_local] = ACTIONS(2804),
    [anon_sym___thread] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_constexpr] = ACTIONS(2804),
    [anon_sym_volatile] = ACTIONS(2804),
    [anon_sym_restrict] = ACTIONS(2804),
    [anon_sym___restrict__] = ACTIONS(2804),
    [anon_sym__Atomic] = ACTIONS(2804),
    [anon_sym__Noreturn] = ACTIONS(2804),
    [anon_sym_noreturn] = ACTIONS(2804),
    [anon_sym__Nonnull] = ACTIONS(2804),
    [anon_sym_mutable] = ACTIONS(2804),
    [anon_sym_constinit] = ACTIONS(2804),
    [anon_sym_consteval] = ACTIONS(2804),
    [anon_sym_alignas] = ACTIONS(2804),
    [anon_sym__Alignas] = ACTIONS(2804),
    [sym_primitive_type] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_struct] = ACTIONS(2804),
    [anon_sym_union] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_case] = ACTIONS(2804),
    [anon_sym_default] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_goto] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2804),
    [anon_sym___leave] = ACTIONS(2804),
    [anon_sym_not] = ACTIONS(2804),
    [anon_sym_compl] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_sizeof] = ACTIONS(2804),
    [anon_sym___alignof__] = ACTIONS(2804),
    [anon_sym___alignof] = ACTIONS(2804),
    [anon_sym__alignof] = ACTIONS(2804),
    [anon_sym_alignof] = ACTIONS(2804),
    [anon_sym__Alignof] = ACTIONS(2804),
    [anon_sym_offsetof] = ACTIONS(2804),
    [anon_sym__Generic] = ACTIONS(2804),
    [anon_sym_asm] = ACTIONS(2804),
    [anon_sym___asm__] = ACTIONS(2804),
    [anon_sym___asm] = ACTIONS(2804),
    [sym_number_literal] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2806),
    [anon_sym_u_SQUOTE] = ACTIONS(2806),
    [anon_sym_U_SQUOTE] = ACTIONS(2806),
    [anon_sym_u8_SQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [anon_sym_L_DQUOTE] = ACTIONS(2806),
    [anon_sym_u_DQUOTE] = ACTIONS(2806),
    [anon_sym_U_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8_DQUOTE] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [anon_sym_NULL] = ACTIONS(2804),
    [anon_sym_nullptr] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2804),
    [anon_sym_decltype] = ACTIONS(2804),
    [anon_sym_explicit] = ACTIONS(2804),
    [anon_sym_typename] = ACTIONS(2804),
    [anon_sym_template] = ACTIONS(2804),
    [anon_sym_operator] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_namespace] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(2804),
    [anon_sym_static_assert] = ACTIONS(2804),
    [anon_sym_concept] = ACTIONS(2804),
    [anon_sym_co_return] = ACTIONS(2804),
    [anon_sym_co_yield] = ACTIONS(2804),
    [anon_sym_R_DQUOTE] = ACTIONS(2806),
    [anon_sym_LR_DQUOTE] = ACTIONS(2806),
    [anon_sym_uR_DQUOTE] = ACTIONS(2806),
    [anon_sym_UR_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2806),
    [anon_sym_co_await] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_requires] = ACTIONS(2804),
    [sym_this] = ACTIONS(2804),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(2702),
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(2702),
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2778),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_virtual] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym_COLON_COLON] = ACTIONS(2780),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___based] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_RBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym__Nonnull] = ACTIONS(2778),
    [anon_sym_mutable] = ACTIONS(2778),
    [anon_sym_constinit] = ACTIONS(2778),
    [anon_sym_consteval] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym__Alignas] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_else] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym___leave] = ACTIONS(2778),
    [anon_sym_not] = ACTIONS(2778),
    [anon_sym_compl] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [anon_sym___asm] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2778),
    [anon_sym_decltype] = ACTIONS(2778),
    [anon_sym_explicit] = ACTIONS(2778),
    [anon_sym_typename] = ACTIONS(2778),
    [anon_sym_template] = ACTIONS(2778),
    [anon_sym_operator] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_namespace] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(2778),
    [anon_sym_static_assert] = ACTIONS(2778),
    [anon_sym_concept] = ACTIONS(2778),
    [anon_sym_co_return] = ACTIONS(2778),
    [anon_sym_co_yield] = ACTIONS(2778),
    [anon_sym_R_DQUOTE] = ACTIONS(2780),
    [anon_sym_LR_DQUOTE] = ACTIONS(2780),
    [anon_sym_uR_DQUOTE] = ACTIONS(2780),
    [anon_sym_UR_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2780),
    [anon_sym_co_await] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_requires] = ACTIONS(2778),
    [sym_this] = ACTIONS(2778),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2676),
    [aux_sym_preproc_include_token1] = ACTIONS(2676),
    [aux_sym_preproc_def_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token2] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2676),
    [sym_preproc_directive] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_AMP_AMP] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym___extension__] = ACTIONS(2676),
    [anon_sym_typedef] = ACTIONS(2676),
    [anon_sym_virtual] = ACTIONS(2676),
    [anon_sym_extern] = ACTIONS(2676),
    [anon_sym___attribute__] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2678),
    [anon_sym___declspec] = ACTIONS(2676),
    [anon_sym___based] = ACTIONS(2676),
    [anon_sym___cdecl] = ACTIONS(2676),
    [anon_sym___clrcall] = ACTIONS(2676),
    [anon_sym___stdcall] = ACTIONS(2676),
    [anon_sym___fastcall] = ACTIONS(2676),
    [anon_sym___thiscall] = ACTIONS(2676),
    [anon_sym___vectorcall] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_signed] = ACTIONS(2676),
    [anon_sym_unsigned] = ACTIONS(2676),
    [anon_sym_long] = ACTIONS(2676),
    [anon_sym_short] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_register] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym___inline] = ACTIONS(2676),
    [anon_sym___inline__] = ACTIONS(2676),
    [anon_sym___forceinline] = ACTIONS(2676),
    [anon_sym_thread_local] = ACTIONS(2676),
    [anon_sym___thread] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_constexpr] = ACTIONS(2676),
    [anon_sym_volatile] = ACTIONS(2676),
    [anon_sym_restrict] = ACTIONS(2676),
    [anon_sym___restrict__] = ACTIONS(2676),
    [anon_sym__Atomic] = ACTIONS(2676),
    [anon_sym__Noreturn] = ACTIONS(2676),
    [anon_sym_noreturn] = ACTIONS(2676),
    [anon_sym__Nonnull] = ACTIONS(2676),
    [anon_sym_mutable] = ACTIONS(2676),
    [anon_sym_constinit] = ACTIONS(2676),
    [anon_sym_consteval] = ACTIONS(2676),
    [anon_sym_alignas] = ACTIONS(2676),
    [anon_sym__Alignas] = ACTIONS(2676),
    [sym_primitive_type] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_struct] = ACTIONS(2676),
    [anon_sym_union] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_case] = ACTIONS(2676),
    [anon_sym_default] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_break] = ACTIONS(2676),
    [anon_sym_continue] = ACTIONS(2676),
    [anon_sym_goto] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2676),
    [anon_sym___leave] = ACTIONS(2676),
    [anon_sym_not] = ACTIONS(2676),
    [anon_sym_compl] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_sizeof] = ACTIONS(2676),
    [anon_sym___alignof__] = ACTIONS(2676),
    [anon_sym___alignof] = ACTIONS(2676),
    [anon_sym__alignof] = ACTIONS(2676),
    [anon_sym_alignof] = ACTIONS(2676),
    [anon_sym__Alignof] = ACTIONS(2676),
    [anon_sym_offsetof] = ACTIONS(2676),
    [anon_sym__Generic] = ACTIONS(2676),
    [anon_sym_asm] = ACTIONS(2676),
    [anon_sym___asm__] = ACTIONS(2676),
    [anon_sym___asm] = ACTIONS(2676),
    [sym_number_literal] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2678),
    [anon_sym_u_SQUOTE] = ACTIONS(2678),
    [anon_sym_U_SQUOTE] = ACTIONS(2678),
    [anon_sym_u8_SQUOTE] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_L_DQUOTE] = ACTIONS(2678),
    [anon_sym_u_DQUOTE] = ACTIONS(2678),
    [anon_sym_U_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2678),
    [sym_true] = ACTIONS(2676),
    [sym_false] = ACTIONS(2676),
    [anon_sym_NULL] = ACTIONS(2676),
    [anon_sym_nullptr] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2676),
    [anon_sym_decltype] = ACTIONS(2676),
    [anon_sym_explicit] = ACTIONS(2676),
    [anon_sym_typename] = ACTIONS(2676),
    [anon_sym_template] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2676),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2676),
    [anon_sym_using] = ACTIONS(2676),
    [anon_sym_static_assert] = ACTIONS(2676),
    [anon_sym_concept] = ACTIONS(2676),
    [anon_sym_co_return] = ACTIONS(2676),
    [anon_sym_co_yield] = ACTIONS(2676),
    [anon_sym_R_DQUOTE] = ACTIONS(2678),
    [anon_sym_LR_DQUOTE] = ACTIONS(2678),
    [anon_sym_uR_DQUOTE] = ACTIONS(2678),
    [anon_sym_UR_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2678),
    [anon_sym_co_await] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_requires] = ACTIONS(2676),
    [sym_this] = ACTIONS(2676),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(2738),
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [sym_primitive_type] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [anon_sym___asm] = ACTIONS(2736),
    [sym_number_literal] = ACTIONS(2738),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(2660),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [447] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(2692),
    [sym_identifier] = ACTIONS(2690),
    [aux_sym_preproc_include_token1] = ACTIONS(2690),
    [aux_sym_preproc_def_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2690),
    [sym_preproc_directive] = ACTIONS(2690),
    [anon_sym_LPAREN2] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_AMP] = ACTIONS(2690),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2690),
    [anon_sym_typedef] = ACTIONS(2690),
    [anon_sym_virtual] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2690),
    [anon_sym___attribute__] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2692),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2692),
    [anon_sym___declspec] = ACTIONS(2690),
    [anon_sym___based] = ACTIONS(2690),
    [anon_sym___cdecl] = ACTIONS(2690),
    [anon_sym___clrcall] = ACTIONS(2690),
    [anon_sym___stdcall] = ACTIONS(2690),
    [anon_sym___fastcall] = ACTIONS(2690),
    [anon_sym___thiscall] = ACTIONS(2690),
    [anon_sym___vectorcall] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_signed] = ACTIONS(2690),
    [anon_sym_unsigned] = ACTIONS(2690),
    [anon_sym_long] = ACTIONS(2690),
    [anon_sym_short] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_register] = ACTIONS(2690),
    [anon_sym_inline] = ACTIONS(2690),
    [anon_sym___inline] = ACTIONS(2690),
    [anon_sym___inline__] = ACTIONS(2690),
    [anon_sym___forceinline] = ACTIONS(2690),
    [anon_sym_thread_local] = ACTIONS(2690),
    [anon_sym___thread] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_constexpr] = ACTIONS(2690),
    [anon_sym_volatile] = ACTIONS(2690),
    [anon_sym_restrict] = ACTIONS(2690),
    [anon_sym___restrict__] = ACTIONS(2690),
    [anon_sym__Atomic] = ACTIONS(2690),
    [anon_sym__Noreturn] = ACTIONS(2690),
    [anon_sym_noreturn] = ACTIONS(2690),
    [anon_sym__Nonnull] = ACTIONS(2690),
    [anon_sym_mutable] = ACTIONS(2690),
    [anon_sym_constinit] = ACTIONS(2690),
    [anon_sym_consteval] = ACTIONS(2690),
    [anon_sym_alignas] = ACTIONS(2690),
    [anon_sym__Alignas] = ACTIONS(2690),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(2690),
    [anon_sym_struct] = ACTIONS(2690),
    [anon_sym_union] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_else] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_goto] = ACTIONS(2690),
    [anon_sym___try] = ACTIONS(2690),
    [anon_sym___leave] = ACTIONS(2690),
    [anon_sym_not] = ACTIONS(2690),
    [anon_sym_compl] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_sizeof] = ACTIONS(2690),
    [anon_sym___alignof__] = ACTIONS(2690),
    [anon_sym___alignof] = ACTIONS(2690),
    [anon_sym__alignof] = ACTIONS(2690),
    [anon_sym_alignof] = ACTIONS(2690),
    [anon_sym__Alignof] = ACTIONS(2690),
    [anon_sym_offsetof] = ACTIONS(2690),
    [anon_sym__Generic] = ACTIONS(2690),
    [anon_sym_asm] = ACTIONS(2690),
    [anon_sym___asm__] = ACTIONS(2690),
    [anon_sym___asm] = ACTIONS(2690),
    [sym_number_literal] = ACTIONS(2692),
    [anon_sym_L_SQUOTE] = ACTIONS(2692),
    [anon_sym_u_SQUOTE] = ACTIONS(2692),
    [anon_sym_U_SQUOTE] = ACTIONS(2692),
    [anon_sym_u8_SQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_L_DQUOTE] = ACTIONS(2692),
    [anon_sym_u_DQUOTE] = ACTIONS(2692),
    [anon_sym_U_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [anon_sym_NULL] = ACTIONS(2690),
    [anon_sym_nullptr] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2690),
    [anon_sym_decltype] = ACTIONS(2690),
    [anon_sym_explicit] = ACTIONS(2690),
    [anon_sym_typename] = ACTIONS(2690),
    [anon_sym_template] = ACTIONS(2690),
    [anon_sym_operator] = ACTIONS(2690),
    [anon_sym_try] = ACTIONS(2690),
    [anon_sym_delete] = ACTIONS(2690),
    [anon_sym_throw] = ACTIONS(2690),
    [anon_sym_namespace] = ACTIONS(2690),
    [anon_sym_using] = ACTIONS(2690),
    [anon_sym_static_assert] = ACTIONS(2690),
    [anon_sym_concept] = ACTIONS(2690),
    [anon_sym_co_return] = ACTIONS(2690),
    [anon_sym_co_yield] = ACTIONS(2690),
    [anon_sym_R_DQUOTE] = ACTIONS(2692),
    [anon_sym_LR_DQUOTE] = ACTIONS(2692),
    [anon_sym_uR_DQUOTE] = ACTIONS(2692),
    [anon_sym_UR_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2692),
    [anon_sym_co_await] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2690),
    [anon_sym_requires] = ACTIONS(2690),
    [sym_this] = ACTIONS(2690),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_include_token1] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_LPAREN2] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2718),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_virtual] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2720),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___based] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_RBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_mutable] = ACTIONS(2718),
    [anon_sym_constinit] = ACTIONS(2718),
    [anon_sym_consteval] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_goto] = ACTIONS(2718),
    [anon_sym___try] = ACTIONS(2718),
    [anon_sym___leave] = ACTIONS(2718),
    [anon_sym_not] = ACTIONS(2718),
    [anon_sym_compl] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_sizeof] = ACTIONS(2718),
    [anon_sym___alignof__] = ACTIONS(2718),
    [anon_sym___alignof] = ACTIONS(2718),
    [anon_sym__alignof] = ACTIONS(2718),
    [anon_sym_alignof] = ACTIONS(2718),
    [anon_sym__Alignof] = ACTIONS(2718),
    [anon_sym_offsetof] = ACTIONS(2718),
    [anon_sym__Generic] = ACTIONS(2718),
    [anon_sym_asm] = ACTIONS(2718),
    [anon_sym___asm__] = ACTIONS(2718),
    [anon_sym___asm] = ACTIONS(2718),
    [sym_number_literal] = ACTIONS(2720),
    [anon_sym_L_SQUOTE] = ACTIONS(2720),
    [anon_sym_u_SQUOTE] = ACTIONS(2720),
    [anon_sym_U_SQUOTE] = ACTIONS(2720),
    [anon_sym_u8_SQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_L_DQUOTE] = ACTIONS(2720),
    [anon_sym_u_DQUOTE] = ACTIONS(2720),
    [anon_sym_U_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2718),
    [anon_sym_nullptr] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2718),
    [anon_sym_decltype] = ACTIONS(2718),
    [anon_sym_explicit] = ACTIONS(2718),
    [anon_sym_typename] = ACTIONS(2718),
    [anon_sym_template] = ACTIONS(2718),
    [anon_sym_operator] = ACTIONS(2718),
    [anon_sym_try] = ACTIONS(2718),
    [anon_sym_delete] = ACTIONS(2718),
    [anon_sym_throw] = ACTIONS(2718),
    [anon_sym_namespace] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_static_assert] = ACTIONS(2718),
    [anon_sym_concept] = ACTIONS(2718),
    [anon_sym_co_return] = ACTIONS(2718),
    [anon_sym_co_yield] = ACTIONS(2718),
    [anon_sym_R_DQUOTE] = ACTIONS(2720),
    [anon_sym_LR_DQUOTE] = ACTIONS(2720),
    [anon_sym_uR_DQUOTE] = ACTIONS(2720),
    [anon_sym_UR_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2720),
    [anon_sym_co_await] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2718),
    [anon_sym_requires] = ACTIONS(2718),
    [sym_this] = ACTIONS(2718),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(2720),
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_include_token1] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_LPAREN2] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2718),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_virtual] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2720),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___based] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_mutable] = ACTIONS(2718),
    [anon_sym_constinit] = ACTIONS(2718),
    [anon_sym_consteval] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_goto] = ACTIONS(2718),
    [anon_sym___try] = ACTIONS(2718),
    [anon_sym___leave] = ACTIONS(2718),
    [anon_sym_not] = ACTIONS(2718),
    [anon_sym_compl] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_sizeof] = ACTIONS(2718),
    [anon_sym___alignof__] = ACTIONS(2718),
    [anon_sym___alignof] = ACTIONS(2718),
    [anon_sym__alignof] = ACTIONS(2718),
    [anon_sym_alignof] = ACTIONS(2718),
    [anon_sym__Alignof] = ACTIONS(2718),
    [anon_sym_offsetof] = ACTIONS(2718),
    [anon_sym__Generic] = ACTIONS(2718),
    [anon_sym_asm] = ACTIONS(2718),
    [anon_sym___asm__] = ACTIONS(2718),
    [anon_sym___asm] = ACTIONS(2718),
    [sym_number_literal] = ACTIONS(2720),
    [anon_sym_L_SQUOTE] = ACTIONS(2720),
    [anon_sym_u_SQUOTE] = ACTIONS(2720),
    [anon_sym_U_SQUOTE] = ACTIONS(2720),
    [anon_sym_u8_SQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_L_DQUOTE] = ACTIONS(2720),
    [anon_sym_u_DQUOTE] = ACTIONS(2720),
    [anon_sym_U_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2718),
    [anon_sym_nullptr] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2718),
    [anon_sym_decltype] = ACTIONS(2718),
    [anon_sym_explicit] = ACTIONS(2718),
    [anon_sym_typename] = ACTIONS(2718),
    [anon_sym_template] = ACTIONS(2718),
    [anon_sym_operator] = ACTIONS(2718),
    [anon_sym_try] = ACTIONS(2718),
    [anon_sym_delete] = ACTIONS(2718),
    [anon_sym_throw] = ACTIONS(2718),
    [anon_sym_namespace] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_static_assert] = ACTIONS(2718),
    [anon_sym_concept] = ACTIONS(2718),
    [anon_sym_co_return] = ACTIONS(2718),
    [anon_sym_co_yield] = ACTIONS(2718),
    [anon_sym_R_DQUOTE] = ACTIONS(2720),
    [anon_sym_LR_DQUOTE] = ACTIONS(2720),
    [anon_sym_uR_DQUOTE] = ACTIONS(2720),
    [anon_sym_UR_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2720),
    [anon_sym_co_await] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2718),
    [anon_sym_requires] = ACTIONS(2718),
    [sym_this] = ACTIONS(2718),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_include_token1] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token2] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_LPAREN2] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_AMP_AMP] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2718),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_virtual] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2720),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___based] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_mutable] = ACTIONS(2718),
    [anon_sym_constinit] = ACTIONS(2718),
    [anon_sym_consteval] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_goto] = ACTIONS(2718),
    [anon_sym___try] = ACTIONS(2718),
    [anon_sym___leave] = ACTIONS(2718),
    [anon_sym_not] = ACTIONS(2718),
    [anon_sym_compl] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_sizeof] = ACTIONS(2718),
    [anon_sym___alignof__] = ACTIONS(2718),
    [anon_sym___alignof] = ACTIONS(2718),
    [anon_sym__alignof] = ACTIONS(2718),
    [anon_sym_alignof] = ACTIONS(2718),
    [anon_sym__Alignof] = ACTIONS(2718),
    [anon_sym_offsetof] = ACTIONS(2718),
    [anon_sym__Generic] = ACTIONS(2718),
    [anon_sym_asm] = ACTIONS(2718),
    [anon_sym___asm__] = ACTIONS(2718),
    [anon_sym___asm] = ACTIONS(2718),
    [sym_number_literal] = ACTIONS(2720),
    [anon_sym_L_SQUOTE] = ACTIONS(2720),
    [anon_sym_u_SQUOTE] = ACTIONS(2720),
    [anon_sym_U_SQUOTE] = ACTIONS(2720),
    [anon_sym_u8_SQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_L_DQUOTE] = ACTIONS(2720),
    [anon_sym_u_DQUOTE] = ACTIONS(2720),
    [anon_sym_U_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2718),
    [anon_sym_nullptr] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2718),
    [anon_sym_decltype] = ACTIONS(2718),
    [anon_sym_explicit] = ACTIONS(2718),
    [anon_sym_typename] = ACTIONS(2718),
    [anon_sym_template] = ACTIONS(2718),
    [anon_sym_operator] = ACTIONS(2718),
    [anon_sym_try] = ACTIONS(2718),
    [anon_sym_delete] = ACTIONS(2718),
    [anon_sym_throw] = ACTIONS(2718),
    [anon_sym_namespace] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_static_assert] = ACTIONS(2718),
    [anon_sym_concept] = ACTIONS(2718),
    [anon_sym_co_return] = ACTIONS(2718),
    [anon_sym_co_yield] = ACTIONS(2718),
    [anon_sym_R_DQUOTE] = ACTIONS(2720),
    [anon_sym_LR_DQUOTE] = ACTIONS(2720),
    [anon_sym_uR_DQUOTE] = ACTIONS(2720),
    [anon_sym_UR_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2720),
    [anon_sym_co_await] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2718),
    [anon_sym_requires] = ACTIONS(2718),
    [sym_this] = ACTIONS(2718),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2800),
    [aux_sym_preproc_include_token1] = ACTIONS(2800),
    [aux_sym_preproc_def_token1] = ACTIONS(2800),
    [aux_sym_preproc_if_token1] = ACTIONS(2800),
    [aux_sym_preproc_if_token2] = ACTIONS(2800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2800),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2800),
    [sym_preproc_directive] = ACTIONS(2800),
    [anon_sym_LPAREN2] = ACTIONS(2802),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_TILDE] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2802),
    [anon_sym_AMP_AMP] = ACTIONS(2802),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2800),
    [anon_sym_typedef] = ACTIONS(2800),
    [anon_sym_virtual] = ACTIONS(2800),
    [anon_sym_extern] = ACTIONS(2800),
    [anon_sym___attribute__] = ACTIONS(2800),
    [anon_sym_COLON_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2802),
    [anon_sym___declspec] = ACTIONS(2800),
    [anon_sym___based] = ACTIONS(2800),
    [anon_sym___cdecl] = ACTIONS(2800),
    [anon_sym___clrcall] = ACTIONS(2800),
    [anon_sym___stdcall] = ACTIONS(2800),
    [anon_sym___fastcall] = ACTIONS(2800),
    [anon_sym___thiscall] = ACTIONS(2800),
    [anon_sym___vectorcall] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_signed] = ACTIONS(2800),
    [anon_sym_unsigned] = ACTIONS(2800),
    [anon_sym_long] = ACTIONS(2800),
    [anon_sym_short] = ACTIONS(2800),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym_static] = ACTIONS(2800),
    [anon_sym_register] = ACTIONS(2800),
    [anon_sym_inline] = ACTIONS(2800),
    [anon_sym___inline] = ACTIONS(2800),
    [anon_sym___inline__] = ACTIONS(2800),
    [anon_sym___forceinline] = ACTIONS(2800),
    [anon_sym_thread_local] = ACTIONS(2800),
    [anon_sym___thread] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_constexpr] = ACTIONS(2800),
    [anon_sym_volatile] = ACTIONS(2800),
    [anon_sym_restrict] = ACTIONS(2800),
    [anon_sym___restrict__] = ACTIONS(2800),
    [anon_sym__Atomic] = ACTIONS(2800),
    [anon_sym__Noreturn] = ACTIONS(2800),
    [anon_sym_noreturn] = ACTIONS(2800),
    [anon_sym__Nonnull] = ACTIONS(2800),
    [anon_sym_mutable] = ACTIONS(2800),
    [anon_sym_constinit] = ACTIONS(2800),
    [anon_sym_consteval] = ACTIONS(2800),
    [anon_sym_alignas] = ACTIONS(2800),
    [anon_sym__Alignas] = ACTIONS(2800),
    [sym_primitive_type] = ACTIONS(2800),
    [anon_sym_enum] = ACTIONS(2800),
    [anon_sym_class] = ACTIONS(2800),
    [anon_sym_struct] = ACTIONS(2800),
    [anon_sym_union] = ACTIONS(2800),
    [anon_sym_if] = ACTIONS(2800),
    [anon_sym_else] = ACTIONS(2800),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_case] = ACTIONS(2800),
    [anon_sym_default] = ACTIONS(2800),
    [anon_sym_while] = ACTIONS(2800),
    [anon_sym_do] = ACTIONS(2800),
    [anon_sym_for] = ACTIONS(2800),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_break] = ACTIONS(2800),
    [anon_sym_continue] = ACTIONS(2800),
    [anon_sym_goto] = ACTIONS(2800),
    [anon_sym___try] = ACTIONS(2800),
    [anon_sym___leave] = ACTIONS(2800),
    [anon_sym_not] = ACTIONS(2800),
    [anon_sym_compl] = ACTIONS(2800),
    [anon_sym_DASH_DASH] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2802),
    [anon_sym_sizeof] = ACTIONS(2800),
    [anon_sym___alignof__] = ACTIONS(2800),
    [anon_sym___alignof] = ACTIONS(2800),
    [anon_sym__alignof] = ACTIONS(2800),
    [anon_sym_alignof] = ACTIONS(2800),
    [anon_sym__Alignof] = ACTIONS(2800),
    [anon_sym_offsetof] = ACTIONS(2800),
    [anon_sym__Generic] = ACTIONS(2800),
    [anon_sym_asm] = ACTIONS(2800),
    [anon_sym___asm__] = ACTIONS(2800),
    [anon_sym___asm] = ACTIONS(2800),
    [sym_number_literal] = ACTIONS(2802),
    [anon_sym_L_SQUOTE] = ACTIONS(2802),
    [anon_sym_u_SQUOTE] = ACTIONS(2802),
    [anon_sym_U_SQUOTE] = ACTIONS(2802),
    [anon_sym_u8_SQUOTE] = ACTIONS(2802),
    [anon_sym_SQUOTE] = ACTIONS(2802),
    [anon_sym_L_DQUOTE] = ACTIONS(2802),
    [anon_sym_u_DQUOTE] = ACTIONS(2802),
    [anon_sym_U_DQUOTE] = ACTIONS(2802),
    [anon_sym_u8_DQUOTE] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2802),
    [sym_true] = ACTIONS(2800),
    [sym_false] = ACTIONS(2800),
    [anon_sym_NULL] = ACTIONS(2800),
    [anon_sym_nullptr] = ACTIONS(2800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2800),
    [anon_sym_decltype] = ACTIONS(2800),
    [anon_sym_explicit] = ACTIONS(2800),
    [anon_sym_typename] = ACTIONS(2800),
    [anon_sym_template] = ACTIONS(2800),
    [anon_sym_operator] = ACTIONS(2800),
    [anon_sym_try] = ACTIONS(2800),
    [anon_sym_delete] = ACTIONS(2800),
    [anon_sym_throw] = ACTIONS(2800),
    [anon_sym_namespace] = ACTIONS(2800),
    [anon_sym_using] = ACTIONS(2800),
    [anon_sym_static_assert] = ACTIONS(2800),
    [anon_sym_concept] = ACTIONS(2800),
    [anon_sym_co_return] = ACTIONS(2800),
    [anon_sym_co_yield] = ACTIONS(2800),
    [anon_sym_R_DQUOTE] = ACTIONS(2802),
    [anon_sym_LR_DQUOTE] = ACTIONS(2802),
    [anon_sym_uR_DQUOTE] = ACTIONS(2802),
    [anon_sym_UR_DQUOTE] = ACTIONS(2802),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2802),
    [anon_sym_co_await] = ACTIONS(2800),
    [anon_sym_new] = ACTIONS(2800),
    [anon_sym_requires] = ACTIONS(2800),
    [sym_this] = ACTIONS(2800),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(2780),
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_AMP_AMP] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2778),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_virtual] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym_COLON_COLON] = ACTIONS(2780),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___based] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym__Nonnull] = ACTIONS(2778),
    [anon_sym_mutable] = ACTIONS(2778),
    [anon_sym_constinit] = ACTIONS(2778),
    [anon_sym_consteval] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym__Alignas] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_else] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym___leave] = ACTIONS(2778),
    [anon_sym_not] = ACTIONS(2778),
    [anon_sym_compl] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [anon_sym___asm] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2778),
    [anon_sym_decltype] = ACTIONS(2778),
    [anon_sym_explicit] = ACTIONS(2778),
    [anon_sym_typename] = ACTIONS(2778),
    [anon_sym_template] = ACTIONS(2778),
    [anon_sym_operator] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_namespace] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(2778),
    [anon_sym_static_assert] = ACTIONS(2778),
    [anon_sym_concept] = ACTIONS(2778),
    [anon_sym_co_return] = ACTIONS(2778),
    [anon_sym_co_yield] = ACTIONS(2778),
    [anon_sym_R_DQUOTE] = ACTIONS(2780),
    [anon_sym_LR_DQUOTE] = ACTIONS(2780),
    [anon_sym_uR_DQUOTE] = ACTIONS(2780),
    [anon_sym_UR_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2780),
    [anon_sym_co_await] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_requires] = ACTIONS(2778),
    [sym_this] = ACTIONS(2778),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2690),
    [aux_sym_preproc_include_token1] = ACTIONS(2690),
    [aux_sym_preproc_def_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2690),
    [sym_preproc_directive] = ACTIONS(2690),
    [anon_sym_LPAREN2] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_AMP] = ACTIONS(2690),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2690),
    [anon_sym_typedef] = ACTIONS(2690),
    [anon_sym_virtual] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2690),
    [anon_sym___attribute__] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2692),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2692),
    [anon_sym___declspec] = ACTIONS(2690),
    [anon_sym___based] = ACTIONS(2690),
    [anon_sym___cdecl] = ACTIONS(2690),
    [anon_sym___clrcall] = ACTIONS(2690),
    [anon_sym___stdcall] = ACTIONS(2690),
    [anon_sym___fastcall] = ACTIONS(2690),
    [anon_sym___thiscall] = ACTIONS(2690),
    [anon_sym___vectorcall] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_RBRACE] = ACTIONS(2692),
    [anon_sym_signed] = ACTIONS(2690),
    [anon_sym_unsigned] = ACTIONS(2690),
    [anon_sym_long] = ACTIONS(2690),
    [anon_sym_short] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_register] = ACTIONS(2690),
    [anon_sym_inline] = ACTIONS(2690),
    [anon_sym___inline] = ACTIONS(2690),
    [anon_sym___inline__] = ACTIONS(2690),
    [anon_sym___forceinline] = ACTIONS(2690),
    [anon_sym_thread_local] = ACTIONS(2690),
    [anon_sym___thread] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_constexpr] = ACTIONS(2690),
    [anon_sym_volatile] = ACTIONS(2690),
    [anon_sym_restrict] = ACTIONS(2690),
    [anon_sym___restrict__] = ACTIONS(2690),
    [anon_sym__Atomic] = ACTIONS(2690),
    [anon_sym__Noreturn] = ACTIONS(2690),
    [anon_sym_noreturn] = ACTIONS(2690),
    [anon_sym__Nonnull] = ACTIONS(2690),
    [anon_sym_mutable] = ACTIONS(2690),
    [anon_sym_constinit] = ACTIONS(2690),
    [anon_sym_consteval] = ACTIONS(2690),
    [anon_sym_alignas] = ACTIONS(2690),
    [anon_sym__Alignas] = ACTIONS(2690),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(2690),
    [anon_sym_struct] = ACTIONS(2690),
    [anon_sym_union] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_else] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_goto] = ACTIONS(2690),
    [anon_sym___try] = ACTIONS(2690),
    [anon_sym___leave] = ACTIONS(2690),
    [anon_sym_not] = ACTIONS(2690),
    [anon_sym_compl] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_sizeof] = ACTIONS(2690),
    [anon_sym___alignof__] = ACTIONS(2690),
    [anon_sym___alignof] = ACTIONS(2690),
    [anon_sym__alignof] = ACTIONS(2690),
    [anon_sym_alignof] = ACTIONS(2690),
    [anon_sym__Alignof] = ACTIONS(2690),
    [anon_sym_offsetof] = ACTIONS(2690),
    [anon_sym__Generic] = ACTIONS(2690),
    [anon_sym_asm] = ACTIONS(2690),
    [anon_sym___asm__] = ACTIONS(2690),
    [anon_sym___asm] = ACTIONS(2690),
    [sym_number_literal] = ACTIONS(2692),
    [anon_sym_L_SQUOTE] = ACTIONS(2692),
    [anon_sym_u_SQUOTE] = ACTIONS(2692),
    [anon_sym_U_SQUOTE] = ACTIONS(2692),
    [anon_sym_u8_SQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_L_DQUOTE] = ACTIONS(2692),
    [anon_sym_u_DQUOTE] = ACTIONS(2692),
    [anon_sym_U_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [anon_sym_NULL] = ACTIONS(2690),
    [anon_sym_nullptr] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2690),
    [anon_sym_decltype] = ACTIONS(2690),
    [anon_sym_explicit] = ACTIONS(2690),
    [anon_sym_typename] = ACTIONS(2690),
    [anon_sym_template] = ACTIONS(2690),
    [anon_sym_operator] = ACTIONS(2690),
    [anon_sym_try] = ACTIONS(2690),
    [anon_sym_delete] = ACTIONS(2690),
    [anon_sym_throw] = ACTIONS(2690),
    [anon_sym_namespace] = ACTIONS(2690),
    [anon_sym_using] = ACTIONS(2690),
    [anon_sym_static_assert] = ACTIONS(2690),
    [anon_sym_concept] = ACTIONS(2690),
    [anon_sym_co_return] = ACTIONS(2690),
    [anon_sym_co_yield] = ACTIONS(2690),
    [anon_sym_R_DQUOTE] = ACTIONS(2692),
    [anon_sym_LR_DQUOTE] = ACTIONS(2692),
    [anon_sym_uR_DQUOTE] = ACTIONS(2692),
    [anon_sym_UR_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2692),
    [anon_sym_co_await] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2690),
    [anon_sym_requires] = ACTIONS(2690),
    [sym_this] = ACTIONS(2690),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(2798),
    [sym_identifier] = ACTIONS(2796),
    [aux_sym_preproc_include_token1] = ACTIONS(2796),
    [aux_sym_preproc_def_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2796),
    [sym_preproc_directive] = ACTIONS(2796),
    [anon_sym_LPAREN2] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2798),
    [anon_sym_AMP_AMP] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_typedef] = ACTIONS(2796),
    [anon_sym_virtual] = ACTIONS(2796),
    [anon_sym_extern] = ACTIONS(2796),
    [anon_sym___attribute__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2798),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2798),
    [anon_sym___declspec] = ACTIONS(2796),
    [anon_sym___based] = ACTIONS(2796),
    [anon_sym___cdecl] = ACTIONS(2796),
    [anon_sym___clrcall] = ACTIONS(2796),
    [anon_sym___stdcall] = ACTIONS(2796),
    [anon_sym___fastcall] = ACTIONS(2796),
    [anon_sym___thiscall] = ACTIONS(2796),
    [anon_sym___vectorcall] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2796),
    [anon_sym_unsigned] = ACTIONS(2796),
    [anon_sym_long] = ACTIONS(2796),
    [anon_sym_short] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym_static] = ACTIONS(2796),
    [anon_sym_register] = ACTIONS(2796),
    [anon_sym_inline] = ACTIONS(2796),
    [anon_sym___inline] = ACTIONS(2796),
    [anon_sym___inline__] = ACTIONS(2796),
    [anon_sym___forceinline] = ACTIONS(2796),
    [anon_sym_thread_local] = ACTIONS(2796),
    [anon_sym___thread] = ACTIONS(2796),
    [anon_sym_const] = ACTIONS(2796),
    [anon_sym_constexpr] = ACTIONS(2796),
    [anon_sym_volatile] = ACTIONS(2796),
    [anon_sym_restrict] = ACTIONS(2796),
    [anon_sym___restrict__] = ACTIONS(2796),
    [anon_sym__Atomic] = ACTIONS(2796),
    [anon_sym__Noreturn] = ACTIONS(2796),
    [anon_sym_noreturn] = ACTIONS(2796),
    [anon_sym__Nonnull] = ACTIONS(2796),
    [anon_sym_mutable] = ACTIONS(2796),
    [anon_sym_constinit] = ACTIONS(2796),
    [anon_sym_consteval] = ACTIONS(2796),
    [anon_sym_alignas] = ACTIONS(2796),
    [anon_sym__Alignas] = ACTIONS(2796),
    [sym_primitive_type] = ACTIONS(2796),
    [anon_sym_enum] = ACTIONS(2796),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_struct] = ACTIONS(2796),
    [anon_sym_union] = ACTIONS(2796),
    [anon_sym_if] = ACTIONS(2796),
    [anon_sym_else] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2796),
    [anon_sym_case] = ACTIONS(2796),
    [anon_sym_default] = ACTIONS(2796),
    [anon_sym_while] = ACTIONS(2796),
    [anon_sym_do] = ACTIONS(2796),
    [anon_sym_for] = ACTIONS(2796),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_break] = ACTIONS(2796),
    [anon_sym_continue] = ACTIONS(2796),
    [anon_sym_goto] = ACTIONS(2796),
    [anon_sym___try] = ACTIONS(2796),
    [anon_sym___leave] = ACTIONS(2796),
    [anon_sym_not] = ACTIONS(2796),
    [anon_sym_compl] = ACTIONS(2796),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_sizeof] = ACTIONS(2796),
    [anon_sym___alignof__] = ACTIONS(2796),
    [anon_sym___alignof] = ACTIONS(2796),
    [anon_sym__alignof] = ACTIONS(2796),
    [anon_sym_alignof] = ACTIONS(2796),
    [anon_sym__Alignof] = ACTIONS(2796),
    [anon_sym_offsetof] = ACTIONS(2796),
    [anon_sym__Generic] = ACTIONS(2796),
    [anon_sym_asm] = ACTIONS(2796),
    [anon_sym___asm__] = ACTIONS(2796),
    [anon_sym___asm] = ACTIONS(2796),
    [sym_number_literal] = ACTIONS(2798),
    [anon_sym_L_SQUOTE] = ACTIONS(2798),
    [anon_sym_u_SQUOTE] = ACTIONS(2798),
    [anon_sym_U_SQUOTE] = ACTIONS(2798),
    [anon_sym_u8_SQUOTE] = ACTIONS(2798),
    [anon_sym_SQUOTE] = ACTIONS(2798),
    [anon_sym_L_DQUOTE] = ACTIONS(2798),
    [anon_sym_u_DQUOTE] = ACTIONS(2798),
    [anon_sym_U_DQUOTE] = ACTIONS(2798),
    [anon_sym_u8_DQUOTE] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2798),
    [sym_true] = ACTIONS(2796),
    [sym_false] = ACTIONS(2796),
    [anon_sym_NULL] = ACTIONS(2796),
    [anon_sym_nullptr] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2796),
    [anon_sym_decltype] = ACTIONS(2796),
    [anon_sym_explicit] = ACTIONS(2796),
    [anon_sym_typename] = ACTIONS(2796),
    [anon_sym_template] = ACTIONS(2796),
    [anon_sym_operator] = ACTIONS(2796),
    [anon_sym_try] = ACTIONS(2796),
    [anon_sym_delete] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2796),
    [anon_sym_namespace] = ACTIONS(2796),
    [anon_sym_using] = ACTIONS(2796),
    [anon_sym_static_assert] = ACTIONS(2796),
    [anon_sym_concept] = ACTIONS(2796),
    [anon_sym_co_return] = ACTIONS(2796),
    [anon_sym_co_yield] = ACTIONS(2796),
    [anon_sym_R_DQUOTE] = ACTIONS(2798),
    [anon_sym_LR_DQUOTE] = ACTIONS(2798),
    [anon_sym_uR_DQUOTE] = ACTIONS(2798),
    [anon_sym_UR_DQUOTE] = ACTIONS(2798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2798),
    [anon_sym_co_await] = ACTIONS(2796),
    [anon_sym_new] = ACTIONS(2796),
    [anon_sym_requires] = ACTIONS(2796),
    [sym_this] = ACTIONS(2796),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [sym_primitive_type] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [anon_sym___asm] = ACTIONS(2736),
    [sym_number_literal] = ACTIONS(2738),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token2] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2726),
    [aux_sym_preproc_include_token1] = ACTIONS(2726),
    [aux_sym_preproc_def_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2726),
    [sym_preproc_directive] = ACTIONS(2726),
    [anon_sym_LPAREN2] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym_typedef] = ACTIONS(2726),
    [anon_sym_virtual] = ACTIONS(2726),
    [anon_sym_extern] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2728),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2728),
    [anon_sym___declspec] = ACTIONS(2726),
    [anon_sym___based] = ACTIONS(2726),
    [anon_sym___cdecl] = ACTIONS(2726),
    [anon_sym___clrcall] = ACTIONS(2726),
    [anon_sym___stdcall] = ACTIONS(2726),
    [anon_sym___fastcall] = ACTIONS(2726),
    [anon_sym___thiscall] = ACTIONS(2726),
    [anon_sym___vectorcall] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_RBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_register] = ACTIONS(2726),
    [anon_sym_inline] = ACTIONS(2726),
    [anon_sym___inline] = ACTIONS(2726),
    [anon_sym___inline__] = ACTIONS(2726),
    [anon_sym___forceinline] = ACTIONS(2726),
    [anon_sym_thread_local] = ACTIONS(2726),
    [anon_sym___thread] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_mutable] = ACTIONS(2726),
    [anon_sym_constinit] = ACTIONS(2726),
    [anon_sym_consteval] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_class] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_else] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2726),
    [anon_sym_default] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_goto] = ACTIONS(2726),
    [anon_sym___try] = ACTIONS(2726),
    [anon_sym___leave] = ACTIONS(2726),
    [anon_sym_not] = ACTIONS(2726),
    [anon_sym_compl] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_sizeof] = ACTIONS(2726),
    [anon_sym___alignof__] = ACTIONS(2726),
    [anon_sym___alignof] = ACTIONS(2726),
    [anon_sym__alignof] = ACTIONS(2726),
    [anon_sym_alignof] = ACTIONS(2726),
    [anon_sym__Alignof] = ACTIONS(2726),
    [anon_sym_offsetof] = ACTIONS(2726),
    [anon_sym__Generic] = ACTIONS(2726),
    [anon_sym_asm] = ACTIONS(2726),
    [anon_sym___asm__] = ACTIONS(2726),
    [anon_sym___asm] = ACTIONS(2726),
    [sym_number_literal] = ACTIONS(2728),
    [anon_sym_L_SQUOTE] = ACTIONS(2728),
    [anon_sym_u_SQUOTE] = ACTIONS(2728),
    [anon_sym_U_SQUOTE] = ACTIONS(2728),
    [anon_sym_u8_SQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_L_DQUOTE] = ACTIONS(2728),
    [anon_sym_u_DQUOTE] = ACTIONS(2728),
    [anon_sym_U_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [anon_sym_NULL] = ACTIONS(2726),
    [anon_sym_nullptr] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2726),
    [anon_sym_decltype] = ACTIONS(2726),
    [anon_sym_explicit] = ACTIONS(2726),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(2726),
    [anon_sym_operator] = ACTIONS(2726),
    [anon_sym_try] = ACTIONS(2726),
    [anon_sym_delete] = ACTIONS(2726),
    [anon_sym_throw] = ACTIONS(2726),
    [anon_sym_namespace] = ACTIONS(2726),
    [anon_sym_using] = ACTIONS(2726),
    [anon_sym_static_assert] = ACTIONS(2726),
    [anon_sym_concept] = ACTIONS(2726),
    [anon_sym_co_return] = ACTIONS(2726),
    [anon_sym_co_yield] = ACTIONS(2726),
    [anon_sym_R_DQUOTE] = ACTIONS(2728),
    [anon_sym_LR_DQUOTE] = ACTIONS(2728),
    [anon_sym_uR_DQUOTE] = ACTIONS(2728),
    [anon_sym_UR_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2728),
    [anon_sym_co_await] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2726),
    [anon_sym_requires] = ACTIONS(2726),
    [sym_this] = ACTIONS(2726),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(2746),
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [anon_sym___asm] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [465] = {
    [sym_identifier] = ACTIONS(2704),
    [aux_sym_preproc_include_token1] = ACTIONS(2704),
    [aux_sym_preproc_def_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2704),
    [sym_preproc_directive] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym___extension__] = ACTIONS(2704),
    [anon_sym_typedef] = ACTIONS(2704),
    [anon_sym_virtual] = ACTIONS(2704),
    [anon_sym_extern] = ACTIONS(2704),
    [anon_sym___attribute__] = ACTIONS(2704),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2706),
    [anon_sym___declspec] = ACTIONS(2704),
    [anon_sym___based] = ACTIONS(2704),
    [anon_sym___cdecl] = ACTIONS(2704),
    [anon_sym___clrcall] = ACTIONS(2704),
    [anon_sym___stdcall] = ACTIONS(2704),
    [anon_sym___fastcall] = ACTIONS(2704),
    [anon_sym___thiscall] = ACTIONS(2704),
    [anon_sym___vectorcall] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_RBRACE] = ACTIONS(2706),
    [anon_sym_signed] = ACTIONS(2704),
    [anon_sym_unsigned] = ACTIONS(2704),
    [anon_sym_long] = ACTIONS(2704),
    [anon_sym_short] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_register] = ACTIONS(2704),
    [anon_sym_inline] = ACTIONS(2704),
    [anon_sym___inline] = ACTIONS(2704),
    [anon_sym___inline__] = ACTIONS(2704),
    [anon_sym___forceinline] = ACTIONS(2704),
    [anon_sym_thread_local] = ACTIONS(2704),
    [anon_sym___thread] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_constexpr] = ACTIONS(2704),
    [anon_sym_volatile] = ACTIONS(2704),
    [anon_sym_restrict] = ACTIONS(2704),
    [anon_sym___restrict__] = ACTIONS(2704),
    [anon_sym__Atomic] = ACTIONS(2704),
    [anon_sym__Noreturn] = ACTIONS(2704),
    [anon_sym_noreturn] = ACTIONS(2704),
    [anon_sym__Nonnull] = ACTIONS(2704),
    [anon_sym_mutable] = ACTIONS(2704),
    [anon_sym_constinit] = ACTIONS(2704),
    [anon_sym_consteval] = ACTIONS(2704),
    [anon_sym_alignas] = ACTIONS(2704),
    [anon_sym__Alignas] = ACTIONS(2704),
    [sym_primitive_type] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_struct] = ACTIONS(2704),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_goto] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2704),
    [anon_sym___leave] = ACTIONS(2704),
    [anon_sym_not] = ACTIONS(2704),
    [anon_sym_compl] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_sizeof] = ACTIONS(2704),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2704),
    [anon_sym__Generic] = ACTIONS(2704),
    [anon_sym_asm] = ACTIONS(2704),
    [anon_sym___asm__] = ACTIONS(2704),
    [anon_sym___asm] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2706),
    [anon_sym_L_SQUOTE] = ACTIONS(2706),
    [anon_sym_u_SQUOTE] = ACTIONS(2706),
    [anon_sym_U_SQUOTE] = ACTIONS(2706),
    [anon_sym_u8_SQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_L_DQUOTE] = ACTIONS(2706),
    [anon_sym_u_DQUOTE] = ACTIONS(2706),
    [anon_sym_U_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [anon_sym_NULL] = ACTIONS(2704),
    [anon_sym_nullptr] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2704),
    [anon_sym_decltype] = ACTIONS(2704),
    [anon_sym_explicit] = ACTIONS(2704),
    [anon_sym_typename] = ACTIONS(2704),
    [anon_sym_template] = ACTIONS(2704),
    [anon_sym_operator] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_static_assert] = ACTIONS(2704),
    [anon_sym_concept] = ACTIONS(2704),
    [anon_sym_co_return] = ACTIONS(2704),
    [anon_sym_co_yield] = ACTIONS(2704),
    [anon_sym_R_DQUOTE] = ACTIONS(2706),
    [anon_sym_LR_DQUOTE] = ACTIONS(2706),
    [anon_sym_uR_DQUOTE] = ACTIONS(2706),
    [anon_sym_UR_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2706),
    [anon_sym_co_await] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_requires] = ACTIONS(2704),
    [sym_this] = ACTIONS(2704),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2796),
    [aux_sym_preproc_include_token1] = ACTIONS(2796),
    [aux_sym_preproc_def_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token2] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2796),
    [sym_preproc_directive] = ACTIONS(2796),
    [anon_sym_LPAREN2] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2798),
    [anon_sym_AMP_AMP] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_typedef] = ACTIONS(2796),
    [anon_sym_virtual] = ACTIONS(2796),
    [anon_sym_extern] = ACTIONS(2796),
    [anon_sym___attribute__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2798),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2798),
    [anon_sym___declspec] = ACTIONS(2796),
    [anon_sym___based] = ACTIONS(2796),
    [anon_sym___cdecl] = ACTIONS(2796),
    [anon_sym___clrcall] = ACTIONS(2796),
    [anon_sym___stdcall] = ACTIONS(2796),
    [anon_sym___fastcall] = ACTIONS(2796),
    [anon_sym___thiscall] = ACTIONS(2796),
    [anon_sym___vectorcall] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2796),
    [anon_sym_unsigned] = ACTIONS(2796),
    [anon_sym_long] = ACTIONS(2796),
    [anon_sym_short] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym_static] = ACTIONS(2796),
    [anon_sym_register] = ACTIONS(2796),
    [anon_sym_inline] = ACTIONS(2796),
    [anon_sym___inline] = ACTIONS(2796),
    [anon_sym___inline__] = ACTIONS(2796),
    [anon_sym___forceinline] = ACTIONS(2796),
    [anon_sym_thread_local] = ACTIONS(2796),
    [anon_sym___thread] = ACTIONS(2796),
    [anon_sym_const] = ACTIONS(2796),
    [anon_sym_constexpr] = ACTIONS(2796),
    [anon_sym_volatile] = ACTIONS(2796),
    [anon_sym_restrict] = ACTIONS(2796),
    [anon_sym___restrict__] = ACTIONS(2796),
    [anon_sym__Atomic] = ACTIONS(2796),
    [anon_sym__Noreturn] = ACTIONS(2796),
    [anon_sym_noreturn] = ACTIONS(2796),
    [anon_sym__Nonnull] = ACTIONS(2796),
    [anon_sym_mutable] = ACTIONS(2796),
    [anon_sym_constinit] = ACTIONS(2796),
    [anon_sym_consteval] = ACTIONS(2796),
    [anon_sym_alignas] = ACTIONS(2796),
    [anon_sym__Alignas] = ACTIONS(2796),
    [sym_primitive_type] = ACTIONS(2796),
    [anon_sym_enum] = ACTIONS(2796),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_struct] = ACTIONS(2796),
    [anon_sym_union] = ACTIONS(2796),
    [anon_sym_if] = ACTIONS(2796),
    [anon_sym_else] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2796),
    [anon_sym_case] = ACTIONS(2796),
    [anon_sym_default] = ACTIONS(2796),
    [anon_sym_while] = ACTIONS(2796),
    [anon_sym_do] = ACTIONS(2796),
    [anon_sym_for] = ACTIONS(2796),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_break] = ACTIONS(2796),
    [anon_sym_continue] = ACTIONS(2796),
    [anon_sym_goto] = ACTIONS(2796),
    [anon_sym___try] = ACTIONS(2796),
    [anon_sym___leave] = ACTIONS(2796),
    [anon_sym_not] = ACTIONS(2796),
    [anon_sym_compl] = ACTIONS(2796),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_sizeof] = ACTIONS(2796),
    [anon_sym___alignof__] = ACTIONS(2796),
    [anon_sym___alignof] = ACTIONS(2796),
    [anon_sym__alignof] = ACTIONS(2796),
    [anon_sym_alignof] = ACTIONS(2796),
    [anon_sym__Alignof] = ACTIONS(2796),
    [anon_sym_offsetof] = ACTIONS(2796),
    [anon_sym__Generic] = ACTIONS(2796),
    [anon_sym_asm] = ACTIONS(2796),
    [anon_sym___asm__] = ACTIONS(2796),
    [anon_sym___asm] = ACTIONS(2796),
    [sym_number_literal] = ACTIONS(2798),
    [anon_sym_L_SQUOTE] = ACTIONS(2798),
    [anon_sym_u_SQUOTE] = ACTIONS(2798),
    [anon_sym_U_SQUOTE] = ACTIONS(2798),
    [anon_sym_u8_SQUOTE] = ACTIONS(2798),
    [anon_sym_SQUOTE] = ACTIONS(2798),
    [anon_sym_L_DQUOTE] = ACTIONS(2798),
    [anon_sym_u_DQUOTE] = ACTIONS(2798),
    [anon_sym_U_DQUOTE] = ACTIONS(2798),
    [anon_sym_u8_DQUOTE] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2798),
    [sym_true] = ACTIONS(2796),
    [sym_false] = ACTIONS(2796),
    [anon_sym_NULL] = ACTIONS(2796),
    [anon_sym_nullptr] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2796),
    [anon_sym_decltype] = ACTIONS(2796),
    [anon_sym_explicit] = ACTIONS(2796),
    [anon_sym_typename] = ACTIONS(2796),
    [anon_sym_template] = ACTIONS(2796),
    [anon_sym_operator] = ACTIONS(2796),
    [anon_sym_try] = ACTIONS(2796),
    [anon_sym_delete] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2796),
    [anon_sym_namespace] = ACTIONS(2796),
    [anon_sym_using] = ACTIONS(2796),
    [anon_sym_static_assert] = ACTIONS(2796),
    [anon_sym_concept] = ACTIONS(2796),
    [anon_sym_co_return] = ACTIONS(2796),
    [anon_sym_co_yield] = ACTIONS(2796),
    [anon_sym_R_DQUOTE] = ACTIONS(2798),
    [anon_sym_LR_DQUOTE] = ACTIONS(2798),
    [anon_sym_uR_DQUOTE] = ACTIONS(2798),
    [anon_sym_UR_DQUOTE] = ACTIONS(2798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2798),
    [anon_sym_co_await] = ACTIONS(2796),
    [anon_sym_new] = ACTIONS(2796),
    [anon_sym_requires] = ACTIONS(2796),
    [sym_this] = ACTIONS(2796),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(2792),
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP_AMP] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2790),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___based] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_explicit] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_operator] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_namespace] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(2790),
    [anon_sym_static_assert] = ACTIONS(2790),
    [anon_sym_concept] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [468] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(2712),
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_virtual] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___based] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_mutable] = ACTIONS(2710),
    [anon_sym_constinit] = ACTIONS(2710),
    [anon_sym_consteval] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_else] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym___leave] = ACTIONS(2710),
    [anon_sym_not] = ACTIONS(2710),
    [anon_sym_compl] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2710),
    [anon_sym_decltype] = ACTIONS(2710),
    [anon_sym_explicit] = ACTIONS(2710),
    [anon_sym_typename] = ACTIONS(2710),
    [anon_sym_template] = ACTIONS(2710),
    [anon_sym_operator] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(2710),
    [anon_sym_static_assert] = ACTIONS(2710),
    [anon_sym_concept] = ACTIONS(2710),
    [anon_sym_co_return] = ACTIONS(2710),
    [anon_sym_co_yield] = ACTIONS(2710),
    [anon_sym_R_DQUOTE] = ACTIONS(2712),
    [anon_sym_LR_DQUOTE] = ACTIONS(2712),
    [anon_sym_uR_DQUOTE] = ACTIONS(2712),
    [anon_sym_UR_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2712),
    [anon_sym_co_await] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_requires] = ACTIONS(2710),
    [sym_this] = ACTIONS(2710),
  },
  [471] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___based] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_explicit] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_static_assert] = ACTIONS(2658),
    [anon_sym_concept] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(2734),
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2704),
    [aux_sym_preproc_include_token1] = ACTIONS(2704),
    [aux_sym_preproc_def_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token2] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2704),
    [sym_preproc_directive] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym___extension__] = ACTIONS(2704),
    [anon_sym_typedef] = ACTIONS(2704),
    [anon_sym_virtual] = ACTIONS(2704),
    [anon_sym_extern] = ACTIONS(2704),
    [anon_sym___attribute__] = ACTIONS(2704),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2706),
    [anon_sym___declspec] = ACTIONS(2704),
    [anon_sym___based] = ACTIONS(2704),
    [anon_sym___cdecl] = ACTIONS(2704),
    [anon_sym___clrcall] = ACTIONS(2704),
    [anon_sym___stdcall] = ACTIONS(2704),
    [anon_sym___fastcall] = ACTIONS(2704),
    [anon_sym___thiscall] = ACTIONS(2704),
    [anon_sym___vectorcall] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_signed] = ACTIONS(2704),
    [anon_sym_unsigned] = ACTIONS(2704),
    [anon_sym_long] = ACTIONS(2704),
    [anon_sym_short] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_register] = ACTIONS(2704),
    [anon_sym_inline] = ACTIONS(2704),
    [anon_sym___inline] = ACTIONS(2704),
    [anon_sym___inline__] = ACTIONS(2704),
    [anon_sym___forceinline] = ACTIONS(2704),
    [anon_sym_thread_local] = ACTIONS(2704),
    [anon_sym___thread] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_constexpr] = ACTIONS(2704),
    [anon_sym_volatile] = ACTIONS(2704),
    [anon_sym_restrict] = ACTIONS(2704),
    [anon_sym___restrict__] = ACTIONS(2704),
    [anon_sym__Atomic] = ACTIONS(2704),
    [anon_sym__Noreturn] = ACTIONS(2704),
    [anon_sym_noreturn] = ACTIONS(2704),
    [anon_sym__Nonnull] = ACTIONS(2704),
    [anon_sym_mutable] = ACTIONS(2704),
    [anon_sym_constinit] = ACTIONS(2704),
    [anon_sym_consteval] = ACTIONS(2704),
    [anon_sym_alignas] = ACTIONS(2704),
    [anon_sym__Alignas] = ACTIONS(2704),
    [sym_primitive_type] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_struct] = ACTIONS(2704),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_goto] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2704),
    [anon_sym___leave] = ACTIONS(2704),
    [anon_sym_not] = ACTIONS(2704),
    [anon_sym_compl] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_sizeof] = ACTIONS(2704),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2704),
    [anon_sym__Generic] = ACTIONS(2704),
    [anon_sym_asm] = ACTIONS(2704),
    [anon_sym___asm__] = ACTIONS(2704),
    [anon_sym___asm] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2706),
    [anon_sym_L_SQUOTE] = ACTIONS(2706),
    [anon_sym_u_SQUOTE] = ACTIONS(2706),
    [anon_sym_U_SQUOTE] = ACTIONS(2706),
    [anon_sym_u8_SQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_L_DQUOTE] = ACTIONS(2706),
    [anon_sym_u_DQUOTE] = ACTIONS(2706),
    [anon_sym_U_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [anon_sym_NULL] = ACTIONS(2704),
    [anon_sym_nullptr] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2704),
    [anon_sym_decltype] = ACTIONS(2704),
    [anon_sym_explicit] = ACTIONS(2704),
    [anon_sym_typename] = ACTIONS(2704),
    [anon_sym_template] = ACTIONS(2704),
    [anon_sym_operator] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_static_assert] = ACTIONS(2704),
    [anon_sym_concept] = ACTIONS(2704),
    [anon_sym_co_return] = ACTIONS(2704),
    [anon_sym_co_yield] = ACTIONS(2704),
    [anon_sym_R_DQUOTE] = ACTIONS(2706),
    [anon_sym_LR_DQUOTE] = ACTIONS(2706),
    [anon_sym_uR_DQUOTE] = ACTIONS(2706),
    [anon_sym_UR_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2706),
    [anon_sym_co_await] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_requires] = ACTIONS(2704),
    [sym_this] = ACTIONS(2704),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [anon_sym___asm] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2772),
    [anon_sym_LR_DQUOTE] = ACTIONS(2772),
    [anon_sym_uR_DQUOTE] = ACTIONS(2772),
    [anon_sym_UR_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2772),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_virtual] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_else] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [anon_sym___asm] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_virtual] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym__Nonnull] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [anon_sym___asm] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_virtual] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_RBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym__Nonnull] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_else] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [anon_sym___asm] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_virtual] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_RBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym__Nonnull] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym__Alignas] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_else] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [anon_sym___asm] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(2716),
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_include_token1] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_virtual] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___based] = ACTIONS(2714),
    [anon_sym___cdecl] = ACTIONS(2714),
    [anon_sym___clrcall] = ACTIONS(2714),
    [anon_sym___stdcall] = ACTIONS(2714),
    [anon_sym___fastcall] = ACTIONS(2714),
    [anon_sym___thiscall] = ACTIONS(2714),
    [anon_sym___vectorcall] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_mutable] = ACTIONS(2714),
    [anon_sym_constinit] = ACTIONS(2714),
    [anon_sym_consteval] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_class] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_else] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2714),
    [anon_sym_default] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym___try] = ACTIONS(2714),
    [anon_sym___leave] = ACTIONS(2714),
    [anon_sym_not] = ACTIONS(2714),
    [anon_sym_compl] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_sizeof] = ACTIONS(2714),
    [anon_sym___alignof__] = ACTIONS(2714),
    [anon_sym___alignof] = ACTIONS(2714),
    [anon_sym__alignof] = ACTIONS(2714),
    [anon_sym_alignof] = ACTIONS(2714),
    [anon_sym__Alignof] = ACTIONS(2714),
    [anon_sym_offsetof] = ACTIONS(2714),
    [anon_sym__Generic] = ACTIONS(2714),
    [anon_sym_asm] = ACTIONS(2714),
    [anon_sym___asm__] = ACTIONS(2714),
    [anon_sym___asm] = ACTIONS(2714),
    [sym_number_literal] = ACTIONS(2716),
    [anon_sym_L_SQUOTE] = ACTIONS(2716),
    [anon_sym_u_SQUOTE] = ACTIONS(2716),
    [anon_sym_U_SQUOTE] = ACTIONS(2716),
    [anon_sym_u8_SQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [anon_sym_NULL] = ACTIONS(2714),
    [anon_sym_nullptr] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2714),
    [anon_sym_decltype] = ACTIONS(2714),
    [anon_sym_explicit] = ACTIONS(2714),
    [anon_sym_typename] = ACTIONS(2714),
    [anon_sym_template] = ACTIONS(2714),
    [anon_sym_operator] = ACTIONS(2714),
    [anon_sym_try] = ACTIONS(2714),
    [anon_sym_delete] = ACTIONS(2714),
    [anon_sym_throw] = ACTIONS(2714),
    [anon_sym_namespace] = ACTIONS(2714),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2714),
    [anon_sym_concept] = ACTIONS(2714),
    [anon_sym_co_return] = ACTIONS(2714),
    [anon_sym_co_yield] = ACTIONS(2714),
    [anon_sym_R_DQUOTE] = ACTIONS(2716),
    [anon_sym_LR_DQUOTE] = ACTIONS(2716),
    [anon_sym_uR_DQUOTE] = ACTIONS(2716),
    [anon_sym_UR_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2716),
    [anon_sym_co_await] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2714),
    [anon_sym_requires] = ACTIONS(2714),
    [sym_this] = ACTIONS(2714),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2690),
    [aux_sym_preproc_include_token1] = ACTIONS(2690),
    [aux_sym_preproc_def_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token2] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2690),
    [sym_preproc_directive] = ACTIONS(2690),
    [anon_sym_LPAREN2] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2692),
    [anon_sym_AMP_AMP] = ACTIONS(2692),
    [anon_sym_AMP] = ACTIONS(2690),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2690),
    [anon_sym_typedef] = ACTIONS(2690),
    [anon_sym_virtual] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2690),
    [anon_sym___attribute__] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2692),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2692),
    [anon_sym___declspec] = ACTIONS(2690),
    [anon_sym___based] = ACTIONS(2690),
    [anon_sym___cdecl] = ACTIONS(2690),
    [anon_sym___clrcall] = ACTIONS(2690),
    [anon_sym___stdcall] = ACTIONS(2690),
    [anon_sym___fastcall] = ACTIONS(2690),
    [anon_sym___thiscall] = ACTIONS(2690),
    [anon_sym___vectorcall] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_signed] = ACTIONS(2690),
    [anon_sym_unsigned] = ACTIONS(2690),
    [anon_sym_long] = ACTIONS(2690),
    [anon_sym_short] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_register] = ACTIONS(2690),
    [anon_sym_inline] = ACTIONS(2690),
    [anon_sym___inline] = ACTIONS(2690),
    [anon_sym___inline__] = ACTIONS(2690),
    [anon_sym___forceinline] = ACTIONS(2690),
    [anon_sym_thread_local] = ACTIONS(2690),
    [anon_sym___thread] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_constexpr] = ACTIONS(2690),
    [anon_sym_volatile] = ACTIONS(2690),
    [anon_sym_restrict] = ACTIONS(2690),
    [anon_sym___restrict__] = ACTIONS(2690),
    [anon_sym__Atomic] = ACTIONS(2690),
    [anon_sym__Noreturn] = ACTIONS(2690),
    [anon_sym_noreturn] = ACTIONS(2690),
    [anon_sym__Nonnull] = ACTIONS(2690),
    [anon_sym_mutable] = ACTIONS(2690),
    [anon_sym_constinit] = ACTIONS(2690),
    [anon_sym_consteval] = ACTIONS(2690),
    [anon_sym_alignas] = ACTIONS(2690),
    [anon_sym__Alignas] = ACTIONS(2690),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(2690),
    [anon_sym_struct] = ACTIONS(2690),
    [anon_sym_union] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_else] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_goto] = ACTIONS(2690),
    [anon_sym___try] = ACTIONS(2690),
    [anon_sym___leave] = ACTIONS(2690),
    [anon_sym_not] = ACTIONS(2690),
    [anon_sym_compl] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_sizeof] = ACTIONS(2690),
    [anon_sym___alignof__] = ACTIONS(2690),
    [anon_sym___alignof] = ACTIONS(2690),
    [anon_sym__alignof] = ACTIONS(2690),
    [anon_sym_alignof] = ACTIONS(2690),
    [anon_sym__Alignof] = ACTIONS(2690),
    [anon_sym_offsetof] = ACTIONS(2690),
    [anon_sym__Generic] = ACTIONS(2690),
    [anon_sym_asm] = ACTIONS(2690),
    [anon_sym___asm__] = ACTIONS(2690),
    [anon_sym___asm] = ACTIONS(2690),
    [sym_number_literal] = ACTIONS(2692),
    [anon_sym_L_SQUOTE] = ACTIONS(2692),
    [anon_sym_u_SQUOTE] = ACTIONS(2692),
    [anon_sym_U_SQUOTE] = ACTIONS(2692),
    [anon_sym_u8_SQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_L_DQUOTE] = ACTIONS(2692),
    [anon_sym_u_DQUOTE] = ACTIONS(2692),
    [anon_sym_U_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [anon_sym_NULL] = ACTIONS(2690),
    [anon_sym_nullptr] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2690),
    [anon_sym_decltype] = ACTIONS(2690),
    [anon_sym_explicit] = ACTIONS(2690),
    [anon_sym_typename] = ACTIONS(2690),
    [anon_sym_template] = ACTIONS(2690),
    [anon_sym_operator] = ACTIONS(2690),
    [anon_sym_try] = ACTIONS(2690),
    [anon_sym_delete] = ACTIONS(2690),
    [anon_sym_throw] = ACTIONS(2690),
    [anon_sym_namespace] = ACTIONS(2690),
    [anon_sym_using] = ACTIONS(2690),
    [anon_sym_static_assert] = ACTIONS(2690),
    [anon_sym_concept] = ACTIONS(2690),
    [anon_sym_co_return] = ACTIONS(2690),
    [anon_sym_co_yield] = ACTIONS(2690),
    [anon_sym_R_DQUOTE] = ACTIONS(2692),
    [anon_sym_LR_DQUOTE] = ACTIONS(2692),
    [anon_sym_uR_DQUOTE] = ACTIONS(2692),
    [anon_sym_UR_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2692),
    [anon_sym_co_await] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2690),
    [anon_sym_requires] = ACTIONS(2690),
    [sym_this] = ACTIONS(2690),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2726),
    [aux_sym_preproc_include_token1] = ACTIONS(2726),
    [aux_sym_preproc_def_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token2] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2726),
    [sym_preproc_directive] = ACTIONS(2726),
    [anon_sym_LPAREN2] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym_typedef] = ACTIONS(2726),
    [anon_sym_virtual] = ACTIONS(2726),
    [anon_sym_extern] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2728),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2728),
    [anon_sym___declspec] = ACTIONS(2726),
    [anon_sym___based] = ACTIONS(2726),
    [anon_sym___cdecl] = ACTIONS(2726),
    [anon_sym___clrcall] = ACTIONS(2726),
    [anon_sym___stdcall] = ACTIONS(2726),
    [anon_sym___fastcall] = ACTIONS(2726),
    [anon_sym___thiscall] = ACTIONS(2726),
    [anon_sym___vectorcall] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_register] = ACTIONS(2726),
    [anon_sym_inline] = ACTIONS(2726),
    [anon_sym___inline] = ACTIONS(2726),
    [anon_sym___inline__] = ACTIONS(2726),
    [anon_sym___forceinline] = ACTIONS(2726),
    [anon_sym_thread_local] = ACTIONS(2726),
    [anon_sym___thread] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_mutable] = ACTIONS(2726),
    [anon_sym_constinit] = ACTIONS(2726),
    [anon_sym_consteval] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_class] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_else] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2726),
    [anon_sym_default] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_goto] = ACTIONS(2726),
    [anon_sym___try] = ACTIONS(2726),
    [anon_sym___leave] = ACTIONS(2726),
    [anon_sym_not] = ACTIONS(2726),
    [anon_sym_compl] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_sizeof] = ACTIONS(2726),
    [anon_sym___alignof__] = ACTIONS(2726),
    [anon_sym___alignof] = ACTIONS(2726),
    [anon_sym__alignof] = ACTIONS(2726),
    [anon_sym_alignof] = ACTIONS(2726),
    [anon_sym__Alignof] = ACTIONS(2726),
    [anon_sym_offsetof] = ACTIONS(2726),
    [anon_sym__Generic] = ACTIONS(2726),
    [anon_sym_asm] = ACTIONS(2726),
    [anon_sym___asm__] = ACTIONS(2726),
    [anon_sym___asm] = ACTIONS(2726),
    [sym_number_literal] = ACTIONS(2728),
    [anon_sym_L_SQUOTE] = ACTIONS(2728),
    [anon_sym_u_SQUOTE] = ACTIONS(2728),
    [anon_sym_U_SQUOTE] = ACTIONS(2728),
    [anon_sym_u8_SQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_L_DQUOTE] = ACTIONS(2728),
    [anon_sym_u_DQUOTE] = ACTIONS(2728),
    [anon_sym_U_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [anon_sym_NULL] = ACTIONS(2726),
    [anon_sym_nullptr] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2726),
    [anon_sym_decltype] = ACTIONS(2726),
    [anon_sym_explicit] = ACTIONS(2726),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(2726),
    [anon_sym_operator] = ACTIONS(2726),
    [anon_sym_try] = ACTIONS(2726),
    [anon_sym_delete] = ACTIONS(2726),
    [anon_sym_throw] = ACTIONS(2726),
    [anon_sym_namespace] = ACTIONS(2726),
    [anon_sym_using] = ACTIONS(2726),
    [anon_sym_static_assert] = ACTIONS(2726),
    [anon_sym_concept] = ACTIONS(2726),
    [anon_sym_co_return] = ACTIONS(2726),
    [anon_sym_co_yield] = ACTIONS(2726),
    [anon_sym_R_DQUOTE] = ACTIONS(2728),
    [anon_sym_LR_DQUOTE] = ACTIONS(2728),
    [anon_sym_uR_DQUOTE] = ACTIONS(2728),
    [anon_sym_UR_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2728),
    [anon_sym_co_await] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2726),
    [anon_sym_requires] = ACTIONS(2726),
    [sym_this] = ACTIONS(2726),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_virtual] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym__Nonnull] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [anon_sym___asm] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(2666),
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_virtual] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym__Nonnull] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [anon_sym___asm] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(2674),
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_virtual] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym__Nonnull] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_else] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [anon_sym___asm] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(2784),
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_virtual] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym__Nonnull] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym__Alignas] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_else] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [anon_sym___asm] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_virtual] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___based] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_mutable] = ACTIONS(2650),
    [anon_sym_constinit] = ACTIONS(2650),
    [anon_sym_consteval] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym___leave] = ACTIONS(2650),
    [anon_sym_not] = ACTIONS(2650),
    [anon_sym_compl] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [anon_sym___asm] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2650),
    [anon_sym_decltype] = ACTIONS(2650),
    [anon_sym_explicit] = ACTIONS(2650),
    [anon_sym_typename] = ACTIONS(2650),
    [anon_sym_template] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2650),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_namespace] = ACTIONS(2650),
    [anon_sym_using] = ACTIONS(2650),
    [anon_sym_static_assert] = ACTIONS(2650),
    [anon_sym_concept] = ACTIONS(2650),
    [anon_sym_co_return] = ACTIONS(2650),
    [anon_sym_co_yield] = ACTIONS(2650),
    [anon_sym_R_DQUOTE] = ACTIONS(2652),
    [anon_sym_LR_DQUOTE] = ACTIONS(2652),
    [anon_sym_uR_DQUOTE] = ACTIONS(2652),
    [anon_sym_UR_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2652),
    [anon_sym_co_await] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2650),
    [sym_this] = ACTIONS(2650),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(2756),
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_virtual] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym__Nonnull] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_else] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [anon_sym___asm] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_virtual] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_else] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [anon_sym___asm] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(2768),
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(2760),
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_virtual] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_else] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [anon_sym___asm] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2796),
    [aux_sym_preproc_include_token1] = ACTIONS(2796),
    [aux_sym_preproc_def_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2796),
    [sym_preproc_directive] = ACTIONS(2796),
    [anon_sym_LPAREN2] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2798),
    [anon_sym_AMP_AMP] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_typedef] = ACTIONS(2796),
    [anon_sym_virtual] = ACTIONS(2796),
    [anon_sym_extern] = ACTIONS(2796),
    [anon_sym___attribute__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2798),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2798),
    [anon_sym___declspec] = ACTIONS(2796),
    [anon_sym___based] = ACTIONS(2796),
    [anon_sym___cdecl] = ACTIONS(2796),
    [anon_sym___clrcall] = ACTIONS(2796),
    [anon_sym___stdcall] = ACTIONS(2796),
    [anon_sym___fastcall] = ACTIONS(2796),
    [anon_sym___thiscall] = ACTIONS(2796),
    [anon_sym___vectorcall] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2796),
    [anon_sym_unsigned] = ACTIONS(2796),
    [anon_sym_long] = ACTIONS(2796),
    [anon_sym_short] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym_static] = ACTIONS(2796),
    [anon_sym_register] = ACTIONS(2796),
    [anon_sym_inline] = ACTIONS(2796),
    [anon_sym___inline] = ACTIONS(2796),
    [anon_sym___inline__] = ACTIONS(2796),
    [anon_sym___forceinline] = ACTIONS(2796),
    [anon_sym_thread_local] = ACTIONS(2796),
    [anon_sym___thread] = ACTIONS(2796),
    [anon_sym_const] = ACTIONS(2796),
    [anon_sym_constexpr] = ACTIONS(2796),
    [anon_sym_volatile] = ACTIONS(2796),
    [anon_sym_restrict] = ACTIONS(2796),
    [anon_sym___restrict__] = ACTIONS(2796),
    [anon_sym__Atomic] = ACTIONS(2796),
    [anon_sym__Noreturn] = ACTIONS(2796),
    [anon_sym_noreturn] = ACTIONS(2796),
    [anon_sym__Nonnull] = ACTIONS(2796),
    [anon_sym_mutable] = ACTIONS(2796),
    [anon_sym_constinit] = ACTIONS(2796),
    [anon_sym_consteval] = ACTIONS(2796),
    [anon_sym_alignas] = ACTIONS(2796),
    [anon_sym__Alignas] = ACTIONS(2796),
    [sym_primitive_type] = ACTIONS(2796),
    [anon_sym_enum] = ACTIONS(2796),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_struct] = ACTIONS(2796),
    [anon_sym_union] = ACTIONS(2796),
    [anon_sym_if] = ACTIONS(2796),
    [anon_sym_else] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2796),
    [anon_sym_case] = ACTIONS(2796),
    [anon_sym_default] = ACTIONS(2796),
    [anon_sym_while] = ACTIONS(2796),
    [anon_sym_do] = ACTIONS(2796),
    [anon_sym_for] = ACTIONS(2796),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_break] = ACTIONS(2796),
    [anon_sym_continue] = ACTIONS(2796),
    [anon_sym_goto] = ACTIONS(2796),
    [anon_sym___try] = ACTIONS(2796),
    [anon_sym___leave] = ACTIONS(2796),
    [anon_sym_not] = ACTIONS(2796),
    [anon_sym_compl] = ACTIONS(2796),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_sizeof] = ACTIONS(2796),
    [anon_sym___alignof__] = ACTIONS(2796),
    [anon_sym___alignof] = ACTIONS(2796),
    [anon_sym__alignof] = ACTIONS(2796),
    [anon_sym_alignof] = ACTIONS(2796),
    [anon_sym__Alignof] = ACTIONS(2796),
    [anon_sym_offsetof] = ACTIONS(2796),
    [anon_sym__Generic] = ACTIONS(2796),
    [anon_sym_asm] = ACTIONS(2796),
    [anon_sym___asm__] = ACTIONS(2796),
    [anon_sym___asm] = ACTIONS(2796),
    [sym_number_literal] = ACTIONS(2798),
    [anon_sym_L_SQUOTE] = ACTIONS(2798),
    [anon_sym_u_SQUOTE] = ACTIONS(2798),
    [anon_sym_U_SQUOTE] = ACTIONS(2798),
    [anon_sym_u8_SQUOTE] = ACTIONS(2798),
    [anon_sym_SQUOTE] = ACTIONS(2798),
    [anon_sym_L_DQUOTE] = ACTIONS(2798),
    [anon_sym_u_DQUOTE] = ACTIONS(2798),
    [anon_sym_U_DQUOTE] = ACTIONS(2798),
    [anon_sym_u8_DQUOTE] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2798),
    [sym_true] = ACTIONS(2796),
    [sym_false] = ACTIONS(2796),
    [anon_sym_NULL] = ACTIONS(2796),
    [anon_sym_nullptr] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2796),
    [anon_sym_decltype] = ACTIONS(2796),
    [anon_sym_explicit] = ACTIONS(2796),
    [anon_sym_typename] = ACTIONS(2796),
    [anon_sym_template] = ACTIONS(2796),
    [anon_sym_operator] = ACTIONS(2796),
    [anon_sym_try] = ACTIONS(2796),
    [anon_sym_delete] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2796),
    [anon_sym_namespace] = ACTIONS(2796),
    [anon_sym_using] = ACTIONS(2796),
    [anon_sym_static_assert] = ACTIONS(2796),
    [anon_sym_concept] = ACTIONS(2796),
    [anon_sym_co_return] = ACTIONS(2796),
    [anon_sym_co_yield] = ACTIONS(2796),
    [anon_sym_R_DQUOTE] = ACTIONS(2798),
    [anon_sym_LR_DQUOTE] = ACTIONS(2798),
    [anon_sym_uR_DQUOTE] = ACTIONS(2798),
    [anon_sym_UR_DQUOTE] = ACTIONS(2798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2798),
    [anon_sym_co_await] = ACTIONS(2796),
    [anon_sym_new] = ACTIONS(2796),
    [anon_sym_requires] = ACTIONS(2796),
    [sym_this] = ACTIONS(2796),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_virtual] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym__Nonnull] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [anon_sym___asm] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(2776),
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_virtual] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_else] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [anon_sym___asm] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [501] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token2] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_virtual] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___based] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_mutable] = ACTIONS(2650),
    [anon_sym_constinit] = ACTIONS(2650),
    [anon_sym_consteval] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym___leave] = ACTIONS(2650),
    [anon_sym_not] = ACTIONS(2650),
    [anon_sym_compl] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [anon_sym___asm] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2650),
    [anon_sym_decltype] = ACTIONS(2650),
    [anon_sym_explicit] = ACTIONS(2650),
    [anon_sym_typename] = ACTIONS(2650),
    [anon_sym_template] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2650),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_namespace] = ACTIONS(2650),
    [anon_sym_using] = ACTIONS(2650),
    [anon_sym_static_assert] = ACTIONS(2650),
    [anon_sym_concept] = ACTIONS(2650),
    [anon_sym_co_return] = ACTIONS(2650),
    [anon_sym_co_yield] = ACTIONS(2650),
    [anon_sym_R_DQUOTE] = ACTIONS(2652),
    [anon_sym_LR_DQUOTE] = ACTIONS(2652),
    [anon_sym_uR_DQUOTE] = ACTIONS(2652),
    [anon_sym_UR_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2652),
    [anon_sym_co_await] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2650),
    [sym_this] = ACTIONS(2650),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(2752),
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_virtual] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_else] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token2] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_virtual] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___based] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_mutable] = ACTIONS(2722),
    [anon_sym_constinit] = ACTIONS(2722),
    [anon_sym_consteval] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym___leave] = ACTIONS(2722),
    [anon_sym_not] = ACTIONS(2722),
    [anon_sym_compl] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_explicit] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2722),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_operator] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_using] = ACTIONS(2722),
    [anon_sym_static_assert] = ACTIONS(2722),
    [anon_sym_concept] = ACTIONS(2722),
    [anon_sym_co_return] = ACTIONS(2722),
    [anon_sym_co_yield] = ACTIONS(2722),
    [anon_sym_R_DQUOTE] = ACTIONS(2724),
    [anon_sym_LR_DQUOTE] = ACTIONS(2724),
    [anon_sym_uR_DQUOTE] = ACTIONS(2724),
    [anon_sym_UR_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2724),
    [anon_sym_co_await] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_requires] = ACTIONS(2722),
    [sym_this] = ACTIONS(2722),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token2] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_virtual] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_else] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym___leave] = ACTIONS(2762),
    [anon_sym_not] = ACTIONS(2762),
    [anon_sym_compl] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [anon_sym___asm] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_try] = ACTIONS(2762),
    [anon_sym_delete] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2762),
    [anon_sym_namespace] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
    [anon_sym_concept] = ACTIONS(2762),
    [anon_sym_co_return] = ACTIONS(2762),
    [anon_sym_co_yield] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2764),
    [anon_sym_LR_DQUOTE] = ACTIONS(2764),
    [anon_sym_uR_DQUOTE] = ACTIONS(2764),
    [anon_sym_UR_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2764),
    [anon_sym_co_await] = ACTIONS(2762),
    [anon_sym_new] = ACTIONS(2762),
    [anon_sym_requires] = ACTIONS(2762),
    [sym_this] = ACTIONS(2762),
  },
  [506] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_RBRACE] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP_AMP] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2722),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_virtual] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___based] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_RBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_mutable] = ACTIONS(2722),
    [anon_sym_constinit] = ACTIONS(2722),
    [anon_sym_consteval] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym___leave] = ACTIONS(2722),
    [anon_sym_not] = ACTIONS(2722),
    [anon_sym_compl] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_explicit] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2722),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_operator] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_using] = ACTIONS(2722),
    [anon_sym_static_assert] = ACTIONS(2722),
    [anon_sym_concept] = ACTIONS(2722),
    [anon_sym_co_return] = ACTIONS(2722),
    [anon_sym_co_yield] = ACTIONS(2722),
    [anon_sym_R_DQUOTE] = ACTIONS(2724),
    [anon_sym_LR_DQUOTE] = ACTIONS(2724),
    [anon_sym_uR_DQUOTE] = ACTIONS(2724),
    [anon_sym_UR_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2724),
    [anon_sym_co_await] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_requires] = ACTIONS(2722),
    [sym_this] = ACTIONS(2722),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token2] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [sym_primitive_type] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [anon_sym___asm] = ACTIONS(2736),
    [sym_number_literal] = ACTIONS(2738),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_include_token1] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_virtual] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___based] = ACTIONS(2714),
    [anon_sym___cdecl] = ACTIONS(2714),
    [anon_sym___clrcall] = ACTIONS(2714),
    [anon_sym___stdcall] = ACTIONS(2714),
    [anon_sym___fastcall] = ACTIONS(2714),
    [anon_sym___thiscall] = ACTIONS(2714),
    [anon_sym___vectorcall] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_RBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_mutable] = ACTIONS(2714),
    [anon_sym_constinit] = ACTIONS(2714),
    [anon_sym_consteval] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_class] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_else] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2714),
    [anon_sym_default] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym___try] = ACTIONS(2714),
    [anon_sym___leave] = ACTIONS(2714),
    [anon_sym_not] = ACTIONS(2714),
    [anon_sym_compl] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_sizeof] = ACTIONS(2714),
    [anon_sym___alignof__] = ACTIONS(2714),
    [anon_sym___alignof] = ACTIONS(2714),
    [anon_sym__alignof] = ACTIONS(2714),
    [anon_sym_alignof] = ACTIONS(2714),
    [anon_sym__Alignof] = ACTIONS(2714),
    [anon_sym_offsetof] = ACTIONS(2714),
    [anon_sym__Generic] = ACTIONS(2714),
    [anon_sym_asm] = ACTIONS(2714),
    [anon_sym___asm__] = ACTIONS(2714),
    [anon_sym___asm] = ACTIONS(2714),
    [sym_number_literal] = ACTIONS(2716),
    [anon_sym_L_SQUOTE] = ACTIONS(2716),
    [anon_sym_u_SQUOTE] = ACTIONS(2716),
    [anon_sym_U_SQUOTE] = ACTIONS(2716),
    [anon_sym_u8_SQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [anon_sym_NULL] = ACTIONS(2714),
    [anon_sym_nullptr] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2714),
    [anon_sym_decltype] = ACTIONS(2714),
    [anon_sym_explicit] = ACTIONS(2714),
    [anon_sym_typename] = ACTIONS(2714),
    [anon_sym_template] = ACTIONS(2714),
    [anon_sym_operator] = ACTIONS(2714),
    [anon_sym_try] = ACTIONS(2714),
    [anon_sym_delete] = ACTIONS(2714),
    [anon_sym_throw] = ACTIONS(2714),
    [anon_sym_namespace] = ACTIONS(2714),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2714),
    [anon_sym_concept] = ACTIONS(2714),
    [anon_sym_co_return] = ACTIONS(2714),
    [anon_sym_co_yield] = ACTIONS(2714),
    [anon_sym_R_DQUOTE] = ACTIONS(2716),
    [anon_sym_LR_DQUOTE] = ACTIONS(2716),
    [anon_sym_uR_DQUOTE] = ACTIONS(2716),
    [anon_sym_UR_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2716),
    [anon_sym_co_await] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2714),
    [anon_sym_requires] = ACTIONS(2714),
    [sym_this] = ACTIONS(2714),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(2728),
    [sym_identifier] = ACTIONS(2726),
    [aux_sym_preproc_include_token1] = ACTIONS(2726),
    [aux_sym_preproc_def_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2726),
    [sym_preproc_directive] = ACTIONS(2726),
    [anon_sym_LPAREN2] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_AMP_AMP] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2726),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym_typedef] = ACTIONS(2726),
    [anon_sym_virtual] = ACTIONS(2726),
    [anon_sym_extern] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2728),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2728),
    [anon_sym___declspec] = ACTIONS(2726),
    [anon_sym___based] = ACTIONS(2726),
    [anon_sym___cdecl] = ACTIONS(2726),
    [anon_sym___clrcall] = ACTIONS(2726),
    [anon_sym___stdcall] = ACTIONS(2726),
    [anon_sym___fastcall] = ACTIONS(2726),
    [anon_sym___thiscall] = ACTIONS(2726),
    [anon_sym___vectorcall] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_register] = ACTIONS(2726),
    [anon_sym_inline] = ACTIONS(2726),
    [anon_sym___inline] = ACTIONS(2726),
    [anon_sym___inline__] = ACTIONS(2726),
    [anon_sym___forceinline] = ACTIONS(2726),
    [anon_sym_thread_local] = ACTIONS(2726),
    [anon_sym___thread] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_mutable] = ACTIONS(2726),
    [anon_sym_constinit] = ACTIONS(2726),
    [anon_sym_consteval] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_class] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_else] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2726),
    [anon_sym_default] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_goto] = ACTIONS(2726),
    [anon_sym___try] = ACTIONS(2726),
    [anon_sym___leave] = ACTIONS(2726),
    [anon_sym_not] = ACTIONS(2726),
    [anon_sym_compl] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_sizeof] = ACTIONS(2726),
    [anon_sym___alignof__] = ACTIONS(2726),
    [anon_sym___alignof] = ACTIONS(2726),
    [anon_sym__alignof] = ACTIONS(2726),
    [anon_sym_alignof] = ACTIONS(2726),
    [anon_sym__Alignof] = ACTIONS(2726),
    [anon_sym_offsetof] = ACTIONS(2726),
    [anon_sym__Generic] = ACTIONS(2726),
    [anon_sym_asm] = ACTIONS(2726),
    [anon_sym___asm__] = ACTIONS(2726),
    [anon_sym___asm] = ACTIONS(2726),
    [sym_number_literal] = ACTIONS(2728),
    [anon_sym_L_SQUOTE] = ACTIONS(2728),
    [anon_sym_u_SQUOTE] = ACTIONS(2728),
    [anon_sym_U_SQUOTE] = ACTIONS(2728),
    [anon_sym_u8_SQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_L_DQUOTE] = ACTIONS(2728),
    [anon_sym_u_DQUOTE] = ACTIONS(2728),
    [anon_sym_U_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [anon_sym_NULL] = ACTIONS(2726),
    [anon_sym_nullptr] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2726),
    [anon_sym_decltype] = ACTIONS(2726),
    [anon_sym_explicit] = ACTIONS(2726),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(2726),
    [anon_sym_operator] = ACTIONS(2726),
    [anon_sym_try] = ACTIONS(2726),
    [anon_sym_delete] = ACTIONS(2726),
    [anon_sym_throw] = ACTIONS(2726),
    [anon_sym_namespace] = ACTIONS(2726),
    [anon_sym_using] = ACTIONS(2726),
    [anon_sym_static_assert] = ACTIONS(2726),
    [anon_sym_concept] = ACTIONS(2726),
    [anon_sym_co_return] = ACTIONS(2726),
    [anon_sym_co_yield] = ACTIONS(2726),
    [anon_sym_R_DQUOTE] = ACTIONS(2728),
    [anon_sym_LR_DQUOTE] = ACTIONS(2728),
    [anon_sym_uR_DQUOTE] = ACTIONS(2728),
    [anon_sym_UR_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2728),
    [anon_sym_co_await] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2726),
    [anon_sym_requires] = ACTIONS(2726),
    [sym_this] = ACTIONS(2726),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(2678),
    [sym_identifier] = ACTIONS(2676),
    [aux_sym_preproc_include_token1] = ACTIONS(2676),
    [aux_sym_preproc_def_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2676),
    [sym_preproc_directive] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_AMP_AMP] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym___extension__] = ACTIONS(2676),
    [anon_sym_typedef] = ACTIONS(2676),
    [anon_sym_virtual] = ACTIONS(2676),
    [anon_sym_extern] = ACTIONS(2676),
    [anon_sym___attribute__] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2678),
    [anon_sym___declspec] = ACTIONS(2676),
    [anon_sym___based] = ACTIONS(2676),
    [anon_sym___cdecl] = ACTIONS(2676),
    [anon_sym___clrcall] = ACTIONS(2676),
    [anon_sym___stdcall] = ACTIONS(2676),
    [anon_sym___fastcall] = ACTIONS(2676),
    [anon_sym___thiscall] = ACTIONS(2676),
    [anon_sym___vectorcall] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_signed] = ACTIONS(2676),
    [anon_sym_unsigned] = ACTIONS(2676),
    [anon_sym_long] = ACTIONS(2676),
    [anon_sym_short] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_register] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym___inline] = ACTIONS(2676),
    [anon_sym___inline__] = ACTIONS(2676),
    [anon_sym___forceinline] = ACTIONS(2676),
    [anon_sym_thread_local] = ACTIONS(2676),
    [anon_sym___thread] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_constexpr] = ACTIONS(2676),
    [anon_sym_volatile] = ACTIONS(2676),
    [anon_sym_restrict] = ACTIONS(2676),
    [anon_sym___restrict__] = ACTIONS(2676),
    [anon_sym__Atomic] = ACTIONS(2676),
    [anon_sym__Noreturn] = ACTIONS(2676),
    [anon_sym_noreturn] = ACTIONS(2676),
    [anon_sym__Nonnull] = ACTIONS(2676),
    [anon_sym_mutable] = ACTIONS(2676),
    [anon_sym_constinit] = ACTIONS(2676),
    [anon_sym_consteval] = ACTIONS(2676),
    [anon_sym_alignas] = ACTIONS(2676),
    [anon_sym__Alignas] = ACTIONS(2676),
    [sym_primitive_type] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_struct] = ACTIONS(2676),
    [anon_sym_union] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_case] = ACTIONS(2676),
    [anon_sym_default] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_break] = ACTIONS(2676),
    [anon_sym_continue] = ACTIONS(2676),
    [anon_sym_goto] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2676),
    [anon_sym___leave] = ACTIONS(2676),
    [anon_sym_not] = ACTIONS(2676),
    [anon_sym_compl] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_sizeof] = ACTIONS(2676),
    [anon_sym___alignof__] = ACTIONS(2676),
    [anon_sym___alignof] = ACTIONS(2676),
    [anon_sym__alignof] = ACTIONS(2676),
    [anon_sym_alignof] = ACTIONS(2676),
    [anon_sym__Alignof] = ACTIONS(2676),
    [anon_sym_offsetof] = ACTIONS(2676),
    [anon_sym__Generic] = ACTIONS(2676),
    [anon_sym_asm] = ACTIONS(2676),
    [anon_sym___asm__] = ACTIONS(2676),
    [anon_sym___asm] = ACTIONS(2676),
    [sym_number_literal] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2678),
    [anon_sym_u_SQUOTE] = ACTIONS(2678),
    [anon_sym_U_SQUOTE] = ACTIONS(2678),
    [anon_sym_u8_SQUOTE] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_L_DQUOTE] = ACTIONS(2678),
    [anon_sym_u_DQUOTE] = ACTIONS(2678),
    [anon_sym_U_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2678),
    [sym_true] = ACTIONS(2676),
    [sym_false] = ACTIONS(2676),
    [anon_sym_NULL] = ACTIONS(2676),
    [anon_sym_nullptr] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2676),
    [anon_sym_decltype] = ACTIONS(2676),
    [anon_sym_explicit] = ACTIONS(2676),
    [anon_sym_typename] = ACTIONS(2676),
    [anon_sym_template] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2676),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2676),
    [anon_sym_using] = ACTIONS(2676),
    [anon_sym_static_assert] = ACTIONS(2676),
    [anon_sym_concept] = ACTIONS(2676),
    [anon_sym_co_return] = ACTIONS(2676),
    [anon_sym_co_yield] = ACTIONS(2676),
    [anon_sym_R_DQUOTE] = ACTIONS(2678),
    [anon_sym_LR_DQUOTE] = ACTIONS(2678),
    [anon_sym_uR_DQUOTE] = ACTIONS(2678),
    [anon_sym_UR_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2678),
    [anon_sym_co_await] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_requires] = ACTIONS(2676),
    [sym_this] = ACTIONS(2676),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(2816),
    [sym_identifier] = ACTIONS(2814),
    [aux_sym_preproc_include_token1] = ACTIONS(2814),
    [aux_sym_preproc_def_token1] = ACTIONS(2814),
    [aux_sym_preproc_if_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2814),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2814),
    [sym_preproc_directive] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP_AMP] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym___based] = ACTIONS(2814),
    [anon_sym___cdecl] = ACTIONS(2814),
    [anon_sym___clrcall] = ACTIONS(2814),
    [anon_sym___stdcall] = ACTIONS(2814),
    [anon_sym___fastcall] = ACTIONS(2814),
    [anon_sym___thiscall] = ACTIONS(2814),
    [anon_sym___vectorcall] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_explicit] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_operator] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_static_assert] = ACTIONS(2814),
    [anon_sym_concept] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(2802),
    [sym_identifier] = ACTIONS(2800),
    [aux_sym_preproc_include_token1] = ACTIONS(2800),
    [aux_sym_preproc_def_token1] = ACTIONS(2800),
    [aux_sym_preproc_if_token1] = ACTIONS(2800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2800),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2800),
    [sym_preproc_directive] = ACTIONS(2800),
    [anon_sym_LPAREN2] = ACTIONS(2802),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_TILDE] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2802),
    [anon_sym_AMP_AMP] = ACTIONS(2802),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2800),
    [anon_sym_typedef] = ACTIONS(2800),
    [anon_sym_virtual] = ACTIONS(2800),
    [anon_sym_extern] = ACTIONS(2800),
    [anon_sym___attribute__] = ACTIONS(2800),
    [anon_sym_COLON_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2802),
    [anon_sym___declspec] = ACTIONS(2800),
    [anon_sym___based] = ACTIONS(2800),
    [anon_sym___cdecl] = ACTIONS(2800),
    [anon_sym___clrcall] = ACTIONS(2800),
    [anon_sym___stdcall] = ACTIONS(2800),
    [anon_sym___fastcall] = ACTIONS(2800),
    [anon_sym___thiscall] = ACTIONS(2800),
    [anon_sym___vectorcall] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_signed] = ACTIONS(2800),
    [anon_sym_unsigned] = ACTIONS(2800),
    [anon_sym_long] = ACTIONS(2800),
    [anon_sym_short] = ACTIONS(2800),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym_static] = ACTIONS(2800),
    [anon_sym_register] = ACTIONS(2800),
    [anon_sym_inline] = ACTIONS(2800),
    [anon_sym___inline] = ACTIONS(2800),
    [anon_sym___inline__] = ACTIONS(2800),
    [anon_sym___forceinline] = ACTIONS(2800),
    [anon_sym_thread_local] = ACTIONS(2800),
    [anon_sym___thread] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_constexpr] = ACTIONS(2800),
    [anon_sym_volatile] = ACTIONS(2800),
    [anon_sym_restrict] = ACTIONS(2800),
    [anon_sym___restrict__] = ACTIONS(2800),
    [anon_sym__Atomic] = ACTIONS(2800),
    [anon_sym__Noreturn] = ACTIONS(2800),
    [anon_sym_noreturn] = ACTIONS(2800),
    [anon_sym__Nonnull] = ACTIONS(2800),
    [anon_sym_mutable] = ACTIONS(2800),
    [anon_sym_constinit] = ACTIONS(2800),
    [anon_sym_consteval] = ACTIONS(2800),
    [anon_sym_alignas] = ACTIONS(2800),
    [anon_sym__Alignas] = ACTIONS(2800),
    [sym_primitive_type] = ACTIONS(2800),
    [anon_sym_enum] = ACTIONS(2800),
    [anon_sym_class] = ACTIONS(2800),
    [anon_sym_struct] = ACTIONS(2800),
    [anon_sym_union] = ACTIONS(2800),
    [anon_sym_if] = ACTIONS(2800),
    [anon_sym_else] = ACTIONS(2800),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_case] = ACTIONS(2800),
    [anon_sym_default] = ACTIONS(2800),
    [anon_sym_while] = ACTIONS(2800),
    [anon_sym_do] = ACTIONS(2800),
    [anon_sym_for] = ACTIONS(2800),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_break] = ACTIONS(2800),
    [anon_sym_continue] = ACTIONS(2800),
    [anon_sym_goto] = ACTIONS(2800),
    [anon_sym___try] = ACTIONS(2800),
    [anon_sym___leave] = ACTIONS(2800),
    [anon_sym_not] = ACTIONS(2800),
    [anon_sym_compl] = ACTIONS(2800),
    [anon_sym_DASH_DASH] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2802),
    [anon_sym_sizeof] = ACTIONS(2800),
    [anon_sym___alignof__] = ACTIONS(2800),
    [anon_sym___alignof] = ACTIONS(2800),
    [anon_sym__alignof] = ACTIONS(2800),
    [anon_sym_alignof] = ACTIONS(2800),
    [anon_sym__Alignof] = ACTIONS(2800),
    [anon_sym_offsetof] = ACTIONS(2800),
    [anon_sym__Generic] = ACTIONS(2800),
    [anon_sym_asm] = ACTIONS(2800),
    [anon_sym___asm__] = ACTIONS(2800),
    [anon_sym___asm] = ACTIONS(2800),
    [sym_number_literal] = ACTIONS(2802),
    [anon_sym_L_SQUOTE] = ACTIONS(2802),
    [anon_sym_u_SQUOTE] = ACTIONS(2802),
    [anon_sym_U_SQUOTE] = ACTIONS(2802),
    [anon_sym_u8_SQUOTE] = ACTIONS(2802),
    [anon_sym_SQUOTE] = ACTIONS(2802),
    [anon_sym_L_DQUOTE] = ACTIONS(2802),
    [anon_sym_u_DQUOTE] = ACTIONS(2802),
    [anon_sym_U_DQUOTE] = ACTIONS(2802),
    [anon_sym_u8_DQUOTE] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2802),
    [sym_true] = ACTIONS(2800),
    [sym_false] = ACTIONS(2800),
    [anon_sym_NULL] = ACTIONS(2800),
    [anon_sym_nullptr] = ACTIONS(2800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2800),
    [anon_sym_decltype] = ACTIONS(2800),
    [anon_sym_explicit] = ACTIONS(2800),
    [anon_sym_typename] = ACTIONS(2800),
    [anon_sym_template] = ACTIONS(2800),
    [anon_sym_operator] = ACTIONS(2800),
    [anon_sym_try] = ACTIONS(2800),
    [anon_sym_delete] = ACTIONS(2800),
    [anon_sym_throw] = ACTIONS(2800),
    [anon_sym_namespace] = ACTIONS(2800),
    [anon_sym_using] = ACTIONS(2800),
    [anon_sym_static_assert] = ACTIONS(2800),
    [anon_sym_concept] = ACTIONS(2800),
    [anon_sym_co_return] = ACTIONS(2800),
    [anon_sym_co_yield] = ACTIONS(2800),
    [anon_sym_R_DQUOTE] = ACTIONS(2802),
    [anon_sym_LR_DQUOTE] = ACTIONS(2802),
    [anon_sym_uR_DQUOTE] = ACTIONS(2802),
    [anon_sym_UR_DQUOTE] = ACTIONS(2802),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2802),
    [anon_sym_co_await] = ACTIONS(2800),
    [anon_sym_new] = ACTIONS(2800),
    [anon_sym_requires] = ACTIONS(2800),
    [sym_this] = ACTIONS(2800),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_virtual] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_RBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_else] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym___leave] = ACTIONS(2762),
    [anon_sym_not] = ACTIONS(2762),
    [anon_sym_compl] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [anon_sym___asm] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_try] = ACTIONS(2762),
    [anon_sym_delete] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2762),
    [anon_sym_namespace] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
    [anon_sym_concept] = ACTIONS(2762),
    [anon_sym_co_return] = ACTIONS(2762),
    [anon_sym_co_yield] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2764),
    [anon_sym_LR_DQUOTE] = ACTIONS(2764),
    [anon_sym_uR_DQUOTE] = ACTIONS(2764),
    [anon_sym_UR_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2764),
    [anon_sym_co_await] = ACTIONS(2762),
    [anon_sym_new] = ACTIONS(2762),
    [anon_sym_requires] = ACTIONS(2762),
    [sym_this] = ACTIONS(2762),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_include_token1] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token2] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_virtual] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___based] = ACTIONS(2714),
    [anon_sym___cdecl] = ACTIONS(2714),
    [anon_sym___clrcall] = ACTIONS(2714),
    [anon_sym___stdcall] = ACTIONS(2714),
    [anon_sym___fastcall] = ACTIONS(2714),
    [anon_sym___thiscall] = ACTIONS(2714),
    [anon_sym___vectorcall] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_mutable] = ACTIONS(2714),
    [anon_sym_constinit] = ACTIONS(2714),
    [anon_sym_consteval] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_class] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_else] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2714),
    [anon_sym_default] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym___try] = ACTIONS(2714),
    [anon_sym___leave] = ACTIONS(2714),
    [anon_sym_not] = ACTIONS(2714),
    [anon_sym_compl] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_sizeof] = ACTIONS(2714),
    [anon_sym___alignof__] = ACTIONS(2714),
    [anon_sym___alignof] = ACTIONS(2714),
    [anon_sym__alignof] = ACTIONS(2714),
    [anon_sym_alignof] = ACTIONS(2714),
    [anon_sym__Alignof] = ACTIONS(2714),
    [anon_sym_offsetof] = ACTIONS(2714),
    [anon_sym__Generic] = ACTIONS(2714),
    [anon_sym_asm] = ACTIONS(2714),
    [anon_sym___asm__] = ACTIONS(2714),
    [anon_sym___asm] = ACTIONS(2714),
    [sym_number_literal] = ACTIONS(2716),
    [anon_sym_L_SQUOTE] = ACTIONS(2716),
    [anon_sym_u_SQUOTE] = ACTIONS(2716),
    [anon_sym_U_SQUOTE] = ACTIONS(2716),
    [anon_sym_u8_SQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [anon_sym_NULL] = ACTIONS(2714),
    [anon_sym_nullptr] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2714),
    [anon_sym_decltype] = ACTIONS(2714),
    [anon_sym_explicit] = ACTIONS(2714),
    [anon_sym_typename] = ACTIONS(2714),
    [anon_sym_template] = ACTIONS(2714),
    [anon_sym_operator] = ACTIONS(2714),
    [anon_sym_try] = ACTIONS(2714),
    [anon_sym_delete] = ACTIONS(2714),
    [anon_sym_throw] = ACTIONS(2714),
    [anon_sym_namespace] = ACTIONS(2714),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2714),
    [anon_sym_concept] = ACTIONS(2714),
    [anon_sym_co_return] = ACTIONS(2714),
    [anon_sym_co_yield] = ACTIONS(2714),
    [anon_sym_R_DQUOTE] = ACTIONS(2716),
    [anon_sym_LR_DQUOTE] = ACTIONS(2716),
    [anon_sym_uR_DQUOTE] = ACTIONS(2716),
    [anon_sym_UR_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2716),
    [anon_sym_co_await] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2714),
    [anon_sym_requires] = ACTIONS(2714),
    [sym_this] = ACTIONS(2714),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP_AMP] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2782),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_virtual] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___based] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym__Nonnull] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym__Alignas] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_else] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [anon_sym___asm] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [anon_sym_explicit] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_operator] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_static_assert] = ACTIONS(2782),
    [anon_sym_concept] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token2] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_virtual] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym__Nonnull] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_else] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [anon_sym___asm] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token2] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_virtual] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym__Nonnull] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [anon_sym___asm] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP_AMP] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2786),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___based] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_explicit] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_operator] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_static_assert] = ACTIONS(2786),
    [anon_sym_concept] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token2] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(2698),
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_AMP_AMP] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2710),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_virtual] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___based] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_mutable] = ACTIONS(2710),
    [anon_sym_constinit] = ACTIONS(2710),
    [anon_sym_consteval] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_else] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym___leave] = ACTIONS(2710),
    [anon_sym_not] = ACTIONS(2710),
    [anon_sym_compl] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2710),
    [anon_sym_decltype] = ACTIONS(2710),
    [anon_sym_explicit] = ACTIONS(2710),
    [anon_sym_typename] = ACTIONS(2710),
    [anon_sym_template] = ACTIONS(2710),
    [anon_sym_operator] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(2710),
    [anon_sym_static_assert] = ACTIONS(2710),
    [anon_sym_concept] = ACTIONS(2710),
    [anon_sym_co_return] = ACTIONS(2710),
    [anon_sym_co_yield] = ACTIONS(2710),
    [anon_sym_R_DQUOTE] = ACTIONS(2712),
    [anon_sym_LR_DQUOTE] = ACTIONS(2712),
    [anon_sym_uR_DQUOTE] = ACTIONS(2712),
    [anon_sym_UR_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2712),
    [anon_sym_co_await] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_requires] = ACTIONS(2710),
    [sym_this] = ACTIONS(2710),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2676),
    [aux_sym_preproc_include_token1] = ACTIONS(2676),
    [aux_sym_preproc_def_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2676),
    [sym_preproc_directive] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_AMP_AMP] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym___extension__] = ACTIONS(2676),
    [anon_sym_typedef] = ACTIONS(2676),
    [anon_sym_virtual] = ACTIONS(2676),
    [anon_sym_extern] = ACTIONS(2676),
    [anon_sym___attribute__] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2678),
    [anon_sym___declspec] = ACTIONS(2676),
    [anon_sym___based] = ACTIONS(2676),
    [anon_sym___cdecl] = ACTIONS(2676),
    [anon_sym___clrcall] = ACTIONS(2676),
    [anon_sym___stdcall] = ACTIONS(2676),
    [anon_sym___fastcall] = ACTIONS(2676),
    [anon_sym___thiscall] = ACTIONS(2676),
    [anon_sym___vectorcall] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_RBRACE] = ACTIONS(2678),
    [anon_sym_signed] = ACTIONS(2676),
    [anon_sym_unsigned] = ACTIONS(2676),
    [anon_sym_long] = ACTIONS(2676),
    [anon_sym_short] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_register] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym___inline] = ACTIONS(2676),
    [anon_sym___inline__] = ACTIONS(2676),
    [anon_sym___forceinline] = ACTIONS(2676),
    [anon_sym_thread_local] = ACTIONS(2676),
    [anon_sym___thread] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_constexpr] = ACTIONS(2676),
    [anon_sym_volatile] = ACTIONS(2676),
    [anon_sym_restrict] = ACTIONS(2676),
    [anon_sym___restrict__] = ACTIONS(2676),
    [anon_sym__Atomic] = ACTIONS(2676),
    [anon_sym__Noreturn] = ACTIONS(2676),
    [anon_sym_noreturn] = ACTIONS(2676),
    [anon_sym__Nonnull] = ACTIONS(2676),
    [anon_sym_mutable] = ACTIONS(2676),
    [anon_sym_constinit] = ACTIONS(2676),
    [anon_sym_consteval] = ACTIONS(2676),
    [anon_sym_alignas] = ACTIONS(2676),
    [anon_sym__Alignas] = ACTIONS(2676),
    [sym_primitive_type] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_struct] = ACTIONS(2676),
    [anon_sym_union] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_case] = ACTIONS(2676),
    [anon_sym_default] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_break] = ACTIONS(2676),
    [anon_sym_continue] = ACTIONS(2676),
    [anon_sym_goto] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2676),
    [anon_sym___leave] = ACTIONS(2676),
    [anon_sym_not] = ACTIONS(2676),
    [anon_sym_compl] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_sizeof] = ACTIONS(2676),
    [anon_sym___alignof__] = ACTIONS(2676),
    [anon_sym___alignof] = ACTIONS(2676),
    [anon_sym__alignof] = ACTIONS(2676),
    [anon_sym_alignof] = ACTIONS(2676),
    [anon_sym__Alignof] = ACTIONS(2676),
    [anon_sym_offsetof] = ACTIONS(2676),
    [anon_sym__Generic] = ACTIONS(2676),
    [anon_sym_asm] = ACTIONS(2676),
    [anon_sym___asm__] = ACTIONS(2676),
    [anon_sym___asm] = ACTIONS(2676),
    [sym_number_literal] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2678),
    [anon_sym_u_SQUOTE] = ACTIONS(2678),
    [anon_sym_U_SQUOTE] = ACTIONS(2678),
    [anon_sym_u8_SQUOTE] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_L_DQUOTE] = ACTIONS(2678),
    [anon_sym_u_DQUOTE] = ACTIONS(2678),
    [anon_sym_U_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2678),
    [sym_true] = ACTIONS(2676),
    [sym_false] = ACTIONS(2676),
    [anon_sym_NULL] = ACTIONS(2676),
    [anon_sym_nullptr] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2676),
    [anon_sym_decltype] = ACTIONS(2676),
    [anon_sym_explicit] = ACTIONS(2676),
    [anon_sym_typename] = ACTIONS(2676),
    [anon_sym_template] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2676),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2676),
    [anon_sym_using] = ACTIONS(2676),
    [anon_sym_static_assert] = ACTIONS(2676),
    [anon_sym_concept] = ACTIONS(2676),
    [anon_sym_co_return] = ACTIONS(2676),
    [anon_sym_co_yield] = ACTIONS(2676),
    [anon_sym_R_DQUOTE] = ACTIONS(2678),
    [anon_sym_LR_DQUOTE] = ACTIONS(2678),
    [anon_sym_uR_DQUOTE] = ACTIONS(2678),
    [anon_sym_UR_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2678),
    [anon_sym_co_await] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_requires] = ACTIONS(2676),
    [sym_this] = ACTIONS(2676),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
    [anon_sym_concept] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(2772),
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
    [anon_sym_concept] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2772),
    [anon_sym_LR_DQUOTE] = ACTIONS(2772),
    [anon_sym_uR_DQUOTE] = ACTIONS(2772),
    [anon_sym_UR_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2772),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(2742),
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_virtual] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym__Nonnull] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [anon_sym___asm] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_virtual] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___based] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_mutable] = ACTIONS(2650),
    [anon_sym_constinit] = ACTIONS(2650),
    [anon_sym_consteval] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym___leave] = ACTIONS(2650),
    [anon_sym_not] = ACTIONS(2650),
    [anon_sym_compl] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [anon_sym___asm] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2650),
    [anon_sym_decltype] = ACTIONS(2650),
    [anon_sym_explicit] = ACTIONS(2650),
    [anon_sym_typename] = ACTIONS(2650),
    [anon_sym_template] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2650),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_namespace] = ACTIONS(2650),
    [anon_sym_using] = ACTIONS(2650),
    [anon_sym_static_assert] = ACTIONS(2650),
    [anon_sym_concept] = ACTIONS(2650),
    [anon_sym_co_return] = ACTIONS(2650),
    [anon_sym_co_yield] = ACTIONS(2650),
    [anon_sym_R_DQUOTE] = ACTIONS(2652),
    [anon_sym_LR_DQUOTE] = ACTIONS(2652),
    [anon_sym_uR_DQUOTE] = ACTIONS(2652),
    [anon_sym_UR_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2652),
    [anon_sym_co_await] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2650),
    [sym_this] = ACTIONS(2650),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_virtual] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_RBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_else] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [anon_sym___asm] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1954),
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_include_token1] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [anon_sym_RPAREN] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_namespace] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2902),
    [aux_sym_preproc_include_token1] = ACTIONS(2902),
    [aux_sym_preproc_def_token1] = ACTIONS(2902),
    [aux_sym_preproc_if_token1] = ACTIONS(2902),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2902),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2902),
    [sym_preproc_directive] = ACTIONS(2902),
    [anon_sym_LPAREN2] = ACTIONS(2904),
    [anon_sym_BANG] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_AMP] = ACTIONS(2902),
    [anon_sym_SEMI] = ACTIONS(2904),
    [anon_sym___extension__] = ACTIONS(2902),
    [anon_sym_typedef] = ACTIONS(2902),
    [anon_sym_virtual] = ACTIONS(2902),
    [anon_sym_extern] = ACTIONS(2902),
    [anon_sym___attribute__] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2904),
    [anon_sym___declspec] = ACTIONS(2902),
    [anon_sym___based] = ACTIONS(2902),
    [anon_sym___cdecl] = ACTIONS(2902),
    [anon_sym___clrcall] = ACTIONS(2902),
    [anon_sym___stdcall] = ACTIONS(2902),
    [anon_sym___fastcall] = ACTIONS(2902),
    [anon_sym___thiscall] = ACTIONS(2902),
    [anon_sym___vectorcall] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_RBRACE] = ACTIONS(2904),
    [anon_sym_signed] = ACTIONS(2902),
    [anon_sym_unsigned] = ACTIONS(2902),
    [anon_sym_long] = ACTIONS(2902),
    [anon_sym_short] = ACTIONS(2902),
    [anon_sym_LBRACK] = ACTIONS(2902),
    [anon_sym_static] = ACTIONS(2902),
    [anon_sym_register] = ACTIONS(2902),
    [anon_sym_inline] = ACTIONS(2902),
    [anon_sym___inline] = ACTIONS(2902),
    [anon_sym___inline__] = ACTIONS(2902),
    [anon_sym___forceinline] = ACTIONS(2902),
    [anon_sym_thread_local] = ACTIONS(2902),
    [anon_sym___thread] = ACTIONS(2902),
    [anon_sym_const] = ACTIONS(2902),
    [anon_sym_constexpr] = ACTIONS(2902),
    [anon_sym_volatile] = ACTIONS(2902),
    [anon_sym_restrict] = ACTIONS(2902),
    [anon_sym___restrict__] = ACTIONS(2902),
    [anon_sym__Atomic] = ACTIONS(2902),
    [anon_sym__Noreturn] = ACTIONS(2902),
    [anon_sym_noreturn] = ACTIONS(2902),
    [anon_sym__Nonnull] = ACTIONS(2902),
    [anon_sym_mutable] = ACTIONS(2902),
    [anon_sym_constinit] = ACTIONS(2902),
    [anon_sym_consteval] = ACTIONS(2902),
    [anon_sym_alignas] = ACTIONS(2902),
    [anon_sym__Alignas] = ACTIONS(2902),
    [sym_primitive_type] = ACTIONS(2902),
    [anon_sym_enum] = ACTIONS(2902),
    [anon_sym_class] = ACTIONS(2902),
    [anon_sym_struct] = ACTIONS(2902),
    [anon_sym_union] = ACTIONS(2902),
    [anon_sym_if] = ACTIONS(2902),
    [anon_sym_switch] = ACTIONS(2902),
    [anon_sym_case] = ACTIONS(2902),
    [anon_sym_default] = ACTIONS(2902),
    [anon_sym_while] = ACTIONS(2902),
    [anon_sym_do] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2902),
    [anon_sym_return] = ACTIONS(2902),
    [anon_sym_break] = ACTIONS(2902),
    [anon_sym_continue] = ACTIONS(2902),
    [anon_sym_goto] = ACTIONS(2902),
    [anon_sym___try] = ACTIONS(2902),
    [anon_sym___leave] = ACTIONS(2902),
    [anon_sym_not] = ACTIONS(2902),
    [anon_sym_compl] = ACTIONS(2902),
    [anon_sym_DASH_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_PLUS] = ACTIONS(2904),
    [anon_sym_sizeof] = ACTIONS(2902),
    [anon_sym___alignof__] = ACTIONS(2902),
    [anon_sym___alignof] = ACTIONS(2902),
    [anon_sym__alignof] = ACTIONS(2902),
    [anon_sym_alignof] = ACTIONS(2902),
    [anon_sym__Alignof] = ACTIONS(2902),
    [anon_sym_offsetof] = ACTIONS(2902),
    [anon_sym__Generic] = ACTIONS(2902),
    [anon_sym_asm] = ACTIONS(2902),
    [anon_sym___asm__] = ACTIONS(2902),
    [anon_sym___asm] = ACTIONS(2902),
    [sym_number_literal] = ACTIONS(2904),
    [anon_sym_L_SQUOTE] = ACTIONS(2904),
    [anon_sym_u_SQUOTE] = ACTIONS(2904),
    [anon_sym_U_SQUOTE] = ACTIONS(2904),
    [anon_sym_u8_SQUOTE] = ACTIONS(2904),
    [anon_sym_SQUOTE] = ACTIONS(2904),
    [anon_sym_L_DQUOTE] = ACTIONS(2904),
    [anon_sym_u_DQUOTE] = ACTIONS(2904),
    [anon_sym_U_DQUOTE] = ACTIONS(2904),
    [anon_sym_u8_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [sym_true] = ACTIONS(2902),
    [sym_false] = ACTIONS(2902),
    [anon_sym_NULL] = ACTIONS(2902),
    [anon_sym_nullptr] = ACTIONS(2902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2902),
    [anon_sym_decltype] = ACTIONS(2902),
    [anon_sym_explicit] = ACTIONS(2902),
    [anon_sym_typename] = ACTIONS(2902),
    [anon_sym_template] = ACTIONS(2902),
    [anon_sym_operator] = ACTIONS(2902),
    [anon_sym_try] = ACTIONS(2902),
    [anon_sym_delete] = ACTIONS(2902),
    [anon_sym_throw] = ACTIONS(2902),
    [anon_sym_namespace] = ACTIONS(2902),
    [anon_sym_using] = ACTIONS(2902),
    [anon_sym_static_assert] = ACTIONS(2902),
    [anon_sym_concept] = ACTIONS(2902),
    [anon_sym_co_return] = ACTIONS(2902),
    [anon_sym_co_yield] = ACTIONS(2902),
    [anon_sym_R_DQUOTE] = ACTIONS(2904),
    [anon_sym_LR_DQUOTE] = ACTIONS(2904),
    [anon_sym_uR_DQUOTE] = ACTIONS(2904),
    [anon_sym_UR_DQUOTE] = ACTIONS(2904),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2904),
    [anon_sym_co_await] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2902),
    [anon_sym_requires] = ACTIONS(2902),
    [sym_this] = ACTIONS(2902),
  },
  [534] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [sym_primitive_type] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [sym_number_literal] = ACTIONS(3038),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [anon_sym___asm] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [536] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym___try] = ACTIONS(3044),
    [anon_sym___leave] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [sym_number_literal] = ACTIONS(3046),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [537] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_RBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym___try] = ACTIONS(3107),
    [anon_sym___leave] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [anon_sym___asm] = ACTIONS(3107),
    [sym_number_literal] = ACTIONS(3109),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [538] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [sym_primitive_type] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [sym_number_literal] = ACTIONS(3042),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [539] = {
    [sym_identifier] = ACTIONS(3026),
    [aux_sym_preproc_include_token1] = ACTIONS(3026),
    [aux_sym_preproc_def_token1] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(3026),
    [aux_sym_preproc_if_token2] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3026),
    [sym_preproc_directive] = ACTIONS(3026),
    [anon_sym_LPAREN2] = ACTIONS(3028),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3026),
    [anon_sym_SEMI] = ACTIONS(3028),
    [anon_sym___extension__] = ACTIONS(3026),
    [anon_sym_typedef] = ACTIONS(3026),
    [anon_sym_virtual] = ACTIONS(3026),
    [anon_sym_extern] = ACTIONS(3026),
    [anon_sym___attribute__] = ACTIONS(3026),
    [anon_sym_COLON_COLON] = ACTIONS(3028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3028),
    [anon_sym___declspec] = ACTIONS(3026),
    [anon_sym___based] = ACTIONS(3026),
    [anon_sym___cdecl] = ACTIONS(3026),
    [anon_sym___clrcall] = ACTIONS(3026),
    [anon_sym___stdcall] = ACTIONS(3026),
    [anon_sym___fastcall] = ACTIONS(3026),
    [anon_sym___thiscall] = ACTIONS(3026),
    [anon_sym___vectorcall] = ACTIONS(3026),
    [anon_sym_LBRACE] = ACTIONS(3028),
    [anon_sym_signed] = ACTIONS(3026),
    [anon_sym_unsigned] = ACTIONS(3026),
    [anon_sym_long] = ACTIONS(3026),
    [anon_sym_short] = ACTIONS(3026),
    [anon_sym_LBRACK] = ACTIONS(3026),
    [anon_sym_static] = ACTIONS(3026),
    [anon_sym_register] = ACTIONS(3026),
    [anon_sym_inline] = ACTIONS(3026),
    [anon_sym___inline] = ACTIONS(3026),
    [anon_sym___inline__] = ACTIONS(3026),
    [anon_sym___forceinline] = ACTIONS(3026),
    [anon_sym_thread_local] = ACTIONS(3026),
    [anon_sym___thread] = ACTIONS(3026),
    [anon_sym_const] = ACTIONS(3026),
    [anon_sym_constexpr] = ACTIONS(3026),
    [anon_sym_volatile] = ACTIONS(3026),
    [anon_sym_restrict] = ACTIONS(3026),
    [anon_sym___restrict__] = ACTIONS(3026),
    [anon_sym__Atomic] = ACTIONS(3026),
    [anon_sym__Noreturn] = ACTIONS(3026),
    [anon_sym_noreturn] = ACTIONS(3026),
    [anon_sym__Nonnull] = ACTIONS(3026),
    [anon_sym_mutable] = ACTIONS(3026),
    [anon_sym_constinit] = ACTIONS(3026),
    [anon_sym_consteval] = ACTIONS(3026),
    [anon_sym_alignas] = ACTIONS(3026),
    [anon_sym__Alignas] = ACTIONS(3026),
    [sym_primitive_type] = ACTIONS(3026),
    [anon_sym_enum] = ACTIONS(3026),
    [anon_sym_class] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3026),
    [anon_sym_union] = ACTIONS(3026),
    [anon_sym_if] = ACTIONS(3026),
    [anon_sym_switch] = ACTIONS(3026),
    [anon_sym_case] = ACTIONS(3026),
    [anon_sym_default] = ACTIONS(3026),
    [anon_sym_while] = ACTIONS(3026),
    [anon_sym_do] = ACTIONS(3026),
    [anon_sym_for] = ACTIONS(3026),
    [anon_sym_return] = ACTIONS(3026),
    [anon_sym_break] = ACTIONS(3026),
    [anon_sym_continue] = ACTIONS(3026),
    [anon_sym_goto] = ACTIONS(3026),
    [anon_sym___try] = ACTIONS(3026),
    [anon_sym___leave] = ACTIONS(3026),
    [anon_sym_not] = ACTIONS(3026),
    [anon_sym_compl] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3028),
    [anon_sym_sizeof] = ACTIONS(3026),
    [anon_sym___alignof__] = ACTIONS(3026),
    [anon_sym___alignof] = ACTIONS(3026),
    [anon_sym__alignof] = ACTIONS(3026),
    [anon_sym_alignof] = ACTIONS(3026),
    [anon_sym__Alignof] = ACTIONS(3026),
    [anon_sym_offsetof] = ACTIONS(3026),
    [anon_sym__Generic] = ACTIONS(3026),
    [anon_sym_asm] = ACTIONS(3026),
    [anon_sym___asm__] = ACTIONS(3026),
    [anon_sym___asm] = ACTIONS(3026),
    [sym_number_literal] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3028),
    [anon_sym_u_SQUOTE] = ACTIONS(3028),
    [anon_sym_U_SQUOTE] = ACTIONS(3028),
    [anon_sym_u8_SQUOTE] = ACTIONS(3028),
    [anon_sym_SQUOTE] = ACTIONS(3028),
    [anon_sym_L_DQUOTE] = ACTIONS(3028),
    [anon_sym_u_DQUOTE] = ACTIONS(3028),
    [anon_sym_U_DQUOTE] = ACTIONS(3028),
    [anon_sym_u8_DQUOTE] = ACTIONS(3028),
    [anon_sym_DQUOTE] = ACTIONS(3028),
    [sym_true] = ACTIONS(3026),
    [sym_false] = ACTIONS(3026),
    [anon_sym_NULL] = ACTIONS(3026),
    [anon_sym_nullptr] = ACTIONS(3026),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3026),
    [anon_sym_decltype] = ACTIONS(3026),
    [anon_sym_explicit] = ACTIONS(3026),
    [anon_sym_typename] = ACTIONS(3026),
    [anon_sym_template] = ACTIONS(3026),
    [anon_sym_operator] = ACTIONS(3026),
    [anon_sym_try] = ACTIONS(3026),
    [anon_sym_delete] = ACTIONS(3026),
    [anon_sym_throw] = ACTIONS(3026),
    [anon_sym_namespace] = ACTIONS(3026),
    [anon_sym_using] = ACTIONS(3026),
    [anon_sym_static_assert] = ACTIONS(3026),
    [anon_sym_concept] = ACTIONS(3026),
    [anon_sym_co_return] = ACTIONS(3026),
    [anon_sym_co_yield] = ACTIONS(3026),
    [anon_sym_R_DQUOTE] = ACTIONS(3028),
    [anon_sym_LR_DQUOTE] = ACTIONS(3028),
    [anon_sym_uR_DQUOTE] = ACTIONS(3028),
    [anon_sym_UR_DQUOTE] = ACTIONS(3028),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3028),
    [anon_sym_co_await] = ACTIONS(3026),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_requires] = ACTIONS(3026),
    [sym_this] = ACTIONS(3026),
  },
  [540] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [sym_primitive_type] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [sym_number_literal] = ACTIONS(3054),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [541] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [anon_sym___asm] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [543] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token2] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym___try] = ACTIONS(3044),
    [anon_sym___leave] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [sym_number_literal] = ACTIONS(3046),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_include_token1] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token2] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_BANG] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym___cdecl] = ACTIONS(3019),
    [anon_sym___clrcall] = ACTIONS(3019),
    [anon_sym___stdcall] = ACTIONS(3019),
    [anon_sym___fastcall] = ACTIONS(3019),
    [anon_sym___thiscall] = ACTIONS(3019),
    [anon_sym___vectorcall] = ACTIONS(3019),
    [anon_sym_LBRACE] = ACTIONS(3021),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_switch] = ACTIONS(3019),
    [anon_sym_case] = ACTIONS(3019),
    [anon_sym_default] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_do] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_return] = ACTIONS(3019),
    [anon_sym_break] = ACTIONS(3019),
    [anon_sym_continue] = ACTIONS(3019),
    [anon_sym_goto] = ACTIONS(3019),
    [anon_sym___try] = ACTIONS(3019),
    [anon_sym___leave] = ACTIONS(3019),
    [anon_sym_not] = ACTIONS(3019),
    [anon_sym_compl] = ACTIONS(3019),
    [anon_sym_DASH_DASH] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3021),
    [anon_sym_sizeof] = ACTIONS(3019),
    [anon_sym___alignof__] = ACTIONS(3019),
    [anon_sym___alignof] = ACTIONS(3019),
    [anon_sym__alignof] = ACTIONS(3019),
    [anon_sym_alignof] = ACTIONS(3019),
    [anon_sym__Alignof] = ACTIONS(3019),
    [anon_sym_offsetof] = ACTIONS(3019),
    [anon_sym__Generic] = ACTIONS(3019),
    [anon_sym_asm] = ACTIONS(3019),
    [anon_sym___asm__] = ACTIONS(3019),
    [anon_sym___asm] = ACTIONS(3019),
    [sym_number_literal] = ACTIONS(3021),
    [anon_sym_L_SQUOTE] = ACTIONS(3021),
    [anon_sym_u_SQUOTE] = ACTIONS(3021),
    [anon_sym_U_SQUOTE] = ACTIONS(3021),
    [anon_sym_u8_SQUOTE] = ACTIONS(3021),
    [anon_sym_SQUOTE] = ACTIONS(3021),
    [anon_sym_L_DQUOTE] = ACTIONS(3021),
    [anon_sym_u_DQUOTE] = ACTIONS(3021),
    [anon_sym_U_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8_DQUOTE] = ACTIONS(3021),
    [anon_sym_DQUOTE] = ACTIONS(3021),
    [sym_true] = ACTIONS(3019),
    [sym_false] = ACTIONS(3019),
    [anon_sym_NULL] = ACTIONS(3019),
    [anon_sym_nullptr] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3019),
    [anon_sym_delete] = ACTIONS(3019),
    [anon_sym_throw] = ACTIONS(3019),
    [anon_sym_namespace] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
    [anon_sym_concept] = ACTIONS(3019),
    [anon_sym_co_return] = ACTIONS(3019),
    [anon_sym_co_yield] = ACTIONS(3019),
    [anon_sym_R_DQUOTE] = ACTIONS(3021),
    [anon_sym_LR_DQUOTE] = ACTIONS(3021),
    [anon_sym_uR_DQUOTE] = ACTIONS(3021),
    [anon_sym_UR_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3021),
    [anon_sym_co_await] = ACTIONS(3019),
    [anon_sym_new] = ACTIONS(3019),
    [anon_sym_requires] = ACTIONS(3019),
    [sym_this] = ACTIONS(3019),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2894),
    [aux_sym_preproc_include_token1] = ACTIONS(2894),
    [aux_sym_preproc_def_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token2] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2894),
    [sym_preproc_directive] = ACTIONS(2894),
    [anon_sym_LPAREN2] = ACTIONS(2896),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym___extension__] = ACTIONS(2894),
    [anon_sym_typedef] = ACTIONS(2894),
    [anon_sym_virtual] = ACTIONS(2894),
    [anon_sym_extern] = ACTIONS(2894),
    [anon_sym___attribute__] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2896),
    [anon_sym___declspec] = ACTIONS(2894),
    [anon_sym___based] = ACTIONS(2894),
    [anon_sym___cdecl] = ACTIONS(2894),
    [anon_sym___clrcall] = ACTIONS(2894),
    [anon_sym___stdcall] = ACTIONS(2894),
    [anon_sym___fastcall] = ACTIONS(2894),
    [anon_sym___thiscall] = ACTIONS(2894),
    [anon_sym___vectorcall] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_signed] = ACTIONS(2894),
    [anon_sym_unsigned] = ACTIONS(2894),
    [anon_sym_long] = ACTIONS(2894),
    [anon_sym_short] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2894),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_register] = ACTIONS(2894),
    [anon_sym_inline] = ACTIONS(2894),
    [anon_sym___inline] = ACTIONS(2894),
    [anon_sym___inline__] = ACTIONS(2894),
    [anon_sym___forceinline] = ACTIONS(2894),
    [anon_sym_thread_local] = ACTIONS(2894),
    [anon_sym___thread] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2894),
    [anon_sym_constexpr] = ACTIONS(2894),
    [anon_sym_volatile] = ACTIONS(2894),
    [anon_sym_restrict] = ACTIONS(2894),
    [anon_sym___restrict__] = ACTIONS(2894),
    [anon_sym__Atomic] = ACTIONS(2894),
    [anon_sym__Noreturn] = ACTIONS(2894),
    [anon_sym_noreturn] = ACTIONS(2894),
    [anon_sym__Nonnull] = ACTIONS(2894),
    [anon_sym_mutable] = ACTIONS(2894),
    [anon_sym_constinit] = ACTIONS(2894),
    [anon_sym_consteval] = ACTIONS(2894),
    [anon_sym_alignas] = ACTIONS(2894),
    [anon_sym__Alignas] = ACTIONS(2894),
    [sym_primitive_type] = ACTIONS(2894),
    [anon_sym_enum] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_struct] = ACTIONS(2894),
    [anon_sym_union] = ACTIONS(2894),
    [anon_sym_if] = ACTIONS(2894),
    [anon_sym_switch] = ACTIONS(2894),
    [anon_sym_case] = ACTIONS(2894),
    [anon_sym_default] = ACTIONS(2894),
    [anon_sym_while] = ACTIONS(2894),
    [anon_sym_do] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2894),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_break] = ACTIONS(2894),
    [anon_sym_continue] = ACTIONS(2894),
    [anon_sym_goto] = ACTIONS(2894),
    [anon_sym___try] = ACTIONS(2894),
    [anon_sym___leave] = ACTIONS(2894),
    [anon_sym_not] = ACTIONS(2894),
    [anon_sym_compl] = ACTIONS(2894),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_sizeof] = ACTIONS(2894),
    [anon_sym___alignof__] = ACTIONS(2894),
    [anon_sym___alignof] = ACTIONS(2894),
    [anon_sym__alignof] = ACTIONS(2894),
    [anon_sym_alignof] = ACTIONS(2894),
    [anon_sym__Alignof] = ACTIONS(2894),
    [anon_sym_offsetof] = ACTIONS(2894),
    [anon_sym__Generic] = ACTIONS(2894),
    [anon_sym_asm] = ACTIONS(2894),
    [anon_sym___asm__] = ACTIONS(2894),
    [anon_sym___asm] = ACTIONS(2894),
    [sym_number_literal] = ACTIONS(2896),
    [anon_sym_L_SQUOTE] = ACTIONS(2896),
    [anon_sym_u_SQUOTE] = ACTIONS(2896),
    [anon_sym_U_SQUOTE] = ACTIONS(2896),
    [anon_sym_u8_SQUOTE] = ACTIONS(2896),
    [anon_sym_SQUOTE] = ACTIONS(2896),
    [anon_sym_L_DQUOTE] = ACTIONS(2896),
    [anon_sym_u_DQUOTE] = ACTIONS(2896),
    [anon_sym_U_DQUOTE] = ACTIONS(2896),
    [anon_sym_u8_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [sym_true] = ACTIONS(2894),
    [sym_false] = ACTIONS(2894),
    [anon_sym_NULL] = ACTIONS(2894),
    [anon_sym_nullptr] = ACTIONS(2894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2894),
    [anon_sym_decltype] = ACTIONS(2894),
    [anon_sym_explicit] = ACTIONS(2894),
    [anon_sym_typename] = ACTIONS(2894),
    [anon_sym_template] = ACTIONS(2894),
    [anon_sym_operator] = ACTIONS(2894),
    [anon_sym_try] = ACTIONS(2894),
    [anon_sym_delete] = ACTIONS(2894),
    [anon_sym_throw] = ACTIONS(2894),
    [anon_sym_namespace] = ACTIONS(2894),
    [anon_sym_using] = ACTIONS(2894),
    [anon_sym_static_assert] = ACTIONS(2894),
    [anon_sym_concept] = ACTIONS(2894),
    [anon_sym_co_return] = ACTIONS(2894),
    [anon_sym_co_yield] = ACTIONS(2894),
    [anon_sym_R_DQUOTE] = ACTIONS(2896),
    [anon_sym_LR_DQUOTE] = ACTIONS(2896),
    [anon_sym_uR_DQUOTE] = ACTIONS(2896),
    [anon_sym_UR_DQUOTE] = ACTIONS(2896),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2896),
    [anon_sym_co_await] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2894),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2894),
  },
  [546] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_virtual] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym___try] = ACTIONS(2868),
    [anon_sym___leave] = ACTIONS(2868),
    [anon_sym_not] = ACTIONS(2868),
    [anon_sym_compl] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [anon_sym___asm] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_delete] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
    [anon_sym_concept] = ACTIONS(2868),
    [anon_sym_co_return] = ACTIONS(2868),
    [anon_sym_co_yield] = ACTIONS(2868),
    [anon_sym_R_DQUOTE] = ACTIONS(2870),
    [anon_sym_LR_DQUOTE] = ACTIONS(2870),
    [anon_sym_uR_DQUOTE] = ACTIONS(2870),
    [anon_sym_UR_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2870),
    [anon_sym_co_await] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_requires] = ACTIONS(2868),
    [sym_this] = ACTIONS(2868),
  },
  [547] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_include_token1] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_AMP_AMP] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_virtual] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___based] = ACTIONS(2864),
    [anon_sym___cdecl] = ACTIONS(2864),
    [anon_sym___clrcall] = ACTIONS(2864),
    [anon_sym___stdcall] = ACTIONS(2864),
    [anon_sym___fastcall] = ACTIONS(2864),
    [anon_sym___thiscall] = ACTIONS(2864),
    [anon_sym___vectorcall] = ACTIONS(2864),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_mutable] = ACTIONS(2864),
    [anon_sym_constinit] = ACTIONS(2864),
    [anon_sym_consteval] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_class] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_switch] = ACTIONS(2864),
    [anon_sym_case] = ACTIONS(2864),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_break] = ACTIONS(2864),
    [anon_sym_continue] = ACTIONS(2864),
    [anon_sym_goto] = ACTIONS(2864),
    [anon_sym___try] = ACTIONS(2864),
    [anon_sym___leave] = ACTIONS(2864),
    [anon_sym_not] = ACTIONS(2864),
    [anon_sym_compl] = ACTIONS(2864),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_sizeof] = ACTIONS(2864),
    [anon_sym___alignof__] = ACTIONS(2864),
    [anon_sym___alignof] = ACTIONS(2864),
    [anon_sym__alignof] = ACTIONS(2864),
    [anon_sym_alignof] = ACTIONS(2864),
    [anon_sym__Alignof] = ACTIONS(2864),
    [anon_sym_offsetof] = ACTIONS(2864),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2864),
    [anon_sym___asm__] = ACTIONS(2864),
    [anon_sym___asm] = ACTIONS(2864),
    [sym_number_literal] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2866),
    [anon_sym_u_SQUOTE] = ACTIONS(2866),
    [anon_sym_U_SQUOTE] = ACTIONS(2866),
    [anon_sym_u8_SQUOTE] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_L_DQUOTE] = ACTIONS(2866),
    [anon_sym_u_DQUOTE] = ACTIONS(2866),
    [anon_sym_U_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE] = ACTIONS(2866),
    [sym_true] = ACTIONS(2864),
    [sym_false] = ACTIONS(2864),
    [anon_sym_NULL] = ACTIONS(2864),
    [anon_sym_nullptr] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2864),
    [anon_sym_decltype] = ACTIONS(2864),
    [anon_sym_explicit] = ACTIONS(2864),
    [anon_sym_typename] = ACTIONS(2864),
    [anon_sym_template] = ACTIONS(2864),
    [anon_sym_operator] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_delete] = ACTIONS(2864),
    [anon_sym_throw] = ACTIONS(2864),
    [anon_sym_namespace] = ACTIONS(2864),
    [anon_sym_using] = ACTIONS(2864),
    [anon_sym_static_assert] = ACTIONS(2864),
    [anon_sym_concept] = ACTIONS(2864),
    [anon_sym_co_return] = ACTIONS(2864),
    [anon_sym_co_yield] = ACTIONS(2864),
    [anon_sym_R_DQUOTE] = ACTIONS(2866),
    [anon_sym_LR_DQUOTE] = ACTIONS(2866),
    [anon_sym_uR_DQUOTE] = ACTIONS(2866),
    [anon_sym_UR_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2866),
    [anon_sym_co_await] = ACTIONS(2864),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_requires] = ACTIONS(2864),
    [sym_this] = ACTIONS(2864),
  },
  [548] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [549] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym___try] = ACTIONS(2964),
    [anon_sym___leave] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [anon_sym___asm] = ACTIONS(2964),
    [sym_number_literal] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [551] = {
    [sym_identifier] = ACTIONS(2860),
    [aux_sym_preproc_include_token1] = ACTIONS(2860),
    [aux_sym_preproc_def_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token2] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_AMP_AMP] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_typedef] = ACTIONS(2860),
    [anon_sym_virtual] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___based] = ACTIONS(2860),
    [anon_sym___cdecl] = ACTIONS(2860),
    [anon_sym___clrcall] = ACTIONS(2860),
    [anon_sym___stdcall] = ACTIONS(2860),
    [anon_sym___fastcall] = ACTIONS(2860),
    [anon_sym___thiscall] = ACTIONS(2860),
    [anon_sym___vectorcall] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_mutable] = ACTIONS(2860),
    [anon_sym_constinit] = ACTIONS(2860),
    [anon_sym_consteval] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_class] = ACTIONS(2860),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_switch] = ACTIONS(2860),
    [anon_sym_case] = ACTIONS(2860),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_break] = ACTIONS(2860),
    [anon_sym_continue] = ACTIONS(2860),
    [anon_sym_goto] = ACTIONS(2860),
    [anon_sym___try] = ACTIONS(2860),
    [anon_sym___leave] = ACTIONS(2860),
    [anon_sym_not] = ACTIONS(2860),
    [anon_sym_compl] = ACTIONS(2860),
    [anon_sym_DASH_DASH] = ACTIONS(2862),
    [anon_sym_PLUS_PLUS] = ACTIONS(2862),
    [anon_sym_sizeof] = ACTIONS(2860),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2860),
    [anon_sym__Generic] = ACTIONS(2860),
    [anon_sym_asm] = ACTIONS(2860),
    [anon_sym___asm__] = ACTIONS(2860),
    [anon_sym___asm] = ACTIONS(2860),
    [sym_number_literal] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2862),
    [anon_sym_u_SQUOTE] = ACTIONS(2862),
    [anon_sym_U_SQUOTE] = ACTIONS(2862),
    [anon_sym_u8_SQUOTE] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_L_DQUOTE] = ACTIONS(2862),
    [anon_sym_u_DQUOTE] = ACTIONS(2862),
    [anon_sym_U_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE] = ACTIONS(2862),
    [sym_true] = ACTIONS(2860),
    [sym_false] = ACTIONS(2860),
    [anon_sym_NULL] = ACTIONS(2860),
    [anon_sym_nullptr] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2860),
    [anon_sym_decltype] = ACTIONS(2860),
    [anon_sym_explicit] = ACTIONS(2860),
    [anon_sym_typename] = ACTIONS(2860),
    [anon_sym_template] = ACTIONS(2860),
    [anon_sym_operator] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_delete] = ACTIONS(2860),
    [anon_sym_throw] = ACTIONS(2860),
    [anon_sym_namespace] = ACTIONS(2860),
    [anon_sym_using] = ACTIONS(2860),
    [anon_sym_static_assert] = ACTIONS(2860),
    [anon_sym_concept] = ACTIONS(2860),
    [anon_sym_co_return] = ACTIONS(2860),
    [anon_sym_co_yield] = ACTIONS(2860),
    [anon_sym_R_DQUOTE] = ACTIONS(2862),
    [anon_sym_LR_DQUOTE] = ACTIONS(2862),
    [anon_sym_uR_DQUOTE] = ACTIONS(2862),
    [anon_sym_UR_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2862),
    [anon_sym_co_await] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_requires] = ACTIONS(2860),
    [sym_this] = ACTIONS(2860),
  },
  [552] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [553] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_RBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [554] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token2] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym___try] = ACTIONS(3044),
    [anon_sym___leave] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [sym_number_literal] = ACTIONS(3046),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [555] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [556] = {
    [sym_catch_clause] = STATE(318),
    [aux_sym_constructor_try_statement_repeat1] = STATE(318),
    [ts_builtin_sym_end] = ACTIONS(2507),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_include_token1] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym___cdecl] = ACTIONS(2505),
    [anon_sym___clrcall] = ACTIONS(2505),
    [anon_sym___stdcall] = ACTIONS(2505),
    [anon_sym___fastcall] = ACTIONS(2505),
    [anon_sym___thiscall] = ACTIONS(2505),
    [anon_sym___vectorcall] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_goto] = ACTIONS(2505),
    [anon_sym_not] = ACTIONS(2505),
    [anon_sym_compl] = ACTIONS(2505),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_sizeof] = ACTIONS(2505),
    [anon_sym___alignof__] = ACTIONS(2505),
    [anon_sym___alignof] = ACTIONS(2505),
    [anon_sym__alignof] = ACTIONS(2505),
    [anon_sym_alignof] = ACTIONS(2505),
    [anon_sym__Alignof] = ACTIONS(2505),
    [anon_sym_offsetof] = ACTIONS(2505),
    [anon_sym__Generic] = ACTIONS(2505),
    [anon_sym_asm] = ACTIONS(2505),
    [anon_sym___asm__] = ACTIONS(2505),
    [anon_sym___asm] = ACTIONS(2505),
    [sym_number_literal] = ACTIONS(2507),
    [anon_sym_L_SQUOTE] = ACTIONS(2507),
    [anon_sym_u_SQUOTE] = ACTIONS(2507),
    [anon_sym_U_SQUOTE] = ACTIONS(2507),
    [anon_sym_u8_SQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_L_DQUOTE] = ACTIONS(2507),
    [anon_sym_u_DQUOTE] = ACTIONS(2507),
    [anon_sym_U_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8_DQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [anon_sym_NULL] = ACTIONS(2505),
    [anon_sym_nullptr] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_concept] = ACTIONS(2505),
    [anon_sym_co_return] = ACTIONS(2505),
    [anon_sym_co_yield] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(2979),
    [anon_sym_R_DQUOTE] = ACTIONS(2507),
    [anon_sym_LR_DQUOTE] = ACTIONS(2507),
    [anon_sym_uR_DQUOTE] = ACTIONS(2507),
    [anon_sym_UR_DQUOTE] = ACTIONS(2507),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2507),
    [anon_sym_co_await] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_requires] = ACTIONS(2505),
    [sym_this] = ACTIONS(2505),
  },
  [557] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_RBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym___try] = ACTIONS(3147),
    [anon_sym___leave] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [sym_number_literal] = ACTIONS(3149),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [558] = {
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_include_token1] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3123),
    [anon_sym_PLUS] = ACTIONS(3123),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym___cdecl] = ACTIONS(3123),
    [anon_sym___clrcall] = ACTIONS(3123),
    [anon_sym___stdcall] = ACTIONS(3123),
    [anon_sym___fastcall] = ACTIONS(3123),
    [anon_sym___thiscall] = ACTIONS(3123),
    [anon_sym___vectorcall] = ACTIONS(3123),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_RBRACE] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_switch] = ACTIONS(3123),
    [anon_sym_case] = ACTIONS(3123),
    [anon_sym_default] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(3123),
    [anon_sym_do] = ACTIONS(3123),
    [anon_sym_for] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3123),
    [anon_sym_break] = ACTIONS(3123),
    [anon_sym_continue] = ACTIONS(3123),
    [anon_sym_goto] = ACTIONS(3123),
    [anon_sym___try] = ACTIONS(3123),
    [anon_sym___leave] = ACTIONS(3123),
    [anon_sym_not] = ACTIONS(3123),
    [anon_sym_compl] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3125),
    [anon_sym_PLUS_PLUS] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3123),
    [anon_sym___alignof__] = ACTIONS(3123),
    [anon_sym___alignof] = ACTIONS(3123),
    [anon_sym__alignof] = ACTIONS(3123),
    [anon_sym_alignof] = ACTIONS(3123),
    [anon_sym__Alignof] = ACTIONS(3123),
    [anon_sym_offsetof] = ACTIONS(3123),
    [anon_sym__Generic] = ACTIONS(3123),
    [anon_sym_asm] = ACTIONS(3123),
    [anon_sym___asm__] = ACTIONS(3123),
    [anon_sym___asm] = ACTIONS(3123),
    [sym_number_literal] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3125),
    [anon_sym_u_SQUOTE] = ACTIONS(3125),
    [anon_sym_U_SQUOTE] = ACTIONS(3125),
    [anon_sym_u8_SQUOTE] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3125),
    [anon_sym_L_DQUOTE] = ACTIONS(3125),
    [anon_sym_u_DQUOTE] = ACTIONS(3125),
    [anon_sym_U_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8_DQUOTE] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3125),
    [sym_true] = ACTIONS(3123),
    [sym_false] = ACTIONS(3123),
    [anon_sym_NULL] = ACTIONS(3123),
    [anon_sym_nullptr] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_try] = ACTIONS(3123),
    [anon_sym_delete] = ACTIONS(3123),
    [anon_sym_throw] = ACTIONS(3123),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
    [anon_sym_concept] = ACTIONS(3123),
    [anon_sym_co_return] = ACTIONS(3123),
    [anon_sym_co_yield] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(3125),
    [anon_sym_LR_DQUOTE] = ACTIONS(3125),
    [anon_sym_uR_DQUOTE] = ACTIONS(3125),
    [anon_sym_UR_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3125),
    [anon_sym_co_await] = ACTIONS(3123),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_requires] = ACTIONS(3123),
    [sym_this] = ACTIONS(3123),
  },
  [559] = {
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym__Nonnull] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym___leave] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [anon_sym___asm] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [560] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token2] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [sym_primitive_type] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [sym_number_literal] = ACTIONS(3058),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [561] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [562] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym___try] = ACTIONS(2924),
    [anon_sym___leave] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [563] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token2] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym__Nonnull] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym__Alignas] = ACTIONS(2952),
    [sym_primitive_type] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [anon_sym___asm] = ACTIONS(2952),
    [sym_number_literal] = ACTIONS(2954),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [564] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [565] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [566] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym___try] = ACTIONS(3015),
    [anon_sym___leave] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [anon_sym___asm] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [567] = {
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_include_token1] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token2] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym___cdecl] = ACTIONS(3135),
    [anon_sym___clrcall] = ACTIONS(3135),
    [anon_sym___stdcall] = ACTIONS(3135),
    [anon_sym___fastcall] = ACTIONS(3135),
    [anon_sym___thiscall] = ACTIONS(3135),
    [anon_sym___vectorcall] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_case] = ACTIONS(3135),
    [anon_sym_default] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_goto] = ACTIONS(3135),
    [anon_sym___try] = ACTIONS(3135),
    [anon_sym___leave] = ACTIONS(3135),
    [anon_sym_not] = ACTIONS(3135),
    [anon_sym_compl] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3137),
    [anon_sym_PLUS_PLUS] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3135),
    [anon_sym___alignof__] = ACTIONS(3135),
    [anon_sym___alignof] = ACTIONS(3135),
    [anon_sym__alignof] = ACTIONS(3135),
    [anon_sym_alignof] = ACTIONS(3135),
    [anon_sym__Alignof] = ACTIONS(3135),
    [anon_sym_offsetof] = ACTIONS(3135),
    [anon_sym__Generic] = ACTIONS(3135),
    [anon_sym_asm] = ACTIONS(3135),
    [anon_sym___asm__] = ACTIONS(3135),
    [anon_sym___asm] = ACTIONS(3135),
    [sym_number_literal] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3137),
    [anon_sym_u_SQUOTE] = ACTIONS(3137),
    [anon_sym_U_SQUOTE] = ACTIONS(3137),
    [anon_sym_u8_SQUOTE] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3137),
    [anon_sym_L_DQUOTE] = ACTIONS(3137),
    [anon_sym_u_DQUOTE] = ACTIONS(3137),
    [anon_sym_U_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8_DQUOTE] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3137),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [anon_sym_NULL] = ACTIONS(3135),
    [anon_sym_nullptr] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
    [anon_sym_concept] = ACTIONS(3135),
    [anon_sym_co_return] = ACTIONS(3135),
    [anon_sym_co_yield] = ACTIONS(3135),
    [anon_sym_R_DQUOTE] = ACTIONS(3137),
    [anon_sym_LR_DQUOTE] = ACTIONS(3137),
    [anon_sym_uR_DQUOTE] = ACTIONS(3137),
    [anon_sym_UR_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3137),
    [anon_sym_co_await] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_requires] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
  },
  [568] = {
    [sym_identifier] = ACTIONS(3030),
    [aux_sym_preproc_include_token1] = ACTIONS(3030),
    [aux_sym_preproc_def_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token2] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3030),
    [sym_preproc_directive] = ACTIONS(3030),
    [anon_sym_LPAREN2] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3030),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym___extension__] = ACTIONS(3030),
    [anon_sym_typedef] = ACTIONS(3030),
    [anon_sym_virtual] = ACTIONS(3030),
    [anon_sym_extern] = ACTIONS(3030),
    [anon_sym___attribute__] = ACTIONS(3030),
    [anon_sym_COLON_COLON] = ACTIONS(3032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3032),
    [anon_sym___declspec] = ACTIONS(3030),
    [anon_sym___based] = ACTIONS(3030),
    [anon_sym___cdecl] = ACTIONS(3030),
    [anon_sym___clrcall] = ACTIONS(3030),
    [anon_sym___stdcall] = ACTIONS(3030),
    [anon_sym___fastcall] = ACTIONS(3030),
    [anon_sym___thiscall] = ACTIONS(3030),
    [anon_sym___vectorcall] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_signed] = ACTIONS(3030),
    [anon_sym_unsigned] = ACTIONS(3030),
    [anon_sym_long] = ACTIONS(3030),
    [anon_sym_short] = ACTIONS(3030),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [anon_sym_static] = ACTIONS(3030),
    [anon_sym_register] = ACTIONS(3030),
    [anon_sym_inline] = ACTIONS(3030),
    [anon_sym___inline] = ACTIONS(3030),
    [anon_sym___inline__] = ACTIONS(3030),
    [anon_sym___forceinline] = ACTIONS(3030),
    [anon_sym_thread_local] = ACTIONS(3030),
    [anon_sym___thread] = ACTIONS(3030),
    [anon_sym_const] = ACTIONS(3030),
    [anon_sym_constexpr] = ACTIONS(3030),
    [anon_sym_volatile] = ACTIONS(3030),
    [anon_sym_restrict] = ACTIONS(3030),
    [anon_sym___restrict__] = ACTIONS(3030),
    [anon_sym__Atomic] = ACTIONS(3030),
    [anon_sym__Noreturn] = ACTIONS(3030),
    [anon_sym_noreturn] = ACTIONS(3030),
    [anon_sym__Nonnull] = ACTIONS(3030),
    [anon_sym_mutable] = ACTIONS(3030),
    [anon_sym_constinit] = ACTIONS(3030),
    [anon_sym_consteval] = ACTIONS(3030),
    [anon_sym_alignas] = ACTIONS(3030),
    [anon_sym__Alignas] = ACTIONS(3030),
    [sym_primitive_type] = ACTIONS(3030),
    [anon_sym_enum] = ACTIONS(3030),
    [anon_sym_class] = ACTIONS(3030),
    [anon_sym_struct] = ACTIONS(3030),
    [anon_sym_union] = ACTIONS(3030),
    [anon_sym_if] = ACTIONS(3030),
    [anon_sym_switch] = ACTIONS(3030),
    [anon_sym_case] = ACTIONS(3030),
    [anon_sym_default] = ACTIONS(3030),
    [anon_sym_while] = ACTIONS(3030),
    [anon_sym_do] = ACTIONS(3030),
    [anon_sym_for] = ACTIONS(3030),
    [anon_sym_return] = ACTIONS(3030),
    [anon_sym_break] = ACTIONS(3030),
    [anon_sym_continue] = ACTIONS(3030),
    [anon_sym_goto] = ACTIONS(3030),
    [anon_sym___try] = ACTIONS(3030),
    [anon_sym___leave] = ACTIONS(3030),
    [anon_sym_not] = ACTIONS(3030),
    [anon_sym_compl] = ACTIONS(3030),
    [anon_sym_DASH_DASH] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(3032),
    [anon_sym_sizeof] = ACTIONS(3030),
    [anon_sym___alignof__] = ACTIONS(3030),
    [anon_sym___alignof] = ACTIONS(3030),
    [anon_sym__alignof] = ACTIONS(3030),
    [anon_sym_alignof] = ACTIONS(3030),
    [anon_sym__Alignof] = ACTIONS(3030),
    [anon_sym_offsetof] = ACTIONS(3030),
    [anon_sym__Generic] = ACTIONS(3030),
    [anon_sym_asm] = ACTIONS(3030),
    [anon_sym___asm__] = ACTIONS(3030),
    [anon_sym___asm] = ACTIONS(3030),
    [sym_number_literal] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3032),
    [anon_sym_u_SQUOTE] = ACTIONS(3032),
    [anon_sym_U_SQUOTE] = ACTIONS(3032),
    [anon_sym_u8_SQUOTE] = ACTIONS(3032),
    [anon_sym_SQUOTE] = ACTIONS(3032),
    [anon_sym_L_DQUOTE] = ACTIONS(3032),
    [anon_sym_u_DQUOTE] = ACTIONS(3032),
    [anon_sym_U_DQUOTE] = ACTIONS(3032),
    [anon_sym_u8_DQUOTE] = ACTIONS(3032),
    [anon_sym_DQUOTE] = ACTIONS(3032),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_NULL] = ACTIONS(3030),
    [anon_sym_nullptr] = ACTIONS(3030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3030),
    [anon_sym_decltype] = ACTIONS(3030),
    [anon_sym_explicit] = ACTIONS(3030),
    [anon_sym_typename] = ACTIONS(3030),
    [anon_sym_template] = ACTIONS(3030),
    [anon_sym_operator] = ACTIONS(3030),
    [anon_sym_try] = ACTIONS(3030),
    [anon_sym_delete] = ACTIONS(3030),
    [anon_sym_throw] = ACTIONS(3030),
    [anon_sym_namespace] = ACTIONS(3030),
    [anon_sym_using] = ACTIONS(3030),
    [anon_sym_static_assert] = ACTIONS(3030),
    [anon_sym_concept] = ACTIONS(3030),
    [anon_sym_co_return] = ACTIONS(3030),
    [anon_sym_co_yield] = ACTIONS(3030),
    [anon_sym_R_DQUOTE] = ACTIONS(3032),
    [anon_sym_LR_DQUOTE] = ACTIONS(3032),
    [anon_sym_uR_DQUOTE] = ACTIONS(3032),
    [anon_sym_UR_DQUOTE] = ACTIONS(3032),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3032),
    [anon_sym_co_await] = ACTIONS(3030),
    [anon_sym_new] = ACTIONS(3030),
    [anon_sym_requires] = ACTIONS(3030),
    [sym_this] = ACTIONS(3030),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token2] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_AMP_AMP] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_virtual] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___based] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_constinit] = ACTIONS(2872),
    [anon_sym_consteval] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_class] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym___try] = ACTIONS(2872),
    [anon_sym___leave] = ACTIONS(2872),
    [anon_sym_not] = ACTIONS(2872),
    [anon_sym_compl] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2872),
    [anon_sym_decltype] = ACTIONS(2872),
    [anon_sym_explicit] = ACTIONS(2872),
    [anon_sym_typename] = ACTIONS(2872),
    [anon_sym_template] = ACTIONS(2872),
    [anon_sym_operator] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_using] = ACTIONS(2872),
    [anon_sym_static_assert] = ACTIONS(2872),
    [anon_sym_concept] = ACTIONS(2872),
    [anon_sym_co_return] = ACTIONS(2872),
    [anon_sym_co_yield] = ACTIONS(2872),
    [anon_sym_R_DQUOTE] = ACTIONS(2874),
    [anon_sym_LR_DQUOTE] = ACTIONS(2874),
    [anon_sym_uR_DQUOTE] = ACTIONS(2874),
    [anon_sym_UR_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2874),
    [anon_sym_co_await] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_requires] = ACTIONS(2872),
    [sym_this] = ACTIONS(2872),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [anon_sym___asm] = ACTIONS(2948),
    [sym_number_literal] = ACTIONS(2950),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [anon_sym___asm] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [572] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_RBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym___try] = ACTIONS(3119),
    [anon_sym___leave] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [sym_number_literal] = ACTIONS(3121),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [573] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym___try] = ACTIONS(3183),
    [anon_sym___leave] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [sym_number_literal] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [574] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [sym_primitive_type] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [sym_number_literal] = ACTIONS(3066),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token2] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_virtual] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym__Nonnull] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym__Alignas] = ACTIONS(2960),
    [sym_primitive_type] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym___try] = ACTIONS(2960),
    [anon_sym___leave] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [anon_sym___asm] = ACTIONS(2960),
    [sym_number_literal] = ACTIONS(2962),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [576] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [anon_sym___asm] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2898),
    [aux_sym_preproc_include_token1] = ACTIONS(2898),
    [aux_sym_preproc_def_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token2] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2898),
    [sym_preproc_directive] = ACTIONS(2898),
    [anon_sym_LPAREN2] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2898),
    [anon_sym_SEMI] = ACTIONS(2900),
    [anon_sym___extension__] = ACTIONS(2898),
    [anon_sym_typedef] = ACTIONS(2898),
    [anon_sym_virtual] = ACTIONS(2898),
    [anon_sym_extern] = ACTIONS(2898),
    [anon_sym___attribute__] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2900),
    [anon_sym___declspec] = ACTIONS(2898),
    [anon_sym___based] = ACTIONS(2898),
    [anon_sym___cdecl] = ACTIONS(2898),
    [anon_sym___clrcall] = ACTIONS(2898),
    [anon_sym___stdcall] = ACTIONS(2898),
    [anon_sym___fastcall] = ACTIONS(2898),
    [anon_sym___thiscall] = ACTIONS(2898),
    [anon_sym___vectorcall] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_signed] = ACTIONS(2898),
    [anon_sym_unsigned] = ACTIONS(2898),
    [anon_sym_long] = ACTIONS(2898),
    [anon_sym_short] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [anon_sym_static] = ACTIONS(2898),
    [anon_sym_register] = ACTIONS(2898),
    [anon_sym_inline] = ACTIONS(2898),
    [anon_sym___inline] = ACTIONS(2898),
    [anon_sym___inline__] = ACTIONS(2898),
    [anon_sym___forceinline] = ACTIONS(2898),
    [anon_sym_thread_local] = ACTIONS(2898),
    [anon_sym___thread] = ACTIONS(2898),
    [anon_sym_const] = ACTIONS(2898),
    [anon_sym_constexpr] = ACTIONS(2898),
    [anon_sym_volatile] = ACTIONS(2898),
    [anon_sym_restrict] = ACTIONS(2898),
    [anon_sym___restrict__] = ACTIONS(2898),
    [anon_sym__Atomic] = ACTIONS(2898),
    [anon_sym__Noreturn] = ACTIONS(2898),
    [anon_sym_noreturn] = ACTIONS(2898),
    [anon_sym__Nonnull] = ACTIONS(2898),
    [anon_sym_mutable] = ACTIONS(2898),
    [anon_sym_constinit] = ACTIONS(2898),
    [anon_sym_consteval] = ACTIONS(2898),
    [anon_sym_alignas] = ACTIONS(2898),
    [anon_sym__Alignas] = ACTIONS(2898),
    [sym_primitive_type] = ACTIONS(2898),
    [anon_sym_enum] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2898),
    [anon_sym_struct] = ACTIONS(2898),
    [anon_sym_union] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(2898),
    [anon_sym_switch] = ACTIONS(2898),
    [anon_sym_case] = ACTIONS(2898),
    [anon_sym_default] = ACTIONS(2898),
    [anon_sym_while] = ACTIONS(2898),
    [anon_sym_do] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2898),
    [anon_sym_break] = ACTIONS(2898),
    [anon_sym_continue] = ACTIONS(2898),
    [anon_sym_goto] = ACTIONS(2898),
    [anon_sym___try] = ACTIONS(2898),
    [anon_sym___leave] = ACTIONS(2898),
    [anon_sym_not] = ACTIONS(2898),
    [anon_sym_compl] = ACTIONS(2898),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_sizeof] = ACTIONS(2898),
    [anon_sym___alignof__] = ACTIONS(2898),
    [anon_sym___alignof] = ACTIONS(2898),
    [anon_sym__alignof] = ACTIONS(2898),
    [anon_sym_alignof] = ACTIONS(2898),
    [anon_sym__Alignof] = ACTIONS(2898),
    [anon_sym_offsetof] = ACTIONS(2898),
    [anon_sym__Generic] = ACTIONS(2898),
    [anon_sym_asm] = ACTIONS(2898),
    [anon_sym___asm__] = ACTIONS(2898),
    [anon_sym___asm] = ACTIONS(2898),
    [sym_number_literal] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2900),
    [anon_sym_u_SQUOTE] = ACTIONS(2900),
    [anon_sym_U_SQUOTE] = ACTIONS(2900),
    [anon_sym_u8_SQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [anon_sym_L_DQUOTE] = ACTIONS(2900),
    [anon_sym_u_DQUOTE] = ACTIONS(2900),
    [anon_sym_U_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [sym_true] = ACTIONS(2898),
    [sym_false] = ACTIONS(2898),
    [anon_sym_NULL] = ACTIONS(2898),
    [anon_sym_nullptr] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2898),
    [anon_sym_decltype] = ACTIONS(2898),
    [anon_sym_explicit] = ACTIONS(2898),
    [anon_sym_typename] = ACTIONS(2898),
    [anon_sym_template] = ACTIONS(2898),
    [anon_sym_operator] = ACTIONS(2898),
    [anon_sym_try] = ACTIONS(2898),
    [anon_sym_delete] = ACTIONS(2898),
    [anon_sym_throw] = ACTIONS(2898),
    [anon_sym_namespace] = ACTIONS(2898),
    [anon_sym_using] = ACTIONS(2898),
    [anon_sym_static_assert] = ACTIONS(2898),
    [anon_sym_concept] = ACTIONS(2898),
    [anon_sym_co_return] = ACTIONS(2898),
    [anon_sym_co_yield] = ACTIONS(2898),
    [anon_sym_R_DQUOTE] = ACTIONS(2900),
    [anon_sym_LR_DQUOTE] = ACTIONS(2900),
    [anon_sym_uR_DQUOTE] = ACTIONS(2900),
    [anon_sym_UR_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2900),
    [anon_sym_co_await] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2898),
    [anon_sym_requires] = ACTIONS(2898),
    [sym_this] = ACTIONS(2898),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2902),
    [aux_sym_preproc_include_token1] = ACTIONS(2902),
    [aux_sym_preproc_def_token1] = ACTIONS(2902),
    [aux_sym_preproc_if_token1] = ACTIONS(2902),
    [aux_sym_preproc_if_token2] = ACTIONS(2902),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2902),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2902),
    [sym_preproc_directive] = ACTIONS(2902),
    [anon_sym_LPAREN2] = ACTIONS(2904),
    [anon_sym_BANG] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_AMP] = ACTIONS(2902),
    [anon_sym_SEMI] = ACTIONS(2904),
    [anon_sym___extension__] = ACTIONS(2902),
    [anon_sym_typedef] = ACTIONS(2902),
    [anon_sym_virtual] = ACTIONS(2902),
    [anon_sym_extern] = ACTIONS(2902),
    [anon_sym___attribute__] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2904),
    [anon_sym___declspec] = ACTIONS(2902),
    [anon_sym___based] = ACTIONS(2902),
    [anon_sym___cdecl] = ACTIONS(2902),
    [anon_sym___clrcall] = ACTIONS(2902),
    [anon_sym___stdcall] = ACTIONS(2902),
    [anon_sym___fastcall] = ACTIONS(2902),
    [anon_sym___thiscall] = ACTIONS(2902),
    [anon_sym___vectorcall] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_signed] = ACTIONS(2902),
    [anon_sym_unsigned] = ACTIONS(2902),
    [anon_sym_long] = ACTIONS(2902),
    [anon_sym_short] = ACTIONS(2902),
    [anon_sym_LBRACK] = ACTIONS(2902),
    [anon_sym_static] = ACTIONS(2902),
    [anon_sym_register] = ACTIONS(2902),
    [anon_sym_inline] = ACTIONS(2902),
    [anon_sym___inline] = ACTIONS(2902),
    [anon_sym___inline__] = ACTIONS(2902),
    [anon_sym___forceinline] = ACTIONS(2902),
    [anon_sym_thread_local] = ACTIONS(2902),
    [anon_sym___thread] = ACTIONS(2902),
    [anon_sym_const] = ACTIONS(2902),
    [anon_sym_constexpr] = ACTIONS(2902),
    [anon_sym_volatile] = ACTIONS(2902),
    [anon_sym_restrict] = ACTIONS(2902),
    [anon_sym___restrict__] = ACTIONS(2902),
    [anon_sym__Atomic] = ACTIONS(2902),
    [anon_sym__Noreturn] = ACTIONS(2902),
    [anon_sym_noreturn] = ACTIONS(2902),
    [anon_sym__Nonnull] = ACTIONS(2902),
    [anon_sym_mutable] = ACTIONS(2902),
    [anon_sym_constinit] = ACTIONS(2902),
    [anon_sym_consteval] = ACTIONS(2902),
    [anon_sym_alignas] = ACTIONS(2902),
    [anon_sym__Alignas] = ACTIONS(2902),
    [sym_primitive_type] = ACTIONS(2902),
    [anon_sym_enum] = ACTIONS(2902),
    [anon_sym_class] = ACTIONS(2902),
    [anon_sym_struct] = ACTIONS(2902),
    [anon_sym_union] = ACTIONS(2902),
    [anon_sym_if] = ACTIONS(2902),
    [anon_sym_switch] = ACTIONS(2902),
    [anon_sym_case] = ACTIONS(2902),
    [anon_sym_default] = ACTIONS(2902),
    [anon_sym_while] = ACTIONS(2902),
    [anon_sym_do] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2902),
    [anon_sym_return] = ACTIONS(2902),
    [anon_sym_break] = ACTIONS(2902),
    [anon_sym_continue] = ACTIONS(2902),
    [anon_sym_goto] = ACTIONS(2902),
    [anon_sym___try] = ACTIONS(2902),
    [anon_sym___leave] = ACTIONS(2902),
    [anon_sym_not] = ACTIONS(2902),
    [anon_sym_compl] = ACTIONS(2902),
    [anon_sym_DASH_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_PLUS] = ACTIONS(2904),
    [anon_sym_sizeof] = ACTIONS(2902),
    [anon_sym___alignof__] = ACTIONS(2902),
    [anon_sym___alignof] = ACTIONS(2902),
    [anon_sym__alignof] = ACTIONS(2902),
    [anon_sym_alignof] = ACTIONS(2902),
    [anon_sym__Alignof] = ACTIONS(2902),
    [anon_sym_offsetof] = ACTIONS(2902),
    [anon_sym__Generic] = ACTIONS(2902),
    [anon_sym_asm] = ACTIONS(2902),
    [anon_sym___asm__] = ACTIONS(2902),
    [anon_sym___asm] = ACTIONS(2902),
    [sym_number_literal] = ACTIONS(2904),
    [anon_sym_L_SQUOTE] = ACTIONS(2904),
    [anon_sym_u_SQUOTE] = ACTIONS(2904),
    [anon_sym_U_SQUOTE] = ACTIONS(2904),
    [anon_sym_u8_SQUOTE] = ACTIONS(2904),
    [anon_sym_SQUOTE] = ACTIONS(2904),
    [anon_sym_L_DQUOTE] = ACTIONS(2904),
    [anon_sym_u_DQUOTE] = ACTIONS(2904),
    [anon_sym_U_DQUOTE] = ACTIONS(2904),
    [anon_sym_u8_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [sym_true] = ACTIONS(2902),
    [sym_false] = ACTIONS(2902),
    [anon_sym_NULL] = ACTIONS(2902),
    [anon_sym_nullptr] = ACTIONS(2902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2902),
    [anon_sym_decltype] = ACTIONS(2902),
    [anon_sym_explicit] = ACTIONS(2902),
    [anon_sym_typename] = ACTIONS(2902),
    [anon_sym_template] = ACTIONS(2902),
    [anon_sym_operator] = ACTIONS(2902),
    [anon_sym_try] = ACTIONS(2902),
    [anon_sym_delete] = ACTIONS(2902),
    [anon_sym_throw] = ACTIONS(2902),
    [anon_sym_namespace] = ACTIONS(2902),
    [anon_sym_using] = ACTIONS(2902),
    [anon_sym_static_assert] = ACTIONS(2902),
    [anon_sym_concept] = ACTIONS(2902),
    [anon_sym_co_return] = ACTIONS(2902),
    [anon_sym_co_yield] = ACTIONS(2902),
    [anon_sym_R_DQUOTE] = ACTIONS(2904),
    [anon_sym_LR_DQUOTE] = ACTIONS(2904),
    [anon_sym_uR_DQUOTE] = ACTIONS(2904),
    [anon_sym_UR_DQUOTE] = ACTIONS(2904),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2904),
    [anon_sym_co_await] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2902),
    [anon_sym_requires] = ACTIONS(2902),
    [sym_this] = ACTIONS(2902),
  },
  [579] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_RBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [580] = {
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_RBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym__Nonnull] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym__Alignas] = ACTIONS(2952),
    [sym_primitive_type] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym___try] = ACTIONS(2952),
    [anon_sym___leave] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [anon_sym___asm] = ACTIONS(2952),
    [sym_number_literal] = ACTIONS(2954),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [581] = {
    [sym_identifier] = ACTIONS(2906),
    [aux_sym_preproc_include_token1] = ACTIONS(2906),
    [aux_sym_preproc_def_token1] = ACTIONS(2906),
    [aux_sym_preproc_if_token1] = ACTIONS(2906),
    [aux_sym_preproc_if_token2] = ACTIONS(2906),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2906),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2906),
    [sym_preproc_directive] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(2908),
    [anon_sym_BANG] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2906),
    [anon_sym_PLUS] = ACTIONS(2906),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_AMP] = ACTIONS(2906),
    [anon_sym_SEMI] = ACTIONS(2908),
    [anon_sym___extension__] = ACTIONS(2906),
    [anon_sym_typedef] = ACTIONS(2906),
    [anon_sym_virtual] = ACTIONS(2906),
    [anon_sym_extern] = ACTIONS(2906),
    [anon_sym___attribute__] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2908),
    [anon_sym___declspec] = ACTIONS(2906),
    [anon_sym___based] = ACTIONS(2906),
    [anon_sym___cdecl] = ACTIONS(2906),
    [anon_sym___clrcall] = ACTIONS(2906),
    [anon_sym___stdcall] = ACTIONS(2906),
    [anon_sym___fastcall] = ACTIONS(2906),
    [anon_sym___thiscall] = ACTIONS(2906),
    [anon_sym___vectorcall] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_signed] = ACTIONS(2906),
    [anon_sym_unsigned] = ACTIONS(2906),
    [anon_sym_long] = ACTIONS(2906),
    [anon_sym_short] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2906),
    [anon_sym_static] = ACTIONS(2906),
    [anon_sym_register] = ACTIONS(2906),
    [anon_sym_inline] = ACTIONS(2906),
    [anon_sym___inline] = ACTIONS(2906),
    [anon_sym___inline__] = ACTIONS(2906),
    [anon_sym___forceinline] = ACTIONS(2906),
    [anon_sym_thread_local] = ACTIONS(2906),
    [anon_sym___thread] = ACTIONS(2906),
    [anon_sym_const] = ACTIONS(2906),
    [anon_sym_constexpr] = ACTIONS(2906),
    [anon_sym_volatile] = ACTIONS(2906),
    [anon_sym_restrict] = ACTIONS(2906),
    [anon_sym___restrict__] = ACTIONS(2906),
    [anon_sym__Atomic] = ACTIONS(2906),
    [anon_sym__Noreturn] = ACTIONS(2906),
    [anon_sym_noreturn] = ACTIONS(2906),
    [anon_sym__Nonnull] = ACTIONS(2906),
    [anon_sym_mutable] = ACTIONS(2906),
    [anon_sym_constinit] = ACTIONS(2906),
    [anon_sym_consteval] = ACTIONS(2906),
    [anon_sym_alignas] = ACTIONS(2906),
    [anon_sym__Alignas] = ACTIONS(2906),
    [sym_primitive_type] = ACTIONS(2906),
    [anon_sym_enum] = ACTIONS(2906),
    [anon_sym_class] = ACTIONS(2906),
    [anon_sym_struct] = ACTIONS(2906),
    [anon_sym_union] = ACTIONS(2906),
    [anon_sym_if] = ACTIONS(2906),
    [anon_sym_switch] = ACTIONS(2906),
    [anon_sym_case] = ACTIONS(2906),
    [anon_sym_default] = ACTIONS(2906),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_do] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2906),
    [anon_sym_return] = ACTIONS(2906),
    [anon_sym_break] = ACTIONS(2906),
    [anon_sym_continue] = ACTIONS(2906),
    [anon_sym_goto] = ACTIONS(2906),
    [anon_sym___try] = ACTIONS(2906),
    [anon_sym___leave] = ACTIONS(2906),
    [anon_sym_not] = ACTIONS(2906),
    [anon_sym_compl] = ACTIONS(2906),
    [anon_sym_DASH_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_PLUS] = ACTIONS(2908),
    [anon_sym_sizeof] = ACTIONS(2906),
    [anon_sym___alignof__] = ACTIONS(2906),
    [anon_sym___alignof] = ACTIONS(2906),
    [anon_sym__alignof] = ACTIONS(2906),
    [anon_sym_alignof] = ACTIONS(2906),
    [anon_sym__Alignof] = ACTIONS(2906),
    [anon_sym_offsetof] = ACTIONS(2906),
    [anon_sym__Generic] = ACTIONS(2906),
    [anon_sym_asm] = ACTIONS(2906),
    [anon_sym___asm__] = ACTIONS(2906),
    [anon_sym___asm] = ACTIONS(2906),
    [sym_number_literal] = ACTIONS(2908),
    [anon_sym_L_SQUOTE] = ACTIONS(2908),
    [anon_sym_u_SQUOTE] = ACTIONS(2908),
    [anon_sym_U_SQUOTE] = ACTIONS(2908),
    [anon_sym_u8_SQUOTE] = ACTIONS(2908),
    [anon_sym_SQUOTE] = ACTIONS(2908),
    [anon_sym_L_DQUOTE] = ACTIONS(2908),
    [anon_sym_u_DQUOTE] = ACTIONS(2908),
    [anon_sym_U_DQUOTE] = ACTIONS(2908),
    [anon_sym_u8_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [sym_true] = ACTIONS(2906),
    [sym_false] = ACTIONS(2906),
    [anon_sym_NULL] = ACTIONS(2906),
    [anon_sym_nullptr] = ACTIONS(2906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2906),
    [anon_sym_decltype] = ACTIONS(2906),
    [anon_sym_explicit] = ACTIONS(2906),
    [anon_sym_typename] = ACTIONS(2906),
    [anon_sym_template] = ACTIONS(2906),
    [anon_sym_operator] = ACTIONS(2906),
    [anon_sym_try] = ACTIONS(2906),
    [anon_sym_delete] = ACTIONS(2906),
    [anon_sym_throw] = ACTIONS(2906),
    [anon_sym_namespace] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_static_assert] = ACTIONS(2906),
    [anon_sym_concept] = ACTIONS(2906),
    [anon_sym_co_return] = ACTIONS(2906),
    [anon_sym_co_yield] = ACTIONS(2906),
    [anon_sym_R_DQUOTE] = ACTIONS(2908),
    [anon_sym_LR_DQUOTE] = ACTIONS(2908),
    [anon_sym_uR_DQUOTE] = ACTIONS(2908),
    [anon_sym_UR_DQUOTE] = ACTIONS(2908),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2908),
    [anon_sym_co_await] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2906),
    [anon_sym_requires] = ACTIONS(2906),
    [sym_this] = ACTIONS(2906),
  },
  [582] = {
    [sym_catch_clause] = STATE(318),
    [aux_sym_constructor_try_statement_repeat1] = STATE(318),
    [ts_builtin_sym_end] = ACTIONS(2564),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2562),
    [anon_sym_PLUS] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym___cdecl] = ACTIONS(2562),
    [anon_sym___clrcall] = ACTIONS(2562),
    [anon_sym___stdcall] = ACTIONS(2562),
    [anon_sym___fastcall] = ACTIONS(2562),
    [anon_sym___thiscall] = ACTIONS(2562),
    [anon_sym___vectorcall] = ACTIONS(2562),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_switch] = ACTIONS(2562),
    [anon_sym_case] = ACTIONS(2562),
    [anon_sym_default] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_do] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2562),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_break] = ACTIONS(2562),
    [anon_sym_continue] = ACTIONS(2562),
    [anon_sym_goto] = ACTIONS(2562),
    [anon_sym_not] = ACTIONS(2562),
    [anon_sym_compl] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_sizeof] = ACTIONS(2562),
    [anon_sym___alignof__] = ACTIONS(2562),
    [anon_sym___alignof] = ACTIONS(2562),
    [anon_sym__alignof] = ACTIONS(2562),
    [anon_sym_alignof] = ACTIONS(2562),
    [anon_sym__Alignof] = ACTIONS(2562),
    [anon_sym_offsetof] = ACTIONS(2562),
    [anon_sym__Generic] = ACTIONS(2562),
    [anon_sym_asm] = ACTIONS(2562),
    [anon_sym___asm__] = ACTIONS(2562),
    [anon_sym___asm] = ACTIONS(2562),
    [sym_number_literal] = ACTIONS(2564),
    [anon_sym_L_SQUOTE] = ACTIONS(2564),
    [anon_sym_u_SQUOTE] = ACTIONS(2564),
    [anon_sym_U_SQUOTE] = ACTIONS(2564),
    [anon_sym_u8_SQUOTE] = ACTIONS(2564),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [anon_sym_L_DQUOTE] = ACTIONS(2564),
    [anon_sym_u_DQUOTE] = ACTIONS(2564),
    [anon_sym_U_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8_DQUOTE] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [sym_true] = ACTIONS(2562),
    [sym_false] = ACTIONS(2562),
    [anon_sym_NULL] = ACTIONS(2562),
    [anon_sym_nullptr] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_try] = ACTIONS(2562),
    [anon_sym_delete] = ACTIONS(2562),
    [anon_sym_throw] = ACTIONS(2562),
    [anon_sym_namespace] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_concept] = ACTIONS(2562),
    [anon_sym_co_return] = ACTIONS(2562),
    [anon_sym_co_yield] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(2979),
    [anon_sym_R_DQUOTE] = ACTIONS(2564),
    [anon_sym_LR_DQUOTE] = ACTIONS(2564),
    [anon_sym_uR_DQUOTE] = ACTIONS(2564),
    [anon_sym_UR_DQUOTE] = ACTIONS(2564),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2564),
    [anon_sym_co_await] = ACTIONS(2562),
    [anon_sym_new] = ACTIONS(2562),
    [anon_sym_requires] = ACTIONS(2562),
    [sym_this] = ACTIONS(2562),
  },
  [583] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token2] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [sym_primitive_type] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [sym_number_literal] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [585] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym__Nonnull] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym__Alignas] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [anon_sym___asm] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [586] = {
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token2] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3157),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [sym_primitive_type] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym___try] = ACTIONS(3155),
    [anon_sym___leave] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [sym_number_literal] = ACTIONS(3157),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [587] = {
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_include_token1] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token2] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3123),
    [anon_sym_PLUS] = ACTIONS(3123),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym___cdecl] = ACTIONS(3123),
    [anon_sym___clrcall] = ACTIONS(3123),
    [anon_sym___stdcall] = ACTIONS(3123),
    [anon_sym___fastcall] = ACTIONS(3123),
    [anon_sym___thiscall] = ACTIONS(3123),
    [anon_sym___vectorcall] = ACTIONS(3123),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_switch] = ACTIONS(3123),
    [anon_sym_case] = ACTIONS(3123),
    [anon_sym_default] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(3123),
    [anon_sym_do] = ACTIONS(3123),
    [anon_sym_for] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3123),
    [anon_sym_break] = ACTIONS(3123),
    [anon_sym_continue] = ACTIONS(3123),
    [anon_sym_goto] = ACTIONS(3123),
    [anon_sym___try] = ACTIONS(3123),
    [anon_sym___leave] = ACTIONS(3123),
    [anon_sym_not] = ACTIONS(3123),
    [anon_sym_compl] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3125),
    [anon_sym_PLUS_PLUS] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3123),
    [anon_sym___alignof__] = ACTIONS(3123),
    [anon_sym___alignof] = ACTIONS(3123),
    [anon_sym__alignof] = ACTIONS(3123),
    [anon_sym_alignof] = ACTIONS(3123),
    [anon_sym__Alignof] = ACTIONS(3123),
    [anon_sym_offsetof] = ACTIONS(3123),
    [anon_sym__Generic] = ACTIONS(3123),
    [anon_sym_asm] = ACTIONS(3123),
    [anon_sym___asm__] = ACTIONS(3123),
    [anon_sym___asm] = ACTIONS(3123),
    [sym_number_literal] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3125),
    [anon_sym_u_SQUOTE] = ACTIONS(3125),
    [anon_sym_U_SQUOTE] = ACTIONS(3125),
    [anon_sym_u8_SQUOTE] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3125),
    [anon_sym_L_DQUOTE] = ACTIONS(3125),
    [anon_sym_u_DQUOTE] = ACTIONS(3125),
    [anon_sym_U_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8_DQUOTE] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3125),
    [sym_true] = ACTIONS(3123),
    [sym_false] = ACTIONS(3123),
    [anon_sym_NULL] = ACTIONS(3123),
    [anon_sym_nullptr] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_try] = ACTIONS(3123),
    [anon_sym_delete] = ACTIONS(3123),
    [anon_sym_throw] = ACTIONS(3123),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
    [anon_sym_concept] = ACTIONS(3123),
    [anon_sym_co_return] = ACTIONS(3123),
    [anon_sym_co_yield] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(3125),
    [anon_sym_LR_DQUOTE] = ACTIONS(3125),
    [anon_sym_uR_DQUOTE] = ACTIONS(3125),
    [anon_sym_UR_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3125),
    [anon_sym_co_await] = ACTIONS(3123),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_requires] = ACTIONS(3123),
    [sym_this] = ACTIONS(3123),
  },
  [588] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token2] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym___try] = ACTIONS(3183),
    [anon_sym___leave] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [sym_number_literal] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [589] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token2] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym___try] = ACTIONS(3143),
    [anon_sym___leave] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [sym_number_literal] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [590] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token2] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [sym_primitive_type] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [sym_number_literal] = ACTIONS(3074),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token2] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym___cdecl] = ACTIONS(2968),
    [anon_sym___clrcall] = ACTIONS(2968),
    [anon_sym___stdcall] = ACTIONS(2968),
    [anon_sym___fastcall] = ACTIONS(2968),
    [anon_sym___thiscall] = ACTIONS(2968),
    [anon_sym___vectorcall] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [sym_primitive_type] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_goto] = ACTIONS(2968),
    [anon_sym___try] = ACTIONS(2968),
    [anon_sym___leave] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2968),
    [anon_sym_compl] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_sizeof] = ACTIONS(2968),
    [anon_sym___alignof__] = ACTIONS(2968),
    [anon_sym___alignof] = ACTIONS(2968),
    [anon_sym__alignof] = ACTIONS(2968),
    [anon_sym_alignof] = ACTIONS(2968),
    [anon_sym__Alignof] = ACTIONS(2968),
    [anon_sym_offsetof] = ACTIONS(2968),
    [anon_sym__Generic] = ACTIONS(2968),
    [anon_sym_asm] = ACTIONS(2968),
    [anon_sym___asm__] = ACTIONS(2968),
    [anon_sym___asm] = ACTIONS(2968),
    [sym_number_literal] = ACTIONS(2970),
    [anon_sym_L_SQUOTE] = ACTIONS(2970),
    [anon_sym_u_SQUOTE] = ACTIONS(2970),
    [anon_sym_U_SQUOTE] = ACTIONS(2970),
    [anon_sym_u8_SQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [anon_sym_L_DQUOTE] = ACTIONS(2970),
    [anon_sym_u_DQUOTE] = ACTIONS(2970),
    [anon_sym_U_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8_DQUOTE] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [anon_sym_NULL] = ACTIONS(2968),
    [anon_sym_nullptr] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
    [anon_sym_concept] = ACTIONS(2968),
    [anon_sym_co_return] = ACTIONS(2968),
    [anon_sym_co_yield] = ACTIONS(2968),
    [anon_sym_R_DQUOTE] = ACTIONS(2970),
    [anon_sym_LR_DQUOTE] = ACTIONS(2970),
    [anon_sym_uR_DQUOTE] = ACTIONS(2970),
    [anon_sym_UR_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2970),
    [anon_sym_co_await] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_requires] = ACTIONS(2968),
    [sym_this] = ACTIONS(2968),
  },
  [592] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token2] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym___try] = ACTIONS(3011),
    [anon_sym___leave] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [anon_sym___asm] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_RBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym___try] = ACTIONS(2964),
    [anon_sym___leave] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [anon_sym___asm] = ACTIONS(2964),
    [sym_number_literal] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [594] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [sym_primitive_type] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [anon_sym___asm] = ACTIONS(3048),
    [sym_number_literal] = ACTIONS(3050),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_RBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym__Nonnull] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym___leave] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [anon_sym___asm] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [596] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_AMP_AMP] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_virtual] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___based] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_constinit] = ACTIONS(2872),
    [anon_sym_consteval] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_class] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym___try] = ACTIONS(2872),
    [anon_sym___leave] = ACTIONS(2872),
    [anon_sym_not] = ACTIONS(2872),
    [anon_sym_compl] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2872),
    [anon_sym_decltype] = ACTIONS(2872),
    [anon_sym_explicit] = ACTIONS(2872),
    [anon_sym_typename] = ACTIONS(2872),
    [anon_sym_template] = ACTIONS(2872),
    [anon_sym_operator] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_using] = ACTIONS(2872),
    [anon_sym_static_assert] = ACTIONS(2872),
    [anon_sym_concept] = ACTIONS(2872),
    [anon_sym_co_return] = ACTIONS(2872),
    [anon_sym_co_yield] = ACTIONS(2872),
    [anon_sym_R_DQUOTE] = ACTIONS(2874),
    [anon_sym_LR_DQUOTE] = ACTIONS(2874),
    [anon_sym_uR_DQUOTE] = ACTIONS(2874),
    [anon_sym_UR_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2874),
    [anon_sym_co_await] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_requires] = ACTIONS(2872),
    [sym_this] = ACTIONS(2872),
  },
  [598] = {
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_include_token1] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym___cdecl] = ACTIONS(2975),
    [anon_sym___clrcall] = ACTIONS(2975),
    [anon_sym___stdcall] = ACTIONS(2975),
    [anon_sym___fastcall] = ACTIONS(2975),
    [anon_sym___thiscall] = ACTIONS(2975),
    [anon_sym___vectorcall] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2977),
    [anon_sym_RBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym__Nonnull] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym__Alignas] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_switch] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_default] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_do] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_break] = ACTIONS(2975),
    [anon_sym_continue] = ACTIONS(2975),
    [anon_sym_goto] = ACTIONS(2975),
    [anon_sym___try] = ACTIONS(2975),
    [anon_sym___leave] = ACTIONS(2975),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_compl] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_sizeof] = ACTIONS(2975),
    [anon_sym___alignof__] = ACTIONS(2975),
    [anon_sym___alignof] = ACTIONS(2975),
    [anon_sym__alignof] = ACTIONS(2975),
    [anon_sym_alignof] = ACTIONS(2975),
    [anon_sym__Alignof] = ACTIONS(2975),
    [anon_sym_offsetof] = ACTIONS(2975),
    [anon_sym__Generic] = ACTIONS(2975),
    [anon_sym_asm] = ACTIONS(2975),
    [anon_sym___asm__] = ACTIONS(2975),
    [anon_sym___asm] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2977),
    [anon_sym_L_SQUOTE] = ACTIONS(2977),
    [anon_sym_u_SQUOTE] = ACTIONS(2977),
    [anon_sym_U_SQUOTE] = ACTIONS(2977),
    [anon_sym_u8_SQUOTE] = ACTIONS(2977),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_L_DQUOTE] = ACTIONS(2977),
    [anon_sym_u_DQUOTE] = ACTIONS(2977),
    [anon_sym_U_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [anon_sym_NULL] = ACTIONS(2975),
    [anon_sym_nullptr] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2975),
    [anon_sym_namespace] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
    [anon_sym_concept] = ACTIONS(2975),
    [anon_sym_co_return] = ACTIONS(2975),
    [anon_sym_co_yield] = ACTIONS(2975),
    [anon_sym_R_DQUOTE] = ACTIONS(2977),
    [anon_sym_LR_DQUOTE] = ACTIONS(2977),
    [anon_sym_uR_DQUOTE] = ACTIONS(2977),
    [anon_sym_UR_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2977),
    [anon_sym_co_await] = ACTIONS(2975),
    [anon_sym_new] = ACTIONS(2975),
    [anon_sym_requires] = ACTIONS(2975),
    [sym_this] = ACTIONS(2975),
  },
  [599] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token2] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym___try] = ACTIONS(3115),
    [anon_sym___leave] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [anon_sym___asm] = ACTIONS(3115),
    [sym_number_literal] = ACTIONS(3117),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [600] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym___try] = ACTIONS(3107),
    [anon_sym___leave] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [anon_sym___asm] = ACTIONS(3107),
    [sym_number_literal] = ACTIONS(3109),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [601] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_RBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym___leave] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(2856),
    [anon_sym_compl] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [sym_number_literal] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_namespace] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
    [anon_sym_concept] = ACTIONS(2856),
    [anon_sym_co_return] = ACTIONS(2856),
    [anon_sym_co_yield] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2858),
    [anon_sym_LR_DQUOTE] = ACTIONS(2858),
    [anon_sym_uR_DQUOTE] = ACTIONS(2858),
    [anon_sym_UR_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2858),
    [anon_sym_co_await] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_requires] = ACTIONS(2856),
    [sym_this] = ACTIONS(2856),
  },
  [602] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_RBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym___try] = ACTIONS(2936),
    [anon_sym___leave] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [anon_sym___asm] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [604] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_include_token1] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3127),
    [anon_sym_PLUS] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym___cdecl] = ACTIONS(3127),
    [anon_sym___clrcall] = ACTIONS(3127),
    [anon_sym___stdcall] = ACTIONS(3127),
    [anon_sym___fastcall] = ACTIONS(3127),
    [anon_sym___thiscall] = ACTIONS(3127),
    [anon_sym___vectorcall] = ACTIONS(3127),
    [anon_sym_LBRACE] = ACTIONS(3129),
    [anon_sym_RBRACE] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [anon_sym_if] = ACTIONS(3127),
    [anon_sym_switch] = ACTIONS(3127),
    [anon_sym_case] = ACTIONS(3127),
    [anon_sym_default] = ACTIONS(3127),
    [anon_sym_while] = ACTIONS(3127),
    [anon_sym_do] = ACTIONS(3127),
    [anon_sym_for] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_break] = ACTIONS(3127),
    [anon_sym_continue] = ACTIONS(3127),
    [anon_sym_goto] = ACTIONS(3127),
    [anon_sym___try] = ACTIONS(3127),
    [anon_sym___leave] = ACTIONS(3127),
    [anon_sym_not] = ACTIONS(3127),
    [anon_sym_compl] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3127),
    [anon_sym___alignof__] = ACTIONS(3127),
    [anon_sym___alignof] = ACTIONS(3127),
    [anon_sym__alignof] = ACTIONS(3127),
    [anon_sym_alignof] = ACTIONS(3127),
    [anon_sym__Alignof] = ACTIONS(3127),
    [anon_sym_offsetof] = ACTIONS(3127),
    [anon_sym__Generic] = ACTIONS(3127),
    [anon_sym_asm] = ACTIONS(3127),
    [anon_sym___asm__] = ACTIONS(3127),
    [anon_sym___asm] = ACTIONS(3127),
    [sym_number_literal] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3129),
    [anon_sym_u_SQUOTE] = ACTIONS(3129),
    [anon_sym_U_SQUOTE] = ACTIONS(3129),
    [anon_sym_u8_SQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3129),
    [anon_sym_L_DQUOTE] = ACTIONS(3129),
    [anon_sym_u_DQUOTE] = ACTIONS(3129),
    [anon_sym_U_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8_DQUOTE] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [sym_true] = ACTIONS(3127),
    [sym_false] = ACTIONS(3127),
    [anon_sym_NULL] = ACTIONS(3127),
    [anon_sym_nullptr] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_delete] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3127),
    [anon_sym_namespace] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
    [anon_sym_concept] = ACTIONS(3127),
    [anon_sym_co_return] = ACTIONS(3127),
    [anon_sym_co_yield] = ACTIONS(3127),
    [anon_sym_R_DQUOTE] = ACTIONS(3129),
    [anon_sym_LR_DQUOTE] = ACTIONS(3129),
    [anon_sym_uR_DQUOTE] = ACTIONS(3129),
    [anon_sym_UR_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3129),
    [anon_sym_co_await] = ACTIONS(3127),
    [anon_sym_new] = ACTIONS(3127),
    [anon_sym_requires] = ACTIONS(3127),
    [sym_this] = ACTIONS(3127),
  },
  [605] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym___try] = ACTIONS(3187),
    [anon_sym___leave] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [sym_number_literal] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [606] = {
    [sym_identifier] = ACTIONS(3026),
    [aux_sym_preproc_include_token1] = ACTIONS(3026),
    [aux_sym_preproc_def_token1] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3026),
    [sym_preproc_directive] = ACTIONS(3026),
    [anon_sym_LPAREN2] = ACTIONS(3028),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3026),
    [anon_sym_SEMI] = ACTIONS(3028),
    [anon_sym___extension__] = ACTIONS(3026),
    [anon_sym_typedef] = ACTIONS(3026),
    [anon_sym_virtual] = ACTIONS(3026),
    [anon_sym_extern] = ACTIONS(3026),
    [anon_sym___attribute__] = ACTIONS(3026),
    [anon_sym_COLON_COLON] = ACTIONS(3028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3028),
    [anon_sym___declspec] = ACTIONS(3026),
    [anon_sym___based] = ACTIONS(3026),
    [anon_sym___cdecl] = ACTIONS(3026),
    [anon_sym___clrcall] = ACTIONS(3026),
    [anon_sym___stdcall] = ACTIONS(3026),
    [anon_sym___fastcall] = ACTIONS(3026),
    [anon_sym___thiscall] = ACTIONS(3026),
    [anon_sym___vectorcall] = ACTIONS(3026),
    [anon_sym_LBRACE] = ACTIONS(3028),
    [anon_sym_RBRACE] = ACTIONS(3028),
    [anon_sym_signed] = ACTIONS(3026),
    [anon_sym_unsigned] = ACTIONS(3026),
    [anon_sym_long] = ACTIONS(3026),
    [anon_sym_short] = ACTIONS(3026),
    [anon_sym_LBRACK] = ACTIONS(3026),
    [anon_sym_static] = ACTIONS(3026),
    [anon_sym_register] = ACTIONS(3026),
    [anon_sym_inline] = ACTIONS(3026),
    [anon_sym___inline] = ACTIONS(3026),
    [anon_sym___inline__] = ACTIONS(3026),
    [anon_sym___forceinline] = ACTIONS(3026),
    [anon_sym_thread_local] = ACTIONS(3026),
    [anon_sym___thread] = ACTIONS(3026),
    [anon_sym_const] = ACTIONS(3026),
    [anon_sym_constexpr] = ACTIONS(3026),
    [anon_sym_volatile] = ACTIONS(3026),
    [anon_sym_restrict] = ACTIONS(3026),
    [anon_sym___restrict__] = ACTIONS(3026),
    [anon_sym__Atomic] = ACTIONS(3026),
    [anon_sym__Noreturn] = ACTIONS(3026),
    [anon_sym_noreturn] = ACTIONS(3026),
    [anon_sym__Nonnull] = ACTIONS(3026),
    [anon_sym_mutable] = ACTIONS(3026),
    [anon_sym_constinit] = ACTIONS(3026),
    [anon_sym_consteval] = ACTIONS(3026),
    [anon_sym_alignas] = ACTIONS(3026),
    [anon_sym__Alignas] = ACTIONS(3026),
    [sym_primitive_type] = ACTIONS(3026),
    [anon_sym_enum] = ACTIONS(3026),
    [anon_sym_class] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3026),
    [anon_sym_union] = ACTIONS(3026),
    [anon_sym_if] = ACTIONS(3026),
    [anon_sym_switch] = ACTIONS(3026),
    [anon_sym_case] = ACTIONS(3026),
    [anon_sym_default] = ACTIONS(3026),
    [anon_sym_while] = ACTIONS(3026),
    [anon_sym_do] = ACTIONS(3026),
    [anon_sym_for] = ACTIONS(3026),
    [anon_sym_return] = ACTIONS(3026),
    [anon_sym_break] = ACTIONS(3026),
    [anon_sym_continue] = ACTIONS(3026),
    [anon_sym_goto] = ACTIONS(3026),
    [anon_sym___try] = ACTIONS(3026),
    [anon_sym___leave] = ACTIONS(3026),
    [anon_sym_not] = ACTIONS(3026),
    [anon_sym_compl] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3028),
    [anon_sym_sizeof] = ACTIONS(3026),
    [anon_sym___alignof__] = ACTIONS(3026),
    [anon_sym___alignof] = ACTIONS(3026),
    [anon_sym__alignof] = ACTIONS(3026),
    [anon_sym_alignof] = ACTIONS(3026),
    [anon_sym__Alignof] = ACTIONS(3026),
    [anon_sym_offsetof] = ACTIONS(3026),
    [anon_sym__Generic] = ACTIONS(3026),
    [anon_sym_asm] = ACTIONS(3026),
    [anon_sym___asm__] = ACTIONS(3026),
    [anon_sym___asm] = ACTIONS(3026),
    [sym_number_literal] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3028),
    [anon_sym_u_SQUOTE] = ACTIONS(3028),
    [anon_sym_U_SQUOTE] = ACTIONS(3028),
    [anon_sym_u8_SQUOTE] = ACTIONS(3028),
    [anon_sym_SQUOTE] = ACTIONS(3028),
    [anon_sym_L_DQUOTE] = ACTIONS(3028),
    [anon_sym_u_DQUOTE] = ACTIONS(3028),
    [anon_sym_U_DQUOTE] = ACTIONS(3028),
    [anon_sym_u8_DQUOTE] = ACTIONS(3028),
    [anon_sym_DQUOTE] = ACTIONS(3028),
    [sym_true] = ACTIONS(3026),
    [sym_false] = ACTIONS(3026),
    [anon_sym_NULL] = ACTIONS(3026),
    [anon_sym_nullptr] = ACTIONS(3026),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3026),
    [anon_sym_decltype] = ACTIONS(3026),
    [anon_sym_explicit] = ACTIONS(3026),
    [anon_sym_typename] = ACTIONS(3026),
    [anon_sym_template] = ACTIONS(3026),
    [anon_sym_operator] = ACTIONS(3026),
    [anon_sym_try] = ACTIONS(3026),
    [anon_sym_delete] = ACTIONS(3026),
    [anon_sym_throw] = ACTIONS(3026),
    [anon_sym_namespace] = ACTIONS(3026),
    [anon_sym_using] = ACTIONS(3026),
    [anon_sym_static_assert] = ACTIONS(3026),
    [anon_sym_concept] = ACTIONS(3026),
    [anon_sym_co_return] = ACTIONS(3026),
    [anon_sym_co_yield] = ACTIONS(3026),
    [anon_sym_R_DQUOTE] = ACTIONS(3028),
    [anon_sym_LR_DQUOTE] = ACTIONS(3028),
    [anon_sym_uR_DQUOTE] = ACTIONS(3028),
    [anon_sym_UR_DQUOTE] = ACTIONS(3028),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3028),
    [anon_sym_co_await] = ACTIONS(3026),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_requires] = ACTIONS(3026),
    [sym_this] = ACTIONS(3026),
  },
  [607] = {
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [sym_primitive_type] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym___try] = ACTIONS(3056),
    [anon_sym___leave] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [sym_number_literal] = ACTIONS(3058),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [608] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [609] = {
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_include_token1] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token2] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3131),
    [anon_sym_PLUS] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_SEMI] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym___cdecl] = ACTIONS(3131),
    [anon_sym___clrcall] = ACTIONS(3131),
    [anon_sym___stdcall] = ACTIONS(3131),
    [anon_sym___fastcall] = ACTIONS(3131),
    [anon_sym___thiscall] = ACTIONS(3131),
    [anon_sym___vectorcall] = ACTIONS(3131),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_switch] = ACTIONS(3131),
    [anon_sym_case] = ACTIONS(3131),
    [anon_sym_default] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(3131),
    [anon_sym_do] = ACTIONS(3131),
    [anon_sym_for] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3131),
    [anon_sym_break] = ACTIONS(3131),
    [anon_sym_continue] = ACTIONS(3131),
    [anon_sym_goto] = ACTIONS(3131),
    [anon_sym___try] = ACTIONS(3131),
    [anon_sym___leave] = ACTIONS(3131),
    [anon_sym_not] = ACTIONS(3131),
    [anon_sym_compl] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3131),
    [anon_sym___alignof__] = ACTIONS(3131),
    [anon_sym___alignof] = ACTIONS(3131),
    [anon_sym__alignof] = ACTIONS(3131),
    [anon_sym_alignof] = ACTIONS(3131),
    [anon_sym__Alignof] = ACTIONS(3131),
    [anon_sym_offsetof] = ACTIONS(3131),
    [anon_sym__Generic] = ACTIONS(3131),
    [anon_sym_asm] = ACTIONS(3131),
    [anon_sym___asm__] = ACTIONS(3131),
    [anon_sym___asm] = ACTIONS(3131),
    [sym_number_literal] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3133),
    [anon_sym_u_SQUOTE] = ACTIONS(3133),
    [anon_sym_U_SQUOTE] = ACTIONS(3133),
    [anon_sym_u8_SQUOTE] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3133),
    [anon_sym_L_DQUOTE] = ACTIONS(3133),
    [anon_sym_u_DQUOTE] = ACTIONS(3133),
    [anon_sym_U_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8_DQUOTE] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3133),
    [sym_true] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
    [anon_sym_NULL] = ACTIONS(3131),
    [anon_sym_nullptr] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_try] = ACTIONS(3131),
    [anon_sym_delete] = ACTIONS(3131),
    [anon_sym_throw] = ACTIONS(3131),
    [anon_sym_namespace] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
    [anon_sym_concept] = ACTIONS(3131),
    [anon_sym_co_return] = ACTIONS(3131),
    [anon_sym_co_yield] = ACTIONS(3131),
    [anon_sym_R_DQUOTE] = ACTIONS(3133),
    [anon_sym_LR_DQUOTE] = ACTIONS(3133),
    [anon_sym_uR_DQUOTE] = ACTIONS(3133),
    [anon_sym_UR_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3133),
    [anon_sym_co_await] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_requires] = ACTIONS(3131),
    [sym_this] = ACTIONS(3131),
  },
  [610] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym__Nonnull] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [anon_sym___asm] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [611] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_RBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym___try] = ACTIONS(3015),
    [anon_sym___leave] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [anon_sym___asm] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [612] = {
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_include_token1] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_BANG] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym___cdecl] = ACTIONS(3019),
    [anon_sym___clrcall] = ACTIONS(3019),
    [anon_sym___stdcall] = ACTIONS(3019),
    [anon_sym___fastcall] = ACTIONS(3019),
    [anon_sym___thiscall] = ACTIONS(3019),
    [anon_sym___vectorcall] = ACTIONS(3019),
    [anon_sym_LBRACE] = ACTIONS(3021),
    [anon_sym_RBRACE] = ACTIONS(3021),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_switch] = ACTIONS(3019),
    [anon_sym_case] = ACTIONS(3019),
    [anon_sym_default] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_do] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_return] = ACTIONS(3019),
    [anon_sym_break] = ACTIONS(3019),
    [anon_sym_continue] = ACTIONS(3019),
    [anon_sym_goto] = ACTIONS(3019),
    [anon_sym___try] = ACTIONS(3019),
    [anon_sym___leave] = ACTIONS(3019),
    [anon_sym_not] = ACTIONS(3019),
    [anon_sym_compl] = ACTIONS(3019),
    [anon_sym_DASH_DASH] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3021),
    [anon_sym_sizeof] = ACTIONS(3019),
    [anon_sym___alignof__] = ACTIONS(3019),
    [anon_sym___alignof] = ACTIONS(3019),
    [anon_sym__alignof] = ACTIONS(3019),
    [anon_sym_alignof] = ACTIONS(3019),
    [anon_sym__Alignof] = ACTIONS(3019),
    [anon_sym_offsetof] = ACTIONS(3019),
    [anon_sym__Generic] = ACTIONS(3019),
    [anon_sym_asm] = ACTIONS(3019),
    [anon_sym___asm__] = ACTIONS(3019),
    [anon_sym___asm] = ACTIONS(3019),
    [sym_number_literal] = ACTIONS(3021),
    [anon_sym_L_SQUOTE] = ACTIONS(3021),
    [anon_sym_u_SQUOTE] = ACTIONS(3021),
    [anon_sym_U_SQUOTE] = ACTIONS(3021),
    [anon_sym_u8_SQUOTE] = ACTIONS(3021),
    [anon_sym_SQUOTE] = ACTIONS(3021),
    [anon_sym_L_DQUOTE] = ACTIONS(3021),
    [anon_sym_u_DQUOTE] = ACTIONS(3021),
    [anon_sym_U_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8_DQUOTE] = ACTIONS(3021),
    [anon_sym_DQUOTE] = ACTIONS(3021),
    [sym_true] = ACTIONS(3019),
    [sym_false] = ACTIONS(3019),
    [anon_sym_NULL] = ACTIONS(3019),
    [anon_sym_nullptr] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3019),
    [anon_sym_delete] = ACTIONS(3019),
    [anon_sym_throw] = ACTIONS(3019),
    [anon_sym_namespace] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
    [anon_sym_concept] = ACTIONS(3019),
    [anon_sym_co_return] = ACTIONS(3019),
    [anon_sym_co_yield] = ACTIONS(3019),
    [anon_sym_R_DQUOTE] = ACTIONS(3021),
    [anon_sym_LR_DQUOTE] = ACTIONS(3021),
    [anon_sym_uR_DQUOTE] = ACTIONS(3021),
    [anon_sym_UR_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3021),
    [anon_sym_co_await] = ACTIONS(3019),
    [anon_sym_new] = ACTIONS(3019),
    [anon_sym_requires] = ACTIONS(3019),
    [sym_this] = ACTIONS(3019),
  },
  [613] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [614] = {
    [sym_identifier] = ACTIONS(3030),
    [aux_sym_preproc_include_token1] = ACTIONS(3030),
    [aux_sym_preproc_def_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token1] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3030),
    [sym_preproc_directive] = ACTIONS(3030),
    [anon_sym_LPAREN2] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3030),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym___extension__] = ACTIONS(3030),
    [anon_sym_typedef] = ACTIONS(3030),
    [anon_sym_virtual] = ACTIONS(3030),
    [anon_sym_extern] = ACTIONS(3030),
    [anon_sym___attribute__] = ACTIONS(3030),
    [anon_sym_COLON_COLON] = ACTIONS(3032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3032),
    [anon_sym___declspec] = ACTIONS(3030),
    [anon_sym___based] = ACTIONS(3030),
    [anon_sym___cdecl] = ACTIONS(3030),
    [anon_sym___clrcall] = ACTIONS(3030),
    [anon_sym___stdcall] = ACTIONS(3030),
    [anon_sym___fastcall] = ACTIONS(3030),
    [anon_sym___thiscall] = ACTIONS(3030),
    [anon_sym___vectorcall] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_RBRACE] = ACTIONS(3032),
    [anon_sym_signed] = ACTIONS(3030),
    [anon_sym_unsigned] = ACTIONS(3030),
    [anon_sym_long] = ACTIONS(3030),
    [anon_sym_short] = ACTIONS(3030),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [anon_sym_static] = ACTIONS(3030),
    [anon_sym_register] = ACTIONS(3030),
    [anon_sym_inline] = ACTIONS(3030),
    [anon_sym___inline] = ACTIONS(3030),
    [anon_sym___inline__] = ACTIONS(3030),
    [anon_sym___forceinline] = ACTIONS(3030),
    [anon_sym_thread_local] = ACTIONS(3030),
    [anon_sym___thread] = ACTIONS(3030),
    [anon_sym_const] = ACTIONS(3030),
    [anon_sym_constexpr] = ACTIONS(3030),
    [anon_sym_volatile] = ACTIONS(3030),
    [anon_sym_restrict] = ACTIONS(3030),
    [anon_sym___restrict__] = ACTIONS(3030),
    [anon_sym__Atomic] = ACTIONS(3030),
    [anon_sym__Noreturn] = ACTIONS(3030),
    [anon_sym_noreturn] = ACTIONS(3030),
    [anon_sym__Nonnull] = ACTIONS(3030),
    [anon_sym_mutable] = ACTIONS(3030),
    [anon_sym_constinit] = ACTIONS(3030),
    [anon_sym_consteval] = ACTIONS(3030),
    [anon_sym_alignas] = ACTIONS(3030),
    [anon_sym__Alignas] = ACTIONS(3030),
    [sym_primitive_type] = ACTIONS(3030),
    [anon_sym_enum] = ACTIONS(3030),
    [anon_sym_class] = ACTIONS(3030),
    [anon_sym_struct] = ACTIONS(3030),
    [anon_sym_union] = ACTIONS(3030),
    [anon_sym_if] = ACTIONS(3030),
    [anon_sym_switch] = ACTIONS(3030),
    [anon_sym_case] = ACTIONS(3030),
    [anon_sym_default] = ACTIONS(3030),
    [anon_sym_while] = ACTIONS(3030),
    [anon_sym_do] = ACTIONS(3030),
    [anon_sym_for] = ACTIONS(3030),
    [anon_sym_return] = ACTIONS(3030),
    [anon_sym_break] = ACTIONS(3030),
    [anon_sym_continue] = ACTIONS(3030),
    [anon_sym_goto] = ACTIONS(3030),
    [anon_sym___try] = ACTIONS(3030),
    [anon_sym___leave] = ACTIONS(3030),
    [anon_sym_not] = ACTIONS(3030),
    [anon_sym_compl] = ACTIONS(3030),
    [anon_sym_DASH_DASH] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(3032),
    [anon_sym_sizeof] = ACTIONS(3030),
    [anon_sym___alignof__] = ACTIONS(3030),
    [anon_sym___alignof] = ACTIONS(3030),
    [anon_sym__alignof] = ACTIONS(3030),
    [anon_sym_alignof] = ACTIONS(3030),
    [anon_sym__Alignof] = ACTIONS(3030),
    [anon_sym_offsetof] = ACTIONS(3030),
    [anon_sym__Generic] = ACTIONS(3030),
    [anon_sym_asm] = ACTIONS(3030),
    [anon_sym___asm__] = ACTIONS(3030),
    [anon_sym___asm] = ACTIONS(3030),
    [sym_number_literal] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3032),
    [anon_sym_u_SQUOTE] = ACTIONS(3032),
    [anon_sym_U_SQUOTE] = ACTIONS(3032),
    [anon_sym_u8_SQUOTE] = ACTIONS(3032),
    [anon_sym_SQUOTE] = ACTIONS(3032),
    [anon_sym_L_DQUOTE] = ACTIONS(3032),
    [anon_sym_u_DQUOTE] = ACTIONS(3032),
    [anon_sym_U_DQUOTE] = ACTIONS(3032),
    [anon_sym_u8_DQUOTE] = ACTIONS(3032),
    [anon_sym_DQUOTE] = ACTIONS(3032),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_NULL] = ACTIONS(3030),
    [anon_sym_nullptr] = ACTIONS(3030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3030),
    [anon_sym_decltype] = ACTIONS(3030),
    [anon_sym_explicit] = ACTIONS(3030),
    [anon_sym_typename] = ACTIONS(3030),
    [anon_sym_template] = ACTIONS(3030),
    [anon_sym_operator] = ACTIONS(3030),
    [anon_sym_try] = ACTIONS(3030),
    [anon_sym_delete] = ACTIONS(3030),
    [anon_sym_throw] = ACTIONS(3030),
    [anon_sym_namespace] = ACTIONS(3030),
    [anon_sym_using] = ACTIONS(3030),
    [anon_sym_static_assert] = ACTIONS(3030),
    [anon_sym_concept] = ACTIONS(3030),
    [anon_sym_co_return] = ACTIONS(3030),
    [anon_sym_co_yield] = ACTIONS(3030),
    [anon_sym_R_DQUOTE] = ACTIONS(3032),
    [anon_sym_LR_DQUOTE] = ACTIONS(3032),
    [anon_sym_uR_DQUOTE] = ACTIONS(3032),
    [anon_sym_UR_DQUOTE] = ACTIONS(3032),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3032),
    [anon_sym_co_await] = ACTIONS(3030),
    [anon_sym_new] = ACTIONS(3030),
    [anon_sym_requires] = ACTIONS(3030),
    [sym_this] = ACTIONS(3030),
  },
  [615] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym___try] = ACTIONS(3151),
    [anon_sym___leave] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [616] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_RBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym___try] = ACTIONS(3139),
    [anon_sym___leave] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [sym_number_literal] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [anon_sym___asm] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [618] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym___try] = ACTIONS(3139),
    [anon_sym___leave] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [sym_number_literal] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [619] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_RBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym___try] = ACTIONS(3011),
    [anon_sym___leave] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [anon_sym___asm] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [620] = {
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_include_token1] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym___cdecl] = ACTIONS(3135),
    [anon_sym___clrcall] = ACTIONS(3135),
    [anon_sym___stdcall] = ACTIONS(3135),
    [anon_sym___fastcall] = ACTIONS(3135),
    [anon_sym___thiscall] = ACTIONS(3135),
    [anon_sym___vectorcall] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3137),
    [anon_sym_RBRACE] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_case] = ACTIONS(3135),
    [anon_sym_default] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_goto] = ACTIONS(3135),
    [anon_sym___try] = ACTIONS(3135),
    [anon_sym___leave] = ACTIONS(3135),
    [anon_sym_not] = ACTIONS(3135),
    [anon_sym_compl] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3137),
    [anon_sym_PLUS_PLUS] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3135),
    [anon_sym___alignof__] = ACTIONS(3135),
    [anon_sym___alignof] = ACTIONS(3135),
    [anon_sym__alignof] = ACTIONS(3135),
    [anon_sym_alignof] = ACTIONS(3135),
    [anon_sym__Alignof] = ACTIONS(3135),
    [anon_sym_offsetof] = ACTIONS(3135),
    [anon_sym__Generic] = ACTIONS(3135),
    [anon_sym_asm] = ACTIONS(3135),
    [anon_sym___asm__] = ACTIONS(3135),
    [anon_sym___asm] = ACTIONS(3135),
    [sym_number_literal] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3137),
    [anon_sym_u_SQUOTE] = ACTIONS(3137),
    [anon_sym_U_SQUOTE] = ACTIONS(3137),
    [anon_sym_u8_SQUOTE] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3137),
    [anon_sym_L_DQUOTE] = ACTIONS(3137),
    [anon_sym_u_DQUOTE] = ACTIONS(3137),
    [anon_sym_U_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8_DQUOTE] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3137),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [anon_sym_NULL] = ACTIONS(3135),
    [anon_sym_nullptr] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
    [anon_sym_concept] = ACTIONS(3135),
    [anon_sym_co_return] = ACTIONS(3135),
    [anon_sym_co_yield] = ACTIONS(3135),
    [anon_sym_R_DQUOTE] = ACTIONS(3137),
    [anon_sym_LR_DQUOTE] = ACTIONS(3137),
    [anon_sym_uR_DQUOTE] = ACTIONS(3137),
    [anon_sym_UR_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3137),
    [anon_sym_co_await] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_requires] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym___try] = ACTIONS(2928),
    [anon_sym___leave] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [622] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [sym_primitive_type] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym___try] = ACTIONS(3064),
    [anon_sym___leave] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [sym_number_literal] = ACTIONS(3066),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [623] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token2] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym___try] = ACTIONS(3119),
    [anon_sym___leave] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [sym_number_literal] = ACTIONS(3121),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [624] = {
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_SEMI] = ACTIONS(3157),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_RBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [sym_primitive_type] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym___try] = ACTIONS(3155),
    [anon_sym___leave] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [sym_number_literal] = ACTIONS(3157),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [anon_sym___asm] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [626] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym___try] = ACTIONS(2948),
    [anon_sym___leave] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [anon_sym___asm] = ACTIONS(2948),
    [sym_number_literal] = ACTIONS(2950),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym___try] = ACTIONS(2940),
    [anon_sym___leave] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [628] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym___try] = ACTIONS(3147),
    [anon_sym___leave] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [sym_number_literal] = ACTIONS(3149),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [629] = {
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_include_token1] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3131),
    [anon_sym_PLUS] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_SEMI] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym___cdecl] = ACTIONS(3131),
    [anon_sym___clrcall] = ACTIONS(3131),
    [anon_sym___stdcall] = ACTIONS(3131),
    [anon_sym___fastcall] = ACTIONS(3131),
    [anon_sym___thiscall] = ACTIONS(3131),
    [anon_sym___vectorcall] = ACTIONS(3131),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_RBRACE] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_switch] = ACTIONS(3131),
    [anon_sym_case] = ACTIONS(3131),
    [anon_sym_default] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(3131),
    [anon_sym_do] = ACTIONS(3131),
    [anon_sym_for] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3131),
    [anon_sym_break] = ACTIONS(3131),
    [anon_sym_continue] = ACTIONS(3131),
    [anon_sym_goto] = ACTIONS(3131),
    [anon_sym___try] = ACTIONS(3131),
    [anon_sym___leave] = ACTIONS(3131),
    [anon_sym_not] = ACTIONS(3131),
    [anon_sym_compl] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3131),
    [anon_sym___alignof__] = ACTIONS(3131),
    [anon_sym___alignof] = ACTIONS(3131),
    [anon_sym__alignof] = ACTIONS(3131),
    [anon_sym_alignof] = ACTIONS(3131),
    [anon_sym__Alignof] = ACTIONS(3131),
    [anon_sym_offsetof] = ACTIONS(3131),
    [anon_sym__Generic] = ACTIONS(3131),
    [anon_sym_asm] = ACTIONS(3131),
    [anon_sym___asm__] = ACTIONS(3131),
    [anon_sym___asm] = ACTIONS(3131),
    [sym_number_literal] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3133),
    [anon_sym_u_SQUOTE] = ACTIONS(3133),
    [anon_sym_U_SQUOTE] = ACTIONS(3133),
    [anon_sym_u8_SQUOTE] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3133),
    [anon_sym_L_DQUOTE] = ACTIONS(3133),
    [anon_sym_u_DQUOTE] = ACTIONS(3133),
    [anon_sym_U_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8_DQUOTE] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3133),
    [sym_true] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
    [anon_sym_NULL] = ACTIONS(3131),
    [anon_sym_nullptr] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_try] = ACTIONS(3131),
    [anon_sym_delete] = ACTIONS(3131),
    [anon_sym_throw] = ACTIONS(3131),
    [anon_sym_namespace] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
    [anon_sym_concept] = ACTIONS(3131),
    [anon_sym_co_return] = ACTIONS(3131),
    [anon_sym_co_yield] = ACTIONS(3131),
    [anon_sym_R_DQUOTE] = ACTIONS(3133),
    [anon_sym_LR_DQUOTE] = ACTIONS(3133),
    [anon_sym_uR_DQUOTE] = ACTIONS(3133),
    [anon_sym_UR_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3133),
    [anon_sym_co_await] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_requires] = ACTIONS(3131),
    [sym_this] = ACTIONS(3131),
  },
  [630] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [sym_primitive_type] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym___try] = ACTIONS(3052),
    [anon_sym___leave] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [sym_number_literal] = ACTIONS(3054),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [631] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_RBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [sym_primitive_type] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym___try] = ACTIONS(3103),
    [anon_sym___leave] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [anon_sym___asm] = ACTIONS(3103),
    [sym_number_literal] = ACTIONS(3105),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [632] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_RBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [sym_primitive_type] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym___try] = ACTIONS(3099),
    [anon_sym___leave] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [anon_sym___asm] = ACTIONS(3099),
    [sym_number_literal] = ACTIONS(3101),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [633] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym__Nonnull] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym__Alignas] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [anon_sym___asm] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [634] = {
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token2] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_SEMI] = ACTIONS(3113),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym__Nonnull] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym__Alignas] = ACTIONS(3111),
    [sym_primitive_type] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym___try] = ACTIONS(3111),
    [anon_sym___leave] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [anon_sym___asm] = ACTIONS(3111),
    [sym_number_literal] = ACTIONS(3113),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [635] = {
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [sym_primitive_type] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym___try] = ACTIONS(3072),
    [anon_sym___leave] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [sym_number_literal] = ACTIONS(3074),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym___cdecl] = ACTIONS(2968),
    [anon_sym___clrcall] = ACTIONS(2968),
    [anon_sym___stdcall] = ACTIONS(2968),
    [anon_sym___fastcall] = ACTIONS(2968),
    [anon_sym___thiscall] = ACTIONS(2968),
    [anon_sym___vectorcall] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_RBRACE] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [sym_primitive_type] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_goto] = ACTIONS(2968),
    [anon_sym___try] = ACTIONS(2968),
    [anon_sym___leave] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2968),
    [anon_sym_compl] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_sizeof] = ACTIONS(2968),
    [anon_sym___alignof__] = ACTIONS(2968),
    [anon_sym___alignof] = ACTIONS(2968),
    [anon_sym__alignof] = ACTIONS(2968),
    [anon_sym_alignof] = ACTIONS(2968),
    [anon_sym__Alignof] = ACTIONS(2968),
    [anon_sym_offsetof] = ACTIONS(2968),
    [anon_sym__Generic] = ACTIONS(2968),
    [anon_sym_asm] = ACTIONS(2968),
    [anon_sym___asm__] = ACTIONS(2968),
    [anon_sym___asm] = ACTIONS(2968),
    [sym_number_literal] = ACTIONS(2970),
    [anon_sym_L_SQUOTE] = ACTIONS(2970),
    [anon_sym_u_SQUOTE] = ACTIONS(2970),
    [anon_sym_U_SQUOTE] = ACTIONS(2970),
    [anon_sym_u8_SQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [anon_sym_L_DQUOTE] = ACTIONS(2970),
    [anon_sym_u_DQUOTE] = ACTIONS(2970),
    [anon_sym_U_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8_DQUOTE] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [anon_sym_NULL] = ACTIONS(2968),
    [anon_sym_nullptr] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
    [anon_sym_concept] = ACTIONS(2968),
    [anon_sym_co_return] = ACTIONS(2968),
    [anon_sym_co_yield] = ACTIONS(2968),
    [anon_sym_R_DQUOTE] = ACTIONS(2970),
    [anon_sym_LR_DQUOTE] = ACTIONS(2970),
    [anon_sym_uR_DQUOTE] = ACTIONS(2970),
    [anon_sym_UR_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2970),
    [anon_sym_co_await] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_requires] = ACTIONS(2968),
    [sym_this] = ACTIONS(2968),
  },
  [637] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym__Nonnull] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [anon_sym___asm] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [638] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token2] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [sym_primitive_type] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym___try] = ACTIONS(3103),
    [anon_sym___leave] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [anon_sym___asm] = ACTIONS(3103),
    [sym_number_literal] = ACTIONS(3105),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_include_token1] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token2] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym___cdecl] = ACTIONS(2975),
    [anon_sym___clrcall] = ACTIONS(2975),
    [anon_sym___stdcall] = ACTIONS(2975),
    [anon_sym___fastcall] = ACTIONS(2975),
    [anon_sym___thiscall] = ACTIONS(2975),
    [anon_sym___vectorcall] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym__Nonnull] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym__Alignas] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_switch] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_default] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_do] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_break] = ACTIONS(2975),
    [anon_sym_continue] = ACTIONS(2975),
    [anon_sym_goto] = ACTIONS(2975),
    [anon_sym___try] = ACTIONS(2975),
    [anon_sym___leave] = ACTIONS(2975),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_compl] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_sizeof] = ACTIONS(2975),
    [anon_sym___alignof__] = ACTIONS(2975),
    [anon_sym___alignof] = ACTIONS(2975),
    [anon_sym__alignof] = ACTIONS(2975),
    [anon_sym_alignof] = ACTIONS(2975),
    [anon_sym__Alignof] = ACTIONS(2975),
    [anon_sym_offsetof] = ACTIONS(2975),
    [anon_sym__Generic] = ACTIONS(2975),
    [anon_sym_asm] = ACTIONS(2975),
    [anon_sym___asm__] = ACTIONS(2975),
    [anon_sym___asm] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2977),
    [anon_sym_L_SQUOTE] = ACTIONS(2977),
    [anon_sym_u_SQUOTE] = ACTIONS(2977),
    [anon_sym_U_SQUOTE] = ACTIONS(2977),
    [anon_sym_u8_SQUOTE] = ACTIONS(2977),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_L_DQUOTE] = ACTIONS(2977),
    [anon_sym_u_DQUOTE] = ACTIONS(2977),
    [anon_sym_U_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [anon_sym_NULL] = ACTIONS(2975),
    [anon_sym_nullptr] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2975),
    [anon_sym_namespace] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
    [anon_sym_concept] = ACTIONS(2975),
    [anon_sym_co_return] = ACTIONS(2975),
    [anon_sym_co_yield] = ACTIONS(2975),
    [anon_sym_R_DQUOTE] = ACTIONS(2977),
    [anon_sym_LR_DQUOTE] = ACTIONS(2977),
    [anon_sym_uR_DQUOTE] = ACTIONS(2977),
    [anon_sym_UR_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2977),
    [anon_sym_co_await] = ACTIONS(2975),
    [anon_sym_new] = ACTIONS(2975),
    [anon_sym_requires] = ACTIONS(2975),
    [sym_this] = ACTIONS(2975),
  },
  [640] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_include_token1] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token2] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3127),
    [anon_sym_PLUS] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym___cdecl] = ACTIONS(3127),
    [anon_sym___clrcall] = ACTIONS(3127),
    [anon_sym___stdcall] = ACTIONS(3127),
    [anon_sym___fastcall] = ACTIONS(3127),
    [anon_sym___thiscall] = ACTIONS(3127),
    [anon_sym___vectorcall] = ACTIONS(3127),
    [anon_sym_LBRACE] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [anon_sym_if] = ACTIONS(3127),
    [anon_sym_switch] = ACTIONS(3127),
    [anon_sym_case] = ACTIONS(3127),
    [anon_sym_default] = ACTIONS(3127),
    [anon_sym_while] = ACTIONS(3127),
    [anon_sym_do] = ACTIONS(3127),
    [anon_sym_for] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_break] = ACTIONS(3127),
    [anon_sym_continue] = ACTIONS(3127),
    [anon_sym_goto] = ACTIONS(3127),
    [anon_sym___try] = ACTIONS(3127),
    [anon_sym___leave] = ACTIONS(3127),
    [anon_sym_not] = ACTIONS(3127),
    [anon_sym_compl] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3127),
    [anon_sym___alignof__] = ACTIONS(3127),
    [anon_sym___alignof] = ACTIONS(3127),
    [anon_sym__alignof] = ACTIONS(3127),
    [anon_sym_alignof] = ACTIONS(3127),
    [anon_sym__Alignof] = ACTIONS(3127),
    [anon_sym_offsetof] = ACTIONS(3127),
    [anon_sym__Generic] = ACTIONS(3127),
    [anon_sym_asm] = ACTIONS(3127),
    [anon_sym___asm__] = ACTIONS(3127),
    [anon_sym___asm] = ACTIONS(3127),
    [sym_number_literal] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3129),
    [anon_sym_u_SQUOTE] = ACTIONS(3129),
    [anon_sym_U_SQUOTE] = ACTIONS(3129),
    [anon_sym_u8_SQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3129),
    [anon_sym_L_DQUOTE] = ACTIONS(3129),
    [anon_sym_u_DQUOTE] = ACTIONS(3129),
    [anon_sym_U_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8_DQUOTE] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [sym_true] = ACTIONS(3127),
    [sym_false] = ACTIONS(3127),
    [anon_sym_NULL] = ACTIONS(3127),
    [anon_sym_nullptr] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_delete] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3127),
    [anon_sym_namespace] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
    [anon_sym_concept] = ACTIONS(3127),
    [anon_sym_co_return] = ACTIONS(3127),
    [anon_sym_co_yield] = ACTIONS(3127),
    [anon_sym_R_DQUOTE] = ACTIONS(3129),
    [anon_sym_LR_DQUOTE] = ACTIONS(3129),
    [anon_sym_uR_DQUOTE] = ACTIONS(3129),
    [anon_sym_UR_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3129),
    [anon_sym_co_await] = ACTIONS(3127),
    [anon_sym_new] = ACTIONS(3127),
    [anon_sym_requires] = ACTIONS(3127),
    [sym_this] = ACTIONS(3127),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token2] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [sym_number_literal] = ACTIONS(2918),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [643] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [sym_primitive_type] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym___try] = ACTIONS(3099),
    [anon_sym___leave] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [anon_sym___asm] = ACTIONS(3099),
    [sym_number_literal] = ACTIONS(3101),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [644] = {
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_field_declaration_list] = STATE(644),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(644),
    [sym_type_definition] = STATE(644),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5305),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(644),
    [sym_field_declaration] = STATE(644),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(644),
    [sym_operator_cast] = STATE(6344),
    [sym_inline_method_definition] = STATE(644),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(644),
    [sym_operator_cast_declaration] = STATE(644),
    [sym_constructor_or_destructor_definition] = STATE(644),
    [sym_constructor_or_destructor_declaration] = STATE(644),
    [sym_friend_declaration] = STATE(644),
    [sym_access_specifier] = STATE(7977),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(644),
    [sym_alias_declaration] = STATE(644),
    [sym_static_assert_declaration] = STATE(644),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(644),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3328),
    [aux_sym_preproc_if_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token2] = ACTIONS(3334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3336),
    [aux_sym_preproc_else_token1] = ACTIONS(3334),
    [aux_sym_preproc_elif_token1] = ACTIONS(3334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3334),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3334),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3348),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym___extension__] = ACTIONS(3360),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3366),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3372),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3378),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3384),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3396),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym__Nonnull] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3399),
    [anon_sym__Alignas] = ACTIONS(3399),
    [sym_primitive_type] = ACTIONS(3402),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3408),
    [anon_sym_struct] = ACTIONS(3411),
    [anon_sym_union] = ACTIONS(3414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3420),
    [anon_sym_explicit] = ACTIONS(3423),
    [anon_sym_typename] = ACTIONS(3426),
    [anon_sym_template] = ACTIONS(3429),
    [anon_sym_operator] = ACTIONS(3432),
    [anon_sym_friend] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3438),
    [anon_sym_private] = ACTIONS(3438),
    [anon_sym_protected] = ACTIONS(3438),
    [anon_sym_using] = ACTIONS(3441),
    [anon_sym_static_assert] = ACTIONS(3444),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token2] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2910),
    [aux_sym_preproc_include_token1] = ACTIONS(2910),
    [aux_sym_preproc_def_token1] = ACTIONS(2910),
    [aux_sym_preproc_if_token1] = ACTIONS(2910),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2910),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2910),
    [sym_preproc_directive] = ACTIONS(2910),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2910),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2910),
    [anon_sym_typedef] = ACTIONS(2910),
    [anon_sym_virtual] = ACTIONS(2910),
    [anon_sym_extern] = ACTIONS(2910),
    [anon_sym___attribute__] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2910),
    [anon_sym___based] = ACTIONS(2910),
    [anon_sym___cdecl] = ACTIONS(2910),
    [anon_sym___clrcall] = ACTIONS(2910),
    [anon_sym___stdcall] = ACTIONS(2910),
    [anon_sym___fastcall] = ACTIONS(2910),
    [anon_sym___thiscall] = ACTIONS(2910),
    [anon_sym___vectorcall] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2910),
    [anon_sym_unsigned] = ACTIONS(2910),
    [anon_sym_long] = ACTIONS(2910),
    [anon_sym_short] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_register] = ACTIONS(2910),
    [anon_sym_inline] = ACTIONS(2910),
    [anon_sym___inline] = ACTIONS(2910),
    [anon_sym___inline__] = ACTIONS(2910),
    [anon_sym___forceinline] = ACTIONS(2910),
    [anon_sym_thread_local] = ACTIONS(2910),
    [anon_sym___thread] = ACTIONS(2910),
    [anon_sym_const] = ACTIONS(2910),
    [anon_sym_constexpr] = ACTIONS(2910),
    [anon_sym_volatile] = ACTIONS(2910),
    [anon_sym_restrict] = ACTIONS(2910),
    [anon_sym___restrict__] = ACTIONS(2910),
    [anon_sym__Atomic] = ACTIONS(2910),
    [anon_sym__Noreturn] = ACTIONS(2910),
    [anon_sym_noreturn] = ACTIONS(2910),
    [anon_sym__Nonnull] = ACTIONS(2910),
    [anon_sym_mutable] = ACTIONS(2910),
    [anon_sym_constinit] = ACTIONS(2910),
    [anon_sym_consteval] = ACTIONS(2910),
    [anon_sym_alignas] = ACTIONS(2910),
    [anon_sym__Alignas] = ACTIONS(2910),
    [sym_primitive_type] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_struct] = ACTIONS(2910),
    [anon_sym_union] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2910),
    [anon_sym_switch] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_default] = ACTIONS(2910),
    [anon_sym_while] = ACTIONS(2910),
    [anon_sym_do] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2910),
    [anon_sym_return] = ACTIONS(2910),
    [anon_sym_break] = ACTIONS(2910),
    [anon_sym_continue] = ACTIONS(2910),
    [anon_sym_goto] = ACTIONS(2910),
    [anon_sym___try] = ACTIONS(2910),
    [anon_sym___leave] = ACTIONS(2910),
    [anon_sym_not] = ACTIONS(2910),
    [anon_sym_compl] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2910),
    [anon_sym___alignof__] = ACTIONS(2910),
    [anon_sym___alignof] = ACTIONS(2910),
    [anon_sym__alignof] = ACTIONS(2910),
    [anon_sym_alignof] = ACTIONS(2910),
    [anon_sym__Alignof] = ACTIONS(2910),
    [anon_sym_offsetof] = ACTIONS(2910),
    [anon_sym__Generic] = ACTIONS(2910),
    [anon_sym_asm] = ACTIONS(2910),
    [anon_sym___asm__] = ACTIONS(2910),
    [anon_sym___asm] = ACTIONS(2910),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2910),
    [sym_false] = ACTIONS(2910),
    [anon_sym_NULL] = ACTIONS(2910),
    [anon_sym_nullptr] = ACTIONS(2910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2910),
    [anon_sym_decltype] = ACTIONS(2910),
    [anon_sym_explicit] = ACTIONS(2910),
    [anon_sym_typename] = ACTIONS(2910),
    [anon_sym_template] = ACTIONS(2910),
    [anon_sym_operator] = ACTIONS(2910),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_delete] = ACTIONS(2910),
    [anon_sym_throw] = ACTIONS(2910),
    [anon_sym_namespace] = ACTIONS(2910),
    [anon_sym_using] = ACTIONS(2910),
    [anon_sym_static_assert] = ACTIONS(2910),
    [anon_sym_concept] = ACTIONS(2910),
    [anon_sym_co_return] = ACTIONS(2910),
    [anon_sym_co_yield] = ACTIONS(2910),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2910),
    [anon_sym_requires] = ACTIONS(2910),
    [sym_this] = ACTIONS(2910),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_RBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym___try] = ACTIONS(2920),
    [anon_sym___leave] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [648] = {
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_SEMI] = ACTIONS(3145),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_RBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym___try] = ACTIONS(3143),
    [anon_sym___leave] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [sym_number_literal] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [649] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_RBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym___try] = ACTIONS(3115),
    [anon_sym___leave] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [anon_sym___asm] = ACTIONS(3115),
    [sym_number_literal] = ACTIONS(3117),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [650] = {
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [sym_primitive_type] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym___try] = ACTIONS(3060),
    [anon_sym___leave] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [sym_number_literal] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2918),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_RBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym___try] = ACTIONS(2916),
    [anon_sym___leave] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [sym_number_literal] = ACTIONS(2918),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [652] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [sym_primitive_type] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym___try] = ACTIONS(3048),
    [anon_sym___leave] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [anon_sym___asm] = ACTIONS(3048),
    [sym_number_literal] = ACTIONS(3050),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [653] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [sym_primitive_type] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym___try] = ACTIONS(3040),
    [anon_sym___leave] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [sym_number_literal] = ACTIONS(3042),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [654] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [sym_primitive_type] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym___try] = ACTIONS(3036),
    [anon_sym___leave] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [sym_number_literal] = ACTIONS(3038),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [655] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_RBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [656] = {
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_virtual] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_RBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym__Nonnull] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym__Alignas] = ACTIONS(2960),
    [sym_primitive_type] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym___try] = ACTIONS(2960),
    [anon_sym___leave] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [anon_sym___asm] = ACTIONS(2960),
    [sym_number_literal] = ACTIONS(2962),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [657] = {
    [sym_identifier] = ACTIONS(2906),
    [aux_sym_preproc_include_token1] = ACTIONS(2906),
    [aux_sym_preproc_def_token1] = ACTIONS(2906),
    [aux_sym_preproc_if_token1] = ACTIONS(2906),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2906),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2906),
    [sym_preproc_directive] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(2908),
    [anon_sym_BANG] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2906),
    [anon_sym_PLUS] = ACTIONS(2906),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_AMP] = ACTIONS(2906),
    [anon_sym_SEMI] = ACTIONS(2908),
    [anon_sym___extension__] = ACTIONS(2906),
    [anon_sym_typedef] = ACTIONS(2906),
    [anon_sym_virtual] = ACTIONS(2906),
    [anon_sym_extern] = ACTIONS(2906),
    [anon_sym___attribute__] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2908),
    [anon_sym___declspec] = ACTIONS(2906),
    [anon_sym___based] = ACTIONS(2906),
    [anon_sym___cdecl] = ACTIONS(2906),
    [anon_sym___clrcall] = ACTIONS(2906),
    [anon_sym___stdcall] = ACTIONS(2906),
    [anon_sym___fastcall] = ACTIONS(2906),
    [anon_sym___thiscall] = ACTIONS(2906),
    [anon_sym___vectorcall] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_RBRACE] = ACTIONS(2908),
    [anon_sym_signed] = ACTIONS(2906),
    [anon_sym_unsigned] = ACTIONS(2906),
    [anon_sym_long] = ACTIONS(2906),
    [anon_sym_short] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2906),
    [anon_sym_static] = ACTIONS(2906),
    [anon_sym_register] = ACTIONS(2906),
    [anon_sym_inline] = ACTIONS(2906),
    [anon_sym___inline] = ACTIONS(2906),
    [anon_sym___inline__] = ACTIONS(2906),
    [anon_sym___forceinline] = ACTIONS(2906),
    [anon_sym_thread_local] = ACTIONS(2906),
    [anon_sym___thread] = ACTIONS(2906),
    [anon_sym_const] = ACTIONS(2906),
    [anon_sym_constexpr] = ACTIONS(2906),
    [anon_sym_volatile] = ACTIONS(2906),
    [anon_sym_restrict] = ACTIONS(2906),
    [anon_sym___restrict__] = ACTIONS(2906),
    [anon_sym__Atomic] = ACTIONS(2906),
    [anon_sym__Noreturn] = ACTIONS(2906),
    [anon_sym_noreturn] = ACTIONS(2906),
    [anon_sym__Nonnull] = ACTIONS(2906),
    [anon_sym_mutable] = ACTIONS(2906),
    [anon_sym_constinit] = ACTIONS(2906),
    [anon_sym_consteval] = ACTIONS(2906),
    [anon_sym_alignas] = ACTIONS(2906),
    [anon_sym__Alignas] = ACTIONS(2906),
    [sym_primitive_type] = ACTIONS(2906),
    [anon_sym_enum] = ACTIONS(2906),
    [anon_sym_class] = ACTIONS(2906),
    [anon_sym_struct] = ACTIONS(2906),
    [anon_sym_union] = ACTIONS(2906),
    [anon_sym_if] = ACTIONS(2906),
    [anon_sym_switch] = ACTIONS(2906),
    [anon_sym_case] = ACTIONS(2906),
    [anon_sym_default] = ACTIONS(2906),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_do] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2906),
    [anon_sym_return] = ACTIONS(2906),
    [anon_sym_break] = ACTIONS(2906),
    [anon_sym_continue] = ACTIONS(2906),
    [anon_sym_goto] = ACTIONS(2906),
    [anon_sym___try] = ACTIONS(2906),
    [anon_sym___leave] = ACTIONS(2906),
    [anon_sym_not] = ACTIONS(2906),
    [anon_sym_compl] = ACTIONS(2906),
    [anon_sym_DASH_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_PLUS] = ACTIONS(2908),
    [anon_sym_sizeof] = ACTIONS(2906),
    [anon_sym___alignof__] = ACTIONS(2906),
    [anon_sym___alignof] = ACTIONS(2906),
    [anon_sym__alignof] = ACTIONS(2906),
    [anon_sym_alignof] = ACTIONS(2906),
    [anon_sym__Alignof] = ACTIONS(2906),
    [anon_sym_offsetof] = ACTIONS(2906),
    [anon_sym__Generic] = ACTIONS(2906),
    [anon_sym_asm] = ACTIONS(2906),
    [anon_sym___asm__] = ACTIONS(2906),
    [anon_sym___asm] = ACTIONS(2906),
    [sym_number_literal] = ACTIONS(2908),
    [anon_sym_L_SQUOTE] = ACTIONS(2908),
    [anon_sym_u_SQUOTE] = ACTIONS(2908),
    [anon_sym_U_SQUOTE] = ACTIONS(2908),
    [anon_sym_u8_SQUOTE] = ACTIONS(2908),
    [anon_sym_SQUOTE] = ACTIONS(2908),
    [anon_sym_L_DQUOTE] = ACTIONS(2908),
    [anon_sym_u_DQUOTE] = ACTIONS(2908),
    [anon_sym_U_DQUOTE] = ACTIONS(2908),
    [anon_sym_u8_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [sym_true] = ACTIONS(2906),
    [sym_false] = ACTIONS(2906),
    [anon_sym_NULL] = ACTIONS(2906),
    [anon_sym_nullptr] = ACTIONS(2906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2906),
    [anon_sym_decltype] = ACTIONS(2906),
    [anon_sym_explicit] = ACTIONS(2906),
    [anon_sym_typename] = ACTIONS(2906),
    [anon_sym_template] = ACTIONS(2906),
    [anon_sym_operator] = ACTIONS(2906),
    [anon_sym_try] = ACTIONS(2906),
    [anon_sym_delete] = ACTIONS(2906),
    [anon_sym_throw] = ACTIONS(2906),
    [anon_sym_namespace] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_static_assert] = ACTIONS(2906),
    [anon_sym_concept] = ACTIONS(2906),
    [anon_sym_co_return] = ACTIONS(2906),
    [anon_sym_co_yield] = ACTIONS(2906),
    [anon_sym_R_DQUOTE] = ACTIONS(2908),
    [anon_sym_LR_DQUOTE] = ACTIONS(2908),
    [anon_sym_uR_DQUOTE] = ACTIONS(2908),
    [anon_sym_UR_DQUOTE] = ACTIONS(2908),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2908),
    [anon_sym_co_await] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2906),
    [anon_sym_requires] = ACTIONS(2906),
    [sym_this] = ACTIONS(2906),
  },
  [658] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_RBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [659] = {
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_virtual] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_RBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym__Nonnull] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym__Alignas] = ACTIONS(2956),
    [sym_primitive_type] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym___try] = ACTIONS(2956),
    [anon_sym___leave] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [anon_sym___asm] = ACTIONS(2956),
    [sym_number_literal] = ACTIONS(2958),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [660] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym___try] = ACTIONS(3044),
    [anon_sym___leave] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [sym_number_literal] = ACTIONS(3046),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [661] = {
    [sym_identifier] = ACTIONS(2898),
    [aux_sym_preproc_include_token1] = ACTIONS(2898),
    [aux_sym_preproc_def_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2898),
    [sym_preproc_directive] = ACTIONS(2898),
    [anon_sym_LPAREN2] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2898),
    [anon_sym_SEMI] = ACTIONS(2900),
    [anon_sym___extension__] = ACTIONS(2898),
    [anon_sym_typedef] = ACTIONS(2898),
    [anon_sym_virtual] = ACTIONS(2898),
    [anon_sym_extern] = ACTIONS(2898),
    [anon_sym___attribute__] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2900),
    [anon_sym___declspec] = ACTIONS(2898),
    [anon_sym___based] = ACTIONS(2898),
    [anon_sym___cdecl] = ACTIONS(2898),
    [anon_sym___clrcall] = ACTIONS(2898),
    [anon_sym___stdcall] = ACTIONS(2898),
    [anon_sym___fastcall] = ACTIONS(2898),
    [anon_sym___thiscall] = ACTIONS(2898),
    [anon_sym___vectorcall] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_signed] = ACTIONS(2898),
    [anon_sym_unsigned] = ACTIONS(2898),
    [anon_sym_long] = ACTIONS(2898),
    [anon_sym_short] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [anon_sym_static] = ACTIONS(2898),
    [anon_sym_register] = ACTIONS(2898),
    [anon_sym_inline] = ACTIONS(2898),
    [anon_sym___inline] = ACTIONS(2898),
    [anon_sym___inline__] = ACTIONS(2898),
    [anon_sym___forceinline] = ACTIONS(2898),
    [anon_sym_thread_local] = ACTIONS(2898),
    [anon_sym___thread] = ACTIONS(2898),
    [anon_sym_const] = ACTIONS(2898),
    [anon_sym_constexpr] = ACTIONS(2898),
    [anon_sym_volatile] = ACTIONS(2898),
    [anon_sym_restrict] = ACTIONS(2898),
    [anon_sym___restrict__] = ACTIONS(2898),
    [anon_sym__Atomic] = ACTIONS(2898),
    [anon_sym__Noreturn] = ACTIONS(2898),
    [anon_sym_noreturn] = ACTIONS(2898),
    [anon_sym__Nonnull] = ACTIONS(2898),
    [anon_sym_mutable] = ACTIONS(2898),
    [anon_sym_constinit] = ACTIONS(2898),
    [anon_sym_consteval] = ACTIONS(2898),
    [anon_sym_alignas] = ACTIONS(2898),
    [anon_sym__Alignas] = ACTIONS(2898),
    [sym_primitive_type] = ACTIONS(2898),
    [anon_sym_enum] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2898),
    [anon_sym_struct] = ACTIONS(2898),
    [anon_sym_union] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(2898),
    [anon_sym_switch] = ACTIONS(2898),
    [anon_sym_case] = ACTIONS(2898),
    [anon_sym_default] = ACTIONS(2898),
    [anon_sym_while] = ACTIONS(2898),
    [anon_sym_do] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2898),
    [anon_sym_break] = ACTIONS(2898),
    [anon_sym_continue] = ACTIONS(2898),
    [anon_sym_goto] = ACTIONS(2898),
    [anon_sym___try] = ACTIONS(2898),
    [anon_sym___leave] = ACTIONS(2898),
    [anon_sym_not] = ACTIONS(2898),
    [anon_sym_compl] = ACTIONS(2898),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_sizeof] = ACTIONS(2898),
    [anon_sym___alignof__] = ACTIONS(2898),
    [anon_sym___alignof] = ACTIONS(2898),
    [anon_sym__alignof] = ACTIONS(2898),
    [anon_sym_alignof] = ACTIONS(2898),
    [anon_sym__Alignof] = ACTIONS(2898),
    [anon_sym_offsetof] = ACTIONS(2898),
    [anon_sym__Generic] = ACTIONS(2898),
    [anon_sym_asm] = ACTIONS(2898),
    [anon_sym___asm__] = ACTIONS(2898),
    [anon_sym___asm] = ACTIONS(2898),
    [sym_number_literal] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2900),
    [anon_sym_u_SQUOTE] = ACTIONS(2900),
    [anon_sym_U_SQUOTE] = ACTIONS(2900),
    [anon_sym_u8_SQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [anon_sym_L_DQUOTE] = ACTIONS(2900),
    [anon_sym_u_DQUOTE] = ACTIONS(2900),
    [anon_sym_U_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [sym_true] = ACTIONS(2898),
    [sym_false] = ACTIONS(2898),
    [anon_sym_NULL] = ACTIONS(2898),
    [anon_sym_nullptr] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2898),
    [anon_sym_decltype] = ACTIONS(2898),
    [anon_sym_explicit] = ACTIONS(2898),
    [anon_sym_typename] = ACTIONS(2898),
    [anon_sym_template] = ACTIONS(2898),
    [anon_sym_operator] = ACTIONS(2898),
    [anon_sym_try] = ACTIONS(2898),
    [anon_sym_delete] = ACTIONS(2898),
    [anon_sym_throw] = ACTIONS(2898),
    [anon_sym_namespace] = ACTIONS(2898),
    [anon_sym_using] = ACTIONS(2898),
    [anon_sym_static_assert] = ACTIONS(2898),
    [anon_sym_concept] = ACTIONS(2898),
    [anon_sym_co_return] = ACTIONS(2898),
    [anon_sym_co_yield] = ACTIONS(2898),
    [anon_sym_R_DQUOTE] = ACTIONS(2900),
    [anon_sym_LR_DQUOTE] = ACTIONS(2900),
    [anon_sym_uR_DQUOTE] = ACTIONS(2900),
    [anon_sym_UR_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2900),
    [anon_sym_co_await] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2898),
    [anon_sym_requires] = ACTIONS(2898),
    [sym_this] = ACTIONS(2898),
  },
  [662] = {
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_SEMI] = ACTIONS(3113),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_RBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym__Nonnull] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym__Alignas] = ACTIONS(3111),
    [sym_primitive_type] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym___try] = ACTIONS(3111),
    [anon_sym___leave] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [anon_sym___asm] = ACTIONS(3111),
    [sym_number_literal] = ACTIONS(3113),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [663] = {
    [sym_identifier] = ACTIONS(2894),
    [aux_sym_preproc_include_token1] = ACTIONS(2894),
    [aux_sym_preproc_def_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token1] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2894),
    [sym_preproc_directive] = ACTIONS(2894),
    [anon_sym_LPAREN2] = ACTIONS(2896),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym___extension__] = ACTIONS(2894),
    [anon_sym_typedef] = ACTIONS(2894),
    [anon_sym_virtual] = ACTIONS(2894),
    [anon_sym_extern] = ACTIONS(2894),
    [anon_sym___attribute__] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2896),
    [anon_sym___declspec] = ACTIONS(2894),
    [anon_sym___based] = ACTIONS(2894),
    [anon_sym___cdecl] = ACTIONS(2894),
    [anon_sym___clrcall] = ACTIONS(2894),
    [anon_sym___stdcall] = ACTIONS(2894),
    [anon_sym___fastcall] = ACTIONS(2894),
    [anon_sym___thiscall] = ACTIONS(2894),
    [anon_sym___vectorcall] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_signed] = ACTIONS(2894),
    [anon_sym_unsigned] = ACTIONS(2894),
    [anon_sym_long] = ACTIONS(2894),
    [anon_sym_short] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2894),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_register] = ACTIONS(2894),
    [anon_sym_inline] = ACTIONS(2894),
    [anon_sym___inline] = ACTIONS(2894),
    [anon_sym___inline__] = ACTIONS(2894),
    [anon_sym___forceinline] = ACTIONS(2894),
    [anon_sym_thread_local] = ACTIONS(2894),
    [anon_sym___thread] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2894),
    [anon_sym_constexpr] = ACTIONS(2894),
    [anon_sym_volatile] = ACTIONS(2894),
    [anon_sym_restrict] = ACTIONS(2894),
    [anon_sym___restrict__] = ACTIONS(2894),
    [anon_sym__Atomic] = ACTIONS(2894),
    [anon_sym__Noreturn] = ACTIONS(2894),
    [anon_sym_noreturn] = ACTIONS(2894),
    [anon_sym__Nonnull] = ACTIONS(2894),
    [anon_sym_mutable] = ACTIONS(2894),
    [anon_sym_constinit] = ACTIONS(2894),
    [anon_sym_consteval] = ACTIONS(2894),
    [anon_sym_alignas] = ACTIONS(2894),
    [anon_sym__Alignas] = ACTIONS(2894),
    [sym_primitive_type] = ACTIONS(2894),
    [anon_sym_enum] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_struct] = ACTIONS(2894),
    [anon_sym_union] = ACTIONS(2894),
    [anon_sym_if] = ACTIONS(2894),
    [anon_sym_switch] = ACTIONS(2894),
    [anon_sym_case] = ACTIONS(2894),
    [anon_sym_default] = ACTIONS(2894),
    [anon_sym_while] = ACTIONS(2894),
    [anon_sym_do] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2894),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_break] = ACTIONS(2894),
    [anon_sym_continue] = ACTIONS(2894),
    [anon_sym_goto] = ACTIONS(2894),
    [anon_sym___try] = ACTIONS(2894),
    [anon_sym___leave] = ACTIONS(2894),
    [anon_sym_not] = ACTIONS(2894),
    [anon_sym_compl] = ACTIONS(2894),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_sizeof] = ACTIONS(2894),
    [anon_sym___alignof__] = ACTIONS(2894),
    [anon_sym___alignof] = ACTIONS(2894),
    [anon_sym__alignof] = ACTIONS(2894),
    [anon_sym_alignof] = ACTIONS(2894),
    [anon_sym__Alignof] = ACTIONS(2894),
    [anon_sym_offsetof] = ACTIONS(2894),
    [anon_sym__Generic] = ACTIONS(2894),
    [anon_sym_asm] = ACTIONS(2894),
    [anon_sym___asm__] = ACTIONS(2894),
    [anon_sym___asm] = ACTIONS(2894),
    [sym_number_literal] = ACTIONS(2896),
    [anon_sym_L_SQUOTE] = ACTIONS(2896),
    [anon_sym_u_SQUOTE] = ACTIONS(2896),
    [anon_sym_U_SQUOTE] = ACTIONS(2896),
    [anon_sym_u8_SQUOTE] = ACTIONS(2896),
    [anon_sym_SQUOTE] = ACTIONS(2896),
    [anon_sym_L_DQUOTE] = ACTIONS(2896),
    [anon_sym_u_DQUOTE] = ACTIONS(2896),
    [anon_sym_U_DQUOTE] = ACTIONS(2896),
    [anon_sym_u8_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [sym_true] = ACTIONS(2894),
    [sym_false] = ACTIONS(2894),
    [anon_sym_NULL] = ACTIONS(2894),
    [anon_sym_nullptr] = ACTIONS(2894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2894),
    [anon_sym_decltype] = ACTIONS(2894),
    [anon_sym_explicit] = ACTIONS(2894),
    [anon_sym_typename] = ACTIONS(2894),
    [anon_sym_template] = ACTIONS(2894),
    [anon_sym_operator] = ACTIONS(2894),
    [anon_sym_try] = ACTIONS(2894),
    [anon_sym_delete] = ACTIONS(2894),
    [anon_sym_throw] = ACTIONS(2894),
    [anon_sym_namespace] = ACTIONS(2894),
    [anon_sym_using] = ACTIONS(2894),
    [anon_sym_static_assert] = ACTIONS(2894),
    [anon_sym_concept] = ACTIONS(2894),
    [anon_sym_co_return] = ACTIONS(2894),
    [anon_sym_co_yield] = ACTIONS(2894),
    [anon_sym_R_DQUOTE] = ACTIONS(2896),
    [anon_sym_LR_DQUOTE] = ACTIONS(2896),
    [anon_sym_uR_DQUOTE] = ACTIONS(2896),
    [anon_sym_UR_DQUOTE] = ACTIONS(2896),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2896),
    [anon_sym_co_await] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2894),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2894),
  },
  [664] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token2] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [anon_sym___asm] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_virtual] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_RBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym___try] = ACTIONS(2868),
    [anon_sym___leave] = ACTIONS(2868),
    [anon_sym_not] = ACTIONS(2868),
    [anon_sym_compl] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [anon_sym___asm] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_delete] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
    [anon_sym_concept] = ACTIONS(2868),
    [anon_sym_co_return] = ACTIONS(2868),
    [anon_sym_co_yield] = ACTIONS(2868),
    [anon_sym_R_DQUOTE] = ACTIONS(2870),
    [anon_sym_LR_DQUOTE] = ACTIONS(2870),
    [anon_sym_uR_DQUOTE] = ACTIONS(2870),
    [anon_sym_UR_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2870),
    [anon_sym_co_await] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_requires] = ACTIONS(2868),
    [sym_this] = ACTIONS(2868),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [667] = {
    [sym_identifier] = ACTIONS(2910),
    [aux_sym_preproc_include_token1] = ACTIONS(2910),
    [aux_sym_preproc_def_token1] = ACTIONS(2910),
    [aux_sym_preproc_if_token1] = ACTIONS(2910),
    [aux_sym_preproc_if_token2] = ACTIONS(2910),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2910),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2910),
    [sym_preproc_directive] = ACTIONS(2910),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2910),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2910),
    [anon_sym_typedef] = ACTIONS(2910),
    [anon_sym_virtual] = ACTIONS(2910),
    [anon_sym_extern] = ACTIONS(2910),
    [anon_sym___attribute__] = ACTIONS(2910),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2910),
    [anon_sym___based] = ACTIONS(2910),
    [anon_sym___cdecl] = ACTIONS(2910),
    [anon_sym___clrcall] = ACTIONS(2910),
    [anon_sym___stdcall] = ACTIONS(2910),
    [anon_sym___fastcall] = ACTIONS(2910),
    [anon_sym___thiscall] = ACTIONS(2910),
    [anon_sym___vectorcall] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2910),
    [anon_sym_unsigned] = ACTIONS(2910),
    [anon_sym_long] = ACTIONS(2910),
    [anon_sym_short] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2910),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_register] = ACTIONS(2910),
    [anon_sym_inline] = ACTIONS(2910),
    [anon_sym___inline] = ACTIONS(2910),
    [anon_sym___inline__] = ACTIONS(2910),
    [anon_sym___forceinline] = ACTIONS(2910),
    [anon_sym_thread_local] = ACTIONS(2910),
    [anon_sym___thread] = ACTIONS(2910),
    [anon_sym_const] = ACTIONS(2910),
    [anon_sym_constexpr] = ACTIONS(2910),
    [anon_sym_volatile] = ACTIONS(2910),
    [anon_sym_restrict] = ACTIONS(2910),
    [anon_sym___restrict__] = ACTIONS(2910),
    [anon_sym__Atomic] = ACTIONS(2910),
    [anon_sym__Noreturn] = ACTIONS(2910),
    [anon_sym_noreturn] = ACTIONS(2910),
    [anon_sym__Nonnull] = ACTIONS(2910),
    [anon_sym_mutable] = ACTIONS(2910),
    [anon_sym_constinit] = ACTIONS(2910),
    [anon_sym_consteval] = ACTIONS(2910),
    [anon_sym_alignas] = ACTIONS(2910),
    [anon_sym__Alignas] = ACTIONS(2910),
    [sym_primitive_type] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_struct] = ACTIONS(2910),
    [anon_sym_union] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2910),
    [anon_sym_switch] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_default] = ACTIONS(2910),
    [anon_sym_while] = ACTIONS(2910),
    [anon_sym_do] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2910),
    [anon_sym_return] = ACTIONS(2910),
    [anon_sym_break] = ACTIONS(2910),
    [anon_sym_continue] = ACTIONS(2910),
    [anon_sym_goto] = ACTIONS(2910),
    [anon_sym___try] = ACTIONS(2910),
    [anon_sym___leave] = ACTIONS(2910),
    [anon_sym_not] = ACTIONS(2910),
    [anon_sym_compl] = ACTIONS(2910),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2910),
    [anon_sym___alignof__] = ACTIONS(2910),
    [anon_sym___alignof] = ACTIONS(2910),
    [anon_sym__alignof] = ACTIONS(2910),
    [anon_sym_alignof] = ACTIONS(2910),
    [anon_sym__Alignof] = ACTIONS(2910),
    [anon_sym_offsetof] = ACTIONS(2910),
    [anon_sym__Generic] = ACTIONS(2910),
    [anon_sym_asm] = ACTIONS(2910),
    [anon_sym___asm__] = ACTIONS(2910),
    [anon_sym___asm] = ACTIONS(2910),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2910),
    [sym_false] = ACTIONS(2910),
    [anon_sym_NULL] = ACTIONS(2910),
    [anon_sym_nullptr] = ACTIONS(2910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2910),
    [anon_sym_decltype] = ACTIONS(2910),
    [anon_sym_explicit] = ACTIONS(2910),
    [anon_sym_typename] = ACTIONS(2910),
    [anon_sym_template] = ACTIONS(2910),
    [anon_sym_operator] = ACTIONS(2910),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_delete] = ACTIONS(2910),
    [anon_sym_throw] = ACTIONS(2910),
    [anon_sym_namespace] = ACTIONS(2910),
    [anon_sym_using] = ACTIONS(2910),
    [anon_sym_static_assert] = ACTIONS(2910),
    [anon_sym_concept] = ACTIONS(2910),
    [anon_sym_co_return] = ACTIONS(2910),
    [anon_sym_co_yield] = ACTIONS(2910),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2910),
    [anon_sym_requires] = ACTIONS(2910),
    [sym_this] = ACTIONS(2910),
  },
  [668] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [669] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token2] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym___leave] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(2856),
    [anon_sym_compl] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [sym_number_literal] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_namespace] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
    [anon_sym_concept] = ACTIONS(2856),
    [anon_sym_co_return] = ACTIONS(2856),
    [anon_sym_co_yield] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2858),
    [anon_sym_LR_DQUOTE] = ACTIONS(2858),
    [anon_sym_uR_DQUOTE] = ACTIONS(2858),
    [anon_sym_UR_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2858),
    [anon_sym_co_await] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_requires] = ACTIONS(2856),
    [sym_this] = ACTIONS(2856),
  },
  [670] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym___try] = ACTIONS(3187),
    [anon_sym___leave] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [sym_number_literal] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [671] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym___try] = ACTIONS(2944),
    [anon_sym___leave] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [672] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_include_token1] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_AMP_AMP] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_virtual] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___based] = ACTIONS(2864),
    [anon_sym___cdecl] = ACTIONS(2864),
    [anon_sym___clrcall] = ACTIONS(2864),
    [anon_sym___stdcall] = ACTIONS(2864),
    [anon_sym___fastcall] = ACTIONS(2864),
    [anon_sym___thiscall] = ACTIONS(2864),
    [anon_sym___vectorcall] = ACTIONS(2864),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_mutable] = ACTIONS(2864),
    [anon_sym_constinit] = ACTIONS(2864),
    [anon_sym_consteval] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_class] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_switch] = ACTIONS(2864),
    [anon_sym_case] = ACTIONS(2864),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_break] = ACTIONS(2864),
    [anon_sym_continue] = ACTIONS(2864),
    [anon_sym_goto] = ACTIONS(2864),
    [anon_sym___try] = ACTIONS(2864),
    [anon_sym___leave] = ACTIONS(2864),
    [anon_sym_not] = ACTIONS(2864),
    [anon_sym_compl] = ACTIONS(2864),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_sizeof] = ACTIONS(2864),
    [anon_sym___alignof__] = ACTIONS(2864),
    [anon_sym___alignof] = ACTIONS(2864),
    [anon_sym__alignof] = ACTIONS(2864),
    [anon_sym_alignof] = ACTIONS(2864),
    [anon_sym__Alignof] = ACTIONS(2864),
    [anon_sym_offsetof] = ACTIONS(2864),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2864),
    [anon_sym___asm__] = ACTIONS(2864),
    [anon_sym___asm] = ACTIONS(2864),
    [sym_number_literal] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2866),
    [anon_sym_u_SQUOTE] = ACTIONS(2866),
    [anon_sym_U_SQUOTE] = ACTIONS(2866),
    [anon_sym_u8_SQUOTE] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_L_DQUOTE] = ACTIONS(2866),
    [anon_sym_u_DQUOTE] = ACTIONS(2866),
    [anon_sym_U_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE] = ACTIONS(2866),
    [sym_true] = ACTIONS(2864),
    [sym_false] = ACTIONS(2864),
    [anon_sym_NULL] = ACTIONS(2864),
    [anon_sym_nullptr] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2864),
    [anon_sym_decltype] = ACTIONS(2864),
    [anon_sym_explicit] = ACTIONS(2864),
    [anon_sym_typename] = ACTIONS(2864),
    [anon_sym_template] = ACTIONS(2864),
    [anon_sym_operator] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_delete] = ACTIONS(2864),
    [anon_sym_throw] = ACTIONS(2864),
    [anon_sym_namespace] = ACTIONS(2864),
    [anon_sym_using] = ACTIONS(2864),
    [anon_sym_static_assert] = ACTIONS(2864),
    [anon_sym_concept] = ACTIONS(2864),
    [anon_sym_co_return] = ACTIONS(2864),
    [anon_sym_co_yield] = ACTIONS(2864),
    [anon_sym_R_DQUOTE] = ACTIONS(2866),
    [anon_sym_LR_DQUOTE] = ACTIONS(2866),
    [anon_sym_uR_DQUOTE] = ACTIONS(2866),
    [anon_sym_UR_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2866),
    [anon_sym_co_await] = ACTIONS(2864),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_requires] = ACTIONS(2864),
    [sym_this] = ACTIONS(2864),
  },
  [673] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym___try] = ACTIONS(2932),
    [anon_sym___leave] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [674] = {
    [sym_identifier] = ACTIONS(2860),
    [aux_sym_preproc_include_token1] = ACTIONS(2860),
    [aux_sym_preproc_def_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_AMP_AMP] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_typedef] = ACTIONS(2860),
    [anon_sym_virtual] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___based] = ACTIONS(2860),
    [anon_sym___cdecl] = ACTIONS(2860),
    [anon_sym___clrcall] = ACTIONS(2860),
    [anon_sym___stdcall] = ACTIONS(2860),
    [anon_sym___fastcall] = ACTIONS(2860),
    [anon_sym___thiscall] = ACTIONS(2860),
    [anon_sym___vectorcall] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_RBRACE] = ACTIONS(2862),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_mutable] = ACTIONS(2860),
    [anon_sym_constinit] = ACTIONS(2860),
    [anon_sym_consteval] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_class] = ACTIONS(2860),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_switch] = ACTIONS(2860),
    [anon_sym_case] = ACTIONS(2860),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_break] = ACTIONS(2860),
    [anon_sym_continue] = ACTIONS(2860),
    [anon_sym_goto] = ACTIONS(2860),
    [anon_sym___try] = ACTIONS(2860),
    [anon_sym___leave] = ACTIONS(2860),
    [anon_sym_not] = ACTIONS(2860),
    [anon_sym_compl] = ACTIONS(2860),
    [anon_sym_DASH_DASH] = ACTIONS(2862),
    [anon_sym_PLUS_PLUS] = ACTIONS(2862),
    [anon_sym_sizeof] = ACTIONS(2860),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2860),
    [anon_sym__Generic] = ACTIONS(2860),
    [anon_sym_asm] = ACTIONS(2860),
    [anon_sym___asm__] = ACTIONS(2860),
    [anon_sym___asm] = ACTIONS(2860),
    [sym_number_literal] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2862),
    [anon_sym_u_SQUOTE] = ACTIONS(2862),
    [anon_sym_U_SQUOTE] = ACTIONS(2862),
    [anon_sym_u8_SQUOTE] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_L_DQUOTE] = ACTIONS(2862),
    [anon_sym_u_DQUOTE] = ACTIONS(2862),
    [anon_sym_U_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE] = ACTIONS(2862),
    [sym_true] = ACTIONS(2860),
    [sym_false] = ACTIONS(2860),
    [anon_sym_NULL] = ACTIONS(2860),
    [anon_sym_nullptr] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2860),
    [anon_sym_decltype] = ACTIONS(2860),
    [anon_sym_explicit] = ACTIONS(2860),
    [anon_sym_typename] = ACTIONS(2860),
    [anon_sym_template] = ACTIONS(2860),
    [anon_sym_operator] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_delete] = ACTIONS(2860),
    [anon_sym_throw] = ACTIONS(2860),
    [anon_sym_namespace] = ACTIONS(2860),
    [anon_sym_using] = ACTIONS(2860),
    [anon_sym_static_assert] = ACTIONS(2860),
    [anon_sym_concept] = ACTIONS(2860),
    [anon_sym_co_return] = ACTIONS(2860),
    [anon_sym_co_yield] = ACTIONS(2860),
    [anon_sym_R_DQUOTE] = ACTIONS(2862),
    [anon_sym_LR_DQUOTE] = ACTIONS(2862),
    [anon_sym_uR_DQUOTE] = ACTIONS(2862),
    [anon_sym_UR_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2862),
    [anon_sym_co_await] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_requires] = ACTIONS(2860),
    [sym_this] = ACTIONS(2860),
  },
  [675] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_RBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_RBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [677] = {
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token2] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_virtual] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym__Nonnull] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym__Alignas] = ACTIONS(2956),
    [sym_primitive_type] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym___try] = ACTIONS(2956),
    [anon_sym___leave] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [anon_sym___asm] = ACTIONS(2956),
    [sym_number_literal] = ACTIONS(2958),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(2991),
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [anon_sym___asm] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [679] = {
    [ts_builtin_sym_end] = ACTIONS(2966),
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_include_token1] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [anon_sym_COMMA] = ACTIONS(2966),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2964),
    [anon_sym_PLUS] = ACTIONS(2964),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym___cdecl] = ACTIONS(2964),
    [anon_sym___clrcall] = ACTIONS(2964),
    [anon_sym___stdcall] = ACTIONS(2964),
    [anon_sym___fastcall] = ACTIONS(2964),
    [anon_sym___thiscall] = ACTIONS(2964),
    [anon_sym___vectorcall] = ACTIONS(2964),
    [anon_sym_LBRACE] = ACTIONS(2966),
    [anon_sym_RBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [anon_sym_if] = ACTIONS(2964),
    [anon_sym_switch] = ACTIONS(2964),
    [anon_sym_case] = ACTIONS(2964),
    [anon_sym_default] = ACTIONS(2964),
    [anon_sym_while] = ACTIONS(2964),
    [anon_sym_do] = ACTIONS(2964),
    [anon_sym_for] = ACTIONS(2964),
    [anon_sym_return] = ACTIONS(2964),
    [anon_sym_break] = ACTIONS(2964),
    [anon_sym_continue] = ACTIONS(2964),
    [anon_sym_goto] = ACTIONS(2964),
    [anon_sym_not] = ACTIONS(2964),
    [anon_sym_compl] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2966),
    [anon_sym_sizeof] = ACTIONS(2964),
    [anon_sym___alignof__] = ACTIONS(2964),
    [anon_sym___alignof] = ACTIONS(2964),
    [anon_sym__alignof] = ACTIONS(2964),
    [anon_sym_alignof] = ACTIONS(2964),
    [anon_sym__Alignof] = ACTIONS(2964),
    [anon_sym_offsetof] = ACTIONS(2964),
    [anon_sym__Generic] = ACTIONS(2964),
    [anon_sym_asm] = ACTIONS(2964),
    [anon_sym___asm__] = ACTIONS(2964),
    [anon_sym___asm] = ACTIONS(2964),
    [sym_number_literal] = ACTIONS(2966),
    [anon_sym_L_SQUOTE] = ACTIONS(2966),
    [anon_sym_u_SQUOTE] = ACTIONS(2966),
    [anon_sym_U_SQUOTE] = ACTIONS(2966),
    [anon_sym_u8_SQUOTE] = ACTIONS(2966),
    [anon_sym_SQUOTE] = ACTIONS(2966),
    [anon_sym_L_DQUOTE] = ACTIONS(2966),
    [anon_sym_u_DQUOTE] = ACTIONS(2966),
    [anon_sym_U_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8_DQUOTE] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2966),
    [sym_true] = ACTIONS(2964),
    [sym_false] = ACTIONS(2964),
    [anon_sym_NULL] = ACTIONS(2964),
    [anon_sym_nullptr] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_try] = ACTIONS(2964),
    [anon_sym_delete] = ACTIONS(2964),
    [anon_sym_throw] = ACTIONS(2964),
    [anon_sym_namespace] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
    [anon_sym_concept] = ACTIONS(2964),
    [anon_sym_co_return] = ACTIONS(2964),
    [anon_sym_co_yield] = ACTIONS(2964),
    [anon_sym_R_DQUOTE] = ACTIONS(2966),
    [anon_sym_LR_DQUOTE] = ACTIONS(2966),
    [anon_sym_uR_DQUOTE] = ACTIONS(2966),
    [anon_sym_UR_DQUOTE] = ACTIONS(2966),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2966),
    [anon_sym_co_await] = ACTIONS(2964),
    [anon_sym_new] = ACTIONS(2964),
    [anon_sym_requires] = ACTIONS(2964),
    [sym_this] = ACTIONS(2964),
  },
  [680] = {
    [sym_expression] = STATE(3664),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(1902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [aux_sym_preproc_if_token2] = ACTIONS(1904),
    [aux_sym_preproc_else_token1] = ACTIONS(1904),
    [aux_sym_preproc_elif_token1] = ACTIONS(1902),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1904),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(3447),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [681] = {
    [ts_builtin_sym_end] = ACTIONS(3038),
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_include_token1] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_BANG] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym___cdecl] = ACTIONS(3036),
    [anon_sym___clrcall] = ACTIONS(3036),
    [anon_sym___stdcall] = ACTIONS(3036),
    [anon_sym___fastcall] = ACTIONS(3036),
    [anon_sym___thiscall] = ACTIONS(3036),
    [anon_sym___vectorcall] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [sym_primitive_type] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_switch] = ACTIONS(3036),
    [anon_sym_case] = ACTIONS(3036),
    [anon_sym_default] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_do] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_break] = ACTIONS(3036),
    [anon_sym_continue] = ACTIONS(3036),
    [anon_sym_goto] = ACTIONS(3036),
    [anon_sym_not] = ACTIONS(3036),
    [anon_sym_compl] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_sizeof] = ACTIONS(3036),
    [anon_sym___alignof__] = ACTIONS(3036),
    [anon_sym___alignof] = ACTIONS(3036),
    [anon_sym__alignof] = ACTIONS(3036),
    [anon_sym_alignof] = ACTIONS(3036),
    [anon_sym__Alignof] = ACTIONS(3036),
    [anon_sym_offsetof] = ACTIONS(3036),
    [anon_sym__Generic] = ACTIONS(3036),
    [anon_sym_asm] = ACTIONS(3036),
    [anon_sym___asm__] = ACTIONS(3036),
    [anon_sym___asm] = ACTIONS(3036),
    [sym_number_literal] = ACTIONS(3038),
    [anon_sym_L_SQUOTE] = ACTIONS(3038),
    [anon_sym_u_SQUOTE] = ACTIONS(3038),
    [anon_sym_U_SQUOTE] = ACTIONS(3038),
    [anon_sym_u8_SQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [anon_sym_L_DQUOTE] = ACTIONS(3038),
    [anon_sym_u_DQUOTE] = ACTIONS(3038),
    [anon_sym_U_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8_DQUOTE] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3038),
    [sym_true] = ACTIONS(3036),
    [sym_false] = ACTIONS(3036),
    [anon_sym_NULL] = ACTIONS(3036),
    [anon_sym_nullptr] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_delete] = ACTIONS(3036),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_namespace] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
    [anon_sym_concept] = ACTIONS(3036),
    [anon_sym_co_return] = ACTIONS(3036),
    [anon_sym_co_yield] = ACTIONS(3036),
    [anon_sym_R_DQUOTE] = ACTIONS(3038),
    [anon_sym_LR_DQUOTE] = ACTIONS(3038),
    [anon_sym_uR_DQUOTE] = ACTIONS(3038),
    [anon_sym_UR_DQUOTE] = ACTIONS(3038),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3038),
    [anon_sym_co_await] = ACTIONS(3036),
    [anon_sym_new] = ACTIONS(3036),
    [anon_sym_requires] = ACTIONS(3036),
    [sym_this] = ACTIONS(3036),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(2958),
    [sym_identifier] = ACTIONS(2956),
    [aux_sym_preproc_include_token1] = ACTIONS(2956),
    [aux_sym_preproc_def_token1] = ACTIONS(2956),
    [aux_sym_preproc_if_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2956),
    [sym_preproc_directive] = ACTIONS(2956),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2956),
    [anon_sym_PLUS] = ACTIONS(2956),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2956),
    [anon_sym___extension__] = ACTIONS(2956),
    [anon_sym_typedef] = ACTIONS(2956),
    [anon_sym_virtual] = ACTIONS(2956),
    [anon_sym_extern] = ACTIONS(2956),
    [anon_sym___attribute__] = ACTIONS(2956),
    [anon_sym_COLON_COLON] = ACTIONS(2958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2956),
    [anon_sym___based] = ACTIONS(2956),
    [anon_sym___cdecl] = ACTIONS(2956),
    [anon_sym___clrcall] = ACTIONS(2956),
    [anon_sym___stdcall] = ACTIONS(2956),
    [anon_sym___fastcall] = ACTIONS(2956),
    [anon_sym___thiscall] = ACTIONS(2956),
    [anon_sym___vectorcall] = ACTIONS(2956),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2956),
    [anon_sym_unsigned] = ACTIONS(2956),
    [anon_sym_long] = ACTIONS(2956),
    [anon_sym_short] = ACTIONS(2956),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2956),
    [anon_sym_register] = ACTIONS(2956),
    [anon_sym_inline] = ACTIONS(2956),
    [anon_sym___inline] = ACTIONS(2956),
    [anon_sym___inline__] = ACTIONS(2956),
    [anon_sym___forceinline] = ACTIONS(2956),
    [anon_sym_thread_local] = ACTIONS(2956),
    [anon_sym___thread] = ACTIONS(2956),
    [anon_sym_const] = ACTIONS(2956),
    [anon_sym_constexpr] = ACTIONS(2956),
    [anon_sym_volatile] = ACTIONS(2956),
    [anon_sym_restrict] = ACTIONS(2956),
    [anon_sym___restrict__] = ACTIONS(2956),
    [anon_sym__Atomic] = ACTIONS(2956),
    [anon_sym__Noreturn] = ACTIONS(2956),
    [anon_sym_noreturn] = ACTIONS(2956),
    [anon_sym__Nonnull] = ACTIONS(2956),
    [anon_sym_mutable] = ACTIONS(2956),
    [anon_sym_constinit] = ACTIONS(2956),
    [anon_sym_consteval] = ACTIONS(2956),
    [anon_sym_alignas] = ACTIONS(2956),
    [anon_sym__Alignas] = ACTIONS(2956),
    [sym_primitive_type] = ACTIONS(2956),
    [anon_sym_enum] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2956),
    [anon_sym_struct] = ACTIONS(2956),
    [anon_sym_union] = ACTIONS(2956),
    [anon_sym_if] = ACTIONS(2956),
    [anon_sym_switch] = ACTIONS(2956),
    [anon_sym_case] = ACTIONS(2956),
    [anon_sym_default] = ACTIONS(2956),
    [anon_sym_while] = ACTIONS(2956),
    [anon_sym_do] = ACTIONS(2956),
    [anon_sym_for] = ACTIONS(2956),
    [anon_sym_return] = ACTIONS(2956),
    [anon_sym_break] = ACTIONS(2956),
    [anon_sym_continue] = ACTIONS(2956),
    [anon_sym_goto] = ACTIONS(2956),
    [anon_sym_not] = ACTIONS(2956),
    [anon_sym_compl] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2956),
    [anon_sym___alignof__] = ACTIONS(2956),
    [anon_sym___alignof] = ACTIONS(2956),
    [anon_sym__alignof] = ACTIONS(2956),
    [anon_sym_alignof] = ACTIONS(2956),
    [anon_sym__Alignof] = ACTIONS(2956),
    [anon_sym_offsetof] = ACTIONS(2956),
    [anon_sym__Generic] = ACTIONS(2956),
    [anon_sym_asm] = ACTIONS(2956),
    [anon_sym___asm__] = ACTIONS(2956),
    [anon_sym___asm] = ACTIONS(2956),
    [sym_number_literal] = ACTIONS(2958),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2956),
    [sym_false] = ACTIONS(2956),
    [anon_sym_NULL] = ACTIONS(2956),
    [anon_sym_nullptr] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2956),
    [anon_sym_decltype] = ACTIONS(2956),
    [anon_sym_explicit] = ACTIONS(2956),
    [anon_sym_typename] = ACTIONS(2956),
    [anon_sym_template] = ACTIONS(2956),
    [anon_sym_operator] = ACTIONS(2956),
    [anon_sym_try] = ACTIONS(2956),
    [anon_sym_delete] = ACTIONS(2956),
    [anon_sym_throw] = ACTIONS(2956),
    [anon_sym_namespace] = ACTIONS(2956),
    [anon_sym_using] = ACTIONS(2956),
    [anon_sym_static_assert] = ACTIONS(2956),
    [anon_sym_concept] = ACTIONS(2956),
    [anon_sym_co_return] = ACTIONS(2956),
    [anon_sym_co_yield] = ACTIONS(2956),
    [anon_sym_R_DQUOTE] = ACTIONS(2958),
    [anon_sym_LR_DQUOTE] = ACTIONS(2958),
    [anon_sym_uR_DQUOTE] = ACTIONS(2958),
    [anon_sym_UR_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2958),
    [anon_sym_co_await] = ACTIONS(2956),
    [anon_sym_new] = ACTIONS(2956),
    [anon_sym_requires] = ACTIONS(2956),
    [sym_this] = ACTIONS(2956),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(3050),
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_include_token1] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_BANG] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym___cdecl] = ACTIONS(3048),
    [anon_sym___clrcall] = ACTIONS(3048),
    [anon_sym___stdcall] = ACTIONS(3048),
    [anon_sym___fastcall] = ACTIONS(3048),
    [anon_sym___thiscall] = ACTIONS(3048),
    [anon_sym___vectorcall] = ACTIONS(3048),
    [anon_sym_LBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [sym_primitive_type] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(3048),
    [anon_sym_switch] = ACTIONS(3048),
    [anon_sym_case] = ACTIONS(3048),
    [anon_sym_default] = ACTIONS(3048),
    [anon_sym_while] = ACTIONS(3048),
    [anon_sym_do] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_return] = ACTIONS(3048),
    [anon_sym_break] = ACTIONS(3048),
    [anon_sym_continue] = ACTIONS(3048),
    [anon_sym_goto] = ACTIONS(3048),
    [anon_sym_not] = ACTIONS(3048),
    [anon_sym_compl] = ACTIONS(3048),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_sizeof] = ACTIONS(3048),
    [anon_sym___alignof__] = ACTIONS(3048),
    [anon_sym___alignof] = ACTIONS(3048),
    [anon_sym__alignof] = ACTIONS(3048),
    [anon_sym_alignof] = ACTIONS(3048),
    [anon_sym__Alignof] = ACTIONS(3048),
    [anon_sym_offsetof] = ACTIONS(3048),
    [anon_sym__Generic] = ACTIONS(3048),
    [anon_sym_asm] = ACTIONS(3048),
    [anon_sym___asm__] = ACTIONS(3048),
    [anon_sym___asm] = ACTIONS(3048),
    [sym_number_literal] = ACTIONS(3050),
    [anon_sym_L_SQUOTE] = ACTIONS(3050),
    [anon_sym_u_SQUOTE] = ACTIONS(3050),
    [anon_sym_U_SQUOTE] = ACTIONS(3050),
    [anon_sym_u8_SQUOTE] = ACTIONS(3050),
    [anon_sym_SQUOTE] = ACTIONS(3050),
    [anon_sym_L_DQUOTE] = ACTIONS(3050),
    [anon_sym_u_DQUOTE] = ACTIONS(3050),
    [anon_sym_U_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8_DQUOTE] = ACTIONS(3050),
    [anon_sym_DQUOTE] = ACTIONS(3050),
    [sym_true] = ACTIONS(3048),
    [sym_false] = ACTIONS(3048),
    [anon_sym_NULL] = ACTIONS(3048),
    [anon_sym_nullptr] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_try] = ACTIONS(3048),
    [anon_sym_delete] = ACTIONS(3048),
    [anon_sym_throw] = ACTIONS(3048),
    [anon_sym_namespace] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
    [anon_sym_concept] = ACTIONS(3048),
    [anon_sym_co_return] = ACTIONS(3048),
    [anon_sym_co_yield] = ACTIONS(3048),
    [anon_sym_R_DQUOTE] = ACTIONS(3050),
    [anon_sym_LR_DQUOTE] = ACTIONS(3050),
    [anon_sym_uR_DQUOTE] = ACTIONS(3050),
    [anon_sym_UR_DQUOTE] = ACTIONS(3050),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3050),
    [anon_sym_co_await] = ACTIONS(3048),
    [anon_sym_new] = ACTIONS(3048),
    [anon_sym_requires] = ACTIONS(3048),
    [sym_this] = ACTIONS(3048),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(2908),
    [sym_identifier] = ACTIONS(2906),
    [aux_sym_preproc_include_token1] = ACTIONS(2906),
    [aux_sym_preproc_def_token1] = ACTIONS(2906),
    [aux_sym_preproc_if_token1] = ACTIONS(2906),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2906),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2906),
    [sym_preproc_directive] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(2908),
    [anon_sym_BANG] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2908),
    [anon_sym_DASH] = ACTIONS(2906),
    [anon_sym_PLUS] = ACTIONS(2906),
    [anon_sym_STAR] = ACTIONS(2908),
    [anon_sym_AMP_AMP] = ACTIONS(2908),
    [anon_sym_AMP] = ACTIONS(2906),
    [anon_sym___extension__] = ACTIONS(2906),
    [anon_sym_typedef] = ACTIONS(2906),
    [anon_sym_virtual] = ACTIONS(2906),
    [anon_sym_extern] = ACTIONS(2906),
    [anon_sym___attribute__] = ACTIONS(2906),
    [anon_sym_COLON_COLON] = ACTIONS(2908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2908),
    [anon_sym___declspec] = ACTIONS(2906),
    [anon_sym___based] = ACTIONS(2906),
    [anon_sym___cdecl] = ACTIONS(2906),
    [anon_sym___clrcall] = ACTIONS(2906),
    [anon_sym___stdcall] = ACTIONS(2906),
    [anon_sym___fastcall] = ACTIONS(2906),
    [anon_sym___thiscall] = ACTIONS(2906),
    [anon_sym___vectorcall] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_signed] = ACTIONS(2906),
    [anon_sym_unsigned] = ACTIONS(2906),
    [anon_sym_long] = ACTIONS(2906),
    [anon_sym_short] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2906),
    [anon_sym_static] = ACTIONS(2906),
    [anon_sym_register] = ACTIONS(2906),
    [anon_sym_inline] = ACTIONS(2906),
    [anon_sym___inline] = ACTIONS(2906),
    [anon_sym___inline__] = ACTIONS(2906),
    [anon_sym___forceinline] = ACTIONS(2906),
    [anon_sym_thread_local] = ACTIONS(2906),
    [anon_sym___thread] = ACTIONS(2906),
    [anon_sym_const] = ACTIONS(2906),
    [anon_sym_constexpr] = ACTIONS(2906),
    [anon_sym_volatile] = ACTIONS(2906),
    [anon_sym_restrict] = ACTIONS(2906),
    [anon_sym___restrict__] = ACTIONS(2906),
    [anon_sym__Atomic] = ACTIONS(2906),
    [anon_sym__Noreturn] = ACTIONS(2906),
    [anon_sym_noreturn] = ACTIONS(2906),
    [anon_sym__Nonnull] = ACTIONS(2906),
    [anon_sym_mutable] = ACTIONS(2906),
    [anon_sym_constinit] = ACTIONS(2906),
    [anon_sym_consteval] = ACTIONS(2906),
    [anon_sym_alignas] = ACTIONS(2906),
    [anon_sym__Alignas] = ACTIONS(2906),
    [sym_primitive_type] = ACTIONS(2906),
    [anon_sym_enum] = ACTIONS(2906),
    [anon_sym_class] = ACTIONS(2906),
    [anon_sym_struct] = ACTIONS(2906),
    [anon_sym_union] = ACTIONS(2906),
    [anon_sym_if] = ACTIONS(2906),
    [anon_sym_switch] = ACTIONS(2906),
    [anon_sym_case] = ACTIONS(2906),
    [anon_sym_default] = ACTIONS(2906),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_do] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2906),
    [anon_sym_return] = ACTIONS(2906),
    [anon_sym_break] = ACTIONS(2906),
    [anon_sym_continue] = ACTIONS(2906),
    [anon_sym_goto] = ACTIONS(2906),
    [anon_sym_not] = ACTIONS(2906),
    [anon_sym_compl] = ACTIONS(2906),
    [anon_sym_DASH_DASH] = ACTIONS(2908),
    [anon_sym_PLUS_PLUS] = ACTIONS(2908),
    [anon_sym_sizeof] = ACTIONS(2906),
    [anon_sym___alignof__] = ACTIONS(2906),
    [anon_sym___alignof] = ACTIONS(2906),
    [anon_sym__alignof] = ACTIONS(2906),
    [anon_sym_alignof] = ACTIONS(2906),
    [anon_sym__Alignof] = ACTIONS(2906),
    [anon_sym_offsetof] = ACTIONS(2906),
    [anon_sym__Generic] = ACTIONS(2906),
    [anon_sym_asm] = ACTIONS(2906),
    [anon_sym___asm__] = ACTIONS(2906),
    [anon_sym___asm] = ACTIONS(2906),
    [sym_number_literal] = ACTIONS(2908),
    [anon_sym_L_SQUOTE] = ACTIONS(2908),
    [anon_sym_u_SQUOTE] = ACTIONS(2908),
    [anon_sym_U_SQUOTE] = ACTIONS(2908),
    [anon_sym_u8_SQUOTE] = ACTIONS(2908),
    [anon_sym_SQUOTE] = ACTIONS(2908),
    [anon_sym_L_DQUOTE] = ACTIONS(2908),
    [anon_sym_u_DQUOTE] = ACTIONS(2908),
    [anon_sym_U_DQUOTE] = ACTIONS(2908),
    [anon_sym_u8_DQUOTE] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [sym_true] = ACTIONS(2906),
    [sym_false] = ACTIONS(2906),
    [anon_sym_NULL] = ACTIONS(2906),
    [anon_sym_nullptr] = ACTIONS(2906),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2906),
    [anon_sym_decltype] = ACTIONS(2906),
    [anon_sym_explicit] = ACTIONS(2906),
    [anon_sym_typename] = ACTIONS(2906),
    [anon_sym_template] = ACTIONS(2906),
    [anon_sym_operator] = ACTIONS(2906),
    [anon_sym_try] = ACTIONS(2906),
    [anon_sym_delete] = ACTIONS(2906),
    [anon_sym_throw] = ACTIONS(2906),
    [anon_sym_namespace] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_static_assert] = ACTIONS(2906),
    [anon_sym_concept] = ACTIONS(2906),
    [anon_sym_co_return] = ACTIONS(2906),
    [anon_sym_co_yield] = ACTIONS(2906),
    [anon_sym_R_DQUOTE] = ACTIONS(2908),
    [anon_sym_LR_DQUOTE] = ACTIONS(2908),
    [anon_sym_uR_DQUOTE] = ACTIONS(2908),
    [anon_sym_UR_DQUOTE] = ACTIONS(2908),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2908),
    [anon_sym_co_await] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2906),
    [anon_sym_requires] = ACTIONS(2906),
    [sym_this] = ACTIONS(2906),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(3189),
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_include_token1] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3187),
    [anon_sym_PLUS] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym___cdecl] = ACTIONS(3187),
    [anon_sym___clrcall] = ACTIONS(3187),
    [anon_sym___stdcall] = ACTIONS(3187),
    [anon_sym___fastcall] = ACTIONS(3187),
    [anon_sym___thiscall] = ACTIONS(3187),
    [anon_sym___vectorcall] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_switch] = ACTIONS(3187),
    [anon_sym_case] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(3187),
    [anon_sym_do] = ACTIONS(3187),
    [anon_sym_for] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3187),
    [anon_sym_break] = ACTIONS(3187),
    [anon_sym_continue] = ACTIONS(3187),
    [anon_sym_goto] = ACTIONS(3187),
    [anon_sym_not] = ACTIONS(3187),
    [anon_sym_compl] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3189),
    [anon_sym_PLUS_PLUS] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3187),
    [anon_sym___alignof__] = ACTIONS(3187),
    [anon_sym___alignof] = ACTIONS(3187),
    [anon_sym__alignof] = ACTIONS(3187),
    [anon_sym_alignof] = ACTIONS(3187),
    [anon_sym__Alignof] = ACTIONS(3187),
    [anon_sym_offsetof] = ACTIONS(3187),
    [anon_sym__Generic] = ACTIONS(3187),
    [anon_sym_asm] = ACTIONS(3187),
    [anon_sym___asm__] = ACTIONS(3187),
    [anon_sym___asm] = ACTIONS(3187),
    [sym_number_literal] = ACTIONS(3189),
    [anon_sym_L_SQUOTE] = ACTIONS(3189),
    [anon_sym_u_SQUOTE] = ACTIONS(3189),
    [anon_sym_U_SQUOTE] = ACTIONS(3189),
    [anon_sym_u8_SQUOTE] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3189),
    [anon_sym_L_DQUOTE] = ACTIONS(3189),
    [anon_sym_u_DQUOTE] = ACTIONS(3189),
    [anon_sym_U_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8_DQUOTE] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3189),
    [sym_true] = ACTIONS(3187),
    [sym_false] = ACTIONS(3187),
    [anon_sym_NULL] = ACTIONS(3187),
    [anon_sym_nullptr] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_try] = ACTIONS(3187),
    [anon_sym_delete] = ACTIONS(3187),
    [anon_sym_throw] = ACTIONS(3187),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
    [anon_sym_concept] = ACTIONS(3187),
    [anon_sym_co_return] = ACTIONS(3187),
    [anon_sym_co_yield] = ACTIONS(3187),
    [anon_sym_R_DQUOTE] = ACTIONS(3189),
    [anon_sym_LR_DQUOTE] = ACTIONS(3189),
    [anon_sym_uR_DQUOTE] = ACTIONS(3189),
    [anon_sym_UR_DQUOTE] = ACTIONS(3189),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3189),
    [anon_sym_co_await] = ACTIONS(3187),
    [anon_sym_new] = ACTIONS(3187),
    [anon_sym_requires] = ACTIONS(3187),
    [sym_this] = ACTIONS(3187),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(3129),
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_include_token1] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3127),
    [anon_sym_PLUS] = ACTIONS(3127),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym___cdecl] = ACTIONS(3127),
    [anon_sym___clrcall] = ACTIONS(3127),
    [anon_sym___stdcall] = ACTIONS(3127),
    [anon_sym___fastcall] = ACTIONS(3127),
    [anon_sym___thiscall] = ACTIONS(3127),
    [anon_sym___vectorcall] = ACTIONS(3127),
    [anon_sym_LBRACE] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [anon_sym_if] = ACTIONS(3127),
    [anon_sym_switch] = ACTIONS(3127),
    [anon_sym_case] = ACTIONS(3127),
    [anon_sym_default] = ACTIONS(3127),
    [anon_sym_while] = ACTIONS(3127),
    [anon_sym_do] = ACTIONS(3127),
    [anon_sym_for] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3127),
    [anon_sym_break] = ACTIONS(3127),
    [anon_sym_continue] = ACTIONS(3127),
    [anon_sym_goto] = ACTIONS(3127),
    [anon_sym_not] = ACTIONS(3127),
    [anon_sym_compl] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3127),
    [anon_sym___alignof__] = ACTIONS(3127),
    [anon_sym___alignof] = ACTIONS(3127),
    [anon_sym__alignof] = ACTIONS(3127),
    [anon_sym_alignof] = ACTIONS(3127),
    [anon_sym__Alignof] = ACTIONS(3127),
    [anon_sym_offsetof] = ACTIONS(3127),
    [anon_sym__Generic] = ACTIONS(3127),
    [anon_sym_asm] = ACTIONS(3127),
    [anon_sym___asm__] = ACTIONS(3127),
    [anon_sym___asm] = ACTIONS(3127),
    [sym_number_literal] = ACTIONS(3129),
    [anon_sym_L_SQUOTE] = ACTIONS(3129),
    [anon_sym_u_SQUOTE] = ACTIONS(3129),
    [anon_sym_U_SQUOTE] = ACTIONS(3129),
    [anon_sym_u8_SQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3129),
    [anon_sym_L_DQUOTE] = ACTIONS(3129),
    [anon_sym_u_DQUOTE] = ACTIONS(3129),
    [anon_sym_U_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8_DQUOTE] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [sym_true] = ACTIONS(3127),
    [sym_false] = ACTIONS(3127),
    [anon_sym_NULL] = ACTIONS(3127),
    [anon_sym_nullptr] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_delete] = ACTIONS(3127),
    [anon_sym_throw] = ACTIONS(3127),
    [anon_sym_namespace] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
    [anon_sym_concept] = ACTIONS(3127),
    [anon_sym_co_return] = ACTIONS(3127),
    [anon_sym_co_yield] = ACTIONS(3127),
    [anon_sym_R_DQUOTE] = ACTIONS(3129),
    [anon_sym_LR_DQUOTE] = ACTIONS(3129),
    [anon_sym_uR_DQUOTE] = ACTIONS(3129),
    [anon_sym_UR_DQUOTE] = ACTIONS(3129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3129),
    [anon_sym_co_await] = ACTIONS(3127),
    [anon_sym_new] = ACTIONS(3127),
    [anon_sym_requires] = ACTIONS(3127),
    [sym_this] = ACTIONS(3127),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(3125),
    [sym_identifier] = ACTIONS(3123),
    [aux_sym_preproc_include_token1] = ACTIONS(3123),
    [aux_sym_preproc_def_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3123),
    [sym_preproc_directive] = ACTIONS(3123),
    [anon_sym_LPAREN2] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3125),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3123),
    [anon_sym_PLUS] = ACTIONS(3123),
    [anon_sym_STAR] = ACTIONS(3125),
    [anon_sym_AMP_AMP] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym___extension__] = ACTIONS(3123),
    [anon_sym_typedef] = ACTIONS(3123),
    [anon_sym_virtual] = ACTIONS(3123),
    [anon_sym_extern] = ACTIONS(3123),
    [anon_sym___attribute__] = ACTIONS(3123),
    [anon_sym_COLON_COLON] = ACTIONS(3125),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3125),
    [anon_sym___declspec] = ACTIONS(3123),
    [anon_sym___based] = ACTIONS(3123),
    [anon_sym___cdecl] = ACTIONS(3123),
    [anon_sym___clrcall] = ACTIONS(3123),
    [anon_sym___stdcall] = ACTIONS(3123),
    [anon_sym___fastcall] = ACTIONS(3123),
    [anon_sym___thiscall] = ACTIONS(3123),
    [anon_sym___vectorcall] = ACTIONS(3123),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_signed] = ACTIONS(3123),
    [anon_sym_unsigned] = ACTIONS(3123),
    [anon_sym_long] = ACTIONS(3123),
    [anon_sym_short] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_register] = ACTIONS(3123),
    [anon_sym_inline] = ACTIONS(3123),
    [anon_sym___inline] = ACTIONS(3123),
    [anon_sym___inline__] = ACTIONS(3123),
    [anon_sym___forceinline] = ACTIONS(3123),
    [anon_sym_thread_local] = ACTIONS(3123),
    [anon_sym___thread] = ACTIONS(3123),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_constexpr] = ACTIONS(3123),
    [anon_sym_volatile] = ACTIONS(3123),
    [anon_sym_restrict] = ACTIONS(3123),
    [anon_sym___restrict__] = ACTIONS(3123),
    [anon_sym__Atomic] = ACTIONS(3123),
    [anon_sym__Noreturn] = ACTIONS(3123),
    [anon_sym_noreturn] = ACTIONS(3123),
    [anon_sym__Nonnull] = ACTIONS(3123),
    [anon_sym_mutable] = ACTIONS(3123),
    [anon_sym_constinit] = ACTIONS(3123),
    [anon_sym_consteval] = ACTIONS(3123),
    [anon_sym_alignas] = ACTIONS(3123),
    [anon_sym__Alignas] = ACTIONS(3123),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(3123),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_struct] = ACTIONS(3123),
    [anon_sym_union] = ACTIONS(3123),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_switch] = ACTIONS(3123),
    [anon_sym_case] = ACTIONS(3123),
    [anon_sym_default] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(3123),
    [anon_sym_do] = ACTIONS(3123),
    [anon_sym_for] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3123),
    [anon_sym_break] = ACTIONS(3123),
    [anon_sym_continue] = ACTIONS(3123),
    [anon_sym_goto] = ACTIONS(3123),
    [anon_sym_not] = ACTIONS(3123),
    [anon_sym_compl] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3125),
    [anon_sym_PLUS_PLUS] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3123),
    [anon_sym___alignof__] = ACTIONS(3123),
    [anon_sym___alignof] = ACTIONS(3123),
    [anon_sym__alignof] = ACTIONS(3123),
    [anon_sym_alignof] = ACTIONS(3123),
    [anon_sym__Alignof] = ACTIONS(3123),
    [anon_sym_offsetof] = ACTIONS(3123),
    [anon_sym__Generic] = ACTIONS(3123),
    [anon_sym_asm] = ACTIONS(3123),
    [anon_sym___asm__] = ACTIONS(3123),
    [anon_sym___asm] = ACTIONS(3123),
    [sym_number_literal] = ACTIONS(3125),
    [anon_sym_L_SQUOTE] = ACTIONS(3125),
    [anon_sym_u_SQUOTE] = ACTIONS(3125),
    [anon_sym_U_SQUOTE] = ACTIONS(3125),
    [anon_sym_u8_SQUOTE] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3125),
    [anon_sym_L_DQUOTE] = ACTIONS(3125),
    [anon_sym_u_DQUOTE] = ACTIONS(3125),
    [anon_sym_U_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8_DQUOTE] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3125),
    [sym_true] = ACTIONS(3123),
    [sym_false] = ACTIONS(3123),
    [anon_sym_NULL] = ACTIONS(3123),
    [anon_sym_nullptr] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3123),
    [anon_sym_decltype] = ACTIONS(3123),
    [anon_sym_explicit] = ACTIONS(3123),
    [anon_sym_typename] = ACTIONS(3123),
    [anon_sym_template] = ACTIONS(3123),
    [anon_sym_operator] = ACTIONS(3123),
    [anon_sym_try] = ACTIONS(3123),
    [anon_sym_delete] = ACTIONS(3123),
    [anon_sym_throw] = ACTIONS(3123),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_static_assert] = ACTIONS(3123),
    [anon_sym_concept] = ACTIONS(3123),
    [anon_sym_co_return] = ACTIONS(3123),
    [anon_sym_co_yield] = ACTIONS(3123),
    [anon_sym_R_DQUOTE] = ACTIONS(3125),
    [anon_sym_LR_DQUOTE] = ACTIONS(3125),
    [anon_sym_uR_DQUOTE] = ACTIONS(3125),
    [anon_sym_UR_DQUOTE] = ACTIONS(3125),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3125),
    [anon_sym_co_await] = ACTIONS(3123),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_requires] = ACTIONS(3123),
    [sym_this] = ACTIONS(3123),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(3046),
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [sym_number_literal] = ACTIONS(3046),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(3109),
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [anon_sym___asm] = ACTIONS(3107),
    [sym_number_literal] = ACTIONS(3109),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(2934),
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_include_token1] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2932),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym___cdecl] = ACTIONS(2932),
    [anon_sym___clrcall] = ACTIONS(2932),
    [anon_sym___stdcall] = ACTIONS(2932),
    [anon_sym___fastcall] = ACTIONS(2932),
    [anon_sym___thiscall] = ACTIONS(2932),
    [anon_sym___vectorcall] = ACTIONS(2932),
    [anon_sym_LBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [anon_sym_if] = ACTIONS(2932),
    [anon_sym_switch] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2932),
    [anon_sym_default] = ACTIONS(2932),
    [anon_sym_while] = ACTIONS(2932),
    [anon_sym_do] = ACTIONS(2932),
    [anon_sym_for] = ACTIONS(2932),
    [anon_sym_return] = ACTIONS(2932),
    [anon_sym_break] = ACTIONS(2932),
    [anon_sym_continue] = ACTIONS(2932),
    [anon_sym_goto] = ACTIONS(2932),
    [anon_sym_not] = ACTIONS(2932),
    [anon_sym_compl] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2934),
    [anon_sym_sizeof] = ACTIONS(2932),
    [anon_sym___alignof__] = ACTIONS(2932),
    [anon_sym___alignof] = ACTIONS(2932),
    [anon_sym__alignof] = ACTIONS(2932),
    [anon_sym_alignof] = ACTIONS(2932),
    [anon_sym__Alignof] = ACTIONS(2932),
    [anon_sym_offsetof] = ACTIONS(2932),
    [anon_sym__Generic] = ACTIONS(2932),
    [anon_sym_asm] = ACTIONS(2932),
    [anon_sym___asm__] = ACTIONS(2932),
    [anon_sym___asm] = ACTIONS(2932),
    [sym_number_literal] = ACTIONS(2934),
    [anon_sym_L_SQUOTE] = ACTIONS(2934),
    [anon_sym_u_SQUOTE] = ACTIONS(2934),
    [anon_sym_U_SQUOTE] = ACTIONS(2934),
    [anon_sym_u8_SQUOTE] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2934),
    [anon_sym_L_DQUOTE] = ACTIONS(2934),
    [anon_sym_u_DQUOTE] = ACTIONS(2934),
    [anon_sym_U_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8_DQUOTE] = ACTIONS(2934),
    [anon_sym_DQUOTE] = ACTIONS(2934),
    [sym_true] = ACTIONS(2932),
    [sym_false] = ACTIONS(2932),
    [anon_sym_NULL] = ACTIONS(2932),
    [anon_sym_nullptr] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_try] = ACTIONS(2932),
    [anon_sym_delete] = ACTIONS(2932),
    [anon_sym_throw] = ACTIONS(2932),
    [anon_sym_namespace] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
    [anon_sym_concept] = ACTIONS(2932),
    [anon_sym_co_return] = ACTIONS(2932),
    [anon_sym_co_yield] = ACTIONS(2932),
    [anon_sym_R_DQUOTE] = ACTIONS(2934),
    [anon_sym_LR_DQUOTE] = ACTIONS(2934),
    [anon_sym_uR_DQUOTE] = ACTIONS(2934),
    [anon_sym_UR_DQUOTE] = ACTIONS(2934),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2934),
    [anon_sym_co_await] = ACTIONS(2932),
    [anon_sym_new] = ACTIONS(2932),
    [anon_sym_requires] = ACTIONS(2932),
    [sym_this] = ACTIONS(2932),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(3046),
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_include_token1] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_BANG] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym___cdecl] = ACTIONS(3044),
    [anon_sym___clrcall] = ACTIONS(3044),
    [anon_sym___stdcall] = ACTIONS(3044),
    [anon_sym___fastcall] = ACTIONS(3044),
    [anon_sym___thiscall] = ACTIONS(3044),
    [anon_sym___vectorcall] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_switch] = ACTIONS(3044),
    [anon_sym_case] = ACTIONS(3044),
    [anon_sym_default] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_do] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_break] = ACTIONS(3044),
    [anon_sym_continue] = ACTIONS(3044),
    [anon_sym_goto] = ACTIONS(3044),
    [anon_sym_not] = ACTIONS(3044),
    [anon_sym_compl] = ACTIONS(3044),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_sizeof] = ACTIONS(3044),
    [anon_sym___alignof__] = ACTIONS(3044),
    [anon_sym___alignof] = ACTIONS(3044),
    [anon_sym__alignof] = ACTIONS(3044),
    [anon_sym_alignof] = ACTIONS(3044),
    [anon_sym__Alignof] = ACTIONS(3044),
    [anon_sym_offsetof] = ACTIONS(3044),
    [anon_sym__Generic] = ACTIONS(3044),
    [anon_sym_asm] = ACTIONS(3044),
    [anon_sym___asm__] = ACTIONS(3044),
    [anon_sym___asm] = ACTIONS(3044),
    [sym_number_literal] = ACTIONS(3046),
    [anon_sym_L_SQUOTE] = ACTIONS(3046),
    [anon_sym_u_SQUOTE] = ACTIONS(3046),
    [anon_sym_U_SQUOTE] = ACTIONS(3046),
    [anon_sym_u8_SQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [anon_sym_L_DQUOTE] = ACTIONS(3046),
    [anon_sym_u_DQUOTE] = ACTIONS(3046),
    [anon_sym_U_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8_DQUOTE] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3046),
    [sym_true] = ACTIONS(3044),
    [sym_false] = ACTIONS(3044),
    [anon_sym_NULL] = ACTIONS(3044),
    [anon_sym_nullptr] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_delete] = ACTIONS(3044),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_namespace] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
    [anon_sym_concept] = ACTIONS(3044),
    [anon_sym_co_return] = ACTIONS(3044),
    [anon_sym_co_yield] = ACTIONS(3044),
    [anon_sym_R_DQUOTE] = ACTIONS(3046),
    [anon_sym_LR_DQUOTE] = ACTIONS(3046),
    [anon_sym_uR_DQUOTE] = ACTIONS(3046),
    [anon_sym_UR_DQUOTE] = ACTIONS(3046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3046),
    [anon_sym_co_await] = ACTIONS(3044),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_requires] = ACTIONS(3044),
    [sym_this] = ACTIONS(3044),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(2926),
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_include_token1] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym___cdecl] = ACTIONS(2924),
    [anon_sym___clrcall] = ACTIONS(2924),
    [anon_sym___stdcall] = ACTIONS(2924),
    [anon_sym___fastcall] = ACTIONS(2924),
    [anon_sym___thiscall] = ACTIONS(2924),
    [anon_sym___vectorcall] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_if] = ACTIONS(2924),
    [anon_sym_switch] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2924),
    [anon_sym_default] = ACTIONS(2924),
    [anon_sym_while] = ACTIONS(2924),
    [anon_sym_do] = ACTIONS(2924),
    [anon_sym_for] = ACTIONS(2924),
    [anon_sym_return] = ACTIONS(2924),
    [anon_sym_break] = ACTIONS(2924),
    [anon_sym_continue] = ACTIONS(2924),
    [anon_sym_goto] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_try] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_throw] = ACTIONS(2924),
    [anon_sym_namespace] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
    [anon_sym_concept] = ACTIONS(2924),
    [anon_sym_co_return] = ACTIONS(2924),
    [anon_sym_co_yield] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(2954),
    [sym_identifier] = ACTIONS(2952),
    [aux_sym_preproc_include_token1] = ACTIONS(2952),
    [aux_sym_preproc_def_token1] = ACTIONS(2952),
    [aux_sym_preproc_if_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2952),
    [sym_preproc_directive] = ACTIONS(2952),
    [anon_sym_LPAREN2] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2952),
    [anon_sym_PLUS] = ACTIONS(2952),
    [anon_sym_STAR] = ACTIONS(2954),
    [anon_sym_AMP_AMP] = ACTIONS(2954),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym___extension__] = ACTIONS(2952),
    [anon_sym_typedef] = ACTIONS(2952),
    [anon_sym_virtual] = ACTIONS(2952),
    [anon_sym_extern] = ACTIONS(2952),
    [anon_sym___attribute__] = ACTIONS(2952),
    [anon_sym_COLON_COLON] = ACTIONS(2954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2954),
    [anon_sym___declspec] = ACTIONS(2952),
    [anon_sym___based] = ACTIONS(2952),
    [anon_sym___cdecl] = ACTIONS(2952),
    [anon_sym___clrcall] = ACTIONS(2952),
    [anon_sym___stdcall] = ACTIONS(2952),
    [anon_sym___fastcall] = ACTIONS(2952),
    [anon_sym___thiscall] = ACTIONS(2952),
    [anon_sym___vectorcall] = ACTIONS(2952),
    [anon_sym_LBRACE] = ACTIONS(2954),
    [anon_sym_signed] = ACTIONS(2952),
    [anon_sym_unsigned] = ACTIONS(2952),
    [anon_sym_long] = ACTIONS(2952),
    [anon_sym_short] = ACTIONS(2952),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2952),
    [anon_sym_register] = ACTIONS(2952),
    [anon_sym_inline] = ACTIONS(2952),
    [anon_sym___inline] = ACTIONS(2952),
    [anon_sym___inline__] = ACTIONS(2952),
    [anon_sym___forceinline] = ACTIONS(2952),
    [anon_sym_thread_local] = ACTIONS(2952),
    [anon_sym___thread] = ACTIONS(2952),
    [anon_sym_const] = ACTIONS(2952),
    [anon_sym_constexpr] = ACTIONS(2952),
    [anon_sym_volatile] = ACTIONS(2952),
    [anon_sym_restrict] = ACTIONS(2952),
    [anon_sym___restrict__] = ACTIONS(2952),
    [anon_sym__Atomic] = ACTIONS(2952),
    [anon_sym__Noreturn] = ACTIONS(2952),
    [anon_sym_noreturn] = ACTIONS(2952),
    [anon_sym__Nonnull] = ACTIONS(2952),
    [anon_sym_mutable] = ACTIONS(2952),
    [anon_sym_constinit] = ACTIONS(2952),
    [anon_sym_consteval] = ACTIONS(2952),
    [anon_sym_alignas] = ACTIONS(2952),
    [anon_sym__Alignas] = ACTIONS(2952),
    [sym_primitive_type] = ACTIONS(2952),
    [anon_sym_enum] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2952),
    [anon_sym_struct] = ACTIONS(2952),
    [anon_sym_union] = ACTIONS(2952),
    [anon_sym_if] = ACTIONS(2952),
    [anon_sym_switch] = ACTIONS(2952),
    [anon_sym_case] = ACTIONS(2952),
    [anon_sym_default] = ACTIONS(2952),
    [anon_sym_while] = ACTIONS(2952),
    [anon_sym_do] = ACTIONS(2952),
    [anon_sym_for] = ACTIONS(2952),
    [anon_sym_return] = ACTIONS(2952),
    [anon_sym_break] = ACTIONS(2952),
    [anon_sym_continue] = ACTIONS(2952),
    [anon_sym_goto] = ACTIONS(2952),
    [anon_sym_not] = ACTIONS(2952),
    [anon_sym_compl] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2954),
    [anon_sym_sizeof] = ACTIONS(2952),
    [anon_sym___alignof__] = ACTIONS(2952),
    [anon_sym___alignof] = ACTIONS(2952),
    [anon_sym__alignof] = ACTIONS(2952),
    [anon_sym_alignof] = ACTIONS(2952),
    [anon_sym__Alignof] = ACTIONS(2952),
    [anon_sym_offsetof] = ACTIONS(2952),
    [anon_sym__Generic] = ACTIONS(2952),
    [anon_sym_asm] = ACTIONS(2952),
    [anon_sym___asm__] = ACTIONS(2952),
    [anon_sym___asm] = ACTIONS(2952),
    [sym_number_literal] = ACTIONS(2954),
    [anon_sym_L_SQUOTE] = ACTIONS(2954),
    [anon_sym_u_SQUOTE] = ACTIONS(2954),
    [anon_sym_U_SQUOTE] = ACTIONS(2954),
    [anon_sym_u8_SQUOTE] = ACTIONS(2954),
    [anon_sym_SQUOTE] = ACTIONS(2954),
    [anon_sym_L_DQUOTE] = ACTIONS(2954),
    [anon_sym_u_DQUOTE] = ACTIONS(2954),
    [anon_sym_U_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8_DQUOTE] = ACTIONS(2954),
    [anon_sym_DQUOTE] = ACTIONS(2954),
    [sym_true] = ACTIONS(2952),
    [sym_false] = ACTIONS(2952),
    [anon_sym_NULL] = ACTIONS(2952),
    [anon_sym_nullptr] = ACTIONS(2952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2952),
    [anon_sym_decltype] = ACTIONS(2952),
    [anon_sym_explicit] = ACTIONS(2952),
    [anon_sym_typename] = ACTIONS(2952),
    [anon_sym_template] = ACTIONS(2952),
    [anon_sym_operator] = ACTIONS(2952),
    [anon_sym_try] = ACTIONS(2952),
    [anon_sym_delete] = ACTIONS(2952),
    [anon_sym_throw] = ACTIONS(2952),
    [anon_sym_namespace] = ACTIONS(2952),
    [anon_sym_using] = ACTIONS(2952),
    [anon_sym_static_assert] = ACTIONS(2952),
    [anon_sym_concept] = ACTIONS(2952),
    [anon_sym_co_return] = ACTIONS(2952),
    [anon_sym_co_yield] = ACTIONS(2952),
    [anon_sym_R_DQUOTE] = ACTIONS(2954),
    [anon_sym_LR_DQUOTE] = ACTIONS(2954),
    [anon_sym_uR_DQUOTE] = ACTIONS(2954),
    [anon_sym_UR_DQUOTE] = ACTIONS(2954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2954),
    [anon_sym_co_await] = ACTIONS(2952),
    [anon_sym_new] = ACTIONS(2952),
    [anon_sym_requires] = ACTIONS(2952),
    [sym_this] = ACTIONS(2952),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2842),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym__Nonnull] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [anon_sym___asm] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(2987),
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym__Nonnull] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym__Alignas] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [anon_sym___asm] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(3017),
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_virtual] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym__Nonnull] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [anon_sym___asm] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(3157),
    [sym_identifier] = ACTIONS(3155),
    [aux_sym_preproc_include_token1] = ACTIONS(3155),
    [aux_sym_preproc_def_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3155),
    [sym_preproc_directive] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(3155),
    [anon_sym_STAR] = ACTIONS(3157),
    [anon_sym_AMP_AMP] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym___extension__] = ACTIONS(3155),
    [anon_sym_typedef] = ACTIONS(3155),
    [anon_sym_virtual] = ACTIONS(3155),
    [anon_sym_extern] = ACTIONS(3155),
    [anon_sym___attribute__] = ACTIONS(3155),
    [anon_sym_COLON_COLON] = ACTIONS(3157),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3157),
    [anon_sym___declspec] = ACTIONS(3155),
    [anon_sym___based] = ACTIONS(3155),
    [anon_sym___cdecl] = ACTIONS(3155),
    [anon_sym___clrcall] = ACTIONS(3155),
    [anon_sym___stdcall] = ACTIONS(3155),
    [anon_sym___fastcall] = ACTIONS(3155),
    [anon_sym___thiscall] = ACTIONS(3155),
    [anon_sym___vectorcall] = ACTIONS(3155),
    [anon_sym_LBRACE] = ACTIONS(3157),
    [anon_sym_signed] = ACTIONS(3155),
    [anon_sym_unsigned] = ACTIONS(3155),
    [anon_sym_long] = ACTIONS(3155),
    [anon_sym_short] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_static] = ACTIONS(3155),
    [anon_sym_register] = ACTIONS(3155),
    [anon_sym_inline] = ACTIONS(3155),
    [anon_sym___inline] = ACTIONS(3155),
    [anon_sym___inline__] = ACTIONS(3155),
    [anon_sym___forceinline] = ACTIONS(3155),
    [anon_sym_thread_local] = ACTIONS(3155),
    [anon_sym___thread] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3155),
    [anon_sym_constexpr] = ACTIONS(3155),
    [anon_sym_volatile] = ACTIONS(3155),
    [anon_sym_restrict] = ACTIONS(3155),
    [anon_sym___restrict__] = ACTIONS(3155),
    [anon_sym__Atomic] = ACTIONS(3155),
    [anon_sym__Noreturn] = ACTIONS(3155),
    [anon_sym_noreturn] = ACTIONS(3155),
    [anon_sym__Nonnull] = ACTIONS(3155),
    [anon_sym_mutable] = ACTIONS(3155),
    [anon_sym_constinit] = ACTIONS(3155),
    [anon_sym_consteval] = ACTIONS(3155),
    [anon_sym_alignas] = ACTIONS(3155),
    [anon_sym__Alignas] = ACTIONS(3155),
    [sym_primitive_type] = ACTIONS(3155),
    [anon_sym_enum] = ACTIONS(3155),
    [anon_sym_class] = ACTIONS(3155),
    [anon_sym_struct] = ACTIONS(3155),
    [anon_sym_union] = ACTIONS(3155),
    [anon_sym_if] = ACTIONS(3155),
    [anon_sym_switch] = ACTIONS(3155),
    [anon_sym_case] = ACTIONS(3155),
    [anon_sym_default] = ACTIONS(3155),
    [anon_sym_while] = ACTIONS(3155),
    [anon_sym_do] = ACTIONS(3155),
    [anon_sym_for] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3155),
    [anon_sym_break] = ACTIONS(3155),
    [anon_sym_continue] = ACTIONS(3155),
    [anon_sym_goto] = ACTIONS(3155),
    [anon_sym_not] = ACTIONS(3155),
    [anon_sym_compl] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3157),
    [anon_sym_PLUS_PLUS] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3155),
    [anon_sym___alignof__] = ACTIONS(3155),
    [anon_sym___alignof] = ACTIONS(3155),
    [anon_sym__alignof] = ACTIONS(3155),
    [anon_sym_alignof] = ACTIONS(3155),
    [anon_sym__Alignof] = ACTIONS(3155),
    [anon_sym_offsetof] = ACTIONS(3155),
    [anon_sym__Generic] = ACTIONS(3155),
    [anon_sym_asm] = ACTIONS(3155),
    [anon_sym___asm__] = ACTIONS(3155),
    [anon_sym___asm] = ACTIONS(3155),
    [sym_number_literal] = ACTIONS(3157),
    [anon_sym_L_SQUOTE] = ACTIONS(3157),
    [anon_sym_u_SQUOTE] = ACTIONS(3157),
    [anon_sym_U_SQUOTE] = ACTIONS(3157),
    [anon_sym_u8_SQUOTE] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_L_DQUOTE] = ACTIONS(3157),
    [anon_sym_u_DQUOTE] = ACTIONS(3157),
    [anon_sym_U_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8_DQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3157),
    [sym_true] = ACTIONS(3155),
    [sym_false] = ACTIONS(3155),
    [anon_sym_NULL] = ACTIONS(3155),
    [anon_sym_nullptr] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3155),
    [anon_sym_decltype] = ACTIONS(3155),
    [anon_sym_explicit] = ACTIONS(3155),
    [anon_sym_typename] = ACTIONS(3155),
    [anon_sym_template] = ACTIONS(3155),
    [anon_sym_operator] = ACTIONS(3155),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_delete] = ACTIONS(3155),
    [anon_sym_throw] = ACTIONS(3155),
    [anon_sym_namespace] = ACTIONS(3155),
    [anon_sym_using] = ACTIONS(3155),
    [anon_sym_static_assert] = ACTIONS(3155),
    [anon_sym_concept] = ACTIONS(3155),
    [anon_sym_co_return] = ACTIONS(3155),
    [anon_sym_co_yield] = ACTIONS(3155),
    [anon_sym_R_DQUOTE] = ACTIONS(3157),
    [anon_sym_LR_DQUOTE] = ACTIONS(3157),
    [anon_sym_uR_DQUOTE] = ACTIONS(3157),
    [anon_sym_UR_DQUOTE] = ACTIONS(3157),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3157),
    [anon_sym_co_await] = ACTIONS(3155),
    [anon_sym_new] = ACTIONS(3155),
    [anon_sym_requires] = ACTIONS(3155),
    [sym_this] = ACTIONS(3155),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(3475),
    [sym_identifier] = ACTIONS(3478),
    [aux_sym_preproc_include_token1] = ACTIONS(3478),
    [aux_sym_preproc_def_token1] = ACTIONS(3478),
    [aux_sym_preproc_if_token1] = ACTIONS(3478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3478),
    [sym_preproc_directive] = ACTIONS(3478),
    [anon_sym_LPAREN2] = ACTIONS(3475),
    [anon_sym_BANG] = ACTIONS(3475),
    [anon_sym_TILDE] = ACTIONS(3475),
    [anon_sym_DASH] = ACTIONS(3478),
    [anon_sym_PLUS] = ACTIONS(3478),
    [anon_sym_STAR] = ACTIONS(3475),
    [anon_sym_AMP_AMP] = ACTIONS(3475),
    [anon_sym_AMP] = ACTIONS(3478),
    [anon_sym___extension__] = ACTIONS(3478),
    [anon_sym_typedef] = ACTIONS(3478),
    [anon_sym_virtual] = ACTIONS(3478),
    [anon_sym_extern] = ACTIONS(3478),
    [anon_sym___attribute__] = ACTIONS(3478),
    [anon_sym_COLON_COLON] = ACTIONS(3475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3475),
    [anon_sym___declspec] = ACTIONS(3478),
    [anon_sym___based] = ACTIONS(3478),
    [anon_sym___cdecl] = ACTIONS(3478),
    [anon_sym___clrcall] = ACTIONS(3478),
    [anon_sym___stdcall] = ACTIONS(3478),
    [anon_sym___fastcall] = ACTIONS(3478),
    [anon_sym___thiscall] = ACTIONS(3478),
    [anon_sym___vectorcall] = ACTIONS(3478),
    [anon_sym_LBRACE] = ACTIONS(3475),
    [anon_sym_signed] = ACTIONS(3478),
    [anon_sym_unsigned] = ACTIONS(3478),
    [anon_sym_long] = ACTIONS(3478),
    [anon_sym_short] = ACTIONS(3478),
    [anon_sym_LBRACK] = ACTIONS(3478),
    [anon_sym_static] = ACTIONS(3478),
    [anon_sym_register] = ACTIONS(3478),
    [anon_sym_inline] = ACTIONS(3478),
    [anon_sym___inline] = ACTIONS(3478),
    [anon_sym___inline__] = ACTIONS(3478),
    [anon_sym___forceinline] = ACTIONS(3478),
    [anon_sym_thread_local] = ACTIONS(3478),
    [anon_sym___thread] = ACTIONS(3478),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_constexpr] = ACTIONS(3478),
    [anon_sym_volatile] = ACTIONS(3478),
    [anon_sym_restrict] = ACTIONS(3478),
    [anon_sym___restrict__] = ACTIONS(3478),
    [anon_sym__Atomic] = ACTIONS(3478),
    [anon_sym__Noreturn] = ACTIONS(3478),
    [anon_sym_noreturn] = ACTIONS(3478),
    [anon_sym__Nonnull] = ACTIONS(3478),
    [anon_sym_mutable] = ACTIONS(3478),
    [anon_sym_constinit] = ACTIONS(3478),
    [anon_sym_consteval] = ACTIONS(3478),
    [anon_sym_alignas] = ACTIONS(3478),
    [anon_sym__Alignas] = ACTIONS(3478),
    [sym_primitive_type] = ACTIONS(3478),
    [anon_sym_enum] = ACTIONS(3478),
    [anon_sym_class] = ACTIONS(3478),
    [anon_sym_struct] = ACTIONS(3478),
    [anon_sym_union] = ACTIONS(3478),
    [anon_sym_if] = ACTIONS(3478),
    [anon_sym_switch] = ACTIONS(3478),
    [anon_sym_case] = ACTIONS(3478),
    [anon_sym_default] = ACTIONS(3478),
    [anon_sym_while] = ACTIONS(3478),
    [anon_sym_do] = ACTIONS(3478),
    [anon_sym_for] = ACTIONS(3478),
    [anon_sym_return] = ACTIONS(3478),
    [anon_sym_break] = ACTIONS(3478),
    [anon_sym_continue] = ACTIONS(3478),
    [anon_sym_goto] = ACTIONS(3478),
    [anon_sym_not] = ACTIONS(3478),
    [anon_sym_compl] = ACTIONS(3478),
    [anon_sym_DASH_DASH] = ACTIONS(3475),
    [anon_sym_PLUS_PLUS] = ACTIONS(3475),
    [anon_sym_sizeof] = ACTIONS(3478),
    [anon_sym___alignof__] = ACTIONS(3478),
    [anon_sym___alignof] = ACTIONS(3478),
    [anon_sym__alignof] = ACTIONS(3478),
    [anon_sym_alignof] = ACTIONS(3478),
    [anon_sym__Alignof] = ACTIONS(3478),
    [anon_sym_offsetof] = ACTIONS(3478),
    [anon_sym__Generic] = ACTIONS(3478),
    [anon_sym_asm] = ACTIONS(3478),
    [anon_sym___asm__] = ACTIONS(3478),
    [anon_sym___asm] = ACTIONS(3478),
    [sym_number_literal] = ACTIONS(3475),
    [anon_sym_L_SQUOTE] = ACTIONS(3475),
    [anon_sym_u_SQUOTE] = ACTIONS(3475),
    [anon_sym_U_SQUOTE] = ACTIONS(3475),
    [anon_sym_u8_SQUOTE] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3475),
    [anon_sym_L_DQUOTE] = ACTIONS(3475),
    [anon_sym_u_DQUOTE] = ACTIONS(3475),
    [anon_sym_U_DQUOTE] = ACTIONS(3475),
    [anon_sym_u8_DQUOTE] = ACTIONS(3475),
    [anon_sym_DQUOTE] = ACTIONS(3475),
    [sym_true] = ACTIONS(3478),
    [sym_false] = ACTIONS(3478),
    [anon_sym_NULL] = ACTIONS(3478),
    [anon_sym_nullptr] = ACTIONS(3478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3478),
    [anon_sym_decltype] = ACTIONS(3478),
    [anon_sym_explicit] = ACTIONS(3478),
    [anon_sym_typename] = ACTIONS(3478),
    [anon_sym_template] = ACTIONS(3478),
    [anon_sym_operator] = ACTIONS(3478),
    [anon_sym_try] = ACTIONS(3478),
    [anon_sym_delete] = ACTIONS(3478),
    [anon_sym_throw] = ACTIONS(3478),
    [anon_sym_namespace] = ACTIONS(3478),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_static_assert] = ACTIONS(3478),
    [anon_sym_concept] = ACTIONS(3478),
    [anon_sym_co_return] = ACTIONS(3478),
    [anon_sym_co_yield] = ACTIONS(3478),
    [anon_sym_R_DQUOTE] = ACTIONS(3475),
    [anon_sym_LR_DQUOTE] = ACTIONS(3475),
    [anon_sym_uR_DQUOTE] = ACTIONS(3475),
    [anon_sym_UR_DQUOTE] = ACTIONS(3475),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3475),
    [anon_sym_co_await] = ACTIONS(3478),
    [anon_sym_new] = ACTIONS(3478),
    [anon_sym_requires] = ACTIONS(3478),
    [sym_this] = ACTIONS(3478),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(3003),
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym__Nonnull] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [anon_sym___asm] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(2874),
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_AMP_AMP] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2872),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_virtual] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym_COLON_COLON] = ACTIONS(2874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___based] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_constinit] = ACTIONS(2872),
    [anon_sym_consteval] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_class] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym_not] = ACTIONS(2872),
    [anon_sym_compl] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2872),
    [anon_sym_decltype] = ACTIONS(2872),
    [anon_sym_explicit] = ACTIONS(2872),
    [anon_sym_typename] = ACTIONS(2872),
    [anon_sym_template] = ACTIONS(2872),
    [anon_sym_operator] = ACTIONS(2872),
    [anon_sym_try] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2872),
    [anon_sym_throw] = ACTIONS(2872),
    [anon_sym_namespace] = ACTIONS(2872),
    [anon_sym_using] = ACTIONS(2872),
    [anon_sym_static_assert] = ACTIONS(2872),
    [anon_sym_concept] = ACTIONS(2872),
    [anon_sym_co_return] = ACTIONS(2872),
    [anon_sym_co_yield] = ACTIONS(2872),
    [anon_sym_R_DQUOTE] = ACTIONS(2874),
    [anon_sym_LR_DQUOTE] = ACTIONS(2874),
    [anon_sym_uR_DQUOTE] = ACTIONS(2874),
    [anon_sym_UR_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2874),
    [anon_sym_co_await] = ACTIONS(2872),
    [anon_sym_new] = ACTIONS(2872),
    [anon_sym_requires] = ACTIONS(2872),
    [sym_this] = ACTIONS(2872),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(3058),
    [sym_identifier] = ACTIONS(3056),
    [aux_sym_preproc_include_token1] = ACTIONS(3056),
    [aux_sym_preproc_def_token1] = ACTIONS(3056),
    [aux_sym_preproc_if_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3056),
    [sym_preproc_directive] = ACTIONS(3056),
    [anon_sym_LPAREN2] = ACTIONS(3058),
    [anon_sym_BANG] = ACTIONS(3058),
    [anon_sym_TILDE] = ACTIONS(3058),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym___extension__] = ACTIONS(3056),
    [anon_sym_typedef] = ACTIONS(3056),
    [anon_sym_virtual] = ACTIONS(3056),
    [anon_sym_extern] = ACTIONS(3056),
    [anon_sym___attribute__] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3058),
    [anon_sym___declspec] = ACTIONS(3056),
    [anon_sym___based] = ACTIONS(3056),
    [anon_sym___cdecl] = ACTIONS(3056),
    [anon_sym___clrcall] = ACTIONS(3056),
    [anon_sym___stdcall] = ACTIONS(3056),
    [anon_sym___fastcall] = ACTIONS(3056),
    [anon_sym___thiscall] = ACTIONS(3056),
    [anon_sym___vectorcall] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_signed] = ACTIONS(3056),
    [anon_sym_unsigned] = ACTIONS(3056),
    [anon_sym_long] = ACTIONS(3056),
    [anon_sym_short] = ACTIONS(3056),
    [anon_sym_LBRACK] = ACTIONS(3056),
    [anon_sym_static] = ACTIONS(3056),
    [anon_sym_register] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym___inline] = ACTIONS(3056),
    [anon_sym___inline__] = ACTIONS(3056),
    [anon_sym___forceinline] = ACTIONS(3056),
    [anon_sym_thread_local] = ACTIONS(3056),
    [anon_sym___thread] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_constexpr] = ACTIONS(3056),
    [anon_sym_volatile] = ACTIONS(3056),
    [anon_sym_restrict] = ACTIONS(3056),
    [anon_sym___restrict__] = ACTIONS(3056),
    [anon_sym__Atomic] = ACTIONS(3056),
    [anon_sym__Noreturn] = ACTIONS(3056),
    [anon_sym_noreturn] = ACTIONS(3056),
    [anon_sym__Nonnull] = ACTIONS(3056),
    [anon_sym_mutable] = ACTIONS(3056),
    [anon_sym_constinit] = ACTIONS(3056),
    [anon_sym_consteval] = ACTIONS(3056),
    [anon_sym_alignas] = ACTIONS(3056),
    [anon_sym__Alignas] = ACTIONS(3056),
    [sym_primitive_type] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_class] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3056),
    [anon_sym_union] = ACTIONS(3056),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_switch] = ACTIONS(3056),
    [anon_sym_case] = ACTIONS(3056),
    [anon_sym_default] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_do] = ACTIONS(3056),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_break] = ACTIONS(3056),
    [anon_sym_continue] = ACTIONS(3056),
    [anon_sym_goto] = ACTIONS(3056),
    [anon_sym_not] = ACTIONS(3056),
    [anon_sym_compl] = ACTIONS(3056),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_sizeof] = ACTIONS(3056),
    [anon_sym___alignof__] = ACTIONS(3056),
    [anon_sym___alignof] = ACTIONS(3056),
    [anon_sym__alignof] = ACTIONS(3056),
    [anon_sym_alignof] = ACTIONS(3056),
    [anon_sym__Alignof] = ACTIONS(3056),
    [anon_sym_offsetof] = ACTIONS(3056),
    [anon_sym__Generic] = ACTIONS(3056),
    [anon_sym_asm] = ACTIONS(3056),
    [anon_sym___asm__] = ACTIONS(3056),
    [anon_sym___asm] = ACTIONS(3056),
    [sym_number_literal] = ACTIONS(3058),
    [anon_sym_L_SQUOTE] = ACTIONS(3058),
    [anon_sym_u_SQUOTE] = ACTIONS(3058),
    [anon_sym_U_SQUOTE] = ACTIONS(3058),
    [anon_sym_u8_SQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [anon_sym_L_DQUOTE] = ACTIONS(3058),
    [anon_sym_u_DQUOTE] = ACTIONS(3058),
    [anon_sym_U_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8_DQUOTE] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3058),
    [sym_true] = ACTIONS(3056),
    [sym_false] = ACTIONS(3056),
    [anon_sym_NULL] = ACTIONS(3056),
    [anon_sym_nullptr] = ACTIONS(3056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3056),
    [anon_sym_decltype] = ACTIONS(3056),
    [anon_sym_explicit] = ACTIONS(3056),
    [anon_sym_typename] = ACTIONS(3056),
    [anon_sym_template] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_delete] = ACTIONS(3056),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_namespace] = ACTIONS(3056),
    [anon_sym_using] = ACTIONS(3056),
    [anon_sym_static_assert] = ACTIONS(3056),
    [anon_sym_concept] = ACTIONS(3056),
    [anon_sym_co_return] = ACTIONS(3056),
    [anon_sym_co_yield] = ACTIONS(3056),
    [anon_sym_R_DQUOTE] = ACTIONS(3058),
    [anon_sym_LR_DQUOTE] = ACTIONS(3058),
    [anon_sym_uR_DQUOTE] = ACTIONS(3058),
    [anon_sym_UR_DQUOTE] = ACTIONS(3058),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3058),
    [anon_sym_co_await] = ACTIONS(3056),
    [anon_sym_new] = ACTIONS(3056),
    [anon_sym_requires] = ACTIONS(3056),
    [sym_this] = ACTIONS(3056),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(3066),
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_include_token1] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_BANG] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym___cdecl] = ACTIONS(3064),
    [anon_sym___clrcall] = ACTIONS(3064),
    [anon_sym___stdcall] = ACTIONS(3064),
    [anon_sym___fastcall] = ACTIONS(3064),
    [anon_sym___thiscall] = ACTIONS(3064),
    [anon_sym___vectorcall] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [sym_primitive_type] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_switch] = ACTIONS(3064),
    [anon_sym_case] = ACTIONS(3064),
    [anon_sym_default] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_do] = ACTIONS(3064),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_break] = ACTIONS(3064),
    [anon_sym_continue] = ACTIONS(3064),
    [anon_sym_goto] = ACTIONS(3064),
    [anon_sym_not] = ACTIONS(3064),
    [anon_sym_compl] = ACTIONS(3064),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_sizeof] = ACTIONS(3064),
    [anon_sym___alignof__] = ACTIONS(3064),
    [anon_sym___alignof] = ACTIONS(3064),
    [anon_sym__alignof] = ACTIONS(3064),
    [anon_sym_alignof] = ACTIONS(3064),
    [anon_sym__Alignof] = ACTIONS(3064),
    [anon_sym_offsetof] = ACTIONS(3064),
    [anon_sym__Generic] = ACTIONS(3064),
    [anon_sym_asm] = ACTIONS(3064),
    [anon_sym___asm__] = ACTIONS(3064),
    [anon_sym___asm] = ACTIONS(3064),
    [sym_number_literal] = ACTIONS(3066),
    [anon_sym_L_SQUOTE] = ACTIONS(3066),
    [anon_sym_u_SQUOTE] = ACTIONS(3066),
    [anon_sym_U_SQUOTE] = ACTIONS(3066),
    [anon_sym_u8_SQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [anon_sym_L_DQUOTE] = ACTIONS(3066),
    [anon_sym_u_DQUOTE] = ACTIONS(3066),
    [anon_sym_U_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8_DQUOTE] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3066),
    [sym_true] = ACTIONS(3064),
    [sym_false] = ACTIONS(3064),
    [anon_sym_NULL] = ACTIONS(3064),
    [anon_sym_nullptr] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_delete] = ACTIONS(3064),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_namespace] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
    [anon_sym_concept] = ACTIONS(3064),
    [anon_sym_co_return] = ACTIONS(3064),
    [anon_sym_co_yield] = ACTIONS(3064),
    [anon_sym_R_DQUOTE] = ACTIONS(3066),
    [anon_sym_LR_DQUOTE] = ACTIONS(3066),
    [anon_sym_uR_DQUOTE] = ACTIONS(3066),
    [anon_sym_UR_DQUOTE] = ACTIONS(3066),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3066),
    [anon_sym_co_await] = ACTIONS(3064),
    [anon_sym_new] = ACTIONS(3064),
    [anon_sym_requires] = ACTIONS(3064),
    [sym_this] = ACTIONS(3064),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(3121),
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_include_token1] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym___cdecl] = ACTIONS(3119),
    [anon_sym___clrcall] = ACTIONS(3119),
    [anon_sym___stdcall] = ACTIONS(3119),
    [anon_sym___fastcall] = ACTIONS(3119),
    [anon_sym___thiscall] = ACTIONS(3119),
    [anon_sym___vectorcall] = ACTIONS(3119),
    [anon_sym_LBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [anon_sym_if] = ACTIONS(3119),
    [anon_sym_switch] = ACTIONS(3119),
    [anon_sym_case] = ACTIONS(3119),
    [anon_sym_default] = ACTIONS(3119),
    [anon_sym_while] = ACTIONS(3119),
    [anon_sym_do] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_break] = ACTIONS(3119),
    [anon_sym_continue] = ACTIONS(3119),
    [anon_sym_goto] = ACTIONS(3119),
    [anon_sym_not] = ACTIONS(3119),
    [anon_sym_compl] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3121),
    [anon_sym_PLUS_PLUS] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3119),
    [anon_sym___alignof__] = ACTIONS(3119),
    [anon_sym___alignof] = ACTIONS(3119),
    [anon_sym__alignof] = ACTIONS(3119),
    [anon_sym_alignof] = ACTIONS(3119),
    [anon_sym__Alignof] = ACTIONS(3119),
    [anon_sym_offsetof] = ACTIONS(3119),
    [anon_sym__Generic] = ACTIONS(3119),
    [anon_sym_asm] = ACTIONS(3119),
    [anon_sym___asm__] = ACTIONS(3119),
    [anon_sym___asm] = ACTIONS(3119),
    [sym_number_literal] = ACTIONS(3121),
    [anon_sym_L_SQUOTE] = ACTIONS(3121),
    [anon_sym_u_SQUOTE] = ACTIONS(3121),
    [anon_sym_U_SQUOTE] = ACTIONS(3121),
    [anon_sym_u8_SQUOTE] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3121),
    [anon_sym_L_DQUOTE] = ACTIONS(3121),
    [anon_sym_u_DQUOTE] = ACTIONS(3121),
    [anon_sym_U_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8_DQUOTE] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3121),
    [sym_true] = ACTIONS(3119),
    [sym_false] = ACTIONS(3119),
    [anon_sym_NULL] = ACTIONS(3119),
    [anon_sym_nullptr] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_try] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(3119),
    [anon_sym_throw] = ACTIONS(3119),
    [anon_sym_namespace] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
    [anon_sym_concept] = ACTIONS(3119),
    [anon_sym_co_return] = ACTIONS(3119),
    [anon_sym_co_yield] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(3121),
    [anon_sym_LR_DQUOTE] = ACTIONS(3121),
    [anon_sym_uR_DQUOTE] = ACTIONS(3121),
    [anon_sym_UR_DQUOTE] = ACTIONS(3121),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3121),
    [anon_sym_co_await] = ACTIONS(3119),
    [anon_sym_new] = ACTIONS(3119),
    [anon_sym_requires] = ACTIONS(3119),
    [sym_this] = ACTIONS(3119),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(3009),
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(3117),
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [anon_sym___asm] = ACTIONS(3115),
    [sym_number_literal] = ACTIONS(3117),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(3074),
    [sym_identifier] = ACTIONS(3072),
    [aux_sym_preproc_include_token1] = ACTIONS(3072),
    [aux_sym_preproc_def_token1] = ACTIONS(3072),
    [aux_sym_preproc_if_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3072),
    [sym_preproc_directive] = ACTIONS(3072),
    [anon_sym_LPAREN2] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_TILDE] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3074),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym___extension__] = ACTIONS(3072),
    [anon_sym_typedef] = ACTIONS(3072),
    [anon_sym_virtual] = ACTIONS(3072),
    [anon_sym_extern] = ACTIONS(3072),
    [anon_sym___attribute__] = ACTIONS(3072),
    [anon_sym_COLON_COLON] = ACTIONS(3074),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3074),
    [anon_sym___declspec] = ACTIONS(3072),
    [anon_sym___based] = ACTIONS(3072),
    [anon_sym___cdecl] = ACTIONS(3072),
    [anon_sym___clrcall] = ACTIONS(3072),
    [anon_sym___stdcall] = ACTIONS(3072),
    [anon_sym___fastcall] = ACTIONS(3072),
    [anon_sym___thiscall] = ACTIONS(3072),
    [anon_sym___vectorcall] = ACTIONS(3072),
    [anon_sym_LBRACE] = ACTIONS(3074),
    [anon_sym_signed] = ACTIONS(3072),
    [anon_sym_unsigned] = ACTIONS(3072),
    [anon_sym_long] = ACTIONS(3072),
    [anon_sym_short] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_static] = ACTIONS(3072),
    [anon_sym_register] = ACTIONS(3072),
    [anon_sym_inline] = ACTIONS(3072),
    [anon_sym___inline] = ACTIONS(3072),
    [anon_sym___inline__] = ACTIONS(3072),
    [anon_sym___forceinline] = ACTIONS(3072),
    [anon_sym_thread_local] = ACTIONS(3072),
    [anon_sym___thread] = ACTIONS(3072),
    [anon_sym_const] = ACTIONS(3072),
    [anon_sym_constexpr] = ACTIONS(3072),
    [anon_sym_volatile] = ACTIONS(3072),
    [anon_sym_restrict] = ACTIONS(3072),
    [anon_sym___restrict__] = ACTIONS(3072),
    [anon_sym__Atomic] = ACTIONS(3072),
    [anon_sym__Noreturn] = ACTIONS(3072),
    [anon_sym_noreturn] = ACTIONS(3072),
    [anon_sym__Nonnull] = ACTIONS(3072),
    [anon_sym_mutable] = ACTIONS(3072),
    [anon_sym_constinit] = ACTIONS(3072),
    [anon_sym_consteval] = ACTIONS(3072),
    [anon_sym_alignas] = ACTIONS(3072),
    [anon_sym__Alignas] = ACTIONS(3072),
    [sym_primitive_type] = ACTIONS(3072),
    [anon_sym_enum] = ACTIONS(3072),
    [anon_sym_class] = ACTIONS(3072),
    [anon_sym_struct] = ACTIONS(3072),
    [anon_sym_union] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3072),
    [anon_sym_switch] = ACTIONS(3072),
    [anon_sym_case] = ACTIONS(3072),
    [anon_sym_default] = ACTIONS(3072),
    [anon_sym_while] = ACTIONS(3072),
    [anon_sym_do] = ACTIONS(3072),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_return] = ACTIONS(3072),
    [anon_sym_break] = ACTIONS(3072),
    [anon_sym_continue] = ACTIONS(3072),
    [anon_sym_goto] = ACTIONS(3072),
    [anon_sym_not] = ACTIONS(3072),
    [anon_sym_compl] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_sizeof] = ACTIONS(3072),
    [anon_sym___alignof__] = ACTIONS(3072),
    [anon_sym___alignof] = ACTIONS(3072),
    [anon_sym__alignof] = ACTIONS(3072),
    [anon_sym_alignof] = ACTIONS(3072),
    [anon_sym__Alignof] = ACTIONS(3072),
    [anon_sym_offsetof] = ACTIONS(3072),
    [anon_sym__Generic] = ACTIONS(3072),
    [anon_sym_asm] = ACTIONS(3072),
    [anon_sym___asm__] = ACTIONS(3072),
    [anon_sym___asm] = ACTIONS(3072),
    [sym_number_literal] = ACTIONS(3074),
    [anon_sym_L_SQUOTE] = ACTIONS(3074),
    [anon_sym_u_SQUOTE] = ACTIONS(3074),
    [anon_sym_U_SQUOTE] = ACTIONS(3074),
    [anon_sym_u8_SQUOTE] = ACTIONS(3074),
    [anon_sym_SQUOTE] = ACTIONS(3074),
    [anon_sym_L_DQUOTE] = ACTIONS(3074),
    [anon_sym_u_DQUOTE] = ACTIONS(3074),
    [anon_sym_U_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [sym_true] = ACTIONS(3072),
    [sym_false] = ACTIONS(3072),
    [anon_sym_NULL] = ACTIONS(3072),
    [anon_sym_nullptr] = ACTIONS(3072),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3072),
    [anon_sym_decltype] = ACTIONS(3072),
    [anon_sym_explicit] = ACTIONS(3072),
    [anon_sym_typename] = ACTIONS(3072),
    [anon_sym_template] = ACTIONS(3072),
    [anon_sym_operator] = ACTIONS(3072),
    [anon_sym_try] = ACTIONS(3072),
    [anon_sym_delete] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3072),
    [anon_sym_namespace] = ACTIONS(3072),
    [anon_sym_using] = ACTIONS(3072),
    [anon_sym_static_assert] = ACTIONS(3072),
    [anon_sym_concept] = ACTIONS(3072),
    [anon_sym_co_return] = ACTIONS(3072),
    [anon_sym_co_yield] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(3074),
    [anon_sym_LR_DQUOTE] = ACTIONS(3074),
    [anon_sym_uR_DQUOTE] = ACTIONS(3074),
    [anon_sym_UR_DQUOTE] = ACTIONS(3074),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3074),
    [anon_sym_co_await] = ACTIONS(3072),
    [anon_sym_new] = ACTIONS(3072),
    [anon_sym_requires] = ACTIONS(3072),
    [sym_this] = ACTIONS(3072),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(3013),
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [anon_sym___asm] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(3009),
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [anon_sym___asm] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [709] = {
    [sym_expression] = STATE(3664),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_RPAREN] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(2930),
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_include_token1] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2928),
    [anon_sym_PLUS] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym___cdecl] = ACTIONS(2928),
    [anon_sym___clrcall] = ACTIONS(2928),
    [anon_sym___stdcall] = ACTIONS(2928),
    [anon_sym___fastcall] = ACTIONS(2928),
    [anon_sym___thiscall] = ACTIONS(2928),
    [anon_sym___vectorcall] = ACTIONS(2928),
    [anon_sym_LBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [anon_sym_if] = ACTIONS(2928),
    [anon_sym_switch] = ACTIONS(2928),
    [anon_sym_case] = ACTIONS(2928),
    [anon_sym_default] = ACTIONS(2928),
    [anon_sym_while] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2928),
    [anon_sym_for] = ACTIONS(2928),
    [anon_sym_return] = ACTIONS(2928),
    [anon_sym_break] = ACTIONS(2928),
    [anon_sym_continue] = ACTIONS(2928),
    [anon_sym_goto] = ACTIONS(2928),
    [anon_sym_not] = ACTIONS(2928),
    [anon_sym_compl] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2930),
    [anon_sym_sizeof] = ACTIONS(2928),
    [anon_sym___alignof__] = ACTIONS(2928),
    [anon_sym___alignof] = ACTIONS(2928),
    [anon_sym__alignof] = ACTIONS(2928),
    [anon_sym_alignof] = ACTIONS(2928),
    [anon_sym__Alignof] = ACTIONS(2928),
    [anon_sym_offsetof] = ACTIONS(2928),
    [anon_sym__Generic] = ACTIONS(2928),
    [anon_sym_asm] = ACTIONS(2928),
    [anon_sym___asm__] = ACTIONS(2928),
    [anon_sym___asm] = ACTIONS(2928),
    [sym_number_literal] = ACTIONS(2930),
    [anon_sym_L_SQUOTE] = ACTIONS(2930),
    [anon_sym_u_SQUOTE] = ACTIONS(2930),
    [anon_sym_U_SQUOTE] = ACTIONS(2930),
    [anon_sym_u8_SQUOTE] = ACTIONS(2930),
    [anon_sym_SQUOTE] = ACTIONS(2930),
    [anon_sym_L_DQUOTE] = ACTIONS(2930),
    [anon_sym_u_DQUOTE] = ACTIONS(2930),
    [anon_sym_U_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8_DQUOTE] = ACTIONS(2930),
    [anon_sym_DQUOTE] = ACTIONS(2930),
    [sym_true] = ACTIONS(2928),
    [sym_false] = ACTIONS(2928),
    [anon_sym_NULL] = ACTIONS(2928),
    [anon_sym_nullptr] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_try] = ACTIONS(2928),
    [anon_sym_delete] = ACTIONS(2928),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_namespace] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
    [anon_sym_concept] = ACTIONS(2928),
    [anon_sym_co_return] = ACTIONS(2928),
    [anon_sym_co_yield] = ACTIONS(2928),
    [anon_sym_R_DQUOTE] = ACTIONS(2930),
    [anon_sym_LR_DQUOTE] = ACTIONS(2930),
    [anon_sym_uR_DQUOTE] = ACTIONS(2930),
    [anon_sym_UR_DQUOTE] = ACTIONS(2930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2930),
    [anon_sym_co_await] = ACTIONS(2928),
    [anon_sym_new] = ACTIONS(2928),
    [anon_sym_requires] = ACTIONS(2928),
    [sym_this] = ACTIONS(2928),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(3042),
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_include_token1] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_BANG] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym___cdecl] = ACTIONS(3040),
    [anon_sym___clrcall] = ACTIONS(3040),
    [anon_sym___stdcall] = ACTIONS(3040),
    [anon_sym___fastcall] = ACTIONS(3040),
    [anon_sym___thiscall] = ACTIONS(3040),
    [anon_sym___vectorcall] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [sym_primitive_type] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(3040),
    [anon_sym_case] = ACTIONS(3040),
    [anon_sym_default] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_do] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_break] = ACTIONS(3040),
    [anon_sym_continue] = ACTIONS(3040),
    [anon_sym_goto] = ACTIONS(3040),
    [anon_sym_not] = ACTIONS(3040),
    [anon_sym_compl] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_sizeof] = ACTIONS(3040),
    [anon_sym___alignof__] = ACTIONS(3040),
    [anon_sym___alignof] = ACTIONS(3040),
    [anon_sym__alignof] = ACTIONS(3040),
    [anon_sym_alignof] = ACTIONS(3040),
    [anon_sym__Alignof] = ACTIONS(3040),
    [anon_sym_offsetof] = ACTIONS(3040),
    [anon_sym__Generic] = ACTIONS(3040),
    [anon_sym_asm] = ACTIONS(3040),
    [anon_sym___asm__] = ACTIONS(3040),
    [anon_sym___asm] = ACTIONS(3040),
    [sym_number_literal] = ACTIONS(3042),
    [anon_sym_L_SQUOTE] = ACTIONS(3042),
    [anon_sym_u_SQUOTE] = ACTIONS(3042),
    [anon_sym_U_SQUOTE] = ACTIONS(3042),
    [anon_sym_u8_SQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_L_DQUOTE] = ACTIONS(3042),
    [anon_sym_u_DQUOTE] = ACTIONS(3042),
    [anon_sym_U_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8_DQUOTE] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3042),
    [sym_true] = ACTIONS(3040),
    [sym_false] = ACTIONS(3040),
    [anon_sym_NULL] = ACTIONS(3040),
    [anon_sym_nullptr] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_delete] = ACTIONS(3040),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_namespace] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
    [anon_sym_concept] = ACTIONS(3040),
    [anon_sym_co_return] = ACTIONS(3040),
    [anon_sym_co_yield] = ACTIONS(3040),
    [anon_sym_R_DQUOTE] = ACTIONS(3042),
    [anon_sym_LR_DQUOTE] = ACTIONS(3042),
    [anon_sym_uR_DQUOTE] = ACTIONS(3042),
    [anon_sym_UR_DQUOTE] = ACTIONS(3042),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3042),
    [anon_sym_co_await] = ACTIONS(3040),
    [anon_sym_new] = ACTIONS(3040),
    [anon_sym_requires] = ACTIONS(3040),
    [sym_this] = ACTIONS(3040),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(2946),
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_include_token1] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2944),
    [anon_sym_PLUS] = ACTIONS(2944),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym___cdecl] = ACTIONS(2944),
    [anon_sym___clrcall] = ACTIONS(2944),
    [anon_sym___stdcall] = ACTIONS(2944),
    [anon_sym___fastcall] = ACTIONS(2944),
    [anon_sym___thiscall] = ACTIONS(2944),
    [anon_sym___vectorcall] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [anon_sym_if] = ACTIONS(2944),
    [anon_sym_switch] = ACTIONS(2944),
    [anon_sym_case] = ACTIONS(2944),
    [anon_sym_default] = ACTIONS(2944),
    [anon_sym_while] = ACTIONS(2944),
    [anon_sym_do] = ACTIONS(2944),
    [anon_sym_for] = ACTIONS(2944),
    [anon_sym_return] = ACTIONS(2944),
    [anon_sym_break] = ACTIONS(2944),
    [anon_sym_continue] = ACTIONS(2944),
    [anon_sym_goto] = ACTIONS(2944),
    [anon_sym_not] = ACTIONS(2944),
    [anon_sym_compl] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2946),
    [anon_sym_sizeof] = ACTIONS(2944),
    [anon_sym___alignof__] = ACTIONS(2944),
    [anon_sym___alignof] = ACTIONS(2944),
    [anon_sym__alignof] = ACTIONS(2944),
    [anon_sym_alignof] = ACTIONS(2944),
    [anon_sym__Alignof] = ACTIONS(2944),
    [anon_sym_offsetof] = ACTIONS(2944),
    [anon_sym__Generic] = ACTIONS(2944),
    [anon_sym_asm] = ACTIONS(2944),
    [anon_sym___asm__] = ACTIONS(2944),
    [anon_sym___asm] = ACTIONS(2944),
    [sym_number_literal] = ACTIONS(2946),
    [anon_sym_L_SQUOTE] = ACTIONS(2946),
    [anon_sym_u_SQUOTE] = ACTIONS(2946),
    [anon_sym_U_SQUOTE] = ACTIONS(2946),
    [anon_sym_u8_SQUOTE] = ACTIONS(2946),
    [anon_sym_SQUOTE] = ACTIONS(2946),
    [anon_sym_L_DQUOTE] = ACTIONS(2946),
    [anon_sym_u_DQUOTE] = ACTIONS(2946),
    [anon_sym_U_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8_DQUOTE] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2946),
    [sym_true] = ACTIONS(2944),
    [sym_false] = ACTIONS(2944),
    [anon_sym_NULL] = ACTIONS(2944),
    [anon_sym_nullptr] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_try] = ACTIONS(2944),
    [anon_sym_delete] = ACTIONS(2944),
    [anon_sym_throw] = ACTIONS(2944),
    [anon_sym_namespace] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
    [anon_sym_concept] = ACTIONS(2944),
    [anon_sym_co_return] = ACTIONS(2944),
    [anon_sym_co_yield] = ACTIONS(2944),
    [anon_sym_R_DQUOTE] = ACTIONS(2946),
    [anon_sym_LR_DQUOTE] = ACTIONS(2946),
    [anon_sym_uR_DQUOTE] = ACTIONS(2946),
    [anon_sym_UR_DQUOTE] = ACTIONS(2946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2946),
    [anon_sym_co_await] = ACTIONS(2944),
    [anon_sym_new] = ACTIONS(2944),
    [anon_sym_requires] = ACTIONS(2944),
    [sym_this] = ACTIONS(2944),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(3028),
    [sym_identifier] = ACTIONS(3026),
    [aux_sym_preproc_include_token1] = ACTIONS(3026),
    [aux_sym_preproc_def_token1] = ACTIONS(3026),
    [aux_sym_preproc_if_token1] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3026),
    [sym_preproc_directive] = ACTIONS(3026),
    [anon_sym_LPAREN2] = ACTIONS(3028),
    [anon_sym_BANG] = ACTIONS(3028),
    [anon_sym_TILDE] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3026),
    [anon_sym_PLUS] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3026),
    [anon_sym___extension__] = ACTIONS(3026),
    [anon_sym_typedef] = ACTIONS(3026),
    [anon_sym_virtual] = ACTIONS(3026),
    [anon_sym_extern] = ACTIONS(3026),
    [anon_sym___attribute__] = ACTIONS(3026),
    [anon_sym_COLON_COLON] = ACTIONS(3028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3028),
    [anon_sym___declspec] = ACTIONS(3026),
    [anon_sym___based] = ACTIONS(3026),
    [anon_sym___cdecl] = ACTIONS(3026),
    [anon_sym___clrcall] = ACTIONS(3026),
    [anon_sym___stdcall] = ACTIONS(3026),
    [anon_sym___fastcall] = ACTIONS(3026),
    [anon_sym___thiscall] = ACTIONS(3026),
    [anon_sym___vectorcall] = ACTIONS(3026),
    [anon_sym_LBRACE] = ACTIONS(3028),
    [anon_sym_signed] = ACTIONS(3026),
    [anon_sym_unsigned] = ACTIONS(3026),
    [anon_sym_long] = ACTIONS(3026),
    [anon_sym_short] = ACTIONS(3026),
    [anon_sym_LBRACK] = ACTIONS(3026),
    [anon_sym_static] = ACTIONS(3026),
    [anon_sym_register] = ACTIONS(3026),
    [anon_sym_inline] = ACTIONS(3026),
    [anon_sym___inline] = ACTIONS(3026),
    [anon_sym___inline__] = ACTIONS(3026),
    [anon_sym___forceinline] = ACTIONS(3026),
    [anon_sym_thread_local] = ACTIONS(3026),
    [anon_sym___thread] = ACTIONS(3026),
    [anon_sym_const] = ACTIONS(3026),
    [anon_sym_constexpr] = ACTIONS(3026),
    [anon_sym_volatile] = ACTIONS(3026),
    [anon_sym_restrict] = ACTIONS(3026),
    [anon_sym___restrict__] = ACTIONS(3026),
    [anon_sym__Atomic] = ACTIONS(3026),
    [anon_sym__Noreturn] = ACTIONS(3026),
    [anon_sym_noreturn] = ACTIONS(3026),
    [anon_sym__Nonnull] = ACTIONS(3026),
    [anon_sym_mutable] = ACTIONS(3026),
    [anon_sym_constinit] = ACTIONS(3026),
    [anon_sym_consteval] = ACTIONS(3026),
    [anon_sym_alignas] = ACTIONS(3026),
    [anon_sym__Alignas] = ACTIONS(3026),
    [sym_primitive_type] = ACTIONS(3026),
    [anon_sym_enum] = ACTIONS(3026),
    [anon_sym_class] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3026),
    [anon_sym_union] = ACTIONS(3026),
    [anon_sym_if] = ACTIONS(3026),
    [anon_sym_switch] = ACTIONS(3026),
    [anon_sym_case] = ACTIONS(3026),
    [anon_sym_default] = ACTIONS(3026),
    [anon_sym_while] = ACTIONS(3026),
    [anon_sym_do] = ACTIONS(3026),
    [anon_sym_for] = ACTIONS(3026),
    [anon_sym_return] = ACTIONS(3026),
    [anon_sym_break] = ACTIONS(3026),
    [anon_sym_continue] = ACTIONS(3026),
    [anon_sym_goto] = ACTIONS(3026),
    [anon_sym_not] = ACTIONS(3026),
    [anon_sym_compl] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3028),
    [anon_sym_sizeof] = ACTIONS(3026),
    [anon_sym___alignof__] = ACTIONS(3026),
    [anon_sym___alignof] = ACTIONS(3026),
    [anon_sym__alignof] = ACTIONS(3026),
    [anon_sym_alignof] = ACTIONS(3026),
    [anon_sym__Alignof] = ACTIONS(3026),
    [anon_sym_offsetof] = ACTIONS(3026),
    [anon_sym__Generic] = ACTIONS(3026),
    [anon_sym_asm] = ACTIONS(3026),
    [anon_sym___asm__] = ACTIONS(3026),
    [anon_sym___asm] = ACTIONS(3026),
    [sym_number_literal] = ACTIONS(3028),
    [anon_sym_L_SQUOTE] = ACTIONS(3028),
    [anon_sym_u_SQUOTE] = ACTIONS(3028),
    [anon_sym_U_SQUOTE] = ACTIONS(3028),
    [anon_sym_u8_SQUOTE] = ACTIONS(3028),
    [anon_sym_SQUOTE] = ACTIONS(3028),
    [anon_sym_L_DQUOTE] = ACTIONS(3028),
    [anon_sym_u_DQUOTE] = ACTIONS(3028),
    [anon_sym_U_DQUOTE] = ACTIONS(3028),
    [anon_sym_u8_DQUOTE] = ACTIONS(3028),
    [anon_sym_DQUOTE] = ACTIONS(3028),
    [sym_true] = ACTIONS(3026),
    [sym_false] = ACTIONS(3026),
    [anon_sym_NULL] = ACTIONS(3026),
    [anon_sym_nullptr] = ACTIONS(3026),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3026),
    [anon_sym_decltype] = ACTIONS(3026),
    [anon_sym_explicit] = ACTIONS(3026),
    [anon_sym_typename] = ACTIONS(3026),
    [anon_sym_template] = ACTIONS(3026),
    [anon_sym_operator] = ACTIONS(3026),
    [anon_sym_try] = ACTIONS(3026),
    [anon_sym_delete] = ACTIONS(3026),
    [anon_sym_throw] = ACTIONS(3026),
    [anon_sym_namespace] = ACTIONS(3026),
    [anon_sym_using] = ACTIONS(3026),
    [anon_sym_static_assert] = ACTIONS(3026),
    [anon_sym_concept] = ACTIONS(3026),
    [anon_sym_co_return] = ACTIONS(3026),
    [anon_sym_co_yield] = ACTIONS(3026),
    [anon_sym_R_DQUOTE] = ACTIONS(3028),
    [anon_sym_LR_DQUOTE] = ACTIONS(3028),
    [anon_sym_uR_DQUOTE] = ACTIONS(3028),
    [anon_sym_UR_DQUOTE] = ACTIONS(3028),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3028),
    [anon_sym_co_await] = ACTIONS(3026),
    [anon_sym_new] = ACTIONS(3026),
    [anon_sym_requires] = ACTIONS(3026),
    [sym_this] = ACTIONS(3026),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(2896),
    [sym_identifier] = ACTIONS(2894),
    [aux_sym_preproc_include_token1] = ACTIONS(2894),
    [aux_sym_preproc_def_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token1] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2894),
    [sym_preproc_directive] = ACTIONS(2894),
    [anon_sym_LPAREN2] = ACTIONS(2896),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2896),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2894),
    [anon_sym_typedef] = ACTIONS(2894),
    [anon_sym_virtual] = ACTIONS(2894),
    [anon_sym_extern] = ACTIONS(2894),
    [anon_sym___attribute__] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2896),
    [anon_sym___declspec] = ACTIONS(2894),
    [anon_sym___based] = ACTIONS(2894),
    [anon_sym___cdecl] = ACTIONS(2894),
    [anon_sym___clrcall] = ACTIONS(2894),
    [anon_sym___stdcall] = ACTIONS(2894),
    [anon_sym___fastcall] = ACTIONS(2894),
    [anon_sym___thiscall] = ACTIONS(2894),
    [anon_sym___vectorcall] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_signed] = ACTIONS(2894),
    [anon_sym_unsigned] = ACTIONS(2894),
    [anon_sym_long] = ACTIONS(2894),
    [anon_sym_short] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2894),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_register] = ACTIONS(2894),
    [anon_sym_inline] = ACTIONS(2894),
    [anon_sym___inline] = ACTIONS(2894),
    [anon_sym___inline__] = ACTIONS(2894),
    [anon_sym___forceinline] = ACTIONS(2894),
    [anon_sym_thread_local] = ACTIONS(2894),
    [anon_sym___thread] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2894),
    [anon_sym_constexpr] = ACTIONS(2894),
    [anon_sym_volatile] = ACTIONS(2894),
    [anon_sym_restrict] = ACTIONS(2894),
    [anon_sym___restrict__] = ACTIONS(2894),
    [anon_sym__Atomic] = ACTIONS(2894),
    [anon_sym__Noreturn] = ACTIONS(2894),
    [anon_sym_noreturn] = ACTIONS(2894),
    [anon_sym__Nonnull] = ACTIONS(2894),
    [anon_sym_mutable] = ACTIONS(2894),
    [anon_sym_constinit] = ACTIONS(2894),
    [anon_sym_consteval] = ACTIONS(2894),
    [anon_sym_alignas] = ACTIONS(2894),
    [anon_sym__Alignas] = ACTIONS(2894),
    [sym_primitive_type] = ACTIONS(2894),
    [anon_sym_enum] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_struct] = ACTIONS(2894),
    [anon_sym_union] = ACTIONS(2894),
    [anon_sym_if] = ACTIONS(2894),
    [anon_sym_switch] = ACTIONS(2894),
    [anon_sym_case] = ACTIONS(2894),
    [anon_sym_default] = ACTIONS(2894),
    [anon_sym_while] = ACTIONS(2894),
    [anon_sym_do] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2894),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_break] = ACTIONS(2894),
    [anon_sym_continue] = ACTIONS(2894),
    [anon_sym_goto] = ACTIONS(2894),
    [anon_sym_not] = ACTIONS(2894),
    [anon_sym_compl] = ACTIONS(2894),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_sizeof] = ACTIONS(2894),
    [anon_sym___alignof__] = ACTIONS(2894),
    [anon_sym___alignof] = ACTIONS(2894),
    [anon_sym__alignof] = ACTIONS(2894),
    [anon_sym_alignof] = ACTIONS(2894),
    [anon_sym__Alignof] = ACTIONS(2894),
    [anon_sym_offsetof] = ACTIONS(2894),
    [anon_sym__Generic] = ACTIONS(2894),
    [anon_sym_asm] = ACTIONS(2894),
    [anon_sym___asm__] = ACTIONS(2894),
    [anon_sym___asm] = ACTIONS(2894),
    [sym_number_literal] = ACTIONS(2896),
    [anon_sym_L_SQUOTE] = ACTIONS(2896),
    [anon_sym_u_SQUOTE] = ACTIONS(2896),
    [anon_sym_U_SQUOTE] = ACTIONS(2896),
    [anon_sym_u8_SQUOTE] = ACTIONS(2896),
    [anon_sym_SQUOTE] = ACTIONS(2896),
    [anon_sym_L_DQUOTE] = ACTIONS(2896),
    [anon_sym_u_DQUOTE] = ACTIONS(2896),
    [anon_sym_U_DQUOTE] = ACTIONS(2896),
    [anon_sym_u8_DQUOTE] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [sym_true] = ACTIONS(2894),
    [sym_false] = ACTIONS(2894),
    [anon_sym_NULL] = ACTIONS(2894),
    [anon_sym_nullptr] = ACTIONS(2894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2894),
    [anon_sym_decltype] = ACTIONS(2894),
    [anon_sym_explicit] = ACTIONS(2894),
    [anon_sym_typename] = ACTIONS(2894),
    [anon_sym_template] = ACTIONS(2894),
    [anon_sym_operator] = ACTIONS(2894),
    [anon_sym_try] = ACTIONS(2894),
    [anon_sym_delete] = ACTIONS(2894),
    [anon_sym_throw] = ACTIONS(2894),
    [anon_sym_namespace] = ACTIONS(2894),
    [anon_sym_using] = ACTIONS(2894),
    [anon_sym_static_assert] = ACTIONS(2894),
    [anon_sym_concept] = ACTIONS(2894),
    [anon_sym_co_return] = ACTIONS(2894),
    [anon_sym_co_yield] = ACTIONS(2894),
    [anon_sym_R_DQUOTE] = ACTIONS(2896),
    [anon_sym_LR_DQUOTE] = ACTIONS(2896),
    [anon_sym_uR_DQUOTE] = ACTIONS(2896),
    [anon_sym_UR_DQUOTE] = ACTIONS(2896),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2896),
    [anon_sym_co_await] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2894),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2894),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(3062),
    [sym_identifier] = ACTIONS(3060),
    [aux_sym_preproc_include_token1] = ACTIONS(3060),
    [aux_sym_preproc_def_token1] = ACTIONS(3060),
    [aux_sym_preproc_if_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3060),
    [sym_preproc_directive] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3062),
    [anon_sym_BANG] = ACTIONS(3062),
    [anon_sym_TILDE] = ACTIONS(3062),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_typedef] = ACTIONS(3060),
    [anon_sym_virtual] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3062),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym___based] = ACTIONS(3060),
    [anon_sym___cdecl] = ACTIONS(3060),
    [anon_sym___clrcall] = ACTIONS(3060),
    [anon_sym___stdcall] = ACTIONS(3060),
    [anon_sym___fastcall] = ACTIONS(3060),
    [anon_sym___thiscall] = ACTIONS(3060),
    [anon_sym___vectorcall] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym__Nonnull] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [sym_primitive_type] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_switch] = ACTIONS(3060),
    [anon_sym_case] = ACTIONS(3060),
    [anon_sym_default] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_do] = ACTIONS(3060),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_break] = ACTIONS(3060),
    [anon_sym_continue] = ACTIONS(3060),
    [anon_sym_goto] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [anon_sym___asm] = ACTIONS(3060),
    [sym_number_literal] = ACTIONS(3062),
    [anon_sym_L_SQUOTE] = ACTIONS(3062),
    [anon_sym_u_SQUOTE] = ACTIONS(3062),
    [anon_sym_U_SQUOTE] = ACTIONS(3062),
    [anon_sym_u8_SQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [anon_sym_L_DQUOTE] = ACTIONS(3062),
    [anon_sym_u_DQUOTE] = ACTIONS(3062),
    [anon_sym_U_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8_DQUOTE] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3062),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [anon_sym_explicit] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_namespace] = ACTIONS(3060),
    [anon_sym_using] = ACTIONS(3060),
    [anon_sym_static_assert] = ACTIONS(3060),
    [anon_sym_concept] = ACTIONS(3060),
    [anon_sym_co_return] = ACTIONS(3060),
    [anon_sym_co_yield] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3062),
    [anon_sym_LR_DQUOTE] = ACTIONS(3062),
    [anon_sym_uR_DQUOTE] = ACTIONS(3062),
    [anon_sym_UR_DQUOTE] = ACTIONS(3062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3062),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(2846),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(2850),
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(2983),
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [anon_sym___asm] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(2846),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(2938),
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_include_token1] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_BANG] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_DASH] = ACTIONS(2936),
    [anon_sym_PLUS] = ACTIONS(2936),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym___cdecl] = ACTIONS(2936),
    [anon_sym___clrcall] = ACTIONS(2936),
    [anon_sym___stdcall] = ACTIONS(2936),
    [anon_sym___fastcall] = ACTIONS(2936),
    [anon_sym___thiscall] = ACTIONS(2936),
    [anon_sym___vectorcall] = ACTIONS(2936),
    [anon_sym_LBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [anon_sym_if] = ACTIONS(2936),
    [anon_sym_switch] = ACTIONS(2936),
    [anon_sym_case] = ACTIONS(2936),
    [anon_sym_default] = ACTIONS(2936),
    [anon_sym_while] = ACTIONS(2936),
    [anon_sym_do] = ACTIONS(2936),
    [anon_sym_for] = ACTIONS(2936),
    [anon_sym_return] = ACTIONS(2936),
    [anon_sym_break] = ACTIONS(2936),
    [anon_sym_continue] = ACTIONS(2936),
    [anon_sym_goto] = ACTIONS(2936),
    [anon_sym_not] = ACTIONS(2936),
    [anon_sym_compl] = ACTIONS(2936),
    [anon_sym_DASH_DASH] = ACTIONS(2938),
    [anon_sym_PLUS_PLUS] = ACTIONS(2938),
    [anon_sym_sizeof] = ACTIONS(2936),
    [anon_sym___alignof__] = ACTIONS(2936),
    [anon_sym___alignof] = ACTIONS(2936),
    [anon_sym__alignof] = ACTIONS(2936),
    [anon_sym_alignof] = ACTIONS(2936),
    [anon_sym__Alignof] = ACTIONS(2936),
    [anon_sym_offsetof] = ACTIONS(2936),
    [anon_sym__Generic] = ACTIONS(2936),
    [anon_sym_asm] = ACTIONS(2936),
    [anon_sym___asm__] = ACTIONS(2936),
    [anon_sym___asm] = ACTIONS(2936),
    [sym_number_literal] = ACTIONS(2938),
    [anon_sym_L_SQUOTE] = ACTIONS(2938),
    [anon_sym_u_SQUOTE] = ACTIONS(2938),
    [anon_sym_U_SQUOTE] = ACTIONS(2938),
    [anon_sym_u8_SQUOTE] = ACTIONS(2938),
    [anon_sym_SQUOTE] = ACTIONS(2938),
    [anon_sym_L_DQUOTE] = ACTIONS(2938),
    [anon_sym_u_DQUOTE] = ACTIONS(2938),
    [anon_sym_U_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8_DQUOTE] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(2938),
    [sym_true] = ACTIONS(2936),
    [sym_false] = ACTIONS(2936),
    [anon_sym_NULL] = ACTIONS(2936),
    [anon_sym_nullptr] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_try] = ACTIONS(2936),
    [anon_sym_delete] = ACTIONS(2936),
    [anon_sym_throw] = ACTIONS(2936),
    [anon_sym_namespace] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
    [anon_sym_concept] = ACTIONS(2936),
    [anon_sym_co_return] = ACTIONS(2936),
    [anon_sym_co_yield] = ACTIONS(2936),
    [anon_sym_R_DQUOTE] = ACTIONS(2938),
    [anon_sym_LR_DQUOTE] = ACTIONS(2938),
    [anon_sym_uR_DQUOTE] = ACTIONS(2938),
    [anon_sym_UR_DQUOTE] = ACTIONS(2938),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2938),
    [anon_sym_co_await] = ACTIONS(2936),
    [anon_sym_new] = ACTIONS(2936),
    [anon_sym_requires] = ACTIONS(2936),
    [sym_this] = ACTIONS(2936),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(2904),
    [sym_identifier] = ACTIONS(2902),
    [aux_sym_preproc_include_token1] = ACTIONS(2902),
    [aux_sym_preproc_def_token1] = ACTIONS(2902),
    [aux_sym_preproc_if_token1] = ACTIONS(2902),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2902),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2902),
    [sym_preproc_directive] = ACTIONS(2902),
    [anon_sym_LPAREN2] = ACTIONS(2904),
    [anon_sym_BANG] = ACTIONS(2904),
    [anon_sym_TILDE] = ACTIONS(2904),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_STAR] = ACTIONS(2904),
    [anon_sym_AMP_AMP] = ACTIONS(2904),
    [anon_sym_AMP] = ACTIONS(2902),
    [anon_sym___extension__] = ACTIONS(2902),
    [anon_sym_typedef] = ACTIONS(2902),
    [anon_sym_virtual] = ACTIONS(2902),
    [anon_sym_extern] = ACTIONS(2902),
    [anon_sym___attribute__] = ACTIONS(2902),
    [anon_sym_COLON_COLON] = ACTIONS(2904),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2904),
    [anon_sym___declspec] = ACTIONS(2902),
    [anon_sym___based] = ACTIONS(2902),
    [anon_sym___cdecl] = ACTIONS(2902),
    [anon_sym___clrcall] = ACTIONS(2902),
    [anon_sym___stdcall] = ACTIONS(2902),
    [anon_sym___fastcall] = ACTIONS(2902),
    [anon_sym___thiscall] = ACTIONS(2902),
    [anon_sym___vectorcall] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_signed] = ACTIONS(2902),
    [anon_sym_unsigned] = ACTIONS(2902),
    [anon_sym_long] = ACTIONS(2902),
    [anon_sym_short] = ACTIONS(2902),
    [anon_sym_LBRACK] = ACTIONS(2902),
    [anon_sym_static] = ACTIONS(2902),
    [anon_sym_register] = ACTIONS(2902),
    [anon_sym_inline] = ACTIONS(2902),
    [anon_sym___inline] = ACTIONS(2902),
    [anon_sym___inline__] = ACTIONS(2902),
    [anon_sym___forceinline] = ACTIONS(2902),
    [anon_sym_thread_local] = ACTIONS(2902),
    [anon_sym___thread] = ACTIONS(2902),
    [anon_sym_const] = ACTIONS(2902),
    [anon_sym_constexpr] = ACTIONS(2902),
    [anon_sym_volatile] = ACTIONS(2902),
    [anon_sym_restrict] = ACTIONS(2902),
    [anon_sym___restrict__] = ACTIONS(2902),
    [anon_sym__Atomic] = ACTIONS(2902),
    [anon_sym__Noreturn] = ACTIONS(2902),
    [anon_sym_noreturn] = ACTIONS(2902),
    [anon_sym__Nonnull] = ACTIONS(2902),
    [anon_sym_mutable] = ACTIONS(2902),
    [anon_sym_constinit] = ACTIONS(2902),
    [anon_sym_consteval] = ACTIONS(2902),
    [anon_sym_alignas] = ACTIONS(2902),
    [anon_sym__Alignas] = ACTIONS(2902),
    [sym_primitive_type] = ACTIONS(2902),
    [anon_sym_enum] = ACTIONS(2902),
    [anon_sym_class] = ACTIONS(2902),
    [anon_sym_struct] = ACTIONS(2902),
    [anon_sym_union] = ACTIONS(2902),
    [anon_sym_if] = ACTIONS(2902),
    [anon_sym_switch] = ACTIONS(2902),
    [anon_sym_case] = ACTIONS(2902),
    [anon_sym_default] = ACTIONS(2902),
    [anon_sym_while] = ACTIONS(2902),
    [anon_sym_do] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2902),
    [anon_sym_return] = ACTIONS(2902),
    [anon_sym_break] = ACTIONS(2902),
    [anon_sym_continue] = ACTIONS(2902),
    [anon_sym_goto] = ACTIONS(2902),
    [anon_sym_not] = ACTIONS(2902),
    [anon_sym_compl] = ACTIONS(2902),
    [anon_sym_DASH_DASH] = ACTIONS(2904),
    [anon_sym_PLUS_PLUS] = ACTIONS(2904),
    [anon_sym_sizeof] = ACTIONS(2902),
    [anon_sym___alignof__] = ACTIONS(2902),
    [anon_sym___alignof] = ACTIONS(2902),
    [anon_sym__alignof] = ACTIONS(2902),
    [anon_sym_alignof] = ACTIONS(2902),
    [anon_sym__Alignof] = ACTIONS(2902),
    [anon_sym_offsetof] = ACTIONS(2902),
    [anon_sym__Generic] = ACTIONS(2902),
    [anon_sym_asm] = ACTIONS(2902),
    [anon_sym___asm__] = ACTIONS(2902),
    [anon_sym___asm] = ACTIONS(2902),
    [sym_number_literal] = ACTIONS(2904),
    [anon_sym_L_SQUOTE] = ACTIONS(2904),
    [anon_sym_u_SQUOTE] = ACTIONS(2904),
    [anon_sym_U_SQUOTE] = ACTIONS(2904),
    [anon_sym_u8_SQUOTE] = ACTIONS(2904),
    [anon_sym_SQUOTE] = ACTIONS(2904),
    [anon_sym_L_DQUOTE] = ACTIONS(2904),
    [anon_sym_u_DQUOTE] = ACTIONS(2904),
    [anon_sym_U_DQUOTE] = ACTIONS(2904),
    [anon_sym_u8_DQUOTE] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [sym_true] = ACTIONS(2902),
    [sym_false] = ACTIONS(2902),
    [anon_sym_NULL] = ACTIONS(2902),
    [anon_sym_nullptr] = ACTIONS(2902),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2902),
    [anon_sym_decltype] = ACTIONS(2902),
    [anon_sym_explicit] = ACTIONS(2902),
    [anon_sym_typename] = ACTIONS(2902),
    [anon_sym_template] = ACTIONS(2902),
    [anon_sym_operator] = ACTIONS(2902),
    [anon_sym_try] = ACTIONS(2902),
    [anon_sym_delete] = ACTIONS(2902),
    [anon_sym_throw] = ACTIONS(2902),
    [anon_sym_namespace] = ACTIONS(2902),
    [anon_sym_using] = ACTIONS(2902),
    [anon_sym_static_assert] = ACTIONS(2902),
    [anon_sym_concept] = ACTIONS(2902),
    [anon_sym_co_return] = ACTIONS(2902),
    [anon_sym_co_yield] = ACTIONS(2902),
    [anon_sym_R_DQUOTE] = ACTIONS(2904),
    [anon_sym_LR_DQUOTE] = ACTIONS(2904),
    [anon_sym_uR_DQUOTE] = ACTIONS(2904),
    [anon_sym_UR_DQUOTE] = ACTIONS(2904),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2904),
    [anon_sym_co_await] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2902),
    [anon_sym_requires] = ACTIONS(2902),
    [sym_this] = ACTIONS(2902),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(2950),
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_include_token1] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2948),
    [anon_sym_PLUS] = ACTIONS(2948),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym___cdecl] = ACTIONS(2948),
    [anon_sym___clrcall] = ACTIONS(2948),
    [anon_sym___stdcall] = ACTIONS(2948),
    [anon_sym___fastcall] = ACTIONS(2948),
    [anon_sym___thiscall] = ACTIONS(2948),
    [anon_sym___vectorcall] = ACTIONS(2948),
    [anon_sym_LBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [anon_sym_if] = ACTIONS(2948),
    [anon_sym_switch] = ACTIONS(2948),
    [anon_sym_case] = ACTIONS(2948),
    [anon_sym_default] = ACTIONS(2948),
    [anon_sym_while] = ACTIONS(2948),
    [anon_sym_do] = ACTIONS(2948),
    [anon_sym_for] = ACTIONS(2948),
    [anon_sym_return] = ACTIONS(2948),
    [anon_sym_break] = ACTIONS(2948),
    [anon_sym_continue] = ACTIONS(2948),
    [anon_sym_goto] = ACTIONS(2948),
    [anon_sym_not] = ACTIONS(2948),
    [anon_sym_compl] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2950),
    [anon_sym_sizeof] = ACTIONS(2948),
    [anon_sym___alignof__] = ACTIONS(2948),
    [anon_sym___alignof] = ACTIONS(2948),
    [anon_sym__alignof] = ACTIONS(2948),
    [anon_sym_alignof] = ACTIONS(2948),
    [anon_sym__Alignof] = ACTIONS(2948),
    [anon_sym_offsetof] = ACTIONS(2948),
    [anon_sym__Generic] = ACTIONS(2948),
    [anon_sym_asm] = ACTIONS(2948),
    [anon_sym___asm__] = ACTIONS(2948),
    [anon_sym___asm] = ACTIONS(2948),
    [sym_number_literal] = ACTIONS(2950),
    [anon_sym_L_SQUOTE] = ACTIONS(2950),
    [anon_sym_u_SQUOTE] = ACTIONS(2950),
    [anon_sym_U_SQUOTE] = ACTIONS(2950),
    [anon_sym_u8_SQUOTE] = ACTIONS(2950),
    [anon_sym_SQUOTE] = ACTIONS(2950),
    [anon_sym_L_DQUOTE] = ACTIONS(2950),
    [anon_sym_u_DQUOTE] = ACTIONS(2950),
    [anon_sym_U_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8_DQUOTE] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2950),
    [sym_true] = ACTIONS(2948),
    [sym_false] = ACTIONS(2948),
    [anon_sym_NULL] = ACTIONS(2948),
    [anon_sym_nullptr] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_try] = ACTIONS(2948),
    [anon_sym_delete] = ACTIONS(2948),
    [anon_sym_throw] = ACTIONS(2948),
    [anon_sym_namespace] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
    [anon_sym_concept] = ACTIONS(2948),
    [anon_sym_co_return] = ACTIONS(2948),
    [anon_sym_co_yield] = ACTIONS(2948),
    [anon_sym_R_DQUOTE] = ACTIONS(2950),
    [anon_sym_LR_DQUOTE] = ACTIONS(2950),
    [anon_sym_uR_DQUOTE] = ACTIONS(2950),
    [anon_sym_UR_DQUOTE] = ACTIONS(2950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2950),
    [anon_sym_co_await] = ACTIONS(2948),
    [anon_sym_new] = ACTIONS(2948),
    [anon_sym_requires] = ACTIONS(2948),
    [sym_this] = ACTIONS(2948),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(2942),
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_include_token1] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2940),
    [anon_sym_PLUS] = ACTIONS(2940),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym___cdecl] = ACTIONS(2940),
    [anon_sym___clrcall] = ACTIONS(2940),
    [anon_sym___stdcall] = ACTIONS(2940),
    [anon_sym___fastcall] = ACTIONS(2940),
    [anon_sym___thiscall] = ACTIONS(2940),
    [anon_sym___vectorcall] = ACTIONS(2940),
    [anon_sym_LBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [anon_sym_if] = ACTIONS(2940),
    [anon_sym_switch] = ACTIONS(2940),
    [anon_sym_case] = ACTIONS(2940),
    [anon_sym_default] = ACTIONS(2940),
    [anon_sym_while] = ACTIONS(2940),
    [anon_sym_do] = ACTIONS(2940),
    [anon_sym_for] = ACTIONS(2940),
    [anon_sym_return] = ACTIONS(2940),
    [anon_sym_break] = ACTIONS(2940),
    [anon_sym_continue] = ACTIONS(2940),
    [anon_sym_goto] = ACTIONS(2940),
    [anon_sym_not] = ACTIONS(2940),
    [anon_sym_compl] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2942),
    [anon_sym_sizeof] = ACTIONS(2940),
    [anon_sym___alignof__] = ACTIONS(2940),
    [anon_sym___alignof] = ACTIONS(2940),
    [anon_sym__alignof] = ACTIONS(2940),
    [anon_sym_alignof] = ACTIONS(2940),
    [anon_sym__Alignof] = ACTIONS(2940),
    [anon_sym_offsetof] = ACTIONS(2940),
    [anon_sym__Generic] = ACTIONS(2940),
    [anon_sym_asm] = ACTIONS(2940),
    [anon_sym___asm__] = ACTIONS(2940),
    [anon_sym___asm] = ACTIONS(2940),
    [sym_number_literal] = ACTIONS(2942),
    [anon_sym_L_SQUOTE] = ACTIONS(2942),
    [anon_sym_u_SQUOTE] = ACTIONS(2942),
    [anon_sym_U_SQUOTE] = ACTIONS(2942),
    [anon_sym_u8_SQUOTE] = ACTIONS(2942),
    [anon_sym_SQUOTE] = ACTIONS(2942),
    [anon_sym_L_DQUOTE] = ACTIONS(2942),
    [anon_sym_u_DQUOTE] = ACTIONS(2942),
    [anon_sym_U_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8_DQUOTE] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2942),
    [sym_true] = ACTIONS(2940),
    [sym_false] = ACTIONS(2940),
    [anon_sym_NULL] = ACTIONS(2940),
    [anon_sym_nullptr] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_try] = ACTIONS(2940),
    [anon_sym_delete] = ACTIONS(2940),
    [anon_sym_throw] = ACTIONS(2940),
    [anon_sym_namespace] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
    [anon_sym_concept] = ACTIONS(2940),
    [anon_sym_co_return] = ACTIONS(2940),
    [anon_sym_co_yield] = ACTIONS(2940),
    [anon_sym_R_DQUOTE] = ACTIONS(2942),
    [anon_sym_LR_DQUOTE] = ACTIONS(2942),
    [anon_sym_uR_DQUOTE] = ACTIONS(2942),
    [anon_sym_UR_DQUOTE] = ACTIONS(2942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2942),
    [anon_sym_co_await] = ACTIONS(2940),
    [anon_sym_new] = ACTIONS(2940),
    [anon_sym_requires] = ACTIONS(2940),
    [sym_this] = ACTIONS(2940),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(3021),
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_include_token1] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_BANG] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym___cdecl] = ACTIONS(3019),
    [anon_sym___clrcall] = ACTIONS(3019),
    [anon_sym___stdcall] = ACTIONS(3019),
    [anon_sym___fastcall] = ACTIONS(3019),
    [anon_sym___thiscall] = ACTIONS(3019),
    [anon_sym___vectorcall] = ACTIONS(3019),
    [anon_sym_LBRACE] = ACTIONS(3021),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [anon_sym_if] = ACTIONS(3019),
    [anon_sym_switch] = ACTIONS(3019),
    [anon_sym_case] = ACTIONS(3019),
    [anon_sym_default] = ACTIONS(3019),
    [anon_sym_while] = ACTIONS(3019),
    [anon_sym_do] = ACTIONS(3019),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_return] = ACTIONS(3019),
    [anon_sym_break] = ACTIONS(3019),
    [anon_sym_continue] = ACTIONS(3019),
    [anon_sym_goto] = ACTIONS(3019),
    [anon_sym_not] = ACTIONS(3019),
    [anon_sym_compl] = ACTIONS(3019),
    [anon_sym_DASH_DASH] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3021),
    [anon_sym_sizeof] = ACTIONS(3019),
    [anon_sym___alignof__] = ACTIONS(3019),
    [anon_sym___alignof] = ACTIONS(3019),
    [anon_sym__alignof] = ACTIONS(3019),
    [anon_sym_alignof] = ACTIONS(3019),
    [anon_sym__Alignof] = ACTIONS(3019),
    [anon_sym_offsetof] = ACTIONS(3019),
    [anon_sym__Generic] = ACTIONS(3019),
    [anon_sym_asm] = ACTIONS(3019),
    [anon_sym___asm__] = ACTIONS(3019),
    [anon_sym___asm] = ACTIONS(3019),
    [sym_number_literal] = ACTIONS(3021),
    [anon_sym_L_SQUOTE] = ACTIONS(3021),
    [anon_sym_u_SQUOTE] = ACTIONS(3021),
    [anon_sym_U_SQUOTE] = ACTIONS(3021),
    [anon_sym_u8_SQUOTE] = ACTIONS(3021),
    [anon_sym_SQUOTE] = ACTIONS(3021),
    [anon_sym_L_DQUOTE] = ACTIONS(3021),
    [anon_sym_u_DQUOTE] = ACTIONS(3021),
    [anon_sym_U_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8_DQUOTE] = ACTIONS(3021),
    [anon_sym_DQUOTE] = ACTIONS(3021),
    [sym_true] = ACTIONS(3019),
    [sym_false] = ACTIONS(3019),
    [anon_sym_NULL] = ACTIONS(3019),
    [anon_sym_nullptr] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3019),
    [anon_sym_delete] = ACTIONS(3019),
    [anon_sym_throw] = ACTIONS(3019),
    [anon_sym_namespace] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
    [anon_sym_concept] = ACTIONS(3019),
    [anon_sym_co_return] = ACTIONS(3019),
    [anon_sym_co_yield] = ACTIONS(3019),
    [anon_sym_R_DQUOTE] = ACTIONS(3021),
    [anon_sym_LR_DQUOTE] = ACTIONS(3021),
    [anon_sym_uR_DQUOTE] = ACTIONS(3021),
    [anon_sym_UR_DQUOTE] = ACTIONS(3021),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3021),
    [anon_sym_co_await] = ACTIONS(3019),
    [anon_sym_new] = ACTIONS(3019),
    [anon_sym_requires] = ACTIONS(3019),
    [sym_this] = ACTIONS(3019),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(3054),
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_include_token1] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_BANG] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym___cdecl] = ACTIONS(3052),
    [anon_sym___clrcall] = ACTIONS(3052),
    [anon_sym___stdcall] = ACTIONS(3052),
    [anon_sym___fastcall] = ACTIONS(3052),
    [anon_sym___thiscall] = ACTIONS(3052),
    [anon_sym___vectorcall] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [sym_primitive_type] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_switch] = ACTIONS(3052),
    [anon_sym_case] = ACTIONS(3052),
    [anon_sym_default] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_do] = ACTIONS(3052),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_break] = ACTIONS(3052),
    [anon_sym_continue] = ACTIONS(3052),
    [anon_sym_goto] = ACTIONS(3052),
    [anon_sym_not] = ACTIONS(3052),
    [anon_sym_compl] = ACTIONS(3052),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_sizeof] = ACTIONS(3052),
    [anon_sym___alignof__] = ACTIONS(3052),
    [anon_sym___alignof] = ACTIONS(3052),
    [anon_sym__alignof] = ACTIONS(3052),
    [anon_sym_alignof] = ACTIONS(3052),
    [anon_sym__Alignof] = ACTIONS(3052),
    [anon_sym_offsetof] = ACTIONS(3052),
    [anon_sym__Generic] = ACTIONS(3052),
    [anon_sym_asm] = ACTIONS(3052),
    [anon_sym___asm__] = ACTIONS(3052),
    [anon_sym___asm] = ACTIONS(3052),
    [sym_number_literal] = ACTIONS(3054),
    [anon_sym_L_SQUOTE] = ACTIONS(3054),
    [anon_sym_u_SQUOTE] = ACTIONS(3054),
    [anon_sym_U_SQUOTE] = ACTIONS(3054),
    [anon_sym_u8_SQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [anon_sym_L_DQUOTE] = ACTIONS(3054),
    [anon_sym_u_DQUOTE] = ACTIONS(3054),
    [anon_sym_U_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8_DQUOTE] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3054),
    [sym_true] = ACTIONS(3052),
    [sym_false] = ACTIONS(3052),
    [anon_sym_NULL] = ACTIONS(3052),
    [anon_sym_nullptr] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(3052),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_namespace] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
    [anon_sym_concept] = ACTIONS(3052),
    [anon_sym_co_return] = ACTIONS(3052),
    [anon_sym_co_yield] = ACTIONS(3052),
    [anon_sym_R_DQUOTE] = ACTIONS(3054),
    [anon_sym_LR_DQUOTE] = ACTIONS(3054),
    [anon_sym_uR_DQUOTE] = ACTIONS(3054),
    [anon_sym_UR_DQUOTE] = ACTIONS(3054),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3054),
    [anon_sym_co_await] = ACTIONS(3052),
    [anon_sym_new] = ACTIONS(3052),
    [anon_sym_requires] = ACTIONS(3052),
    [sym_this] = ACTIONS(3052),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(2858),
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym_not] = ACTIONS(2856),
    [anon_sym_compl] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [sym_number_literal] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_try] = ACTIONS(2856),
    [anon_sym_delete] = ACTIONS(2856),
    [anon_sym_throw] = ACTIONS(2856),
    [anon_sym_namespace] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
    [anon_sym_concept] = ACTIONS(2856),
    [anon_sym_co_return] = ACTIONS(2856),
    [anon_sym_co_yield] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2858),
    [anon_sym_LR_DQUOTE] = ACTIONS(2858),
    [anon_sym_uR_DQUOTE] = ACTIONS(2858),
    [anon_sym_UR_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2858),
    [anon_sym_co_await] = ACTIONS(2856),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_requires] = ACTIONS(2856),
    [sym_this] = ACTIONS(2856),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(3149),
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_include_token1] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(3147),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym___cdecl] = ACTIONS(3147),
    [anon_sym___clrcall] = ACTIONS(3147),
    [anon_sym___stdcall] = ACTIONS(3147),
    [anon_sym___fastcall] = ACTIONS(3147),
    [anon_sym___thiscall] = ACTIONS(3147),
    [anon_sym___vectorcall] = ACTIONS(3147),
    [anon_sym_LBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3147),
    [anon_sym_switch] = ACTIONS(3147),
    [anon_sym_case] = ACTIONS(3147),
    [anon_sym_default] = ACTIONS(3147),
    [anon_sym_while] = ACTIONS(3147),
    [anon_sym_do] = ACTIONS(3147),
    [anon_sym_for] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3147),
    [anon_sym_break] = ACTIONS(3147),
    [anon_sym_continue] = ACTIONS(3147),
    [anon_sym_goto] = ACTIONS(3147),
    [anon_sym_not] = ACTIONS(3147),
    [anon_sym_compl] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3149),
    [anon_sym_PLUS_PLUS] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3147),
    [anon_sym___alignof__] = ACTIONS(3147),
    [anon_sym___alignof] = ACTIONS(3147),
    [anon_sym__alignof] = ACTIONS(3147),
    [anon_sym_alignof] = ACTIONS(3147),
    [anon_sym__Alignof] = ACTIONS(3147),
    [anon_sym_offsetof] = ACTIONS(3147),
    [anon_sym__Generic] = ACTIONS(3147),
    [anon_sym_asm] = ACTIONS(3147),
    [anon_sym___asm__] = ACTIONS(3147),
    [anon_sym___asm] = ACTIONS(3147),
    [sym_number_literal] = ACTIONS(3149),
    [anon_sym_L_SQUOTE] = ACTIONS(3149),
    [anon_sym_u_SQUOTE] = ACTIONS(3149),
    [anon_sym_U_SQUOTE] = ACTIONS(3149),
    [anon_sym_u8_SQUOTE] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3149),
    [anon_sym_L_DQUOTE] = ACTIONS(3149),
    [anon_sym_u_DQUOTE] = ACTIONS(3149),
    [anon_sym_U_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8_DQUOTE] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3149),
    [sym_true] = ACTIONS(3147),
    [sym_false] = ACTIONS(3147),
    [anon_sym_NULL] = ACTIONS(3147),
    [anon_sym_nullptr] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_try] = ACTIONS(3147),
    [anon_sym_delete] = ACTIONS(3147),
    [anon_sym_throw] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
    [anon_sym_concept] = ACTIONS(3147),
    [anon_sym_co_return] = ACTIONS(3147),
    [anon_sym_co_yield] = ACTIONS(3147),
    [anon_sym_R_DQUOTE] = ACTIONS(3149),
    [anon_sym_LR_DQUOTE] = ACTIONS(3149),
    [anon_sym_uR_DQUOTE] = ACTIONS(3149),
    [anon_sym_UR_DQUOTE] = ACTIONS(3149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3149),
    [anon_sym_co_await] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3147),
    [anon_sym_requires] = ACTIONS(3147),
    [sym_this] = ACTIONS(3147),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(3145),
    [sym_identifier] = ACTIONS(3143),
    [aux_sym_preproc_include_token1] = ACTIONS(3143),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3143),
    [sym_preproc_directive] = ACTIONS(3143),
    [anon_sym_LPAREN2] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3145),
    [anon_sym_TILDE] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(3143),
    [anon_sym_STAR] = ACTIONS(3145),
    [anon_sym_AMP_AMP] = ACTIONS(3145),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym___extension__] = ACTIONS(3143),
    [anon_sym_typedef] = ACTIONS(3143),
    [anon_sym_virtual] = ACTIONS(3143),
    [anon_sym_extern] = ACTIONS(3143),
    [anon_sym___attribute__] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(3145),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3145),
    [anon_sym___declspec] = ACTIONS(3143),
    [anon_sym___based] = ACTIONS(3143),
    [anon_sym___cdecl] = ACTIONS(3143),
    [anon_sym___clrcall] = ACTIONS(3143),
    [anon_sym___stdcall] = ACTIONS(3143),
    [anon_sym___fastcall] = ACTIONS(3143),
    [anon_sym___thiscall] = ACTIONS(3143),
    [anon_sym___vectorcall] = ACTIONS(3143),
    [anon_sym_LBRACE] = ACTIONS(3145),
    [anon_sym_signed] = ACTIONS(3143),
    [anon_sym_unsigned] = ACTIONS(3143),
    [anon_sym_long] = ACTIONS(3143),
    [anon_sym_short] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_static] = ACTIONS(3143),
    [anon_sym_register] = ACTIONS(3143),
    [anon_sym_inline] = ACTIONS(3143),
    [anon_sym___inline] = ACTIONS(3143),
    [anon_sym___inline__] = ACTIONS(3143),
    [anon_sym___forceinline] = ACTIONS(3143),
    [anon_sym_thread_local] = ACTIONS(3143),
    [anon_sym___thread] = ACTIONS(3143),
    [anon_sym_const] = ACTIONS(3143),
    [anon_sym_constexpr] = ACTIONS(3143),
    [anon_sym_volatile] = ACTIONS(3143),
    [anon_sym_restrict] = ACTIONS(3143),
    [anon_sym___restrict__] = ACTIONS(3143),
    [anon_sym__Atomic] = ACTIONS(3143),
    [anon_sym__Noreturn] = ACTIONS(3143),
    [anon_sym_noreturn] = ACTIONS(3143),
    [anon_sym__Nonnull] = ACTIONS(3143),
    [anon_sym_mutable] = ACTIONS(3143),
    [anon_sym_constinit] = ACTIONS(3143),
    [anon_sym_consteval] = ACTIONS(3143),
    [anon_sym_alignas] = ACTIONS(3143),
    [anon_sym__Alignas] = ACTIONS(3143),
    [sym_primitive_type] = ACTIONS(3143),
    [anon_sym_enum] = ACTIONS(3143),
    [anon_sym_class] = ACTIONS(3143),
    [anon_sym_struct] = ACTIONS(3143),
    [anon_sym_union] = ACTIONS(3143),
    [anon_sym_if] = ACTIONS(3143),
    [anon_sym_switch] = ACTIONS(3143),
    [anon_sym_case] = ACTIONS(3143),
    [anon_sym_default] = ACTIONS(3143),
    [anon_sym_while] = ACTIONS(3143),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_for] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3143),
    [anon_sym_break] = ACTIONS(3143),
    [anon_sym_continue] = ACTIONS(3143),
    [anon_sym_goto] = ACTIONS(3143),
    [anon_sym_not] = ACTIONS(3143),
    [anon_sym_compl] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3145),
    [anon_sym_PLUS_PLUS] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3143),
    [anon_sym___alignof__] = ACTIONS(3143),
    [anon_sym___alignof] = ACTIONS(3143),
    [anon_sym__alignof] = ACTIONS(3143),
    [anon_sym_alignof] = ACTIONS(3143),
    [anon_sym__Alignof] = ACTIONS(3143),
    [anon_sym_offsetof] = ACTIONS(3143),
    [anon_sym__Generic] = ACTIONS(3143),
    [anon_sym_asm] = ACTIONS(3143),
    [anon_sym___asm__] = ACTIONS(3143),
    [anon_sym___asm] = ACTIONS(3143),
    [sym_number_literal] = ACTIONS(3145),
    [anon_sym_L_SQUOTE] = ACTIONS(3145),
    [anon_sym_u_SQUOTE] = ACTIONS(3145),
    [anon_sym_U_SQUOTE] = ACTIONS(3145),
    [anon_sym_u8_SQUOTE] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_L_DQUOTE] = ACTIONS(3145),
    [anon_sym_u_DQUOTE] = ACTIONS(3145),
    [anon_sym_U_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8_DQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3145),
    [sym_true] = ACTIONS(3143),
    [sym_false] = ACTIONS(3143),
    [anon_sym_NULL] = ACTIONS(3143),
    [anon_sym_nullptr] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3143),
    [anon_sym_decltype] = ACTIONS(3143),
    [anon_sym_explicit] = ACTIONS(3143),
    [anon_sym_typename] = ACTIONS(3143),
    [anon_sym_template] = ACTIONS(3143),
    [anon_sym_operator] = ACTIONS(3143),
    [anon_sym_try] = ACTIONS(3143),
    [anon_sym_delete] = ACTIONS(3143),
    [anon_sym_throw] = ACTIONS(3143),
    [anon_sym_namespace] = ACTIONS(3143),
    [anon_sym_using] = ACTIONS(3143),
    [anon_sym_static_assert] = ACTIONS(3143),
    [anon_sym_concept] = ACTIONS(3143),
    [anon_sym_co_return] = ACTIONS(3143),
    [anon_sym_co_yield] = ACTIONS(3143),
    [anon_sym_R_DQUOTE] = ACTIONS(3145),
    [anon_sym_LR_DQUOTE] = ACTIONS(3145),
    [anon_sym_uR_DQUOTE] = ACTIONS(3145),
    [anon_sym_UR_DQUOTE] = ACTIONS(3145),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3145),
    [anon_sym_co_await] = ACTIONS(3143),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_requires] = ACTIONS(3143),
    [sym_this] = ACTIONS(3143),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(3185),
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_include_token1] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3183),
    [anon_sym_PLUS] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym___cdecl] = ACTIONS(3183),
    [anon_sym___clrcall] = ACTIONS(3183),
    [anon_sym___stdcall] = ACTIONS(3183),
    [anon_sym___fastcall] = ACTIONS(3183),
    [anon_sym___thiscall] = ACTIONS(3183),
    [anon_sym___vectorcall] = ACTIONS(3183),
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [anon_sym_if] = ACTIONS(3183),
    [anon_sym_switch] = ACTIONS(3183),
    [anon_sym_case] = ACTIONS(3183),
    [anon_sym_default] = ACTIONS(3183),
    [anon_sym_while] = ACTIONS(3183),
    [anon_sym_do] = ACTIONS(3183),
    [anon_sym_for] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3183),
    [anon_sym_break] = ACTIONS(3183),
    [anon_sym_continue] = ACTIONS(3183),
    [anon_sym_goto] = ACTIONS(3183),
    [anon_sym_not] = ACTIONS(3183),
    [anon_sym_compl] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3185),
    [anon_sym_PLUS_PLUS] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3183),
    [anon_sym___alignof__] = ACTIONS(3183),
    [anon_sym___alignof] = ACTIONS(3183),
    [anon_sym__alignof] = ACTIONS(3183),
    [anon_sym_alignof] = ACTIONS(3183),
    [anon_sym__Alignof] = ACTIONS(3183),
    [anon_sym_offsetof] = ACTIONS(3183),
    [anon_sym__Generic] = ACTIONS(3183),
    [anon_sym_asm] = ACTIONS(3183),
    [anon_sym___asm__] = ACTIONS(3183),
    [anon_sym___asm] = ACTIONS(3183),
    [sym_number_literal] = ACTIONS(3185),
    [anon_sym_L_SQUOTE] = ACTIONS(3185),
    [anon_sym_u_SQUOTE] = ACTIONS(3185),
    [anon_sym_U_SQUOTE] = ACTIONS(3185),
    [anon_sym_u8_SQUOTE] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3185),
    [anon_sym_L_DQUOTE] = ACTIONS(3185),
    [anon_sym_u_DQUOTE] = ACTIONS(3185),
    [anon_sym_U_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8_DQUOTE] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3185),
    [sym_true] = ACTIONS(3183),
    [sym_false] = ACTIONS(3183),
    [anon_sym_NULL] = ACTIONS(3183),
    [anon_sym_nullptr] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_try] = ACTIONS(3183),
    [anon_sym_delete] = ACTIONS(3183),
    [anon_sym_throw] = ACTIONS(3183),
    [anon_sym_namespace] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
    [anon_sym_concept] = ACTIONS(3183),
    [anon_sym_co_return] = ACTIONS(3183),
    [anon_sym_co_yield] = ACTIONS(3183),
    [anon_sym_R_DQUOTE] = ACTIONS(3185),
    [anon_sym_LR_DQUOTE] = ACTIONS(3185),
    [anon_sym_uR_DQUOTE] = ACTIONS(3185),
    [anon_sym_UR_DQUOTE] = ACTIONS(3185),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3185),
    [anon_sym_co_await] = ACTIONS(3183),
    [anon_sym_new] = ACTIONS(3183),
    [anon_sym_requires] = ACTIONS(3183),
    [sym_this] = ACTIONS(3183),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(2970),
    [sym_identifier] = ACTIONS(2968),
    [aux_sym_preproc_include_token1] = ACTIONS(2968),
    [aux_sym_preproc_def_token1] = ACTIONS(2968),
    [aux_sym_preproc_if_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [sym_preproc_directive] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2968),
    [anon_sym_PLUS] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2968),
    [anon_sym_typedef] = ACTIONS(2968),
    [anon_sym_virtual] = ACTIONS(2968),
    [anon_sym_extern] = ACTIONS(2968),
    [anon_sym___attribute__] = ACTIONS(2968),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2970),
    [anon_sym___declspec] = ACTIONS(2968),
    [anon_sym___based] = ACTIONS(2968),
    [anon_sym___cdecl] = ACTIONS(2968),
    [anon_sym___clrcall] = ACTIONS(2968),
    [anon_sym___stdcall] = ACTIONS(2968),
    [anon_sym___fastcall] = ACTIONS(2968),
    [anon_sym___thiscall] = ACTIONS(2968),
    [anon_sym___vectorcall] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2968),
    [anon_sym_unsigned] = ACTIONS(2968),
    [anon_sym_long] = ACTIONS(2968),
    [anon_sym_short] = ACTIONS(2968),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2968),
    [anon_sym_register] = ACTIONS(2968),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym___inline] = ACTIONS(2968),
    [anon_sym___inline__] = ACTIONS(2968),
    [anon_sym___forceinline] = ACTIONS(2968),
    [anon_sym_thread_local] = ACTIONS(2968),
    [anon_sym___thread] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2968),
    [anon_sym_constexpr] = ACTIONS(2968),
    [anon_sym_volatile] = ACTIONS(2968),
    [anon_sym_restrict] = ACTIONS(2968),
    [anon_sym___restrict__] = ACTIONS(2968),
    [anon_sym__Atomic] = ACTIONS(2968),
    [anon_sym__Noreturn] = ACTIONS(2968),
    [anon_sym_noreturn] = ACTIONS(2968),
    [anon_sym__Nonnull] = ACTIONS(2968),
    [anon_sym_mutable] = ACTIONS(2968),
    [anon_sym_constinit] = ACTIONS(2968),
    [anon_sym_consteval] = ACTIONS(2968),
    [anon_sym_alignas] = ACTIONS(2968),
    [anon_sym__Alignas] = ACTIONS(2968),
    [sym_primitive_type] = ACTIONS(2968),
    [anon_sym_enum] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2968),
    [anon_sym_union] = ACTIONS(2968),
    [anon_sym_if] = ACTIONS(2968),
    [anon_sym_switch] = ACTIONS(2968),
    [anon_sym_case] = ACTIONS(2968),
    [anon_sym_default] = ACTIONS(2968),
    [anon_sym_while] = ACTIONS(2968),
    [anon_sym_do] = ACTIONS(2968),
    [anon_sym_for] = ACTIONS(2968),
    [anon_sym_return] = ACTIONS(2968),
    [anon_sym_break] = ACTIONS(2968),
    [anon_sym_continue] = ACTIONS(2968),
    [anon_sym_goto] = ACTIONS(2968),
    [anon_sym_not] = ACTIONS(2968),
    [anon_sym_compl] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_sizeof] = ACTIONS(2968),
    [anon_sym___alignof__] = ACTIONS(2968),
    [anon_sym___alignof] = ACTIONS(2968),
    [anon_sym__alignof] = ACTIONS(2968),
    [anon_sym_alignof] = ACTIONS(2968),
    [anon_sym__Alignof] = ACTIONS(2968),
    [anon_sym_offsetof] = ACTIONS(2968),
    [anon_sym__Generic] = ACTIONS(2968),
    [anon_sym_asm] = ACTIONS(2968),
    [anon_sym___asm__] = ACTIONS(2968),
    [anon_sym___asm] = ACTIONS(2968),
    [sym_number_literal] = ACTIONS(2970),
    [anon_sym_L_SQUOTE] = ACTIONS(2970),
    [anon_sym_u_SQUOTE] = ACTIONS(2970),
    [anon_sym_U_SQUOTE] = ACTIONS(2970),
    [anon_sym_u8_SQUOTE] = ACTIONS(2970),
    [anon_sym_SQUOTE] = ACTIONS(2970),
    [anon_sym_L_DQUOTE] = ACTIONS(2970),
    [anon_sym_u_DQUOTE] = ACTIONS(2970),
    [anon_sym_U_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8_DQUOTE] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2970),
    [sym_true] = ACTIONS(2968),
    [sym_false] = ACTIONS(2968),
    [anon_sym_NULL] = ACTIONS(2968),
    [anon_sym_nullptr] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2968),
    [anon_sym_decltype] = ACTIONS(2968),
    [anon_sym_explicit] = ACTIONS(2968),
    [anon_sym_typename] = ACTIONS(2968),
    [anon_sym_template] = ACTIONS(2968),
    [anon_sym_operator] = ACTIONS(2968),
    [anon_sym_try] = ACTIONS(2968),
    [anon_sym_delete] = ACTIONS(2968),
    [anon_sym_throw] = ACTIONS(2968),
    [anon_sym_namespace] = ACTIONS(2968),
    [anon_sym_using] = ACTIONS(2968),
    [anon_sym_static_assert] = ACTIONS(2968),
    [anon_sym_concept] = ACTIONS(2968),
    [anon_sym_co_return] = ACTIONS(2968),
    [anon_sym_co_yield] = ACTIONS(2968),
    [anon_sym_R_DQUOTE] = ACTIONS(2970),
    [anon_sym_LR_DQUOTE] = ACTIONS(2970),
    [anon_sym_uR_DQUOTE] = ACTIONS(2970),
    [anon_sym_UR_DQUOTE] = ACTIONS(2970),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2970),
    [anon_sym_co_await] = ACTIONS(2968),
    [anon_sym_new] = ACTIONS(2968),
    [anon_sym_requires] = ACTIONS(2968),
    [sym_this] = ACTIONS(2968),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2854),
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(2962),
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2962),
    [anon_sym_AMP_AMP] = ACTIONS(2962),
    [anon_sym_AMP] = ACTIONS(2960),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_virtual] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym_COLON_COLON] = ACTIONS(2962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2962),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___based] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym__Nonnull] = ACTIONS(2960),
    [anon_sym_mutable] = ACTIONS(2960),
    [anon_sym_constinit] = ACTIONS(2960),
    [anon_sym_consteval] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym__Alignas] = ACTIONS(2960),
    [sym_primitive_type] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym_not] = ACTIONS(2960),
    [anon_sym_compl] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2962),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [anon_sym___asm] = ACTIONS(2960),
    [sym_number_literal] = ACTIONS(2962),
    [anon_sym_L_SQUOTE] = ACTIONS(2962),
    [anon_sym_u_SQUOTE] = ACTIONS(2962),
    [anon_sym_U_SQUOTE] = ACTIONS(2962),
    [anon_sym_u8_SQUOTE] = ACTIONS(2962),
    [anon_sym_SQUOTE] = ACTIONS(2962),
    [anon_sym_L_DQUOTE] = ACTIONS(2962),
    [anon_sym_u_DQUOTE] = ACTIONS(2962),
    [anon_sym_U_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8_DQUOTE] = ACTIONS(2962),
    [anon_sym_DQUOTE] = ACTIONS(2962),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2960),
    [anon_sym_decltype] = ACTIONS(2960),
    [anon_sym_explicit] = ACTIONS(2960),
    [anon_sym_typename] = ACTIONS(2960),
    [anon_sym_template] = ACTIONS(2960),
    [anon_sym_operator] = ACTIONS(2960),
    [anon_sym_try] = ACTIONS(2960),
    [anon_sym_delete] = ACTIONS(2960),
    [anon_sym_throw] = ACTIONS(2960),
    [anon_sym_namespace] = ACTIONS(2960),
    [anon_sym_using] = ACTIONS(2960),
    [anon_sym_static_assert] = ACTIONS(2960),
    [anon_sym_concept] = ACTIONS(2960),
    [anon_sym_co_return] = ACTIONS(2960),
    [anon_sym_co_yield] = ACTIONS(2960),
    [anon_sym_R_DQUOTE] = ACTIONS(2962),
    [anon_sym_LR_DQUOTE] = ACTIONS(2962),
    [anon_sym_uR_DQUOTE] = ACTIONS(2962),
    [anon_sym_UR_DQUOTE] = ACTIONS(2962),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2962),
    [anon_sym_co_await] = ACTIONS(2960),
    [anon_sym_new] = ACTIONS(2960),
    [anon_sym_requires] = ACTIONS(2960),
    [sym_this] = ACTIONS(2960),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(2900),
    [sym_identifier] = ACTIONS(2898),
    [aux_sym_preproc_include_token1] = ACTIONS(2898),
    [aux_sym_preproc_def_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2898),
    [sym_preproc_directive] = ACTIONS(2898),
    [anon_sym_LPAREN2] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2898),
    [anon_sym___extension__] = ACTIONS(2898),
    [anon_sym_typedef] = ACTIONS(2898),
    [anon_sym_virtual] = ACTIONS(2898),
    [anon_sym_extern] = ACTIONS(2898),
    [anon_sym___attribute__] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2900),
    [anon_sym___declspec] = ACTIONS(2898),
    [anon_sym___based] = ACTIONS(2898),
    [anon_sym___cdecl] = ACTIONS(2898),
    [anon_sym___clrcall] = ACTIONS(2898),
    [anon_sym___stdcall] = ACTIONS(2898),
    [anon_sym___fastcall] = ACTIONS(2898),
    [anon_sym___thiscall] = ACTIONS(2898),
    [anon_sym___vectorcall] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_signed] = ACTIONS(2898),
    [anon_sym_unsigned] = ACTIONS(2898),
    [anon_sym_long] = ACTIONS(2898),
    [anon_sym_short] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [anon_sym_static] = ACTIONS(2898),
    [anon_sym_register] = ACTIONS(2898),
    [anon_sym_inline] = ACTIONS(2898),
    [anon_sym___inline] = ACTIONS(2898),
    [anon_sym___inline__] = ACTIONS(2898),
    [anon_sym___forceinline] = ACTIONS(2898),
    [anon_sym_thread_local] = ACTIONS(2898),
    [anon_sym___thread] = ACTIONS(2898),
    [anon_sym_const] = ACTIONS(2898),
    [anon_sym_constexpr] = ACTIONS(2898),
    [anon_sym_volatile] = ACTIONS(2898),
    [anon_sym_restrict] = ACTIONS(2898),
    [anon_sym___restrict__] = ACTIONS(2898),
    [anon_sym__Atomic] = ACTIONS(2898),
    [anon_sym__Noreturn] = ACTIONS(2898),
    [anon_sym_noreturn] = ACTIONS(2898),
    [anon_sym__Nonnull] = ACTIONS(2898),
    [anon_sym_mutable] = ACTIONS(2898),
    [anon_sym_constinit] = ACTIONS(2898),
    [anon_sym_consteval] = ACTIONS(2898),
    [anon_sym_alignas] = ACTIONS(2898),
    [anon_sym__Alignas] = ACTIONS(2898),
    [sym_primitive_type] = ACTIONS(2898),
    [anon_sym_enum] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2898),
    [anon_sym_struct] = ACTIONS(2898),
    [anon_sym_union] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(2898),
    [anon_sym_switch] = ACTIONS(2898),
    [anon_sym_case] = ACTIONS(2898),
    [anon_sym_default] = ACTIONS(2898),
    [anon_sym_while] = ACTIONS(2898),
    [anon_sym_do] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2898),
    [anon_sym_break] = ACTIONS(2898),
    [anon_sym_continue] = ACTIONS(2898),
    [anon_sym_goto] = ACTIONS(2898),
    [anon_sym_not] = ACTIONS(2898),
    [anon_sym_compl] = ACTIONS(2898),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_sizeof] = ACTIONS(2898),
    [anon_sym___alignof__] = ACTIONS(2898),
    [anon_sym___alignof] = ACTIONS(2898),
    [anon_sym__alignof] = ACTIONS(2898),
    [anon_sym_alignof] = ACTIONS(2898),
    [anon_sym__Alignof] = ACTIONS(2898),
    [anon_sym_offsetof] = ACTIONS(2898),
    [anon_sym__Generic] = ACTIONS(2898),
    [anon_sym_asm] = ACTIONS(2898),
    [anon_sym___asm__] = ACTIONS(2898),
    [anon_sym___asm] = ACTIONS(2898),
    [sym_number_literal] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2900),
    [anon_sym_u_SQUOTE] = ACTIONS(2900),
    [anon_sym_U_SQUOTE] = ACTIONS(2900),
    [anon_sym_u8_SQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [anon_sym_L_DQUOTE] = ACTIONS(2900),
    [anon_sym_u_DQUOTE] = ACTIONS(2900),
    [anon_sym_U_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [sym_true] = ACTIONS(2898),
    [sym_false] = ACTIONS(2898),
    [anon_sym_NULL] = ACTIONS(2898),
    [anon_sym_nullptr] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2898),
    [anon_sym_decltype] = ACTIONS(2898),
    [anon_sym_explicit] = ACTIONS(2898),
    [anon_sym_typename] = ACTIONS(2898),
    [anon_sym_template] = ACTIONS(2898),
    [anon_sym_operator] = ACTIONS(2898),
    [anon_sym_try] = ACTIONS(2898),
    [anon_sym_delete] = ACTIONS(2898),
    [anon_sym_throw] = ACTIONS(2898),
    [anon_sym_namespace] = ACTIONS(2898),
    [anon_sym_using] = ACTIONS(2898),
    [anon_sym_static_assert] = ACTIONS(2898),
    [anon_sym_concept] = ACTIONS(2898),
    [anon_sym_co_return] = ACTIONS(2898),
    [anon_sym_co_yield] = ACTIONS(2898),
    [anon_sym_R_DQUOTE] = ACTIONS(2900),
    [anon_sym_LR_DQUOTE] = ACTIONS(2900),
    [anon_sym_uR_DQUOTE] = ACTIONS(2900),
    [anon_sym_UR_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2900),
    [anon_sym_co_await] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2898),
    [anon_sym_requires] = ACTIONS(2898),
    [sym_this] = ACTIONS(2898),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(3101),
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym__Nonnull] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym__Alignas] = ACTIONS(3099),
    [sym_primitive_type] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [anon_sym___asm] = ACTIONS(3099),
    [sym_number_literal] = ACTIONS(3101),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(3105),
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym__Nonnull] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym__Alignas] = ACTIONS(3103),
    [sym_primitive_type] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [anon_sym___asm] = ACTIONS(3103),
    [sym_number_literal] = ACTIONS(3105),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(3133),
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_include_token1] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3131),
    [anon_sym_PLUS] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym___cdecl] = ACTIONS(3131),
    [anon_sym___clrcall] = ACTIONS(3131),
    [anon_sym___stdcall] = ACTIONS(3131),
    [anon_sym___fastcall] = ACTIONS(3131),
    [anon_sym___thiscall] = ACTIONS(3131),
    [anon_sym___vectorcall] = ACTIONS(3131),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [anon_sym_if] = ACTIONS(3131),
    [anon_sym_switch] = ACTIONS(3131),
    [anon_sym_case] = ACTIONS(3131),
    [anon_sym_default] = ACTIONS(3131),
    [anon_sym_while] = ACTIONS(3131),
    [anon_sym_do] = ACTIONS(3131),
    [anon_sym_for] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3131),
    [anon_sym_break] = ACTIONS(3131),
    [anon_sym_continue] = ACTIONS(3131),
    [anon_sym_goto] = ACTIONS(3131),
    [anon_sym_not] = ACTIONS(3131),
    [anon_sym_compl] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3131),
    [anon_sym___alignof__] = ACTIONS(3131),
    [anon_sym___alignof] = ACTIONS(3131),
    [anon_sym__alignof] = ACTIONS(3131),
    [anon_sym_alignof] = ACTIONS(3131),
    [anon_sym__Alignof] = ACTIONS(3131),
    [anon_sym_offsetof] = ACTIONS(3131),
    [anon_sym__Generic] = ACTIONS(3131),
    [anon_sym_asm] = ACTIONS(3131),
    [anon_sym___asm__] = ACTIONS(3131),
    [anon_sym___asm] = ACTIONS(3131),
    [sym_number_literal] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3133),
    [anon_sym_u_SQUOTE] = ACTIONS(3133),
    [anon_sym_U_SQUOTE] = ACTIONS(3133),
    [anon_sym_u8_SQUOTE] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3133),
    [anon_sym_L_DQUOTE] = ACTIONS(3133),
    [anon_sym_u_DQUOTE] = ACTIONS(3133),
    [anon_sym_U_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8_DQUOTE] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3133),
    [sym_true] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
    [anon_sym_NULL] = ACTIONS(3131),
    [anon_sym_nullptr] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_try] = ACTIONS(3131),
    [anon_sym_delete] = ACTIONS(3131),
    [anon_sym_throw] = ACTIONS(3131),
    [anon_sym_namespace] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
    [anon_sym_concept] = ACTIONS(3131),
    [anon_sym_co_return] = ACTIONS(3131),
    [anon_sym_co_yield] = ACTIONS(3131),
    [anon_sym_R_DQUOTE] = ACTIONS(3133),
    [anon_sym_LR_DQUOTE] = ACTIONS(3133),
    [anon_sym_uR_DQUOTE] = ACTIONS(3133),
    [anon_sym_UR_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3133),
    [anon_sym_co_await] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_requires] = ACTIONS(3131),
    [sym_this] = ACTIONS(3131),
  },
  [737] = {
    [ts_builtin_sym_end] = ACTIONS(2995),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [anon_sym___asm] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(3137),
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_include_token1] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3135),
    [anon_sym_PLUS] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym___cdecl] = ACTIONS(3135),
    [anon_sym___clrcall] = ACTIONS(3135),
    [anon_sym___stdcall] = ACTIONS(3135),
    [anon_sym___fastcall] = ACTIONS(3135),
    [anon_sym___thiscall] = ACTIONS(3135),
    [anon_sym___vectorcall] = ACTIONS(3135),
    [anon_sym_LBRACE] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_switch] = ACTIONS(3135),
    [anon_sym_case] = ACTIONS(3135),
    [anon_sym_default] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(3135),
    [anon_sym_do] = ACTIONS(3135),
    [anon_sym_for] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3135),
    [anon_sym_break] = ACTIONS(3135),
    [anon_sym_continue] = ACTIONS(3135),
    [anon_sym_goto] = ACTIONS(3135),
    [anon_sym_not] = ACTIONS(3135),
    [anon_sym_compl] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3137),
    [anon_sym_PLUS_PLUS] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3135),
    [anon_sym___alignof__] = ACTIONS(3135),
    [anon_sym___alignof] = ACTIONS(3135),
    [anon_sym__alignof] = ACTIONS(3135),
    [anon_sym_alignof] = ACTIONS(3135),
    [anon_sym__Alignof] = ACTIONS(3135),
    [anon_sym_offsetof] = ACTIONS(3135),
    [anon_sym__Generic] = ACTIONS(3135),
    [anon_sym_asm] = ACTIONS(3135),
    [anon_sym___asm__] = ACTIONS(3135),
    [anon_sym___asm] = ACTIONS(3135),
    [sym_number_literal] = ACTIONS(3137),
    [anon_sym_L_SQUOTE] = ACTIONS(3137),
    [anon_sym_u_SQUOTE] = ACTIONS(3137),
    [anon_sym_U_SQUOTE] = ACTIONS(3137),
    [anon_sym_u8_SQUOTE] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3137),
    [anon_sym_L_DQUOTE] = ACTIONS(3137),
    [anon_sym_u_DQUOTE] = ACTIONS(3137),
    [anon_sym_U_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8_DQUOTE] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3137),
    [sym_true] = ACTIONS(3135),
    [sym_false] = ACTIONS(3135),
    [anon_sym_NULL] = ACTIONS(3135),
    [anon_sym_nullptr] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_try] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(3135),
    [anon_sym_throw] = ACTIONS(3135),
    [anon_sym_namespace] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
    [anon_sym_concept] = ACTIONS(3135),
    [anon_sym_co_return] = ACTIONS(3135),
    [anon_sym_co_yield] = ACTIONS(3135),
    [anon_sym_R_DQUOTE] = ACTIONS(3137),
    [anon_sym_LR_DQUOTE] = ACTIONS(3137),
    [anon_sym_uR_DQUOTE] = ACTIONS(3137),
    [anon_sym_UR_DQUOTE] = ACTIONS(3137),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3137),
    [anon_sym_co_await] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(3135),
    [anon_sym_requires] = ACTIONS(3135),
    [sym_this] = ACTIONS(3135),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(3141),
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_include_token1] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym___cdecl] = ACTIONS(3139),
    [anon_sym___clrcall] = ACTIONS(3139),
    [anon_sym___stdcall] = ACTIONS(3139),
    [anon_sym___fastcall] = ACTIONS(3139),
    [anon_sym___thiscall] = ACTIONS(3139),
    [anon_sym___vectorcall] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_if] = ACTIONS(3139),
    [anon_sym_switch] = ACTIONS(3139),
    [anon_sym_case] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3139),
    [anon_sym_while] = ACTIONS(3139),
    [anon_sym_do] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3139),
    [anon_sym_break] = ACTIONS(3139),
    [anon_sym_continue] = ACTIONS(3139),
    [anon_sym_goto] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3141),
    [anon_sym_PLUS_PLUS] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [anon_sym___asm] = ACTIONS(3139),
    [sym_number_literal] = ACTIONS(3141),
    [anon_sym_L_SQUOTE] = ACTIONS(3141),
    [anon_sym_u_SQUOTE] = ACTIONS(3141),
    [anon_sym_U_SQUOTE] = ACTIONS(3141),
    [anon_sym_u8_SQUOTE] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3141),
    [anon_sym_L_DQUOTE] = ACTIONS(3141),
    [anon_sym_u_DQUOTE] = ACTIONS(3141),
    [anon_sym_U_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8_DQUOTE] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3141),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_throw] = ACTIONS(3139),
    [anon_sym_namespace] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
    [anon_sym_concept] = ACTIONS(3139),
    [anon_sym_co_return] = ACTIONS(3139),
    [anon_sym_co_yield] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3141),
    [anon_sym_LR_DQUOTE] = ACTIONS(3141),
    [anon_sym_uR_DQUOTE] = ACTIONS(3141),
    [anon_sym_UR_DQUOTE] = ACTIONS(3141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3141),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2862),
    [sym_identifier] = ACTIONS(2860),
    [aux_sym_preproc_include_token1] = ACTIONS(2860),
    [aux_sym_preproc_def_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_AMP_AMP] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_typedef] = ACTIONS(2860),
    [anon_sym_virtual] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___based] = ACTIONS(2860),
    [anon_sym___cdecl] = ACTIONS(2860),
    [anon_sym___clrcall] = ACTIONS(2860),
    [anon_sym___stdcall] = ACTIONS(2860),
    [anon_sym___fastcall] = ACTIONS(2860),
    [anon_sym___thiscall] = ACTIONS(2860),
    [anon_sym___vectorcall] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_mutable] = ACTIONS(2860),
    [anon_sym_constinit] = ACTIONS(2860),
    [anon_sym_consteval] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_class] = ACTIONS(2860),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_switch] = ACTIONS(2860),
    [anon_sym_case] = ACTIONS(2860),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_break] = ACTIONS(2860),
    [anon_sym_continue] = ACTIONS(2860),
    [anon_sym_goto] = ACTIONS(2860),
    [anon_sym_not] = ACTIONS(2860),
    [anon_sym_compl] = ACTIONS(2860),
    [anon_sym_DASH_DASH] = ACTIONS(2862),
    [anon_sym_PLUS_PLUS] = ACTIONS(2862),
    [anon_sym_sizeof] = ACTIONS(2860),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2860),
    [anon_sym__Generic] = ACTIONS(2860),
    [anon_sym_asm] = ACTIONS(2860),
    [anon_sym___asm__] = ACTIONS(2860),
    [anon_sym___asm] = ACTIONS(2860),
    [sym_number_literal] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2862),
    [anon_sym_u_SQUOTE] = ACTIONS(2862),
    [anon_sym_U_SQUOTE] = ACTIONS(2862),
    [anon_sym_u8_SQUOTE] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_L_DQUOTE] = ACTIONS(2862),
    [anon_sym_u_DQUOTE] = ACTIONS(2862),
    [anon_sym_U_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8_DQUOTE] = ACTIONS(2862),
    [anon_sym_DQUOTE] = ACTIONS(2862),
    [sym_true] = ACTIONS(2860),
    [sym_false] = ACTIONS(2860),
    [anon_sym_NULL] = ACTIONS(2860),
    [anon_sym_nullptr] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2860),
    [anon_sym_decltype] = ACTIONS(2860),
    [anon_sym_explicit] = ACTIONS(2860),
    [anon_sym_typename] = ACTIONS(2860),
    [anon_sym_template] = ACTIONS(2860),
    [anon_sym_operator] = ACTIONS(2860),
    [anon_sym_try] = ACTIONS(2860),
    [anon_sym_delete] = ACTIONS(2860),
    [anon_sym_throw] = ACTIONS(2860),
    [anon_sym_namespace] = ACTIONS(2860),
    [anon_sym_using] = ACTIONS(2860),
    [anon_sym_static_assert] = ACTIONS(2860),
    [anon_sym_concept] = ACTIONS(2860),
    [anon_sym_co_return] = ACTIONS(2860),
    [anon_sym_co_yield] = ACTIONS(2860),
    [anon_sym_R_DQUOTE] = ACTIONS(2862),
    [anon_sym_LR_DQUOTE] = ACTIONS(2862),
    [anon_sym_uR_DQUOTE] = ACTIONS(2862),
    [anon_sym_UR_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2862),
    [anon_sym_co_await] = ACTIONS(2860),
    [anon_sym_new] = ACTIONS(2860),
    [anon_sym_requires] = ACTIONS(2860),
    [sym_this] = ACTIONS(2860),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(2999),
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym__Nonnull] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [anon_sym___asm] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(2977),
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_include_token1] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym___cdecl] = ACTIONS(2975),
    [anon_sym___clrcall] = ACTIONS(2975),
    [anon_sym___stdcall] = ACTIONS(2975),
    [anon_sym___fastcall] = ACTIONS(2975),
    [anon_sym___thiscall] = ACTIONS(2975),
    [anon_sym___vectorcall] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym__Nonnull] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym__Alignas] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_switch] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_default] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_do] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_break] = ACTIONS(2975),
    [anon_sym_continue] = ACTIONS(2975),
    [anon_sym_goto] = ACTIONS(2975),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_compl] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_sizeof] = ACTIONS(2975),
    [anon_sym___alignof__] = ACTIONS(2975),
    [anon_sym___alignof] = ACTIONS(2975),
    [anon_sym__alignof] = ACTIONS(2975),
    [anon_sym_alignof] = ACTIONS(2975),
    [anon_sym__Alignof] = ACTIONS(2975),
    [anon_sym_offsetof] = ACTIONS(2975),
    [anon_sym__Generic] = ACTIONS(2975),
    [anon_sym_asm] = ACTIONS(2975),
    [anon_sym___asm__] = ACTIONS(2975),
    [anon_sym___asm] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2977),
    [anon_sym_L_SQUOTE] = ACTIONS(2977),
    [anon_sym_u_SQUOTE] = ACTIONS(2977),
    [anon_sym_U_SQUOTE] = ACTIONS(2977),
    [anon_sym_u8_SQUOTE] = ACTIONS(2977),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_L_DQUOTE] = ACTIONS(2977),
    [anon_sym_u_DQUOTE] = ACTIONS(2977),
    [anon_sym_U_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [anon_sym_NULL] = ACTIONS(2975),
    [anon_sym_nullptr] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2975),
    [anon_sym_namespace] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
    [anon_sym_concept] = ACTIONS(2975),
    [anon_sym_co_return] = ACTIONS(2975),
    [anon_sym_co_yield] = ACTIONS(2975),
    [anon_sym_R_DQUOTE] = ACTIONS(2977),
    [anon_sym_LR_DQUOTE] = ACTIONS(2977),
    [anon_sym_uR_DQUOTE] = ACTIONS(2977),
    [anon_sym_UR_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2977),
    [anon_sym_co_await] = ACTIONS(2975),
    [anon_sym_new] = ACTIONS(2975),
    [anon_sym_requires] = ACTIONS(2975),
    [sym_this] = ACTIONS(2975),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(3483),
    [sym_identifier] = ACTIONS(3485),
    [aux_sym_preproc_include_token1] = ACTIONS(3485),
    [aux_sym_preproc_def_token1] = ACTIONS(3485),
    [aux_sym_preproc_if_token1] = ACTIONS(3485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3485),
    [sym_preproc_directive] = ACTIONS(3485),
    [anon_sym_LPAREN2] = ACTIONS(3483),
    [anon_sym_BANG] = ACTIONS(3483),
    [anon_sym_TILDE] = ACTIONS(3483),
    [anon_sym_DASH] = ACTIONS(3485),
    [anon_sym_PLUS] = ACTIONS(3485),
    [anon_sym_STAR] = ACTIONS(3483),
    [anon_sym_AMP_AMP] = ACTIONS(3483),
    [anon_sym_AMP] = ACTIONS(3485),
    [anon_sym___extension__] = ACTIONS(3485),
    [anon_sym_typedef] = ACTIONS(3485),
    [anon_sym_virtual] = ACTIONS(3485),
    [anon_sym_extern] = ACTIONS(3485),
    [anon_sym___attribute__] = ACTIONS(3485),
    [anon_sym_COLON_COLON] = ACTIONS(3483),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3483),
    [anon_sym___declspec] = ACTIONS(3485),
    [anon_sym___based] = ACTIONS(3485),
    [anon_sym___cdecl] = ACTIONS(3485),
    [anon_sym___clrcall] = ACTIONS(3485),
    [anon_sym___stdcall] = ACTIONS(3485),
    [anon_sym___fastcall] = ACTIONS(3485),
    [anon_sym___thiscall] = ACTIONS(3485),
    [anon_sym___vectorcall] = ACTIONS(3485),
    [anon_sym_LBRACE] = ACTIONS(3483),
    [anon_sym_signed] = ACTIONS(3485),
    [anon_sym_unsigned] = ACTIONS(3485),
    [anon_sym_long] = ACTIONS(3485),
    [anon_sym_short] = ACTIONS(3485),
    [anon_sym_LBRACK] = ACTIONS(3485),
    [anon_sym_static] = ACTIONS(3485),
    [anon_sym_register] = ACTIONS(3485),
    [anon_sym_inline] = ACTIONS(3485),
    [anon_sym___inline] = ACTIONS(3485),
    [anon_sym___inline__] = ACTIONS(3485),
    [anon_sym___forceinline] = ACTIONS(3485),
    [anon_sym_thread_local] = ACTIONS(3485),
    [anon_sym___thread] = ACTIONS(3485),
    [anon_sym_const] = ACTIONS(3485),
    [anon_sym_constexpr] = ACTIONS(3485),
    [anon_sym_volatile] = ACTIONS(3485),
    [anon_sym_restrict] = ACTIONS(3485),
    [anon_sym___restrict__] = ACTIONS(3485),
    [anon_sym__Atomic] = ACTIONS(3485),
    [anon_sym__Noreturn] = ACTIONS(3485),
    [anon_sym_noreturn] = ACTIONS(3485),
    [anon_sym__Nonnull] = ACTIONS(3485),
    [anon_sym_mutable] = ACTIONS(3485),
    [anon_sym_constinit] = ACTIONS(3485),
    [anon_sym_consteval] = ACTIONS(3485),
    [anon_sym_alignas] = ACTIONS(3485),
    [anon_sym__Alignas] = ACTIONS(3485),
    [sym_primitive_type] = ACTIONS(3485),
    [anon_sym_enum] = ACTIONS(3485),
    [anon_sym_class] = ACTIONS(3485),
    [anon_sym_struct] = ACTIONS(3485),
    [anon_sym_union] = ACTIONS(3485),
    [anon_sym_if] = ACTIONS(3485),
    [anon_sym_switch] = ACTIONS(3485),
    [anon_sym_case] = ACTIONS(3485),
    [anon_sym_default] = ACTIONS(3485),
    [anon_sym_while] = ACTIONS(3485),
    [anon_sym_do] = ACTIONS(3485),
    [anon_sym_for] = ACTIONS(3485),
    [anon_sym_return] = ACTIONS(3485),
    [anon_sym_break] = ACTIONS(3485),
    [anon_sym_continue] = ACTIONS(3485),
    [anon_sym_goto] = ACTIONS(3485),
    [anon_sym_not] = ACTIONS(3485),
    [anon_sym_compl] = ACTIONS(3485),
    [anon_sym_DASH_DASH] = ACTIONS(3483),
    [anon_sym_PLUS_PLUS] = ACTIONS(3483),
    [anon_sym_sizeof] = ACTIONS(3485),
    [anon_sym___alignof__] = ACTIONS(3485),
    [anon_sym___alignof] = ACTIONS(3485),
    [anon_sym__alignof] = ACTIONS(3485),
    [anon_sym_alignof] = ACTIONS(3485),
    [anon_sym__Alignof] = ACTIONS(3485),
    [anon_sym_offsetof] = ACTIONS(3485),
    [anon_sym__Generic] = ACTIONS(3485),
    [anon_sym_asm] = ACTIONS(3485),
    [anon_sym___asm__] = ACTIONS(3485),
    [anon_sym___asm] = ACTIONS(3485),
    [sym_number_literal] = ACTIONS(3483),
    [anon_sym_L_SQUOTE] = ACTIONS(3483),
    [anon_sym_u_SQUOTE] = ACTIONS(3483),
    [anon_sym_U_SQUOTE] = ACTIONS(3483),
    [anon_sym_u8_SQUOTE] = ACTIONS(3483),
    [anon_sym_SQUOTE] = ACTIONS(3483),
    [anon_sym_L_DQUOTE] = ACTIONS(3483),
    [anon_sym_u_DQUOTE] = ACTIONS(3483),
    [anon_sym_U_DQUOTE] = ACTIONS(3483),
    [anon_sym_u8_DQUOTE] = ACTIONS(3483),
    [anon_sym_DQUOTE] = ACTIONS(3483),
    [sym_true] = ACTIONS(3485),
    [sym_false] = ACTIONS(3485),
    [anon_sym_NULL] = ACTIONS(3485),
    [anon_sym_nullptr] = ACTIONS(3485),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3485),
    [anon_sym_decltype] = ACTIONS(3485),
    [anon_sym_explicit] = ACTIONS(3485),
    [anon_sym_typename] = ACTIONS(3485),
    [anon_sym_template] = ACTIONS(3485),
    [anon_sym_operator] = ACTIONS(3485),
    [anon_sym_try] = ACTIONS(3485),
    [anon_sym_delete] = ACTIONS(3485),
    [anon_sym_throw] = ACTIONS(3485),
    [anon_sym_namespace] = ACTIONS(3485),
    [anon_sym_using] = ACTIONS(3485),
    [anon_sym_static_assert] = ACTIONS(3485),
    [anon_sym_concept] = ACTIONS(3485),
    [anon_sym_co_return] = ACTIONS(3485),
    [anon_sym_co_yield] = ACTIONS(3485),
    [anon_sym_R_DQUOTE] = ACTIONS(3483),
    [anon_sym_LR_DQUOTE] = ACTIONS(3483),
    [anon_sym_uR_DQUOTE] = ACTIONS(3483),
    [anon_sym_UR_DQUOTE] = ACTIONS(3483),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3483),
    [anon_sym_co_await] = ACTIONS(3485),
    [anon_sym_new] = ACTIONS(3485),
    [anon_sym_requires] = ACTIONS(3485),
    [sym_this] = ACTIONS(3485),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(2866),
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_include_token1] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_AMP_AMP] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_virtual] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___based] = ACTIONS(2864),
    [anon_sym___cdecl] = ACTIONS(2864),
    [anon_sym___clrcall] = ACTIONS(2864),
    [anon_sym___stdcall] = ACTIONS(2864),
    [anon_sym___fastcall] = ACTIONS(2864),
    [anon_sym___thiscall] = ACTIONS(2864),
    [anon_sym___vectorcall] = ACTIONS(2864),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_mutable] = ACTIONS(2864),
    [anon_sym_constinit] = ACTIONS(2864),
    [anon_sym_consteval] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_class] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_switch] = ACTIONS(2864),
    [anon_sym_case] = ACTIONS(2864),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_break] = ACTIONS(2864),
    [anon_sym_continue] = ACTIONS(2864),
    [anon_sym_goto] = ACTIONS(2864),
    [anon_sym_not] = ACTIONS(2864),
    [anon_sym_compl] = ACTIONS(2864),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_sizeof] = ACTIONS(2864),
    [anon_sym___alignof__] = ACTIONS(2864),
    [anon_sym___alignof] = ACTIONS(2864),
    [anon_sym__alignof] = ACTIONS(2864),
    [anon_sym_alignof] = ACTIONS(2864),
    [anon_sym__Alignof] = ACTIONS(2864),
    [anon_sym_offsetof] = ACTIONS(2864),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2864),
    [anon_sym___asm__] = ACTIONS(2864),
    [anon_sym___asm] = ACTIONS(2864),
    [sym_number_literal] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2866),
    [anon_sym_u_SQUOTE] = ACTIONS(2866),
    [anon_sym_U_SQUOTE] = ACTIONS(2866),
    [anon_sym_u8_SQUOTE] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_L_DQUOTE] = ACTIONS(2866),
    [anon_sym_u_DQUOTE] = ACTIONS(2866),
    [anon_sym_U_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8_DQUOTE] = ACTIONS(2866),
    [anon_sym_DQUOTE] = ACTIONS(2866),
    [sym_true] = ACTIONS(2864),
    [sym_false] = ACTIONS(2864),
    [anon_sym_NULL] = ACTIONS(2864),
    [anon_sym_nullptr] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2864),
    [anon_sym_decltype] = ACTIONS(2864),
    [anon_sym_explicit] = ACTIONS(2864),
    [anon_sym_typename] = ACTIONS(2864),
    [anon_sym_template] = ACTIONS(2864),
    [anon_sym_operator] = ACTIONS(2864),
    [anon_sym_try] = ACTIONS(2864),
    [anon_sym_delete] = ACTIONS(2864),
    [anon_sym_throw] = ACTIONS(2864),
    [anon_sym_namespace] = ACTIONS(2864),
    [anon_sym_using] = ACTIONS(2864),
    [anon_sym_static_assert] = ACTIONS(2864),
    [anon_sym_concept] = ACTIONS(2864),
    [anon_sym_co_return] = ACTIONS(2864),
    [anon_sym_co_yield] = ACTIONS(2864),
    [anon_sym_R_DQUOTE] = ACTIONS(2866),
    [anon_sym_LR_DQUOTE] = ACTIONS(2866),
    [anon_sym_uR_DQUOTE] = ACTIONS(2866),
    [anon_sym_UR_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2866),
    [anon_sym_co_await] = ACTIONS(2864),
    [anon_sym_new] = ACTIONS(2864),
    [anon_sym_requires] = ACTIONS(2864),
    [sym_this] = ACTIONS(2864),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2922),
    [sym_identifier] = ACTIONS(2920),
    [aux_sym_preproc_include_token1] = ACTIONS(2920),
    [aux_sym_preproc_def_token1] = ACTIONS(2920),
    [aux_sym_preproc_if_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2920),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2920),
    [sym_preproc_directive] = ACTIONS(2920),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(2920),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2920),
    [anon_sym___extension__] = ACTIONS(2920),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_virtual] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2920),
    [anon_sym___attribute__] = ACTIONS(2920),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2920),
    [anon_sym___based] = ACTIONS(2920),
    [anon_sym___cdecl] = ACTIONS(2920),
    [anon_sym___clrcall] = ACTIONS(2920),
    [anon_sym___stdcall] = ACTIONS(2920),
    [anon_sym___fastcall] = ACTIONS(2920),
    [anon_sym___thiscall] = ACTIONS(2920),
    [anon_sym___vectorcall] = ACTIONS(2920),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2920),
    [anon_sym_unsigned] = ACTIONS(2920),
    [anon_sym_long] = ACTIONS(2920),
    [anon_sym_short] = ACTIONS(2920),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2920),
    [anon_sym_register] = ACTIONS(2920),
    [anon_sym_inline] = ACTIONS(2920),
    [anon_sym___inline] = ACTIONS(2920),
    [anon_sym___inline__] = ACTIONS(2920),
    [anon_sym___forceinline] = ACTIONS(2920),
    [anon_sym_thread_local] = ACTIONS(2920),
    [anon_sym___thread] = ACTIONS(2920),
    [anon_sym_const] = ACTIONS(2920),
    [anon_sym_constexpr] = ACTIONS(2920),
    [anon_sym_volatile] = ACTIONS(2920),
    [anon_sym_restrict] = ACTIONS(2920),
    [anon_sym___restrict__] = ACTIONS(2920),
    [anon_sym__Atomic] = ACTIONS(2920),
    [anon_sym__Noreturn] = ACTIONS(2920),
    [anon_sym_noreturn] = ACTIONS(2920),
    [anon_sym__Nonnull] = ACTIONS(2920),
    [anon_sym_mutable] = ACTIONS(2920),
    [anon_sym_constinit] = ACTIONS(2920),
    [anon_sym_consteval] = ACTIONS(2920),
    [anon_sym_alignas] = ACTIONS(2920),
    [anon_sym__Alignas] = ACTIONS(2920),
    [sym_primitive_type] = ACTIONS(2920),
    [anon_sym_enum] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2920),
    [anon_sym_struct] = ACTIONS(2920),
    [anon_sym_union] = ACTIONS(2920),
    [anon_sym_if] = ACTIONS(2920),
    [anon_sym_switch] = ACTIONS(2920),
    [anon_sym_case] = ACTIONS(2920),
    [anon_sym_default] = ACTIONS(2920),
    [anon_sym_while] = ACTIONS(2920),
    [anon_sym_do] = ACTIONS(2920),
    [anon_sym_for] = ACTIONS(2920),
    [anon_sym_return] = ACTIONS(2920),
    [anon_sym_break] = ACTIONS(2920),
    [anon_sym_continue] = ACTIONS(2920),
    [anon_sym_goto] = ACTIONS(2920),
    [anon_sym_not] = ACTIONS(2920),
    [anon_sym_compl] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2920),
    [anon_sym___alignof__] = ACTIONS(2920),
    [anon_sym___alignof] = ACTIONS(2920),
    [anon_sym__alignof] = ACTIONS(2920),
    [anon_sym_alignof] = ACTIONS(2920),
    [anon_sym__Alignof] = ACTIONS(2920),
    [anon_sym_offsetof] = ACTIONS(2920),
    [anon_sym__Generic] = ACTIONS(2920),
    [anon_sym_asm] = ACTIONS(2920),
    [anon_sym___asm__] = ACTIONS(2920),
    [anon_sym___asm] = ACTIONS(2920),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2920),
    [sym_false] = ACTIONS(2920),
    [anon_sym_NULL] = ACTIONS(2920),
    [anon_sym_nullptr] = ACTIONS(2920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2920),
    [anon_sym_decltype] = ACTIONS(2920),
    [anon_sym_explicit] = ACTIONS(2920),
    [anon_sym_typename] = ACTIONS(2920),
    [anon_sym_template] = ACTIONS(2920),
    [anon_sym_operator] = ACTIONS(2920),
    [anon_sym_try] = ACTIONS(2920),
    [anon_sym_delete] = ACTIONS(2920),
    [anon_sym_throw] = ACTIONS(2920),
    [anon_sym_namespace] = ACTIONS(2920),
    [anon_sym_using] = ACTIONS(2920),
    [anon_sym_static_assert] = ACTIONS(2920),
    [anon_sym_concept] = ACTIONS(2920),
    [anon_sym_co_return] = ACTIONS(2920),
    [anon_sym_co_yield] = ACTIONS(2920),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2920),
    [anon_sym_new] = ACTIONS(2920),
    [anon_sym_requires] = ACTIONS(2920),
    [sym_this] = ACTIONS(2920),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(3113),
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym__Nonnull] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym__Alignas] = ACTIONS(3111),
    [sym_primitive_type] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [anon_sym___asm] = ACTIONS(3111),
    [sym_number_literal] = ACTIONS(3113),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(3153),
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(3153),
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_include_token1] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(3151),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym___cdecl] = ACTIONS(3151),
    [anon_sym___clrcall] = ACTIONS(3151),
    [anon_sym___stdcall] = ACTIONS(3151),
    [anon_sym___fastcall] = ACTIONS(3151),
    [anon_sym___thiscall] = ACTIONS(3151),
    [anon_sym___vectorcall] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [anon_sym_if] = ACTIONS(3151),
    [anon_sym_switch] = ACTIONS(3151),
    [anon_sym_case] = ACTIONS(3151),
    [anon_sym_default] = ACTIONS(3151),
    [anon_sym_while] = ACTIONS(3151),
    [anon_sym_do] = ACTIONS(3151),
    [anon_sym_for] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3151),
    [anon_sym_break] = ACTIONS(3151),
    [anon_sym_continue] = ACTIONS(3151),
    [anon_sym_goto] = ACTIONS(3151),
    [anon_sym_not] = ACTIONS(3151),
    [anon_sym_compl] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3153),
    [anon_sym_PLUS_PLUS] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3151),
    [anon_sym___alignof__] = ACTIONS(3151),
    [anon_sym___alignof] = ACTIONS(3151),
    [anon_sym__alignof] = ACTIONS(3151),
    [anon_sym_alignof] = ACTIONS(3151),
    [anon_sym__Alignof] = ACTIONS(3151),
    [anon_sym_offsetof] = ACTIONS(3151),
    [anon_sym__Generic] = ACTIONS(3151),
    [anon_sym_asm] = ACTIONS(3151),
    [anon_sym___asm__] = ACTIONS(3151),
    [anon_sym___asm] = ACTIONS(3151),
    [sym_number_literal] = ACTIONS(3153),
    [anon_sym_L_SQUOTE] = ACTIONS(3153),
    [anon_sym_u_SQUOTE] = ACTIONS(3153),
    [anon_sym_U_SQUOTE] = ACTIONS(3153),
    [anon_sym_u8_SQUOTE] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3153),
    [anon_sym_L_DQUOTE] = ACTIONS(3153),
    [anon_sym_u_DQUOTE] = ACTIONS(3153),
    [anon_sym_U_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8_DQUOTE] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3153),
    [sym_true] = ACTIONS(3151),
    [sym_false] = ACTIONS(3151),
    [anon_sym_NULL] = ACTIONS(3151),
    [anon_sym_nullptr] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_try] = ACTIONS(3151),
    [anon_sym_delete] = ACTIONS(3151),
    [anon_sym_throw] = ACTIONS(3151),
    [anon_sym_namespace] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
    [anon_sym_concept] = ACTIONS(3151),
    [anon_sym_co_return] = ACTIONS(3151),
    [anon_sym_co_yield] = ACTIONS(3151),
    [anon_sym_R_DQUOTE] = ACTIONS(3153),
    [anon_sym_LR_DQUOTE] = ACTIONS(3153),
    [anon_sym_uR_DQUOTE] = ACTIONS(3153),
    [anon_sym_UR_DQUOTE] = ACTIONS(3153),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3153),
    [anon_sym_co_await] = ACTIONS(3151),
    [anon_sym_new] = ACTIONS(3151),
    [anon_sym_requires] = ACTIONS(3151),
    [sym_this] = ACTIONS(3151),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(2918),
    [sym_identifier] = ACTIONS(2916),
    [aux_sym_preproc_include_token1] = ACTIONS(2916),
    [aux_sym_preproc_def_token1] = ACTIONS(2916),
    [aux_sym_preproc_if_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2916),
    [sym_preproc_directive] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2916),
    [anon_sym_PLUS] = ACTIONS(2916),
    [anon_sym_STAR] = ACTIONS(2918),
    [anon_sym_AMP_AMP] = ACTIONS(2918),
    [anon_sym_AMP] = ACTIONS(2916),
    [anon_sym___extension__] = ACTIONS(2916),
    [anon_sym_typedef] = ACTIONS(2916),
    [anon_sym_virtual] = ACTIONS(2916),
    [anon_sym_extern] = ACTIONS(2916),
    [anon_sym___attribute__] = ACTIONS(2916),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2918),
    [anon_sym___declspec] = ACTIONS(2916),
    [anon_sym___based] = ACTIONS(2916),
    [anon_sym___cdecl] = ACTIONS(2916),
    [anon_sym___clrcall] = ACTIONS(2916),
    [anon_sym___stdcall] = ACTIONS(2916),
    [anon_sym___fastcall] = ACTIONS(2916),
    [anon_sym___thiscall] = ACTIONS(2916),
    [anon_sym___vectorcall] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(2918),
    [anon_sym_signed] = ACTIONS(2916),
    [anon_sym_unsigned] = ACTIONS(2916),
    [anon_sym_long] = ACTIONS(2916),
    [anon_sym_short] = ACTIONS(2916),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2916),
    [anon_sym_register] = ACTIONS(2916),
    [anon_sym_inline] = ACTIONS(2916),
    [anon_sym___inline] = ACTIONS(2916),
    [anon_sym___inline__] = ACTIONS(2916),
    [anon_sym___forceinline] = ACTIONS(2916),
    [anon_sym_thread_local] = ACTIONS(2916),
    [anon_sym___thread] = ACTIONS(2916),
    [anon_sym_const] = ACTIONS(2916),
    [anon_sym_constexpr] = ACTIONS(2916),
    [anon_sym_volatile] = ACTIONS(2916),
    [anon_sym_restrict] = ACTIONS(2916),
    [anon_sym___restrict__] = ACTIONS(2916),
    [anon_sym__Atomic] = ACTIONS(2916),
    [anon_sym__Noreturn] = ACTIONS(2916),
    [anon_sym_noreturn] = ACTIONS(2916),
    [anon_sym__Nonnull] = ACTIONS(2916),
    [anon_sym_mutable] = ACTIONS(2916),
    [anon_sym_constinit] = ACTIONS(2916),
    [anon_sym_consteval] = ACTIONS(2916),
    [anon_sym_alignas] = ACTIONS(2916),
    [anon_sym__Alignas] = ACTIONS(2916),
    [sym_primitive_type] = ACTIONS(2916),
    [anon_sym_enum] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2916),
    [anon_sym_struct] = ACTIONS(2916),
    [anon_sym_union] = ACTIONS(2916),
    [anon_sym_if] = ACTIONS(2916),
    [anon_sym_switch] = ACTIONS(2916),
    [anon_sym_case] = ACTIONS(2916),
    [anon_sym_default] = ACTIONS(2916),
    [anon_sym_while] = ACTIONS(2916),
    [anon_sym_do] = ACTIONS(2916),
    [anon_sym_for] = ACTIONS(2916),
    [anon_sym_return] = ACTIONS(2916),
    [anon_sym_break] = ACTIONS(2916),
    [anon_sym_continue] = ACTIONS(2916),
    [anon_sym_goto] = ACTIONS(2916),
    [anon_sym_not] = ACTIONS(2916),
    [anon_sym_compl] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2918),
    [anon_sym_sizeof] = ACTIONS(2916),
    [anon_sym___alignof__] = ACTIONS(2916),
    [anon_sym___alignof] = ACTIONS(2916),
    [anon_sym__alignof] = ACTIONS(2916),
    [anon_sym_alignof] = ACTIONS(2916),
    [anon_sym__Alignof] = ACTIONS(2916),
    [anon_sym_offsetof] = ACTIONS(2916),
    [anon_sym__Generic] = ACTIONS(2916),
    [anon_sym_asm] = ACTIONS(2916),
    [anon_sym___asm__] = ACTIONS(2916),
    [anon_sym___asm] = ACTIONS(2916),
    [sym_number_literal] = ACTIONS(2918),
    [anon_sym_L_SQUOTE] = ACTIONS(2918),
    [anon_sym_u_SQUOTE] = ACTIONS(2918),
    [anon_sym_U_SQUOTE] = ACTIONS(2918),
    [anon_sym_u8_SQUOTE] = ACTIONS(2918),
    [anon_sym_SQUOTE] = ACTIONS(2918),
    [anon_sym_L_DQUOTE] = ACTIONS(2918),
    [anon_sym_u_DQUOTE] = ACTIONS(2918),
    [anon_sym_U_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8_DQUOTE] = ACTIONS(2918),
    [anon_sym_DQUOTE] = ACTIONS(2918),
    [sym_true] = ACTIONS(2916),
    [sym_false] = ACTIONS(2916),
    [anon_sym_NULL] = ACTIONS(2916),
    [anon_sym_nullptr] = ACTIONS(2916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2916),
    [anon_sym_decltype] = ACTIONS(2916),
    [anon_sym_explicit] = ACTIONS(2916),
    [anon_sym_typename] = ACTIONS(2916),
    [anon_sym_template] = ACTIONS(2916),
    [anon_sym_operator] = ACTIONS(2916),
    [anon_sym_try] = ACTIONS(2916),
    [anon_sym_delete] = ACTIONS(2916),
    [anon_sym_throw] = ACTIONS(2916),
    [anon_sym_namespace] = ACTIONS(2916),
    [anon_sym_using] = ACTIONS(2916),
    [anon_sym_static_assert] = ACTIONS(2916),
    [anon_sym_concept] = ACTIONS(2916),
    [anon_sym_co_return] = ACTIONS(2916),
    [anon_sym_co_yield] = ACTIONS(2916),
    [anon_sym_R_DQUOTE] = ACTIONS(2918),
    [anon_sym_LR_DQUOTE] = ACTIONS(2918),
    [anon_sym_uR_DQUOTE] = ACTIONS(2918),
    [anon_sym_UR_DQUOTE] = ACTIONS(2918),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2918),
    [anon_sym_co_await] = ACTIONS(2916),
    [anon_sym_new] = ACTIONS(2916),
    [anon_sym_requires] = ACTIONS(2916),
    [sym_this] = ACTIONS(2916),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2870),
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_virtual] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym_not] = ACTIONS(2868),
    [anon_sym_compl] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [anon_sym___asm] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_delete] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
    [anon_sym_concept] = ACTIONS(2868),
    [anon_sym_co_return] = ACTIONS(2868),
    [anon_sym_co_yield] = ACTIONS(2868),
    [anon_sym_R_DQUOTE] = ACTIONS(2870),
    [anon_sym_LR_DQUOTE] = ACTIONS(2870),
    [anon_sym_uR_DQUOTE] = ACTIONS(2870),
    [anon_sym_UR_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2870),
    [anon_sym_co_await] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_requires] = ACTIONS(2868),
    [sym_this] = ACTIONS(2868),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(3032),
    [sym_identifier] = ACTIONS(3030),
    [aux_sym_preproc_include_token1] = ACTIONS(3030),
    [aux_sym_preproc_def_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token1] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3030),
    [sym_preproc_directive] = ACTIONS(3030),
    [anon_sym_LPAREN2] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3030),
    [anon_sym_PLUS] = ACTIONS(3030),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym___extension__] = ACTIONS(3030),
    [anon_sym_typedef] = ACTIONS(3030),
    [anon_sym_virtual] = ACTIONS(3030),
    [anon_sym_extern] = ACTIONS(3030),
    [anon_sym___attribute__] = ACTIONS(3030),
    [anon_sym_COLON_COLON] = ACTIONS(3032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3032),
    [anon_sym___declspec] = ACTIONS(3030),
    [anon_sym___based] = ACTIONS(3030),
    [anon_sym___cdecl] = ACTIONS(3030),
    [anon_sym___clrcall] = ACTIONS(3030),
    [anon_sym___stdcall] = ACTIONS(3030),
    [anon_sym___fastcall] = ACTIONS(3030),
    [anon_sym___thiscall] = ACTIONS(3030),
    [anon_sym___vectorcall] = ACTIONS(3030),
    [anon_sym_LBRACE] = ACTIONS(3032),
    [anon_sym_signed] = ACTIONS(3030),
    [anon_sym_unsigned] = ACTIONS(3030),
    [anon_sym_long] = ACTIONS(3030),
    [anon_sym_short] = ACTIONS(3030),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [anon_sym_static] = ACTIONS(3030),
    [anon_sym_register] = ACTIONS(3030),
    [anon_sym_inline] = ACTIONS(3030),
    [anon_sym___inline] = ACTIONS(3030),
    [anon_sym___inline__] = ACTIONS(3030),
    [anon_sym___forceinline] = ACTIONS(3030),
    [anon_sym_thread_local] = ACTIONS(3030),
    [anon_sym___thread] = ACTIONS(3030),
    [anon_sym_const] = ACTIONS(3030),
    [anon_sym_constexpr] = ACTIONS(3030),
    [anon_sym_volatile] = ACTIONS(3030),
    [anon_sym_restrict] = ACTIONS(3030),
    [anon_sym___restrict__] = ACTIONS(3030),
    [anon_sym__Atomic] = ACTIONS(3030),
    [anon_sym__Noreturn] = ACTIONS(3030),
    [anon_sym_noreturn] = ACTIONS(3030),
    [anon_sym__Nonnull] = ACTIONS(3030),
    [anon_sym_mutable] = ACTIONS(3030),
    [anon_sym_constinit] = ACTIONS(3030),
    [anon_sym_consteval] = ACTIONS(3030),
    [anon_sym_alignas] = ACTIONS(3030),
    [anon_sym__Alignas] = ACTIONS(3030),
    [sym_primitive_type] = ACTIONS(3030),
    [anon_sym_enum] = ACTIONS(3030),
    [anon_sym_class] = ACTIONS(3030),
    [anon_sym_struct] = ACTIONS(3030),
    [anon_sym_union] = ACTIONS(3030),
    [anon_sym_if] = ACTIONS(3030),
    [anon_sym_switch] = ACTIONS(3030),
    [anon_sym_case] = ACTIONS(3030),
    [anon_sym_default] = ACTIONS(3030),
    [anon_sym_while] = ACTIONS(3030),
    [anon_sym_do] = ACTIONS(3030),
    [anon_sym_for] = ACTIONS(3030),
    [anon_sym_return] = ACTIONS(3030),
    [anon_sym_break] = ACTIONS(3030),
    [anon_sym_continue] = ACTIONS(3030),
    [anon_sym_goto] = ACTIONS(3030),
    [anon_sym_not] = ACTIONS(3030),
    [anon_sym_compl] = ACTIONS(3030),
    [anon_sym_DASH_DASH] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(3032),
    [anon_sym_sizeof] = ACTIONS(3030),
    [anon_sym___alignof__] = ACTIONS(3030),
    [anon_sym___alignof] = ACTIONS(3030),
    [anon_sym__alignof] = ACTIONS(3030),
    [anon_sym_alignof] = ACTIONS(3030),
    [anon_sym__Alignof] = ACTIONS(3030),
    [anon_sym_offsetof] = ACTIONS(3030),
    [anon_sym__Generic] = ACTIONS(3030),
    [anon_sym_asm] = ACTIONS(3030),
    [anon_sym___asm__] = ACTIONS(3030),
    [anon_sym___asm] = ACTIONS(3030),
    [sym_number_literal] = ACTIONS(3032),
    [anon_sym_L_SQUOTE] = ACTIONS(3032),
    [anon_sym_u_SQUOTE] = ACTIONS(3032),
    [anon_sym_U_SQUOTE] = ACTIONS(3032),
    [anon_sym_u8_SQUOTE] = ACTIONS(3032),
    [anon_sym_SQUOTE] = ACTIONS(3032),
    [anon_sym_L_DQUOTE] = ACTIONS(3032),
    [anon_sym_u_DQUOTE] = ACTIONS(3032),
    [anon_sym_U_DQUOTE] = ACTIONS(3032),
    [anon_sym_u8_DQUOTE] = ACTIONS(3032),
    [anon_sym_DQUOTE] = ACTIONS(3032),
    [sym_true] = ACTIONS(3030),
    [sym_false] = ACTIONS(3030),
    [anon_sym_NULL] = ACTIONS(3030),
    [anon_sym_nullptr] = ACTIONS(3030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3030),
    [anon_sym_decltype] = ACTIONS(3030),
    [anon_sym_explicit] = ACTIONS(3030),
    [anon_sym_typename] = ACTIONS(3030),
    [anon_sym_template] = ACTIONS(3030),
    [anon_sym_operator] = ACTIONS(3030),
    [anon_sym_try] = ACTIONS(3030),
    [anon_sym_delete] = ACTIONS(3030),
    [anon_sym_throw] = ACTIONS(3030),
    [anon_sym_namespace] = ACTIONS(3030),
    [anon_sym_using] = ACTIONS(3030),
    [anon_sym_static_assert] = ACTIONS(3030),
    [anon_sym_concept] = ACTIONS(3030),
    [anon_sym_co_return] = ACTIONS(3030),
    [anon_sym_co_yield] = ACTIONS(3030),
    [anon_sym_R_DQUOTE] = ACTIONS(3032),
    [anon_sym_LR_DQUOTE] = ACTIONS(3032),
    [anon_sym_uR_DQUOTE] = ACTIONS(3032),
    [anon_sym_UR_DQUOTE] = ACTIONS(3032),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3032),
    [anon_sym_co_await] = ACTIONS(3030),
    [anon_sym_new] = ACTIONS(3030),
    [anon_sym_requires] = ACTIONS(3030),
    [sym_this] = ACTIONS(3030),
  },
  [752] = {
    [sym_preproc_def] = STATE(770),
    [sym_preproc_function_def] = STATE(770),
    [sym_preproc_call] = STATE(770),
    [sym_preproc_if_in_field_declaration_list] = STATE(770),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(770),
    [sym_type_definition] = STATE(770),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(770),
    [sym_field_declaration] = STATE(770),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(770),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(770),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(770),
    [sym_operator_cast_declaration] = STATE(770),
    [sym_constructor_or_destructor_definition] = STATE(770),
    [sym_constructor_or_destructor_declaration] = STATE(770),
    [sym_friend_declaration] = STATE(770),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(770),
    [sym_alias_declaration] = STATE(770),
    [sym_static_assert_declaration] = STATE(770),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(770),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3495),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3501),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [753] = {
    [sym_expression] = STATE(3664),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(3515),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym___attribute__] = ACTIONS(1902),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [754] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3539),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [755] = {
    [sym_preproc_def] = STATE(767),
    [sym_preproc_function_def] = STATE(767),
    [sym_preproc_call] = STATE(767),
    [sym_preproc_if_in_field_declaration_list] = STATE(767),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(767),
    [sym_type_definition] = STATE(767),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(767),
    [sym_field_declaration] = STATE(767),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(767),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(767),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(767),
    [sym_operator_cast_declaration] = STATE(767),
    [sym_constructor_or_destructor_definition] = STATE(767),
    [sym_constructor_or_destructor_declaration] = STATE(767),
    [sym_friend_declaration] = STATE(767),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(767),
    [sym_alias_declaration] = STATE(767),
    [sym_static_assert_declaration] = STATE(767),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(767),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3541),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3543),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [756] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3545),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [757] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3547),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [758] = {
    [sym_preproc_def] = STATE(775),
    [sym_preproc_function_def] = STATE(775),
    [sym_preproc_call] = STATE(775),
    [sym_preproc_if_in_field_declaration_list] = STATE(775),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(775),
    [sym_type_definition] = STATE(775),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(775),
    [sym_field_declaration] = STATE(775),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(775),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(775),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(775),
    [sym_operator_cast_declaration] = STATE(775),
    [sym_constructor_or_destructor_definition] = STATE(775),
    [sym_constructor_or_destructor_declaration] = STATE(775),
    [sym_friend_declaration] = STATE(775),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(775),
    [sym_alias_declaration] = STATE(775),
    [sym_static_assert_declaration] = STATE(775),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(775),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3549),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3551),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [759] = {
    [sym_preproc_def] = STATE(756),
    [sym_preproc_function_def] = STATE(756),
    [sym_preproc_call] = STATE(756),
    [sym_preproc_if_in_field_declaration_list] = STATE(756),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(756),
    [sym_type_definition] = STATE(756),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(756),
    [sym_field_declaration] = STATE(756),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(756),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(756),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(756),
    [sym_operator_cast_declaration] = STATE(756),
    [sym_constructor_or_destructor_definition] = STATE(756),
    [sym_constructor_or_destructor_declaration] = STATE(756),
    [sym_friend_declaration] = STATE(756),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(756),
    [sym_alias_declaration] = STATE(756),
    [sym_static_assert_declaration] = STATE(756),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3553),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3555),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [760] = {
    [sym_preproc_def] = STATE(754),
    [sym_preproc_function_def] = STATE(754),
    [sym_preproc_call] = STATE(754),
    [sym_preproc_if_in_field_declaration_list] = STATE(754),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(754),
    [sym_type_definition] = STATE(754),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(754),
    [sym_field_declaration] = STATE(754),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(754),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(754),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(754),
    [sym_operator_cast_declaration] = STATE(754),
    [sym_constructor_or_destructor_definition] = STATE(754),
    [sym_constructor_or_destructor_declaration] = STATE(754),
    [sym_friend_declaration] = STATE(754),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(754),
    [sym_alias_declaration] = STATE(754),
    [sym_static_assert_declaration] = STATE(754),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(754),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3559),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [761] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3561),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [762] = {
    [sym_preproc_def] = STATE(769),
    [sym_preproc_function_def] = STATE(769),
    [sym_preproc_call] = STATE(769),
    [sym_preproc_if_in_field_declaration_list] = STATE(769),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(769),
    [sym_type_definition] = STATE(769),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(769),
    [sym_field_declaration] = STATE(769),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(769),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(769),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(769),
    [sym_operator_cast_declaration] = STATE(769),
    [sym_constructor_or_destructor_definition] = STATE(769),
    [sym_constructor_or_destructor_declaration] = STATE(769),
    [sym_friend_declaration] = STATE(769),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(769),
    [sym_alias_declaration] = STATE(769),
    [sym_static_assert_declaration] = STATE(769),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(769),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3563),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3565),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [763] = {
    [sym_preproc_def] = STATE(764),
    [sym_preproc_function_def] = STATE(764),
    [sym_preproc_call] = STATE(764),
    [sym_preproc_if_in_field_declaration_list] = STATE(764),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(764),
    [sym_type_definition] = STATE(764),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(764),
    [sym_field_declaration] = STATE(764),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(764),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(764),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(764),
    [sym_operator_cast_declaration] = STATE(764),
    [sym_constructor_or_destructor_definition] = STATE(764),
    [sym_constructor_or_destructor_declaration] = STATE(764),
    [sym_friend_declaration] = STATE(764),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(764),
    [sym_alias_declaration] = STATE(764),
    [sym_static_assert_declaration] = STATE(764),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(764),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3567),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3569),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [764] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3571),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [765] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3573),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [766] = {
    [sym_preproc_def] = STATE(772),
    [sym_preproc_function_def] = STATE(772),
    [sym_preproc_call] = STATE(772),
    [sym_preproc_if_in_field_declaration_list] = STATE(772),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(772),
    [sym_type_definition] = STATE(772),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5422),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5887),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(772),
    [sym_field_declaration] = STATE(772),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(772),
    [sym_operator_cast] = STATE(6323),
    [sym_inline_method_definition] = STATE(772),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(772),
    [sym_operator_cast_declaration] = STATE(772),
    [sym_constructor_or_destructor_definition] = STATE(772),
    [sym_constructor_or_destructor_declaration] = STATE(772),
    [sym_friend_declaration] = STATE(772),
    [sym_access_specifier] = STATE(7753),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(772),
    [sym_alias_declaration] = STATE(772),
    [sym_static_assert_declaration] = STATE(772),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6323),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(772),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3575),
    [aux_sym_preproc_if_token1] = ACTIONS(3577),
    [aux_sym_preproc_if_token2] = ACTIONS(3579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3581),
    [sym_preproc_directive] = ACTIONS(3583),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3585),
    [anon_sym___extension__] = ACTIONS(3587),
    [anon_sym_typedef] = ACTIONS(3589),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3591),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3593),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3595),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3597),
    [anon_sym_static_assert] = ACTIONS(3599),
  },
  [767] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3601),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [768] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3603),
    [aux_sym_preproc_if_token1] = ACTIONS(3606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3609),
    [sym_preproc_directive] = ACTIONS(3612),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3348),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3615),
    [anon_sym___extension__] = ACTIONS(3618),
    [anon_sym_typedef] = ACTIONS(3621),
    [anon_sym_virtual] = ACTIONS(3366),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3372),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3378),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3384),
    [anon_sym_RBRACE] = ACTIONS(3624),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3626),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym__Nonnull] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3399),
    [anon_sym__Alignas] = ACTIONS(3399),
    [sym_primitive_type] = ACTIONS(3402),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3408),
    [anon_sym_struct] = ACTIONS(3411),
    [anon_sym_union] = ACTIONS(3414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3420),
    [anon_sym_explicit] = ACTIONS(3423),
    [anon_sym_typename] = ACTIONS(3426),
    [anon_sym_template] = ACTIONS(3629),
    [anon_sym_operator] = ACTIONS(3432),
    [anon_sym_friend] = ACTIONS(3632),
    [anon_sym_public] = ACTIONS(3438),
    [anon_sym_private] = ACTIONS(3438),
    [anon_sym_protected] = ACTIONS(3438),
    [anon_sym_using] = ACTIONS(3635),
    [anon_sym_static_assert] = ACTIONS(3638),
  },
  [769] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3641),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [770] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3643),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [771] = {
    [sym_preproc_def] = STATE(761),
    [sym_preproc_function_def] = STATE(761),
    [sym_preproc_call] = STATE(761),
    [sym_preproc_if_in_field_declaration_list] = STATE(761),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(761),
    [sym_type_definition] = STATE(761),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(761),
    [sym_field_declaration] = STATE(761),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(761),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(761),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(761),
    [sym_operator_cast_declaration] = STATE(761),
    [sym_constructor_or_destructor_definition] = STATE(761),
    [sym_constructor_or_destructor_declaration] = STATE(761),
    [sym_friend_declaration] = STATE(761),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(761),
    [sym_alias_declaration] = STATE(761),
    [sym_static_assert_declaration] = STATE(761),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(761),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3645),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3647),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [772] = {
    [sym_preproc_def] = STATE(772),
    [sym_preproc_function_def] = STATE(772),
    [sym_preproc_call] = STATE(772),
    [sym_preproc_if_in_field_declaration_list] = STATE(772),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(772),
    [sym_type_definition] = STATE(772),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5422),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5887),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(772),
    [sym_field_declaration] = STATE(772),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(772),
    [sym_operator_cast] = STATE(6323),
    [sym_inline_method_definition] = STATE(772),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(772),
    [sym_operator_cast_declaration] = STATE(772),
    [sym_constructor_or_destructor_definition] = STATE(772),
    [sym_constructor_or_destructor_declaration] = STATE(772),
    [sym_friend_declaration] = STATE(772),
    [sym_access_specifier] = STATE(7753),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(772),
    [sym_alias_declaration] = STATE(772),
    [sym_static_assert_declaration] = STATE(772),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6323),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(772),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3649),
    [aux_sym_preproc_if_token1] = ACTIONS(3652),
    [aux_sym_preproc_if_token2] = ACTIONS(3334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3655),
    [sym_preproc_directive] = ACTIONS(3658),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3348),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(3661),
    [anon_sym___extension__] = ACTIONS(3664),
    [anon_sym_typedef] = ACTIONS(3667),
    [anon_sym_virtual] = ACTIONS(3366),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym___attribute__] = ACTIONS(3372),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3378),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3384),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3390),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_register] = ACTIONS(3369),
    [anon_sym_inline] = ACTIONS(3369),
    [anon_sym___inline] = ACTIONS(3369),
    [anon_sym___inline__] = ACTIONS(3369),
    [anon_sym___forceinline] = ACTIONS(3369),
    [anon_sym_thread_local] = ACTIONS(3369),
    [anon_sym___thread] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3670),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym__Nonnull] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3399),
    [anon_sym__Alignas] = ACTIONS(3399),
    [sym_primitive_type] = ACTIONS(3402),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3408),
    [anon_sym_struct] = ACTIONS(3411),
    [anon_sym_union] = ACTIONS(3414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3417),
    [anon_sym_decltype] = ACTIONS(3420),
    [anon_sym_explicit] = ACTIONS(3423),
    [anon_sym_typename] = ACTIONS(3426),
    [anon_sym_template] = ACTIONS(3673),
    [anon_sym_operator] = ACTIONS(3432),
    [anon_sym_friend] = ACTIONS(3676),
    [anon_sym_public] = ACTIONS(3438),
    [anon_sym_private] = ACTIONS(3438),
    [anon_sym_protected] = ACTIONS(3438),
    [anon_sym_using] = ACTIONS(3679),
    [anon_sym_static_assert] = ACTIONS(3682),
  },
  [773] = {
    [sym_preproc_def] = STATE(766),
    [sym_preproc_function_def] = STATE(766),
    [sym_preproc_call] = STATE(766),
    [sym_preproc_if_in_field_declaration_list] = STATE(766),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(766),
    [sym_type_definition] = STATE(766),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5422),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5887),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(766),
    [sym_field_declaration] = STATE(766),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(766),
    [sym_operator_cast] = STATE(6323),
    [sym_inline_method_definition] = STATE(766),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(766),
    [sym_operator_cast_declaration] = STATE(766),
    [sym_constructor_or_destructor_definition] = STATE(766),
    [sym_constructor_or_destructor_declaration] = STATE(766),
    [sym_friend_declaration] = STATE(766),
    [sym_access_specifier] = STATE(7753),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(766),
    [sym_alias_declaration] = STATE(766),
    [sym_static_assert_declaration] = STATE(766),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6323),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(766),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3575),
    [aux_sym_preproc_if_token1] = ACTIONS(3577),
    [aux_sym_preproc_if_token2] = ACTIONS(3685),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3581),
    [sym_preproc_directive] = ACTIONS(3583),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3687),
    [anon_sym___extension__] = ACTIONS(3587),
    [anon_sym_typedef] = ACTIONS(3589),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3591),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3593),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3595),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3597),
    [anon_sym_static_assert] = ACTIONS(3599),
  },
  [774] = {
    [sym_preproc_def] = STATE(765),
    [sym_preproc_function_def] = STATE(765),
    [sym_preproc_call] = STATE(765),
    [sym_preproc_if_in_field_declaration_list] = STATE(765),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(765),
    [sym_type_definition] = STATE(765),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(765),
    [sym_field_declaration] = STATE(765),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(765),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(765),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(765),
    [sym_operator_cast_declaration] = STATE(765),
    [sym_constructor_or_destructor_definition] = STATE(765),
    [sym_constructor_or_destructor_declaration] = STATE(765),
    [sym_friend_declaration] = STATE(765),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(765),
    [sym_alias_declaration] = STATE(765),
    [sym_static_assert_declaration] = STATE(765),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(765),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3689),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3691),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [775] = {
    [sym_preproc_def] = STATE(768),
    [sym_preproc_function_def] = STATE(768),
    [sym_preproc_call] = STATE(768),
    [sym_preproc_if_in_field_declaration_list] = STATE(768),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(768),
    [sym_type_definition] = STATE(768),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(768),
    [sym_field_declaration] = STATE(768),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(768),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(768),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(768),
    [sym_operator_cast_declaration] = STATE(768),
    [sym_constructor_or_destructor_definition] = STATE(768),
    [sym_constructor_or_destructor_declaration] = STATE(768),
    [sym_friend_declaration] = STATE(768),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(768),
    [sym_alias_declaration] = STATE(768),
    [sym_static_assert_declaration] = STATE(768),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(768),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3693),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [776] = {
    [sym_preproc_def] = STATE(757),
    [sym_preproc_function_def] = STATE(757),
    [sym_preproc_call] = STATE(757),
    [sym_preproc_if_in_field_declaration_list] = STATE(757),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(757),
    [sym_type_definition] = STATE(757),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(5441),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__field_declaration_list_item] = STATE(757),
    [sym_field_declaration] = STATE(757),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(757),
    [sym_operator_cast] = STATE(6361),
    [sym_inline_method_definition] = STATE(757),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(757),
    [sym_operator_cast_declaration] = STATE(757),
    [sym_constructor_or_destructor_definition] = STATE(757),
    [sym_constructor_or_destructor_declaration] = STATE(757),
    [sym_friend_declaration] = STATE(757),
    [sym_access_specifier] = STATE(7440),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_using_declaration] = STATE(757),
    [sym_alias_declaration] = STATE(757),
    [sym_static_assert_declaration] = STATE(757),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5155),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(757),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2087),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3191),
    [aux_sym_preproc_def_token1] = ACTIONS(3487),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3491),
    [sym_preproc_directive] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_SEMI] = ACTIONS(3695),
    [anon_sym___extension__] = ACTIONS(3497),
    [anon_sym_typedef] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_RBRACE] = ACTIONS(3697),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3245),
    [anon_sym_private] = ACTIONS(3245),
    [anon_sym_protected] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3509),
    [anon_sym_static_assert] = ACTIONS(3511),
  },
  [777] = {
    [sym_expression] = STATE(4332),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(3701),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(1902),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [778] = {
    [sym_expression] = STATE(3664),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(3719),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1904),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1904),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_RBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [779] = {
    [sym_expression] = STATE(4359),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_initializer_list] = STATE(4629),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(1904),
    [anon_sym_LPAREN2] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_SLASH] = ACTIONS(1902),
    [anon_sym_PERCENT] = ACTIONS(1904),
    [anon_sym_PIPE_PIPE] = ACTIONS(1904),
    [anon_sym_AMP_AMP] = ACTIONS(1904),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_CARET] = ACTIONS(1904),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_EQ_EQ] = ACTIONS(1904),
    [anon_sym_BANG_EQ] = ACTIONS(1904),
    [anon_sym_GT] = ACTIONS(1902),
    [anon_sym_GT_EQ] = ACTIONS(1902),
    [anon_sym_LT_EQ] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_GT_GT] = ACTIONS(1902),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_QMARK] = ACTIONS(1904),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(1904),
    [anon_sym_or] = ACTIONS(1902),
    [anon_sym_and] = ACTIONS(1902),
    [anon_sym_bitor] = ACTIONS(1902),
    [anon_sym_xor] = ACTIONS(1902),
    [anon_sym_bitand] = ACTIONS(1902),
    [anon_sym_not_eq] = ACTIONS(1902),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [anon_sym_DOT] = ACTIONS(1902),
    [anon_sym_DOT_STAR] = ACTIONS(1904),
    [anon_sym_DASH_GT] = ACTIONS(1904),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(1904),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [780] = {
    [sym_expression] = STATE(4433),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3741),
    [anon_sym_COMMA] = ACTIONS(3741),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3719),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(3745),
    [anon_sym_PERCENT] = ACTIONS(3741),
    [anon_sym_PIPE_PIPE] = ACTIONS(3741),
    [anon_sym_AMP_AMP] = ACTIONS(3741),
    [anon_sym_PIPE] = ACTIONS(3745),
    [anon_sym_CARET] = ACTIONS(3741),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_EQ_EQ] = ACTIONS(3741),
    [anon_sym_BANG_EQ] = ACTIONS(3741),
    [anon_sym_GT] = ACTIONS(3745),
    [anon_sym_GT_EQ] = ACTIONS(3741),
    [anon_sym_LT_EQ] = ACTIONS(3745),
    [anon_sym_LT] = ACTIONS(3745),
    [anon_sym_LT_LT] = ACTIONS(3741),
    [anon_sym_GT_GT] = ACTIONS(3741),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(3741),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_QMARK] = ACTIONS(3741),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3741),
    [anon_sym_or] = ACTIONS(3745),
    [anon_sym_and] = ACTIONS(3745),
    [anon_sym_bitor] = ACTIONS(3745),
    [anon_sym_xor] = ACTIONS(3745),
    [anon_sym_bitand] = ACTIONS(3745),
    [anon_sym_not_eq] = ACTIONS(3745),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(3745),
    [anon_sym_DOT_STAR] = ACTIONS(3741),
    [anon_sym_DASH_GT] = ACTIONS(3741),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [781] = {
    [sym_expression] = STATE(4213),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3749),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3752),
    [anon_sym_COLON_COLON] = ACTIONS(3755),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(3758),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [782] = {
    [sym__declaration_modifiers] = STATE(1926),
    [sym__declaration_specifiers] = STATE(5926),
    [sym_attribute_specifier] = STATE(1926),
    [sym_attribute_declaration] = STATE(1926),
    [sym_ms_declspec_modifier] = STATE(1926),
    [sym_storage_class_specifier] = STATE(1926),
    [sym_type_qualifier] = STATE(1926),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(3928),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6165),
    [sym_qualified_type_identifier] = STATE(2714),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1926),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2811),
    [sym_identifier] = ACTIONS(3761),
    [anon_sym_COMMA] = ACTIONS(3763),
    [anon_sym_BANG] = ACTIONS(3765),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_DASH] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(3765),
    [anon_sym_SLASH] = ACTIONS(3765),
    [anon_sym_PERCENT] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE] = ACTIONS(3763),
    [anon_sym_AMP_AMP] = ACTIONS(3763),
    [anon_sym_PIPE] = ACTIONS(3765),
    [anon_sym_CARET] = ACTIONS(3765),
    [anon_sym_AMP] = ACTIONS(3765),
    [anon_sym_EQ_EQ] = ACTIONS(3763),
    [anon_sym_BANG_EQ] = ACTIONS(3763),
    [anon_sym_GT] = ACTIONS(3765),
    [anon_sym_GT_EQ] = ACTIONS(3763),
    [anon_sym_LT_EQ] = ACTIONS(3765),
    [anon_sym_LT] = ACTIONS(3765),
    [anon_sym_LT_LT] = ACTIONS(3765),
    [anon_sym_GT_GT] = ACTIONS(3765),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(3767),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3771),
    [anon_sym_unsigned] = ACTIONS(3771),
    [anon_sym_long] = ACTIONS(3771),
    [anon_sym_short] = ACTIONS(3771),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3773),
    [anon_sym_enum] = ACTIONS(3775),
    [anon_sym_class] = ACTIONS(3777),
    [anon_sym_struct] = ACTIONS(3779),
    [anon_sym_union] = ACTIONS(3781),
    [anon_sym_STAR_EQ] = ACTIONS(3763),
    [anon_sym_SLASH_EQ] = ACTIONS(3763),
    [anon_sym_PERCENT_EQ] = ACTIONS(3763),
    [anon_sym_PLUS_EQ] = ACTIONS(3763),
    [anon_sym_DASH_EQ] = ACTIONS(3763),
    [anon_sym_LT_LT_EQ] = ACTIONS(3763),
    [anon_sym_GT_GT_EQ] = ACTIONS(3763),
    [anon_sym_AMP_EQ] = ACTIONS(3763),
    [anon_sym_CARET_EQ] = ACTIONS(3763),
    [anon_sym_PIPE_EQ] = ACTIONS(3763),
    [anon_sym_and_eq] = ACTIONS(3765),
    [anon_sym_or_eq] = ACTIONS(3765),
    [anon_sym_xor_eq] = ACTIONS(3765),
    [anon_sym_not] = ACTIONS(3765),
    [anon_sym_compl] = ACTIONS(3765),
    [anon_sym_LT_EQ_GT] = ACTIONS(3763),
    [anon_sym_or] = ACTIONS(3765),
    [anon_sym_and] = ACTIONS(3765),
    [anon_sym_bitor] = ACTIONS(3765),
    [anon_sym_xor] = ACTIONS(3765),
    [anon_sym_bitand] = ACTIONS(3765),
    [anon_sym_not_eq] = ACTIONS(3765),
    [anon_sym_DASH_DASH] = ACTIONS(3763),
    [anon_sym_PLUS_PLUS] = ACTIONS(3763),
    [anon_sym_DASH_GT] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3783),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3765),
    [anon_sym_new] = ACTIONS(3785),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3763),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3763),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3763),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3787),
  },
  [783] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [784] = {
    [sym__declaration_modifiers] = STATE(1926),
    [sym__declaration_specifiers] = STATE(5926),
    [sym_attribute_specifier] = STATE(1926),
    [sym_attribute_declaration] = STATE(1926),
    [sym_ms_declspec_modifier] = STATE(1926),
    [sym_storage_class_specifier] = STATE(1926),
    [sym_type_qualifier] = STATE(1926),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(3928),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6165),
    [sym_qualified_type_identifier] = STATE(2714),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1926),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2811),
    [sym_identifier] = ACTIONS(3761),
    [anon_sym_COMMA] = ACTIONS(3789),
    [anon_sym_BANG] = ACTIONS(3791),
    [anon_sym_TILDE] = ACTIONS(3789),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3791),
    [anon_sym_SLASH] = ACTIONS(3791),
    [anon_sym_PERCENT] = ACTIONS(3791),
    [anon_sym_PIPE_PIPE] = ACTIONS(3789),
    [anon_sym_AMP_AMP] = ACTIONS(3789),
    [anon_sym_PIPE] = ACTIONS(3791),
    [anon_sym_CARET] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_EQ_EQ] = ACTIONS(3789),
    [anon_sym_BANG_EQ] = ACTIONS(3789),
    [anon_sym_GT] = ACTIONS(3791),
    [anon_sym_GT_EQ] = ACTIONS(3789),
    [anon_sym_LT_EQ] = ACTIONS(3791),
    [anon_sym_LT] = ACTIONS(3791),
    [anon_sym_LT_LT] = ACTIONS(3791),
    [anon_sym_GT_GT] = ACTIONS(3791),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(3767),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3771),
    [anon_sym_unsigned] = ACTIONS(3771),
    [anon_sym_long] = ACTIONS(3771),
    [anon_sym_short] = ACTIONS(3771),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_EQ] = ACTIONS(3791),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3773),
    [anon_sym_enum] = ACTIONS(3775),
    [anon_sym_class] = ACTIONS(3777),
    [anon_sym_struct] = ACTIONS(3779),
    [anon_sym_union] = ACTIONS(3781),
    [anon_sym_STAR_EQ] = ACTIONS(3789),
    [anon_sym_SLASH_EQ] = ACTIONS(3789),
    [anon_sym_PERCENT_EQ] = ACTIONS(3789),
    [anon_sym_PLUS_EQ] = ACTIONS(3789),
    [anon_sym_DASH_EQ] = ACTIONS(3789),
    [anon_sym_LT_LT_EQ] = ACTIONS(3789),
    [anon_sym_GT_GT_EQ] = ACTIONS(3789),
    [anon_sym_AMP_EQ] = ACTIONS(3789),
    [anon_sym_CARET_EQ] = ACTIONS(3789),
    [anon_sym_PIPE_EQ] = ACTIONS(3789),
    [anon_sym_and_eq] = ACTIONS(3791),
    [anon_sym_or_eq] = ACTIONS(3791),
    [anon_sym_xor_eq] = ACTIONS(3791),
    [anon_sym_not] = ACTIONS(3791),
    [anon_sym_compl] = ACTIONS(3791),
    [anon_sym_LT_EQ_GT] = ACTIONS(3789),
    [anon_sym_or] = ACTIONS(3791),
    [anon_sym_and] = ACTIONS(3791),
    [anon_sym_bitor] = ACTIONS(3791),
    [anon_sym_xor] = ACTIONS(3791),
    [anon_sym_bitand] = ACTIONS(3791),
    [anon_sym_not_eq] = ACTIONS(3791),
    [anon_sym_DASH_DASH] = ACTIONS(3789),
    [anon_sym_PLUS_PLUS] = ACTIONS(3789),
    [anon_sym_DASH_GT] = ACTIONS(3791),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3783),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3793),
    [anon_sym_co_await] = ACTIONS(3791),
    [anon_sym_new] = ACTIONS(3793),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3789),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3789),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3789),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3795),
  },
  [785] = {
    [sym_expression] = STATE(2953),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(3800),
    [anon_sym_COLON_COLON] = ACTIONS(3803),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(3806),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [786] = {
    [sym_identifier] = ACTIONS(3809),
    [anon_sym_COMMA] = ACTIONS(3811),
    [anon_sym_RPAREN] = ACTIONS(3811),
    [anon_sym_LPAREN2] = ACTIONS(3811),
    [anon_sym_BANG] = ACTIONS(3811),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_DASH] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(3809),
    [anon_sym_STAR] = ACTIONS(3811),
    [anon_sym_AMP_AMP] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(3809),
    [anon_sym_SEMI] = ACTIONS(3811),
    [anon_sym___extension__] = ACTIONS(3809),
    [anon_sym_virtual] = ACTIONS(3809),
    [anon_sym_extern] = ACTIONS(3809),
    [anon_sym___attribute__] = ACTIONS(3809),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3811),
    [anon_sym___declspec] = ACTIONS(3809),
    [anon_sym___based] = ACTIONS(3809),
    [anon_sym_LBRACE] = ACTIONS(3811),
    [anon_sym_signed] = ACTIONS(3809),
    [anon_sym_unsigned] = ACTIONS(3809),
    [anon_sym_long] = ACTIONS(3809),
    [anon_sym_short] = ACTIONS(3809),
    [anon_sym_LBRACK] = ACTIONS(3809),
    [anon_sym_static] = ACTIONS(3809),
    [anon_sym_EQ] = ACTIONS(3811),
    [anon_sym_register] = ACTIONS(3809),
    [anon_sym_inline] = ACTIONS(3809),
    [anon_sym___inline] = ACTIONS(3809),
    [anon_sym___inline__] = ACTIONS(3809),
    [anon_sym___forceinline] = ACTIONS(3809),
    [anon_sym_thread_local] = ACTIONS(3809),
    [anon_sym___thread] = ACTIONS(3809),
    [anon_sym_const] = ACTIONS(3809),
    [anon_sym_constexpr] = ACTIONS(3809),
    [anon_sym_volatile] = ACTIONS(3809),
    [anon_sym_restrict] = ACTIONS(3809),
    [anon_sym___restrict__] = ACTIONS(3809),
    [anon_sym__Atomic] = ACTIONS(3809),
    [anon_sym__Noreturn] = ACTIONS(3809),
    [anon_sym_noreturn] = ACTIONS(3809),
    [anon_sym__Nonnull] = ACTIONS(3809),
    [anon_sym_mutable] = ACTIONS(3809),
    [anon_sym_constinit] = ACTIONS(3809),
    [anon_sym_consteval] = ACTIONS(3809),
    [anon_sym_alignas] = ACTIONS(3809),
    [anon_sym__Alignas] = ACTIONS(3809),
    [sym_primitive_type] = ACTIONS(3809),
    [anon_sym_enum] = ACTIONS(3809),
    [anon_sym_class] = ACTIONS(3809),
    [anon_sym_struct] = ACTIONS(3809),
    [anon_sym_union] = ACTIONS(3809),
    [anon_sym_if] = ACTIONS(3809),
    [anon_sym_switch] = ACTIONS(3809),
    [anon_sym_case] = ACTIONS(3809),
    [anon_sym_default] = ACTIONS(3809),
    [anon_sym_while] = ACTIONS(3809),
    [anon_sym_do] = ACTIONS(3809),
    [anon_sym_for] = ACTIONS(3809),
    [anon_sym_return] = ACTIONS(3809),
    [anon_sym_break] = ACTIONS(3809),
    [anon_sym_continue] = ACTIONS(3809),
    [anon_sym_goto] = ACTIONS(3809),
    [anon_sym___try] = ACTIONS(3809),
    [anon_sym___leave] = ACTIONS(3809),
    [anon_sym_not] = ACTIONS(3809),
    [anon_sym_compl] = ACTIONS(3809),
    [anon_sym_DASH_DASH] = ACTIONS(3811),
    [anon_sym_PLUS_PLUS] = ACTIONS(3811),
    [anon_sym_sizeof] = ACTIONS(3809),
    [anon_sym___alignof__] = ACTIONS(3809),
    [anon_sym___alignof] = ACTIONS(3809),
    [anon_sym__alignof] = ACTIONS(3809),
    [anon_sym_alignof] = ACTIONS(3809),
    [anon_sym__Alignof] = ACTIONS(3809),
    [anon_sym_offsetof] = ACTIONS(3809),
    [anon_sym__Generic] = ACTIONS(3809),
    [anon_sym_asm] = ACTIONS(3809),
    [anon_sym___asm__] = ACTIONS(3809),
    [anon_sym___asm] = ACTIONS(3809),
    [sym_number_literal] = ACTIONS(3811),
    [anon_sym_L_SQUOTE] = ACTIONS(3811),
    [anon_sym_u_SQUOTE] = ACTIONS(3811),
    [anon_sym_U_SQUOTE] = ACTIONS(3811),
    [anon_sym_u8_SQUOTE] = ACTIONS(3811),
    [anon_sym_SQUOTE] = ACTIONS(3811),
    [anon_sym_L_DQUOTE] = ACTIONS(3811),
    [anon_sym_u_DQUOTE] = ACTIONS(3811),
    [anon_sym_U_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8_DQUOTE] = ACTIONS(3811),
    [anon_sym_DQUOTE] = ACTIONS(3811),
    [sym_true] = ACTIONS(3809),
    [sym_false] = ACTIONS(3809),
    [anon_sym_NULL] = ACTIONS(3809),
    [anon_sym_nullptr] = ACTIONS(3809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3809),
    [anon_sym_decltype] = ACTIONS(3809),
    [anon_sym_explicit] = ACTIONS(3809),
    [anon_sym_typename] = ACTIONS(3809),
    [anon_sym_template] = ACTIONS(3809),
    [anon_sym_GT2] = ACTIONS(3811),
    [anon_sym_operator] = ACTIONS(3809),
    [anon_sym_try] = ACTIONS(3809),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_throw] = ACTIONS(3809),
    [anon_sym_co_return] = ACTIONS(3809),
    [anon_sym_co_yield] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3809),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_requires] = ACTIONS(3809),
    [sym_this] = ACTIONS(3809),
  },
  [787] = {
    [sym_identifier] = ACTIONS(3813),
    [anon_sym_COMMA] = ACTIONS(3815),
    [anon_sym_RPAREN] = ACTIONS(3815),
    [anon_sym_LPAREN2] = ACTIONS(3815),
    [anon_sym_BANG] = ACTIONS(3815),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_DASH] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(3813),
    [anon_sym_STAR] = ACTIONS(3815),
    [anon_sym_AMP_AMP] = ACTIONS(3815),
    [anon_sym_AMP] = ACTIONS(3813),
    [anon_sym_SEMI] = ACTIONS(3815),
    [anon_sym___extension__] = ACTIONS(3813),
    [anon_sym_virtual] = ACTIONS(3813),
    [anon_sym_extern] = ACTIONS(3813),
    [anon_sym___attribute__] = ACTIONS(3813),
    [anon_sym_COLON_COLON] = ACTIONS(3815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3815),
    [anon_sym___declspec] = ACTIONS(3813),
    [anon_sym___based] = ACTIONS(3813),
    [anon_sym_LBRACE] = ACTIONS(3815),
    [anon_sym_signed] = ACTIONS(3813),
    [anon_sym_unsigned] = ACTIONS(3813),
    [anon_sym_long] = ACTIONS(3813),
    [anon_sym_short] = ACTIONS(3813),
    [anon_sym_LBRACK] = ACTIONS(3813),
    [anon_sym_static] = ACTIONS(3813),
    [anon_sym_EQ] = ACTIONS(3815),
    [anon_sym_register] = ACTIONS(3813),
    [anon_sym_inline] = ACTIONS(3813),
    [anon_sym___inline] = ACTIONS(3813),
    [anon_sym___inline__] = ACTIONS(3813),
    [anon_sym___forceinline] = ACTIONS(3813),
    [anon_sym_thread_local] = ACTIONS(3813),
    [anon_sym___thread] = ACTIONS(3813),
    [anon_sym_const] = ACTIONS(3813),
    [anon_sym_constexpr] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(3813),
    [anon_sym_restrict] = ACTIONS(3813),
    [anon_sym___restrict__] = ACTIONS(3813),
    [anon_sym__Atomic] = ACTIONS(3813),
    [anon_sym__Noreturn] = ACTIONS(3813),
    [anon_sym_noreturn] = ACTIONS(3813),
    [anon_sym__Nonnull] = ACTIONS(3813),
    [anon_sym_mutable] = ACTIONS(3813),
    [anon_sym_constinit] = ACTIONS(3813),
    [anon_sym_consteval] = ACTIONS(3813),
    [anon_sym_alignas] = ACTIONS(3813),
    [anon_sym__Alignas] = ACTIONS(3813),
    [sym_primitive_type] = ACTIONS(3813),
    [anon_sym_enum] = ACTIONS(3813),
    [anon_sym_class] = ACTIONS(3813),
    [anon_sym_struct] = ACTIONS(3813),
    [anon_sym_union] = ACTIONS(3813),
    [anon_sym_if] = ACTIONS(3813),
    [anon_sym_switch] = ACTIONS(3813),
    [anon_sym_case] = ACTIONS(3813),
    [anon_sym_default] = ACTIONS(3813),
    [anon_sym_while] = ACTIONS(3813),
    [anon_sym_do] = ACTIONS(3813),
    [anon_sym_for] = ACTIONS(3813),
    [anon_sym_return] = ACTIONS(3813),
    [anon_sym_break] = ACTIONS(3813),
    [anon_sym_continue] = ACTIONS(3813),
    [anon_sym_goto] = ACTIONS(3813),
    [anon_sym___try] = ACTIONS(3813),
    [anon_sym___leave] = ACTIONS(3813),
    [anon_sym_not] = ACTIONS(3813),
    [anon_sym_compl] = ACTIONS(3813),
    [anon_sym_DASH_DASH] = ACTIONS(3815),
    [anon_sym_PLUS_PLUS] = ACTIONS(3815),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(3813),
    [anon_sym___alignof] = ACTIONS(3813),
    [anon_sym__alignof] = ACTIONS(3813),
    [anon_sym_alignof] = ACTIONS(3813),
    [anon_sym__Alignof] = ACTIONS(3813),
    [anon_sym_offsetof] = ACTIONS(3813),
    [anon_sym__Generic] = ACTIONS(3813),
    [anon_sym_asm] = ACTIONS(3813),
    [anon_sym___asm__] = ACTIONS(3813),
    [anon_sym___asm] = ACTIONS(3813),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3815),
    [anon_sym_u_SQUOTE] = ACTIONS(3815),
    [anon_sym_U_SQUOTE] = ACTIONS(3815),
    [anon_sym_u8_SQUOTE] = ACTIONS(3815),
    [anon_sym_SQUOTE] = ACTIONS(3815),
    [anon_sym_L_DQUOTE] = ACTIONS(3815),
    [anon_sym_u_DQUOTE] = ACTIONS(3815),
    [anon_sym_U_DQUOTE] = ACTIONS(3815),
    [anon_sym_u8_DQUOTE] = ACTIONS(3815),
    [anon_sym_DQUOTE] = ACTIONS(3815),
    [sym_true] = ACTIONS(3813),
    [sym_false] = ACTIONS(3813),
    [anon_sym_NULL] = ACTIONS(3813),
    [anon_sym_nullptr] = ACTIONS(3813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3813),
    [anon_sym_decltype] = ACTIONS(3813),
    [anon_sym_explicit] = ACTIONS(3813),
    [anon_sym_typename] = ACTIONS(3813),
    [anon_sym_template] = ACTIONS(3813),
    [anon_sym_GT2] = ACTIONS(3815),
    [anon_sym_operator] = ACTIONS(3813),
    [anon_sym_try] = ACTIONS(3813),
    [anon_sym_delete] = ACTIONS(3813),
    [anon_sym_throw] = ACTIONS(3813),
    [anon_sym_co_return] = ACTIONS(3813),
    [anon_sym_co_yield] = ACTIONS(3813),
    [anon_sym_R_DQUOTE] = ACTIONS(3815),
    [anon_sym_LR_DQUOTE] = ACTIONS(3815),
    [anon_sym_uR_DQUOTE] = ACTIONS(3815),
    [anon_sym_UR_DQUOTE] = ACTIONS(3815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3815),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(3813),
    [anon_sym_requires] = ACTIONS(3813),
    [sym_this] = ACTIONS(3813),
  },
  [788] = {
    [sym_function_definition] = STATE(311),
    [sym_declaration] = STATE(311),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5873),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(311),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1780),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(311),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1780),
    [sym_operator_cast_definition] = STATE(311),
    [sym_operator_cast_declaration] = STATE(311),
    [sym_constructor_or_destructor_definition] = STATE(311),
    [sym_constructor_or_destructor_declaration] = STATE(311),
    [sym_friend_declaration] = STATE(311),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(311),
    [sym_concept_definition] = STATE(311),
    [sym_requires_clause] = STATE(819),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1780),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3821),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3825),
    [anon_sym_using] = ACTIONS(3827),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [789] = {
    [sym_function_definition] = STATE(2084),
    [sym_declaration] = STATE(2084),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4483),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1847),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5887),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(2084),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(2084),
    [sym_operator_cast] = STATE(6323),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(2084),
    [sym_operator_cast_declaration] = STATE(2084),
    [sym_constructor_or_destructor_definition] = STATE(2084),
    [sym_constructor_or_destructor_declaration] = STATE(2084),
    [sym_friend_declaration] = STATE(2084),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(2084),
    [sym_concept_definition] = STATE(2084),
    [sym_requires_clause] = STATE(817),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6323),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3591),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3593),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3595),
    [anon_sym_using] = ACTIONS(3831),
    [anon_sym_concept] = ACTIONS(3833),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [790] = {
    [sym_function_definition] = STATE(1658),
    [sym_declaration] = STATE(1658),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4411),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(1658),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(1658),
    [sym_operator_cast] = STATE(6344),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(1658),
    [sym_operator_cast_declaration] = STATE(1658),
    [sym_constructor_or_destructor_definition] = STATE(1658),
    [sym_constructor_or_destructor_declaration] = STATE(1658),
    [sym_friend_declaration] = STATE(1658),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(1658),
    [sym_concept_definition] = STATE(1658),
    [sym_requires_clause] = STATE(820),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3835),
    [anon_sym_concept] = ACTIONS(3837),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [791] = {
    [sym_function_definition] = STATE(671),
    [sym_declaration] = STATE(671),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4507),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1845),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5852),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2680),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(671),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1760),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(671),
    [sym_operator_cast] = STATE(6328),
    [sym__constructor_specifiers] = STATE(1760),
    [sym_operator_cast_definition] = STATE(671),
    [sym_operator_cast_declaration] = STATE(671),
    [sym_constructor_or_destructor_definition] = STATE(671),
    [sym_constructor_or_destructor_declaration] = STATE(671),
    [sym_friend_declaration] = STATE(671),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(671),
    [sym_concept_definition] = STATE(671),
    [sym_requires_clause] = STATE(822),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6328),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1760),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3839),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3841),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3843),
    [anon_sym_using] = ACTIONS(3845),
    [anon_sym_concept] = ACTIONS(940),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [792] = {
    [sym_function_definition] = STATE(641),
    [sym_declaration] = STATE(641),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5813),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(641),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1691),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(641),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1691),
    [sym_operator_cast_definition] = STATE(641),
    [sym_operator_cast_declaration] = STATE(641),
    [sym_constructor_or_destructor_definition] = STATE(641),
    [sym_constructor_or_destructor_declaration] = STATE(641),
    [sym_friend_declaration] = STATE(641),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(641),
    [sym_concept_definition] = STATE(641),
    [sym_requires_clause] = STATE(821),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1691),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3847),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3849),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3851),
    [anon_sym_using] = ACTIONS(3853),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [793] = {
    [sym_function_definition] = STATE(712),
    [sym_declaration] = STATE(712),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4402),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1867),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5864),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2685),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(712),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1767),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(712),
    [sym_operator_cast] = STATE(6334),
    [sym__constructor_specifiers] = STATE(1767),
    [sym_operator_cast_definition] = STATE(712),
    [sym_operator_cast_declaration] = STATE(712),
    [sym_constructor_or_destructor_definition] = STATE(712),
    [sym_constructor_or_destructor_declaration] = STATE(712),
    [sym_friend_declaration] = STATE(712),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(712),
    [sym_concept_definition] = STATE(712),
    [sym_requires_clause] = STATE(818),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6334),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1767),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3855),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3857),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3859),
    [anon_sym_using] = ACTIONS(3861),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [794] = {
    [sym_function_definition] = STATE(2059),
    [sym_declaration] = STATE(2059),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4466),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1855),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2684),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(2059),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(2059),
    [sym_operator_cast] = STATE(6361),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(2059),
    [sym_operator_cast_declaration] = STATE(2059),
    [sym_constructor_or_destructor_definition] = STATE(2059),
    [sym_constructor_or_destructor_declaration] = STATE(2059),
    [sym_friend_declaration] = STATE(2059),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(2059),
    [sym_concept_definition] = STATE(2059),
    [sym_requires_clause] = STATE(816),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3863),
    [anon_sym_concept] = ACTIONS(3865),
    [anon_sym_requires] = ACTIONS(3829),
  },
  [795] = {
    [sym_type_qualifier] = STATE(806),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4391),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(806),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3867),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3871),
    [anon_sym_RBRACK] = ACTIONS(3873),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [796] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4534),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3879),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3883),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [797] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3885),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3887),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [798] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4511),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3889),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3891),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [799] = {
    [sym_type_qualifier] = STATE(808),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4407),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(808),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3893),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3895),
    [anon_sym_RBRACK] = ACTIONS(3897),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [800] = {
    [sym_type_qualifier] = STATE(801),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4434),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(801),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3899),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3901),
    [anon_sym_RBRACK] = ACTIONS(3903),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [801] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4393),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3905),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3907),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [802] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4408),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3909),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3911),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [803] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4421),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3913),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3915),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [804] = {
    [sym_type_qualifier] = STATE(798),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(798),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3917),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3919),
    [anon_sym_RBRACK] = ACTIONS(3921),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [805] = {
    [sym_type_qualifier] = STATE(797),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(797),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3923),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3925),
    [anon_sym_RBRACK] = ACTIONS(3927),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [806] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3929),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3931),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [807] = {
    [sym_type_qualifier] = STATE(803),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(803),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3933),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3935),
    [anon_sym_RBRACK] = ACTIONS(3937),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [808] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4423),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3939),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3941),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [809] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4400),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3943),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3945),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [810] = {
    [sym_type_qualifier] = STATE(803),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(803),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3933),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3935),
    [anon_sym_RBRACK] = ACTIONS(3937),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [811] = {
    [sym_type_qualifier] = STATE(812),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4459),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(812),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3949),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3951),
    [anon_sym_RBRACK] = ACTIONS(3953),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [812] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3955),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_RBRACK] = ACTIONS(3957),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [813] = {
    [sym_type_qualifier] = STATE(802),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(802),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3959),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3961),
    [anon_sym_RBRACK] = ACTIONS(3963),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [814] = {
    [sym_type_qualifier] = STATE(796),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4526),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(796),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3965),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3967),
    [anon_sym_RBRACK] = ACTIONS(3969),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [815] = {
    [sym_type_qualifier] = STATE(809),
    [sym_alignas_qualifier] = STATE(1768),
    [sym_expression] = STATE(4405),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [aux_sym_array_declarator_repeat1] = STATE(809),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(3973),
    [anon_sym_RBRACK] = ACTIONS(3975),
    [anon_sym_const] = ACTIONS(3875),
    [anon_sym_constexpr] = ACTIONS(3875),
    [anon_sym_volatile] = ACTIONS(3875),
    [anon_sym_restrict] = ACTIONS(3875),
    [anon_sym___restrict__] = ACTIONS(3875),
    [anon_sym__Atomic] = ACTIONS(3875),
    [anon_sym__Noreturn] = ACTIONS(3875),
    [anon_sym_noreturn] = ACTIONS(3875),
    [anon_sym__Nonnull] = ACTIONS(3875),
    [anon_sym_mutable] = ACTIONS(3875),
    [anon_sym_constinit] = ACTIONS(3875),
    [anon_sym_consteval] = ACTIONS(3875),
    [anon_sym_alignas] = ACTIONS(3877),
    [anon_sym__Alignas] = ACTIONS(3877),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [816] = {
    [sym_function_definition] = STATE(1954),
    [sym_declaration] = STATE(1954),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4466),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1855),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5824),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2684),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(1954),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1769),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(1954),
    [sym_operator_cast] = STATE(6361),
    [sym__constructor_specifiers] = STATE(1769),
    [sym_operator_cast_definition] = STATE(1954),
    [sym_operator_cast_declaration] = STATE(1954),
    [sym_constructor_or_destructor_definition] = STATE(1954),
    [sym_constructor_or_destructor_declaration] = STATE(1954),
    [sym_friend_declaration] = STATE(1954),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(1954),
    [sym_concept_definition] = STATE(1954),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6361),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1769),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3505),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3863),
    [anon_sym_concept] = ACTIONS(3865),
  },
  [817] = {
    [sym_function_definition] = STATE(1955),
    [sym_declaration] = STATE(1955),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4483),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1847),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5887),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(1955),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1668),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(1955),
    [sym_operator_cast] = STATE(6323),
    [sym__constructor_specifiers] = STATE(1668),
    [sym_operator_cast_definition] = STATE(1955),
    [sym_operator_cast_declaration] = STATE(1955),
    [sym_constructor_or_destructor_definition] = STATE(1955),
    [sym_constructor_or_destructor_declaration] = STATE(1955),
    [sym_friend_declaration] = STATE(1955),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(1955),
    [sym_concept_definition] = STATE(1955),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6323),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1668),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3591),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3593),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3595),
    [anon_sym_using] = ACTIONS(3831),
    [anon_sym_concept] = ACTIONS(3833),
  },
  [818] = {
    [sym_function_definition] = STATE(705),
    [sym_declaration] = STATE(705),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4402),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1867),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5864),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2685),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(705),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1767),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(705),
    [sym_operator_cast] = STATE(6334),
    [sym__constructor_specifiers] = STATE(1767),
    [sym_operator_cast_definition] = STATE(705),
    [sym_operator_cast_declaration] = STATE(705),
    [sym_constructor_or_destructor_definition] = STATE(705),
    [sym_constructor_or_destructor_declaration] = STATE(705),
    [sym_friend_declaration] = STATE(705),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(705),
    [sym_concept_definition] = STATE(705),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6334),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1767),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3855),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3857),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3859),
    [anon_sym_using] = ACTIONS(3861),
    [anon_sym_concept] = ACTIONS(145),
  },
  [819] = {
    [sym_function_definition] = STATE(356),
    [sym_declaration] = STATE(356),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5873),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2667),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(356),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1780),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(356),
    [sym_operator_cast] = STATE(6354),
    [sym__constructor_specifiers] = STATE(1780),
    [sym_operator_cast_definition] = STATE(356),
    [sym_operator_cast_declaration] = STATE(356),
    [sym_constructor_or_destructor_definition] = STATE(356),
    [sym_constructor_or_destructor_declaration] = STATE(356),
    [sym_friend_declaration] = STATE(356),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(356),
    [sym_concept_definition] = STATE(356),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6354),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1780),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3821),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3823),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3825),
    [anon_sym_using] = ACTIONS(3827),
    [anon_sym_concept] = ACTIONS(329),
  },
  [820] = {
    [sym_function_definition] = STATE(1779),
    [sym_declaration] = STATE(1779),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4411),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(1779),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1657),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(1779),
    [sym_operator_cast] = STATE(6344),
    [sym__constructor_specifiers] = STATE(1657),
    [sym_operator_cast_definition] = STATE(1779),
    [sym_operator_cast_declaration] = STATE(1779),
    [sym_constructor_or_destructor_definition] = STATE(1779),
    [sym_constructor_or_destructor_declaration] = STATE(1779),
    [sym_friend_declaration] = STATE(1779),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(1779),
    [sym_concept_definition] = STATE(1779),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6344),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1657),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3243),
    [anon_sym_using] = ACTIONS(3835),
    [anon_sym_concept] = ACTIONS(3837),
  },
  [821] = {
    [sym_function_definition] = STATE(649),
    [sym_declaration] = STATE(649),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1884),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5813),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2606),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(649),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1691),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(649),
    [sym_operator_cast] = STATE(6364),
    [sym__constructor_specifiers] = STATE(1691),
    [sym_operator_cast_definition] = STATE(649),
    [sym_operator_cast_declaration] = STATE(649),
    [sym_constructor_or_destructor_definition] = STATE(649),
    [sym_constructor_or_destructor_declaration] = STATE(649),
    [sym_friend_declaration] = STATE(649),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(649),
    [sym_concept_definition] = STATE(649),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6364),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1691),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3847),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3849),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3851),
    [anon_sym_using] = ACTIONS(3853),
    [anon_sym_concept] = ACTIONS(233),
  },
  [822] = {
    [sym_function_definition] = STATE(599),
    [sym_declaration] = STATE(599),
    [sym__declaration_modifiers] = STATE(3111),
    [sym__declaration_specifiers] = STATE(4507),
    [sym_attribute_specifier] = STATE(3111),
    [sym_attribute_declaration] = STATE(3111),
    [sym_ms_declspec_modifier] = STATE(3111),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(1845),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5852),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3111),
    [sym_type_qualifier] = STATE(3111),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2680),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym__empty_declaration] = STATE(599),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_explicit_function_specifier] = STATE(1760),
    [sym_dependent_type] = STATE(2346),
    [sym_template_declaration] = STATE(599),
    [sym_operator_cast] = STATE(6328),
    [sym__constructor_specifiers] = STATE(1760),
    [sym_operator_cast_definition] = STATE(599),
    [sym_operator_cast_declaration] = STATE(599),
    [sym_constructor_or_destructor_definition] = STATE(599),
    [sym_constructor_or_destructor_declaration] = STATE(599),
    [sym_friend_declaration] = STATE(599),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_alias_declaration] = STATE(599),
    [sym_concept_definition] = STATE(599),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_qualified_operator_cast_identifier] = STATE(6328),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1760),
    [sym_identifier] = ACTIONS(3817),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(37),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(3839),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3841),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3843),
    [anon_sym_using] = ACTIONS(3845),
    [anon_sym_concept] = ACTIONS(940),
  },
  [823] = {
    [sym_expression] = STATE(2953),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(3797),
    [anon_sym_LPAREN2] = ACTIONS(3977),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(3980),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(3983),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(3986),
    [anon_sym___extension__] = ACTIONS(3800),
    [anon_sym_COLON_COLON] = ACTIONS(3803),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(3989),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [824] = {
    [sym_identifier] = ACTIONS(3992),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3998),
    [anon_sym_TILDE] = ACTIONS(3995),
    [anon_sym_DASH] = ACTIONS(4000),
    [anon_sym_PLUS] = ACTIONS(4000),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4002),
    [anon_sym_AMP] = ACTIONS(3992),
    [anon_sym_SEMI] = ACTIONS(3998),
    [anon_sym___extension__] = ACTIONS(3992),
    [anon_sym_virtual] = ACTIONS(4004),
    [anon_sym_extern] = ACTIONS(4004),
    [anon_sym___attribute__] = ACTIONS(4004),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3995),
    [anon_sym___declspec] = ACTIONS(4004),
    [anon_sym___based] = ACTIONS(4004),
    [anon_sym_LBRACE] = ACTIONS(3998),
    [anon_sym_signed] = ACTIONS(4004),
    [anon_sym_unsigned] = ACTIONS(4004),
    [anon_sym_long] = ACTIONS(4004),
    [anon_sym_short] = ACTIONS(4004),
    [anon_sym_LBRACK] = ACTIONS(3992),
    [anon_sym_static] = ACTIONS(4004),
    [anon_sym_register] = ACTIONS(4004),
    [anon_sym_inline] = ACTIONS(4004),
    [anon_sym___inline] = ACTIONS(4004),
    [anon_sym___inline__] = ACTIONS(4004),
    [anon_sym___forceinline] = ACTIONS(4004),
    [anon_sym_thread_local] = ACTIONS(4004),
    [anon_sym___thread] = ACTIONS(4004),
    [anon_sym_const] = ACTIONS(4004),
    [anon_sym_constexpr] = ACTIONS(4004),
    [anon_sym_volatile] = ACTIONS(4004),
    [anon_sym_restrict] = ACTIONS(4004),
    [anon_sym___restrict__] = ACTIONS(4004),
    [anon_sym__Atomic] = ACTIONS(4004),
    [anon_sym__Noreturn] = ACTIONS(4004),
    [anon_sym_noreturn] = ACTIONS(4004),
    [anon_sym__Nonnull] = ACTIONS(4004),
    [anon_sym_mutable] = ACTIONS(4004),
    [anon_sym_constinit] = ACTIONS(4004),
    [anon_sym_consteval] = ACTIONS(4004),
    [anon_sym_alignas] = ACTIONS(4004),
    [anon_sym__Alignas] = ACTIONS(4004),
    [sym_primitive_type] = ACTIONS(3992),
    [anon_sym_enum] = ACTIONS(4004),
    [anon_sym_class] = ACTIONS(4004),
    [anon_sym_struct] = ACTIONS(4004),
    [anon_sym_union] = ACTIONS(4004),
    [anon_sym_if] = ACTIONS(4000),
    [anon_sym_switch] = ACTIONS(4000),
    [anon_sym_case] = ACTIONS(4000),
    [anon_sym_default] = ACTIONS(4000),
    [anon_sym_while] = ACTIONS(4000),
    [anon_sym_do] = ACTIONS(4000),
    [anon_sym_for] = ACTIONS(4000),
    [anon_sym_return] = ACTIONS(4000),
    [anon_sym_break] = ACTIONS(4000),
    [anon_sym_continue] = ACTIONS(4000),
    [anon_sym_goto] = ACTIONS(4000),
    [anon_sym___try] = ACTIONS(4000),
    [anon_sym___leave] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(4000),
    [anon_sym_compl] = ACTIONS(4000),
    [anon_sym_DASH_DASH] = ACTIONS(3998),
    [anon_sym_PLUS_PLUS] = ACTIONS(3998),
    [anon_sym_sizeof] = ACTIONS(4000),
    [anon_sym___alignof__] = ACTIONS(4000),
    [anon_sym___alignof] = ACTIONS(4000),
    [anon_sym__alignof] = ACTIONS(4000),
    [anon_sym_alignof] = ACTIONS(4000),
    [anon_sym__Alignof] = ACTIONS(4000),
    [anon_sym_offsetof] = ACTIONS(4000),
    [anon_sym__Generic] = ACTIONS(4000),
    [anon_sym_asm] = ACTIONS(4000),
    [anon_sym___asm__] = ACTIONS(4000),
    [anon_sym___asm] = ACTIONS(4000),
    [sym_number_literal] = ACTIONS(3998),
    [anon_sym_L_SQUOTE] = ACTIONS(3998),
    [anon_sym_u_SQUOTE] = ACTIONS(3998),
    [anon_sym_U_SQUOTE] = ACTIONS(3998),
    [anon_sym_u8_SQUOTE] = ACTIONS(3998),
    [anon_sym_SQUOTE] = ACTIONS(3998),
    [anon_sym_L_DQUOTE] = ACTIONS(3998),
    [anon_sym_u_DQUOTE] = ACTIONS(3998),
    [anon_sym_U_DQUOTE] = ACTIONS(3998),
    [anon_sym_u8_DQUOTE] = ACTIONS(3998),
    [anon_sym_DQUOTE] = ACTIONS(3998),
    [sym_true] = ACTIONS(4000),
    [sym_false] = ACTIONS(4000),
    [anon_sym_NULL] = ACTIONS(4000),
    [anon_sym_nullptr] = ACTIONS(4000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4004),
    [anon_sym_decltype] = ACTIONS(3992),
    [anon_sym_explicit] = ACTIONS(4004),
    [anon_sym_typename] = ACTIONS(4004),
    [anon_sym_template] = ACTIONS(3992),
    [anon_sym_operator] = ACTIONS(4004),
    [anon_sym_try] = ACTIONS(4000),
    [anon_sym_delete] = ACTIONS(4000),
    [anon_sym_throw] = ACTIONS(4000),
    [anon_sym_co_return] = ACTIONS(4000),
    [anon_sym_co_yield] = ACTIONS(4000),
    [anon_sym_R_DQUOTE] = ACTIONS(3998),
    [anon_sym_LR_DQUOTE] = ACTIONS(3998),
    [anon_sym_uR_DQUOTE] = ACTIONS(3998),
    [anon_sym_UR_DQUOTE] = ACTIONS(3998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3998),
    [anon_sym_co_await] = ACTIONS(4000),
    [anon_sym_new] = ACTIONS(4000),
    [anon_sym_requires] = ACTIONS(4000),
    [sym_this] = ACTIONS(4000),
  },
  [825] = {
    [sym_expression] = STATE(2774),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(4006),
    [anon_sym_LPAREN2] = ACTIONS(4009),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(4012),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2523),
    [anon_sym___extension__] = ACTIONS(4015),
    [anon_sym_COLON_COLON] = ACTIONS(4018),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(3989),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [826] = {
    [sym_expression] = STATE(4354),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(4021),
    [anon_sym_LPAREN2] = ACTIONS(4024),
    [anon_sym_BANG] = ACTIONS(4027),
    [anon_sym_TILDE] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4030),
    [anon_sym_PLUS] = ACTIONS(4030),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(4033),
    [anon_sym_COLON_COLON] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3989),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_RBRACK] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2539),
    [anon_sym_not] = ACTIONS(4030),
    [anon_sym_compl] = ACTIONS(4030),
    [anon_sym_DASH_DASH] = ACTIONS(4039),
    [anon_sym_PLUS_PLUS] = ACTIONS(4039),
    [anon_sym_sizeof] = ACTIONS(4042),
    [anon_sym___alignof__] = ACTIONS(4045),
    [anon_sym___alignof] = ACTIONS(4045),
    [anon_sym__alignof] = ACTIONS(4045),
    [anon_sym_alignof] = ACTIONS(4045),
    [anon_sym__Alignof] = ACTIONS(4045),
    [anon_sym_offsetof] = ACTIONS(4048),
    [anon_sym__Generic] = ACTIONS(4051),
    [anon_sym_asm] = ACTIONS(4054),
    [anon_sym___asm__] = ACTIONS(4054),
    [anon_sym___asm] = ACTIONS(4054),
    [sym_number_literal] = ACTIONS(4057),
    [anon_sym_L_SQUOTE] = ACTIONS(4060),
    [anon_sym_u_SQUOTE] = ACTIONS(4060),
    [anon_sym_U_SQUOTE] = ACTIONS(4060),
    [anon_sym_u8_SQUOTE] = ACTIONS(4060),
    [anon_sym_SQUOTE] = ACTIONS(4060),
    [anon_sym_L_DQUOTE] = ACTIONS(4063),
    [anon_sym_u_DQUOTE] = ACTIONS(4063),
    [anon_sym_U_DQUOTE] = ACTIONS(4063),
    [anon_sym_u8_DQUOTE] = ACTIONS(4063),
    [anon_sym_DQUOTE] = ACTIONS(4063),
    [sym_true] = ACTIONS(4066),
    [sym_false] = ACTIONS(4066),
    [anon_sym_NULL] = ACTIONS(4069),
    [anon_sym_nullptr] = ACTIONS(4069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2542),
    [anon_sym_template] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(4072),
    [anon_sym_R_DQUOTE] = ACTIONS(4075),
    [anon_sym_LR_DQUOTE] = ACTIONS(4075),
    [anon_sym_uR_DQUOTE] = ACTIONS(4075),
    [anon_sym_UR_DQUOTE] = ACTIONS(4075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4075),
    [anon_sym_co_await] = ACTIONS(4078),
    [anon_sym_new] = ACTIONS(4081),
    [anon_sym_requires] = ACTIONS(4084),
    [sym_this] = ACTIONS(4066),
  },
  [827] = {
    [sym_catch_clause] = STATE(827),
    [aux_sym_constructor_try_statement_repeat1] = STATE(827),
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_do] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_goto] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2492),
    [anon_sym___leave] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(2492),
    [anon_sym_compl] = ACTIONS(2492),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_sizeof] = ACTIONS(2492),
    [anon_sym___alignof__] = ACTIONS(2492),
    [anon_sym___alignof] = ACTIONS(2492),
    [anon_sym__alignof] = ACTIONS(2492),
    [anon_sym_alignof] = ACTIONS(2492),
    [anon_sym__Alignof] = ACTIONS(2492),
    [anon_sym_offsetof] = ACTIONS(2492),
    [anon_sym__Generic] = ACTIONS(2492),
    [anon_sym_asm] = ACTIONS(2492),
    [anon_sym___asm__] = ACTIONS(2492),
    [anon_sym___asm] = ACTIONS(2492),
    [sym_number_literal] = ACTIONS(2494),
    [anon_sym_L_SQUOTE] = ACTIONS(2494),
    [anon_sym_u_SQUOTE] = ACTIONS(2494),
    [anon_sym_U_SQUOTE] = ACTIONS(2494),
    [anon_sym_u8_SQUOTE] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2494),
    [anon_sym_L_DQUOTE] = ACTIONS(2494),
    [anon_sym_u_DQUOTE] = ACTIONS(2494),
    [anon_sym_U_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8_DQUOTE] = ACTIONS(2494),
    [anon_sym_DQUOTE] = ACTIONS(2494),
    [sym_true] = ACTIONS(2492),
    [sym_false] = ACTIONS(2492),
    [anon_sym_NULL] = ACTIONS(2492),
    [anon_sym_nullptr] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [anon_sym_delete] = ACTIONS(2492),
    [anon_sym_throw] = ACTIONS(2492),
    [anon_sym_co_return] = ACTIONS(2492),
    [anon_sym_co_yield] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(4087),
    [anon_sym_R_DQUOTE] = ACTIONS(2494),
    [anon_sym_LR_DQUOTE] = ACTIONS(2494),
    [anon_sym_uR_DQUOTE] = ACTIONS(2494),
    [anon_sym_UR_DQUOTE] = ACTIONS(2494),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2494),
    [anon_sym_co_await] = ACTIONS(2492),
    [anon_sym_new] = ACTIONS(2492),
    [anon_sym_requires] = ACTIONS(2492),
    [sym_this] = ACTIONS(2492),
  },
  [828] = {
    [sym_catch_clause] = STATE(827),
    [aux_sym_constructor_try_statement_repeat1] = STATE(827),
    [sym_identifier] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2499),
    [anon_sym_switch] = ACTIONS(2499),
    [anon_sym_while] = ACTIONS(2499),
    [anon_sym_do] = ACTIONS(2499),
    [anon_sym_for] = ACTIONS(2499),
    [anon_sym_return] = ACTIONS(2499),
    [anon_sym_break] = ACTIONS(2499),
    [anon_sym_continue] = ACTIONS(2499),
    [anon_sym_goto] = ACTIONS(2499),
    [anon_sym___try] = ACTIONS(2499),
    [anon_sym___leave] = ACTIONS(2499),
    [anon_sym_not] = ACTIONS(2499),
    [anon_sym_compl] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2501),
    [anon_sym_sizeof] = ACTIONS(2499),
    [anon_sym___alignof__] = ACTIONS(2499),
    [anon_sym___alignof] = ACTIONS(2499),
    [anon_sym__alignof] = ACTIONS(2499),
    [anon_sym_alignof] = ACTIONS(2499),
    [anon_sym__Alignof] = ACTIONS(2499),
    [anon_sym_offsetof] = ACTIONS(2499),
    [anon_sym__Generic] = ACTIONS(2499),
    [anon_sym_asm] = ACTIONS(2499),
    [anon_sym___asm__] = ACTIONS(2499),
    [anon_sym___asm] = ACTIONS(2499),
    [sym_number_literal] = ACTIONS(2501),
    [anon_sym_L_SQUOTE] = ACTIONS(2501),
    [anon_sym_u_SQUOTE] = ACTIONS(2501),
    [anon_sym_U_SQUOTE] = ACTIONS(2501),
    [anon_sym_u8_SQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE] = ACTIONS(2501),
    [anon_sym_L_DQUOTE] = ACTIONS(2501),
    [anon_sym_u_DQUOTE] = ACTIONS(2501),
    [anon_sym_U_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8_DQUOTE] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [sym_true] = ACTIONS(2499),
    [sym_false] = ACTIONS(2499),
    [anon_sym_NULL] = ACTIONS(2499),
    [anon_sym_nullptr] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_try] = ACTIONS(2499),
    [anon_sym_delete] = ACTIONS(2499),
    [anon_sym_throw] = ACTIONS(2499),
    [anon_sym_co_return] = ACTIONS(2499),
    [anon_sym_co_yield] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(4090),
    [anon_sym_R_DQUOTE] = ACTIONS(2501),
    [anon_sym_LR_DQUOTE] = ACTIONS(2501),
    [anon_sym_uR_DQUOTE] = ACTIONS(2501),
    [anon_sym_UR_DQUOTE] = ACTIONS(2501),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2501),
    [anon_sym_co_await] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2499),
    [anon_sym_requires] = ACTIONS(2499),
    [sym_this] = ACTIONS(2499),
  },
  [829] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4096),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4107),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym___cdecl] = ACTIONS(4092),
    [anon_sym___clrcall] = ACTIONS(4092),
    [anon_sym___stdcall] = ACTIONS(4092),
    [anon_sym___fastcall] = ACTIONS(4092),
    [anon_sym___thiscall] = ACTIONS(4092),
    [anon_sym___vectorcall] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4094),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4128),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [830] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4096),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4107),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym___cdecl] = ACTIONS(4092),
    [anon_sym___clrcall] = ACTIONS(4092),
    [anon_sym___stdcall] = ACTIONS(4092),
    [anon_sym___fastcall] = ACTIONS(4092),
    [anon_sym___thiscall] = ACTIONS(4092),
    [anon_sym___vectorcall] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [831] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4096),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4107),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym___cdecl] = ACTIONS(4092),
    [anon_sym___clrcall] = ACTIONS(4092),
    [anon_sym___stdcall] = ACTIONS(4092),
    [anon_sym___fastcall] = ACTIONS(4092),
    [anon_sym___thiscall] = ACTIONS(4092),
    [anon_sym___vectorcall] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [832] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4096),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4107),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym___cdecl] = ACTIONS(4092),
    [anon_sym___clrcall] = ACTIONS(4092),
    [anon_sym___stdcall] = ACTIONS(4092),
    [anon_sym___fastcall] = ACTIONS(4092),
    [anon_sym___thiscall] = ACTIONS(4092),
    [anon_sym___vectorcall] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [833] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1573),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4096),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4138),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4115),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym___cdecl] = ACTIONS(4092),
    [anon_sym___clrcall] = ACTIONS(4092),
    [anon_sym___stdcall] = ACTIONS(4092),
    [anon_sym___fastcall] = ACTIONS(4092),
    [anon_sym___thiscall] = ACTIONS(4092),
    [anon_sym___vectorcall] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [834] = {
    [sym_else_clause] = STATE(845),
    [sym_identifier] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_virtual] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(4142),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [835] = {
    [sym_else_clause] = STATE(852),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2570),
    [anon_sym_typedef] = ACTIONS(2570),
    [anon_sym_virtual] = ACTIONS(2570),
    [anon_sym_extern] = ACTIONS(2570),
    [anon_sym___attribute__] = ACTIONS(2570),
    [anon_sym_COLON_COLON] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2572),
    [anon_sym___declspec] = ACTIONS(2570),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_signed] = ACTIONS(2570),
    [anon_sym_unsigned] = ACTIONS(2570),
    [anon_sym_long] = ACTIONS(2570),
    [anon_sym_short] = ACTIONS(2570),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym_static] = ACTIONS(2570),
    [anon_sym_register] = ACTIONS(2570),
    [anon_sym_inline] = ACTIONS(2570),
    [anon_sym___inline] = ACTIONS(2570),
    [anon_sym___inline__] = ACTIONS(2570),
    [anon_sym___forceinline] = ACTIONS(2570),
    [anon_sym_thread_local] = ACTIONS(2570),
    [anon_sym___thread] = ACTIONS(2570),
    [anon_sym_const] = ACTIONS(2570),
    [anon_sym_constexpr] = ACTIONS(2570),
    [anon_sym_volatile] = ACTIONS(2570),
    [anon_sym_restrict] = ACTIONS(2570),
    [anon_sym___restrict__] = ACTIONS(2570),
    [anon_sym__Atomic] = ACTIONS(2570),
    [anon_sym__Noreturn] = ACTIONS(2570),
    [anon_sym_noreturn] = ACTIONS(2570),
    [anon_sym__Nonnull] = ACTIONS(2570),
    [anon_sym_mutable] = ACTIONS(2570),
    [anon_sym_constinit] = ACTIONS(2570),
    [anon_sym_consteval] = ACTIONS(2570),
    [anon_sym_alignas] = ACTIONS(2570),
    [anon_sym__Alignas] = ACTIONS(2570),
    [sym_primitive_type] = ACTIONS(2570),
    [anon_sym_enum] = ACTIONS(2570),
    [anon_sym_class] = ACTIONS(2570),
    [anon_sym_struct] = ACTIONS(2570),
    [anon_sym_union] = ACTIONS(2570),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_else] = ACTIONS(4142),
    [anon_sym_switch] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2570),
    [anon_sym_do] = ACTIONS(2570),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_return] = ACTIONS(2570),
    [anon_sym_break] = ACTIONS(2570),
    [anon_sym_continue] = ACTIONS(2570),
    [anon_sym_goto] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2570),
    [anon_sym___leave] = ACTIONS(2570),
    [anon_sym_not] = ACTIONS(2570),
    [anon_sym_compl] = ACTIONS(2570),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_sizeof] = ACTIONS(2570),
    [anon_sym___alignof__] = ACTIONS(2570),
    [anon_sym___alignof] = ACTIONS(2570),
    [anon_sym__alignof] = ACTIONS(2570),
    [anon_sym_alignof] = ACTIONS(2570),
    [anon_sym__Alignof] = ACTIONS(2570),
    [anon_sym_offsetof] = ACTIONS(2570),
    [anon_sym__Generic] = ACTIONS(2570),
    [anon_sym_asm] = ACTIONS(2570),
    [anon_sym___asm__] = ACTIONS(2570),
    [anon_sym___asm] = ACTIONS(2570),
    [sym_number_literal] = ACTIONS(2572),
    [anon_sym_L_SQUOTE] = ACTIONS(2572),
    [anon_sym_u_SQUOTE] = ACTIONS(2572),
    [anon_sym_U_SQUOTE] = ACTIONS(2572),
    [anon_sym_u8_SQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_L_DQUOTE] = ACTIONS(2572),
    [anon_sym_u_DQUOTE] = ACTIONS(2572),
    [anon_sym_U_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [sym_true] = ACTIONS(2570),
    [sym_false] = ACTIONS(2570),
    [anon_sym_NULL] = ACTIONS(2570),
    [anon_sym_nullptr] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2570),
    [anon_sym_decltype] = ACTIONS(2570),
    [anon_sym_typename] = ACTIONS(2570),
    [anon_sym_template] = ACTIONS(2570),
    [anon_sym_try] = ACTIONS(2570),
    [anon_sym_delete] = ACTIONS(2570),
    [anon_sym_throw] = ACTIONS(2570),
    [anon_sym_co_return] = ACTIONS(2570),
    [anon_sym_co_yield] = ACTIONS(2570),
    [anon_sym_R_DQUOTE] = ACTIONS(2572),
    [anon_sym_LR_DQUOTE] = ACTIONS(2572),
    [anon_sym_uR_DQUOTE] = ACTIONS(2572),
    [anon_sym_UR_DQUOTE] = ACTIONS(2572),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2572),
    [anon_sym_co_await] = ACTIONS(2570),
    [anon_sym_new] = ACTIONS(2570),
    [anon_sym_requires] = ACTIONS(2570),
    [sym_this] = ACTIONS(2570),
  },
  [836] = {
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_BANG] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2566),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_goto] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2566),
    [anon_sym___leave] = ACTIONS(2566),
    [anon_sym_not] = ACTIONS(2566),
    [anon_sym_compl] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_sizeof] = ACTIONS(2566),
    [anon_sym___alignof__] = ACTIONS(2566),
    [anon_sym___alignof] = ACTIONS(2566),
    [anon_sym__alignof] = ACTIONS(2566),
    [anon_sym_alignof] = ACTIONS(2566),
    [anon_sym__Alignof] = ACTIONS(2566),
    [anon_sym_offsetof] = ACTIONS(2566),
    [anon_sym__Generic] = ACTIONS(2566),
    [anon_sym_asm] = ACTIONS(2566),
    [anon_sym___asm__] = ACTIONS(2566),
    [anon_sym___asm] = ACTIONS(2566),
    [sym_number_literal] = ACTIONS(2568),
    [anon_sym_L_SQUOTE] = ACTIONS(2568),
    [anon_sym_u_SQUOTE] = ACTIONS(2568),
    [anon_sym_U_SQUOTE] = ACTIONS(2568),
    [anon_sym_u8_SQUOTE] = ACTIONS(2568),
    [anon_sym_SQUOTE] = ACTIONS(2568),
    [anon_sym_L_DQUOTE] = ACTIONS(2568),
    [anon_sym_u_DQUOTE] = ACTIONS(2568),
    [anon_sym_U_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8_DQUOTE] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2568),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_NULL] = ACTIONS(2566),
    [anon_sym_nullptr] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_delete] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_co_return] = ACTIONS(2566),
    [anon_sym_co_yield] = ACTIONS(2566),
    [anon_sym_catch] = ACTIONS(2566),
    [anon_sym_R_DQUOTE] = ACTIONS(2568),
    [anon_sym_LR_DQUOTE] = ACTIONS(2568),
    [anon_sym_uR_DQUOTE] = ACTIONS(2568),
    [anon_sym_UR_DQUOTE] = ACTIONS(2568),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2568),
    [anon_sym_co_await] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_requires] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
  },
  [837] = {
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6091),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_expression] = STATE(2952),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3076),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5294),
    [sym_qualified_identifier] = STATE(3121),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(3068),
    [anon_sym_LPAREN2] = ACTIONS(1758),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1762),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [838] = {
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1954),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(1956),
    [anon_sym_compl] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_throw] = ACTIONS(1956),
    [anon_sym_co_return] = ACTIONS(1956),
    [anon_sym_co_yield] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_R_DQUOTE] = ACTIONS(1954),
    [anon_sym_LR_DQUOTE] = ACTIONS(1954),
    [anon_sym_uR_DQUOTE] = ACTIONS(1954),
    [anon_sym_UR_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1954),
    [anon_sym_co_await] = ACTIONS(1956),
    [anon_sym_new] = ACTIONS(1956),
    [anon_sym_requires] = ACTIONS(1956),
    [sym_this] = ACTIONS(1956),
  },
  [839] = {
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_else] = ACTIONS(1952),
    [anon_sym_switch] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym___try] = ACTIONS(1952),
    [anon_sym___leave] = ACTIONS(1952),
    [anon_sym_not] = ACTIONS(1952),
    [anon_sym_compl] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1950),
    [anon_sym_PLUS_PLUS] = ACTIONS(1950),
    [anon_sym_sizeof] = ACTIONS(1952),
    [anon_sym___alignof__] = ACTIONS(1952),
    [anon_sym___alignof] = ACTIONS(1952),
    [anon_sym__alignof] = ACTIONS(1952),
    [anon_sym_alignof] = ACTIONS(1952),
    [anon_sym__Alignof] = ACTIONS(1952),
    [anon_sym_offsetof] = ACTIONS(1952),
    [anon_sym__Generic] = ACTIONS(1952),
    [anon_sym_asm] = ACTIONS(1952),
    [anon_sym___asm__] = ACTIONS(1952),
    [anon_sym___asm] = ACTIONS(1952),
    [sym_number_literal] = ACTIONS(1950),
    [anon_sym_L_SQUOTE] = ACTIONS(1950),
    [anon_sym_u_SQUOTE] = ACTIONS(1950),
    [anon_sym_U_SQUOTE] = ACTIONS(1950),
    [anon_sym_u8_SQUOTE] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1950),
    [anon_sym_L_DQUOTE] = ACTIONS(1950),
    [anon_sym_u_DQUOTE] = ACTIONS(1950),
    [anon_sym_U_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8_DQUOTE] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [sym_true] = ACTIONS(1952),
    [sym_false] = ACTIONS(1952),
    [anon_sym_NULL] = ACTIONS(1952),
    [anon_sym_nullptr] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_throw] = ACTIONS(1952),
    [anon_sym_co_return] = ACTIONS(1952),
    [anon_sym_co_yield] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
    [anon_sym_R_DQUOTE] = ACTIONS(1950),
    [anon_sym_LR_DQUOTE] = ACTIONS(1950),
    [anon_sym_uR_DQUOTE] = ACTIONS(1950),
    [anon_sym_UR_DQUOTE] = ACTIONS(1950),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1950),
    [anon_sym_co_await] = ACTIONS(1952),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1952),
    [sym_this] = ACTIONS(1952),
  },
  [840] = {
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6091),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3172),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5329),
    [sym_qualified_identifier] = STATE(3136),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_operator_name] = STATE(5841),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2876),
    [anon_sym_LPAREN2] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_virtual] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym_COLON_COLON] = ACTIONS(2780),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym__Nonnull] = ACTIONS(2778),
    [anon_sym_mutable] = ACTIONS(2778),
    [anon_sym_constinit] = ACTIONS(2778),
    [anon_sym_consteval] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym__Alignas] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_else] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym___leave] = ACTIONS(2778),
    [anon_sym_not] = ACTIONS(2778),
    [anon_sym_compl] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [anon_sym___asm] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2778),
    [anon_sym_decltype] = ACTIONS(2778),
    [anon_sym_typename] = ACTIONS(2778),
    [anon_sym_template] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_co_return] = ACTIONS(2778),
    [anon_sym_co_yield] = ACTIONS(2778),
    [anon_sym_R_DQUOTE] = ACTIONS(2780),
    [anon_sym_LR_DQUOTE] = ACTIONS(2780),
    [anon_sym_uR_DQUOTE] = ACTIONS(2780),
    [anon_sym_UR_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2780),
    [anon_sym_co_await] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_requires] = ACTIONS(2778),
    [sym_this] = ACTIONS(2778),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_virtual] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym__Nonnull] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_else] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [anon_sym___asm] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_virtual] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_else] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_LPAREN2] = ACTIONS(2816),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2816),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2814),
    [anon_sym_typedef] = ACTIONS(2814),
    [anon_sym_virtual] = ACTIONS(2814),
    [anon_sym_extern] = ACTIONS(2814),
    [anon_sym___attribute__] = ACTIONS(2814),
    [anon_sym_COLON_COLON] = ACTIONS(2816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2816),
    [anon_sym___declspec] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2814),
    [anon_sym_unsigned] = ACTIONS(2814),
    [anon_sym_long] = ACTIONS(2814),
    [anon_sym_short] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_register] = ACTIONS(2814),
    [anon_sym_inline] = ACTIONS(2814),
    [anon_sym___inline] = ACTIONS(2814),
    [anon_sym___inline__] = ACTIONS(2814),
    [anon_sym___forceinline] = ACTIONS(2814),
    [anon_sym_thread_local] = ACTIONS(2814),
    [anon_sym___thread] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_constexpr] = ACTIONS(2814),
    [anon_sym_volatile] = ACTIONS(2814),
    [anon_sym_restrict] = ACTIONS(2814),
    [anon_sym___restrict__] = ACTIONS(2814),
    [anon_sym__Atomic] = ACTIONS(2814),
    [anon_sym__Noreturn] = ACTIONS(2814),
    [anon_sym_noreturn] = ACTIONS(2814),
    [anon_sym__Nonnull] = ACTIONS(2814),
    [anon_sym_mutable] = ACTIONS(2814),
    [anon_sym_constinit] = ACTIONS(2814),
    [anon_sym_consteval] = ACTIONS(2814),
    [anon_sym_alignas] = ACTIONS(2814),
    [anon_sym__Alignas] = ACTIONS(2814),
    [sym_primitive_type] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_struct] = ACTIONS(2814),
    [anon_sym_union] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_goto] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2814),
    [anon_sym___leave] = ACTIONS(2814),
    [anon_sym_not] = ACTIONS(2814),
    [anon_sym_compl] = ACTIONS(2814),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_sizeof] = ACTIONS(2814),
    [anon_sym___alignof__] = ACTIONS(2814),
    [anon_sym___alignof] = ACTIONS(2814),
    [anon_sym__alignof] = ACTIONS(2814),
    [anon_sym_alignof] = ACTIONS(2814),
    [anon_sym__Alignof] = ACTIONS(2814),
    [anon_sym_offsetof] = ACTIONS(2814),
    [anon_sym__Generic] = ACTIONS(2814),
    [anon_sym_asm] = ACTIONS(2814),
    [anon_sym___asm__] = ACTIONS(2814),
    [anon_sym___asm] = ACTIONS(2814),
    [sym_number_literal] = ACTIONS(2816),
    [anon_sym_L_SQUOTE] = ACTIONS(2816),
    [anon_sym_u_SQUOTE] = ACTIONS(2816),
    [anon_sym_U_SQUOTE] = ACTIONS(2816),
    [anon_sym_u8_SQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_L_DQUOTE] = ACTIONS(2816),
    [anon_sym_u_DQUOTE] = ACTIONS(2816),
    [anon_sym_U_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8_DQUOTE] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [anon_sym_NULL] = ACTIONS(2814),
    [anon_sym_nullptr] = ACTIONS(2814),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2814),
    [anon_sym_decltype] = ACTIONS(2814),
    [anon_sym_typename] = ACTIONS(2814),
    [anon_sym_template] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_co_return] = ACTIONS(2814),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2816),
    [anon_sym_LR_DQUOTE] = ACTIONS(2816),
    [anon_sym_uR_DQUOTE] = ACTIONS(2816),
    [anon_sym_UR_DQUOTE] = ACTIONS(2816),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2816),
    [anon_sym_co_await] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_requires] = ACTIONS(2814),
    [sym_this] = ACTIONS(2814),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2800),
    [anon_sym_LPAREN2] = ACTIONS(2802),
    [anon_sym_BANG] = ACTIONS(2802),
    [anon_sym_TILDE] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2802),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2802),
    [anon_sym___extension__] = ACTIONS(2800),
    [anon_sym_typedef] = ACTIONS(2800),
    [anon_sym_virtual] = ACTIONS(2800),
    [anon_sym_extern] = ACTIONS(2800),
    [anon_sym___attribute__] = ACTIONS(2800),
    [anon_sym_COLON_COLON] = ACTIONS(2802),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2802),
    [anon_sym___declspec] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(2802),
    [anon_sym_signed] = ACTIONS(2800),
    [anon_sym_unsigned] = ACTIONS(2800),
    [anon_sym_long] = ACTIONS(2800),
    [anon_sym_short] = ACTIONS(2800),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym_static] = ACTIONS(2800),
    [anon_sym_register] = ACTIONS(2800),
    [anon_sym_inline] = ACTIONS(2800),
    [anon_sym___inline] = ACTIONS(2800),
    [anon_sym___inline__] = ACTIONS(2800),
    [anon_sym___forceinline] = ACTIONS(2800),
    [anon_sym_thread_local] = ACTIONS(2800),
    [anon_sym___thread] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2800),
    [anon_sym_constexpr] = ACTIONS(2800),
    [anon_sym_volatile] = ACTIONS(2800),
    [anon_sym_restrict] = ACTIONS(2800),
    [anon_sym___restrict__] = ACTIONS(2800),
    [anon_sym__Atomic] = ACTIONS(2800),
    [anon_sym__Noreturn] = ACTIONS(2800),
    [anon_sym_noreturn] = ACTIONS(2800),
    [anon_sym__Nonnull] = ACTIONS(2800),
    [anon_sym_mutable] = ACTIONS(2800),
    [anon_sym_constinit] = ACTIONS(2800),
    [anon_sym_consteval] = ACTIONS(2800),
    [anon_sym_alignas] = ACTIONS(2800),
    [anon_sym__Alignas] = ACTIONS(2800),
    [sym_primitive_type] = ACTIONS(2800),
    [anon_sym_enum] = ACTIONS(2800),
    [anon_sym_class] = ACTIONS(2800),
    [anon_sym_struct] = ACTIONS(2800),
    [anon_sym_union] = ACTIONS(2800),
    [anon_sym_if] = ACTIONS(2800),
    [anon_sym_else] = ACTIONS(2800),
    [anon_sym_switch] = ACTIONS(2800),
    [anon_sym_while] = ACTIONS(2800),
    [anon_sym_do] = ACTIONS(2800),
    [anon_sym_for] = ACTIONS(2800),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_break] = ACTIONS(2800),
    [anon_sym_continue] = ACTIONS(2800),
    [anon_sym_goto] = ACTIONS(2800),
    [anon_sym___try] = ACTIONS(2800),
    [anon_sym___leave] = ACTIONS(2800),
    [anon_sym_not] = ACTIONS(2800),
    [anon_sym_compl] = ACTIONS(2800),
    [anon_sym_DASH_DASH] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2802),
    [anon_sym_sizeof] = ACTIONS(2800),
    [anon_sym___alignof__] = ACTIONS(2800),
    [anon_sym___alignof] = ACTIONS(2800),
    [anon_sym__alignof] = ACTIONS(2800),
    [anon_sym_alignof] = ACTIONS(2800),
    [anon_sym__Alignof] = ACTIONS(2800),
    [anon_sym_offsetof] = ACTIONS(2800),
    [anon_sym__Generic] = ACTIONS(2800),
    [anon_sym_asm] = ACTIONS(2800),
    [anon_sym___asm__] = ACTIONS(2800),
    [anon_sym___asm] = ACTIONS(2800),
    [sym_number_literal] = ACTIONS(2802),
    [anon_sym_L_SQUOTE] = ACTIONS(2802),
    [anon_sym_u_SQUOTE] = ACTIONS(2802),
    [anon_sym_U_SQUOTE] = ACTIONS(2802),
    [anon_sym_u8_SQUOTE] = ACTIONS(2802),
    [anon_sym_SQUOTE] = ACTIONS(2802),
    [anon_sym_L_DQUOTE] = ACTIONS(2802),
    [anon_sym_u_DQUOTE] = ACTIONS(2802),
    [anon_sym_U_DQUOTE] = ACTIONS(2802),
    [anon_sym_u8_DQUOTE] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2802),
    [sym_true] = ACTIONS(2800),
    [sym_false] = ACTIONS(2800),
    [anon_sym_NULL] = ACTIONS(2800),
    [anon_sym_nullptr] = ACTIONS(2800),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2800),
    [anon_sym_decltype] = ACTIONS(2800),
    [anon_sym_typename] = ACTIONS(2800),
    [anon_sym_template] = ACTIONS(2800),
    [anon_sym_try] = ACTIONS(2800),
    [anon_sym_delete] = ACTIONS(2800),
    [anon_sym_throw] = ACTIONS(2800),
    [anon_sym_co_return] = ACTIONS(2800),
    [anon_sym_co_yield] = ACTIONS(2800),
    [anon_sym_R_DQUOTE] = ACTIONS(2802),
    [anon_sym_LR_DQUOTE] = ACTIONS(2802),
    [anon_sym_uR_DQUOTE] = ACTIONS(2802),
    [anon_sym_UR_DQUOTE] = ACTIONS(2802),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2802),
    [anon_sym_co_await] = ACTIONS(2800),
    [anon_sym_new] = ACTIONS(2800),
    [anon_sym_requires] = ACTIONS(2800),
    [sym_this] = ACTIONS(2800),
  },
  [846] = {
    [sym_identifier] = ACTIONS(3813),
    [anon_sym_LPAREN2] = ACTIONS(3815),
    [anon_sym_BANG] = ACTIONS(3815),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_DASH] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(3813),
    [anon_sym_STAR] = ACTIONS(3815),
    [anon_sym_AMP] = ACTIONS(3815),
    [anon_sym_SEMI] = ACTIONS(3815),
    [anon_sym___extension__] = ACTIONS(3813),
    [anon_sym_virtual] = ACTIONS(3813),
    [anon_sym_extern] = ACTIONS(3813),
    [anon_sym___attribute__] = ACTIONS(3813),
    [anon_sym_COLON_COLON] = ACTIONS(3815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3815),
    [anon_sym___declspec] = ACTIONS(3813),
    [anon_sym_LBRACE] = ACTIONS(3815),
    [anon_sym_signed] = ACTIONS(3813),
    [anon_sym_unsigned] = ACTIONS(3813),
    [anon_sym_long] = ACTIONS(3813),
    [anon_sym_short] = ACTIONS(3813),
    [anon_sym_LBRACK] = ACTIONS(3813),
    [anon_sym_static] = ACTIONS(3813),
    [anon_sym_register] = ACTIONS(3813),
    [anon_sym_inline] = ACTIONS(3813),
    [anon_sym___inline] = ACTIONS(3813),
    [anon_sym___inline__] = ACTIONS(3813),
    [anon_sym___forceinline] = ACTIONS(3813),
    [anon_sym_thread_local] = ACTIONS(3813),
    [anon_sym___thread] = ACTIONS(3813),
    [anon_sym_const] = ACTIONS(3813),
    [anon_sym_constexpr] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(3813),
    [anon_sym_restrict] = ACTIONS(3813),
    [anon_sym___restrict__] = ACTIONS(3813),
    [anon_sym__Atomic] = ACTIONS(3813),
    [anon_sym__Noreturn] = ACTIONS(3813),
    [anon_sym_noreturn] = ACTIONS(3813),
    [anon_sym__Nonnull] = ACTIONS(3813),
    [anon_sym_mutable] = ACTIONS(3813),
    [anon_sym_constinit] = ACTIONS(3813),
    [anon_sym_consteval] = ACTIONS(3813),
    [anon_sym_alignas] = ACTIONS(3813),
    [anon_sym__Alignas] = ACTIONS(3813),
    [sym_primitive_type] = ACTIONS(3813),
    [anon_sym_enum] = ACTIONS(3813),
    [anon_sym_class] = ACTIONS(3813),
    [anon_sym_struct] = ACTIONS(3813),
    [anon_sym_union] = ACTIONS(3813),
    [anon_sym_if] = ACTIONS(3813),
    [anon_sym_switch] = ACTIONS(3813),
    [anon_sym_case] = ACTIONS(3813),
    [anon_sym_default] = ACTIONS(3813),
    [anon_sym_while] = ACTIONS(3813),
    [anon_sym_do] = ACTIONS(3813),
    [anon_sym_for] = ACTIONS(3813),
    [anon_sym_return] = ACTIONS(3813),
    [anon_sym_break] = ACTIONS(3813),
    [anon_sym_continue] = ACTIONS(3813),
    [anon_sym_goto] = ACTIONS(3813),
    [anon_sym___try] = ACTIONS(3813),
    [anon_sym___leave] = ACTIONS(3813),
    [anon_sym_not] = ACTIONS(3813),
    [anon_sym_compl] = ACTIONS(3813),
    [anon_sym_DASH_DASH] = ACTIONS(3815),
    [anon_sym_PLUS_PLUS] = ACTIONS(3815),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(3813),
    [anon_sym___alignof] = ACTIONS(3813),
    [anon_sym__alignof] = ACTIONS(3813),
    [anon_sym_alignof] = ACTIONS(3813),
    [anon_sym__Alignof] = ACTIONS(3813),
    [anon_sym_offsetof] = ACTIONS(3813),
    [anon_sym__Generic] = ACTIONS(3813),
    [anon_sym_asm] = ACTIONS(3813),
    [anon_sym___asm__] = ACTIONS(3813),
    [anon_sym___asm] = ACTIONS(3813),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3815),
    [anon_sym_u_SQUOTE] = ACTIONS(3815),
    [anon_sym_U_SQUOTE] = ACTIONS(3815),
    [anon_sym_u8_SQUOTE] = ACTIONS(3815),
    [anon_sym_SQUOTE] = ACTIONS(3815),
    [anon_sym_L_DQUOTE] = ACTIONS(3815),
    [anon_sym_u_DQUOTE] = ACTIONS(3815),
    [anon_sym_U_DQUOTE] = ACTIONS(3815),
    [anon_sym_u8_DQUOTE] = ACTIONS(3815),
    [anon_sym_DQUOTE] = ACTIONS(3815),
    [sym_true] = ACTIONS(3813),
    [sym_false] = ACTIONS(3813),
    [anon_sym_NULL] = ACTIONS(3813),
    [anon_sym_nullptr] = ACTIONS(3813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3813),
    [anon_sym_decltype] = ACTIONS(3813),
    [anon_sym_typename] = ACTIONS(3813),
    [anon_sym_template] = ACTIONS(3813),
    [anon_sym_try] = ACTIONS(3813),
    [anon_sym_delete] = ACTIONS(3813),
    [anon_sym_throw] = ACTIONS(3813),
    [anon_sym_co_return] = ACTIONS(3813),
    [anon_sym_co_yield] = ACTIONS(3813),
    [anon_sym_R_DQUOTE] = ACTIONS(3815),
    [anon_sym_LR_DQUOTE] = ACTIONS(3815),
    [anon_sym_uR_DQUOTE] = ACTIONS(3815),
    [anon_sym_UR_DQUOTE] = ACTIONS(3815),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3815),
    [anon_sym_co_await] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(3813),
    [anon_sym_requires] = ACTIONS(3813),
    [sym_this] = ACTIONS(3813),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2796),
    [anon_sym_LPAREN2] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym_STAR] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_typedef] = ACTIONS(2796),
    [anon_sym_virtual] = ACTIONS(2796),
    [anon_sym_extern] = ACTIONS(2796),
    [anon_sym___attribute__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2798),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2798),
    [anon_sym___declspec] = ACTIONS(2796),
    [anon_sym_LBRACE] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2796),
    [anon_sym_unsigned] = ACTIONS(2796),
    [anon_sym_long] = ACTIONS(2796),
    [anon_sym_short] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym_static] = ACTIONS(2796),
    [anon_sym_register] = ACTIONS(2796),
    [anon_sym_inline] = ACTIONS(2796),
    [anon_sym___inline] = ACTIONS(2796),
    [anon_sym___inline__] = ACTIONS(2796),
    [anon_sym___forceinline] = ACTIONS(2796),
    [anon_sym_thread_local] = ACTIONS(2796),
    [anon_sym___thread] = ACTIONS(2796),
    [anon_sym_const] = ACTIONS(2796),
    [anon_sym_constexpr] = ACTIONS(2796),
    [anon_sym_volatile] = ACTIONS(2796),
    [anon_sym_restrict] = ACTIONS(2796),
    [anon_sym___restrict__] = ACTIONS(2796),
    [anon_sym__Atomic] = ACTIONS(2796),
    [anon_sym__Noreturn] = ACTIONS(2796),
    [anon_sym_noreturn] = ACTIONS(2796),
    [anon_sym__Nonnull] = ACTIONS(2796),
    [anon_sym_mutable] = ACTIONS(2796),
    [anon_sym_constinit] = ACTIONS(2796),
    [anon_sym_consteval] = ACTIONS(2796),
    [anon_sym_alignas] = ACTIONS(2796),
    [anon_sym__Alignas] = ACTIONS(2796),
    [sym_primitive_type] = ACTIONS(2796),
    [anon_sym_enum] = ACTIONS(2796),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_struct] = ACTIONS(2796),
    [anon_sym_union] = ACTIONS(2796),
    [anon_sym_if] = ACTIONS(2796),
    [anon_sym_else] = ACTIONS(2796),
    [anon_sym_switch] = ACTIONS(2796),
    [anon_sym_while] = ACTIONS(2796),
    [anon_sym_do] = ACTIONS(2796),
    [anon_sym_for] = ACTIONS(2796),
    [anon_sym_return] = ACTIONS(2796),
    [anon_sym_break] = ACTIONS(2796),
    [anon_sym_continue] = ACTIONS(2796),
    [anon_sym_goto] = ACTIONS(2796),
    [anon_sym___try] = ACTIONS(2796),
    [anon_sym___leave] = ACTIONS(2796),
    [anon_sym_not] = ACTIONS(2796),
    [anon_sym_compl] = ACTIONS(2796),
    [anon_sym_DASH_DASH] = ACTIONS(2798),
    [anon_sym_PLUS_PLUS] = ACTIONS(2798),
    [anon_sym_sizeof] = ACTIONS(2796),
    [anon_sym___alignof__] = ACTIONS(2796),
    [anon_sym___alignof] = ACTIONS(2796),
    [anon_sym__alignof] = ACTIONS(2796),
    [anon_sym_alignof] = ACTIONS(2796),
    [anon_sym__Alignof] = ACTIONS(2796),
    [anon_sym_offsetof] = ACTIONS(2796),
    [anon_sym__Generic] = ACTIONS(2796),
    [anon_sym_asm] = ACTIONS(2796),
    [anon_sym___asm__] = ACTIONS(2796),
    [anon_sym___asm] = ACTIONS(2796),
    [sym_number_literal] = ACTIONS(2798),
    [anon_sym_L_SQUOTE] = ACTIONS(2798),
    [anon_sym_u_SQUOTE] = ACTIONS(2798),
    [anon_sym_U_SQUOTE] = ACTIONS(2798),
    [anon_sym_u8_SQUOTE] = ACTIONS(2798),
    [anon_sym_SQUOTE] = ACTIONS(2798),
    [anon_sym_L_DQUOTE] = ACTIONS(2798),
    [anon_sym_u_DQUOTE] = ACTIONS(2798),
    [anon_sym_U_DQUOTE] = ACTIONS(2798),
    [anon_sym_u8_DQUOTE] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2798),
    [sym_true] = ACTIONS(2796),
    [sym_false] = ACTIONS(2796),
    [anon_sym_NULL] = ACTIONS(2796),
    [anon_sym_nullptr] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2796),
    [anon_sym_decltype] = ACTIONS(2796),
    [anon_sym_typename] = ACTIONS(2796),
    [anon_sym_template] = ACTIONS(2796),
    [anon_sym_try] = ACTIONS(2796),
    [anon_sym_delete] = ACTIONS(2796),
    [anon_sym_throw] = ACTIONS(2796),
    [anon_sym_co_return] = ACTIONS(2796),
    [anon_sym_co_yield] = ACTIONS(2796),
    [anon_sym_R_DQUOTE] = ACTIONS(2798),
    [anon_sym_LR_DQUOTE] = ACTIONS(2798),
    [anon_sym_uR_DQUOTE] = ACTIONS(2798),
    [anon_sym_UR_DQUOTE] = ACTIONS(2798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2798),
    [anon_sym_co_await] = ACTIONS(2796),
    [anon_sym_new] = ACTIONS(2796),
    [anon_sym_requires] = ACTIONS(2796),
    [sym_this] = ACTIONS(2796),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2726),
    [anon_sym_LPAREN2] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym_typedef] = ACTIONS(2726),
    [anon_sym_virtual] = ACTIONS(2726),
    [anon_sym_extern] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym_COLON_COLON] = ACTIONS(2728),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2728),
    [anon_sym___declspec] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_register] = ACTIONS(2726),
    [anon_sym_inline] = ACTIONS(2726),
    [anon_sym___inline] = ACTIONS(2726),
    [anon_sym___inline__] = ACTIONS(2726),
    [anon_sym___forceinline] = ACTIONS(2726),
    [anon_sym_thread_local] = ACTIONS(2726),
    [anon_sym___thread] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_mutable] = ACTIONS(2726),
    [anon_sym_constinit] = ACTIONS(2726),
    [anon_sym_consteval] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_class] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_else] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_goto] = ACTIONS(2726),
    [anon_sym___try] = ACTIONS(2726),
    [anon_sym___leave] = ACTIONS(2726),
    [anon_sym_not] = ACTIONS(2726),
    [anon_sym_compl] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_sizeof] = ACTIONS(2726),
    [anon_sym___alignof__] = ACTIONS(2726),
    [anon_sym___alignof] = ACTIONS(2726),
    [anon_sym__alignof] = ACTIONS(2726),
    [anon_sym_alignof] = ACTIONS(2726),
    [anon_sym__Alignof] = ACTIONS(2726),
    [anon_sym_offsetof] = ACTIONS(2726),
    [anon_sym__Generic] = ACTIONS(2726),
    [anon_sym_asm] = ACTIONS(2726),
    [anon_sym___asm__] = ACTIONS(2726),
    [anon_sym___asm] = ACTIONS(2726),
    [sym_number_literal] = ACTIONS(2728),
    [anon_sym_L_SQUOTE] = ACTIONS(2728),
    [anon_sym_u_SQUOTE] = ACTIONS(2728),
    [anon_sym_U_SQUOTE] = ACTIONS(2728),
    [anon_sym_u8_SQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_L_DQUOTE] = ACTIONS(2728),
    [anon_sym_u_DQUOTE] = ACTIONS(2728),
    [anon_sym_U_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8_DQUOTE] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [anon_sym_NULL] = ACTIONS(2726),
    [anon_sym_nullptr] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2726),
    [anon_sym_decltype] = ACTIONS(2726),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(2726),
    [anon_sym_try] = ACTIONS(2726),
    [anon_sym_delete] = ACTIONS(2726),
    [anon_sym_throw] = ACTIONS(2726),
    [anon_sym_co_return] = ACTIONS(2726),
    [anon_sym_co_yield] = ACTIONS(2726),
    [anon_sym_R_DQUOTE] = ACTIONS(2728),
    [anon_sym_LR_DQUOTE] = ACTIONS(2728),
    [anon_sym_uR_DQUOTE] = ACTIONS(2728),
    [anon_sym_UR_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2728),
    [anon_sym_co_await] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2726),
    [anon_sym_requires] = ACTIONS(2726),
    [sym_this] = ACTIONS(2726),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_virtual] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym_COLON_COLON] = ACTIONS(2712),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_mutable] = ACTIONS(2710),
    [anon_sym_constinit] = ACTIONS(2710),
    [anon_sym_consteval] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_else] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym___leave] = ACTIONS(2710),
    [anon_sym_not] = ACTIONS(2710),
    [anon_sym_compl] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2710),
    [anon_sym_decltype] = ACTIONS(2710),
    [anon_sym_typename] = ACTIONS(2710),
    [anon_sym_template] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_co_return] = ACTIONS(2710),
    [anon_sym_co_yield] = ACTIONS(2710),
    [anon_sym_R_DQUOTE] = ACTIONS(2712),
    [anon_sym_LR_DQUOTE] = ACTIONS(2712),
    [anon_sym_uR_DQUOTE] = ACTIONS(2712),
    [anon_sym_UR_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2712),
    [anon_sym_co_await] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_requires] = ACTIONS(2710),
    [sym_this] = ACTIONS(2710),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2734),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_virtual] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_virtual] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym_COLON_COLON] = ACTIONS(2724),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_mutable] = ACTIONS(2722),
    [anon_sym_constinit] = ACTIONS(2722),
    [anon_sym_consteval] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym___leave] = ACTIONS(2722),
    [anon_sym_not] = ACTIONS(2722),
    [anon_sym_compl] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2722),
    [anon_sym_typename] = ACTIONS(2722),
    [anon_sym_template] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_co_return] = ACTIONS(2722),
    [anon_sym_co_yield] = ACTIONS(2722),
    [anon_sym_R_DQUOTE] = ACTIONS(2724),
    [anon_sym_LR_DQUOTE] = ACTIONS(2724),
    [anon_sym_uR_DQUOTE] = ACTIONS(2724),
    [anon_sym_UR_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2724),
    [anon_sym_co_await] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_requires] = ACTIONS(2722),
    [sym_this] = ACTIONS(2722),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym___extension__] = ACTIONS(2676),
    [anon_sym_typedef] = ACTIONS(2676),
    [anon_sym_virtual] = ACTIONS(2676),
    [anon_sym_extern] = ACTIONS(2676),
    [anon_sym___attribute__] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2678),
    [anon_sym___declspec] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_signed] = ACTIONS(2676),
    [anon_sym_unsigned] = ACTIONS(2676),
    [anon_sym_long] = ACTIONS(2676),
    [anon_sym_short] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_register] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym___inline] = ACTIONS(2676),
    [anon_sym___inline__] = ACTIONS(2676),
    [anon_sym___forceinline] = ACTIONS(2676),
    [anon_sym_thread_local] = ACTIONS(2676),
    [anon_sym___thread] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_constexpr] = ACTIONS(2676),
    [anon_sym_volatile] = ACTIONS(2676),
    [anon_sym_restrict] = ACTIONS(2676),
    [anon_sym___restrict__] = ACTIONS(2676),
    [anon_sym__Atomic] = ACTIONS(2676),
    [anon_sym__Noreturn] = ACTIONS(2676),
    [anon_sym_noreturn] = ACTIONS(2676),
    [anon_sym__Nonnull] = ACTIONS(2676),
    [anon_sym_mutable] = ACTIONS(2676),
    [anon_sym_constinit] = ACTIONS(2676),
    [anon_sym_consteval] = ACTIONS(2676),
    [anon_sym_alignas] = ACTIONS(2676),
    [anon_sym__Alignas] = ACTIONS(2676),
    [sym_primitive_type] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_struct] = ACTIONS(2676),
    [anon_sym_union] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_break] = ACTIONS(2676),
    [anon_sym_continue] = ACTIONS(2676),
    [anon_sym_goto] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2676),
    [anon_sym___leave] = ACTIONS(2676),
    [anon_sym_not] = ACTIONS(2676),
    [anon_sym_compl] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_sizeof] = ACTIONS(2676),
    [anon_sym___alignof__] = ACTIONS(2676),
    [anon_sym___alignof] = ACTIONS(2676),
    [anon_sym__alignof] = ACTIONS(2676),
    [anon_sym_alignof] = ACTIONS(2676),
    [anon_sym__Alignof] = ACTIONS(2676),
    [anon_sym_offsetof] = ACTIONS(2676),
    [anon_sym__Generic] = ACTIONS(2676),
    [anon_sym_asm] = ACTIONS(2676),
    [anon_sym___asm__] = ACTIONS(2676),
    [anon_sym___asm] = ACTIONS(2676),
    [sym_number_literal] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2678),
    [anon_sym_u_SQUOTE] = ACTIONS(2678),
    [anon_sym_U_SQUOTE] = ACTIONS(2678),
    [anon_sym_u8_SQUOTE] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_L_DQUOTE] = ACTIONS(2678),
    [anon_sym_u_DQUOTE] = ACTIONS(2678),
    [anon_sym_U_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2678),
    [sym_true] = ACTIONS(2676),
    [sym_false] = ACTIONS(2676),
    [anon_sym_NULL] = ACTIONS(2676),
    [anon_sym_nullptr] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2676),
    [anon_sym_decltype] = ACTIONS(2676),
    [anon_sym_typename] = ACTIONS(2676),
    [anon_sym_template] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2676),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_co_return] = ACTIONS(2676),
    [anon_sym_co_yield] = ACTIONS(2676),
    [anon_sym_R_DQUOTE] = ACTIONS(2678),
    [anon_sym_LR_DQUOTE] = ACTIONS(2678),
    [anon_sym_uR_DQUOTE] = ACTIONS(2678),
    [anon_sym_UR_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2678),
    [anon_sym_co_await] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_requires] = ACTIONS(2676),
    [sym_this] = ACTIONS(2676),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_virtual] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym_COLON_COLON] = ACTIONS(2788),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_mutable] = ACTIONS(2786),
    [anon_sym_constinit] = ACTIONS(2786),
    [anon_sym_consteval] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym___leave] = ACTIONS(2786),
    [anon_sym_not] = ACTIONS(2786),
    [anon_sym_compl] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2786),
    [anon_sym_decltype] = ACTIONS(2786),
    [anon_sym_typename] = ACTIONS(2786),
    [anon_sym_template] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_co_return] = ACTIONS(2786),
    [anon_sym_co_yield] = ACTIONS(2786),
    [anon_sym_R_DQUOTE] = ACTIONS(2788),
    [anon_sym_LR_DQUOTE] = ACTIONS(2788),
    [anon_sym_uR_DQUOTE] = ACTIONS(2788),
    [anon_sym_UR_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2788),
    [anon_sym_co_await] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_requires] = ACTIONS(2786),
    [sym_this] = ACTIONS(2786),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_virtual] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_mutable] = ACTIONS(2714),
    [anon_sym_constinit] = ACTIONS(2714),
    [anon_sym_consteval] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_class] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_else] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym___try] = ACTIONS(2714),
    [anon_sym___leave] = ACTIONS(2714),
    [anon_sym_not] = ACTIONS(2714),
    [anon_sym_compl] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_sizeof] = ACTIONS(2714),
    [anon_sym___alignof__] = ACTIONS(2714),
    [anon_sym___alignof] = ACTIONS(2714),
    [anon_sym__alignof] = ACTIONS(2714),
    [anon_sym_alignof] = ACTIONS(2714),
    [anon_sym__Alignof] = ACTIONS(2714),
    [anon_sym_offsetof] = ACTIONS(2714),
    [anon_sym__Generic] = ACTIONS(2714),
    [anon_sym_asm] = ACTIONS(2714),
    [anon_sym___asm__] = ACTIONS(2714),
    [anon_sym___asm] = ACTIONS(2714),
    [sym_number_literal] = ACTIONS(2716),
    [anon_sym_L_SQUOTE] = ACTIONS(2716),
    [anon_sym_u_SQUOTE] = ACTIONS(2716),
    [anon_sym_U_SQUOTE] = ACTIONS(2716),
    [anon_sym_u8_SQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [anon_sym_NULL] = ACTIONS(2714),
    [anon_sym_nullptr] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2714),
    [anon_sym_decltype] = ACTIONS(2714),
    [anon_sym_typename] = ACTIONS(2714),
    [anon_sym_template] = ACTIONS(2714),
    [anon_sym_try] = ACTIONS(2714),
    [anon_sym_delete] = ACTIONS(2714),
    [anon_sym_throw] = ACTIONS(2714),
    [anon_sym_co_return] = ACTIONS(2714),
    [anon_sym_co_yield] = ACTIONS(2714),
    [anon_sym_R_DQUOTE] = ACTIONS(2716),
    [anon_sym_LR_DQUOTE] = ACTIONS(2716),
    [anon_sym_uR_DQUOTE] = ACTIONS(2716),
    [anon_sym_UR_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2716),
    [anon_sym_co_await] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2714),
    [anon_sym_requires] = ACTIONS(2714),
    [sym_this] = ACTIONS(2714),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_virtual] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym__Nonnull] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [anon_sym___asm] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_virtual] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym__Nonnull] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_else] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [anon_sym___asm] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2690),
    [anon_sym_LPAREN2] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2692),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2690),
    [anon_sym_typedef] = ACTIONS(2690),
    [anon_sym_virtual] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2690),
    [anon_sym___attribute__] = ACTIONS(2690),
    [anon_sym_COLON_COLON] = ACTIONS(2692),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2692),
    [anon_sym___declspec] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_signed] = ACTIONS(2690),
    [anon_sym_unsigned] = ACTIONS(2690),
    [anon_sym_long] = ACTIONS(2690),
    [anon_sym_short] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_register] = ACTIONS(2690),
    [anon_sym_inline] = ACTIONS(2690),
    [anon_sym___inline] = ACTIONS(2690),
    [anon_sym___inline__] = ACTIONS(2690),
    [anon_sym___forceinline] = ACTIONS(2690),
    [anon_sym_thread_local] = ACTIONS(2690),
    [anon_sym___thread] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_constexpr] = ACTIONS(2690),
    [anon_sym_volatile] = ACTIONS(2690),
    [anon_sym_restrict] = ACTIONS(2690),
    [anon_sym___restrict__] = ACTIONS(2690),
    [anon_sym__Atomic] = ACTIONS(2690),
    [anon_sym__Noreturn] = ACTIONS(2690),
    [anon_sym_noreturn] = ACTIONS(2690),
    [anon_sym__Nonnull] = ACTIONS(2690),
    [anon_sym_mutable] = ACTIONS(2690),
    [anon_sym_constinit] = ACTIONS(2690),
    [anon_sym_consteval] = ACTIONS(2690),
    [anon_sym_alignas] = ACTIONS(2690),
    [anon_sym__Alignas] = ACTIONS(2690),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [anon_sym_class] = ACTIONS(2690),
    [anon_sym_struct] = ACTIONS(2690),
    [anon_sym_union] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_else] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_goto] = ACTIONS(2690),
    [anon_sym___try] = ACTIONS(2690),
    [anon_sym___leave] = ACTIONS(2690),
    [anon_sym_not] = ACTIONS(2690),
    [anon_sym_compl] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_sizeof] = ACTIONS(2690),
    [anon_sym___alignof__] = ACTIONS(2690),
    [anon_sym___alignof] = ACTIONS(2690),
    [anon_sym__alignof] = ACTIONS(2690),
    [anon_sym_alignof] = ACTIONS(2690),
    [anon_sym__Alignof] = ACTIONS(2690),
    [anon_sym_offsetof] = ACTIONS(2690),
    [anon_sym__Generic] = ACTIONS(2690),
    [anon_sym_asm] = ACTIONS(2690),
    [anon_sym___asm__] = ACTIONS(2690),
    [anon_sym___asm] = ACTIONS(2690),
    [sym_number_literal] = ACTIONS(2692),
    [anon_sym_L_SQUOTE] = ACTIONS(2692),
    [anon_sym_u_SQUOTE] = ACTIONS(2692),
    [anon_sym_U_SQUOTE] = ACTIONS(2692),
    [anon_sym_u8_SQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_L_DQUOTE] = ACTIONS(2692),
    [anon_sym_u_DQUOTE] = ACTIONS(2692),
    [anon_sym_U_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8_DQUOTE] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [anon_sym_NULL] = ACTIONS(2690),
    [anon_sym_nullptr] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2690),
    [anon_sym_decltype] = ACTIONS(2690),
    [anon_sym_typename] = ACTIONS(2690),
    [anon_sym_template] = ACTIONS(2690),
    [anon_sym_try] = ACTIONS(2690),
    [anon_sym_delete] = ACTIONS(2690),
    [anon_sym_throw] = ACTIONS(2690),
    [anon_sym_co_return] = ACTIONS(2690),
    [anon_sym_co_yield] = ACTIONS(2690),
    [anon_sym_R_DQUOTE] = ACTIONS(2692),
    [anon_sym_LR_DQUOTE] = ACTIONS(2692),
    [anon_sym_uR_DQUOTE] = ACTIONS(2692),
    [anon_sym_UR_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2692),
    [anon_sym_co_await] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2690),
    [anon_sym_requires] = ACTIONS(2690),
    [sym_this] = ACTIONS(2690),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_virtual] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym_COLON_COLON] = ACTIONS(2784),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym__Nonnull] = ACTIONS(2782),
    [anon_sym_mutable] = ACTIONS(2782),
    [anon_sym_constinit] = ACTIONS(2782),
    [anon_sym_consteval] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym__Alignas] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_else] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym___leave] = ACTIONS(2782),
    [anon_sym_not] = ACTIONS(2782),
    [anon_sym_compl] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [anon_sym___asm] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2782),
    [anon_sym_decltype] = ACTIONS(2782),
    [anon_sym_typename] = ACTIONS(2782),
    [anon_sym_template] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_co_return] = ACTIONS(2782),
    [anon_sym_co_yield] = ACTIONS(2782),
    [anon_sym_R_DQUOTE] = ACTIONS(2784),
    [anon_sym_LR_DQUOTE] = ACTIONS(2784),
    [anon_sym_uR_DQUOTE] = ACTIONS(2784),
    [anon_sym_UR_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2784),
    [anon_sym_co_await] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_requires] = ACTIONS(2782),
    [sym_this] = ACTIONS(2782),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2738),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_virtual] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym__Nonnull] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [sym_primitive_type] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [anon_sym___asm] = ACTIONS(2736),
    [sym_number_literal] = ACTIONS(2738),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2698),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [anon_sym___asm] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2746),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_virtual] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym__Nonnull] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [anon_sym___asm] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [862] = {
    [sym_identifier] = ACTIONS(3809),
    [anon_sym_LPAREN2] = ACTIONS(3811),
    [anon_sym_BANG] = ACTIONS(3811),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_DASH] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(3809),
    [anon_sym_STAR] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_SEMI] = ACTIONS(3811),
    [anon_sym___extension__] = ACTIONS(3809),
    [anon_sym_virtual] = ACTIONS(3809),
    [anon_sym_extern] = ACTIONS(3809),
    [anon_sym___attribute__] = ACTIONS(3809),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3811),
    [anon_sym___declspec] = ACTIONS(3809),
    [anon_sym_LBRACE] = ACTIONS(3811),
    [anon_sym_signed] = ACTIONS(3809),
    [anon_sym_unsigned] = ACTIONS(3809),
    [anon_sym_long] = ACTIONS(3809),
    [anon_sym_short] = ACTIONS(3809),
    [anon_sym_LBRACK] = ACTIONS(3809),
    [anon_sym_static] = ACTIONS(3809),
    [anon_sym_register] = ACTIONS(3809),
    [anon_sym_inline] = ACTIONS(3809),
    [anon_sym___inline] = ACTIONS(3809),
    [anon_sym___inline__] = ACTIONS(3809),
    [anon_sym___forceinline] = ACTIONS(3809),
    [anon_sym_thread_local] = ACTIONS(3809),
    [anon_sym___thread] = ACTIONS(3809),
    [anon_sym_const] = ACTIONS(3809),
    [anon_sym_constexpr] = ACTIONS(3809),
    [anon_sym_volatile] = ACTIONS(3809),
    [anon_sym_restrict] = ACTIONS(3809),
    [anon_sym___restrict__] = ACTIONS(3809),
    [anon_sym__Atomic] = ACTIONS(3809),
    [anon_sym__Noreturn] = ACTIONS(3809),
    [anon_sym_noreturn] = ACTIONS(3809),
    [anon_sym__Nonnull] = ACTIONS(3809),
    [anon_sym_mutable] = ACTIONS(3809),
    [anon_sym_constinit] = ACTIONS(3809),
    [anon_sym_consteval] = ACTIONS(3809),
    [anon_sym_alignas] = ACTIONS(3809),
    [anon_sym__Alignas] = ACTIONS(3809),
    [sym_primitive_type] = ACTIONS(3809),
    [anon_sym_enum] = ACTIONS(3809),
    [anon_sym_class] = ACTIONS(3809),
    [anon_sym_struct] = ACTIONS(3809),
    [anon_sym_union] = ACTIONS(3809),
    [anon_sym_if] = ACTIONS(3809),
    [anon_sym_switch] = ACTIONS(3809),
    [anon_sym_case] = ACTIONS(3809),
    [anon_sym_default] = ACTIONS(3809),
    [anon_sym_while] = ACTIONS(3809),
    [anon_sym_do] = ACTIONS(3809),
    [anon_sym_for] = ACTIONS(3809),
    [anon_sym_return] = ACTIONS(3809),
    [anon_sym_break] = ACTIONS(3809),
    [anon_sym_continue] = ACTIONS(3809),
    [anon_sym_goto] = ACTIONS(3809),
    [anon_sym___try] = ACTIONS(3809),
    [anon_sym___leave] = ACTIONS(3809),
    [anon_sym_not] = ACTIONS(3809),
    [anon_sym_compl] = ACTIONS(3809),
    [anon_sym_DASH_DASH] = ACTIONS(3811),
    [anon_sym_PLUS_PLUS] = ACTIONS(3811),
    [anon_sym_sizeof] = ACTIONS(3809),
    [anon_sym___alignof__] = ACTIONS(3809),
    [anon_sym___alignof] = ACTIONS(3809),
    [anon_sym__alignof] = ACTIONS(3809),
    [anon_sym_alignof] = ACTIONS(3809),
    [anon_sym__Alignof] = ACTIONS(3809),
    [anon_sym_offsetof] = ACTIONS(3809),
    [anon_sym__Generic] = ACTIONS(3809),
    [anon_sym_asm] = ACTIONS(3809),
    [anon_sym___asm__] = ACTIONS(3809),
    [anon_sym___asm] = ACTIONS(3809),
    [sym_number_literal] = ACTIONS(3811),
    [anon_sym_L_SQUOTE] = ACTIONS(3811),
    [anon_sym_u_SQUOTE] = ACTIONS(3811),
    [anon_sym_U_SQUOTE] = ACTIONS(3811),
    [anon_sym_u8_SQUOTE] = ACTIONS(3811),
    [anon_sym_SQUOTE] = ACTIONS(3811),
    [anon_sym_L_DQUOTE] = ACTIONS(3811),
    [anon_sym_u_DQUOTE] = ACTIONS(3811),
    [anon_sym_U_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8_DQUOTE] = ACTIONS(3811),
    [anon_sym_DQUOTE] = ACTIONS(3811),
    [sym_true] = ACTIONS(3809),
    [sym_false] = ACTIONS(3809),
    [anon_sym_NULL] = ACTIONS(3809),
    [anon_sym_nullptr] = ACTIONS(3809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3809),
    [anon_sym_decltype] = ACTIONS(3809),
    [anon_sym_typename] = ACTIONS(3809),
    [anon_sym_template] = ACTIONS(3809),
    [anon_sym_try] = ACTIONS(3809),
    [anon_sym_delete] = ACTIONS(3809),
    [anon_sym_throw] = ACTIONS(3809),
    [anon_sym_co_return] = ACTIONS(3809),
    [anon_sym_co_yield] = ACTIONS(3809),
    [anon_sym_R_DQUOTE] = ACTIONS(3811),
    [anon_sym_LR_DQUOTE] = ACTIONS(3811),
    [anon_sym_uR_DQUOTE] = ACTIONS(3811),
    [anon_sym_UR_DQUOTE] = ACTIONS(3811),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3811),
    [anon_sym_co_await] = ACTIONS(3809),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_requires] = ACTIONS(3809),
    [sym_this] = ACTIONS(3809),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [864] = {
    [sym_identifier] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_virtual] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [865] = {
    [sym_identifier] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2706),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym___extension__] = ACTIONS(2704),
    [anon_sym_typedef] = ACTIONS(2704),
    [anon_sym_virtual] = ACTIONS(2704),
    [anon_sym_extern] = ACTIONS(2704),
    [anon_sym___attribute__] = ACTIONS(2704),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2706),
    [anon_sym___declspec] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_signed] = ACTIONS(2704),
    [anon_sym_unsigned] = ACTIONS(2704),
    [anon_sym_long] = ACTIONS(2704),
    [anon_sym_short] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_register] = ACTIONS(2704),
    [anon_sym_inline] = ACTIONS(2704),
    [anon_sym___inline] = ACTIONS(2704),
    [anon_sym___inline__] = ACTIONS(2704),
    [anon_sym___forceinline] = ACTIONS(2704),
    [anon_sym_thread_local] = ACTIONS(2704),
    [anon_sym___thread] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_constexpr] = ACTIONS(2704),
    [anon_sym_volatile] = ACTIONS(2704),
    [anon_sym_restrict] = ACTIONS(2704),
    [anon_sym___restrict__] = ACTIONS(2704),
    [anon_sym__Atomic] = ACTIONS(2704),
    [anon_sym__Noreturn] = ACTIONS(2704),
    [anon_sym_noreturn] = ACTIONS(2704),
    [anon_sym__Nonnull] = ACTIONS(2704),
    [anon_sym_mutable] = ACTIONS(2704),
    [anon_sym_constinit] = ACTIONS(2704),
    [anon_sym_consteval] = ACTIONS(2704),
    [anon_sym_alignas] = ACTIONS(2704),
    [anon_sym__Alignas] = ACTIONS(2704),
    [sym_primitive_type] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_struct] = ACTIONS(2704),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_goto] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2704),
    [anon_sym___leave] = ACTIONS(2704),
    [anon_sym_not] = ACTIONS(2704),
    [anon_sym_compl] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_sizeof] = ACTIONS(2704),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2704),
    [anon_sym__Generic] = ACTIONS(2704),
    [anon_sym_asm] = ACTIONS(2704),
    [anon_sym___asm__] = ACTIONS(2704),
    [anon_sym___asm] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2706),
    [anon_sym_L_SQUOTE] = ACTIONS(2706),
    [anon_sym_u_SQUOTE] = ACTIONS(2706),
    [anon_sym_U_SQUOTE] = ACTIONS(2706),
    [anon_sym_u8_SQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_L_DQUOTE] = ACTIONS(2706),
    [anon_sym_u_DQUOTE] = ACTIONS(2706),
    [anon_sym_U_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [anon_sym_NULL] = ACTIONS(2704),
    [anon_sym_nullptr] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2704),
    [anon_sym_decltype] = ACTIONS(2704),
    [anon_sym_typename] = ACTIONS(2704),
    [anon_sym_template] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_co_return] = ACTIONS(2704),
    [anon_sym_co_yield] = ACTIONS(2704),
    [anon_sym_R_DQUOTE] = ACTIONS(2706),
    [anon_sym_LR_DQUOTE] = ACTIONS(2706),
    [anon_sym_uR_DQUOTE] = ACTIONS(2706),
    [anon_sym_UR_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2706),
    [anon_sym_co_await] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_requires] = ACTIONS(2704),
    [sym_this] = ACTIONS(2704),
  },
  [866] = {
    [sym_identifier] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_virtual] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_else] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [anon_sym___asm] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [anon_sym___asm] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [868] = {
    [sym_identifier] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym___leave] = ACTIONS(2770),
    [anon_sym_not] = ACTIONS(2770),
    [anon_sym_compl] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_co_return] = ACTIONS(2770),
    [anon_sym_co_yield] = ACTIONS(2770),
    [anon_sym_R_DQUOTE] = ACTIONS(2772),
    [anon_sym_LR_DQUOTE] = ACTIONS(2772),
    [anon_sym_uR_DQUOTE] = ACTIONS(2772),
    [anon_sym_UR_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2772),
    [anon_sym_co_await] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_requires] = ACTIONS(2770),
    [sym_this] = ACTIONS(2770),
  },
  [869] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_virtual] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_mutable] = ACTIONS(2650),
    [anon_sym_constinit] = ACTIONS(2650),
    [anon_sym_consteval] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym___leave] = ACTIONS(2650),
    [anon_sym_not] = ACTIONS(2650),
    [anon_sym_compl] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [anon_sym___asm] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2650),
    [anon_sym_decltype] = ACTIONS(2650),
    [anon_sym_typename] = ACTIONS(2650),
    [anon_sym_template] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2650),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_co_return] = ACTIONS(2650),
    [anon_sym_co_yield] = ACTIONS(2650),
    [anon_sym_R_DQUOTE] = ACTIONS(2652),
    [anon_sym_LR_DQUOTE] = ACTIONS(2652),
    [anon_sym_uR_DQUOTE] = ACTIONS(2652),
    [anon_sym_UR_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2652),
    [anon_sym_co_await] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_requires] = ACTIONS(2650),
    [sym_this] = ACTIONS(2650),
  },
  [870] = {
    [sym_identifier] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_virtual] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_else] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [anon_sym___asm] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [871] = {
    [sym_identifier] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_virtual] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym__Nonnull] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_else] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [anon_sym___asm] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [872] = {
    [sym_identifier] = ACTIONS(3992),
    [anon_sym_LPAREN2] = ACTIONS(3998),
    [anon_sym_BANG] = ACTIONS(3998),
    [anon_sym_TILDE] = ACTIONS(3998),
    [anon_sym_DASH] = ACTIONS(4000),
    [anon_sym_PLUS] = ACTIONS(4000),
    [anon_sym_STAR] = ACTIONS(3998),
    [anon_sym_AMP] = ACTIONS(3998),
    [anon_sym_SEMI] = ACTIONS(3998),
    [anon_sym___extension__] = ACTIONS(3992),
    [anon_sym_virtual] = ACTIONS(4004),
    [anon_sym_extern] = ACTIONS(4004),
    [anon_sym___attribute__] = ACTIONS(4004),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3995),
    [anon_sym___declspec] = ACTIONS(4004),
    [anon_sym_LBRACE] = ACTIONS(3998),
    [anon_sym_signed] = ACTIONS(4004),
    [anon_sym_unsigned] = ACTIONS(4004),
    [anon_sym_long] = ACTIONS(4004),
    [anon_sym_short] = ACTIONS(4004),
    [anon_sym_LBRACK] = ACTIONS(4000),
    [anon_sym_static] = ACTIONS(4004),
    [anon_sym_register] = ACTIONS(4004),
    [anon_sym_inline] = ACTIONS(4004),
    [anon_sym___inline] = ACTIONS(4004),
    [anon_sym___inline__] = ACTIONS(4004),
    [anon_sym___forceinline] = ACTIONS(4004),
    [anon_sym_thread_local] = ACTIONS(4004),
    [anon_sym___thread] = ACTIONS(4004),
    [anon_sym_const] = ACTIONS(4004),
    [anon_sym_constexpr] = ACTIONS(4004),
    [anon_sym_volatile] = ACTIONS(4004),
    [anon_sym_restrict] = ACTIONS(4004),
    [anon_sym___restrict__] = ACTIONS(4004),
    [anon_sym__Atomic] = ACTIONS(4004),
    [anon_sym__Noreturn] = ACTIONS(4004),
    [anon_sym_noreturn] = ACTIONS(4004),
    [anon_sym__Nonnull] = ACTIONS(4004),
    [anon_sym_mutable] = ACTIONS(4004),
    [anon_sym_constinit] = ACTIONS(4004),
    [anon_sym_consteval] = ACTIONS(4004),
    [anon_sym_alignas] = ACTIONS(4004),
    [anon_sym__Alignas] = ACTIONS(4004),
    [sym_primitive_type] = ACTIONS(3992),
    [anon_sym_enum] = ACTIONS(4004),
    [anon_sym_class] = ACTIONS(4004),
    [anon_sym_struct] = ACTIONS(4004),
    [anon_sym_union] = ACTIONS(4004),
    [anon_sym_if] = ACTIONS(4000),
    [anon_sym_switch] = ACTIONS(4000),
    [anon_sym_case] = ACTIONS(4000),
    [anon_sym_default] = ACTIONS(4000),
    [anon_sym_while] = ACTIONS(4000),
    [anon_sym_do] = ACTIONS(4000),
    [anon_sym_for] = ACTIONS(4000),
    [anon_sym_return] = ACTIONS(4000),
    [anon_sym_break] = ACTIONS(4000),
    [anon_sym_continue] = ACTIONS(4000),
    [anon_sym_goto] = ACTIONS(4000),
    [anon_sym___try] = ACTIONS(4000),
    [anon_sym___leave] = ACTIONS(4000),
    [anon_sym_not] = ACTIONS(4000),
    [anon_sym_compl] = ACTIONS(4000),
    [anon_sym_DASH_DASH] = ACTIONS(3998),
    [anon_sym_PLUS_PLUS] = ACTIONS(3998),
    [anon_sym_sizeof] = ACTIONS(4000),
    [anon_sym___alignof__] = ACTIONS(4000),
    [anon_sym___alignof] = ACTIONS(4000),
    [anon_sym__alignof] = ACTIONS(4000),
    [anon_sym_alignof] = ACTIONS(4000),
    [anon_sym__Alignof] = ACTIONS(4000),
    [anon_sym_offsetof] = ACTIONS(4000),
    [anon_sym__Generic] = ACTIONS(4000),
    [anon_sym_asm] = ACTIONS(4000),
    [anon_sym___asm__] = ACTIONS(4000),
    [anon_sym___asm] = ACTIONS(4000),
    [sym_number_literal] = ACTIONS(3998),
    [anon_sym_L_SQUOTE] = ACTIONS(3998),
    [anon_sym_u_SQUOTE] = ACTIONS(3998),
    [anon_sym_U_SQUOTE] = ACTIONS(3998),
    [anon_sym_u8_SQUOTE] = ACTIONS(3998),
    [anon_sym_SQUOTE] = ACTIONS(3998),
    [anon_sym_L_DQUOTE] = ACTIONS(3998),
    [anon_sym_u_DQUOTE] = ACTIONS(3998),
    [anon_sym_U_DQUOTE] = ACTIONS(3998),
    [anon_sym_u8_DQUOTE] = ACTIONS(3998),
    [anon_sym_DQUOTE] = ACTIONS(3998),
    [sym_true] = ACTIONS(4000),
    [sym_false] = ACTIONS(4000),
    [anon_sym_NULL] = ACTIONS(4000),
    [anon_sym_nullptr] = ACTIONS(4000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4004),
    [anon_sym_decltype] = ACTIONS(3992),
    [anon_sym_typename] = ACTIONS(4004),
    [anon_sym_template] = ACTIONS(3992),
    [anon_sym_try] = ACTIONS(4000),
    [anon_sym_delete] = ACTIONS(4000),
    [anon_sym_throw] = ACTIONS(4000),
    [anon_sym_co_return] = ACTIONS(4000),
    [anon_sym_co_yield] = ACTIONS(4000),
    [anon_sym_R_DQUOTE] = ACTIONS(3998),
    [anon_sym_LR_DQUOTE] = ACTIONS(3998),
    [anon_sym_uR_DQUOTE] = ACTIONS(3998),
    [anon_sym_UR_DQUOTE] = ACTIONS(3998),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3998),
    [anon_sym_co_await] = ACTIONS(4000),
    [anon_sym_new] = ACTIONS(4000),
    [anon_sym_requires] = ACTIONS(4000),
    [sym_this] = ACTIONS(4000),
  },
  [873] = {
    [sym_identifier] = ACTIONS(2718),
    [anon_sym_LPAREN2] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_virtual] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym_COLON_COLON] = ACTIONS(2720),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_mutable] = ACTIONS(2718),
    [anon_sym_constinit] = ACTIONS(2718),
    [anon_sym_consteval] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_class] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_else] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_goto] = ACTIONS(2718),
    [anon_sym___try] = ACTIONS(2718),
    [anon_sym___leave] = ACTIONS(2718),
    [anon_sym_not] = ACTIONS(2718),
    [anon_sym_compl] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_sizeof] = ACTIONS(2718),
    [anon_sym___alignof__] = ACTIONS(2718),
    [anon_sym___alignof] = ACTIONS(2718),
    [anon_sym__alignof] = ACTIONS(2718),
    [anon_sym_alignof] = ACTIONS(2718),
    [anon_sym__Alignof] = ACTIONS(2718),
    [anon_sym_offsetof] = ACTIONS(2718),
    [anon_sym__Generic] = ACTIONS(2718),
    [anon_sym_asm] = ACTIONS(2718),
    [anon_sym___asm__] = ACTIONS(2718),
    [anon_sym___asm] = ACTIONS(2718),
    [sym_number_literal] = ACTIONS(2720),
    [anon_sym_L_SQUOTE] = ACTIONS(2720),
    [anon_sym_u_SQUOTE] = ACTIONS(2720),
    [anon_sym_U_SQUOTE] = ACTIONS(2720),
    [anon_sym_u8_SQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_L_DQUOTE] = ACTIONS(2720),
    [anon_sym_u_DQUOTE] = ACTIONS(2720),
    [anon_sym_U_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8_DQUOTE] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2718),
    [anon_sym_nullptr] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2718),
    [anon_sym_decltype] = ACTIONS(2718),
    [anon_sym_typename] = ACTIONS(2718),
    [anon_sym_template] = ACTIONS(2718),
    [anon_sym_try] = ACTIONS(2718),
    [anon_sym_delete] = ACTIONS(2718),
    [anon_sym_throw] = ACTIONS(2718),
    [anon_sym_co_return] = ACTIONS(2718),
    [anon_sym_co_yield] = ACTIONS(2718),
    [anon_sym_R_DQUOTE] = ACTIONS(2720),
    [anon_sym_LR_DQUOTE] = ACTIONS(2720),
    [anon_sym_uR_DQUOTE] = ACTIONS(2720),
    [anon_sym_UR_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2720),
    [anon_sym_co_await] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2718),
    [anon_sym_requires] = ACTIONS(2718),
    [sym_this] = ACTIONS(2718),
  },
  [874] = {
    [sym_identifier] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2810),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_virtual] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym__Nonnull] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [anon_sym___asm] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [875] = {
    [sym_identifier] = ACTIONS(2804),
    [anon_sym_LPAREN2] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym_STAR] = ACTIONS(2806),
    [anon_sym_AMP] = ACTIONS(2806),
    [anon_sym_SEMI] = ACTIONS(2806),
    [anon_sym___extension__] = ACTIONS(2804),
    [anon_sym_typedef] = ACTIONS(2804),
    [anon_sym_virtual] = ACTIONS(2804),
    [anon_sym_extern] = ACTIONS(2804),
    [anon_sym___attribute__] = ACTIONS(2804),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2806),
    [anon_sym___declspec] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2804),
    [anon_sym_unsigned] = ACTIONS(2804),
    [anon_sym_long] = ACTIONS(2804),
    [anon_sym_short] = ACTIONS(2804),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2804),
    [anon_sym_register] = ACTIONS(2804),
    [anon_sym_inline] = ACTIONS(2804),
    [anon_sym___inline] = ACTIONS(2804),
    [anon_sym___inline__] = ACTIONS(2804),
    [anon_sym___forceinline] = ACTIONS(2804),
    [anon_sym_thread_local] = ACTIONS(2804),
    [anon_sym___thread] = ACTIONS(2804),
    [anon_sym_const] = ACTIONS(2804),
    [anon_sym_constexpr] = ACTIONS(2804),
    [anon_sym_volatile] = ACTIONS(2804),
    [anon_sym_restrict] = ACTIONS(2804),
    [anon_sym___restrict__] = ACTIONS(2804),
    [anon_sym__Atomic] = ACTIONS(2804),
    [anon_sym__Noreturn] = ACTIONS(2804),
    [anon_sym_noreturn] = ACTIONS(2804),
    [anon_sym__Nonnull] = ACTIONS(2804),
    [anon_sym_mutable] = ACTIONS(2804),
    [anon_sym_constinit] = ACTIONS(2804),
    [anon_sym_consteval] = ACTIONS(2804),
    [anon_sym_alignas] = ACTIONS(2804),
    [anon_sym__Alignas] = ACTIONS(2804),
    [sym_primitive_type] = ACTIONS(2804),
    [anon_sym_enum] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2804),
    [anon_sym_struct] = ACTIONS(2804),
    [anon_sym_union] = ACTIONS(2804),
    [anon_sym_if] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2804),
    [anon_sym_switch] = ACTIONS(2804),
    [anon_sym_while] = ACTIONS(2804),
    [anon_sym_do] = ACTIONS(2804),
    [anon_sym_for] = ACTIONS(2804),
    [anon_sym_return] = ACTIONS(2804),
    [anon_sym_break] = ACTIONS(2804),
    [anon_sym_continue] = ACTIONS(2804),
    [anon_sym_goto] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2804),
    [anon_sym___leave] = ACTIONS(2804),
    [anon_sym_not] = ACTIONS(2804),
    [anon_sym_compl] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2806),
    [anon_sym_sizeof] = ACTIONS(2804),
    [anon_sym___alignof__] = ACTIONS(2804),
    [anon_sym___alignof] = ACTIONS(2804),
    [anon_sym__alignof] = ACTIONS(2804),
    [anon_sym_alignof] = ACTIONS(2804),
    [anon_sym__Alignof] = ACTIONS(2804),
    [anon_sym_offsetof] = ACTIONS(2804),
    [anon_sym__Generic] = ACTIONS(2804),
    [anon_sym_asm] = ACTIONS(2804),
    [anon_sym___asm__] = ACTIONS(2804),
    [anon_sym___asm] = ACTIONS(2804),
    [sym_number_literal] = ACTIONS(2806),
    [anon_sym_L_SQUOTE] = ACTIONS(2806),
    [anon_sym_u_SQUOTE] = ACTIONS(2806),
    [anon_sym_U_SQUOTE] = ACTIONS(2806),
    [anon_sym_u8_SQUOTE] = ACTIONS(2806),
    [anon_sym_SQUOTE] = ACTIONS(2806),
    [anon_sym_L_DQUOTE] = ACTIONS(2806),
    [anon_sym_u_DQUOTE] = ACTIONS(2806),
    [anon_sym_U_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8_DQUOTE] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2806),
    [sym_true] = ACTIONS(2804),
    [sym_false] = ACTIONS(2804),
    [anon_sym_NULL] = ACTIONS(2804),
    [anon_sym_nullptr] = ACTIONS(2804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2804),
    [anon_sym_decltype] = ACTIONS(2804),
    [anon_sym_typename] = ACTIONS(2804),
    [anon_sym_template] = ACTIONS(2804),
    [anon_sym_try] = ACTIONS(2804),
    [anon_sym_delete] = ACTIONS(2804),
    [anon_sym_throw] = ACTIONS(2804),
    [anon_sym_co_return] = ACTIONS(2804),
    [anon_sym_co_yield] = ACTIONS(2804),
    [anon_sym_R_DQUOTE] = ACTIONS(2806),
    [anon_sym_LR_DQUOTE] = ACTIONS(2806),
    [anon_sym_uR_DQUOTE] = ACTIONS(2806),
    [anon_sym_UR_DQUOTE] = ACTIONS(2806),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2806),
    [anon_sym_co_await] = ACTIONS(2804),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_requires] = ACTIONS(2804),
    [sym_this] = ACTIONS(2804),
  },
  [876] = {
    [sym_identifier] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_virtual] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_mutable] = ACTIONS(2790),
    [anon_sym_constinit] = ACTIONS(2790),
    [anon_sym_consteval] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_class] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_else] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym___leave] = ACTIONS(2790),
    [anon_sym_not] = ACTIONS(2790),
    [anon_sym_compl] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2790),
    [anon_sym_decltype] = ACTIONS(2790),
    [anon_sym_typename] = ACTIONS(2790),
    [anon_sym_template] = ACTIONS(2790),
    [anon_sym_try] = ACTIONS(2790),
    [anon_sym_delete] = ACTIONS(2790),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_co_return] = ACTIONS(2790),
    [anon_sym_co_yield] = ACTIONS(2790),
    [anon_sym_R_DQUOTE] = ACTIONS(2792),
    [anon_sym_LR_DQUOTE] = ACTIONS(2792),
    [anon_sym_uR_DQUOTE] = ACTIONS(2792),
    [anon_sym_UR_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2792),
    [anon_sym_co_await] = ACTIONS(2790),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_requires] = ACTIONS(2790),
    [sym_this] = ACTIONS(2790),
  },
  [877] = {
    [sym_identifier] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_virtual] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_else] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym___leave] = ACTIONS(2762),
    [anon_sym_not] = ACTIONS(2762),
    [anon_sym_compl] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [anon_sym___asm] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_try] = ACTIONS(2762),
    [anon_sym_delete] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2762),
    [anon_sym_co_return] = ACTIONS(2762),
    [anon_sym_co_yield] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2764),
    [anon_sym_LR_DQUOTE] = ACTIONS(2764),
    [anon_sym_uR_DQUOTE] = ACTIONS(2764),
    [anon_sym_UR_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2764),
    [anon_sym_co_await] = ACTIONS(2762),
    [anon_sym_new] = ACTIONS(2762),
    [anon_sym_requires] = ACTIONS(2762),
    [sym_this] = ACTIONS(2762),
  },
  [878] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_virtual] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_mutable] = ACTIONS(2658),
    [anon_sym_constinit] = ACTIONS(2658),
    [anon_sym_consteval] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym___leave] = ACTIONS(2658),
    [anon_sym_not] = ACTIONS(2658),
    [anon_sym_compl] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2658),
    [anon_sym_decltype] = ACTIONS(2658),
    [anon_sym_typename] = ACTIONS(2658),
    [anon_sym_template] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_co_return] = ACTIONS(2658),
    [anon_sym_co_yield] = ACTIONS(2658),
    [anon_sym_R_DQUOTE] = ACTIONS(2660),
    [anon_sym_LR_DQUOTE] = ACTIONS(2660),
    [anon_sym_uR_DQUOTE] = ACTIONS(2660),
    [anon_sym_UR_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2660),
    [anon_sym_co_await] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_requires] = ACTIONS(2658),
    [sym_this] = ACTIONS(2658),
  },
  [879] = {
    [sym_identifier] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [880] = {
    [sym_identifier] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym___leave] = ACTIONS(2766),
    [anon_sym_not] = ACTIONS(2766),
    [anon_sym_compl] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_co_return] = ACTIONS(2766),
    [anon_sym_co_yield] = ACTIONS(2766),
    [anon_sym_R_DQUOTE] = ACTIONS(2768),
    [anon_sym_LR_DQUOTE] = ACTIONS(2768),
    [anon_sym_uR_DQUOTE] = ACTIONS(2768),
    [anon_sym_UR_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2768),
    [anon_sym_co_await] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_requires] = ACTIONS(2766),
    [sym_this] = ACTIONS(2766),
  },
  [881] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_call_modifier] = STATE(4520),
    [sym__declarator] = STATE(6261),
    [sym__abstract_declarator] = STATE(6410),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_function_declarator] = STATE(5841),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5841),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_list] = STATE(3008),
    [sym_parameter_declaration] = STATE(7072),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(7072),
    [sym_variadic_parameter_declaration] = STATE(7072),
    [sym_reference_declarator] = STATE(5841),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(2305),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5413),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(4150),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_AMP] = ACTIONS(4154),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym___cdecl] = ACTIONS(1774),
    [anon_sym___clrcall] = ACTIONS(1774),
    [anon_sym___stdcall] = ACTIONS(1774),
    [anon_sym___fastcall] = ACTIONS(1774),
    [anon_sym___thiscall] = ACTIONS(1774),
    [anon_sym___vectorcall] = ACTIONS(1774),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4158),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [882] = {
    [sym_expression] = STATE(4119),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(6722),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4162),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [883] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(897),
    [sym_compound_requirement] = STATE(897),
    [sym__requirement] = STATE(897),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(897),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [884] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4180),
    [anon_sym_TILDE] = ACTIONS(4180),
    [anon_sym_DASH] = ACTIONS(4183),
    [anon_sym_PLUS] = ACTIONS(4183),
    [anon_sym_STAR] = ACTIONS(4186),
    [anon_sym_AMP] = ACTIONS(4186),
    [anon_sym_SEMI] = ACTIONS(4189),
    [anon_sym___extension__] = ACTIONS(4192),
    [anon_sym_COLON_COLON] = ACTIONS(4195),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4201),
    [anon_sym_LBRACK] = ACTIONS(4203),
    [sym_primitive_type] = ACTIONS(4206),
    [anon_sym_not] = ACTIONS(4183),
    [anon_sym_compl] = ACTIONS(4183),
    [anon_sym_DASH_DASH] = ACTIONS(4209),
    [anon_sym_PLUS_PLUS] = ACTIONS(4209),
    [anon_sym_sizeof] = ACTIONS(4212),
    [anon_sym___alignof__] = ACTIONS(4215),
    [anon_sym___alignof] = ACTIONS(4215),
    [anon_sym__alignof] = ACTIONS(4215),
    [anon_sym_alignof] = ACTIONS(4215),
    [anon_sym__Alignof] = ACTIONS(4215),
    [anon_sym_offsetof] = ACTIONS(4218),
    [anon_sym__Generic] = ACTIONS(4221),
    [anon_sym_asm] = ACTIONS(4224),
    [anon_sym___asm__] = ACTIONS(4224),
    [anon_sym___asm] = ACTIONS(4224),
    [sym_number_literal] = ACTIONS(4227),
    [anon_sym_L_SQUOTE] = ACTIONS(4230),
    [anon_sym_u_SQUOTE] = ACTIONS(4230),
    [anon_sym_U_SQUOTE] = ACTIONS(4230),
    [anon_sym_u8_SQUOTE] = ACTIONS(4230),
    [anon_sym_SQUOTE] = ACTIONS(4230),
    [anon_sym_L_DQUOTE] = ACTIONS(4233),
    [anon_sym_u_DQUOTE] = ACTIONS(4233),
    [anon_sym_U_DQUOTE] = ACTIONS(4233),
    [anon_sym_u8_DQUOTE] = ACTIONS(4233),
    [anon_sym_DQUOTE] = ACTIONS(4233),
    [sym_true] = ACTIONS(4236),
    [sym_false] = ACTIONS(4236),
    [anon_sym_NULL] = ACTIONS(4239),
    [anon_sym_nullptr] = ACTIONS(4239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4242),
    [anon_sym_typename] = ACTIONS(4245),
    [anon_sym_template] = ACTIONS(4248),
    [anon_sym_delete] = ACTIONS(4251),
    [anon_sym_R_DQUOTE] = ACTIONS(4254),
    [anon_sym_LR_DQUOTE] = ACTIONS(4254),
    [anon_sym_uR_DQUOTE] = ACTIONS(4254),
    [anon_sym_UR_DQUOTE] = ACTIONS(4254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4254),
    [anon_sym_co_await] = ACTIONS(4257),
    [anon_sym_new] = ACTIONS(4260),
    [anon_sym_requires] = ACTIONS(4263),
    [sym_this] = ACTIONS(4236),
  },
  [885] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(901),
    [sym_compound_requirement] = STATE(901),
    [sym__requirement] = STATE(901),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(901),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [886] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(895),
    [sym_compound_requirement] = STATE(895),
    [sym__requirement] = STATE(895),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(895),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4268),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [887] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(905),
    [sym_compound_requirement] = STATE(905),
    [sym__requirement] = STATE(905),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(905),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4270),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [888] = {
    [sym_expression] = STATE(4176),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7060),
    [sym_initializer_pair] = STATE(7060),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_COMMA] = ACTIONS(4272),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4274),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [889] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [890] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4278),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [891] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4280),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [892] = {
    [sym_expression] = STATE(4154),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6751),
    [sym_initializer_pair] = STATE(6751),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_COMMA] = ACTIONS(4282),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4284),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [893] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4286),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [894] = {
    [sym_expression] = STATE(4179),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6746),
    [sym_initializer_pair] = STATE(6746),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4288),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [895] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4290),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [896] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(906),
    [sym_compound_requirement] = STATE(906),
    [sym__requirement] = STATE(906),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(906),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4292),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [897] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4294),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [898] = {
    [sym_expression] = STATE(4196),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6879),
    [sym_initializer_pair] = STATE(6879),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_COMMA] = ACTIONS(4296),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4298),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [899] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(890),
    [sym_compound_requirement] = STATE(890),
    [sym__requirement] = STATE(890),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(890),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [900] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(904),
    [sym_compound_requirement] = STATE(904),
    [sym__requirement] = STATE(904),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(904),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4302),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [901] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4304),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [902] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1610),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4100),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4094),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [903] = {
    [sym_expression] = STATE(4108),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7012),
    [sym_initializer_pair] = STATE(7012),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_COMMA] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4308),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [904] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4310),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [905] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4312),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [906] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(884),
    [sym_compound_requirement] = STATE(884),
    [sym__requirement] = STATE(884),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(884),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4314),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [907] = {
    [sym_expression_statement] = STATE(2565),
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7610),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_type_requirement] = STATE(889),
    [sym_compound_requirement] = STATE(889),
    [sym__requirement] = STATE(889),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_requirement_seq_repeat1] = STATE(889),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4168),
    [anon_sym_RBRACE] = ACTIONS(4316),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_typename] = ACTIONS(4172),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [908] = {
    [sym_expression] = STATE(4159),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6968),
    [sym_initializer_pair] = STATE(6968),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_COMMA] = ACTIONS(4318),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4320),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [909] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4322),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [910] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4324),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [911] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1610),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4100),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4326),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [912] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4328),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [913] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4330),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [914] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4162),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [915] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1610),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4100),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4332),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [916] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1610),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4100),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [917] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4334),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [918] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4336),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [919] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4338),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [920] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4340),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [921] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4342),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [922] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1610),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4100),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [923] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1610),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4100),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [924] = {
    [sym_string_literal] = STATE(2269),
    [sym_template_argument_list] = STATE(1563),
    [sym_raw_string_literal] = STATE(2269),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4107),
    [anon_sym_COMMA] = ACTIONS(4107),
    [anon_sym_RPAREN] = ACTIONS(4107),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4344),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4100),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4104),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4347),
    [anon_sym_or_eq] = ACTIONS(4347),
    [anon_sym_xor_eq] = ACTIONS(4347),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4102),
    [anon_sym_L_DQUOTE] = ACTIONS(4349),
    [anon_sym_u_DQUOTE] = ACTIONS(4349),
    [anon_sym_U_DQUOTE] = ACTIONS(4349),
    [anon_sym_u8_DQUOTE] = ACTIONS(4349),
    [anon_sym_DQUOTE] = ACTIONS(4349),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(4351),
    [anon_sym_LR_DQUOTE] = ACTIONS(4351),
    [anon_sym_uR_DQUOTE] = ACTIONS(4351),
    [anon_sym_UR_DQUOTE] = ACTIONS(4351),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4351),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4094),
  },
  [925] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [926] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1610),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4100),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [927] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [928] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7274),
    [sym_initializer_pair] = STATE(7274),
    [sym_subscript_designator] = STATE(6278),
    [sym_subscript_range_designator] = STATE(6278),
    [sym_field_designator] = STATE(6278),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [aux_sym_initializer_pair_repeat1] = STATE(6278),
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [929] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(1624),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4107),
    [anon_sym_COMMA] = ACTIONS(4107),
    [anon_sym_RPAREN] = ACTIONS(4107),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_TILDE] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4110),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_virtual] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4100),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym___based] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4092),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_mutable] = ACTIONS(4092),
    [anon_sym_constinit] = ACTIONS(4092),
    [anon_sym_consteval] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4126),
    [anon_sym_or_eq] = ACTIONS(4126),
    [anon_sym_xor_eq] = ACTIONS(4126),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
    [anon_sym_template] = ACTIONS(4092),
    [anon_sym_operator] = ACTIONS(4092),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [930] = {
    [sym_expression] = STATE(3164),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7467),
    [sym__unary_right_fold] = STATE(7466),
    [sym__binary_fold] = STATE(7465),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [931] = {
    [sym_compound_statement] = STATE(6784),
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6784),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4357),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [932] = {
    [sym_expression] = STATE(3195),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(8107),
    [sym__unary_right_fold] = STATE(8106),
    [sym__binary_fold] = STATE(8105),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [933] = {
    [sym_expression] = STATE(4025),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_initializer_list] = STATE(6400),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_default] = ACTIONS(4363),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(4367),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4369),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [934] = {
    [sym_compound_statement] = STATE(6948),
    [sym_expression] = STATE(4147),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6948),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [935] = {
    [sym_expression] = STATE(3176),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7694),
    [sym__unary_right_fold] = STATE(7695),
    [sym__binary_fold] = STATE(7696),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [936] = {
    [sym_expression] = STATE(3143),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7618),
    [sym__unary_right_fold] = STATE(7617),
    [sym__binary_fold] = STATE(7615),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [937] = {
    [sym_expression] = STATE(3163),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7986),
    [sym__unary_right_fold] = STATE(7990),
    [sym__binary_fold] = STATE(8007),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [938] = {
    [sym_compound_statement] = STATE(8124),
    [sym_expression] = STATE(3097),
    [sym__string] = STATE(2819),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym__assignment_expression_lhs] = STATE(8117),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [939] = {
    [sym_compound_statement] = STATE(6854),
    [sym_expression] = STATE(4181),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6854),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4375),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [940] = {
    [sym_compound_statement] = STATE(6689),
    [sym_expression] = STATE(4115),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6689),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4377),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [941] = {
    [sym_expression] = STATE(4289),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7606),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7606),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4379),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [942] = {
    [sym_compound_statement] = STATE(6853),
    [sym_expression] = STATE(4112),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6853),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4381),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [943] = {
    [sym_expression] = STATE(4238),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7916),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7916),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4383),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [944] = {
    [sym_compound_statement] = STATE(6940),
    [sym_expression] = STATE(4199),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(6940),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4385),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [945] = {
    [sym_expression] = STATE(3079),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7829),
    [sym__unary_right_fold] = STATE(7828),
    [sym__binary_fold] = STATE(7827),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [946] = {
    [sym_expression] = STATE(4040),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_initializer_list] = STATE(6375),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_default] = ACTIONS(4387),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(4389),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4391),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [947] = {
    [sym_expression] = STATE(3101),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(8121),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8018),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [948] = {
    [sym_expression] = STATE(4263),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7455),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7455),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4393),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [949] = {
    [sym_expression] = STATE(4030),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_initializer_list] = STATE(6412),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_default] = ACTIONS(4395),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(4397),
    [aux_sym_pure_virtual_clause_token1] = ACTIONS(4399),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [950] = {
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7807),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7807),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4401),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [951] = {
    [sym_expression] = STATE(3150),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7867),
    [sym__unary_right_fold] = STATE(7773),
    [sym__binary_fold] = STATE(7905),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [952] = {
    [sym_compound_statement] = STATE(7021),
    [sym_expression] = STATE(4106),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7021),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4403),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [953] = {
    [sym_expression] = STATE(4258),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8056),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(8056),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4405),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [954] = {
    [sym_expression] = STATE(3147),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym__unary_left_fold] = STATE(7522),
    [sym__unary_right_fold] = STATE(7523),
    [sym__binary_fold] = STATE(7525),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [955] = {
    [sym_expression] = STATE(2605),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [956] = {
    [sym_expression] = STATE(4239),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [957] = {
    [sym_expression] = STATE(3475),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [958] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4417),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [959] = {
    [sym_expression] = STATE(4171),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_initializer_list] = STATE(7054),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4421),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [960] = {
    [sym_expression] = STATE(4066),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [961] = {
    [sym_expression] = STATE(4275),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [962] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4423),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [963] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4425),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [964] = {
    [sym_expression] = STATE(4325),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [965] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4427),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [966] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4429),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [967] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4432),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [968] = {
    [sym_expression] = STATE(3970),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [969] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4439),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [970] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4442),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [971] = {
    [sym_expression] = STATE(4241),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [972] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4444),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [973] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4447),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [974] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4449),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [975] = {
    [sym_expression] = STATE(3023),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [976] = {
    [sym_expression] = STATE(4337),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [977] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4451),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [978] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [979] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4455),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [980] = {
    [sym_expression] = STATE(2648),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [981] = {
    [sym_expression] = STATE(2808),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [982] = {
    [sym_expression] = STATE(3204),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [983] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4460),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [984] = {
    [sym_expression] = STATE(4001),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [985] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4462),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [986] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4464),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [987] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4466),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [988] = {
    [sym_expression] = STATE(3201),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [989] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [990] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4471),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [991] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4474),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [992] = {
    [sym_expression] = STATE(3202),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [993] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4478),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [994] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [995] = {
    [sym_expression] = STATE(4281),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [996] = {
    [sym_expression] = STATE(3015),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [997] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4485),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [998] = {
    [sym_expression] = STATE(3187),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [999] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4488),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1000] = {
    [sym_compound_statement] = STATE(7286),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7286),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1001] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4491),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1002] = {
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1003] = {
    [sym_expression] = STATE(2944),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1004] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4497),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1005] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1006] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4501),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1007] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1008] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4506),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1009] = {
    [sym_expression] = STATE(4086),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1010] = {
    [sym_expression] = STATE(4152),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_initializer_list] = STATE(6954),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4508),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1011] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1012] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4510),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1013] = {
    [sym_expression] = STATE(3024),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1014] = {
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1015] = {
    [sym_expression] = STATE(4186),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1016] = {
    [sym_expression] = STATE(4101),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_initializer_list] = STATE(6951),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4512),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1017] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4514),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1018] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4516),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1019] = {
    [sym_expression] = STATE(2826),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1020] = {
    [sym_expression] = STATE(4123),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1021] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4518),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1022] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1023] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4520),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1024] = {
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_lambda_default_capture] = STATE(7187),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4522),
    [anon_sym_EQ] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1025] = {
    [sym_expression] = STATE(3446),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(4407),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(4409),
    [anon_sym_LT] = ACTIONS(4407),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1026] = {
    [sym_expression] = STATE(4399),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7951),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1027] = {
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7715),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1028] = {
    [sym_expression] = STATE(3522),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_initializer_list] = STATE(3731),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1029] = {
    [sym_expression] = STATE(3115),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_initializer_list] = STATE(3504),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1030] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_COMMA] = ACTIONS(4526),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4526),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1031] = {
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7936),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4532),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1032] = {
    [sym_expression] = STATE(4243),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7608),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1033] = {
    [sym_expression] = STATE(4237),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7952),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1034] = {
    [sym_expression] = STATE(4274),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8209),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1035] = {
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8024),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1036] = {
    [sym_expression] = STATE(4351),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_initializer_list] = STATE(4579),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1037] = {
    [sym_expression] = STATE(4222),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7943),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4542),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1038] = {
    [sym_expression] = STATE(3949),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_initializer_list] = STATE(3764),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1039] = {
    [sym_expression] = STATE(4335),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7831),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4548),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1040] = {
    [sym_expression] = STATE(4255),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7798),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4550),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1041] = {
    [sym_expression] = STATE(2942),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_initializer_list] = STATE(3303),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1042] = {
    [sym_expression] = STATE(4303),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8063),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4552),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1043] = {
    [sym_expression] = STATE(4205),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7316),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1044] = {
    [sym_expression] = STATE(4321),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7316),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1045] = {
    [sym_expression] = STATE(4359),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_initializer_list] = STATE(4629),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1046] = {
    [sym_expression] = STATE(4261),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7453),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1047] = {
    [sym_expression] = STATE(4304),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8176),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4556),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1048] = {
    [sym_expression] = STATE(4268),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8126),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4558),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1049] = {
    [sym_expression] = STATE(3664),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1050] = {
    [sym_expression] = STATE(4445),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(8130),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1051] = {
    [sym_expression] = STATE(4273),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7276),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1052] = {
    [sym_expression] = STATE(4197),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_initializer_list] = STATE(6736),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1053] = {
    [sym_expression] = STATE(4331),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7717),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4560),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1054] = {
    [sym_expression] = STATE(4288),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_initializer_list] = STATE(7219),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1055] = {
    [sym_expression] = STATE(4285),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(7269),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1056] = {
    [sym_expression] = STATE(2319),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_initializer_list] = STATE(2402),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1057] = {
    [sym_expression] = STATE(3414),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_initializer_list] = STATE(3654),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1058] = {
    [sym_expression] = STATE(4089),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(3764),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1059] = {
    [sym_expression] = STATE(2319),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_initializer_list] = STATE(2402),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1060] = {
    [sym_expression] = STATE(3664),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1061] = {
    [sym_expression] = STATE(4369),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7805),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4564),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1062] = {
    [sym_expression] = STATE(3198),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_initializer_list] = STATE(2402),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1063] = {
    [sym_expression] = STATE(4202),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_initializer_list] = STATE(3764),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1064] = {
    [sym_expression] = STATE(4208),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7800),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1065] = {
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_initializer_list] = STATE(3764),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1066] = {
    [sym_expression] = STATE(4137),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(6722),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4570),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1067] = {
    [sym_expression] = STATE(4332),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1068] = {
    [sym_expression] = STATE(3664),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1069] = {
    [sym_expression] = STATE(3664),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1070] = {
    [sym_expression] = STATE(2319),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_initializer_list] = STATE(2402),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1071] = {
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7538),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4575),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1072] = {
    [sym_expression] = STATE(4217),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_initializer_list] = STATE(3764),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACE] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1073] = {
    [sym_expression] = STATE(4283),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(8146),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4577),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1074] = {
    [sym_expression] = STATE(4251),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7426),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4579),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1075] = {
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(7945),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_COLON] = ACTIONS(4581),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1076] = {
    [sym_expression] = STATE(3411),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1077] = {
    [sym_expression] = STATE(3032),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4586),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1078] = {
    [sym_expression] = STATE(3090),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(4591),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1079] = {
    [sym_expression] = STATE(3007),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4583),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1080] = {
    [sym_expression] = STATE(3007),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4593),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1081] = {
    [sym_expression] = STATE(4190),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym_SEMI] = ACTIONS(4596),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(4598),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1082] = {
    [sym_expression] = STATE(4190),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym_SEMI] = ACTIONS(4600),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(4598),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1083] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4602),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1084] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4604),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1085] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4606),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1086] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4608),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1087] = {
    [sym_expression] = STATE(4374),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4610),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1088] = {
    [sym_expression] = STATE(3009),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4612),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1089] = {
    [sym_expression] = STATE(3018),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4615),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1090] = {
    [sym_expression] = STATE(4378),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4618),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1091] = {
    [sym_expression] = STATE(3022),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4620),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1092] = {
    [sym_expression] = STATE(3022),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1093] = {
    [sym_expression] = STATE(2295),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(4626),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1094] = {
    [sym_expression] = STATE(3478),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1095] = {
    [sym_expression] = STATE(3478),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4620),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1096] = {
    [sym_expression] = STATE(3028),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4628),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1097] = {
    [sym_expression] = STATE(3032),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4631),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1098] = {
    [sym_expression] = STATE(3411),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4634),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1099] = {
    [sym_expression] = STATE(3039),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1100] = {
    [sym_expression] = STATE(4529),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4640),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1101] = {
    [sym_expression] = STATE(3411),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4593),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1102] = {
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4642),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1103] = {
    [sym_expression] = STATE(3006),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4644),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1104] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4647),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1105] = {
    [sym_expression] = STATE(4430),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4649),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1106] = {
    [sym_expression] = STATE(3396),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1107] = {
    [sym_expression] = STATE(3018),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4654),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1108] = {
    [sym_expression] = STATE(3397),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4654),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1109] = {
    [sym_expression] = STATE(4504),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_RPAREN] = ACTIONS(4657),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1110] = {
    [sym_expression] = STATE(3398),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4659),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1111] = {
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4662),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1112] = {
    [sym_expression] = STATE(3399),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4586),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1113] = {
    [sym_expression] = STATE(3400),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4664),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1114] = {
    [sym_expression] = STATE(3401),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4667),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1115] = {
    [sym_expression] = STATE(3401),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4670),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1116] = {
    [sym_expression] = STATE(3028),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4659),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1117] = {
    [sym_expression] = STATE(3402),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4673),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1118] = {
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4676),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1119] = {
    [sym_expression] = STATE(3402),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4678),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1120] = {
    [sym_expression] = STATE(4499),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4681),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1121] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4683),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1122] = {
    [sym_expression] = STATE(4493),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4685),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1123] = {
    [sym_expression] = STATE(3402),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4687),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1124] = {
    [sym_expression] = STATE(3402),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4690),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1125] = {
    [sym_expression] = STATE(4415),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4693),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1126] = {
    [sym_expression] = STATE(3403),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4695),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1127] = {
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4698),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1128] = {
    [sym_expression] = STATE(4211),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4700),
    [anon_sym_LPAREN2] = ACTIONS(4702),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1129] = {
    [sym_expression] = STATE(3009),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1130] = {
    [sym_expression] = STATE(3039),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4664),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1131] = {
    [sym_expression] = STATE(4266),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4704),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1132] = {
    [sym_expression] = STATE(3403),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4708),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1133] = {
    [sym_expression] = STATE(4492),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4711),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1134] = {
    [sym_expression] = STATE(3396),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4612),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1135] = {
    [sym_expression] = STATE(4517),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4713),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1136] = {
    [sym_expression] = STATE(3472),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4715),
    [anon_sym_LPAREN2] = ACTIONS(4717),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1137] = {
    [sym_expression] = STATE(3007),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4634),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1138] = {
    [sym_expression] = STATE(4300),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(6722),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1139] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4719),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1140] = {
    [sym_expression] = STATE(3397),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4615),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1141] = {
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4721),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1142] = {
    [sym_expression] = STATE(2295),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1143] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4725),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1144] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4727),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1145] = {
    [sym_expression] = STATE(3737),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4704),
    [anon_sym_LPAREN2] = ACTIONS(4729),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1146] = {
    [sym_expression] = STATE(3398),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4628),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1147] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4731),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1148] = {
    [sym_expression] = STATE(4137),
    [sym__string] = STATE(4039),
    [sym_comma_expression] = STATE(6722),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1149] = {
    [sym_expression] = STATE(4464),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4733),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1150] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4735),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1151] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4737),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1152] = {
    [sym_expression] = STATE(4468),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4739),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1153] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4741),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1154] = {
    [sym_expression] = STATE(3399),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4631),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1155] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4743),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1156] = {
    [sym_expression] = STATE(3171),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4745),
    [anon_sym_LPAREN2] = ACTIONS(4747),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1157] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4749),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1158] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4751),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1159] = {
    [sym_expression] = STATE(4515),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4753),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1160] = {
    [sym_expression] = STATE(3400),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1161] = {
    [sym_expression] = STATE(3401),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4644),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1162] = {
    [sym_expression] = STATE(4519),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4755),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1163] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4757),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1164] = {
    [sym_expression] = STATE(2963),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4759),
    [anon_sym_LPAREN2] = ACTIONS(4761),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1165] = {
    [sym_expression] = STATE(3053),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4708),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1166] = {
    [sym_expression] = STATE(4422),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4763),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1167] = {
    [sym_expression] = STATE(3737),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4704),
    [anon_sym_LPAREN2] = ACTIONS(4765),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1168] = {
    [sym_expression] = STATE(3053),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4695),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1169] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4767),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1170] = {
    [sym_expression] = STATE(3051),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4690),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1171] = {
    [sym_expression] = STATE(3051),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4687),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1172] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4769),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1173] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4771),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1174] = {
    [sym_expression] = STATE(3051),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4678),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1175] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_RBRACK] = ACTIONS(4773),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1176] = {
    [sym_expression] = STATE(3051),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4673),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1177] = {
    [sym_expression] = STATE(3006),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4670),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1178] = {
    [sym_expression] = STATE(2295),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(4775),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1179] = {
    [sym_expression] = STATE(3006),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4667),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1180] = {
    [sym_expression] = STATE(3737),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4704),
    [anon_sym_LPAREN2] = ACTIONS(4777),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1181] = {
    [sym_expression] = STATE(4190),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym_SEMI] = ACTIONS(4779),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(4598),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1182] = {
    [sym_expression] = STATE(3737),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4704),
    [anon_sym_LPAREN2] = ACTIONS(4781),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1183] = {
    [sym_expression] = STATE(3131),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1184] = {
    [sym_expression] = STATE(2687),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1185] = {
    [sym_expression] = STATE(3697),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(4783),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1186] = {
    [sym_expression] = STATE(3674),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1187] = {
    [sym_expression] = STATE(4381),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1188] = {
    [sym_expression] = STATE(4384),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1189] = {
    [sym_expression] = STATE(4394),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1190] = {
    [sym_expression] = STATE(3108),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1191] = {
    [sym_expression] = STATE(4398),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1192] = {
    [sym_expression] = STATE(3074),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1193] = {
    [sym_expression] = STATE(3156),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1194] = {
    [sym_expression] = STATE(3155),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1195] = {
    [sym_expression] = STATE(3151),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1196] = {
    [sym_expression] = STATE(4158),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1197] = {
    [sym_expression] = STATE(3125),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1198] = {
    [sym_expression] = STATE(3124),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1199] = {
    [sym_expression] = STATE(4406),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1200] = {
    [sym_expression] = STATE(3116),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1201] = {
    [sym_expression] = STATE(2289),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1202] = {
    [sym_expression] = STATE(2817),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4785),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1203] = {
    [sym_expression] = STATE(3113),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1204] = {
    [sym_expression] = STATE(4002),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1205] = {
    [sym_expression] = STATE(2953),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1206] = {
    [sym_expression] = STATE(3077),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1207] = {
    [sym_expression] = STATE(2771),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(4787),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1208] = {
    [sym_expression] = STATE(4324),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1209] = {
    [sym_expression] = STATE(3003),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1210] = {
    [sym_expression] = STATE(3022),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1211] = {
    [sym_expression] = STATE(2676),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(4789),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1212] = {
    [sym_expression] = STATE(2289),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1213] = {
    [sym_expression] = STATE(3007),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1214] = {
    [sym_expression] = STATE(3009),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1215] = {
    [sym_expression] = STATE(3018),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1216] = {
    [sym_expression] = STATE(3028),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1217] = {
    [sym_expression] = STATE(3032),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1218] = {
    [sym_expression] = STATE(4087),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1219] = {
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1220] = {
    [sym_expression] = STATE(4133),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(4791),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1221] = {
    [sym_expression] = STATE(3039),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1222] = {
    [sym_expression] = STATE(4417),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1223] = {
    [sym_expression] = STATE(3006),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1224] = {
    [sym_expression] = STATE(3956),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1225] = {
    [sym_expression] = STATE(3051),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1226] = {
    [sym_expression] = STATE(4254),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1227] = {
    [sym_expression] = STATE(3053),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1228] = {
    [sym_expression] = STATE(2772),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1229] = {
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1230] = {
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1231] = {
    [sym_expression] = STATE(4245),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1232] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1233] = {
    [sym_expression] = STATE(4469),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1234] = {
    [sym_expression] = STATE(4264),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1235] = {
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1236] = {
    [sym_expression] = STATE(4190),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(4598),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1237] = {
    [sym_expression] = STATE(2962),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1238] = {
    [sym_expression] = STATE(4387),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1239] = {
    [sym_expression] = STATE(4431),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1240] = {
    [sym_expression] = STATE(4429),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1241] = {
    [sym_expression] = STATE(4262),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1242] = {
    [sym_expression] = STATE(4242),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1243] = {
    [sym_expression] = STATE(3466),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1244] = {
    [sym_expression] = STATE(4240),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1245] = {
    [sym_expression] = STATE(4100),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4795),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1246] = {
    [sym_expression] = STATE(4235),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1247] = {
    [sym_expression] = STATE(4234),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1248] = {
    [sym_expression] = STATE(4233),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1249] = {
    [sym_expression] = STATE(4514),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1250] = {
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1251] = {
    [sym_expression] = STATE(3674),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1252] = {
    [sym_expression] = STATE(4230),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1253] = {
    [sym_expression] = STATE(4228),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1254] = {
    [sym_expression] = STATE(4348),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1255] = {
    [sym_expression] = STATE(4349),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1256] = {
    [sym_expression] = STATE(3050),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(4797),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1257] = {
    [sym_expression] = STATE(3518),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1258] = {
    [sym_expression] = STATE(3990),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1259] = {
    [sym_expression] = STATE(3050),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1260] = {
    [sym_expression] = STATE(4227),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1261] = {
    [sym_expression] = STATE(3069),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(4799),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1262] = {
    [sym_expression] = STATE(3999),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1263] = {
    [sym_expression] = STATE(3998),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1264] = {
    [sym_expression] = STATE(4224),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1265] = {
    [sym_expression] = STATE(4221),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1266] = {
    [sym_expression] = STATE(3697),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1267] = {
    [sym_expression] = STATE(4161),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1268] = {
    [sym_expression] = STATE(3991),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1269] = {
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(4801),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1270] = {
    [sym_expression] = STATE(3989),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1271] = {
    [sym_expression] = STATE(3981),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1272] = {
    [sym_expression] = STATE(4244),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1273] = {
    [sym_expression] = STATE(3205),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1274] = {
    [sym_expression] = STATE(4130),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1275] = {
    [sym_expression] = STATE(3980),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1276] = {
    [sym_expression] = STATE(3203),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1277] = {
    [sym_expression] = STATE(3979),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1278] = {
    [sym_expression] = STATE(3978),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1279] = {
    [sym_expression] = STATE(3194),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1280] = {
    [sym_expression] = STATE(3690),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1281] = {
    [sym_expression] = STATE(3975),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1282] = {
    [sym_expression] = STATE(3117),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(4803),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1283] = {
    [sym_expression] = STATE(3102),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1284] = {
    [sym_expression] = STATE(2977),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1285] = {
    [sym_expression] = STATE(2991),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1286] = {
    [sym_expression] = STATE(3091),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(4805),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1287] = {
    [sym_expression] = STATE(4323),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1288] = {
    [sym_expression] = STATE(2293),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1289] = {
    [sym_expression] = STATE(3188),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1290] = {
    [sym_expression] = STATE(3186),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1291] = {
    [sym_expression] = STATE(4103),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1292] = {
    [sym_expression] = STATE(3185),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1293] = {
    [sym_expression] = STATE(3690),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1294] = {
    [sym_expression] = STATE(2972),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1295] = {
    [sym_expression] = STATE(2978),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1296] = {
    [sym_expression] = STATE(3177),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1297] = {
    [sym_expression] = STATE(3168),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1298] = {
    [sym_expression] = STATE(3154),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1299] = {
    [sym_expression] = STATE(2981),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1300] = {
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1301] = {
    [sym_expression] = STATE(2983),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1302] = {
    [sym_expression] = STATE(3152),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1303] = {
    [sym_expression] = STATE(3058),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1304] = {
    [sym_expression] = STATE(4104),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1305] = {
    [sym_expression] = STATE(3145),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1306] = {
    [sym_expression] = STATE(2992),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1307] = {
    [sym_expression] = STATE(4111),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1308] = {
    [sym_expression] = STATE(2994),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1309] = {
    [sym_expression] = STATE(3170),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1310] = {
    [sym_expression] = STATE(2969),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1311] = {
    [sym_expression] = STATE(4120),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1312] = {
    [sym_expression] = STATE(4128),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1313] = {
    [sym_expression] = STATE(3438),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1314] = {
    [sym_expression] = STATE(4375),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1315] = {
    [sym_expression] = STATE(3470),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1316] = {
    [sym_expression] = STATE(4218),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1317] = {
    [sym_expression] = STATE(3199),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1318] = {
    [sym_expression] = STATE(3951),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(4807),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1319] = {
    [sym_expression] = STATE(4129),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1320] = {
    [sym_expression] = STATE(3086),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1321] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1322] = {
    [sym_expression] = STATE(3959),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1323] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1324] = {
    [sym_expression] = STATE(2314),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1325] = {
    [sym_expression] = STATE(3146),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1326] = {
    [sym_expression] = STATE(4291),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1327] = {
    [sym_expression] = STATE(2758),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1328] = {
    [sym_expression] = STATE(4134),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1329] = {
    [sym_expression] = STATE(4139),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1330] = {
    [sym_expression] = STATE(4165),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1331] = {
    [sym_expression] = STATE(4270),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1332] = {
    [sym_expression] = STATE(4277),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1333] = {
    [sym_expression] = STATE(4204),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1334] = {
    [sym_expression] = STATE(4097),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(4809),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1335] = {
    [sym_expression] = STATE(3144),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1336] = {
    [sym_expression] = STATE(3674),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1337] = {
    [sym_expression] = STATE(4341),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1338] = {
    [sym_expression] = STATE(4175),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1339] = {
    [sym_expression] = STATE(3972),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(4811),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1340] = {
    [sym_expression] = STATE(4371),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1341] = {
    [sym_expression] = STATE(3403),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1342] = {
    [sym_expression] = STATE(4226),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1343] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1344] = {
    [sym_expression] = STATE(4247),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1345] = {
    [sym_expression] = STATE(4248),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1346] = {
    [sym_expression] = STATE(4350),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1347] = {
    [sym_expression] = STATE(4259),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1348] = {
    [sym_expression] = STATE(3141),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1349] = {
    [sym_expression] = STATE(4336),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1350] = {
    [sym_expression] = STATE(3089),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1351] = {
    [sym_expression] = STATE(3082),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4566),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2434),
    [anon_sym_compl] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(4458),
    [anon_sym_PLUS_PLUS] = ACTIONS(4458),
    [anon_sym_sizeof] = ACTIONS(2442),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2444),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1352] = {
    [sym_expression] = STATE(4418),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1353] = {
    [sym_expression] = STATE(2322),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(4813),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1354] = {
    [sym_expression] = STATE(2322),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1355] = {
    [sym_expression] = STATE(3402),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1356] = {
    [sym_expression] = STATE(3401),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1357] = {
    [sym_expression] = STATE(4280),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1358] = {
    [sym_expression] = STATE(3061),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1359] = {
    [sym_expression] = STATE(3400),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1360] = {
    [sym_expression] = STATE(2985),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1361] = {
    [sym_expression] = STATE(2787),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1362] = {
    [sym_expression] = STATE(2663),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1363] = {
    [sym_expression] = STATE(3190),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1364] = {
    [sym_expression] = STATE(4364),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1365] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1366] = {
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1367] = {
    [sym_expression] = STATE(2650),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1368] = {
    [sym_expression] = STATE(4099),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1369] = {
    [sym_expression] = STATE(3690),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1370] = {
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1371] = {
    [sym_expression] = STATE(4092),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1372] = {
    [sym_expression] = STATE(4085),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1373] = {
    [sym_expression] = STATE(4098),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1374] = {
    [sym_expression] = STATE(4069),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1375] = {
    [sym_expression] = STATE(4063),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1376] = {
    [sym_expression] = STATE(2671),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1377] = {
    [sym_expression] = STATE(2615),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1378] = {
    [sym_expression] = STATE(4487),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1379] = {
    [sym_expression] = STATE(4439),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1380] = {
    [sym_expression] = STATE(2293),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1381] = {
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1382] = {
    [sym_expression] = STATE(2632),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(4815),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1383] = {
    [sym_expression] = STATE(4067),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1384] = {
    [sym_expression] = STATE(4076),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1385] = {
    [sym_expression] = STATE(4505),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1386] = {
    [sym_expression] = STATE(3399),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1387] = {
    [sym_expression] = STATE(2634),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1388] = {
    [sym_expression] = STATE(3674),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1389] = {
    [sym_expression] = STATE(4343),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1390] = {
    [sym_expression] = STATE(4356),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1391] = {
    [sym_expression] = STATE(3398),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1392] = {
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1393] = {
    [sym_expression] = STATE(4269),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1394] = {
    [sym_expression] = STATE(2636),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1395] = {
    [sym_expression] = STATE(2638),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1396] = {
    [sym_expression] = STATE(2639),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1397] = {
    [sym_expression] = STATE(4412),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1398] = {
    [sym_expression] = STATE(2640),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1399] = {
    [sym_expression] = STATE(3697),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1400] = {
    [sym_expression] = STATE(3174),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1401] = {
    [sym_expression] = STATE(3397),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1402] = {
    [sym_expression] = STATE(3026),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1403] = {
    [sym_expression] = STATE(2641),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1404] = {
    [sym_expression] = STATE(2646),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1405] = {
    [sym_expression] = STATE(2289),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1406] = {
    [sym_expression] = STATE(2980),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(4819),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1407] = {
    [sym_expression] = STATE(4494),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1408] = {
    [sym_expression] = STATE(3196),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(4821),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1409] = {
    [sym_expression] = STATE(2656),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1410] = {
    [sym_expression] = STATE(3157),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1411] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1412] = {
    [sym_expression] = STATE(3508),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(4823),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1413] = {
    [sym_expression] = STATE(4536),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1414] = {
    [sym_expression] = STATE(3526),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1415] = {
    [sym_expression] = STATE(4533),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1416] = {
    [sym_expression] = STATE(4527),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1417] = {
    [sym_expression] = STATE(4145),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1418] = {
    [sym_expression] = STATE(4443),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1419] = {
    [sym_expression] = STATE(4442),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1420] = {
    [sym_expression] = STATE(3419),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(4825),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1421] = {
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1422] = {
    [sym_expression] = STATE(4432),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1423] = {
    [sym_expression] = STATE(4437),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1424] = {
    [sym_expression] = STATE(3396),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1425] = {
    [sym_expression] = STATE(3180),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1426] = {
    [sym_expression] = STATE(4178),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1427] = {
    [sym_expression] = STATE(3697),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1428] = {
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1429] = {
    [sym_expression] = STATE(3178),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(4827),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1430] = {
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1431] = {
    [sym_expression] = STATE(4367),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1432] = {
    [sym_expression] = STATE(4366),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1433] = {
    [sym_expression] = STATE(4362),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1434] = {
    [sym_expression] = STATE(4358),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1435] = {
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1436] = {
    [sym_expression] = STATE(4353),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1437] = {
    [sym_expression] = STATE(4295),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1438] = {
    [sym_expression] = STATE(4329),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1439] = {
    [sym_expression] = STATE(4326),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1440] = {
    [sym_expression] = STATE(4426),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1441] = {
    [sym_expression] = STATE(4444),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1442] = {
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1443] = {
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1444] = {
    [sym_expression] = STATE(3394),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1445] = {
    [sym_expression] = STATE(4213),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1446] = {
    [sym_expression] = STATE(3072),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1447] = {
    [sym_expression] = STATE(3697),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1448] = {
    [sym_expression] = STATE(2763),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1449] = {
    [sym_expression] = STATE(3739),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1450] = {
    [sym_expression] = STATE(3411),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1451] = {
    [sym_expression] = STATE(2322),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1452] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(3099),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(3099),
    [sym_concatenated_string] = STATE(3099),
    [sym_string_literal] = STATE(2189),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(2189),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(2219),
    [anon_sym_COLON_COLON] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(2215),
    [anon_sym_compl] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_sizeof] = ACTIONS(2223),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(2225),
    [anon_sym_L_SQUOTE] = ACTIONS(2227),
    [anon_sym_u_SQUOTE] = ACTIONS(2227),
    [anon_sym_U_SQUOTE] = ACTIONS(2227),
    [anon_sym_u8_SQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [anon_sym_L_DQUOTE] = ACTIONS(2229),
    [anon_sym_u_DQUOTE] = ACTIONS(2229),
    [anon_sym_U_DQUOTE] = ACTIONS(2229),
    [anon_sym_u8_DQUOTE] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(2229),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_R_DQUOTE] = ACTIONS(2233),
    [anon_sym_LR_DQUOTE] = ACTIONS(2233),
    [anon_sym_uR_DQUOTE] = ACTIONS(2233),
    [anon_sym_UR_DQUOTE] = ACTIONS(2233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2233),
    [anon_sym_co_await] = ACTIONS(2235),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1453] = {
    [sym_expression] = STATE(2762),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1454] = {
    [sym_expression] = STATE(2761),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1455] = {
    [sym_expression] = STATE(2759),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1456] = {
    [sym_expression] = STATE(2322),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1457] = {
    [sym_expression] = STATE(2757),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1458] = {
    [sym_expression] = STATE(2285),
    [sym__string] = STATE(2699),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2699),
    [sym_concatenated_string] = STATE(2699),
    [sym_string_literal] = STATE(1843),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1843),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4562),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_PLUS] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1906),
    [anon_sym_compl] = ACTIONS(1906),
    [anon_sym_DASH_DASH] = ACTIONS(4411),
    [anon_sym_PLUS_PLUS] = ACTIONS(4411),
    [anon_sym_sizeof] = ACTIONS(1918),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1928),
    [anon_sym_L_SQUOTE] = ACTIONS(1930),
    [anon_sym_u_SQUOTE] = ACTIONS(1930),
    [anon_sym_U_SQUOTE] = ACTIONS(1930),
    [anon_sym_u8_SQUOTE] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1930),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [anon_sym_co_await] = ACTIONS(1944),
    [anon_sym_new] = ACTIONS(1946),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1459] = {
    [sym_expression] = STATE(4397),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1460] = {
    [sym_expression] = STATE(2754),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1461] = {
    [sym_expression] = STATE(2753),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1462] = {
    [sym_expression] = STATE(4472),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1463] = {
    [sym_expression] = STATE(2756),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1464] = {
    [sym_expression] = STATE(2293),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1465] = {
    [sym_expression] = STATE(2794),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1466] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1467] = {
    [sym_expression] = STATE(3478),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1468] = {
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1469] = {
    [sym_expression] = STATE(4474),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1470] = {
    [sym_expression] = STATE(4073),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1471] = {
    [sym_expression] = STATE(3075),
    [sym__string] = STATE(3334),
    [sym_conditional_expression] = STATE(3521),
    [sym_assignment_expression] = STATE(3521),
    [sym_pointer_expression] = STATE(3520),
    [sym_unary_expression] = STATE(3521),
    [sym_binary_expression] = STATE(3521),
    [sym_update_expression] = STATE(3521),
    [sym_cast_expression] = STATE(3521),
    [sym_sizeof_expression] = STATE(3521),
    [sym_alignof_expression] = STATE(3521),
    [sym_offsetof_expression] = STATE(3521),
    [sym_generic_expression] = STATE(3521),
    [sym_subscript_expression] = STATE(3520),
    [sym_call_expression] = STATE(3520),
    [sym_gnu_asm_expression] = STATE(3521),
    [sym_extension_expression] = STATE(3521),
    [sym_field_expression] = STATE(3520),
    [sym_compound_literal_expression] = STATE(3521),
    [sym_parenthesized_expression] = STATE(3520),
    [sym_char_literal] = STATE(3334),
    [sym_concatenated_string] = STATE(3334),
    [sym_string_literal] = STATE(2244),
    [sym_null] = STATE(3521),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7364),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3521),
    [sym_raw_string_literal] = STATE(2244),
    [sym_co_await_expression] = STATE(3521),
    [sym_new_expression] = STATE(3521),
    [sym_delete_expression] = STATE(3521),
    [sym_requires_clause] = STATE(3521),
    [sym_requires_expression] = STATE(3521),
    [sym_lambda_expression] = STATE(3521),
    [sym_lambda_capture_specifier] = STATE(5600),
    [sym_fold_expression] = STATE(3521),
    [sym_parameter_pack_expansion] = STATE(3521),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3520),
    [sym_qualified_type_identifier] = STATE(7364),
    [sym_user_defined_literal] = STATE(3520),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(4524),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_not] = ACTIONS(2450),
    [anon_sym_compl] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(4476),
    [anon_sym_PLUS_PLUS] = ACTIONS(4476),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(2464),
    [anon_sym___alignof] = ACTIONS(2464),
    [anon_sym__alignof] = ACTIONS(2464),
    [anon_sym_alignof] = ACTIONS(2464),
    [anon_sym__Alignof] = ACTIONS(2464),
    [anon_sym_offsetof] = ACTIONS(2466),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2474),
    [anon_sym_u_SQUOTE] = ACTIONS(2474),
    [anon_sym_U_SQUOTE] = ACTIONS(2474),
    [anon_sym_u8_SQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2480),
    [anon_sym_nullptr] = ACTIONS(2480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2486),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2490),
    [sym_this] = ACTIONS(2478),
  },
  [1472] = {
    [sym_expression] = STATE(4506),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1473] = {
    [sym_expression] = STATE(4532),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1474] = {
    [sym_expression] = STATE(4236),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1475] = {
    [sym_expression] = STATE(4513),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1476] = {
    [sym_expression] = STATE(4114),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1477] = {
    [sym_expression] = STATE(4463),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1478] = {
    [sym_expression] = STATE(4223),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(4829),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1479] = {
    [sym_expression] = STATE(4354),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1480] = {
    [sym_expression] = STATE(4231),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1481] = {
    [sym_expression] = STATE(4308),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(4831),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1482] = {
    [sym_expression] = STATE(4187),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1483] = {
    [sym_expression] = STATE(4518),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1484] = {
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1485] = {
    [sym_expression] = STATE(3016),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(4833),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1486] = {
    [sym_expression] = STATE(4509),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1487] = {
    [sym_expression] = STATE(4347),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1488] = {
    [sym_expression] = STATE(3440),
    [sym__string] = STATE(3623),
    [sym_conditional_expression] = STATE(3667),
    [sym_assignment_expression] = STATE(3667),
    [sym_pointer_expression] = STATE(3225),
    [sym_unary_expression] = STATE(3667),
    [sym_binary_expression] = STATE(3667),
    [sym_update_expression] = STATE(3667),
    [sym_cast_expression] = STATE(3667),
    [sym_sizeof_expression] = STATE(3667),
    [sym_alignof_expression] = STATE(3667),
    [sym_offsetof_expression] = STATE(3667),
    [sym_generic_expression] = STATE(3667),
    [sym_subscript_expression] = STATE(3225),
    [sym_call_expression] = STATE(3225),
    [sym_gnu_asm_expression] = STATE(3667),
    [sym_extension_expression] = STATE(3667),
    [sym_field_expression] = STATE(3225),
    [sym_compound_literal_expression] = STATE(3667),
    [sym_parenthesized_expression] = STATE(3225),
    [sym_char_literal] = STATE(3623),
    [sym_concatenated_string] = STATE(3623),
    [sym_string_literal] = STATE(2453),
    [sym_null] = STATE(3667),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7391),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3667),
    [sym_raw_string_literal] = STATE(2453),
    [sym_co_await_expression] = STATE(3667),
    [sym_new_expression] = STATE(3667),
    [sym_delete_expression] = STATE(3667),
    [sym_requires_clause] = STATE(3667),
    [sym_requires_expression] = STATE(3667),
    [sym_lambda_expression] = STATE(3667),
    [sym_lambda_capture_specifier] = STATE(5608),
    [sym_fold_expression] = STATE(3667),
    [sym_parameter_pack_expansion] = STATE(3667),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3225),
    [sym_qualified_type_identifier] = STATE(7391),
    [sym_user_defined_literal] = STATE(3225),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(1836),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_compl] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_sizeof] = ACTIONS(1862),
    [anon_sym___alignof__] = ACTIONS(1864),
    [anon_sym___alignof] = ACTIONS(1864),
    [anon_sym__alignof] = ACTIONS(1864),
    [anon_sym_alignof] = ACTIONS(1864),
    [anon_sym__Alignof] = ACTIONS(1864),
    [anon_sym_offsetof] = ACTIONS(1866),
    [anon_sym__Generic] = ACTIONS(1868),
    [anon_sym_asm] = ACTIONS(1870),
    [anon_sym___asm__] = ACTIONS(1870),
    [anon_sym___asm] = ACTIONS(1870),
    [sym_number_literal] = ACTIONS(1872),
    [anon_sym_L_SQUOTE] = ACTIONS(1874),
    [anon_sym_u_SQUOTE] = ACTIONS(1874),
    [anon_sym_U_SQUOTE] = ACTIONS(1874),
    [anon_sym_u8_SQUOTE] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1874),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1880),
    [anon_sym_nullptr] = ACTIONS(1880),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1884),
    [anon_sym_R_DQUOTE] = ACTIONS(1886),
    [anon_sym_LR_DQUOTE] = ACTIONS(1886),
    [anon_sym_uR_DQUOTE] = ACTIONS(1886),
    [anon_sym_UR_DQUOTE] = ACTIONS(1886),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1886),
    [anon_sym_co_await] = ACTIONS(1888),
    [anon_sym_new] = ACTIONS(1890),
    [anon_sym_requires] = ACTIONS(1892),
    [sym_this] = ACTIONS(1878),
  },
  [1489] = {
    [sym_expression] = STATE(2774),
    [sym__string] = STATE(2819),
    [sym_conditional_expression] = STATE(2337),
    [sym_assignment_expression] = STATE(2337),
    [sym_pointer_expression] = STATE(2342),
    [sym_unary_expression] = STATE(2337),
    [sym_binary_expression] = STATE(2337),
    [sym_update_expression] = STATE(2337),
    [sym_cast_expression] = STATE(2337),
    [sym_sizeof_expression] = STATE(2337),
    [sym_alignof_expression] = STATE(2337),
    [sym_offsetof_expression] = STATE(2337),
    [sym_generic_expression] = STATE(2337),
    [sym_subscript_expression] = STATE(2342),
    [sym_call_expression] = STATE(2342),
    [sym_gnu_asm_expression] = STATE(2337),
    [sym_extension_expression] = STATE(2337),
    [sym_field_expression] = STATE(2342),
    [sym_compound_literal_expression] = STATE(2337),
    [sym_parenthesized_expression] = STATE(2342),
    [sym_char_literal] = STATE(2819),
    [sym_concatenated_string] = STATE(2819),
    [sym_string_literal] = STATE(1886),
    [sym_null] = STATE(2337),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7230),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(2337),
    [sym_raw_string_literal] = STATE(1886),
    [sym_co_await_expression] = STATE(2337),
    [sym_new_expression] = STATE(2337),
    [sym_delete_expression] = STATE(2337),
    [sym_requires_clause] = STATE(2337),
    [sym_requires_expression] = STATE(2337),
    [sym_lambda_expression] = STATE(2337),
    [sym_lambda_capture_specifier] = STATE(5580),
    [sym_fold_expression] = STATE(2337),
    [sym_parameter_pack_expansion] = STATE(2337),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2342),
    [sym_qualified_type_identifier] = STATE(7230),
    [sym_user_defined_literal] = STATE(2342),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1964),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1916),
    [anon_sym_not] = ACTIONS(1960),
    [anon_sym_compl] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_sizeof] = ACTIONS(1968),
    [anon_sym___alignof__] = ACTIONS(1920),
    [anon_sym___alignof] = ACTIONS(1920),
    [anon_sym__alignof] = ACTIONS(1920),
    [anon_sym_alignof] = ACTIONS(1920),
    [anon_sym__Alignof] = ACTIONS(1920),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1924),
    [anon_sym_asm] = ACTIONS(1926),
    [anon_sym___asm__] = ACTIONS(1926),
    [anon_sym___asm] = ACTIONS(1926),
    [sym_number_literal] = ACTIONS(1970),
    [anon_sym_L_SQUOTE] = ACTIONS(1972),
    [anon_sym_u_SQUOTE] = ACTIONS(1972),
    [anon_sym_U_SQUOTE] = ACTIONS(1972),
    [anon_sym_u8_SQUOTE] = ACTIONS(1972),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_L_DQUOTE] = ACTIONS(1974),
    [anon_sym_u_DQUOTE] = ACTIONS(1974),
    [anon_sym_U_DQUOTE] = ACTIONS(1974),
    [anon_sym_u8_DQUOTE] = ACTIONS(1974),
    [anon_sym_DQUOTE] = ACTIONS(1974),
    [sym_true] = ACTIONS(1934),
    [sym_false] = ACTIONS(1934),
    [anon_sym_NULL] = ACTIONS(1936),
    [anon_sym_nullptr] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_R_DQUOTE] = ACTIONS(1978),
    [anon_sym_LR_DQUOTE] = ACTIONS(1978),
    [anon_sym_uR_DQUOTE] = ACTIONS(1978),
    [anon_sym_UR_DQUOTE] = ACTIONS(1978),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1978),
    [anon_sym_co_await] = ACTIONS(1980),
    [anon_sym_new] = ACTIONS(1982),
    [anon_sym_requires] = ACTIONS(1948),
    [sym_this] = ACTIONS(1934),
  },
  [1490] = {
    [sym_expression] = STATE(3690),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1491] = {
    [sym_expression] = STATE(2952),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1492] = {
    [sym_expression] = STATE(4334),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1493] = {
    [sym_expression] = STATE(3967),
    [sym__string] = STATE(4014),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(2766),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(2766),
    [sym_call_expression] = STATE(2766),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(2766),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(2766),
    [sym_char_literal] = STATE(4014),
    [sym_concatenated_string] = STATE(4014),
    [sym_string_literal] = STATE(2888),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(2888),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(2766),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(2766),
    [sym_identifier] = ACTIONS(4435),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(3451),
    [anon_sym_COLON_COLON] = ACTIONS(3453),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3447),
    [anon_sym_compl] = ACTIONS(3447),
    [anon_sym_DASH_DASH] = ACTIONS(4437),
    [anon_sym_PLUS_PLUS] = ACTIONS(4437),
    [anon_sym_sizeof] = ACTIONS(3457),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3459),
    [anon_sym_L_SQUOTE] = ACTIONS(3461),
    [anon_sym_u_SQUOTE] = ACTIONS(3461),
    [anon_sym_U_SQUOTE] = ACTIONS(3461),
    [anon_sym_u8_SQUOTE] = ACTIONS(3461),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3465),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
    [anon_sym_co_await] = ACTIONS(3469),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_requires] = ACTIONS(3473),
    [sym_this] = ACTIONS(219),
  },
  [1494] = {
    [sym_expression] = STATE(4333),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1495] = {
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1496] = {
    [sym_expression] = STATE(4311),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1497] = {
    [sym_expression] = STATE(4265),
    [sym__string] = STATE(4379),
    [sym_conditional_expression] = STATE(4635),
    [sym_assignment_expression] = STATE(4635),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4635),
    [sym_binary_expression] = STATE(4635),
    [sym_update_expression] = STATE(4635),
    [sym_cast_expression] = STATE(4635),
    [sym_sizeof_expression] = STATE(4635),
    [sym_alignof_expression] = STATE(4635),
    [sym_offsetof_expression] = STATE(4635),
    [sym_generic_expression] = STATE(4635),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4635),
    [sym_extension_expression] = STATE(4635),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4379),
    [sym_concatenated_string] = STATE(4379),
    [sym_string_literal] = STATE(3586),
    [sym_null] = STATE(4635),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7303),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(4635),
    [sym_raw_string_literal] = STATE(3586),
    [sym_co_await_expression] = STATE(4635),
    [sym_new_expression] = STATE(4635),
    [sym_delete_expression] = STATE(4635),
    [sym_requires_clause] = STATE(4635),
    [sym_requires_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(4635),
    [sym_lambda_capture_specifier] = STATE(5569),
    [sym_fold_expression] = STATE(4635),
    [sym_parameter_pack_expansion] = STATE(4635),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5393),
    [sym_qualified_identifier] = STATE(3510),
    [sym_qualified_type_identifier] = STATE(7303),
    [sym_user_defined_literal] = STATE(3510),
    [sym_identifier] = ACTIONS(3733),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(4835),
    [sym_primitive_type] = ACTIONS(3739),
    [anon_sym_not] = ACTIONS(2590),
    [anon_sym_compl] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [anon_sym___asm] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2646),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2628),
  },
  [1498] = {
    [sym_expression] = STATE(4310),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1499] = {
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1500] = {
    [sym_expression] = STATE(2995),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1501] = {
    [sym_expression] = STATE(4309),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1502] = {
    [sym_expression] = STATE(4467),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1503] = {
    [sym_expression] = STATE(2987),
    [sym__string] = STATE(3081),
    [sym_conditional_expression] = STATE(3298),
    [sym_assignment_expression] = STATE(3298),
    [sym_pointer_expression] = STATE(3234),
    [sym_unary_expression] = STATE(3298),
    [sym_binary_expression] = STATE(3298),
    [sym_update_expression] = STATE(3298),
    [sym_cast_expression] = STATE(3298),
    [sym_sizeof_expression] = STATE(3298),
    [sym_alignof_expression] = STATE(3298),
    [sym_offsetof_expression] = STATE(3298),
    [sym_generic_expression] = STATE(3298),
    [sym_subscript_expression] = STATE(3234),
    [sym_call_expression] = STATE(3234),
    [sym_gnu_asm_expression] = STATE(3298),
    [sym_extension_expression] = STATE(3298),
    [sym_field_expression] = STATE(3234),
    [sym_compound_literal_expression] = STATE(3298),
    [sym_parenthesized_expression] = STATE(3234),
    [sym_char_literal] = STATE(3081),
    [sym_concatenated_string] = STATE(3081),
    [sym_string_literal] = STATE(2204),
    [sym_null] = STATE(3298),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7138),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3298),
    [sym_raw_string_literal] = STATE(2204),
    [sym_co_await_expression] = STATE(3298),
    [sym_new_expression] = STATE(3298),
    [sym_delete_expression] = STATE(3298),
    [sym_requires_clause] = STATE(3298),
    [sym_requires_expression] = STATE(3298),
    [sym_lambda_expression] = STATE(3298),
    [sym_lambda_capture_specifier] = STATE(5564),
    [sym_fold_expression] = STATE(3298),
    [sym_parameter_pack_expansion] = STATE(3298),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5406),
    [sym_qualified_identifier] = STATE(3234),
    [sym_qualified_type_identifier] = STATE(7138),
    [sym_user_defined_literal] = STATE(3234),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_LPAREN2] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1760),
    [anon_sym_TILDE] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym___extension__] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(4837),
    [sym_primitive_type] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1764),
    [anon_sym_compl] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_sizeof] = ACTIONS(1792),
    [anon_sym___alignof__] = ACTIONS(1794),
    [anon_sym___alignof] = ACTIONS(1794),
    [anon_sym__alignof] = ACTIONS(1794),
    [anon_sym_alignof] = ACTIONS(1794),
    [anon_sym__Alignof] = ACTIONS(1794),
    [anon_sym_offsetof] = ACTIONS(1796),
    [anon_sym__Generic] = ACTIONS(1798),
    [anon_sym_asm] = ACTIONS(1800),
    [anon_sym___asm__] = ACTIONS(1800),
    [anon_sym___asm] = ACTIONS(1800),
    [sym_number_literal] = ACTIONS(1802),
    [anon_sym_L_SQUOTE] = ACTIONS(1804),
    [anon_sym_u_SQUOTE] = ACTIONS(1804),
    [anon_sym_U_SQUOTE] = ACTIONS(1804),
    [anon_sym_u8_SQUOTE] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_L_DQUOTE] = ACTIONS(1806),
    [anon_sym_u_DQUOTE] = ACTIONS(1806),
    [anon_sym_U_DQUOTE] = ACTIONS(1806),
    [anon_sym_u8_DQUOTE] = ACTIONS(1806),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [anon_sym_NULL] = ACTIONS(1810),
    [anon_sym_nullptr] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(1820),
    [anon_sym_R_DQUOTE] = ACTIONS(1822),
    [anon_sym_LR_DQUOTE] = ACTIONS(1822),
    [anon_sym_uR_DQUOTE] = ACTIONS(1822),
    [anon_sym_UR_DQUOTE] = ACTIONS(1822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1822),
    [anon_sym_co_await] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_requires] = ACTIONS(1828),
    [sym_this] = ACTIONS(1808),
  },
  [1504] = {
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1505] = {
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1506] = {
    [sym_expression] = STATE(4301),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1507] = {
    [sym_expression] = STATE(4143),
    [sym__string] = STATE(4210),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3308),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3308),
    [sym_call_expression] = STATE(3308),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3308),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3308),
    [sym_char_literal] = STATE(4210),
    [sym_concatenated_string] = STATE(4210),
    [sym_string_literal] = STATE(3439),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3439),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3308),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3308),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(4361),
    [anon_sym_AMP] = ACTIONS(4361),
    [anon_sym___extension__] = ACTIONS(3519),
    [anon_sym_COLON_COLON] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3515),
    [anon_sym_compl] = ACTIONS(3515),
    [anon_sym_DASH_DASH] = ACTIONS(4365),
    [anon_sym_PLUS_PLUS] = ACTIONS(4365),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(3525),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3529),
    [anon_sym_u_DQUOTE] = ACTIONS(3529),
    [anon_sym_U_DQUOTE] = ACTIONS(3529),
    [anon_sym_u8_DQUOTE] = ACTIONS(3529),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3531),
    [anon_sym_R_DQUOTE] = ACTIONS(3533),
    [anon_sym_LR_DQUOTE] = ACTIONS(3533),
    [anon_sym_uR_DQUOTE] = ACTIONS(3533),
    [anon_sym_UR_DQUOTE] = ACTIONS(3533),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3533),
    [anon_sym_co_await] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1508] = {
    [sym_expression] = STATE(4523),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1509] = {
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3433),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3433),
    [sym_call_expression] = STATE(3433),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3433),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3433),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3433),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3433),
    [sym_identifier] = ACTIONS(3699),
    [anon_sym_LPAREN2] = ACTIONS(4528),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(3705),
    [anon_sym_COLON_COLON] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3701),
    [anon_sym_compl] = ACTIONS(3701),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3711),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1510] = {
    [sym_expression] = STATE(4396),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1511] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3484),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3484),
    [sym_call_expression] = STATE(3484),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3484),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3484),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3484),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3484),
    [sym_identifier] = ACTIONS(3717),
    [anon_sym_LPAREN2] = ACTIONS(3743),
    [anon_sym_BANG] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(3719),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3723),
    [anon_sym_COLON_COLON] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(3719),
    [anon_sym_compl] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_sizeof] = ACTIONS(3727),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(3729),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3731),
    [anon_sym_new] = ACTIONS(3715),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1512] = {
    [sym_expression] = STATE(4307),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1513] = {
    [sym_expression] = STATE(4481),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1514] = {
    [sym_expression] = STATE(4454),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1515] = {
    [sym_expression] = STATE(4160),
    [sym__string] = STATE(4039),
    [sym_conditional_expression] = STATE(3791),
    [sym_assignment_expression] = STATE(3791),
    [sym_pointer_expression] = STATE(3207),
    [sym_unary_expression] = STATE(3791),
    [sym_binary_expression] = STATE(3791),
    [sym_update_expression] = STATE(3791),
    [sym_cast_expression] = STATE(3791),
    [sym_sizeof_expression] = STATE(3791),
    [sym_alignof_expression] = STATE(3791),
    [sym_offsetof_expression] = STATE(3791),
    [sym_generic_expression] = STATE(3791),
    [sym_subscript_expression] = STATE(3207),
    [sym_call_expression] = STATE(3207),
    [sym_gnu_asm_expression] = STATE(3791),
    [sym_extension_expression] = STATE(3791),
    [sym_field_expression] = STATE(3207),
    [sym_compound_literal_expression] = STATE(3791),
    [sym_parenthesized_expression] = STATE(3207),
    [sym_char_literal] = STATE(4039),
    [sym_concatenated_string] = STATE(4039),
    [sym_string_literal] = STATE(3055),
    [sym_null] = STATE(3791),
    [sym_decltype] = STATE(8141),
    [sym__class_name] = STATE(7144),
    [sym_template_type] = STATE(2136),
    [sym_template_function] = STATE(3791),
    [sym_raw_string_literal] = STATE(3055),
    [sym_co_await_expression] = STATE(3791),
    [sym_new_expression] = STATE(3791),
    [sym_delete_expression] = STATE(3791),
    [sym_requires_clause] = STATE(3791),
    [sym_requires_expression] = STATE(3791),
    [sym_lambda_expression] = STATE(3791),
    [sym_lambda_capture_specifier] = STATE(5588),
    [sym_fold_expression] = STATE(3791),
    [sym_parameter_pack_expansion] = STATE(3791),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5437),
    [sym_qualified_identifier] = STATE(3207),
    [sym_qualified_type_identifier] = STATE(7144),
    [sym_user_defined_literal] = STATE(3207),
    [sym_identifier] = ACTIONS(3481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1992),
    [anon_sym_COLON_COLON] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [sym_primitive_type] = ACTIONS(1994),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_sizeof] = ACTIONS(101),
    [anon_sym___alignof__] = ACTIONS(103),
    [anon_sym___alignof] = ACTIONS(103),
    [anon_sym__alignof] = ACTIONS(103),
    [anon_sym_alignof] = ACTIONS(103),
    [anon_sym__Alignof] = ACTIONS(103),
    [anon_sym_offsetof] = ACTIONS(105),
    [anon_sym__Generic] = ACTIONS(107),
    [anon_sym_asm] = ACTIONS(109),
    [anon_sym___asm__] = ACTIONS(109),
    [anon_sym___asm] = ACTIONS(109),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(113),
    [anon_sym_u_SQUOTE] = ACTIONS(113),
    [anon_sym_U_SQUOTE] = ACTIONS(113),
    [anon_sym_u8_SQUOTE] = ACTIONS(113),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_L_DQUOTE] = ACTIONS(115),
    [anon_sym_u_DQUOTE] = ACTIONS(115),
    [anon_sym_U_DQUOTE] = ACTIONS(115),
    [anon_sym_u8_DQUOTE] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(119),
    [anon_sym_nullptr] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1516] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_TILDE] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym_SEMI] = ACTIONS(4841),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_virtual] = ACTIONS(4839),
    [anon_sym_extern] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4841),
    [anon_sym___declspec] = ACTIONS(4839),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym___cdecl] = ACTIONS(4839),
    [anon_sym___clrcall] = ACTIONS(4839),
    [anon_sym___stdcall] = ACTIONS(4839),
    [anon_sym___fastcall] = ACTIONS(4839),
    [anon_sym___thiscall] = ACTIONS(4839),
    [anon_sym___vectorcall] = ACTIONS(4839),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_RBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4839),
    [anon_sym_static] = ACTIONS(4839),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_register] = ACTIONS(4839),
    [anon_sym_inline] = ACTIONS(4839),
    [anon_sym___inline] = ACTIONS(4839),
    [anon_sym___inline__] = ACTIONS(4839),
    [anon_sym___forceinline] = ACTIONS(4839),
    [anon_sym_thread_local] = ACTIONS(4839),
    [anon_sym___thread] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4841),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_and_eq] = ACTIONS(4839),
    [anon_sym_or_eq] = ACTIONS(4839),
    [anon_sym_xor_eq] = ACTIONS(4839),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_template] = ACTIONS(4839),
    [anon_sym_operator] = ACTIONS(4839),
  },
  [1517] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym___cdecl] = ACTIONS(4843),
    [anon_sym___clrcall] = ACTIONS(4843),
    [anon_sym___stdcall] = ACTIONS(4843),
    [anon_sym___fastcall] = ACTIONS(4843),
    [anon_sym___thiscall] = ACTIONS(4843),
    [anon_sym___vectorcall] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4843),
    [anon_sym_or_eq] = ACTIONS(4843),
    [anon_sym_xor_eq] = ACTIONS(4843),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
  },
  [1518] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym___cdecl] = ACTIONS(4847),
    [anon_sym___clrcall] = ACTIONS(4847),
    [anon_sym___stdcall] = ACTIONS(4847),
    [anon_sym___fastcall] = ACTIONS(4847),
    [anon_sym___thiscall] = ACTIONS(4847),
    [anon_sym___vectorcall] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
  },
  [1519] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym___cdecl] = ACTIONS(4851),
    [anon_sym___clrcall] = ACTIONS(4851),
    [anon_sym___stdcall] = ACTIONS(4851),
    [anon_sym___fastcall] = ACTIONS(4851),
    [anon_sym___thiscall] = ACTIONS(4851),
    [anon_sym___vectorcall] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4851),
    [anon_sym_or_eq] = ACTIONS(4851),
    [anon_sym_xor_eq] = ACTIONS(4851),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
  },
  [1520] = {
    [sym_template_argument_list] = STATE(1524),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4869),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4859),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4859),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym___cdecl] = ACTIONS(4855),
    [anon_sym___clrcall] = ACTIONS(4855),
    [anon_sym___stdcall] = ACTIONS(4855),
    [anon_sym___fastcall] = ACTIONS(4855),
    [anon_sym___thiscall] = ACTIONS(4855),
    [anon_sym___vectorcall] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1521] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym___cdecl] = ACTIONS(4872),
    [anon_sym___clrcall] = ACTIONS(4872),
    [anon_sym___stdcall] = ACTIONS(4872),
    [anon_sym___fastcall] = ACTIONS(4872),
    [anon_sym___thiscall] = ACTIONS(4872),
    [anon_sym___vectorcall] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4872),
    [anon_sym_or_eq] = ACTIONS(4872),
    [anon_sym_xor_eq] = ACTIONS(4872),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
  },
  [1522] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4876),
    [anon_sym_or_eq] = ACTIONS(4876),
    [anon_sym_xor_eq] = ACTIONS(4876),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
  },
  [1523] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_TILDE] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym_virtual] = ACTIONS(4880),
    [anon_sym_extern] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4882),
    [anon_sym___declspec] = ACTIONS(4880),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym___cdecl] = ACTIONS(4880),
    [anon_sym___clrcall] = ACTIONS(4880),
    [anon_sym___stdcall] = ACTIONS(4880),
    [anon_sym___fastcall] = ACTIONS(4880),
    [anon_sym___thiscall] = ACTIONS(4880),
    [anon_sym___vectorcall] = ACTIONS(4880),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_RBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_static] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_register] = ACTIONS(4880),
    [anon_sym_inline] = ACTIONS(4880),
    [anon_sym___inline] = ACTIONS(4880),
    [anon_sym___inline__] = ACTIONS(4880),
    [anon_sym___forceinline] = ACTIONS(4880),
    [anon_sym_thread_local] = ACTIONS(4880),
    [anon_sym___thread] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_and_eq] = ACTIONS(4880),
    [anon_sym_or_eq] = ACTIONS(4880),
    [anon_sym_xor_eq] = ACTIONS(4880),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_template] = ACTIONS(4880),
    [anon_sym_operator] = ACTIONS(4880),
  },
  [1524] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym_SEMI] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4888),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym___cdecl] = ACTIONS(4884),
    [anon_sym___clrcall] = ACTIONS(4884),
    [anon_sym___stdcall] = ACTIONS(4884),
    [anon_sym___fastcall] = ACTIONS(4884),
    [anon_sym___thiscall] = ACTIONS(4884),
    [anon_sym___vectorcall] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4893),
    [anon_sym_or_eq] = ACTIONS(4893),
    [anon_sym_xor_eq] = ACTIONS(4893),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1525] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_ms_call_modifier] = STATE(5925),
    [sym__abstract_declarator] = STATE(6374),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_list] = STATE(3008),
    [sym_parameter_declaration] = STATE(7072),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(7072),
    [sym_variadic_parameter_declaration] = STATE(7072),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1774),
    [anon_sym___clrcall] = ACTIONS(1774),
    [anon_sym___stdcall] = ACTIONS(1774),
    [anon_sym___fastcall] = ACTIONS(1774),
    [anon_sym___thiscall] = ACTIONS(1774),
    [anon_sym___vectorcall] = ACTIONS(1774),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1526] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_ms_call_modifier] = STATE(5969),
    [sym__abstract_declarator] = STATE(6410),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_list] = STATE(3008),
    [sym_parameter_declaration] = STATE(7072),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(7072),
    [sym_variadic_parameter_declaration] = STATE(7072),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_STAR] = ACTIONS(4902),
    [anon_sym_AMP_AMP] = ACTIONS(4904),
    [anon_sym_AMP] = ACTIONS(4906),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1774),
    [anon_sym___clrcall] = ACTIONS(1774),
    [anon_sym___stdcall] = ACTIONS(1774),
    [anon_sym___fastcall] = ACTIONS(1774),
    [anon_sym___thiscall] = ACTIONS(1774),
    [anon_sym___vectorcall] = ACTIONS(1774),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(4910),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1527] = {
    [sym_identifier] = ACTIONS(3167),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3167),
    [anon_sym_virtual] = ACTIONS(3167),
    [anon_sym_extern] = ACTIONS(3167),
    [anon_sym___attribute__] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3167),
    [anon_sym_signed] = ACTIONS(3167),
    [anon_sym_unsigned] = ACTIONS(3167),
    [anon_sym_long] = ACTIONS(3167),
    [anon_sym_short] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_register] = ACTIONS(3167),
    [anon_sym_inline] = ACTIONS(3167),
    [anon_sym___inline] = ACTIONS(3167),
    [anon_sym___inline__] = ACTIONS(3167),
    [anon_sym___forceinline] = ACTIONS(3167),
    [anon_sym_thread_local] = ACTIONS(3167),
    [anon_sym___thread] = ACTIONS(3167),
    [anon_sym_const] = ACTIONS(3167),
    [anon_sym_constexpr] = ACTIONS(3167),
    [anon_sym_volatile] = ACTIONS(3167),
    [anon_sym_restrict] = ACTIONS(3167),
    [anon_sym___restrict__] = ACTIONS(3167),
    [anon_sym__Atomic] = ACTIONS(3167),
    [anon_sym__Noreturn] = ACTIONS(3167),
    [anon_sym_noreturn] = ACTIONS(3167),
    [anon_sym__Nonnull] = ACTIONS(3167),
    [anon_sym_mutable] = ACTIONS(3167),
    [anon_sym_constinit] = ACTIONS(3167),
    [anon_sym_consteval] = ACTIONS(3167),
    [anon_sym_alignas] = ACTIONS(3167),
    [anon_sym__Alignas] = ACTIONS(3167),
    [sym_primitive_type] = ACTIONS(3167),
    [anon_sym_enum] = ACTIONS(3167),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_struct] = ACTIONS(3167),
    [anon_sym_union] = ACTIONS(3167),
    [anon_sym_not] = ACTIONS(3167),
    [anon_sym_compl] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3167),
    [anon_sym___alignof__] = ACTIONS(3167),
    [anon_sym___alignof] = ACTIONS(3167),
    [anon_sym__alignof] = ACTIONS(3167),
    [anon_sym_alignof] = ACTIONS(3167),
    [anon_sym__Alignof] = ACTIONS(3167),
    [anon_sym_offsetof] = ACTIONS(3167),
    [anon_sym__Generic] = ACTIONS(3167),
    [anon_sym_asm] = ACTIONS(3167),
    [anon_sym___asm__] = ACTIONS(3167),
    [anon_sym___asm] = ACTIONS(3167),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [anon_sym_NULL] = ACTIONS(3167),
    [anon_sym_nullptr] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3167),
    [anon_sym_decltype] = ACTIONS(3167),
    [anon_sym_typename] = ACTIONS(3167),
    [anon_sym_template] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_requires] = ACTIONS(3167),
    [sym_this] = ACTIONS(3167),
  },
  [1528] = {
    [sym_identifier] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2924),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [anon_sym_not] = ACTIONS(2924),
    [anon_sym_compl] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2926),
    [anon_sym_PLUS_PLUS] = ACTIONS(2926),
    [anon_sym_sizeof] = ACTIONS(2924),
    [anon_sym___alignof__] = ACTIONS(2924),
    [anon_sym___alignof] = ACTIONS(2924),
    [anon_sym__alignof] = ACTIONS(2924),
    [anon_sym_alignof] = ACTIONS(2924),
    [anon_sym__Alignof] = ACTIONS(2924),
    [anon_sym_offsetof] = ACTIONS(2924),
    [anon_sym__Generic] = ACTIONS(2924),
    [anon_sym_asm] = ACTIONS(2924),
    [anon_sym___asm__] = ACTIONS(2924),
    [anon_sym___asm] = ACTIONS(2924),
    [sym_number_literal] = ACTIONS(2926),
    [anon_sym_L_SQUOTE] = ACTIONS(2926),
    [anon_sym_u_SQUOTE] = ACTIONS(2926),
    [anon_sym_U_SQUOTE] = ACTIONS(2926),
    [anon_sym_u8_SQUOTE] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2926),
    [anon_sym_L_DQUOTE] = ACTIONS(2926),
    [anon_sym_u_DQUOTE] = ACTIONS(2926),
    [anon_sym_U_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8_DQUOTE] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(2926),
    [sym_true] = ACTIONS(2924),
    [sym_false] = ACTIONS(2924),
    [anon_sym_NULL] = ACTIONS(2924),
    [anon_sym_nullptr] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_delete] = ACTIONS(2924),
    [anon_sym_R_DQUOTE] = ACTIONS(2926),
    [anon_sym_LR_DQUOTE] = ACTIONS(2926),
    [anon_sym_uR_DQUOTE] = ACTIONS(2926),
    [anon_sym_UR_DQUOTE] = ACTIONS(2926),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2926),
    [anon_sym_co_await] = ACTIONS(2924),
    [anon_sym_new] = ACTIONS(2924),
    [anon_sym_requires] = ACTIONS(2924),
    [sym_this] = ACTIONS(2924),
  },
  [1529] = {
    [sym_identifier] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3131),
    [anon_sym_PLUS] = ACTIONS(3131),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [anon_sym_not] = ACTIONS(3131),
    [anon_sym_compl] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3133),
    [anon_sym_PLUS_PLUS] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3131),
    [anon_sym___alignof__] = ACTIONS(3131),
    [anon_sym___alignof] = ACTIONS(3131),
    [anon_sym__alignof] = ACTIONS(3131),
    [anon_sym_alignof] = ACTIONS(3131),
    [anon_sym__Alignof] = ACTIONS(3131),
    [anon_sym_offsetof] = ACTIONS(3131),
    [anon_sym__Generic] = ACTIONS(3131),
    [anon_sym_asm] = ACTIONS(3131),
    [anon_sym___asm__] = ACTIONS(3131),
    [anon_sym___asm] = ACTIONS(3131),
    [sym_number_literal] = ACTIONS(3133),
    [anon_sym_L_SQUOTE] = ACTIONS(3133),
    [anon_sym_u_SQUOTE] = ACTIONS(3133),
    [anon_sym_U_SQUOTE] = ACTIONS(3133),
    [anon_sym_u8_SQUOTE] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3133),
    [anon_sym_L_DQUOTE] = ACTIONS(3133),
    [anon_sym_u_DQUOTE] = ACTIONS(3133),
    [anon_sym_U_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8_DQUOTE] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3133),
    [sym_true] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
    [anon_sym_NULL] = ACTIONS(3131),
    [anon_sym_nullptr] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_delete] = ACTIONS(3131),
    [anon_sym_R_DQUOTE] = ACTIONS(3133),
    [anon_sym_LR_DQUOTE] = ACTIONS(3133),
    [anon_sym_uR_DQUOTE] = ACTIONS(3133),
    [anon_sym_UR_DQUOTE] = ACTIONS(3133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3133),
    [anon_sym_co_await] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_requires] = ACTIONS(3131),
    [sym_this] = ACTIONS(3131),
  },
  [1530] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(5018),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_parameter_list] = STATE(793),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(4036),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(4914),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4916),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [1531] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(5025),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6256),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_parameter_list] = STATE(788),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(4036),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(4914),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4916),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [1532] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(5024),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6229),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_parameter_list] = STATE(791),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(4036),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(4914),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4916),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [1533] = {
    [sym_template_argument_list] = STATE(1537),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4869),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1534] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(5009),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6251),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5841),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_parameter_list] = STATE(792),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(4036),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5435),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_type_identifier] = STATE(2954),
    [sym_operator_name] = STATE(5841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(4914),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4916),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [1535] = {
    [sym_template_argument_list] = STATE(1539),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4918),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4866),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1536] = {
    [sym_string_literal] = STATE(2055),
    [sym_template_argument_list] = STATE(1641),
    [sym_raw_string_literal] = STATE(2055),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(4096),
    [anon_sym_LPAREN2] = ACTIONS(4096),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4921),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym___extension__] = ACTIONS(4100),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4924),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4926),
    [anon_sym_unsigned] = ACTIONS(4926),
    [anon_sym_long] = ACTIONS(4926),
    [anon_sym_short] = ACTIONS(4926),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4100),
    [anon_sym_volatile] = ACTIONS(4100),
    [anon_sym_restrict] = ACTIONS(4100),
    [anon_sym___restrict__] = ACTIONS(4100),
    [anon_sym__Atomic] = ACTIONS(4100),
    [anon_sym__Noreturn] = ACTIONS(4100),
    [anon_sym_noreturn] = ACTIONS(4100),
    [anon_sym__Nonnull] = ACTIONS(4100),
    [anon_sym_mutable] = ACTIONS(4100),
    [anon_sym_constinit] = ACTIONS(4100),
    [anon_sym_consteval] = ACTIONS(4100),
    [anon_sym_alignas] = ACTIONS(4100),
    [anon_sym__Alignas] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4094),
    [anon_sym_or_eq] = ACTIONS(4094),
    [anon_sym_xor_eq] = ACTIONS(4094),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4102),
    [anon_sym_L_DQUOTE] = ACTIONS(4928),
    [anon_sym_u_DQUOTE] = ACTIONS(4928),
    [anon_sym_U_DQUOTE] = ACTIONS(4928),
    [anon_sym_u8_DQUOTE] = ACTIONS(4928),
    [anon_sym_DQUOTE] = ACTIONS(4928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4100),
    [anon_sym_decltype] = ACTIONS(4100),
    [anon_sym_R_DQUOTE] = ACTIONS(4930),
    [anon_sym_LR_DQUOTE] = ACTIONS(4930),
    [anon_sym_uR_DQUOTE] = ACTIONS(4930),
    [anon_sym_UR_DQUOTE] = ACTIONS(4930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4094),
  },
  [1537] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4893),
    [anon_sym_or_eq] = ACTIONS(4893),
    [anon_sym_xor_eq] = ACTIONS(4893),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1538] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4849),
  },
  [1539] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4895),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4893),
    [anon_sym_or_eq] = ACTIONS(4893),
    [anon_sym_xor_eq] = ACTIONS(4893),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1540] = {
    [sym_template_argument_list] = STATE(1556),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4869),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_EQ] = ACTIONS(4866),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
  },
  [1541] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4872),
    [anon_sym_or_eq] = ACTIONS(4872),
    [anon_sym_xor_eq] = ACTIONS(4872),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4874),
  },
  [1542] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4876),
    [anon_sym_or_eq] = ACTIONS(4876),
    [anon_sym_xor_eq] = ACTIONS(4876),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1543] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4843),
    [anon_sym_or_eq] = ACTIONS(4843),
    [anon_sym_xor_eq] = ACTIONS(4843),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4845),
  },
  [1544] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4851),
    [anon_sym_or_eq] = ACTIONS(4851),
    [anon_sym_xor_eq] = ACTIONS(4851),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4853),
  },
  [1545] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_TILDE] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym_virtual] = ACTIONS(4880),
    [anon_sym_extern] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4882),
    [anon_sym___declspec] = ACTIONS(4880),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_static] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_register] = ACTIONS(4880),
    [anon_sym_inline] = ACTIONS(4880),
    [anon_sym___inline] = ACTIONS(4880),
    [anon_sym___inline__] = ACTIONS(4880),
    [anon_sym___forceinline] = ACTIONS(4880),
    [anon_sym_thread_local] = ACTIONS(4880),
    [anon_sym___thread] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_and_eq] = ACTIONS(4880),
    [anon_sym_or_eq] = ACTIONS(4880),
    [anon_sym_xor_eq] = ACTIONS(4880),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_template] = ACTIONS(4880),
    [anon_sym_operator] = ACTIONS(4880),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4882),
  },
  [1546] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_TILDE] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_virtual] = ACTIONS(4839),
    [anon_sym_extern] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4841),
    [anon_sym___declspec] = ACTIONS(4839),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4839),
    [anon_sym_static] = ACTIONS(4839),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_register] = ACTIONS(4839),
    [anon_sym_inline] = ACTIONS(4839),
    [anon_sym___inline] = ACTIONS(4839),
    [anon_sym___inline__] = ACTIONS(4839),
    [anon_sym___forceinline] = ACTIONS(4839),
    [anon_sym_thread_local] = ACTIONS(4839),
    [anon_sym___thread] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4841),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_and_eq] = ACTIONS(4839),
    [anon_sym_or_eq] = ACTIONS(4839),
    [anon_sym_xor_eq] = ACTIONS(4839),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_template] = ACTIONS(4839),
    [anon_sym_operator] = ACTIONS(4839),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4841),
  },
  [1547] = {
    [sym_string_literal] = STATE(2055),
    [sym_template_argument_list] = STATE(1701),
    [sym_raw_string_literal] = STATE(2055),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(4107),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4932),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym___extension__] = ACTIONS(4100),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4926),
    [anon_sym_unsigned] = ACTIONS(4926),
    [anon_sym_long] = ACTIONS(4926),
    [anon_sym_short] = ACTIONS(4926),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4100),
    [anon_sym_volatile] = ACTIONS(4100),
    [anon_sym_restrict] = ACTIONS(4100),
    [anon_sym___restrict__] = ACTIONS(4100),
    [anon_sym__Atomic] = ACTIONS(4100),
    [anon_sym__Noreturn] = ACTIONS(4100),
    [anon_sym_noreturn] = ACTIONS(4100),
    [anon_sym__Nonnull] = ACTIONS(4100),
    [anon_sym_mutable] = ACTIONS(4100),
    [anon_sym_constinit] = ACTIONS(4100),
    [anon_sym_consteval] = ACTIONS(4100),
    [anon_sym_alignas] = ACTIONS(4100),
    [anon_sym__Alignas] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4094),
    [anon_sym_or_eq] = ACTIONS(4094),
    [anon_sym_xor_eq] = ACTIONS(4094),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4102),
    [anon_sym_L_DQUOTE] = ACTIONS(4928),
    [anon_sym_u_DQUOTE] = ACTIONS(4928),
    [anon_sym_U_DQUOTE] = ACTIONS(4928),
    [anon_sym_u8_DQUOTE] = ACTIONS(4928),
    [anon_sym_DQUOTE] = ACTIONS(4928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4100),
    [anon_sym_decltype] = ACTIONS(4100),
    [anon_sym_R_DQUOTE] = ACTIONS(4930),
    [anon_sym_LR_DQUOTE] = ACTIONS(4930),
    [anon_sym_uR_DQUOTE] = ACTIONS(4930),
    [anon_sym_UR_DQUOTE] = ACTIONS(4930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4094),
  },
  [1548] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4849),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4849),
    [anon_sym_GT_GT] = ACTIONS(4849),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym___cdecl] = ACTIONS(4847),
    [anon_sym___clrcall] = ACTIONS(4847),
    [anon_sym___stdcall] = ACTIONS(4847),
    [anon_sym___fastcall] = ACTIONS(4847),
    [anon_sym___thiscall] = ACTIONS(4847),
    [anon_sym___vectorcall] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_final] = ACTIONS(4847),
    [anon_sym_override] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_try] = ACTIONS(4847),
    [anon_sym_requires] = ACTIONS(4847),
  },
  [1549] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4874),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4874),
    [anon_sym_GT_GT] = ACTIONS(4874),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym___cdecl] = ACTIONS(4872),
    [anon_sym___clrcall] = ACTIONS(4872),
    [anon_sym___stdcall] = ACTIONS(4872),
    [anon_sym___fastcall] = ACTIONS(4872),
    [anon_sym___thiscall] = ACTIONS(4872),
    [anon_sym___vectorcall] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_final] = ACTIONS(4872),
    [anon_sym_override] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_try] = ACTIONS(4872),
    [anon_sym_requires] = ACTIONS(4872),
  },
  [1550] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4878),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4878),
    [anon_sym_GT_GT] = ACTIONS(4878),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_try] = ACTIONS(4876),
    [anon_sym_requires] = ACTIONS(4876),
  },
  [1551] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_TILDE] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4841),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4841),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4841),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4841),
    [anon_sym_GT_GT] = ACTIONS(4841),
    [anon_sym_SEMI] = ACTIONS(4841),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_virtual] = ACTIONS(4839),
    [anon_sym_extern] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4841),
    [anon_sym___declspec] = ACTIONS(4839),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym___cdecl] = ACTIONS(4839),
    [anon_sym___clrcall] = ACTIONS(4839),
    [anon_sym___stdcall] = ACTIONS(4839),
    [anon_sym___fastcall] = ACTIONS(4839),
    [anon_sym___thiscall] = ACTIONS(4839),
    [anon_sym___vectorcall] = ACTIONS(4839),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_RBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4839),
    [anon_sym_static] = ACTIONS(4839),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_register] = ACTIONS(4839),
    [anon_sym_inline] = ACTIONS(4839),
    [anon_sym___inline] = ACTIONS(4839),
    [anon_sym___inline__] = ACTIONS(4839),
    [anon_sym___forceinline] = ACTIONS(4839),
    [anon_sym_thread_local] = ACTIONS(4839),
    [anon_sym___thread] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_final] = ACTIONS(4839),
    [anon_sym_override] = ACTIONS(4839),
    [anon_sym_template] = ACTIONS(4839),
    [anon_sym_operator] = ACTIONS(4839),
    [anon_sym_try] = ACTIONS(4839),
    [anon_sym_requires] = ACTIONS(4839),
  },
  [1552] = {
    [sym_string_literal] = STATE(3256),
    [sym_template_argument_list] = STATE(2830),
    [sym_raw_string_literal] = STATE(3256),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4107),
    [anon_sym_COMMA] = ACTIONS(4107),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4102),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4935),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym___extension__] = ACTIONS(4100),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4938),
    [anon_sym_unsigned] = ACTIONS(4938),
    [anon_sym_long] = ACTIONS(4938),
    [anon_sym_short] = ACTIONS(4938),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4100),
    [anon_sym_volatile] = ACTIONS(4100),
    [anon_sym_restrict] = ACTIONS(4100),
    [anon_sym___restrict__] = ACTIONS(4100),
    [anon_sym__Atomic] = ACTIONS(4100),
    [anon_sym__Noreturn] = ACTIONS(4100),
    [anon_sym_noreturn] = ACTIONS(4100),
    [anon_sym__Nonnull] = ACTIONS(4100),
    [anon_sym_mutable] = ACTIONS(4100),
    [anon_sym_constinit] = ACTIONS(4100),
    [anon_sym_consteval] = ACTIONS(4100),
    [anon_sym_alignas] = ACTIONS(4100),
    [anon_sym__Alignas] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4942),
    [anon_sym_SLASH_EQ] = ACTIONS(4942),
    [anon_sym_PERCENT_EQ] = ACTIONS(4942),
    [anon_sym_PLUS_EQ] = ACTIONS(4942),
    [anon_sym_DASH_EQ] = ACTIONS(4942),
    [anon_sym_LT_LT_EQ] = ACTIONS(4942),
    [anon_sym_GT_GT_EQ] = ACTIONS(4940),
    [anon_sym_AMP_EQ] = ACTIONS(4942),
    [anon_sym_CARET_EQ] = ACTIONS(4942),
    [anon_sym_PIPE_EQ] = ACTIONS(4942),
    [anon_sym_and_eq] = ACTIONS(4942),
    [anon_sym_or_eq] = ACTIONS(4942),
    [anon_sym_xor_eq] = ACTIONS(4942),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(4944),
    [anon_sym_u_DQUOTE] = ACTIONS(4944),
    [anon_sym_U_DQUOTE] = ACTIONS(4944),
    [anon_sym_u8_DQUOTE] = ACTIONS(4944),
    [anon_sym_DQUOTE] = ACTIONS(4944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4100),
    [anon_sym_decltype] = ACTIONS(4100),
    [anon_sym_GT2] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(4946),
    [anon_sym_LR_DQUOTE] = ACTIONS(4946),
    [anon_sym_uR_DQUOTE] = ACTIONS(4946),
    [anon_sym_UR_DQUOTE] = ACTIONS(4946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4946),
  },
  [1553] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4845),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4845),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4845),
    [anon_sym_GT_GT] = ACTIONS(4845),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym___cdecl] = ACTIONS(4843),
    [anon_sym___clrcall] = ACTIONS(4843),
    [anon_sym___stdcall] = ACTIONS(4843),
    [anon_sym___fastcall] = ACTIONS(4843),
    [anon_sym___thiscall] = ACTIONS(4843),
    [anon_sym___vectorcall] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_final] = ACTIONS(4843),
    [anon_sym_override] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_try] = ACTIONS(4843),
    [anon_sym_requires] = ACTIONS(4843),
  },
  [1554] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4853),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4853),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4853),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4853),
    [anon_sym_GT_GT] = ACTIONS(4853),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym___cdecl] = ACTIONS(4851),
    [anon_sym___clrcall] = ACTIONS(4851),
    [anon_sym___stdcall] = ACTIONS(4851),
    [anon_sym___fastcall] = ACTIONS(4851),
    [anon_sym___thiscall] = ACTIONS(4851),
    [anon_sym___vectorcall] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_final] = ACTIONS(4851),
    [anon_sym_override] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_try] = ACTIONS(4851),
    [anon_sym_requires] = ACTIONS(4851),
  },
  [1555] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_TILDE] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4882),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4882),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4882),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4882),
    [anon_sym_GT_GT] = ACTIONS(4882),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym_virtual] = ACTIONS(4880),
    [anon_sym_extern] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4882),
    [anon_sym___declspec] = ACTIONS(4880),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym___cdecl] = ACTIONS(4880),
    [anon_sym___clrcall] = ACTIONS(4880),
    [anon_sym___stdcall] = ACTIONS(4880),
    [anon_sym___fastcall] = ACTIONS(4880),
    [anon_sym___thiscall] = ACTIONS(4880),
    [anon_sym___vectorcall] = ACTIONS(4880),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_RBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_static] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_register] = ACTIONS(4880),
    [anon_sym_inline] = ACTIONS(4880),
    [anon_sym___inline] = ACTIONS(4880),
    [anon_sym___inline__] = ACTIONS(4880),
    [anon_sym___forceinline] = ACTIONS(4880),
    [anon_sym_thread_local] = ACTIONS(4880),
    [anon_sym___thread] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [anon_sym_COLON] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_final] = ACTIONS(4880),
    [anon_sym_override] = ACTIONS(4880),
    [anon_sym_template] = ACTIONS(4880),
    [anon_sym_operator] = ACTIONS(4880),
    [anon_sym_try] = ACTIONS(4880),
    [anon_sym_requires] = ACTIONS(4880),
  },
  [1556] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4895),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4893),
    [anon_sym_or_eq] = ACTIONS(4893),
    [anon_sym_xor_eq] = ACTIONS(4893),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1557] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(2873),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(4107),
    [anon_sym_LPAREN2] = ACTIONS(4107),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4107),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym___extension__] = ACTIONS(4100),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4926),
    [anon_sym_unsigned] = ACTIONS(4926),
    [anon_sym_long] = ACTIONS(4926),
    [anon_sym_short] = ACTIONS(4926),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4100),
    [anon_sym_volatile] = ACTIONS(4100),
    [anon_sym_restrict] = ACTIONS(4100),
    [anon_sym___restrict__] = ACTIONS(4100),
    [anon_sym__Atomic] = ACTIONS(4100),
    [anon_sym__Noreturn] = ACTIONS(4100),
    [anon_sym_noreturn] = ACTIONS(4100),
    [anon_sym__Nonnull] = ACTIONS(4100),
    [anon_sym_mutable] = ACTIONS(4100),
    [anon_sym_constinit] = ACTIONS(4100),
    [anon_sym_consteval] = ACTIONS(4100),
    [anon_sym_alignas] = ACTIONS(4100),
    [anon_sym__Alignas] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4100),
    [anon_sym_decltype] = ACTIONS(4100),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1558] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1559] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_TILDE] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym_virtual] = ACTIONS(4880),
    [anon_sym_extern] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4882),
    [anon_sym___declspec] = ACTIONS(4880),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_static] = ACTIONS(4880),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_register] = ACTIONS(4880),
    [anon_sym_inline] = ACTIONS(4880),
    [anon_sym___inline] = ACTIONS(4880),
    [anon_sym___inline__] = ACTIONS(4880),
    [anon_sym___forceinline] = ACTIONS(4880),
    [anon_sym_thread_local] = ACTIONS(4880),
    [anon_sym___thread] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_template] = ACTIONS(4880),
    [anon_sym_operator] = ACTIONS(4880),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4882),
  },
  [1560] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4874),
  },
  [1561] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_TILDE] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_virtual] = ACTIONS(4839),
    [anon_sym_extern] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4841),
    [anon_sym___declspec] = ACTIONS(4839),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4839),
    [anon_sym_static] = ACTIONS(4839),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_register] = ACTIONS(4839),
    [anon_sym_inline] = ACTIONS(4839),
    [anon_sym___inline] = ACTIONS(4839),
    [anon_sym___inline__] = ACTIONS(4839),
    [anon_sym___forceinline] = ACTIONS(4839),
    [anon_sym_thread_local] = ACTIONS(4839),
    [anon_sym___thread] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4841),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_template] = ACTIONS(4839),
    [anon_sym_operator] = ACTIONS(4839),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4841),
  },
  [1562] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4853),
  },
  [1563] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4895),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1564] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4845),
  },
  [1565] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4849),
  },
  [1566] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [aux_sym_preproc_if_token2] = ACTIONS(4849),
    [aux_sym_preproc_else_token1] = ACTIONS(4849),
    [aux_sym_preproc_elif_token1] = ACTIONS(4847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_RBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4847),
    [anon_sym_or_eq] = ACTIONS(4847),
    [anon_sym_xor_eq] = ACTIONS(4847),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_final] = ACTIONS(4847),
    [anon_sym_override] = ACTIONS(4847),
  },
  [1567] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [aux_sym_preproc_if_token2] = ACTIONS(4882),
    [aux_sym_preproc_else_token1] = ACTIONS(4882),
    [aux_sym_preproc_elif_token1] = ACTIONS(4880),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4882),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_RBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_RBRACK] = ACTIONS(4882),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [anon_sym_COLON] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_and_eq] = ACTIONS(4880),
    [anon_sym_or_eq] = ACTIONS(4880),
    [anon_sym_xor_eq] = ACTIONS(4880),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_final] = ACTIONS(4880),
    [anon_sym_override] = ACTIONS(4880),
  },
  [1568] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [aux_sym_preproc_if_token2] = ACTIONS(4874),
    [aux_sym_preproc_else_token1] = ACTIONS(4874),
    [aux_sym_preproc_elif_token1] = ACTIONS(4872),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4874),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_RBRACK] = ACTIONS(4874),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4872),
    [anon_sym_or_eq] = ACTIONS(4872),
    [anon_sym_xor_eq] = ACTIONS(4872),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_final] = ACTIONS(4872),
    [anon_sym_override] = ACTIONS(4872),
  },
  [1569] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [aux_sym_preproc_if_token2] = ACTIONS(4841),
    [aux_sym_preproc_else_token1] = ACTIONS(4841),
    [aux_sym_preproc_elif_token1] = ACTIONS(4839),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym_SEMI] = ACTIONS(4841),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_RBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4841),
    [anon_sym_RBRACK] = ACTIONS(4841),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4841),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_and_eq] = ACTIONS(4839),
    [anon_sym_or_eq] = ACTIONS(4839),
    [anon_sym_xor_eq] = ACTIONS(4839),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_final] = ACTIONS(4839),
    [anon_sym_override] = ACTIONS(4839),
  },
  [1570] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [aux_sym_preproc_if_token2] = ACTIONS(4878),
    [aux_sym_preproc_else_token1] = ACTIONS(4878),
    [aux_sym_preproc_elif_token1] = ACTIONS(4876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_RBRACK] = ACTIONS(4878),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4876),
    [anon_sym_or_eq] = ACTIONS(4876),
    [anon_sym_xor_eq] = ACTIONS(4876),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
  },
  [1571] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [aux_sym_preproc_if_token2] = ACTIONS(4845),
    [aux_sym_preproc_else_token1] = ACTIONS(4845),
    [aux_sym_preproc_elif_token1] = ACTIONS(4843),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4845),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_RBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4843),
    [anon_sym_or_eq] = ACTIONS(4843),
    [anon_sym_xor_eq] = ACTIONS(4843),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_final] = ACTIONS(4843),
    [anon_sym_override] = ACTIONS(4843),
  },
  [1572] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [aux_sym_preproc_if_token2] = ACTIONS(4853),
    [aux_sym_preproc_else_token1] = ACTIONS(4853),
    [aux_sym_preproc_elif_token1] = ACTIONS(4851),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4853),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_RBRACK] = ACTIONS(4853),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4851),
    [anon_sym_or_eq] = ACTIONS(4851),
    [anon_sym_xor_eq] = ACTIONS(4851),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_final] = ACTIONS(4851),
    [anon_sym_override] = ACTIONS(4851),
  },
  [1573] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4886),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4886),
    [anon_sym_GT_GT] = ACTIONS(4886),
    [anon_sym_SEMI] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4888),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym___cdecl] = ACTIONS(4884),
    [anon_sym___clrcall] = ACTIONS(4884),
    [anon_sym___stdcall] = ACTIONS(4884),
    [anon_sym___fastcall] = ACTIONS(4884),
    [anon_sym___thiscall] = ACTIONS(4884),
    [anon_sym___vectorcall] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1574] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_STAR] = ACTIONS(4891),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(4891),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym___cdecl] = ACTIONS(4884),
    [anon_sym___clrcall] = ACTIONS(4884),
    [anon_sym___stdcall] = ACTIONS(4884),
    [anon_sym___fastcall] = ACTIONS(4884),
    [anon_sym___thiscall] = ACTIONS(4884),
    [anon_sym___vectorcall] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_signed] = ACTIONS(4884),
    [anon_sym_unsigned] = ACTIONS(4884),
    [anon_sym_long] = ACTIONS(4884),
    [anon_sym_short] = ACTIONS(4884),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [sym_primitive_type] = ACTIONS(4884),
    [anon_sym_enum] = ACTIONS(4884),
    [anon_sym_class] = ACTIONS(4884),
    [anon_sym_struct] = ACTIONS(4884),
    [anon_sym_union] = ACTIONS(4884),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_asm] = ACTIONS(4884),
    [anon_sym___asm__] = ACTIONS(4884),
    [anon_sym___asm] = ACTIONS(4884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_final] = ACTIONS(4884),
    [anon_sym_override] = ACTIONS(4884),
    [anon_sym_explicit] = ACTIONS(4884),
    [anon_sym_typename] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_GT2] = ACTIONS(4891),
    [anon_sym_operator] = ACTIONS(4884),
    [anon_sym_try] = ACTIONS(4884),
    [anon_sym_friend] = ACTIONS(4884),
    [anon_sym_using] = ACTIONS(4884),
    [anon_sym_concept] = ACTIONS(4884),
    [anon_sym_requires] = ACTIONS(4884),
  },
  [1575] = {
    [sym_function_definition] = STATE(315),
    [sym_declaration] = STATE(315),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1865),
    [sym_declaration_list] = STATE(315),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4955),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1576] = {
    [sym_function_definition] = STATE(656),
    [sym_declaration] = STATE(656),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1884),
    [sym_declaration_list] = STATE(656),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4957),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1577] = {
    [sym_function_definition] = STATE(575),
    [sym_declaration] = STATE(575),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4507),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1845),
    [sym_declaration_list] = STATE(575),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4959),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1578] = {
    [sym_function_definition] = STATE(732),
    [sym_declaration] = STATE(732),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4402),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1867),
    [sym_declaration_list] = STATE(732),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(4961),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1579] = {
    [sym_identifier] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4965),
    [anon_sym_RPAREN] = ACTIONS(4965),
    [anon_sym_LPAREN2] = ACTIONS(4965),
    [anon_sym_TILDE] = ACTIONS(4965),
    [anon_sym_STAR] = ACTIONS(4965),
    [anon_sym_PIPE_PIPE] = ACTIONS(4965),
    [anon_sym_AMP_AMP] = ACTIONS(4965),
    [anon_sym_AMP] = ACTIONS(4963),
    [anon_sym_SEMI] = ACTIONS(4965),
    [anon_sym___extension__] = ACTIONS(4963),
    [anon_sym_virtual] = ACTIONS(4963),
    [anon_sym_extern] = ACTIONS(4963),
    [anon_sym___attribute__] = ACTIONS(4963),
    [anon_sym_COLON_COLON] = ACTIONS(4965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4965),
    [anon_sym___declspec] = ACTIONS(4963),
    [anon_sym___based] = ACTIONS(4963),
    [anon_sym___cdecl] = ACTIONS(4963),
    [anon_sym___clrcall] = ACTIONS(4963),
    [anon_sym___stdcall] = ACTIONS(4963),
    [anon_sym___fastcall] = ACTIONS(4963),
    [anon_sym___thiscall] = ACTIONS(4963),
    [anon_sym___vectorcall] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(4965),
    [anon_sym_signed] = ACTIONS(4963),
    [anon_sym_unsigned] = ACTIONS(4963),
    [anon_sym_long] = ACTIONS(4963),
    [anon_sym_short] = ACTIONS(4963),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_static] = ACTIONS(4963),
    [anon_sym_EQ] = ACTIONS(4965),
    [anon_sym_register] = ACTIONS(4963),
    [anon_sym_inline] = ACTIONS(4963),
    [anon_sym___inline] = ACTIONS(4963),
    [anon_sym___inline__] = ACTIONS(4963),
    [anon_sym___forceinline] = ACTIONS(4963),
    [anon_sym_thread_local] = ACTIONS(4963),
    [anon_sym___thread] = ACTIONS(4963),
    [anon_sym_const] = ACTIONS(4963),
    [anon_sym_constexpr] = ACTIONS(4963),
    [anon_sym_volatile] = ACTIONS(4963),
    [anon_sym_restrict] = ACTIONS(4963),
    [anon_sym___restrict__] = ACTIONS(4963),
    [anon_sym__Atomic] = ACTIONS(4963),
    [anon_sym__Noreturn] = ACTIONS(4963),
    [anon_sym_noreturn] = ACTIONS(4963),
    [anon_sym__Nonnull] = ACTIONS(4963),
    [anon_sym_mutable] = ACTIONS(4963),
    [anon_sym_constinit] = ACTIONS(4963),
    [anon_sym_consteval] = ACTIONS(4963),
    [anon_sym_alignas] = ACTIONS(4963),
    [anon_sym__Alignas] = ACTIONS(4963),
    [sym_primitive_type] = ACTIONS(4963),
    [anon_sym_enum] = ACTIONS(4963),
    [anon_sym_class] = ACTIONS(4963),
    [anon_sym_struct] = ACTIONS(4963),
    [anon_sym_union] = ACTIONS(4963),
    [anon_sym_or] = ACTIONS(4963),
    [anon_sym_and] = ACTIONS(4963),
    [anon_sym_asm] = ACTIONS(4963),
    [anon_sym___asm__] = ACTIONS(4963),
    [anon_sym___asm] = ACTIONS(4963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4963),
    [anon_sym_decltype] = ACTIONS(4963),
    [anon_sym_final] = ACTIONS(4963),
    [anon_sym_override] = ACTIONS(4963),
    [anon_sym_explicit] = ACTIONS(4963),
    [anon_sym_typename] = ACTIONS(4963),
    [anon_sym_template] = ACTIONS(4963),
    [anon_sym_GT2] = ACTIONS(4965),
    [anon_sym_operator] = ACTIONS(4963),
    [anon_sym_try] = ACTIONS(4963),
    [anon_sym_friend] = ACTIONS(4963),
    [anon_sym_using] = ACTIONS(4963),
    [anon_sym_concept] = ACTIONS(4963),
    [anon_sym_requires] = ACTIONS(4963),
  },
  [1580] = {
    [sym_function_definition] = STATE(538),
    [sym_declaration] = STATE(538),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1884),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7675),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4969),
    [anon_sym_struct] = ACTIONS(4971),
    [anon_sym_union] = ACTIONS(4973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1581] = {
    [sym_function_definition] = STATE(1964),
    [sym_declaration] = STATE(1964),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4483),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1847),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7822),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4975),
    [anon_sym_struct] = ACTIONS(4977),
    [anon_sym_union] = ACTIONS(4979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1582] = {
    [sym_function_definition] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1865),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7489),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4981),
    [anon_sym_struct] = ACTIONS(4983),
    [anon_sym_union] = ACTIONS(4985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1583] = {
    [sym_identifier] = ACTIONS(4987),
    [anon_sym_COMMA] = ACTIONS(4989),
    [anon_sym_RPAREN] = ACTIONS(4989),
    [anon_sym_LPAREN2] = ACTIONS(4989),
    [anon_sym_TILDE] = ACTIONS(4989),
    [anon_sym_STAR] = ACTIONS(4989),
    [anon_sym_PIPE_PIPE] = ACTIONS(4989),
    [anon_sym_AMP_AMP] = ACTIONS(4989),
    [anon_sym_AMP] = ACTIONS(4987),
    [anon_sym_SEMI] = ACTIONS(4989),
    [anon_sym___extension__] = ACTIONS(4987),
    [anon_sym_virtual] = ACTIONS(4987),
    [anon_sym_extern] = ACTIONS(4987),
    [anon_sym___attribute__] = ACTIONS(4987),
    [anon_sym_COLON_COLON] = ACTIONS(4989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4989),
    [anon_sym___declspec] = ACTIONS(4987),
    [anon_sym___based] = ACTIONS(4987),
    [anon_sym___cdecl] = ACTIONS(4987),
    [anon_sym___clrcall] = ACTIONS(4987),
    [anon_sym___stdcall] = ACTIONS(4987),
    [anon_sym___fastcall] = ACTIONS(4987),
    [anon_sym___thiscall] = ACTIONS(4987),
    [anon_sym___vectorcall] = ACTIONS(4987),
    [anon_sym_LBRACE] = ACTIONS(4989),
    [anon_sym_signed] = ACTIONS(4987),
    [anon_sym_unsigned] = ACTIONS(4987),
    [anon_sym_long] = ACTIONS(4987),
    [anon_sym_short] = ACTIONS(4987),
    [anon_sym_LBRACK] = ACTIONS(4987),
    [anon_sym_static] = ACTIONS(4987),
    [anon_sym_EQ] = ACTIONS(4989),
    [anon_sym_register] = ACTIONS(4987),
    [anon_sym_inline] = ACTIONS(4987),
    [anon_sym___inline] = ACTIONS(4987),
    [anon_sym___inline__] = ACTIONS(4987),
    [anon_sym___forceinline] = ACTIONS(4987),
    [anon_sym_thread_local] = ACTIONS(4987),
    [anon_sym___thread] = ACTIONS(4987),
    [anon_sym_const] = ACTIONS(4987),
    [anon_sym_constexpr] = ACTIONS(4987),
    [anon_sym_volatile] = ACTIONS(4987),
    [anon_sym_restrict] = ACTIONS(4987),
    [anon_sym___restrict__] = ACTIONS(4987),
    [anon_sym__Atomic] = ACTIONS(4987),
    [anon_sym__Noreturn] = ACTIONS(4987),
    [anon_sym_noreturn] = ACTIONS(4987),
    [anon_sym__Nonnull] = ACTIONS(4987),
    [anon_sym_mutable] = ACTIONS(4987),
    [anon_sym_constinit] = ACTIONS(4987),
    [anon_sym_consteval] = ACTIONS(4987),
    [anon_sym_alignas] = ACTIONS(4987),
    [anon_sym__Alignas] = ACTIONS(4987),
    [sym_primitive_type] = ACTIONS(4987),
    [anon_sym_enum] = ACTIONS(4987),
    [anon_sym_class] = ACTIONS(4987),
    [anon_sym_struct] = ACTIONS(4987),
    [anon_sym_union] = ACTIONS(4987),
    [anon_sym_or] = ACTIONS(4987),
    [anon_sym_and] = ACTIONS(4987),
    [anon_sym_asm] = ACTIONS(4987),
    [anon_sym___asm__] = ACTIONS(4987),
    [anon_sym___asm] = ACTIONS(4987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4987),
    [anon_sym_decltype] = ACTIONS(4987),
    [anon_sym_final] = ACTIONS(4987),
    [anon_sym_override] = ACTIONS(4987),
    [anon_sym_explicit] = ACTIONS(4987),
    [anon_sym_typename] = ACTIONS(4987),
    [anon_sym_template] = ACTIONS(4987),
    [anon_sym_GT2] = ACTIONS(4989),
    [anon_sym_operator] = ACTIONS(4987),
    [anon_sym_try] = ACTIONS(4987),
    [anon_sym_friend] = ACTIONS(4987),
    [anon_sym_using] = ACTIONS(4987),
    [anon_sym_concept] = ACTIONS(4987),
    [anon_sym_requires] = ACTIONS(4987),
  },
  [1584] = {
    [sym_function_definition] = STATE(307),
    [sym_declaration] = STATE(307),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1865),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7521),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4991),
    [anon_sym_struct] = ACTIONS(4993),
    [anon_sym_union] = ACTIONS(4995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1585] = {
    [sym_function_definition] = STATE(584),
    [sym_declaration] = STATE(584),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4507),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1845),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7623),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(4997),
    [anon_sym_struct] = ACTIONS(4999),
    [anon_sym_union] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1586] = {
    [sym_identifier] = ACTIONS(5003),
    [anon_sym_COMMA] = ACTIONS(5005),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(5005),
    [anon_sym_TILDE] = ACTIONS(5005),
    [anon_sym_STAR] = ACTIONS(5005),
    [anon_sym_PIPE_PIPE] = ACTIONS(5005),
    [anon_sym_AMP_AMP] = ACTIONS(5005),
    [anon_sym_AMP] = ACTIONS(5003),
    [anon_sym_SEMI] = ACTIONS(5005),
    [anon_sym___extension__] = ACTIONS(5003),
    [anon_sym_virtual] = ACTIONS(5003),
    [anon_sym_extern] = ACTIONS(5003),
    [anon_sym___attribute__] = ACTIONS(5003),
    [anon_sym_COLON_COLON] = ACTIONS(5005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5005),
    [anon_sym___declspec] = ACTIONS(5003),
    [anon_sym___based] = ACTIONS(5003),
    [anon_sym___cdecl] = ACTIONS(5003),
    [anon_sym___clrcall] = ACTIONS(5003),
    [anon_sym___stdcall] = ACTIONS(5003),
    [anon_sym___fastcall] = ACTIONS(5003),
    [anon_sym___thiscall] = ACTIONS(5003),
    [anon_sym___vectorcall] = ACTIONS(5003),
    [anon_sym_LBRACE] = ACTIONS(5005),
    [anon_sym_signed] = ACTIONS(5003),
    [anon_sym_unsigned] = ACTIONS(5003),
    [anon_sym_long] = ACTIONS(5003),
    [anon_sym_short] = ACTIONS(5003),
    [anon_sym_LBRACK] = ACTIONS(5003),
    [anon_sym_static] = ACTIONS(5003),
    [anon_sym_EQ] = ACTIONS(5005),
    [anon_sym_register] = ACTIONS(5003),
    [anon_sym_inline] = ACTIONS(5003),
    [anon_sym___inline] = ACTIONS(5003),
    [anon_sym___inline__] = ACTIONS(5003),
    [anon_sym___forceinline] = ACTIONS(5003),
    [anon_sym_thread_local] = ACTIONS(5003),
    [anon_sym___thread] = ACTIONS(5003),
    [anon_sym_const] = ACTIONS(5003),
    [anon_sym_constexpr] = ACTIONS(5003),
    [anon_sym_volatile] = ACTIONS(5003),
    [anon_sym_restrict] = ACTIONS(5003),
    [anon_sym___restrict__] = ACTIONS(5003),
    [anon_sym__Atomic] = ACTIONS(5003),
    [anon_sym__Noreturn] = ACTIONS(5003),
    [anon_sym_noreturn] = ACTIONS(5003),
    [anon_sym__Nonnull] = ACTIONS(5003),
    [anon_sym_mutable] = ACTIONS(5003),
    [anon_sym_constinit] = ACTIONS(5003),
    [anon_sym_consteval] = ACTIONS(5003),
    [anon_sym_alignas] = ACTIONS(5003),
    [anon_sym__Alignas] = ACTIONS(5003),
    [sym_primitive_type] = ACTIONS(5003),
    [anon_sym_enum] = ACTIONS(5003),
    [anon_sym_class] = ACTIONS(5003),
    [anon_sym_struct] = ACTIONS(5003),
    [anon_sym_union] = ACTIONS(5003),
    [anon_sym_or] = ACTIONS(5003),
    [anon_sym_and] = ACTIONS(5003),
    [anon_sym_asm] = ACTIONS(5003),
    [anon_sym___asm__] = ACTIONS(5003),
    [anon_sym___asm] = ACTIONS(5003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5003),
    [anon_sym_decltype] = ACTIONS(5003),
    [anon_sym_final] = ACTIONS(5003),
    [anon_sym_override] = ACTIONS(5003),
    [anon_sym_explicit] = ACTIONS(5003),
    [anon_sym_typename] = ACTIONS(5003),
    [anon_sym_template] = ACTIONS(5003),
    [anon_sym_GT2] = ACTIONS(5005),
    [anon_sym_operator] = ACTIONS(5003),
    [anon_sym_try] = ACTIONS(5003),
    [anon_sym_friend] = ACTIONS(5003),
    [anon_sym_using] = ACTIONS(5003),
    [anon_sym_concept] = ACTIONS(5003),
    [anon_sym_requires] = ACTIONS(5003),
  },
  [1587] = {
    [sym_function_definition] = STATE(653),
    [sym_declaration] = STATE(653),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4507),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1845),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7760),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5007),
    [anon_sym_struct] = ACTIONS(5009),
    [anon_sym_union] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1588] = {
    [sym_function_definition] = STATE(621),
    [sym_declaration] = STATE(621),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4482),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1884),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7702),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5013),
    [anon_sym_struct] = ACTIONS(5015),
    [anon_sym_union] = ACTIONS(5017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1589] = {
    [sym_identifier] = ACTIONS(5019),
    [anon_sym_COMMA] = ACTIONS(5021),
    [anon_sym_RPAREN] = ACTIONS(5021),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_TILDE] = ACTIONS(5021),
    [anon_sym_STAR] = ACTIONS(5021),
    [anon_sym_PIPE_PIPE] = ACTIONS(5021),
    [anon_sym_AMP_AMP] = ACTIONS(5021),
    [anon_sym_AMP] = ACTIONS(5019),
    [anon_sym_SEMI] = ACTIONS(5021),
    [anon_sym___extension__] = ACTIONS(5019),
    [anon_sym_virtual] = ACTIONS(5019),
    [anon_sym_extern] = ACTIONS(5019),
    [anon_sym___attribute__] = ACTIONS(5019),
    [anon_sym_COLON_COLON] = ACTIONS(5021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5021),
    [anon_sym___declspec] = ACTIONS(5019),
    [anon_sym___based] = ACTIONS(5019),
    [anon_sym___cdecl] = ACTIONS(5019),
    [anon_sym___clrcall] = ACTIONS(5019),
    [anon_sym___stdcall] = ACTIONS(5019),
    [anon_sym___fastcall] = ACTIONS(5019),
    [anon_sym___thiscall] = ACTIONS(5019),
    [anon_sym___vectorcall] = ACTIONS(5019),
    [anon_sym_LBRACE] = ACTIONS(5021),
    [anon_sym_signed] = ACTIONS(5019),
    [anon_sym_unsigned] = ACTIONS(5019),
    [anon_sym_long] = ACTIONS(5019),
    [anon_sym_short] = ACTIONS(5019),
    [anon_sym_LBRACK] = ACTIONS(5019),
    [anon_sym_static] = ACTIONS(5019),
    [anon_sym_EQ] = ACTIONS(5021),
    [anon_sym_register] = ACTIONS(5019),
    [anon_sym_inline] = ACTIONS(5019),
    [anon_sym___inline] = ACTIONS(5019),
    [anon_sym___inline__] = ACTIONS(5019),
    [anon_sym___forceinline] = ACTIONS(5019),
    [anon_sym_thread_local] = ACTIONS(5019),
    [anon_sym___thread] = ACTIONS(5019),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_constexpr] = ACTIONS(5019),
    [anon_sym_volatile] = ACTIONS(5019),
    [anon_sym_restrict] = ACTIONS(5019),
    [anon_sym___restrict__] = ACTIONS(5019),
    [anon_sym__Atomic] = ACTIONS(5019),
    [anon_sym__Noreturn] = ACTIONS(5019),
    [anon_sym_noreturn] = ACTIONS(5019),
    [anon_sym__Nonnull] = ACTIONS(5019),
    [anon_sym_mutable] = ACTIONS(5019),
    [anon_sym_constinit] = ACTIONS(5019),
    [anon_sym_consteval] = ACTIONS(5019),
    [anon_sym_alignas] = ACTIONS(5019),
    [anon_sym__Alignas] = ACTIONS(5019),
    [sym_primitive_type] = ACTIONS(5019),
    [anon_sym_enum] = ACTIONS(5019),
    [anon_sym_class] = ACTIONS(5019),
    [anon_sym_struct] = ACTIONS(5019),
    [anon_sym_union] = ACTIONS(5019),
    [anon_sym_or] = ACTIONS(5019),
    [anon_sym_and] = ACTIONS(5019),
    [anon_sym_asm] = ACTIONS(5019),
    [anon_sym___asm__] = ACTIONS(5019),
    [anon_sym___asm] = ACTIONS(5019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5019),
    [anon_sym_decltype] = ACTIONS(5019),
    [anon_sym_final] = ACTIONS(5019),
    [anon_sym_override] = ACTIONS(5019),
    [anon_sym_explicit] = ACTIONS(5019),
    [anon_sym_typename] = ACTIONS(5019),
    [anon_sym_template] = ACTIONS(5019),
    [anon_sym_GT2] = ACTIONS(5021),
    [anon_sym_operator] = ACTIONS(5019),
    [anon_sym_try] = ACTIONS(5019),
    [anon_sym_friend] = ACTIONS(5019),
    [anon_sym_using] = ACTIONS(5019),
    [anon_sym_concept] = ACTIONS(5019),
    [anon_sym_requires] = ACTIONS(5019),
  },
  [1590] = {
    [sym_identifier] = ACTIONS(5023),
    [anon_sym_COMMA] = ACTIONS(5025),
    [anon_sym_RPAREN] = ACTIONS(5025),
    [anon_sym_LPAREN2] = ACTIONS(5025),
    [anon_sym_TILDE] = ACTIONS(5025),
    [anon_sym_STAR] = ACTIONS(5025),
    [anon_sym_PIPE_PIPE] = ACTIONS(5025),
    [anon_sym_AMP_AMP] = ACTIONS(5025),
    [anon_sym_AMP] = ACTIONS(5023),
    [anon_sym_SEMI] = ACTIONS(5025),
    [anon_sym___extension__] = ACTIONS(5023),
    [anon_sym_virtual] = ACTIONS(5023),
    [anon_sym_extern] = ACTIONS(5023),
    [anon_sym___attribute__] = ACTIONS(5023),
    [anon_sym_COLON_COLON] = ACTIONS(5025),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5025),
    [anon_sym___declspec] = ACTIONS(5023),
    [anon_sym___based] = ACTIONS(5023),
    [anon_sym___cdecl] = ACTIONS(5023),
    [anon_sym___clrcall] = ACTIONS(5023),
    [anon_sym___stdcall] = ACTIONS(5023),
    [anon_sym___fastcall] = ACTIONS(5023),
    [anon_sym___thiscall] = ACTIONS(5023),
    [anon_sym___vectorcall] = ACTIONS(5023),
    [anon_sym_LBRACE] = ACTIONS(5025),
    [anon_sym_signed] = ACTIONS(5023),
    [anon_sym_unsigned] = ACTIONS(5023),
    [anon_sym_long] = ACTIONS(5023),
    [anon_sym_short] = ACTIONS(5023),
    [anon_sym_LBRACK] = ACTIONS(5023),
    [anon_sym_static] = ACTIONS(5023),
    [anon_sym_EQ] = ACTIONS(5025),
    [anon_sym_register] = ACTIONS(5023),
    [anon_sym_inline] = ACTIONS(5023),
    [anon_sym___inline] = ACTIONS(5023),
    [anon_sym___inline__] = ACTIONS(5023),
    [anon_sym___forceinline] = ACTIONS(5023),
    [anon_sym_thread_local] = ACTIONS(5023),
    [anon_sym___thread] = ACTIONS(5023),
    [anon_sym_const] = ACTIONS(5023),
    [anon_sym_constexpr] = ACTIONS(5023),
    [anon_sym_volatile] = ACTIONS(5023),
    [anon_sym_restrict] = ACTIONS(5023),
    [anon_sym___restrict__] = ACTIONS(5023),
    [anon_sym__Atomic] = ACTIONS(5023),
    [anon_sym__Noreturn] = ACTIONS(5023),
    [anon_sym_noreturn] = ACTIONS(5023),
    [anon_sym__Nonnull] = ACTIONS(5023),
    [anon_sym_mutable] = ACTIONS(5023),
    [anon_sym_constinit] = ACTIONS(5023),
    [anon_sym_consteval] = ACTIONS(5023),
    [anon_sym_alignas] = ACTIONS(5023),
    [anon_sym__Alignas] = ACTIONS(5023),
    [sym_primitive_type] = ACTIONS(5023),
    [anon_sym_enum] = ACTIONS(5023),
    [anon_sym_class] = ACTIONS(5023),
    [anon_sym_struct] = ACTIONS(5023),
    [anon_sym_union] = ACTIONS(5023),
    [anon_sym_or] = ACTIONS(5023),
    [anon_sym_and] = ACTIONS(5023),
    [anon_sym_asm] = ACTIONS(5023),
    [anon_sym___asm__] = ACTIONS(5023),
    [anon_sym___asm] = ACTIONS(5023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5023),
    [anon_sym_decltype] = ACTIONS(5023),
    [anon_sym_final] = ACTIONS(5023),
    [anon_sym_override] = ACTIONS(5023),
    [anon_sym_explicit] = ACTIONS(5023),
    [anon_sym_typename] = ACTIONS(5023),
    [anon_sym_template] = ACTIONS(5023),
    [anon_sym_GT2] = ACTIONS(5025),
    [anon_sym_operator] = ACTIONS(5023),
    [anon_sym_try] = ACTIONS(5023),
    [anon_sym_friend] = ACTIONS(5023),
    [anon_sym_using] = ACTIONS(5023),
    [anon_sym_concept] = ACTIONS(5023),
    [anon_sym_requires] = ACTIONS(5023),
  },
  [1591] = {
    [sym_identifier] = ACTIONS(5027),
    [anon_sym_COMMA] = ACTIONS(5029),
    [anon_sym_RPAREN] = ACTIONS(5029),
    [anon_sym_LPAREN2] = ACTIONS(5029),
    [anon_sym_TILDE] = ACTIONS(5029),
    [anon_sym_STAR] = ACTIONS(5029),
    [anon_sym_PIPE_PIPE] = ACTIONS(5029),
    [anon_sym_AMP_AMP] = ACTIONS(5029),
    [anon_sym_AMP] = ACTIONS(5027),
    [anon_sym_SEMI] = ACTIONS(5029),
    [anon_sym___extension__] = ACTIONS(5027),
    [anon_sym_virtual] = ACTIONS(5027),
    [anon_sym_extern] = ACTIONS(5027),
    [anon_sym___attribute__] = ACTIONS(5027),
    [anon_sym_COLON_COLON] = ACTIONS(5029),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5029),
    [anon_sym___declspec] = ACTIONS(5027),
    [anon_sym___based] = ACTIONS(5027),
    [anon_sym___cdecl] = ACTIONS(5027),
    [anon_sym___clrcall] = ACTIONS(5027),
    [anon_sym___stdcall] = ACTIONS(5027),
    [anon_sym___fastcall] = ACTIONS(5027),
    [anon_sym___thiscall] = ACTIONS(5027),
    [anon_sym___vectorcall] = ACTIONS(5027),
    [anon_sym_LBRACE] = ACTIONS(5029),
    [anon_sym_signed] = ACTIONS(5027),
    [anon_sym_unsigned] = ACTIONS(5027),
    [anon_sym_long] = ACTIONS(5027),
    [anon_sym_short] = ACTIONS(5027),
    [anon_sym_LBRACK] = ACTIONS(5027),
    [anon_sym_static] = ACTIONS(5027),
    [anon_sym_EQ] = ACTIONS(5029),
    [anon_sym_register] = ACTIONS(5027),
    [anon_sym_inline] = ACTIONS(5027),
    [anon_sym___inline] = ACTIONS(5027),
    [anon_sym___inline__] = ACTIONS(5027),
    [anon_sym___forceinline] = ACTIONS(5027),
    [anon_sym_thread_local] = ACTIONS(5027),
    [anon_sym___thread] = ACTIONS(5027),
    [anon_sym_const] = ACTIONS(5027),
    [anon_sym_constexpr] = ACTIONS(5027),
    [anon_sym_volatile] = ACTIONS(5027),
    [anon_sym_restrict] = ACTIONS(5027),
    [anon_sym___restrict__] = ACTIONS(5027),
    [anon_sym__Atomic] = ACTIONS(5027),
    [anon_sym__Noreturn] = ACTIONS(5027),
    [anon_sym_noreturn] = ACTIONS(5027),
    [anon_sym__Nonnull] = ACTIONS(5027),
    [anon_sym_mutable] = ACTIONS(5027),
    [anon_sym_constinit] = ACTIONS(5027),
    [anon_sym_consteval] = ACTIONS(5027),
    [anon_sym_alignas] = ACTIONS(5027),
    [anon_sym__Alignas] = ACTIONS(5027),
    [sym_primitive_type] = ACTIONS(5027),
    [anon_sym_enum] = ACTIONS(5027),
    [anon_sym_class] = ACTIONS(5027),
    [anon_sym_struct] = ACTIONS(5027),
    [anon_sym_union] = ACTIONS(5027),
    [anon_sym_or] = ACTIONS(5027),
    [anon_sym_and] = ACTIONS(5027),
    [anon_sym_asm] = ACTIONS(5027),
    [anon_sym___asm__] = ACTIONS(5027),
    [anon_sym___asm] = ACTIONS(5027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5027),
    [anon_sym_decltype] = ACTIONS(5027),
    [anon_sym_final] = ACTIONS(5027),
    [anon_sym_override] = ACTIONS(5027),
    [anon_sym_explicit] = ACTIONS(5027),
    [anon_sym_typename] = ACTIONS(5027),
    [anon_sym_template] = ACTIONS(5027),
    [anon_sym_GT2] = ACTIONS(5029),
    [anon_sym_operator] = ACTIONS(5027),
    [anon_sym_try] = ACTIONS(5027),
    [anon_sym_friend] = ACTIONS(5027),
    [anon_sym_using] = ACTIONS(5027),
    [anon_sym_concept] = ACTIONS(5027),
    [anon_sym_requires] = ACTIONS(5027),
  },
  [1592] = {
    [sym_function_definition] = STATE(710),
    [sym_declaration] = STATE(710),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4402),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1867),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7925),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5031),
    [anon_sym_struct] = ACTIONS(5033),
    [anon_sym_union] = ACTIONS(5035),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1593] = {
    [sym_identifier] = ACTIONS(5027),
    [anon_sym_COMMA] = ACTIONS(5029),
    [anon_sym_RPAREN] = ACTIONS(5029),
    [anon_sym_LPAREN2] = ACTIONS(5029),
    [anon_sym_TILDE] = ACTIONS(5029),
    [anon_sym_STAR] = ACTIONS(5029),
    [anon_sym_PIPE_PIPE] = ACTIONS(5029),
    [anon_sym_AMP_AMP] = ACTIONS(5029),
    [anon_sym_AMP] = ACTIONS(5027),
    [anon_sym_SEMI] = ACTIONS(5029),
    [anon_sym___extension__] = ACTIONS(5027),
    [anon_sym_virtual] = ACTIONS(5027),
    [anon_sym_extern] = ACTIONS(5027),
    [anon_sym___attribute__] = ACTIONS(5027),
    [anon_sym_COLON_COLON] = ACTIONS(5029),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5029),
    [anon_sym___declspec] = ACTIONS(5027),
    [anon_sym___based] = ACTIONS(5027),
    [anon_sym___cdecl] = ACTIONS(5027),
    [anon_sym___clrcall] = ACTIONS(5027),
    [anon_sym___stdcall] = ACTIONS(5027),
    [anon_sym___fastcall] = ACTIONS(5027),
    [anon_sym___thiscall] = ACTIONS(5027),
    [anon_sym___vectorcall] = ACTIONS(5027),
    [anon_sym_LBRACE] = ACTIONS(5029),
    [anon_sym_signed] = ACTIONS(5027),
    [anon_sym_unsigned] = ACTIONS(5027),
    [anon_sym_long] = ACTIONS(5027),
    [anon_sym_short] = ACTIONS(5027),
    [anon_sym_LBRACK] = ACTIONS(5027),
    [anon_sym_static] = ACTIONS(5027),
    [anon_sym_EQ] = ACTIONS(5029),
    [anon_sym_register] = ACTIONS(5027),
    [anon_sym_inline] = ACTIONS(5027),
    [anon_sym___inline] = ACTIONS(5027),
    [anon_sym___inline__] = ACTIONS(5027),
    [anon_sym___forceinline] = ACTIONS(5027),
    [anon_sym_thread_local] = ACTIONS(5027),
    [anon_sym___thread] = ACTIONS(5027),
    [anon_sym_const] = ACTIONS(5027),
    [anon_sym_constexpr] = ACTIONS(5027),
    [anon_sym_volatile] = ACTIONS(5027),
    [anon_sym_restrict] = ACTIONS(5027),
    [anon_sym___restrict__] = ACTIONS(5027),
    [anon_sym__Atomic] = ACTIONS(5027),
    [anon_sym__Noreturn] = ACTIONS(5027),
    [anon_sym_noreturn] = ACTIONS(5027),
    [anon_sym__Nonnull] = ACTIONS(5027),
    [anon_sym_mutable] = ACTIONS(5027),
    [anon_sym_constinit] = ACTIONS(5027),
    [anon_sym_consteval] = ACTIONS(5027),
    [anon_sym_alignas] = ACTIONS(5027),
    [anon_sym__Alignas] = ACTIONS(5027),
    [sym_primitive_type] = ACTIONS(5027),
    [anon_sym_enum] = ACTIONS(5027),
    [anon_sym_class] = ACTIONS(5027),
    [anon_sym_struct] = ACTIONS(5027),
    [anon_sym_union] = ACTIONS(5027),
    [anon_sym_or] = ACTIONS(5027),
    [anon_sym_and] = ACTIONS(5027),
    [anon_sym_asm] = ACTIONS(5027),
    [anon_sym___asm__] = ACTIONS(5027),
    [anon_sym___asm] = ACTIONS(5027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5027),
    [anon_sym_decltype] = ACTIONS(5027),
    [anon_sym_final] = ACTIONS(5027),
    [anon_sym_override] = ACTIONS(5027),
    [anon_sym_explicit] = ACTIONS(5027),
    [anon_sym_typename] = ACTIONS(5027),
    [anon_sym_template] = ACTIONS(5027),
    [anon_sym_GT2] = ACTIONS(5029),
    [anon_sym_operator] = ACTIONS(5027),
    [anon_sym_try] = ACTIONS(5027),
    [anon_sym_friend] = ACTIONS(5027),
    [anon_sym_using] = ACTIONS(5027),
    [anon_sym_concept] = ACTIONS(5027),
    [anon_sym_requires] = ACTIONS(5027),
  },
  [1594] = {
    [sym_identifier] = ACTIONS(5027),
    [anon_sym_COMMA] = ACTIONS(5029),
    [anon_sym_RPAREN] = ACTIONS(5029),
    [anon_sym_LPAREN2] = ACTIONS(5029),
    [anon_sym_TILDE] = ACTIONS(5029),
    [anon_sym_STAR] = ACTIONS(5029),
    [anon_sym_PIPE_PIPE] = ACTIONS(5029),
    [anon_sym_AMP_AMP] = ACTIONS(5029),
    [anon_sym_AMP] = ACTIONS(5027),
    [anon_sym_SEMI] = ACTIONS(5029),
    [anon_sym___extension__] = ACTIONS(5027),
    [anon_sym_virtual] = ACTIONS(5027),
    [anon_sym_extern] = ACTIONS(5027),
    [anon_sym___attribute__] = ACTIONS(5027),
    [anon_sym_COLON_COLON] = ACTIONS(5029),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5029),
    [anon_sym___declspec] = ACTIONS(5027),
    [anon_sym___based] = ACTIONS(5027),
    [anon_sym___cdecl] = ACTIONS(5027),
    [anon_sym___clrcall] = ACTIONS(5027),
    [anon_sym___stdcall] = ACTIONS(5027),
    [anon_sym___fastcall] = ACTIONS(5027),
    [anon_sym___thiscall] = ACTIONS(5027),
    [anon_sym___vectorcall] = ACTIONS(5027),
    [anon_sym_LBRACE] = ACTIONS(5029),
    [anon_sym_signed] = ACTIONS(5027),
    [anon_sym_unsigned] = ACTIONS(5027),
    [anon_sym_long] = ACTIONS(5027),
    [anon_sym_short] = ACTIONS(5027),
    [anon_sym_LBRACK] = ACTIONS(5027),
    [anon_sym_static] = ACTIONS(5027),
    [anon_sym_EQ] = ACTIONS(5029),
    [anon_sym_register] = ACTIONS(5027),
    [anon_sym_inline] = ACTIONS(5027),
    [anon_sym___inline] = ACTIONS(5027),
    [anon_sym___inline__] = ACTIONS(5027),
    [anon_sym___forceinline] = ACTIONS(5027),
    [anon_sym_thread_local] = ACTIONS(5027),
    [anon_sym___thread] = ACTIONS(5027),
    [anon_sym_const] = ACTIONS(5027),
    [anon_sym_constexpr] = ACTIONS(5027),
    [anon_sym_volatile] = ACTIONS(5027),
    [anon_sym_restrict] = ACTIONS(5027),
    [anon_sym___restrict__] = ACTIONS(5027),
    [anon_sym__Atomic] = ACTIONS(5027),
    [anon_sym__Noreturn] = ACTIONS(5027),
    [anon_sym_noreturn] = ACTIONS(5027),
    [anon_sym__Nonnull] = ACTIONS(5027),
    [anon_sym_mutable] = ACTIONS(5027),
    [anon_sym_constinit] = ACTIONS(5027),
    [anon_sym_consteval] = ACTIONS(5027),
    [anon_sym_alignas] = ACTIONS(5027),
    [anon_sym__Alignas] = ACTIONS(5027),
    [sym_primitive_type] = ACTIONS(5027),
    [anon_sym_enum] = ACTIONS(5027),
    [anon_sym_class] = ACTIONS(5027),
    [anon_sym_struct] = ACTIONS(5027),
    [anon_sym_union] = ACTIONS(5027),
    [anon_sym_or] = ACTIONS(5027),
    [anon_sym_and] = ACTIONS(5027),
    [anon_sym_asm] = ACTIONS(5027),
    [anon_sym___asm__] = ACTIONS(5027),
    [anon_sym___asm] = ACTIONS(5027),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5027),
    [anon_sym_decltype] = ACTIONS(5027),
    [anon_sym_final] = ACTIONS(5027),
    [anon_sym_override] = ACTIONS(5027),
    [anon_sym_explicit] = ACTIONS(5027),
    [anon_sym_typename] = ACTIONS(5027),
    [anon_sym_template] = ACTIONS(5027),
    [anon_sym_GT2] = ACTIONS(5029),
    [anon_sym_operator] = ACTIONS(5027),
    [anon_sym_try] = ACTIONS(5027),
    [anon_sym_friend] = ACTIONS(5027),
    [anon_sym_using] = ACTIONS(5027),
    [anon_sym_concept] = ACTIONS(5027),
    [anon_sym_requires] = ACTIONS(5027),
  },
  [1595] = {
    [sym_function_definition] = STATE(1674),
    [sym_declaration] = STATE(1674),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4411),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1848),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7422),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5037),
    [anon_sym_struct] = ACTIONS(5039),
    [anon_sym_union] = ACTIONS(5041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1596] = {
    [sym_identifier] = ACTIONS(5043),
    [anon_sym_COMMA] = ACTIONS(5045),
    [anon_sym_RPAREN] = ACTIONS(5045),
    [anon_sym_LPAREN2] = ACTIONS(5045),
    [anon_sym_TILDE] = ACTIONS(5045),
    [anon_sym_STAR] = ACTIONS(5045),
    [anon_sym_PIPE_PIPE] = ACTIONS(5045),
    [anon_sym_AMP_AMP] = ACTIONS(5045),
    [anon_sym_AMP] = ACTIONS(5043),
    [anon_sym_SEMI] = ACTIONS(5045),
    [anon_sym___extension__] = ACTIONS(5043),
    [anon_sym_virtual] = ACTIONS(5043),
    [anon_sym_extern] = ACTIONS(5043),
    [anon_sym___attribute__] = ACTIONS(5043),
    [anon_sym_COLON_COLON] = ACTIONS(5045),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5045),
    [anon_sym___declspec] = ACTIONS(5043),
    [anon_sym___based] = ACTIONS(5043),
    [anon_sym___cdecl] = ACTIONS(5043),
    [anon_sym___clrcall] = ACTIONS(5043),
    [anon_sym___stdcall] = ACTIONS(5043),
    [anon_sym___fastcall] = ACTIONS(5043),
    [anon_sym___thiscall] = ACTIONS(5043),
    [anon_sym___vectorcall] = ACTIONS(5043),
    [anon_sym_LBRACE] = ACTIONS(5045),
    [anon_sym_signed] = ACTIONS(5043),
    [anon_sym_unsigned] = ACTIONS(5043),
    [anon_sym_long] = ACTIONS(5043),
    [anon_sym_short] = ACTIONS(5043),
    [anon_sym_LBRACK] = ACTIONS(5043),
    [anon_sym_static] = ACTIONS(5043),
    [anon_sym_EQ] = ACTIONS(5045),
    [anon_sym_register] = ACTIONS(5043),
    [anon_sym_inline] = ACTIONS(5043),
    [anon_sym___inline] = ACTIONS(5043),
    [anon_sym___inline__] = ACTIONS(5043),
    [anon_sym___forceinline] = ACTIONS(5043),
    [anon_sym_thread_local] = ACTIONS(5043),
    [anon_sym___thread] = ACTIONS(5043),
    [anon_sym_const] = ACTIONS(5043),
    [anon_sym_constexpr] = ACTIONS(5043),
    [anon_sym_volatile] = ACTIONS(5043),
    [anon_sym_restrict] = ACTIONS(5043),
    [anon_sym___restrict__] = ACTIONS(5043),
    [anon_sym__Atomic] = ACTIONS(5043),
    [anon_sym__Noreturn] = ACTIONS(5043),
    [anon_sym_noreturn] = ACTIONS(5043),
    [anon_sym__Nonnull] = ACTIONS(5043),
    [anon_sym_mutable] = ACTIONS(5043),
    [anon_sym_constinit] = ACTIONS(5043),
    [anon_sym_consteval] = ACTIONS(5043),
    [anon_sym_alignas] = ACTIONS(5043),
    [anon_sym__Alignas] = ACTIONS(5043),
    [sym_primitive_type] = ACTIONS(5043),
    [anon_sym_enum] = ACTIONS(5043),
    [anon_sym_class] = ACTIONS(5043),
    [anon_sym_struct] = ACTIONS(5043),
    [anon_sym_union] = ACTIONS(5043),
    [anon_sym_or] = ACTIONS(5043),
    [anon_sym_and] = ACTIONS(5043),
    [anon_sym_asm] = ACTIONS(5043),
    [anon_sym___asm__] = ACTIONS(5043),
    [anon_sym___asm] = ACTIONS(5043),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5043),
    [anon_sym_decltype] = ACTIONS(5043),
    [anon_sym_final] = ACTIONS(5043),
    [anon_sym_override] = ACTIONS(5043),
    [anon_sym_explicit] = ACTIONS(5043),
    [anon_sym_typename] = ACTIONS(5043),
    [anon_sym_template] = ACTIONS(5043),
    [anon_sym_GT2] = ACTIONS(5045),
    [anon_sym_operator] = ACTIONS(5043),
    [anon_sym_try] = ACTIONS(5043),
    [anon_sym_friend] = ACTIONS(5043),
    [anon_sym_using] = ACTIONS(5043),
    [anon_sym_concept] = ACTIONS(5043),
    [anon_sym_requires] = ACTIONS(5043),
  },
  [1597] = {
    [sym_identifier] = ACTIONS(5047),
    [anon_sym_COMMA] = ACTIONS(5049),
    [anon_sym_RPAREN] = ACTIONS(5049),
    [anon_sym_LPAREN2] = ACTIONS(5049),
    [anon_sym_TILDE] = ACTIONS(5049),
    [anon_sym_STAR] = ACTIONS(5049),
    [anon_sym_PIPE_PIPE] = ACTIONS(5049),
    [anon_sym_AMP_AMP] = ACTIONS(5049),
    [anon_sym_AMP] = ACTIONS(5047),
    [anon_sym_SEMI] = ACTIONS(5049),
    [anon_sym___extension__] = ACTIONS(5047),
    [anon_sym_virtual] = ACTIONS(5047),
    [anon_sym_extern] = ACTIONS(5047),
    [anon_sym___attribute__] = ACTIONS(5047),
    [anon_sym_COLON_COLON] = ACTIONS(5049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5049),
    [anon_sym___declspec] = ACTIONS(5047),
    [anon_sym___based] = ACTIONS(5047),
    [anon_sym___cdecl] = ACTIONS(5047),
    [anon_sym___clrcall] = ACTIONS(5047),
    [anon_sym___stdcall] = ACTIONS(5047),
    [anon_sym___fastcall] = ACTIONS(5047),
    [anon_sym___thiscall] = ACTIONS(5047),
    [anon_sym___vectorcall] = ACTIONS(5047),
    [anon_sym_LBRACE] = ACTIONS(5049),
    [anon_sym_signed] = ACTIONS(5047),
    [anon_sym_unsigned] = ACTIONS(5047),
    [anon_sym_long] = ACTIONS(5047),
    [anon_sym_short] = ACTIONS(5047),
    [anon_sym_LBRACK] = ACTIONS(5047),
    [anon_sym_static] = ACTIONS(5047),
    [anon_sym_EQ] = ACTIONS(5049),
    [anon_sym_register] = ACTIONS(5047),
    [anon_sym_inline] = ACTIONS(5047),
    [anon_sym___inline] = ACTIONS(5047),
    [anon_sym___inline__] = ACTIONS(5047),
    [anon_sym___forceinline] = ACTIONS(5047),
    [anon_sym_thread_local] = ACTIONS(5047),
    [anon_sym___thread] = ACTIONS(5047),
    [anon_sym_const] = ACTIONS(5047),
    [anon_sym_constexpr] = ACTIONS(5047),
    [anon_sym_volatile] = ACTIONS(5047),
    [anon_sym_restrict] = ACTIONS(5047),
    [anon_sym___restrict__] = ACTIONS(5047),
    [anon_sym__Atomic] = ACTIONS(5047),
    [anon_sym__Noreturn] = ACTIONS(5047),
    [anon_sym_noreturn] = ACTIONS(5047),
    [anon_sym__Nonnull] = ACTIONS(5047),
    [anon_sym_mutable] = ACTIONS(5047),
    [anon_sym_constinit] = ACTIONS(5047),
    [anon_sym_consteval] = ACTIONS(5047),
    [anon_sym_alignas] = ACTIONS(5047),
    [anon_sym__Alignas] = ACTIONS(5047),
    [sym_primitive_type] = ACTIONS(5047),
    [anon_sym_enum] = ACTIONS(5047),
    [anon_sym_class] = ACTIONS(5047),
    [anon_sym_struct] = ACTIONS(5047),
    [anon_sym_union] = ACTIONS(5047),
    [anon_sym_or] = ACTIONS(5047),
    [anon_sym_and] = ACTIONS(5047),
    [anon_sym_asm] = ACTIONS(5047),
    [anon_sym___asm__] = ACTIONS(5047),
    [anon_sym___asm] = ACTIONS(5047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5047),
    [anon_sym_decltype] = ACTIONS(5047),
    [anon_sym_final] = ACTIONS(5047),
    [anon_sym_override] = ACTIONS(5047),
    [anon_sym_explicit] = ACTIONS(5047),
    [anon_sym_typename] = ACTIONS(5047),
    [anon_sym_template] = ACTIONS(5047),
    [anon_sym_GT2] = ACTIONS(5049),
    [anon_sym_operator] = ACTIONS(5047),
    [anon_sym_try] = ACTIONS(5047),
    [anon_sym_friend] = ACTIONS(5047),
    [anon_sym_using] = ACTIONS(5047),
    [anon_sym_concept] = ACTIONS(5047),
    [anon_sym_requires] = ACTIONS(5047),
  },
  [1598] = {
    [sym_identifier] = ACTIONS(5051),
    [anon_sym_COMMA] = ACTIONS(5053),
    [anon_sym_RPAREN] = ACTIONS(5053),
    [anon_sym_LPAREN2] = ACTIONS(5053),
    [anon_sym_TILDE] = ACTIONS(5053),
    [anon_sym_STAR] = ACTIONS(5053),
    [anon_sym_PIPE_PIPE] = ACTIONS(5053),
    [anon_sym_AMP_AMP] = ACTIONS(5053),
    [anon_sym_AMP] = ACTIONS(5051),
    [anon_sym_SEMI] = ACTIONS(5053),
    [anon_sym___extension__] = ACTIONS(5051),
    [anon_sym_virtual] = ACTIONS(5051),
    [anon_sym_extern] = ACTIONS(5051),
    [anon_sym___attribute__] = ACTIONS(5051),
    [anon_sym_COLON_COLON] = ACTIONS(5053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5053),
    [anon_sym___declspec] = ACTIONS(5051),
    [anon_sym___based] = ACTIONS(5051),
    [anon_sym___cdecl] = ACTIONS(5051),
    [anon_sym___clrcall] = ACTIONS(5051),
    [anon_sym___stdcall] = ACTIONS(5051),
    [anon_sym___fastcall] = ACTIONS(5051),
    [anon_sym___thiscall] = ACTIONS(5051),
    [anon_sym___vectorcall] = ACTIONS(5051),
    [anon_sym_LBRACE] = ACTIONS(5053),
    [anon_sym_signed] = ACTIONS(5051),
    [anon_sym_unsigned] = ACTIONS(5051),
    [anon_sym_long] = ACTIONS(5051),
    [anon_sym_short] = ACTIONS(5051),
    [anon_sym_LBRACK] = ACTIONS(5051),
    [anon_sym_static] = ACTIONS(5051),
    [anon_sym_EQ] = ACTIONS(5053),
    [anon_sym_register] = ACTIONS(5051),
    [anon_sym_inline] = ACTIONS(5051),
    [anon_sym___inline] = ACTIONS(5051),
    [anon_sym___inline__] = ACTIONS(5051),
    [anon_sym___forceinline] = ACTIONS(5051),
    [anon_sym_thread_local] = ACTIONS(5051),
    [anon_sym___thread] = ACTIONS(5051),
    [anon_sym_const] = ACTIONS(5051),
    [anon_sym_constexpr] = ACTIONS(5051),
    [anon_sym_volatile] = ACTIONS(5051),
    [anon_sym_restrict] = ACTIONS(5051),
    [anon_sym___restrict__] = ACTIONS(5051),
    [anon_sym__Atomic] = ACTIONS(5051),
    [anon_sym__Noreturn] = ACTIONS(5051),
    [anon_sym_noreturn] = ACTIONS(5051),
    [anon_sym__Nonnull] = ACTIONS(5051),
    [anon_sym_mutable] = ACTIONS(5051),
    [anon_sym_constinit] = ACTIONS(5051),
    [anon_sym_consteval] = ACTIONS(5051),
    [anon_sym_alignas] = ACTIONS(5051),
    [anon_sym__Alignas] = ACTIONS(5051),
    [sym_primitive_type] = ACTIONS(5051),
    [anon_sym_enum] = ACTIONS(5051),
    [anon_sym_class] = ACTIONS(5051),
    [anon_sym_struct] = ACTIONS(5051),
    [anon_sym_union] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5051),
    [anon_sym_and] = ACTIONS(5051),
    [anon_sym_asm] = ACTIONS(5051),
    [anon_sym___asm__] = ACTIONS(5051),
    [anon_sym___asm] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5051),
    [anon_sym_decltype] = ACTIONS(5051),
    [anon_sym_final] = ACTIONS(5051),
    [anon_sym_override] = ACTIONS(5051),
    [anon_sym_explicit] = ACTIONS(5051),
    [anon_sym_typename] = ACTIONS(5051),
    [anon_sym_template] = ACTIONS(5051),
    [anon_sym_GT2] = ACTIONS(5053),
    [anon_sym_operator] = ACTIONS(5051),
    [anon_sym_try] = ACTIONS(5051),
    [anon_sym_friend] = ACTIONS(5051),
    [anon_sym_using] = ACTIONS(5051),
    [anon_sym_concept] = ACTIONS(5051),
    [anon_sym_requires] = ACTIONS(5051),
  },
  [1599] = {
    [sym_identifier] = ACTIONS(5055),
    [anon_sym_COMMA] = ACTIONS(5057),
    [anon_sym_RPAREN] = ACTIONS(5057),
    [anon_sym_LPAREN2] = ACTIONS(5057),
    [anon_sym_TILDE] = ACTIONS(5057),
    [anon_sym_STAR] = ACTIONS(5057),
    [anon_sym_PIPE_PIPE] = ACTIONS(5057),
    [anon_sym_AMP_AMP] = ACTIONS(5057),
    [anon_sym_AMP] = ACTIONS(5055),
    [anon_sym_SEMI] = ACTIONS(5057),
    [anon_sym___extension__] = ACTIONS(5055),
    [anon_sym_virtual] = ACTIONS(5055),
    [anon_sym_extern] = ACTIONS(5055),
    [anon_sym___attribute__] = ACTIONS(5055),
    [anon_sym_COLON_COLON] = ACTIONS(5057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5057),
    [anon_sym___declspec] = ACTIONS(5055),
    [anon_sym___based] = ACTIONS(5055),
    [anon_sym___cdecl] = ACTIONS(5055),
    [anon_sym___clrcall] = ACTIONS(5055),
    [anon_sym___stdcall] = ACTIONS(5055),
    [anon_sym___fastcall] = ACTIONS(5055),
    [anon_sym___thiscall] = ACTIONS(5055),
    [anon_sym___vectorcall] = ACTIONS(5055),
    [anon_sym_LBRACE] = ACTIONS(5057),
    [anon_sym_signed] = ACTIONS(5055),
    [anon_sym_unsigned] = ACTIONS(5055),
    [anon_sym_long] = ACTIONS(5055),
    [anon_sym_short] = ACTIONS(5055),
    [anon_sym_LBRACK] = ACTIONS(5055),
    [anon_sym_static] = ACTIONS(5055),
    [anon_sym_EQ] = ACTIONS(5057),
    [anon_sym_register] = ACTIONS(5055),
    [anon_sym_inline] = ACTIONS(5055),
    [anon_sym___inline] = ACTIONS(5055),
    [anon_sym___inline__] = ACTIONS(5055),
    [anon_sym___forceinline] = ACTIONS(5055),
    [anon_sym_thread_local] = ACTIONS(5055),
    [anon_sym___thread] = ACTIONS(5055),
    [anon_sym_const] = ACTIONS(5055),
    [anon_sym_constexpr] = ACTIONS(5055),
    [anon_sym_volatile] = ACTIONS(5055),
    [anon_sym_restrict] = ACTIONS(5055),
    [anon_sym___restrict__] = ACTIONS(5055),
    [anon_sym__Atomic] = ACTIONS(5055),
    [anon_sym__Noreturn] = ACTIONS(5055),
    [anon_sym_noreturn] = ACTIONS(5055),
    [anon_sym__Nonnull] = ACTIONS(5055),
    [anon_sym_mutable] = ACTIONS(5055),
    [anon_sym_constinit] = ACTIONS(5055),
    [anon_sym_consteval] = ACTIONS(5055),
    [anon_sym_alignas] = ACTIONS(5055),
    [anon_sym__Alignas] = ACTIONS(5055),
    [sym_primitive_type] = ACTIONS(5055),
    [anon_sym_enum] = ACTIONS(5055),
    [anon_sym_class] = ACTIONS(5055),
    [anon_sym_struct] = ACTIONS(5055),
    [anon_sym_union] = ACTIONS(5055),
    [anon_sym_or] = ACTIONS(5055),
    [anon_sym_and] = ACTIONS(5055),
    [anon_sym_asm] = ACTIONS(5055),
    [anon_sym___asm__] = ACTIONS(5055),
    [anon_sym___asm] = ACTIONS(5055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5055),
    [anon_sym_decltype] = ACTIONS(5055),
    [anon_sym_final] = ACTIONS(5055),
    [anon_sym_override] = ACTIONS(5055),
    [anon_sym_explicit] = ACTIONS(5055),
    [anon_sym_typename] = ACTIONS(5055),
    [anon_sym_template] = ACTIONS(5055),
    [anon_sym_GT2] = ACTIONS(5057),
    [anon_sym_operator] = ACTIONS(5055),
    [anon_sym_try] = ACTIONS(5055),
    [anon_sym_friend] = ACTIONS(5055),
    [anon_sym_using] = ACTIONS(5055),
    [anon_sym_concept] = ACTIONS(5055),
    [anon_sym_requires] = ACTIONS(5055),
  },
  [1600] = {
    [sym_function_definition] = STATE(711),
    [sym_declaration] = STATE(711),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4402),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1867),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7899),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5059),
    [anon_sym_struct] = ACTIONS(5061),
    [anon_sym_union] = ACTIONS(5063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1601] = {
    [sym_function_definition] = STATE(1735),
    [sym_declaration] = STATE(1735),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4411),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1848),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7491),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5065),
    [anon_sym_struct] = ACTIONS(5067),
    [anon_sym_union] = ACTIONS(5069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1602] = {
    [sym_function_definition] = STATE(1956),
    [sym_declaration] = STATE(1956),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4483),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1847),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7841),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5071),
    [anon_sym_struct] = ACTIONS(5073),
    [anon_sym_union] = ACTIONS(5075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1603] = {
    [sym_function_definition] = STATE(1991),
    [sym_declaration] = STATE(1991),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4466),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7784),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5077),
    [anon_sym_struct] = ACTIONS(5079),
    [anon_sym_union] = ACTIONS(5081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1604] = {
    [sym_identifier] = ACTIONS(5083),
    [anon_sym_COMMA] = ACTIONS(5085),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5085),
    [anon_sym_TILDE] = ACTIONS(5085),
    [anon_sym_STAR] = ACTIONS(5085),
    [anon_sym_PIPE_PIPE] = ACTIONS(5085),
    [anon_sym_AMP_AMP] = ACTIONS(5085),
    [anon_sym_AMP] = ACTIONS(5083),
    [anon_sym_SEMI] = ACTIONS(5085),
    [anon_sym___extension__] = ACTIONS(5083),
    [anon_sym_virtual] = ACTIONS(5083),
    [anon_sym_extern] = ACTIONS(5083),
    [anon_sym___attribute__] = ACTIONS(5083),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5085),
    [anon_sym___declspec] = ACTIONS(5083),
    [anon_sym___based] = ACTIONS(5083),
    [anon_sym___cdecl] = ACTIONS(5083),
    [anon_sym___clrcall] = ACTIONS(5083),
    [anon_sym___stdcall] = ACTIONS(5083),
    [anon_sym___fastcall] = ACTIONS(5083),
    [anon_sym___thiscall] = ACTIONS(5083),
    [anon_sym___vectorcall] = ACTIONS(5083),
    [anon_sym_LBRACE] = ACTIONS(5085),
    [anon_sym_signed] = ACTIONS(5083),
    [anon_sym_unsigned] = ACTIONS(5083),
    [anon_sym_long] = ACTIONS(5083),
    [anon_sym_short] = ACTIONS(5083),
    [anon_sym_LBRACK] = ACTIONS(5083),
    [anon_sym_static] = ACTIONS(5083),
    [anon_sym_EQ] = ACTIONS(5085),
    [anon_sym_register] = ACTIONS(5083),
    [anon_sym_inline] = ACTIONS(5083),
    [anon_sym___inline] = ACTIONS(5083),
    [anon_sym___inline__] = ACTIONS(5083),
    [anon_sym___forceinline] = ACTIONS(5083),
    [anon_sym_thread_local] = ACTIONS(5083),
    [anon_sym___thread] = ACTIONS(5083),
    [anon_sym_const] = ACTIONS(5083),
    [anon_sym_constexpr] = ACTIONS(5083),
    [anon_sym_volatile] = ACTIONS(5083),
    [anon_sym_restrict] = ACTIONS(5083),
    [anon_sym___restrict__] = ACTIONS(5083),
    [anon_sym__Atomic] = ACTIONS(5083),
    [anon_sym__Noreturn] = ACTIONS(5083),
    [anon_sym_noreturn] = ACTIONS(5083),
    [anon_sym__Nonnull] = ACTIONS(5083),
    [anon_sym_mutable] = ACTIONS(5083),
    [anon_sym_constinit] = ACTIONS(5083),
    [anon_sym_consteval] = ACTIONS(5083),
    [anon_sym_alignas] = ACTIONS(5083),
    [anon_sym__Alignas] = ACTIONS(5083),
    [sym_primitive_type] = ACTIONS(5083),
    [anon_sym_enum] = ACTIONS(5083),
    [anon_sym_class] = ACTIONS(5083),
    [anon_sym_struct] = ACTIONS(5083),
    [anon_sym_union] = ACTIONS(5083),
    [anon_sym_or] = ACTIONS(5083),
    [anon_sym_and] = ACTIONS(5083),
    [anon_sym_asm] = ACTIONS(5083),
    [anon_sym___asm__] = ACTIONS(5083),
    [anon_sym___asm] = ACTIONS(5083),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5083),
    [anon_sym_decltype] = ACTIONS(5083),
    [anon_sym_final] = ACTIONS(5083),
    [anon_sym_override] = ACTIONS(5083),
    [anon_sym_explicit] = ACTIONS(5083),
    [anon_sym_typename] = ACTIONS(5083),
    [anon_sym_template] = ACTIONS(5083),
    [anon_sym_GT2] = ACTIONS(5085),
    [anon_sym_operator] = ACTIONS(5083),
    [anon_sym_try] = ACTIONS(5083),
    [anon_sym_friend] = ACTIONS(5083),
    [anon_sym_using] = ACTIONS(5083),
    [anon_sym_concept] = ACTIONS(5083),
    [anon_sym_requires] = ACTIONS(5083),
  },
  [1605] = {
    [sym_function_definition] = STATE(2023),
    [sym_declaration] = STATE(2023),
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4466),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_ms_call_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym__class_name] = STATE(7456),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(3651),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(3657),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(51),
    [anon_sym___clrcall] = ACTIONS(51),
    [anon_sym___stdcall] = ACTIONS(51),
    [anon_sym___fastcall] = ACTIONS(51),
    [anon_sym___thiscall] = ACTIONS(51),
    [anon_sym___vectorcall] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(5087),
    [anon_sym_struct] = ACTIONS(5089),
    [anon_sym_union] = ACTIONS(5091),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1606] = {
    [sym_identifier] = ACTIONS(5093),
    [anon_sym_COMMA] = ACTIONS(5095),
    [anon_sym_RPAREN] = ACTIONS(5095),
    [anon_sym_LPAREN2] = ACTIONS(5095),
    [anon_sym_TILDE] = ACTIONS(5095),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_PIPE_PIPE] = ACTIONS(5095),
    [anon_sym_AMP_AMP] = ACTIONS(5095),
    [anon_sym_AMP] = ACTIONS(5093),
    [anon_sym_SEMI] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(5093),
    [anon_sym_virtual] = ACTIONS(5093),
    [anon_sym_extern] = ACTIONS(5093),
    [anon_sym___attribute__] = ACTIONS(5093),
    [anon_sym_COLON_COLON] = ACTIONS(5095),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5095),
    [anon_sym___declspec] = ACTIONS(5093),
    [anon_sym___based] = ACTIONS(5093),
    [anon_sym___cdecl] = ACTIONS(5093),
    [anon_sym___clrcall] = ACTIONS(5093),
    [anon_sym___stdcall] = ACTIONS(5093),
    [anon_sym___fastcall] = ACTIONS(5093),
    [anon_sym___thiscall] = ACTIONS(5093),
    [anon_sym___vectorcall] = ACTIONS(5093),
    [anon_sym_LBRACE] = ACTIONS(5095),
    [anon_sym_signed] = ACTIONS(5093),
    [anon_sym_unsigned] = ACTIONS(5093),
    [anon_sym_long] = ACTIONS(5093),
    [anon_sym_short] = ACTIONS(5093),
    [anon_sym_LBRACK] = ACTIONS(5093),
    [anon_sym_static] = ACTIONS(5093),
    [anon_sym_EQ] = ACTIONS(5095),
    [anon_sym_register] = ACTIONS(5093),
    [anon_sym_inline] = ACTIONS(5093),
    [anon_sym___inline] = ACTIONS(5093),
    [anon_sym___inline__] = ACTIONS(5093),
    [anon_sym___forceinline] = ACTIONS(5093),
    [anon_sym_thread_local] = ACTIONS(5093),
    [anon_sym___thread] = ACTIONS(5093),
    [anon_sym_const] = ACTIONS(5093),
    [anon_sym_constexpr] = ACTIONS(5093),
    [anon_sym_volatile] = ACTIONS(5093),
    [anon_sym_restrict] = ACTIONS(5093),
    [anon_sym___restrict__] = ACTIONS(5093),
    [anon_sym__Atomic] = ACTIONS(5093),
    [anon_sym__Noreturn] = ACTIONS(5093),
    [anon_sym_noreturn] = ACTIONS(5093),
    [anon_sym__Nonnull] = ACTIONS(5093),
    [anon_sym_mutable] = ACTIONS(5093),
    [anon_sym_constinit] = ACTIONS(5093),
    [anon_sym_consteval] = ACTIONS(5093),
    [anon_sym_alignas] = ACTIONS(5093),
    [anon_sym__Alignas] = ACTIONS(5093),
    [sym_primitive_type] = ACTIONS(5093),
    [anon_sym_enum] = ACTIONS(5093),
    [anon_sym_class] = ACTIONS(5093),
    [anon_sym_struct] = ACTIONS(5093),
    [anon_sym_union] = ACTIONS(5093),
    [anon_sym_or] = ACTIONS(5093),
    [anon_sym_and] = ACTIONS(5093),
    [anon_sym_asm] = ACTIONS(5093),
    [anon_sym___asm__] = ACTIONS(5093),
    [anon_sym___asm] = ACTIONS(5093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5093),
    [anon_sym_decltype] = ACTIONS(5093),
    [anon_sym_final] = ACTIONS(5093),
    [anon_sym_override] = ACTIONS(5093),
    [anon_sym_explicit] = ACTIONS(5093),
    [anon_sym_typename] = ACTIONS(5093),
    [anon_sym_template] = ACTIONS(5093),
    [anon_sym_GT2] = ACTIONS(5095),
    [anon_sym_operator] = ACTIONS(5093),
    [anon_sym_try] = ACTIONS(5093),
    [anon_sym_friend] = ACTIONS(5093),
    [anon_sym_using] = ACTIONS(5093),
    [anon_sym_concept] = ACTIONS(5093),
    [anon_sym_requires] = ACTIONS(5093),
  },
  [1607] = {
    [sym_identifier] = ACTIONS(5097),
    [anon_sym_COMMA] = ACTIONS(5099),
    [anon_sym_RPAREN] = ACTIONS(5099),
    [anon_sym_LPAREN2] = ACTIONS(5099),
    [anon_sym_TILDE] = ACTIONS(5099),
    [anon_sym_STAR] = ACTIONS(5099),
    [anon_sym_PIPE_PIPE] = ACTIONS(5099),
    [anon_sym_AMP_AMP] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5097),
    [anon_sym_SEMI] = ACTIONS(5099),
    [anon_sym___extension__] = ACTIONS(5097),
    [anon_sym_virtual] = ACTIONS(5097),
    [anon_sym_extern] = ACTIONS(5097),
    [anon_sym___attribute__] = ACTIONS(5097),
    [anon_sym_COLON_COLON] = ACTIONS(5099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5099),
    [anon_sym___declspec] = ACTIONS(5097),
    [anon_sym___based] = ACTIONS(5097),
    [anon_sym___cdecl] = ACTIONS(5097),
    [anon_sym___clrcall] = ACTIONS(5097),
    [anon_sym___stdcall] = ACTIONS(5097),
    [anon_sym___fastcall] = ACTIONS(5097),
    [anon_sym___thiscall] = ACTIONS(5097),
    [anon_sym___vectorcall] = ACTIONS(5097),
    [anon_sym_LBRACE] = ACTIONS(5099),
    [anon_sym_signed] = ACTIONS(5097),
    [anon_sym_unsigned] = ACTIONS(5097),
    [anon_sym_long] = ACTIONS(5097),
    [anon_sym_short] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5097),
    [anon_sym_static] = ACTIONS(5097),
    [anon_sym_EQ] = ACTIONS(5099),
    [anon_sym_register] = ACTIONS(5097),
    [anon_sym_inline] = ACTIONS(5097),
    [anon_sym___inline] = ACTIONS(5097),
    [anon_sym___inline__] = ACTIONS(5097),
    [anon_sym___forceinline] = ACTIONS(5097),
    [anon_sym_thread_local] = ACTIONS(5097),
    [anon_sym___thread] = ACTIONS(5097),
    [anon_sym_const] = ACTIONS(5097),
    [anon_sym_constexpr] = ACTIONS(5097),
    [anon_sym_volatile] = ACTIONS(5097),
    [anon_sym_restrict] = ACTIONS(5097),
    [anon_sym___restrict__] = ACTIONS(5097),
    [anon_sym__Atomic] = ACTIONS(5097),
    [anon_sym__Noreturn] = ACTIONS(5097),
    [anon_sym_noreturn] = ACTIONS(5097),
    [anon_sym__Nonnull] = ACTIONS(5097),
    [anon_sym_mutable] = ACTIONS(5097),
    [anon_sym_constinit] = ACTIONS(5097),
    [anon_sym_consteval] = ACTIONS(5097),
    [anon_sym_alignas] = ACTIONS(5097),
    [anon_sym__Alignas] = ACTIONS(5097),
    [sym_primitive_type] = ACTIONS(5097),
    [anon_sym_enum] = ACTIONS(5097),
    [anon_sym_class] = ACTIONS(5097),
    [anon_sym_struct] = ACTIONS(5097),
    [anon_sym_union] = ACTIONS(5097),
    [anon_sym_or] = ACTIONS(5097),
    [anon_sym_and] = ACTIONS(5097),
    [anon_sym_asm] = ACTIONS(5097),
    [anon_sym___asm__] = ACTIONS(5097),
    [anon_sym___asm] = ACTIONS(5097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5097),
    [anon_sym_decltype] = ACTIONS(5097),
    [anon_sym_final] = ACTIONS(5097),
    [anon_sym_override] = ACTIONS(5097),
    [anon_sym_explicit] = ACTIONS(5097),
    [anon_sym_typename] = ACTIONS(5097),
    [anon_sym_template] = ACTIONS(5097),
    [anon_sym_GT2] = ACTIONS(5099),
    [anon_sym_operator] = ACTIONS(5097),
    [anon_sym_try] = ACTIONS(5097),
    [anon_sym_friend] = ACTIONS(5097),
    [anon_sym_using] = ACTIONS(5097),
    [anon_sym_concept] = ACTIONS(5097),
    [anon_sym_requires] = ACTIONS(5097),
  },
  [1608] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3995),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(6741),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_type_parameter_declaration] = STATE(6741),
    [sym_variadic_type_parameter_declaration] = STATE(6741),
    [sym_optional_type_parameter_declaration] = STATE(6741),
    [sym_template_template_parameter_declaration] = STATE(6741),
    [sym_optional_parameter_declaration] = STATE(6741),
    [sym_variadic_parameter_declaration] = STATE(6741),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(5101),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_GT2] = ACTIONS(5107),
  },
  [1609] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3995),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(7023),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_type_parameter_declaration] = STATE(7023),
    [sym_variadic_type_parameter_declaration] = STATE(7023),
    [sym_optional_type_parameter_declaration] = STATE(7023),
    [sym_template_template_parameter_declaration] = STATE(7023),
    [sym_optional_parameter_declaration] = STATE(7023),
    [sym_variadic_parameter_declaration] = STATE(7023),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(5101),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_GT2] = ACTIONS(5109),
  },
  [1610] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4886),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4886),
    [anon_sym_GT_GT] = ACTIONS(4886),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1611] = {
    [sym_string_literal] = STATE(1621),
    [sym_template_argument_list] = STATE(2248),
    [sym_raw_string_literal] = STATE(1621),
    [sym_identifier] = ACTIONS(4102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(4094),
    [aux_sym_preproc_if_token2] = ACTIONS(4094),
    [aux_sym_preproc_else_token1] = ACTIONS(4094),
    [aux_sym_preproc_elif_token1] = ACTIONS(4102),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(5111),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_RBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_COLON] = ACTIONS(4102),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4102),
    [anon_sym_or_eq] = ACTIONS(4102),
    [anon_sym_xor_eq] = ACTIONS(4102),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
  },
  [1612] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3995),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(7229),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_type_parameter_declaration] = STATE(7229),
    [sym_variadic_type_parameter_declaration] = STATE(7229),
    [sym_optional_type_parameter_declaration] = STATE(7229),
    [sym_template_template_parameter_declaration] = STATE(7229),
    [sym_optional_parameter_declaration] = STATE(7229),
    [sym_variadic_parameter_declaration] = STATE(7229),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(5101),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5105),
  },
  [1613] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4853),
    [anon_sym___attribute__] = ACTIONS(4853),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4853),
    [anon_sym_volatile] = ACTIONS(4853),
    [anon_sym_restrict] = ACTIONS(4853),
    [anon_sym___restrict__] = ACTIONS(4853),
    [anon_sym__Atomic] = ACTIONS(4853),
    [anon_sym__Noreturn] = ACTIONS(4853),
    [anon_sym_noreturn] = ACTIONS(4853),
    [anon_sym__Nonnull] = ACTIONS(4853),
    [anon_sym_mutable] = ACTIONS(4853),
    [anon_sym_constinit] = ACTIONS(4853),
    [anon_sym_consteval] = ACTIONS(4853),
    [anon_sym_alignas] = ACTIONS(4853),
    [anon_sym__Alignas] = ACTIONS(4853),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4853),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4853),
    [anon_sym_or_eq] = ACTIONS(4853),
    [anon_sym_xor_eq] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4853),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4853),
    [anon_sym_not_eq] = ACTIONS(4853),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4853),
    [anon_sym_decltype] = ACTIONS(4853),
    [anon_sym_final] = ACTIONS(4853),
    [anon_sym_override] = ACTIONS(4853),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4853),
  },
  [1614] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4882),
    [anon_sym___attribute__] = ACTIONS(4882),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4882),
    [anon_sym_volatile] = ACTIONS(4882),
    [anon_sym_restrict] = ACTIONS(4882),
    [anon_sym___restrict__] = ACTIONS(4882),
    [anon_sym__Atomic] = ACTIONS(4882),
    [anon_sym__Noreturn] = ACTIONS(4882),
    [anon_sym_noreturn] = ACTIONS(4882),
    [anon_sym__Nonnull] = ACTIONS(4882),
    [anon_sym_mutable] = ACTIONS(4882),
    [anon_sym_constinit] = ACTIONS(4882),
    [anon_sym_consteval] = ACTIONS(4882),
    [anon_sym_alignas] = ACTIONS(4882),
    [anon_sym__Alignas] = ACTIONS(4882),
    [anon_sym_COLON] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_and_eq] = ACTIONS(4882),
    [anon_sym_or_eq] = ACTIONS(4882),
    [anon_sym_xor_eq] = ACTIONS(4882),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4882),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4882),
    [anon_sym_not_eq] = ACTIONS(4882),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4882),
    [anon_sym_decltype] = ACTIONS(4882),
    [anon_sym_final] = ACTIONS(4882),
    [anon_sym_override] = ACTIONS(4882),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4882),
  },
  [1615] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym___extension__] = ACTIONS(4841),
    [anon_sym___attribute__] = ACTIONS(4841),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4841),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4841),
    [anon_sym_volatile] = ACTIONS(4841),
    [anon_sym_restrict] = ACTIONS(4841),
    [anon_sym___restrict__] = ACTIONS(4841),
    [anon_sym__Atomic] = ACTIONS(4841),
    [anon_sym__Noreturn] = ACTIONS(4841),
    [anon_sym_noreturn] = ACTIONS(4841),
    [anon_sym__Nonnull] = ACTIONS(4841),
    [anon_sym_mutable] = ACTIONS(4841),
    [anon_sym_constinit] = ACTIONS(4841),
    [anon_sym_consteval] = ACTIONS(4841),
    [anon_sym_alignas] = ACTIONS(4841),
    [anon_sym__Alignas] = ACTIONS(4841),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4841),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_and_eq] = ACTIONS(4841),
    [anon_sym_or_eq] = ACTIONS(4841),
    [anon_sym_xor_eq] = ACTIONS(4841),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4841),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4841),
    [anon_sym_not_eq] = ACTIONS(4841),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4841),
    [anon_sym_decltype] = ACTIONS(4841),
    [anon_sym_final] = ACTIONS(4841),
    [anon_sym_override] = ACTIONS(4841),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4841),
  },
  [1616] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(4878),
    [anon_sym___attribute__] = ACTIONS(4878),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4878),
    [anon_sym_volatile] = ACTIONS(4878),
    [anon_sym_restrict] = ACTIONS(4878),
    [anon_sym___restrict__] = ACTIONS(4878),
    [anon_sym__Atomic] = ACTIONS(4878),
    [anon_sym__Noreturn] = ACTIONS(4878),
    [anon_sym_noreturn] = ACTIONS(4878),
    [anon_sym__Nonnull] = ACTIONS(4878),
    [anon_sym_mutable] = ACTIONS(4878),
    [anon_sym_constinit] = ACTIONS(4878),
    [anon_sym_consteval] = ACTIONS(4878),
    [anon_sym_alignas] = ACTIONS(4878),
    [anon_sym__Alignas] = ACTIONS(4878),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4878),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4878),
    [anon_sym_decltype] = ACTIONS(4878),
    [anon_sym_final] = ACTIONS(4878),
    [anon_sym_override] = ACTIONS(4878),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4878),
  },
  [1617] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(5114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5116),
    [anon_sym_COMMA] = ACTIONS(5116),
    [anon_sym_RPAREN] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [aux_sym_preproc_else_token1] = ACTIONS(5116),
    [aux_sym_preproc_elif_token1] = ACTIONS(5114),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5116),
    [anon_sym_PIPE_PIPE] = ACTIONS(5116),
    [anon_sym_AMP_AMP] = ACTIONS(5116),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5116),
    [anon_sym_BANG_EQ] = ACTIONS(5116),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5116),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5114),
    [anon_sym_LT_LT] = ACTIONS(5116),
    [anon_sym_GT_GT] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5116),
    [anon_sym___extension__] = ACTIONS(5114),
    [anon_sym___attribute__] = ACTIONS(5114),
    [anon_sym_LBRACE] = ACTIONS(5116),
    [anon_sym_RBRACE] = ACTIONS(5116),
    [anon_sym_signed] = ACTIONS(5118),
    [anon_sym_unsigned] = ACTIONS(5118),
    [anon_sym_long] = ACTIONS(5118),
    [anon_sym_short] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [anon_sym_RBRACK] = ACTIONS(5116),
    [anon_sym_const] = ACTIONS(5114),
    [anon_sym_constexpr] = ACTIONS(5114),
    [anon_sym_volatile] = ACTIONS(5114),
    [anon_sym_restrict] = ACTIONS(5114),
    [anon_sym___restrict__] = ACTIONS(5114),
    [anon_sym__Atomic] = ACTIONS(5114),
    [anon_sym__Noreturn] = ACTIONS(5114),
    [anon_sym_noreturn] = ACTIONS(5114),
    [anon_sym__Nonnull] = ACTIONS(5114),
    [anon_sym_mutable] = ACTIONS(5114),
    [anon_sym_constinit] = ACTIONS(5114),
    [anon_sym_consteval] = ACTIONS(5114),
    [anon_sym_alignas] = ACTIONS(5114),
    [anon_sym__Alignas] = ACTIONS(5114),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_COLON] = ACTIONS(5116),
    [anon_sym_QMARK] = ACTIONS(5116),
    [anon_sym_LT_EQ_GT] = ACTIONS(5116),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5114),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5114),
    [anon_sym_not_eq] = ACTIONS(5114),
    [anon_sym_DASH_DASH] = ACTIONS(5116),
    [anon_sym_PLUS_PLUS] = ACTIONS(5116),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5116),
    [anon_sym_DASH_GT] = ACTIONS(5116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5114),
    [anon_sym_decltype] = ACTIONS(5114),
    [anon_sym_final] = ACTIONS(5114),
    [anon_sym_override] = ACTIONS(5114),
    [anon_sym_requires] = ACTIONS(5114),
  },
  [1618] = {
    [sym_string_literal] = STATE(1622),
    [sym_raw_string_literal] = STATE(1622),
    [aux_sym_concatenated_string_repeat1] = STATE(1622),
    [sym_identifier] = ACTIONS(5121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [aux_sym_preproc_if_token2] = ACTIONS(5123),
    [aux_sym_preproc_else_token1] = ACTIONS(5123),
    [aux_sym_preproc_elif_token1] = ACTIONS(5125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5123),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym_SEMI] = ACTIONS(5123),
    [anon_sym_RBRACE] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_RBRACK] = ACTIONS(5123),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_COLON] = ACTIONS(5123),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5123),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [sym_literal_suffix] = ACTIONS(5125),
  },
  [1619] = {
    [sym_identifier] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5129),
    [anon_sym_BANG] = ACTIONS(5129),
    [anon_sym_TILDE] = ACTIONS(5129),
    [anon_sym_DASH] = ACTIONS(5127),
    [anon_sym_PLUS] = ACTIONS(5127),
    [anon_sym_STAR] = ACTIONS(5129),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_SEMI] = ACTIONS(5129),
    [anon_sym___extension__] = ACTIONS(5127),
    [anon_sym_COLON_COLON] = ACTIONS(5129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5129),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [sym_primitive_type] = ACTIONS(5127),
    [anon_sym_if] = ACTIONS(5127),
    [anon_sym_switch] = ACTIONS(5127),
    [anon_sym_case] = ACTIONS(5127),
    [anon_sym_default] = ACTIONS(5127),
    [anon_sym_while] = ACTIONS(5127),
    [anon_sym_do] = ACTIONS(5127),
    [anon_sym_for] = ACTIONS(5127),
    [anon_sym_return] = ACTIONS(5127),
    [anon_sym_break] = ACTIONS(5127),
    [anon_sym_continue] = ACTIONS(5127),
    [anon_sym_goto] = ACTIONS(5127),
    [anon_sym___try] = ACTIONS(5127),
    [anon_sym___leave] = ACTIONS(5127),
    [anon_sym_not] = ACTIONS(5127),
    [anon_sym_compl] = ACTIONS(5127),
    [anon_sym_DASH_DASH] = ACTIONS(5129),
    [anon_sym_PLUS_PLUS] = ACTIONS(5129),
    [anon_sym_sizeof] = ACTIONS(5127),
    [anon_sym___alignof__] = ACTIONS(5127),
    [anon_sym___alignof] = ACTIONS(5127),
    [anon_sym__alignof] = ACTIONS(5127),
    [anon_sym_alignof] = ACTIONS(5127),
    [anon_sym__Alignof] = ACTIONS(5127),
    [anon_sym_offsetof] = ACTIONS(5127),
    [anon_sym__Generic] = ACTIONS(5127),
    [anon_sym_asm] = ACTIONS(5127),
    [anon_sym___asm__] = ACTIONS(5127),
    [anon_sym___asm] = ACTIONS(5127),
    [sym_number_literal] = ACTIONS(5129),
    [anon_sym_L_SQUOTE] = ACTIONS(5129),
    [anon_sym_u_SQUOTE] = ACTIONS(5129),
    [anon_sym_U_SQUOTE] = ACTIONS(5129),
    [anon_sym_u8_SQUOTE] = ACTIONS(5129),
    [anon_sym_SQUOTE] = ACTIONS(5129),
    [anon_sym_L_DQUOTE] = ACTIONS(5129),
    [anon_sym_u_DQUOTE] = ACTIONS(5129),
    [anon_sym_U_DQUOTE] = ACTIONS(5129),
    [anon_sym_u8_DQUOTE] = ACTIONS(5129),
    [anon_sym_DQUOTE] = ACTIONS(5129),
    [sym_true] = ACTIONS(5127),
    [sym_false] = ACTIONS(5127),
    [anon_sym_NULL] = ACTIONS(5127),
    [anon_sym_nullptr] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5127),
    [anon_sym_template] = ACTIONS(5127),
    [anon_sym_try] = ACTIONS(5127),
    [anon_sym_delete] = ACTIONS(5127),
    [anon_sym_throw] = ACTIONS(5127),
    [anon_sym_co_return] = ACTIONS(5127),
    [anon_sym_co_yield] = ACTIONS(5127),
    [anon_sym_R_DQUOTE] = ACTIONS(5129),
    [anon_sym_LR_DQUOTE] = ACTIONS(5129),
    [anon_sym_uR_DQUOTE] = ACTIONS(5129),
    [anon_sym_UR_DQUOTE] = ACTIONS(5129),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5129),
    [anon_sym_co_await] = ACTIONS(5127),
    [anon_sym_new] = ACTIONS(5127),
    [anon_sym_requires] = ACTIONS(5127),
    [sym_this] = ACTIONS(5127),
  },
  [1620] = {
    [sym_identifier] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_BANG] = ACTIONS(5133),
    [anon_sym_TILDE] = ACTIONS(5133),
    [anon_sym_DASH] = ACTIONS(5131),
    [anon_sym_PLUS] = ACTIONS(5131),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_AMP] = ACTIONS(5133),
    [anon_sym_SEMI] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(5131),
    [anon_sym_COLON_COLON] = ACTIONS(5133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5133),
    [anon_sym_LBRACE] = ACTIONS(5133),
    [anon_sym_LBRACK] = ACTIONS(5131),
    [sym_primitive_type] = ACTIONS(5131),
    [anon_sym_if] = ACTIONS(5131),
    [anon_sym_switch] = ACTIONS(5131),
    [anon_sym_case] = ACTIONS(5131),
    [anon_sym_default] = ACTIONS(5131),
    [anon_sym_while] = ACTIONS(5131),
    [anon_sym_do] = ACTIONS(5131),
    [anon_sym_for] = ACTIONS(5131),
    [anon_sym_return] = ACTIONS(5131),
    [anon_sym_break] = ACTIONS(5131),
    [anon_sym_continue] = ACTIONS(5131),
    [anon_sym_goto] = ACTIONS(5131),
    [anon_sym___try] = ACTIONS(5131),
    [anon_sym___leave] = ACTIONS(5131),
    [anon_sym_not] = ACTIONS(5131),
    [anon_sym_compl] = ACTIONS(5131),
    [anon_sym_DASH_DASH] = ACTIONS(5133),
    [anon_sym_PLUS_PLUS] = ACTIONS(5133),
    [anon_sym_sizeof] = ACTIONS(5131),
    [anon_sym___alignof__] = ACTIONS(5131),
    [anon_sym___alignof] = ACTIONS(5131),
    [anon_sym__alignof] = ACTIONS(5131),
    [anon_sym_alignof] = ACTIONS(5131),
    [anon_sym__Alignof] = ACTIONS(5131),
    [anon_sym_offsetof] = ACTIONS(5131),
    [anon_sym__Generic] = ACTIONS(5131),
    [anon_sym_asm] = ACTIONS(5131),
    [anon_sym___asm__] = ACTIONS(5131),
    [anon_sym___asm] = ACTIONS(5131),
    [sym_number_literal] = ACTIONS(5133),
    [anon_sym_L_SQUOTE] = ACTIONS(5133),
    [anon_sym_u_SQUOTE] = ACTIONS(5133),
    [anon_sym_U_SQUOTE] = ACTIONS(5133),
    [anon_sym_u8_SQUOTE] = ACTIONS(5133),
    [anon_sym_SQUOTE] = ACTIONS(5133),
    [anon_sym_L_DQUOTE] = ACTIONS(5133),
    [anon_sym_u_DQUOTE] = ACTIONS(5133),
    [anon_sym_U_DQUOTE] = ACTIONS(5133),
    [anon_sym_u8_DQUOTE] = ACTIONS(5133),
    [anon_sym_DQUOTE] = ACTIONS(5133),
    [sym_true] = ACTIONS(5131),
    [sym_false] = ACTIONS(5131),
    [anon_sym_NULL] = ACTIONS(5131),
    [anon_sym_nullptr] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5131),
    [anon_sym_template] = ACTIONS(5131),
    [anon_sym_try] = ACTIONS(5131),
    [anon_sym_delete] = ACTIONS(5131),
    [anon_sym_throw] = ACTIONS(5131),
    [anon_sym_co_return] = ACTIONS(5131),
    [anon_sym_co_yield] = ACTIONS(5131),
    [anon_sym_R_DQUOTE] = ACTIONS(5133),
    [anon_sym_LR_DQUOTE] = ACTIONS(5133),
    [anon_sym_uR_DQUOTE] = ACTIONS(5133),
    [anon_sym_UR_DQUOTE] = ACTIONS(5133),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5133),
    [anon_sym_co_await] = ACTIONS(5131),
    [anon_sym_new] = ACTIONS(5131),
    [anon_sym_requires] = ACTIONS(5131),
    [sym_this] = ACTIONS(5131),
  },
  [1621] = {
    [sym_string_literal] = STATE(1618),
    [sym_raw_string_literal] = STATE(1618),
    [aux_sym_concatenated_string_repeat1] = STATE(1618),
    [sym_identifier] = ACTIONS(5135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5137),
    [anon_sym_COMMA] = ACTIONS(5137),
    [anon_sym_RPAREN] = ACTIONS(5137),
    [aux_sym_preproc_if_token2] = ACTIONS(5137),
    [aux_sym_preproc_else_token1] = ACTIONS(5137),
    [aux_sym_preproc_elif_token1] = ACTIONS(5139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5137),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5137),
    [anon_sym_LPAREN2] = ACTIONS(5137),
    [anon_sym_DASH] = ACTIONS(5139),
    [anon_sym_PLUS] = ACTIONS(5139),
    [anon_sym_STAR] = ACTIONS(5139),
    [anon_sym_SLASH] = ACTIONS(5139),
    [anon_sym_PERCENT] = ACTIONS(5139),
    [anon_sym_PIPE_PIPE] = ACTIONS(5137),
    [anon_sym_AMP_AMP] = ACTIONS(5137),
    [anon_sym_PIPE] = ACTIONS(5139),
    [anon_sym_CARET] = ACTIONS(5139),
    [anon_sym_AMP] = ACTIONS(5139),
    [anon_sym_EQ_EQ] = ACTIONS(5137),
    [anon_sym_BANG_EQ] = ACTIONS(5137),
    [anon_sym_GT] = ACTIONS(5139),
    [anon_sym_GT_EQ] = ACTIONS(5137),
    [anon_sym_LT_EQ] = ACTIONS(5139),
    [anon_sym_LT] = ACTIONS(5139),
    [anon_sym_LT_LT] = ACTIONS(5139),
    [anon_sym_GT_GT] = ACTIONS(5139),
    [anon_sym_SEMI] = ACTIONS(5137),
    [anon_sym_RBRACE] = ACTIONS(5137),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [anon_sym_RBRACK] = ACTIONS(5137),
    [anon_sym_EQ] = ACTIONS(5139),
    [anon_sym_COLON] = ACTIONS(5137),
    [anon_sym_QMARK] = ACTIONS(5137),
    [anon_sym_STAR_EQ] = ACTIONS(5137),
    [anon_sym_SLASH_EQ] = ACTIONS(5137),
    [anon_sym_PERCENT_EQ] = ACTIONS(5137),
    [anon_sym_PLUS_EQ] = ACTIONS(5137),
    [anon_sym_DASH_EQ] = ACTIONS(5137),
    [anon_sym_LT_LT_EQ] = ACTIONS(5137),
    [anon_sym_GT_GT_EQ] = ACTIONS(5137),
    [anon_sym_AMP_EQ] = ACTIONS(5137),
    [anon_sym_CARET_EQ] = ACTIONS(5137),
    [anon_sym_PIPE_EQ] = ACTIONS(5137),
    [anon_sym_and_eq] = ACTIONS(5139),
    [anon_sym_or_eq] = ACTIONS(5139),
    [anon_sym_xor_eq] = ACTIONS(5139),
    [anon_sym_LT_EQ_GT] = ACTIONS(5137),
    [anon_sym_or] = ACTIONS(5139),
    [anon_sym_and] = ACTIONS(5139),
    [anon_sym_bitor] = ACTIONS(5139),
    [anon_sym_xor] = ACTIONS(5139),
    [anon_sym_bitand] = ACTIONS(5139),
    [anon_sym_not_eq] = ACTIONS(5139),
    [anon_sym_DASH_DASH] = ACTIONS(5137),
    [anon_sym_PLUS_PLUS] = ACTIONS(5137),
    [anon_sym_DOT] = ACTIONS(5139),
    [anon_sym_DOT_STAR] = ACTIONS(5137),
    [anon_sym_DASH_GT] = ACTIONS(5137),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [sym_literal_suffix] = ACTIONS(5139),
  },
  [1622] = {
    [sym_string_literal] = STATE(1622),
    [sym_raw_string_literal] = STATE(1622),
    [aux_sym_concatenated_string_repeat1] = STATE(1622),
    [sym_identifier] = ACTIONS(5141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5144),
    [anon_sym_COMMA] = ACTIONS(5144),
    [anon_sym_RPAREN] = ACTIONS(5144),
    [aux_sym_preproc_if_token2] = ACTIONS(5144),
    [aux_sym_preproc_else_token1] = ACTIONS(5144),
    [aux_sym_preproc_elif_token1] = ACTIONS(5146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5144),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5144),
    [anon_sym_LPAREN2] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(5146),
    [anon_sym_STAR] = ACTIONS(5146),
    [anon_sym_SLASH] = ACTIONS(5146),
    [anon_sym_PERCENT] = ACTIONS(5146),
    [anon_sym_PIPE_PIPE] = ACTIONS(5144),
    [anon_sym_AMP_AMP] = ACTIONS(5144),
    [anon_sym_PIPE] = ACTIONS(5146),
    [anon_sym_CARET] = ACTIONS(5146),
    [anon_sym_AMP] = ACTIONS(5146),
    [anon_sym_EQ_EQ] = ACTIONS(5144),
    [anon_sym_BANG_EQ] = ACTIONS(5144),
    [anon_sym_GT] = ACTIONS(5146),
    [anon_sym_GT_EQ] = ACTIONS(5144),
    [anon_sym_LT_EQ] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(5146),
    [anon_sym_LT_LT] = ACTIONS(5146),
    [anon_sym_GT_GT] = ACTIONS(5146),
    [anon_sym_SEMI] = ACTIONS(5144),
    [anon_sym_RBRACE] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [anon_sym_RBRACK] = ACTIONS(5144),
    [anon_sym_EQ] = ACTIONS(5146),
    [anon_sym_COLON] = ACTIONS(5144),
    [anon_sym_QMARK] = ACTIONS(5144),
    [anon_sym_STAR_EQ] = ACTIONS(5144),
    [anon_sym_SLASH_EQ] = ACTIONS(5144),
    [anon_sym_PERCENT_EQ] = ACTIONS(5144),
    [anon_sym_PLUS_EQ] = ACTIONS(5144),
    [anon_sym_DASH_EQ] = ACTIONS(5144),
    [anon_sym_LT_LT_EQ] = ACTIONS(5144),
    [anon_sym_GT_GT_EQ] = ACTIONS(5144),
    [anon_sym_AMP_EQ] = ACTIONS(5144),
    [anon_sym_CARET_EQ] = ACTIONS(5144),
    [anon_sym_PIPE_EQ] = ACTIONS(5144),
    [anon_sym_and_eq] = ACTIONS(5146),
    [anon_sym_or_eq] = ACTIONS(5146),
    [anon_sym_xor_eq] = ACTIONS(5146),
    [anon_sym_LT_EQ_GT] = ACTIONS(5144),
    [anon_sym_or] = ACTIONS(5146),
    [anon_sym_and] = ACTIONS(5146),
    [anon_sym_bitor] = ACTIONS(5146),
    [anon_sym_xor] = ACTIONS(5146),
    [anon_sym_bitand] = ACTIONS(5146),
    [anon_sym_not_eq] = ACTIONS(5146),
    [anon_sym_DASH_DASH] = ACTIONS(5144),
    [anon_sym_PLUS_PLUS] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5146),
    [anon_sym_DOT_STAR] = ACTIONS(5144),
    [anon_sym_DASH_GT] = ACTIONS(5144),
    [anon_sym_L_DQUOTE] = ACTIONS(5148),
    [anon_sym_u_DQUOTE] = ACTIONS(5148),
    [anon_sym_U_DQUOTE] = ACTIONS(5148),
    [anon_sym_u8_DQUOTE] = ACTIONS(5148),
    [anon_sym_DQUOTE] = ACTIONS(5148),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5151),
    [anon_sym_LR_DQUOTE] = ACTIONS(5151),
    [anon_sym_uR_DQUOTE] = ACTIONS(5151),
    [anon_sym_UR_DQUOTE] = ACTIONS(5151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5151),
    [sym_literal_suffix] = ACTIONS(5146),
  },
  [1623] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4845),
    [anon_sym___attribute__] = ACTIONS(4845),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4845),
    [anon_sym_volatile] = ACTIONS(4845),
    [anon_sym_restrict] = ACTIONS(4845),
    [anon_sym___restrict__] = ACTIONS(4845),
    [anon_sym__Atomic] = ACTIONS(4845),
    [anon_sym__Noreturn] = ACTIONS(4845),
    [anon_sym_noreturn] = ACTIONS(4845),
    [anon_sym__Nonnull] = ACTIONS(4845),
    [anon_sym_mutable] = ACTIONS(4845),
    [anon_sym_constinit] = ACTIONS(4845),
    [anon_sym_consteval] = ACTIONS(4845),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4845),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4845),
    [anon_sym_or_eq] = ACTIONS(4845),
    [anon_sym_xor_eq] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4845),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4845),
    [anon_sym_not_eq] = ACTIONS(4845),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4845),
    [anon_sym_decltype] = ACTIONS(4845),
    [anon_sym_final] = ACTIONS(4845),
    [anon_sym_override] = ACTIONS(4845),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4845),
  },
  [1624] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4888),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4886),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4886),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4886),
    [anon_sym_GT_GT] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym_virtual] = ACTIONS(4884),
    [anon_sym_extern] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4891),
    [anon_sym___declspec] = ACTIONS(4884),
    [anon_sym___based] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_static] = ACTIONS(4884),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_register] = ACTIONS(4884),
    [anon_sym_inline] = ACTIONS(4884),
    [anon_sym___inline] = ACTIONS(4884),
    [anon_sym___inline__] = ACTIONS(4884),
    [anon_sym___forceinline] = ACTIONS(4884),
    [anon_sym_thread_local] = ACTIONS(4884),
    [anon_sym___thread] = ACTIONS(4884),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4893),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4893),
    [anon_sym_not_eq] = ACTIONS(4893),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_template] = ACTIONS(4884),
    [anon_sym_operator] = ACTIONS(4884),
  },
  [1625] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4849),
    [anon_sym___attribute__] = ACTIONS(4849),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4849),
    [anon_sym_volatile] = ACTIONS(4849),
    [anon_sym_restrict] = ACTIONS(4849),
    [anon_sym___restrict__] = ACTIONS(4849),
    [anon_sym__Atomic] = ACTIONS(4849),
    [anon_sym__Noreturn] = ACTIONS(4849),
    [anon_sym_noreturn] = ACTIONS(4849),
    [anon_sym__Nonnull] = ACTIONS(4849),
    [anon_sym_mutable] = ACTIONS(4849),
    [anon_sym_constinit] = ACTIONS(4849),
    [anon_sym_consteval] = ACTIONS(4849),
    [anon_sym_alignas] = ACTIONS(4849),
    [anon_sym__Alignas] = ACTIONS(4849),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4849),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4849),
    [anon_sym_or_eq] = ACTIONS(4849),
    [anon_sym_xor_eq] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4849),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4849),
    [anon_sym_not_eq] = ACTIONS(4849),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4849),
    [anon_sym_decltype] = ACTIONS(4849),
    [anon_sym_final] = ACTIONS(4849),
    [anon_sym_override] = ACTIONS(4849),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4849),
  },
  [1626] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4874),
    [anon_sym___attribute__] = ACTIONS(4874),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4874),
    [anon_sym_volatile] = ACTIONS(4874),
    [anon_sym_restrict] = ACTIONS(4874),
    [anon_sym___restrict__] = ACTIONS(4874),
    [anon_sym__Atomic] = ACTIONS(4874),
    [anon_sym__Noreturn] = ACTIONS(4874),
    [anon_sym_noreturn] = ACTIONS(4874),
    [anon_sym__Nonnull] = ACTIONS(4874),
    [anon_sym_mutable] = ACTIONS(4874),
    [anon_sym_constinit] = ACTIONS(4874),
    [anon_sym_consteval] = ACTIONS(4874),
    [anon_sym_alignas] = ACTIONS(4874),
    [anon_sym__Alignas] = ACTIONS(4874),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4874),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4874),
    [anon_sym_or_eq] = ACTIONS(4874),
    [anon_sym_xor_eq] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4874),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4874),
    [anon_sym_not_eq] = ACTIONS(4874),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4874),
    [anon_sym_decltype] = ACTIONS(4874),
    [anon_sym_final] = ACTIONS(4874),
    [anon_sym_override] = ACTIONS(4874),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4874),
  },
  [1627] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4872),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4874),
    [anon_sym___attribute__] = ACTIONS(4874),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4874),
    [anon_sym_volatile] = ACTIONS(4874),
    [anon_sym_restrict] = ACTIONS(4874),
    [anon_sym___restrict__] = ACTIONS(4874),
    [anon_sym__Atomic] = ACTIONS(4874),
    [anon_sym__Noreturn] = ACTIONS(4874),
    [anon_sym_noreturn] = ACTIONS(4874),
    [anon_sym__Nonnull] = ACTIONS(4874),
    [anon_sym_mutable] = ACTIONS(4874),
    [anon_sym_constinit] = ACTIONS(4874),
    [anon_sym_consteval] = ACTIONS(4874),
    [anon_sym_alignas] = ACTIONS(4874),
    [anon_sym__Alignas] = ACTIONS(4874),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_STAR_EQ] = ACTIONS(4874),
    [anon_sym_SLASH_EQ] = ACTIONS(4874),
    [anon_sym_PERCENT_EQ] = ACTIONS(4874),
    [anon_sym_PLUS_EQ] = ACTIONS(4874),
    [anon_sym_DASH_EQ] = ACTIONS(4874),
    [anon_sym_LT_LT_EQ] = ACTIONS(4874),
    [anon_sym_GT_GT_EQ] = ACTIONS(4872),
    [anon_sym_AMP_EQ] = ACTIONS(4874),
    [anon_sym_CARET_EQ] = ACTIONS(4874),
    [anon_sym_PIPE_EQ] = ACTIONS(4874),
    [anon_sym_and_eq] = ACTIONS(4874),
    [anon_sym_or_eq] = ACTIONS(4874),
    [anon_sym_xor_eq] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4874),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4874),
    [anon_sym_not_eq] = ACTIONS(4874),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4874),
    [anon_sym_decltype] = ACTIONS(4874),
    [anon_sym_final] = ACTIONS(4874),
    [anon_sym_override] = ACTIONS(4874),
    [anon_sym_GT2] = ACTIONS(4874),
  },
  [1628] = {
    [sym_type_qualifier] = STATE(1628),
    [sym_alignas_qualifier] = STATE(1768),
    [aux_sym_array_declarator_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(5154),
    [anon_sym_LPAREN2] = ACTIONS(5156),
    [anon_sym_BANG] = ACTIONS(5156),
    [anon_sym_TILDE] = ACTIONS(5156),
    [anon_sym_DASH] = ACTIONS(5154),
    [anon_sym_PLUS] = ACTIONS(5154),
    [anon_sym_STAR] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(5156),
    [anon_sym___extension__] = ACTIONS(5158),
    [anon_sym_COLON_COLON] = ACTIONS(5156),
    [anon_sym_LBRACK] = ACTIONS(5156),
    [anon_sym_static] = ACTIONS(5161),
    [anon_sym_RBRACK] = ACTIONS(5156),
    [anon_sym_const] = ACTIONS(5158),
    [anon_sym_constexpr] = ACTIONS(5158),
    [anon_sym_volatile] = ACTIONS(5158),
    [anon_sym_restrict] = ACTIONS(5158),
    [anon_sym___restrict__] = ACTIONS(5158),
    [anon_sym__Atomic] = ACTIONS(5158),
    [anon_sym__Noreturn] = ACTIONS(5158),
    [anon_sym_noreturn] = ACTIONS(5158),
    [anon_sym__Nonnull] = ACTIONS(5158),
    [anon_sym_mutable] = ACTIONS(5158),
    [anon_sym_constinit] = ACTIONS(5158),
    [anon_sym_consteval] = ACTIONS(5158),
    [anon_sym_alignas] = ACTIONS(5164),
    [anon_sym__Alignas] = ACTIONS(5164),
    [sym_primitive_type] = ACTIONS(5154),
    [anon_sym_not] = ACTIONS(5154),
    [anon_sym_compl] = ACTIONS(5154),
    [anon_sym_DASH_DASH] = ACTIONS(5156),
    [anon_sym_PLUS_PLUS] = ACTIONS(5156),
    [anon_sym_sizeof] = ACTIONS(5154),
    [anon_sym___alignof__] = ACTIONS(5154),
    [anon_sym___alignof] = ACTIONS(5154),
    [anon_sym__alignof] = ACTIONS(5154),
    [anon_sym_alignof] = ACTIONS(5154),
    [anon_sym__Alignof] = ACTIONS(5154),
    [anon_sym_offsetof] = ACTIONS(5154),
    [anon_sym__Generic] = ACTIONS(5154),
    [anon_sym_asm] = ACTIONS(5154),
    [anon_sym___asm__] = ACTIONS(5154),
    [anon_sym___asm] = ACTIONS(5154),
    [sym_number_literal] = ACTIONS(5156),
    [anon_sym_L_SQUOTE] = ACTIONS(5156),
    [anon_sym_u_SQUOTE] = ACTIONS(5156),
    [anon_sym_U_SQUOTE] = ACTIONS(5156),
    [anon_sym_u8_SQUOTE] = ACTIONS(5156),
    [anon_sym_SQUOTE] = ACTIONS(5156),
    [anon_sym_L_DQUOTE] = ACTIONS(5156),
    [anon_sym_u_DQUOTE] = ACTIONS(5156),
    [anon_sym_U_DQUOTE] = ACTIONS(5156),
    [anon_sym_u8_DQUOTE] = ACTIONS(5156),
    [anon_sym_DQUOTE] = ACTIONS(5156),
    [sym_true] = ACTIONS(5154),
    [sym_false] = ACTIONS(5154),
    [anon_sym_NULL] = ACTIONS(5154),
    [anon_sym_nullptr] = ACTIONS(5154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5154),
    [anon_sym_template] = ACTIONS(5154),
    [anon_sym_delete] = ACTIONS(5154),
    [anon_sym_R_DQUOTE] = ACTIONS(5156),
    [anon_sym_LR_DQUOTE] = ACTIONS(5156),
    [anon_sym_uR_DQUOTE] = ACTIONS(5156),
    [anon_sym_UR_DQUOTE] = ACTIONS(5156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5156),
    [anon_sym_co_await] = ACTIONS(5154),
    [anon_sym_new] = ACTIONS(5154),
    [anon_sym_requires] = ACTIONS(5154),
    [sym_this] = ACTIONS(5154),
  },
  [1629] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4880),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4880),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4880),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4880),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4880),
    [anon_sym_GT_GT] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4882),
    [anon_sym___attribute__] = ACTIONS(4882),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_EQ] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4882),
    [anon_sym_volatile] = ACTIONS(4882),
    [anon_sym_restrict] = ACTIONS(4882),
    [anon_sym___restrict__] = ACTIONS(4882),
    [anon_sym__Atomic] = ACTIONS(4882),
    [anon_sym__Noreturn] = ACTIONS(4882),
    [anon_sym_noreturn] = ACTIONS(4882),
    [anon_sym__Nonnull] = ACTIONS(4882),
    [anon_sym_mutable] = ACTIONS(4882),
    [anon_sym_constinit] = ACTIONS(4882),
    [anon_sym_consteval] = ACTIONS(4882),
    [anon_sym_alignas] = ACTIONS(4882),
    [anon_sym__Alignas] = ACTIONS(4882),
    [anon_sym_COLON] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4880),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_and_eq] = ACTIONS(4882),
    [anon_sym_or_eq] = ACTIONS(4882),
    [anon_sym_xor_eq] = ACTIONS(4882),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4882),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4882),
    [anon_sym_not_eq] = ACTIONS(4882),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4882),
    [anon_sym_decltype] = ACTIONS(4882),
    [anon_sym_final] = ACTIONS(4882),
    [anon_sym_override] = ACTIONS(4882),
    [anon_sym_GT2] = ACTIONS(4882),
  },
  [1630] = {
    [sym_catch_clause] = STATE(1632),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [aux_sym_preproc_else_token1] = ACTIONS(2499),
    [aux_sym_preproc_elif_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_friend] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(5167),
  },
  [1631] = {
    [sym_catch_clause] = STATE(1632),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [aux_sym_preproc_else_token1] = ACTIONS(2562),
    [aux_sym_preproc_elif_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_friend] = ACTIONS(2562),
    [anon_sym_public] = ACTIONS(2562),
    [anon_sym_private] = ACTIONS(2562),
    [anon_sym_protected] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(5167),
  },
  [1632] = {
    [sym_catch_clause] = STATE(1632),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [aux_sym_preproc_else_token1] = ACTIONS(2492),
    [aux_sym_preproc_elif_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(5169),
  },
  [1633] = {
    [sym_catch_clause] = STATE(1632),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [aux_sym_preproc_else_token1] = ACTIONS(2505),
    [aux_sym_preproc_elif_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_friend] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(5167),
  },
  [1634] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4839),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4839),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4839),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4839),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4839),
    [anon_sym_GT_GT] = ACTIONS(4839),
    [anon_sym___extension__] = ACTIONS(4841),
    [anon_sym___attribute__] = ACTIONS(4841),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_LBRACK] = ACTIONS(4841),
    [anon_sym_EQ] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4841),
    [anon_sym_volatile] = ACTIONS(4841),
    [anon_sym_restrict] = ACTIONS(4841),
    [anon_sym___restrict__] = ACTIONS(4841),
    [anon_sym__Atomic] = ACTIONS(4841),
    [anon_sym__Noreturn] = ACTIONS(4841),
    [anon_sym_noreturn] = ACTIONS(4841),
    [anon_sym__Nonnull] = ACTIONS(4841),
    [anon_sym_mutable] = ACTIONS(4841),
    [anon_sym_constinit] = ACTIONS(4841),
    [anon_sym_consteval] = ACTIONS(4841),
    [anon_sym_alignas] = ACTIONS(4841),
    [anon_sym__Alignas] = ACTIONS(4841),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_STAR_EQ] = ACTIONS(4841),
    [anon_sym_SLASH_EQ] = ACTIONS(4841),
    [anon_sym_PERCENT_EQ] = ACTIONS(4841),
    [anon_sym_PLUS_EQ] = ACTIONS(4841),
    [anon_sym_DASH_EQ] = ACTIONS(4841),
    [anon_sym_LT_LT_EQ] = ACTIONS(4841),
    [anon_sym_GT_GT_EQ] = ACTIONS(4839),
    [anon_sym_AMP_EQ] = ACTIONS(4841),
    [anon_sym_CARET_EQ] = ACTIONS(4841),
    [anon_sym_PIPE_EQ] = ACTIONS(4841),
    [anon_sym_and_eq] = ACTIONS(4841),
    [anon_sym_or_eq] = ACTIONS(4841),
    [anon_sym_xor_eq] = ACTIONS(4841),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4841),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4841),
    [anon_sym_not_eq] = ACTIONS(4841),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4841),
    [anon_sym_decltype] = ACTIONS(4841),
    [anon_sym_final] = ACTIONS(4841),
    [anon_sym_override] = ACTIONS(4841),
    [anon_sym_GT2] = ACTIONS(4841),
  },
  [1635] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4843),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4843),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4843),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4843),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4843),
    [anon_sym_GT_GT] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4845),
    [anon_sym___attribute__] = ACTIONS(4845),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_EQ] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4845),
    [anon_sym_volatile] = ACTIONS(4845),
    [anon_sym_restrict] = ACTIONS(4845),
    [anon_sym___restrict__] = ACTIONS(4845),
    [anon_sym__Atomic] = ACTIONS(4845),
    [anon_sym__Noreturn] = ACTIONS(4845),
    [anon_sym_noreturn] = ACTIONS(4845),
    [anon_sym__Nonnull] = ACTIONS(4845),
    [anon_sym_mutable] = ACTIONS(4845),
    [anon_sym_constinit] = ACTIONS(4845),
    [anon_sym_consteval] = ACTIONS(4845),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_STAR_EQ] = ACTIONS(4845),
    [anon_sym_SLASH_EQ] = ACTIONS(4845),
    [anon_sym_PERCENT_EQ] = ACTIONS(4845),
    [anon_sym_PLUS_EQ] = ACTIONS(4845),
    [anon_sym_DASH_EQ] = ACTIONS(4845),
    [anon_sym_LT_LT_EQ] = ACTIONS(4845),
    [anon_sym_GT_GT_EQ] = ACTIONS(4843),
    [anon_sym_AMP_EQ] = ACTIONS(4845),
    [anon_sym_CARET_EQ] = ACTIONS(4845),
    [anon_sym_PIPE_EQ] = ACTIONS(4845),
    [anon_sym_and_eq] = ACTIONS(4845),
    [anon_sym_or_eq] = ACTIONS(4845),
    [anon_sym_xor_eq] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4845),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4845),
    [anon_sym_not_eq] = ACTIONS(4845),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4845),
    [anon_sym_decltype] = ACTIONS(4845),
    [anon_sym_final] = ACTIONS(4845),
    [anon_sym_override] = ACTIONS(4845),
    [anon_sym_GT2] = ACTIONS(4845),
  },
  [1636] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4847),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4847),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4847),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4847),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4847),
    [anon_sym_GT_GT] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4849),
    [anon_sym___attribute__] = ACTIONS(4849),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_EQ] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4849),
    [anon_sym_volatile] = ACTIONS(4849),
    [anon_sym_restrict] = ACTIONS(4849),
    [anon_sym___restrict__] = ACTIONS(4849),
    [anon_sym__Atomic] = ACTIONS(4849),
    [anon_sym__Noreturn] = ACTIONS(4849),
    [anon_sym_noreturn] = ACTIONS(4849),
    [anon_sym__Nonnull] = ACTIONS(4849),
    [anon_sym_mutable] = ACTIONS(4849),
    [anon_sym_constinit] = ACTIONS(4849),
    [anon_sym_consteval] = ACTIONS(4849),
    [anon_sym_alignas] = ACTIONS(4849),
    [anon_sym__Alignas] = ACTIONS(4849),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_STAR_EQ] = ACTIONS(4849),
    [anon_sym_SLASH_EQ] = ACTIONS(4849),
    [anon_sym_PERCENT_EQ] = ACTIONS(4849),
    [anon_sym_PLUS_EQ] = ACTIONS(4849),
    [anon_sym_DASH_EQ] = ACTIONS(4849),
    [anon_sym_LT_LT_EQ] = ACTIONS(4849),
    [anon_sym_GT_GT_EQ] = ACTIONS(4847),
    [anon_sym_AMP_EQ] = ACTIONS(4849),
    [anon_sym_CARET_EQ] = ACTIONS(4849),
    [anon_sym_PIPE_EQ] = ACTIONS(4849),
    [anon_sym_and_eq] = ACTIONS(4849),
    [anon_sym_or_eq] = ACTIONS(4849),
    [anon_sym_xor_eq] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4849),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4849),
    [anon_sym_not_eq] = ACTIONS(4849),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4849),
    [anon_sym_decltype] = ACTIONS(4849),
    [anon_sym_final] = ACTIONS(4849),
    [anon_sym_override] = ACTIONS(4849),
    [anon_sym_GT2] = ACTIONS(4849),
  },
  [1637] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4851),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4851),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4851),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4851),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4851),
    [anon_sym_GT_GT] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4853),
    [anon_sym___attribute__] = ACTIONS(4853),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_EQ] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4853),
    [anon_sym_volatile] = ACTIONS(4853),
    [anon_sym_restrict] = ACTIONS(4853),
    [anon_sym___restrict__] = ACTIONS(4853),
    [anon_sym__Atomic] = ACTIONS(4853),
    [anon_sym__Noreturn] = ACTIONS(4853),
    [anon_sym_noreturn] = ACTIONS(4853),
    [anon_sym__Nonnull] = ACTIONS(4853),
    [anon_sym_mutable] = ACTIONS(4853),
    [anon_sym_constinit] = ACTIONS(4853),
    [anon_sym_consteval] = ACTIONS(4853),
    [anon_sym_alignas] = ACTIONS(4853),
    [anon_sym__Alignas] = ACTIONS(4853),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_STAR_EQ] = ACTIONS(4853),
    [anon_sym_SLASH_EQ] = ACTIONS(4853),
    [anon_sym_PERCENT_EQ] = ACTIONS(4853),
    [anon_sym_PLUS_EQ] = ACTIONS(4853),
    [anon_sym_DASH_EQ] = ACTIONS(4853),
    [anon_sym_LT_LT_EQ] = ACTIONS(4853),
    [anon_sym_GT_GT_EQ] = ACTIONS(4851),
    [anon_sym_AMP_EQ] = ACTIONS(4853),
    [anon_sym_CARET_EQ] = ACTIONS(4853),
    [anon_sym_PIPE_EQ] = ACTIONS(4853),
    [anon_sym_and_eq] = ACTIONS(4853),
    [anon_sym_or_eq] = ACTIONS(4853),
    [anon_sym_xor_eq] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4853),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4853),
    [anon_sym_not_eq] = ACTIONS(4853),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4853),
    [anon_sym_decltype] = ACTIONS(4853),
    [anon_sym_final] = ACTIONS(4853),
    [anon_sym_override] = ACTIONS(4853),
    [anon_sym_GT2] = ACTIONS(4853),
  },
  [1638] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4876),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4876),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4876),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4876),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4876),
    [anon_sym_GT_GT] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(4878),
    [anon_sym___attribute__] = ACTIONS(4878),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_EQ] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4878),
    [anon_sym_volatile] = ACTIONS(4878),
    [anon_sym_restrict] = ACTIONS(4878),
    [anon_sym___restrict__] = ACTIONS(4878),
    [anon_sym__Atomic] = ACTIONS(4878),
    [anon_sym__Noreturn] = ACTIONS(4878),
    [anon_sym_noreturn] = ACTIONS(4878),
    [anon_sym__Nonnull] = ACTIONS(4878),
    [anon_sym_mutable] = ACTIONS(4878),
    [anon_sym_constinit] = ACTIONS(4878),
    [anon_sym_consteval] = ACTIONS(4878),
    [anon_sym_alignas] = ACTIONS(4878),
    [anon_sym__Alignas] = ACTIONS(4878),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_STAR_EQ] = ACTIONS(4878),
    [anon_sym_SLASH_EQ] = ACTIONS(4878),
    [anon_sym_PERCENT_EQ] = ACTIONS(4878),
    [anon_sym_PLUS_EQ] = ACTIONS(4878),
    [anon_sym_DASH_EQ] = ACTIONS(4878),
    [anon_sym_LT_LT_EQ] = ACTIONS(4878),
    [anon_sym_GT_GT_EQ] = ACTIONS(4876),
    [anon_sym_AMP_EQ] = ACTIONS(4878),
    [anon_sym_CARET_EQ] = ACTIONS(4878),
    [anon_sym_PIPE_EQ] = ACTIONS(4878),
    [anon_sym_and_eq] = ACTIONS(4878),
    [anon_sym_or_eq] = ACTIONS(4878),
    [anon_sym_xor_eq] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4878),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4878),
    [anon_sym_not_eq] = ACTIONS(4878),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4878),
    [anon_sym_decltype] = ACTIONS(4878),
    [anon_sym_final] = ACTIONS(4878),
    [anon_sym_override] = ACTIONS(4878),
    [anon_sym_GT2] = ACTIONS(4878),
  },
  [1639] = {
    [sym_template_argument_list] = STATE(1641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4918),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4857),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4866),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1640] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(6949),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(6949),
    [sym_variadic_parameter_declaration] = STATE(6949),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5172),
    [anon_sym_RPAREN] = ACTIONS(5174),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1641] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4886),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym__Nonnull] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4891),
    [anon_sym__Alignas] = ACTIONS(4891),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4891),
    [anon_sym_decltype] = ACTIONS(4891),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1642] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(7046),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(7046),
    [sym_variadic_parameter_declaration] = STATE(7046),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5176),
    [anon_sym_RPAREN] = ACTIONS(5178),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1643] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(6824),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(6824),
    [sym_variadic_parameter_declaration] = STATE(6824),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5180),
    [anon_sym_RPAREN] = ACTIONS(5182),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1644] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(7072),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(7072),
    [sym_variadic_parameter_declaration] = STATE(7072),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1645] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(6901),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(6901),
    [sym_variadic_parameter_declaration] = STATE(6901),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_RPAREN] = ACTIONS(1834),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1646] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [aux_sym_preproc_else_token1] = ACTIONS(1952),
    [aux_sym_preproc_elif_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
  },
  [1647] = {
    [sym_identifier] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_COMMA] = ACTIONS(5186),
    [anon_sym_RPAREN] = ACTIONS(5186),
    [aux_sym_preproc_if_token2] = ACTIONS(5186),
    [aux_sym_preproc_else_token1] = ACTIONS(5186),
    [aux_sym_preproc_elif_token1] = ACTIONS(5184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5186),
    [anon_sym_LPAREN2] = ACTIONS(5186),
    [anon_sym_DASH] = ACTIONS(5184),
    [anon_sym_PLUS] = ACTIONS(5184),
    [anon_sym_STAR] = ACTIONS(5184),
    [anon_sym_SLASH] = ACTIONS(5184),
    [anon_sym_PERCENT] = ACTIONS(5184),
    [anon_sym_PIPE_PIPE] = ACTIONS(5186),
    [anon_sym_AMP_AMP] = ACTIONS(5186),
    [anon_sym_PIPE] = ACTIONS(5184),
    [anon_sym_CARET] = ACTIONS(5184),
    [anon_sym_AMP] = ACTIONS(5184),
    [anon_sym_EQ_EQ] = ACTIONS(5186),
    [anon_sym_BANG_EQ] = ACTIONS(5186),
    [anon_sym_GT] = ACTIONS(5184),
    [anon_sym_GT_EQ] = ACTIONS(5186),
    [anon_sym_LT_EQ] = ACTIONS(5184),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_LT_LT] = ACTIONS(5184),
    [anon_sym_GT_GT] = ACTIONS(5184),
    [anon_sym_SEMI] = ACTIONS(5186),
    [anon_sym_RBRACE] = ACTIONS(5186),
    [anon_sym_LBRACK] = ACTIONS(5186),
    [anon_sym_RBRACK] = ACTIONS(5186),
    [anon_sym_EQ] = ACTIONS(5184),
    [anon_sym_COLON] = ACTIONS(5186),
    [anon_sym_QMARK] = ACTIONS(5186),
    [anon_sym_STAR_EQ] = ACTIONS(5186),
    [anon_sym_SLASH_EQ] = ACTIONS(5186),
    [anon_sym_PERCENT_EQ] = ACTIONS(5186),
    [anon_sym_PLUS_EQ] = ACTIONS(5186),
    [anon_sym_DASH_EQ] = ACTIONS(5186),
    [anon_sym_LT_LT_EQ] = ACTIONS(5186),
    [anon_sym_GT_GT_EQ] = ACTIONS(5186),
    [anon_sym_AMP_EQ] = ACTIONS(5186),
    [anon_sym_CARET_EQ] = ACTIONS(5186),
    [anon_sym_PIPE_EQ] = ACTIONS(5186),
    [anon_sym_and_eq] = ACTIONS(5184),
    [anon_sym_or_eq] = ACTIONS(5184),
    [anon_sym_xor_eq] = ACTIONS(5184),
    [anon_sym_LT_EQ_GT] = ACTIONS(5186),
    [anon_sym_or] = ACTIONS(5184),
    [anon_sym_and] = ACTIONS(5184),
    [anon_sym_bitor] = ACTIONS(5184),
    [anon_sym_xor] = ACTIONS(5184),
    [anon_sym_bitand] = ACTIONS(5184),
    [anon_sym_not_eq] = ACTIONS(5184),
    [anon_sym_DASH_DASH] = ACTIONS(5186),
    [anon_sym_PLUS_PLUS] = ACTIONS(5186),
    [anon_sym_DOT] = ACTIONS(5184),
    [anon_sym_DOT_STAR] = ACTIONS(5186),
    [anon_sym_DASH_GT] = ACTIONS(5186),
    [anon_sym_L_DQUOTE] = ACTIONS(5186),
    [anon_sym_u_DQUOTE] = ACTIONS(5186),
    [anon_sym_U_DQUOTE] = ACTIONS(5186),
    [anon_sym_u8_DQUOTE] = ACTIONS(5186),
    [anon_sym_DQUOTE] = ACTIONS(5186),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5186),
    [anon_sym_LR_DQUOTE] = ACTIONS(5186),
    [anon_sym_uR_DQUOTE] = ACTIONS(5186),
    [anon_sym_UR_DQUOTE] = ACTIONS(5186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5186),
    [sym_literal_suffix] = ACTIONS(5184),
  },
  [1648] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(7223),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(7223),
    [sym_variadic_parameter_declaration] = STATE(7223),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5188),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1649] = {
    [sym_identifier] = ACTIONS(5190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5192),
    [anon_sym_COMMA] = ACTIONS(5192),
    [anon_sym_RPAREN] = ACTIONS(5192),
    [aux_sym_preproc_if_token2] = ACTIONS(5192),
    [aux_sym_preproc_else_token1] = ACTIONS(5192),
    [aux_sym_preproc_elif_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5192),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5192),
    [anon_sym_LPAREN2] = ACTIONS(5192),
    [anon_sym_DASH] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(5190),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_SLASH] = ACTIONS(5190),
    [anon_sym_PERCENT] = ACTIONS(5190),
    [anon_sym_PIPE_PIPE] = ACTIONS(5192),
    [anon_sym_AMP_AMP] = ACTIONS(5192),
    [anon_sym_PIPE] = ACTIONS(5190),
    [anon_sym_CARET] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_EQ_EQ] = ACTIONS(5192),
    [anon_sym_BANG_EQ] = ACTIONS(5192),
    [anon_sym_GT] = ACTIONS(5190),
    [anon_sym_GT_EQ] = ACTIONS(5192),
    [anon_sym_LT_EQ] = ACTIONS(5190),
    [anon_sym_LT] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5190),
    [anon_sym_GT_GT] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(5192),
    [anon_sym_RBRACE] = ACTIONS(5192),
    [anon_sym_LBRACK] = ACTIONS(5192),
    [anon_sym_RBRACK] = ACTIONS(5192),
    [anon_sym_EQ] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5192),
    [anon_sym_QMARK] = ACTIONS(5192),
    [anon_sym_STAR_EQ] = ACTIONS(5192),
    [anon_sym_SLASH_EQ] = ACTIONS(5192),
    [anon_sym_PERCENT_EQ] = ACTIONS(5192),
    [anon_sym_PLUS_EQ] = ACTIONS(5192),
    [anon_sym_DASH_EQ] = ACTIONS(5192),
    [anon_sym_LT_LT_EQ] = ACTIONS(5192),
    [anon_sym_GT_GT_EQ] = ACTIONS(5192),
    [anon_sym_AMP_EQ] = ACTIONS(5192),
    [anon_sym_CARET_EQ] = ACTIONS(5192),
    [anon_sym_PIPE_EQ] = ACTIONS(5192),
    [anon_sym_and_eq] = ACTIONS(5190),
    [anon_sym_or_eq] = ACTIONS(5190),
    [anon_sym_xor_eq] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5192),
    [anon_sym_or] = ACTIONS(5190),
    [anon_sym_and] = ACTIONS(5190),
    [anon_sym_bitor] = ACTIONS(5190),
    [anon_sym_xor] = ACTIONS(5190),
    [anon_sym_bitand] = ACTIONS(5190),
    [anon_sym_not_eq] = ACTIONS(5190),
    [anon_sym_DASH_DASH] = ACTIONS(5192),
    [anon_sym_PLUS_PLUS] = ACTIONS(5192),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_DOT_STAR] = ACTIONS(5192),
    [anon_sym_DASH_GT] = ACTIONS(5192),
    [anon_sym_L_DQUOTE] = ACTIONS(5192),
    [anon_sym_u_DQUOTE] = ACTIONS(5192),
    [anon_sym_U_DQUOTE] = ACTIONS(5192),
    [anon_sym_u8_DQUOTE] = ACTIONS(5192),
    [anon_sym_DQUOTE] = ACTIONS(5192),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5192),
    [anon_sym_LR_DQUOTE] = ACTIONS(5192),
    [anon_sym_uR_DQUOTE] = ACTIONS(5192),
    [anon_sym_UR_DQUOTE] = ACTIONS(5192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5192),
    [sym_literal_suffix] = ACTIONS(5190),
  },
  [1650] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [aux_sym_preproc_else_token1] = ACTIONS(1956),
    [aux_sym_preproc_elif_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
  },
  [1651] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [aux_sym_preproc_else_token1] = ACTIONS(1956),
    [aux_sym_preproc_elif_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(5194),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
  },
  [1652] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [aux_sym_preproc_else_token1] = ACTIONS(1956),
    [aux_sym_preproc_elif_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
  },
  [1653] = {
    [sym_identifier] = ACTIONS(5196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5198),
    [anon_sym_COMMA] = ACTIONS(5198),
    [anon_sym_RPAREN] = ACTIONS(5198),
    [aux_sym_preproc_if_token2] = ACTIONS(5198),
    [aux_sym_preproc_else_token1] = ACTIONS(5198),
    [aux_sym_preproc_elif_token1] = ACTIONS(5196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5198),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5198),
    [anon_sym_LPAREN2] = ACTIONS(5198),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_STAR] = ACTIONS(5196),
    [anon_sym_SLASH] = ACTIONS(5196),
    [anon_sym_PERCENT] = ACTIONS(5196),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5198),
    [anon_sym_PIPE] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5196),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym_EQ_EQ] = ACTIONS(5198),
    [anon_sym_BANG_EQ] = ACTIONS(5198),
    [anon_sym_GT] = ACTIONS(5196),
    [anon_sym_GT_EQ] = ACTIONS(5198),
    [anon_sym_LT_EQ] = ACTIONS(5196),
    [anon_sym_LT] = ACTIONS(5196),
    [anon_sym_LT_LT] = ACTIONS(5196),
    [anon_sym_GT_GT] = ACTIONS(5196),
    [anon_sym_SEMI] = ACTIONS(5198),
    [anon_sym_RBRACE] = ACTIONS(5198),
    [anon_sym_LBRACK] = ACTIONS(5198),
    [anon_sym_RBRACK] = ACTIONS(5198),
    [anon_sym_EQ] = ACTIONS(5196),
    [anon_sym_COLON] = ACTIONS(5198),
    [anon_sym_QMARK] = ACTIONS(5198),
    [anon_sym_STAR_EQ] = ACTIONS(5198),
    [anon_sym_SLASH_EQ] = ACTIONS(5198),
    [anon_sym_PERCENT_EQ] = ACTIONS(5198),
    [anon_sym_PLUS_EQ] = ACTIONS(5198),
    [anon_sym_DASH_EQ] = ACTIONS(5198),
    [anon_sym_LT_LT_EQ] = ACTIONS(5198),
    [anon_sym_GT_GT_EQ] = ACTIONS(5198),
    [anon_sym_AMP_EQ] = ACTIONS(5198),
    [anon_sym_CARET_EQ] = ACTIONS(5198),
    [anon_sym_PIPE_EQ] = ACTIONS(5198),
    [anon_sym_and_eq] = ACTIONS(5196),
    [anon_sym_or_eq] = ACTIONS(5196),
    [anon_sym_xor_eq] = ACTIONS(5196),
    [anon_sym_LT_EQ_GT] = ACTIONS(5198),
    [anon_sym_or] = ACTIONS(5196),
    [anon_sym_and] = ACTIONS(5196),
    [anon_sym_bitor] = ACTIONS(5196),
    [anon_sym_xor] = ACTIONS(5196),
    [anon_sym_bitand] = ACTIONS(5196),
    [anon_sym_not_eq] = ACTIONS(5196),
    [anon_sym_DASH_DASH] = ACTIONS(5198),
    [anon_sym_PLUS_PLUS] = ACTIONS(5198),
    [anon_sym_DOT] = ACTIONS(5196),
    [anon_sym_DOT_STAR] = ACTIONS(5198),
    [anon_sym_DASH_GT] = ACTIONS(5198),
    [anon_sym_L_DQUOTE] = ACTIONS(5198),
    [anon_sym_u_DQUOTE] = ACTIONS(5198),
    [anon_sym_U_DQUOTE] = ACTIONS(5198),
    [anon_sym_u8_DQUOTE] = ACTIONS(5198),
    [anon_sym_DQUOTE] = ACTIONS(5198),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5198),
    [anon_sym_LR_DQUOTE] = ACTIONS(5198),
    [anon_sym_uR_DQUOTE] = ACTIONS(5198),
    [anon_sym_UR_DQUOTE] = ACTIONS(5198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5198),
    [sym_literal_suffix] = ACTIONS(5196),
  },
  [1654] = {
    [sym_identifier] = ACTIONS(5200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5202),
    [anon_sym_COMMA] = ACTIONS(5202),
    [anon_sym_RPAREN] = ACTIONS(5202),
    [aux_sym_preproc_if_token2] = ACTIONS(5202),
    [aux_sym_preproc_else_token1] = ACTIONS(5202),
    [aux_sym_preproc_elif_token1] = ACTIONS(5200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5202),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5202),
    [anon_sym_LPAREN2] = ACTIONS(5202),
    [anon_sym_DASH] = ACTIONS(5200),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_STAR] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5200),
    [anon_sym_PERCENT] = ACTIONS(5200),
    [anon_sym_PIPE_PIPE] = ACTIONS(5202),
    [anon_sym_AMP_AMP] = ACTIONS(5202),
    [anon_sym_PIPE] = ACTIONS(5200),
    [anon_sym_CARET] = ACTIONS(5200),
    [anon_sym_AMP] = ACTIONS(5200),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_GT] = ACTIONS(5200),
    [anon_sym_GT_EQ] = ACTIONS(5202),
    [anon_sym_LT_EQ] = ACTIONS(5200),
    [anon_sym_LT] = ACTIONS(5200),
    [anon_sym_LT_LT] = ACTIONS(5200),
    [anon_sym_GT_GT] = ACTIONS(5200),
    [anon_sym_SEMI] = ACTIONS(5202),
    [anon_sym_RBRACE] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(5202),
    [anon_sym_RBRACK] = ACTIONS(5202),
    [anon_sym_EQ] = ACTIONS(5200),
    [anon_sym_COLON] = ACTIONS(5202),
    [anon_sym_QMARK] = ACTIONS(5202),
    [anon_sym_STAR_EQ] = ACTIONS(5202),
    [anon_sym_SLASH_EQ] = ACTIONS(5202),
    [anon_sym_PERCENT_EQ] = ACTIONS(5202),
    [anon_sym_PLUS_EQ] = ACTIONS(5202),
    [anon_sym_DASH_EQ] = ACTIONS(5202),
    [anon_sym_LT_LT_EQ] = ACTIONS(5202),
    [anon_sym_GT_GT_EQ] = ACTIONS(5202),
    [anon_sym_AMP_EQ] = ACTIONS(5202),
    [anon_sym_CARET_EQ] = ACTIONS(5202),
    [anon_sym_PIPE_EQ] = ACTIONS(5202),
    [anon_sym_and_eq] = ACTIONS(5200),
    [anon_sym_or_eq] = ACTIONS(5200),
    [anon_sym_xor_eq] = ACTIONS(5200),
    [anon_sym_LT_EQ_GT] = ACTIONS(5202),
    [anon_sym_or] = ACTIONS(5200),
    [anon_sym_and] = ACTIONS(5200),
    [anon_sym_bitor] = ACTIONS(5200),
    [anon_sym_xor] = ACTIONS(5200),
    [anon_sym_bitand] = ACTIONS(5200),
    [anon_sym_not_eq] = ACTIONS(5200),
    [anon_sym_DASH_DASH] = ACTIONS(5202),
    [anon_sym_PLUS_PLUS] = ACTIONS(5202),
    [anon_sym_DOT] = ACTIONS(5200),
    [anon_sym_DOT_STAR] = ACTIONS(5202),
    [anon_sym_DASH_GT] = ACTIONS(5202),
    [anon_sym_L_DQUOTE] = ACTIONS(5202),
    [anon_sym_u_DQUOTE] = ACTIONS(5202),
    [anon_sym_U_DQUOTE] = ACTIONS(5202),
    [anon_sym_u8_DQUOTE] = ACTIONS(5202),
    [anon_sym_DQUOTE] = ACTIONS(5202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5202),
    [anon_sym_LR_DQUOTE] = ACTIONS(5202),
    [anon_sym_uR_DQUOTE] = ACTIONS(5202),
    [anon_sym_UR_DQUOTE] = ACTIONS(5202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5202),
    [sym_literal_suffix] = ACTIONS(5200),
  },
  [1655] = {
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token2] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [aux_sym_preproc_else_token1] = ACTIONS(2566),
    [aux_sym_preproc_elif_token1] = ACTIONS(2566),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_friend] = ACTIONS(2566),
    [anon_sym_public] = ACTIONS(2566),
    [anon_sym_private] = ACTIONS(2566),
    [anon_sym_protected] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_catch] = ACTIONS(2566),
  },
  [1656] = {
    [sym_template_argument_list] = STATE(1701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(5204),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4857),
  },
  [1657] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5898),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6355),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6355),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1658] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [aux_sym_preproc_else_token1] = ACTIONS(2944),
    [aux_sym_preproc_elif_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_friend] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
  },
  [1659] = {
    [sym_identifier] = ACTIONS(5225),
    [aux_sym_preproc_def_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token2] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5225),
    [aux_sym_preproc_else_token1] = ACTIONS(5225),
    [aux_sym_preproc_elif_token1] = ACTIONS(5225),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5225),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5225),
    [sym_preproc_directive] = ACTIONS(5225),
    [anon_sym_LPAREN2] = ACTIONS(5227),
    [anon_sym_TILDE] = ACTIONS(5227),
    [anon_sym_STAR] = ACTIONS(5227),
    [anon_sym_AMP_AMP] = ACTIONS(5227),
    [anon_sym_AMP] = ACTIONS(5225),
    [anon_sym_SEMI] = ACTIONS(5227),
    [anon_sym___extension__] = ACTIONS(5225),
    [anon_sym_typedef] = ACTIONS(5225),
    [anon_sym_virtual] = ACTIONS(5225),
    [anon_sym_extern] = ACTIONS(5225),
    [anon_sym___attribute__] = ACTIONS(5225),
    [anon_sym_COLON_COLON] = ACTIONS(5227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5227),
    [anon_sym___declspec] = ACTIONS(5225),
    [anon_sym___based] = ACTIONS(5225),
    [anon_sym_signed] = ACTIONS(5225),
    [anon_sym_unsigned] = ACTIONS(5225),
    [anon_sym_long] = ACTIONS(5225),
    [anon_sym_short] = ACTIONS(5225),
    [anon_sym_LBRACK] = ACTIONS(5225),
    [anon_sym_static] = ACTIONS(5225),
    [anon_sym_register] = ACTIONS(5225),
    [anon_sym_inline] = ACTIONS(5225),
    [anon_sym___inline] = ACTIONS(5225),
    [anon_sym___inline__] = ACTIONS(5225),
    [anon_sym___forceinline] = ACTIONS(5225),
    [anon_sym_thread_local] = ACTIONS(5225),
    [anon_sym___thread] = ACTIONS(5225),
    [anon_sym_const] = ACTIONS(5225),
    [anon_sym_constexpr] = ACTIONS(5225),
    [anon_sym_volatile] = ACTIONS(5225),
    [anon_sym_restrict] = ACTIONS(5225),
    [anon_sym___restrict__] = ACTIONS(5225),
    [anon_sym__Atomic] = ACTIONS(5225),
    [anon_sym__Noreturn] = ACTIONS(5225),
    [anon_sym_noreturn] = ACTIONS(5225),
    [anon_sym__Nonnull] = ACTIONS(5225),
    [anon_sym_mutable] = ACTIONS(5225),
    [anon_sym_constinit] = ACTIONS(5225),
    [anon_sym_consteval] = ACTIONS(5225),
    [anon_sym_alignas] = ACTIONS(5225),
    [anon_sym__Alignas] = ACTIONS(5225),
    [sym_primitive_type] = ACTIONS(5225),
    [anon_sym_enum] = ACTIONS(5225),
    [anon_sym_class] = ACTIONS(5225),
    [anon_sym_struct] = ACTIONS(5225),
    [anon_sym_union] = ACTIONS(5225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5225),
    [anon_sym_decltype] = ACTIONS(5225),
    [anon_sym_explicit] = ACTIONS(5225),
    [anon_sym_typename] = ACTIONS(5225),
    [anon_sym_template] = ACTIONS(5225),
    [anon_sym_operator] = ACTIONS(5225),
    [anon_sym_friend] = ACTIONS(5225),
    [anon_sym_public] = ACTIONS(5225),
    [anon_sym_private] = ACTIONS(5225),
    [anon_sym_protected] = ACTIONS(5225),
    [anon_sym_using] = ACTIONS(5225),
    [anon_sym_static_assert] = ACTIONS(5225),
  },
  [1660] = {
    [sym_identifier] = ACTIONS(5229),
    [aux_sym_preproc_def_token1] = ACTIONS(5229),
    [aux_sym_preproc_if_token1] = ACTIONS(5229),
    [aux_sym_preproc_if_token2] = ACTIONS(5229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5229),
    [aux_sym_preproc_else_token1] = ACTIONS(5229),
    [aux_sym_preproc_elif_token1] = ACTIONS(5229),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5229),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5229),
    [sym_preproc_directive] = ACTIONS(5229),
    [anon_sym_LPAREN2] = ACTIONS(5231),
    [anon_sym_TILDE] = ACTIONS(5231),
    [anon_sym_STAR] = ACTIONS(5231),
    [anon_sym_AMP_AMP] = ACTIONS(5231),
    [anon_sym_AMP] = ACTIONS(5229),
    [anon_sym_SEMI] = ACTIONS(5231),
    [anon_sym___extension__] = ACTIONS(5229),
    [anon_sym_typedef] = ACTIONS(5229),
    [anon_sym_virtual] = ACTIONS(5229),
    [anon_sym_extern] = ACTIONS(5229),
    [anon_sym___attribute__] = ACTIONS(5229),
    [anon_sym_COLON_COLON] = ACTIONS(5231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5231),
    [anon_sym___declspec] = ACTIONS(5229),
    [anon_sym___based] = ACTIONS(5229),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(5229),
    [anon_sym_static] = ACTIONS(5229),
    [anon_sym_register] = ACTIONS(5229),
    [anon_sym_inline] = ACTIONS(5229),
    [anon_sym___inline] = ACTIONS(5229),
    [anon_sym___inline__] = ACTIONS(5229),
    [anon_sym___forceinline] = ACTIONS(5229),
    [anon_sym_thread_local] = ACTIONS(5229),
    [anon_sym___thread] = ACTIONS(5229),
    [anon_sym_const] = ACTIONS(5229),
    [anon_sym_constexpr] = ACTIONS(5229),
    [anon_sym_volatile] = ACTIONS(5229),
    [anon_sym_restrict] = ACTIONS(5229),
    [anon_sym___restrict__] = ACTIONS(5229),
    [anon_sym__Atomic] = ACTIONS(5229),
    [anon_sym__Noreturn] = ACTIONS(5229),
    [anon_sym_noreturn] = ACTIONS(5229),
    [anon_sym__Nonnull] = ACTIONS(5229),
    [anon_sym_mutable] = ACTIONS(5229),
    [anon_sym_constinit] = ACTIONS(5229),
    [anon_sym_consteval] = ACTIONS(5229),
    [anon_sym_alignas] = ACTIONS(5229),
    [anon_sym__Alignas] = ACTIONS(5229),
    [sym_primitive_type] = ACTIONS(5229),
    [anon_sym_enum] = ACTIONS(5229),
    [anon_sym_class] = ACTIONS(5229),
    [anon_sym_struct] = ACTIONS(5229),
    [anon_sym_union] = ACTIONS(5229),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5229),
    [anon_sym_decltype] = ACTIONS(5229),
    [anon_sym_explicit] = ACTIONS(5229),
    [anon_sym_typename] = ACTIONS(5229),
    [anon_sym_template] = ACTIONS(5229),
    [anon_sym_operator] = ACTIONS(5229),
    [anon_sym_friend] = ACTIONS(5229),
    [anon_sym_public] = ACTIONS(5229),
    [anon_sym_private] = ACTIONS(5229),
    [anon_sym_protected] = ACTIONS(5229),
    [anon_sym_using] = ACTIONS(5229),
    [anon_sym_static_assert] = ACTIONS(5229),
  },
  [1661] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5910),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6316),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6316),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1662] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token2] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [aux_sym_preproc_else_token1] = ACTIONS(3127),
    [aux_sym_preproc_elif_token1] = ACTIONS(3127),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_friend] = ACTIONS(3127),
    [anon_sym_public] = ACTIONS(3127),
    [anon_sym_private] = ACTIONS(3127),
    [anon_sym_protected] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
  },
  [1663] = {
    [sym_identifier] = ACTIONS(5233),
    [aux_sym_preproc_def_token1] = ACTIONS(5233),
    [aux_sym_preproc_if_token1] = ACTIONS(5233),
    [aux_sym_preproc_if_token2] = ACTIONS(5233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5233),
    [aux_sym_preproc_else_token1] = ACTIONS(5233),
    [aux_sym_preproc_elif_token1] = ACTIONS(5233),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5233),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5233),
    [sym_preproc_directive] = ACTIONS(5233),
    [anon_sym_LPAREN2] = ACTIONS(5235),
    [anon_sym_TILDE] = ACTIONS(5235),
    [anon_sym_STAR] = ACTIONS(5235),
    [anon_sym_AMP_AMP] = ACTIONS(5235),
    [anon_sym_AMP] = ACTIONS(5233),
    [anon_sym_SEMI] = ACTIONS(5235),
    [anon_sym___extension__] = ACTIONS(5233),
    [anon_sym_typedef] = ACTIONS(5233),
    [anon_sym_virtual] = ACTIONS(5233),
    [anon_sym_extern] = ACTIONS(5233),
    [anon_sym___attribute__] = ACTIONS(5233),
    [anon_sym_COLON_COLON] = ACTIONS(5235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5235),
    [anon_sym___declspec] = ACTIONS(5233),
    [anon_sym___based] = ACTIONS(5233),
    [anon_sym_signed] = ACTIONS(5233),
    [anon_sym_unsigned] = ACTIONS(5233),
    [anon_sym_long] = ACTIONS(5233),
    [anon_sym_short] = ACTIONS(5233),
    [anon_sym_LBRACK] = ACTIONS(5233),
    [anon_sym_static] = ACTIONS(5233),
    [anon_sym_register] = ACTIONS(5233),
    [anon_sym_inline] = ACTIONS(5233),
    [anon_sym___inline] = ACTIONS(5233),
    [anon_sym___inline__] = ACTIONS(5233),
    [anon_sym___forceinline] = ACTIONS(5233),
    [anon_sym_thread_local] = ACTIONS(5233),
    [anon_sym___thread] = ACTIONS(5233),
    [anon_sym_const] = ACTIONS(5233),
    [anon_sym_constexpr] = ACTIONS(5233),
    [anon_sym_volatile] = ACTIONS(5233),
    [anon_sym_restrict] = ACTIONS(5233),
    [anon_sym___restrict__] = ACTIONS(5233),
    [anon_sym__Atomic] = ACTIONS(5233),
    [anon_sym__Noreturn] = ACTIONS(5233),
    [anon_sym_noreturn] = ACTIONS(5233),
    [anon_sym__Nonnull] = ACTIONS(5233),
    [anon_sym_mutable] = ACTIONS(5233),
    [anon_sym_constinit] = ACTIONS(5233),
    [anon_sym_consteval] = ACTIONS(5233),
    [anon_sym_alignas] = ACTIONS(5233),
    [anon_sym__Alignas] = ACTIONS(5233),
    [sym_primitive_type] = ACTIONS(5233),
    [anon_sym_enum] = ACTIONS(5233),
    [anon_sym_class] = ACTIONS(5233),
    [anon_sym_struct] = ACTIONS(5233),
    [anon_sym_union] = ACTIONS(5233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5233),
    [anon_sym_decltype] = ACTIONS(5233),
    [anon_sym_explicit] = ACTIONS(5233),
    [anon_sym_typename] = ACTIONS(5233),
    [anon_sym_template] = ACTIONS(5233),
    [anon_sym_operator] = ACTIONS(5233),
    [anon_sym_friend] = ACTIONS(5233),
    [anon_sym_public] = ACTIONS(5233),
    [anon_sym_private] = ACTIONS(5233),
    [anon_sym_protected] = ACTIONS(5233),
    [anon_sym_using] = ACTIONS(5233),
    [anon_sym_static_assert] = ACTIONS(5233),
  },
  [1664] = {
    [sym_identifier] = ACTIONS(5237),
    [aux_sym_preproc_def_token1] = ACTIONS(5237),
    [aux_sym_preproc_if_token1] = ACTIONS(5237),
    [aux_sym_preproc_if_token2] = ACTIONS(5237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5237),
    [aux_sym_preproc_else_token1] = ACTIONS(5237),
    [aux_sym_preproc_elif_token1] = ACTIONS(5237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5237),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5237),
    [sym_preproc_directive] = ACTIONS(5237),
    [anon_sym_LPAREN2] = ACTIONS(5239),
    [anon_sym_TILDE] = ACTIONS(5239),
    [anon_sym_STAR] = ACTIONS(5239),
    [anon_sym_AMP_AMP] = ACTIONS(5239),
    [anon_sym_AMP] = ACTIONS(5237),
    [anon_sym_SEMI] = ACTIONS(5239),
    [anon_sym___extension__] = ACTIONS(5237),
    [anon_sym_typedef] = ACTIONS(5237),
    [anon_sym_virtual] = ACTIONS(5237),
    [anon_sym_extern] = ACTIONS(5237),
    [anon_sym___attribute__] = ACTIONS(5237),
    [anon_sym_COLON_COLON] = ACTIONS(5239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5239),
    [anon_sym___declspec] = ACTIONS(5237),
    [anon_sym___based] = ACTIONS(5237),
    [anon_sym_signed] = ACTIONS(5237),
    [anon_sym_unsigned] = ACTIONS(5237),
    [anon_sym_long] = ACTIONS(5237),
    [anon_sym_short] = ACTIONS(5237),
    [anon_sym_LBRACK] = ACTIONS(5237),
    [anon_sym_static] = ACTIONS(5237),
    [anon_sym_register] = ACTIONS(5237),
    [anon_sym_inline] = ACTIONS(5237),
    [anon_sym___inline] = ACTIONS(5237),
    [anon_sym___inline__] = ACTIONS(5237),
    [anon_sym___forceinline] = ACTIONS(5237),
    [anon_sym_thread_local] = ACTIONS(5237),
    [anon_sym___thread] = ACTIONS(5237),
    [anon_sym_const] = ACTIONS(5237),
    [anon_sym_constexpr] = ACTIONS(5237),
    [anon_sym_volatile] = ACTIONS(5237),
    [anon_sym_restrict] = ACTIONS(5237),
    [anon_sym___restrict__] = ACTIONS(5237),
    [anon_sym__Atomic] = ACTIONS(5237),
    [anon_sym__Noreturn] = ACTIONS(5237),
    [anon_sym_noreturn] = ACTIONS(5237),
    [anon_sym__Nonnull] = ACTIONS(5237),
    [anon_sym_mutable] = ACTIONS(5237),
    [anon_sym_constinit] = ACTIONS(5237),
    [anon_sym_consteval] = ACTIONS(5237),
    [anon_sym_alignas] = ACTIONS(5237),
    [anon_sym__Alignas] = ACTIONS(5237),
    [sym_primitive_type] = ACTIONS(5237),
    [anon_sym_enum] = ACTIONS(5237),
    [anon_sym_class] = ACTIONS(5237),
    [anon_sym_struct] = ACTIONS(5237),
    [anon_sym_union] = ACTIONS(5237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5237),
    [anon_sym_decltype] = ACTIONS(5237),
    [anon_sym_explicit] = ACTIONS(5237),
    [anon_sym_typename] = ACTIONS(5237),
    [anon_sym_template] = ACTIONS(5237),
    [anon_sym_operator] = ACTIONS(5237),
    [anon_sym_friend] = ACTIONS(5237),
    [anon_sym_public] = ACTIONS(5237),
    [anon_sym_private] = ACTIONS(5237),
    [anon_sym_protected] = ACTIONS(5237),
    [anon_sym_using] = ACTIONS(5237),
    [anon_sym_static_assert] = ACTIONS(5237),
  },
  [1665] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token2] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [aux_sym_preproc_else_token1] = ACTIONS(2993),
    [aux_sym_preproc_elif_token1] = ACTIONS(2993),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_friend] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
  },
  [1666] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4845),
    [anon_sym_COMMA] = ACTIONS(4845),
    [anon_sym_RPAREN] = ACTIONS(4845),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_DASH] = ACTIONS(4843),
    [anon_sym_PLUS] = ACTIONS(4843),
    [anon_sym_STAR] = ACTIONS(4845),
    [anon_sym_SLASH] = ACTIONS(4843),
    [anon_sym_PERCENT] = ACTIONS(4845),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_PIPE] = ACTIONS(4843),
    [anon_sym_CARET] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym_EQ_EQ] = ACTIONS(4845),
    [anon_sym_BANG_EQ] = ACTIONS(4845),
    [anon_sym_GT] = ACTIONS(4843),
    [anon_sym_GT_EQ] = ACTIONS(4845),
    [anon_sym_LT_EQ] = ACTIONS(4843),
    [anon_sym_LT] = ACTIONS(4843),
    [anon_sym_LT_LT] = ACTIONS(4845),
    [anon_sym_GT_GT] = ACTIONS(4845),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym_LBRACE] = ACTIONS(4845),
    [anon_sym_RBRACE] = ACTIONS(4845),
    [anon_sym_signed] = ACTIONS(4843),
    [anon_sym_unsigned] = ACTIONS(4843),
    [anon_sym_long] = ACTIONS(4843),
    [anon_sym_short] = ACTIONS(4843),
    [anon_sym_LBRACK] = ACTIONS(4845),
    [anon_sym_RBRACK] = ACTIONS(4845),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [sym_primitive_type] = ACTIONS(4843),
    [anon_sym_COLON] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4845),
    [anon_sym_LT_EQ_GT] = ACTIONS(4845),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [anon_sym_bitor] = ACTIONS(4843),
    [anon_sym_xor] = ACTIONS(4843),
    [anon_sym_bitand] = ACTIONS(4843),
    [anon_sym_not_eq] = ACTIONS(4843),
    [anon_sym_DASH_DASH] = ACTIONS(4845),
    [anon_sym_PLUS_PLUS] = ACTIONS(4845),
    [anon_sym_DOT] = ACTIONS(4843),
    [anon_sym_DOT_STAR] = ACTIONS(4845),
    [anon_sym_DASH_GT] = ACTIONS(4845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_final] = ACTIONS(4843),
    [anon_sym_override] = ACTIONS(4843),
    [anon_sym_requires] = ACTIONS(4843),
  },
  [1667] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [aux_sym_preproc_else_token1] = ACTIONS(2989),
    [aux_sym_preproc_elif_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_friend] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
  },
  [1668] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5880),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6338),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6338),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1669] = {
    [sym__declaration_modifiers] = STATE(2069),
    [sym__declaration_specifiers] = STATE(3941),
    [sym_attribute_specifier] = STATE(2069),
    [sym_attribute_declaration] = STATE(2069),
    [sym_ms_declspec_modifier] = STATE(2069),
    [sym_storage_class_specifier] = STATE(2069),
    [sym_type_qualifier] = STATE(2069),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_parameter_declaration] = STATE(7225),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_optional_parameter_declaration] = STATE(7225),
    [sym_variadic_parameter_declaration] = STATE(7225),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2069),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1846),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1670] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [aux_sym_preproc_else_token1] = ACTIONS(2936),
    [aux_sym_preproc_elif_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_friend] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
  },
  [1671] = {
    [sym_identifier] = ACTIONS(5241),
    [aux_sym_preproc_def_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token2] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5241),
    [aux_sym_preproc_else_token1] = ACTIONS(5241),
    [aux_sym_preproc_elif_token1] = ACTIONS(5241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5241),
    [sym_preproc_directive] = ACTIONS(5241),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_TILDE] = ACTIONS(5243),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_AMP] = ACTIONS(5241),
    [anon_sym_SEMI] = ACTIONS(5243),
    [anon_sym___extension__] = ACTIONS(5241),
    [anon_sym_typedef] = ACTIONS(5241),
    [anon_sym_virtual] = ACTIONS(5241),
    [anon_sym_extern] = ACTIONS(5241),
    [anon_sym___attribute__] = ACTIONS(5241),
    [anon_sym_COLON_COLON] = ACTIONS(5243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5243),
    [anon_sym___declspec] = ACTIONS(5241),
    [anon_sym___based] = ACTIONS(5241),
    [anon_sym_signed] = ACTIONS(5241),
    [anon_sym_unsigned] = ACTIONS(5241),
    [anon_sym_long] = ACTIONS(5241),
    [anon_sym_short] = ACTIONS(5241),
    [anon_sym_LBRACK] = ACTIONS(5241),
    [anon_sym_static] = ACTIONS(5241),
    [anon_sym_register] = ACTIONS(5241),
    [anon_sym_inline] = ACTIONS(5241),
    [anon_sym___inline] = ACTIONS(5241),
    [anon_sym___inline__] = ACTIONS(5241),
    [anon_sym___forceinline] = ACTIONS(5241),
    [anon_sym_thread_local] = ACTIONS(5241),
    [anon_sym___thread] = ACTIONS(5241),
    [anon_sym_const] = ACTIONS(5241),
    [anon_sym_constexpr] = ACTIONS(5241),
    [anon_sym_volatile] = ACTIONS(5241),
    [anon_sym_restrict] = ACTIONS(5241),
    [anon_sym___restrict__] = ACTIONS(5241),
    [anon_sym__Atomic] = ACTIONS(5241),
    [anon_sym__Noreturn] = ACTIONS(5241),
    [anon_sym_noreturn] = ACTIONS(5241),
    [anon_sym__Nonnull] = ACTIONS(5241),
    [anon_sym_mutable] = ACTIONS(5241),
    [anon_sym_constinit] = ACTIONS(5241),
    [anon_sym_consteval] = ACTIONS(5241),
    [anon_sym_alignas] = ACTIONS(5241),
    [anon_sym__Alignas] = ACTIONS(5241),
    [sym_primitive_type] = ACTIONS(5241),
    [anon_sym_enum] = ACTIONS(5241),
    [anon_sym_class] = ACTIONS(5241),
    [anon_sym_struct] = ACTIONS(5241),
    [anon_sym_union] = ACTIONS(5241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5241),
    [anon_sym_decltype] = ACTIONS(5241),
    [anon_sym_explicit] = ACTIONS(5241),
    [anon_sym_typename] = ACTIONS(5241),
    [anon_sym_template] = ACTIONS(5241),
    [anon_sym_operator] = ACTIONS(5241),
    [anon_sym_friend] = ACTIONS(5241),
    [anon_sym_public] = ACTIONS(5241),
    [anon_sym_private] = ACTIONS(5241),
    [anon_sym_protected] = ACTIONS(5241),
    [anon_sym_using] = ACTIONS(5241),
    [anon_sym_static_assert] = ACTIONS(5241),
  },
  [1672] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token2] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [aux_sym_preproc_else_token1] = ACTIONS(2856),
    [aux_sym_preproc_elif_token1] = ACTIONS(2856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_friend] = ACTIONS(2856),
    [anon_sym_public] = ACTIONS(2856),
    [anon_sym_private] = ACTIONS(2856),
    [anon_sym_protected] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
  },
  [1673] = {
    [sym_attribute_specifier] = STATE(2155),
    [sym_field_declaration_list] = STATE(2140),
    [sym_virtual_specifier] = STATE(6634),
    [sym_base_class_clause] = STATE(7336),
    [sym_identifier] = ACTIONS(5245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5247),
    [anon_sym_COMMA] = ACTIONS(5247),
    [anon_sym_RPAREN] = ACTIONS(5247),
    [aux_sym_preproc_if_token2] = ACTIONS(5247),
    [aux_sym_preproc_else_token1] = ACTIONS(5247),
    [aux_sym_preproc_elif_token1] = ACTIONS(5245),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5247),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5247),
    [anon_sym_LPAREN2] = ACTIONS(5247),
    [anon_sym_DASH] = ACTIONS(5245),
    [anon_sym_PLUS] = ACTIONS(5245),
    [anon_sym_STAR] = ACTIONS(5245),
    [anon_sym_SLASH] = ACTIONS(5245),
    [anon_sym_PERCENT] = ACTIONS(5245),
    [anon_sym_PIPE_PIPE] = ACTIONS(5247),
    [anon_sym_AMP_AMP] = ACTIONS(5247),
    [anon_sym_PIPE] = ACTIONS(5245),
    [anon_sym_CARET] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(5245),
    [anon_sym_EQ_EQ] = ACTIONS(5247),
    [anon_sym_BANG_EQ] = ACTIONS(5247),
    [anon_sym_GT] = ACTIONS(5245),
    [anon_sym_GT_EQ] = ACTIONS(5247),
    [anon_sym_LT_EQ] = ACTIONS(5245),
    [anon_sym_LT] = ACTIONS(5245),
    [anon_sym_LT_LT] = ACTIONS(5245),
    [anon_sym_GT_GT] = ACTIONS(5245),
    [anon_sym_SEMI] = ACTIONS(5247),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5251),
    [anon_sym_RBRACE] = ACTIONS(5247),
    [anon_sym_LBRACK] = ACTIONS(5247),
    [anon_sym_RBRACK] = ACTIONS(5247),
    [anon_sym_EQ] = ACTIONS(5245),
    [anon_sym_COLON] = ACTIONS(5253),
    [anon_sym_QMARK] = ACTIONS(5247),
    [anon_sym_STAR_EQ] = ACTIONS(5247),
    [anon_sym_SLASH_EQ] = ACTIONS(5247),
    [anon_sym_PERCENT_EQ] = ACTIONS(5247),
    [anon_sym_PLUS_EQ] = ACTIONS(5247),
    [anon_sym_DASH_EQ] = ACTIONS(5247),
    [anon_sym_LT_LT_EQ] = ACTIONS(5247),
    [anon_sym_GT_GT_EQ] = ACTIONS(5247),
    [anon_sym_AMP_EQ] = ACTIONS(5247),
    [anon_sym_CARET_EQ] = ACTIONS(5247),
    [anon_sym_PIPE_EQ] = ACTIONS(5247),
    [anon_sym_and_eq] = ACTIONS(5245),
    [anon_sym_or_eq] = ACTIONS(5245),
    [anon_sym_xor_eq] = ACTIONS(5245),
    [anon_sym_LT_EQ_GT] = ACTIONS(5247),
    [anon_sym_or] = ACTIONS(5245),
    [anon_sym_and] = ACTIONS(5245),
    [anon_sym_bitor] = ACTIONS(5245),
    [anon_sym_xor] = ACTIONS(5245),
    [anon_sym_bitand] = ACTIONS(5245),
    [anon_sym_not_eq] = ACTIONS(5245),
    [anon_sym_DASH_DASH] = ACTIONS(5247),
    [anon_sym_PLUS_PLUS] = ACTIONS(5247),
    [anon_sym_DOT] = ACTIONS(5245),
    [anon_sym_DOT_STAR] = ACTIONS(5247),
    [anon_sym_DASH_GT] = ACTIONS(5247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5245),
    [anon_sym_decltype] = ACTIONS(5245),
    [anon_sym_final] = ACTIONS(5255),
    [anon_sym_override] = ACTIONS(5255),
  },
  [1674] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [aux_sym_preproc_else_token1] = ACTIONS(2928),
    [aux_sym_preproc_elif_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1675] = {
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token2] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [aux_sym_preproc_else_token1] = ACTIONS(2975),
    [aux_sym_preproc_elif_token1] = ACTIONS(2975),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym__Nonnull] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym__Alignas] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_friend] = ACTIONS(2975),
    [anon_sym_public] = ACTIONS(2975),
    [anon_sym_private] = ACTIONS(2975),
    [anon_sym_protected] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
  },
  [1676] = {
    [sym_template_argument_list] = STATE(1833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4859),
    [anon_sym_COMMA] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4864),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(5257),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4864),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_GT2] = ACTIONS(4859),
  },
  [1677] = {
    [sym_identifier] = ACTIONS(5260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5262),
    [anon_sym_COMMA] = ACTIONS(5262),
    [anon_sym_RPAREN] = ACTIONS(5262),
    [anon_sym_LPAREN2] = ACTIONS(5262),
    [anon_sym_DASH] = ACTIONS(5260),
    [anon_sym_PLUS] = ACTIONS(5260),
    [anon_sym_STAR] = ACTIONS(5262),
    [anon_sym_SLASH] = ACTIONS(5260),
    [anon_sym_PERCENT] = ACTIONS(5262),
    [anon_sym_PIPE_PIPE] = ACTIONS(5262),
    [anon_sym_AMP_AMP] = ACTIONS(5262),
    [anon_sym_PIPE] = ACTIONS(5260),
    [anon_sym_CARET] = ACTIONS(5262),
    [anon_sym_AMP] = ACTIONS(5260),
    [anon_sym_EQ_EQ] = ACTIONS(5262),
    [anon_sym_BANG_EQ] = ACTIONS(5262),
    [anon_sym_GT] = ACTIONS(5260),
    [anon_sym_GT_EQ] = ACTIONS(5262),
    [anon_sym_LT_EQ] = ACTIONS(5260),
    [anon_sym_LT] = ACTIONS(5260),
    [anon_sym_LT_LT] = ACTIONS(5262),
    [anon_sym_GT_GT] = ACTIONS(5262),
    [anon_sym_SEMI] = ACTIONS(5262),
    [anon_sym___extension__] = ACTIONS(5260),
    [anon_sym___attribute__] = ACTIONS(5260),
    [anon_sym_COLON_COLON] = ACTIONS(5262),
    [anon_sym___based] = ACTIONS(5260),
    [anon_sym_LBRACE] = ACTIONS(5262),
    [anon_sym_RBRACE] = ACTIONS(5262),
    [anon_sym_signed] = ACTIONS(5260),
    [anon_sym_unsigned] = ACTIONS(5260),
    [anon_sym_long] = ACTIONS(5260),
    [anon_sym_short] = ACTIONS(5260),
    [anon_sym_LBRACK] = ACTIONS(5262),
    [anon_sym_RBRACK] = ACTIONS(5262),
    [anon_sym_const] = ACTIONS(5260),
    [anon_sym_constexpr] = ACTIONS(5260),
    [anon_sym_volatile] = ACTIONS(5260),
    [anon_sym_restrict] = ACTIONS(5260),
    [anon_sym___restrict__] = ACTIONS(5260),
    [anon_sym__Atomic] = ACTIONS(5260),
    [anon_sym__Noreturn] = ACTIONS(5260),
    [anon_sym_noreturn] = ACTIONS(5260),
    [anon_sym__Nonnull] = ACTIONS(5260),
    [anon_sym_mutable] = ACTIONS(5260),
    [anon_sym_constinit] = ACTIONS(5260),
    [anon_sym_consteval] = ACTIONS(5260),
    [anon_sym_alignas] = ACTIONS(5260),
    [anon_sym__Alignas] = ACTIONS(5260),
    [sym_primitive_type] = ACTIONS(5260),
    [anon_sym_COLON] = ACTIONS(5260),
    [anon_sym_QMARK] = ACTIONS(5262),
    [anon_sym_LT_EQ_GT] = ACTIONS(5262),
    [anon_sym_or] = ACTIONS(5260),
    [anon_sym_and] = ACTIONS(5260),
    [anon_sym_bitor] = ACTIONS(5260),
    [anon_sym_xor] = ACTIONS(5260),
    [anon_sym_bitand] = ACTIONS(5260),
    [anon_sym_not_eq] = ACTIONS(5260),
    [anon_sym_DASH_DASH] = ACTIONS(5262),
    [anon_sym_PLUS_PLUS] = ACTIONS(5262),
    [anon_sym_DOT] = ACTIONS(5260),
    [anon_sym_DOT_STAR] = ACTIONS(5262),
    [anon_sym_DASH_GT] = ACTIONS(5262),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5260),
    [anon_sym_decltype] = ACTIONS(5260),
    [anon_sym_final] = ACTIONS(5260),
    [anon_sym_override] = ACTIONS(5260),
    [anon_sym_requires] = ACTIONS(5260),
  },
  [1678] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4849),
    [anon_sym_COMMA] = ACTIONS(4849),
    [anon_sym_RPAREN] = ACTIONS(4849),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_DASH] = ACTIONS(4847),
    [anon_sym_PLUS] = ACTIONS(4847),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_SLASH] = ACTIONS(4847),
    [anon_sym_PERCENT] = ACTIONS(4849),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_PIPE] = ACTIONS(4847),
    [anon_sym_CARET] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym_EQ_EQ] = ACTIONS(4849),
    [anon_sym_BANG_EQ] = ACTIONS(4849),
    [anon_sym_GT] = ACTIONS(4847),
    [anon_sym_GT_EQ] = ACTIONS(4849),
    [anon_sym_LT_EQ] = ACTIONS(4847),
    [anon_sym_LT] = ACTIONS(4847),
    [anon_sym_LT_LT] = ACTIONS(4849),
    [anon_sym_GT_GT] = ACTIONS(4849),
    [anon_sym_SEMI] = ACTIONS(4849),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4849),
    [anon_sym_RBRACE] = ACTIONS(4849),
    [anon_sym_signed] = ACTIONS(4847),
    [anon_sym_unsigned] = ACTIONS(4847),
    [anon_sym_long] = ACTIONS(4847),
    [anon_sym_short] = ACTIONS(4847),
    [anon_sym_LBRACK] = ACTIONS(4849),
    [anon_sym_RBRACK] = ACTIONS(4849),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [sym_primitive_type] = ACTIONS(4847),
    [anon_sym_COLON] = ACTIONS(4847),
    [anon_sym_QMARK] = ACTIONS(4849),
    [anon_sym_LT_EQ_GT] = ACTIONS(4849),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [anon_sym_bitor] = ACTIONS(4847),
    [anon_sym_xor] = ACTIONS(4847),
    [anon_sym_bitand] = ACTIONS(4847),
    [anon_sym_not_eq] = ACTIONS(4847),
    [anon_sym_DASH_DASH] = ACTIONS(4849),
    [anon_sym_PLUS_PLUS] = ACTIONS(4849),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_DOT_STAR] = ACTIONS(4849),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_final] = ACTIONS(4847),
    [anon_sym_override] = ACTIONS(4847),
    [anon_sym_requires] = ACTIONS(4847),
  },
  [1679] = {
    [sym_identifier] = ACTIONS(5241),
    [aux_sym_preproc_def_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token2] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5241),
    [aux_sym_preproc_else_token1] = ACTIONS(5241),
    [aux_sym_preproc_elif_token1] = ACTIONS(5241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5241),
    [sym_preproc_directive] = ACTIONS(5241),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_TILDE] = ACTIONS(5243),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_AMP] = ACTIONS(5241),
    [anon_sym_SEMI] = ACTIONS(5243),
    [anon_sym___extension__] = ACTIONS(5241),
    [anon_sym_typedef] = ACTIONS(5241),
    [anon_sym_virtual] = ACTIONS(5241),
    [anon_sym_extern] = ACTIONS(5241),
    [anon_sym___attribute__] = ACTIONS(5241),
    [anon_sym_COLON_COLON] = ACTIONS(5243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5243),
    [anon_sym___declspec] = ACTIONS(5241),
    [anon_sym___based] = ACTIONS(5241),
    [anon_sym_signed] = ACTIONS(5241),
    [anon_sym_unsigned] = ACTIONS(5241),
    [anon_sym_long] = ACTIONS(5241),
    [anon_sym_short] = ACTIONS(5241),
    [anon_sym_LBRACK] = ACTIONS(5241),
    [anon_sym_static] = ACTIONS(5241),
    [anon_sym_register] = ACTIONS(5241),
    [anon_sym_inline] = ACTIONS(5241),
    [anon_sym___inline] = ACTIONS(5241),
    [anon_sym___inline__] = ACTIONS(5241),
    [anon_sym___forceinline] = ACTIONS(5241),
    [anon_sym_thread_local] = ACTIONS(5241),
    [anon_sym___thread] = ACTIONS(5241),
    [anon_sym_const] = ACTIONS(5241),
    [anon_sym_constexpr] = ACTIONS(5241),
    [anon_sym_volatile] = ACTIONS(5241),
    [anon_sym_restrict] = ACTIONS(5241),
    [anon_sym___restrict__] = ACTIONS(5241),
    [anon_sym__Atomic] = ACTIONS(5241),
    [anon_sym__Noreturn] = ACTIONS(5241),
    [anon_sym_noreturn] = ACTIONS(5241),
    [anon_sym__Nonnull] = ACTIONS(5241),
    [anon_sym_mutable] = ACTIONS(5241),
    [anon_sym_constinit] = ACTIONS(5241),
    [anon_sym_consteval] = ACTIONS(5241),
    [anon_sym_alignas] = ACTIONS(5241),
    [anon_sym__Alignas] = ACTIONS(5241),
    [sym_primitive_type] = ACTIONS(5241),
    [anon_sym_enum] = ACTIONS(5241),
    [anon_sym_class] = ACTIONS(5241),
    [anon_sym_struct] = ACTIONS(5241),
    [anon_sym_union] = ACTIONS(5241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5241),
    [anon_sym_decltype] = ACTIONS(5241),
    [anon_sym_explicit] = ACTIONS(5241),
    [anon_sym_typename] = ACTIONS(5241),
    [anon_sym_template] = ACTIONS(5241),
    [anon_sym_operator] = ACTIONS(5241),
    [anon_sym_friend] = ACTIONS(5241),
    [anon_sym_public] = ACTIONS(5241),
    [anon_sym_private] = ACTIONS(5241),
    [anon_sym_protected] = ACTIONS(5241),
    [anon_sym_using] = ACTIONS(5241),
    [anon_sym_static_assert] = ACTIONS(5241),
  },
  [1680] = {
    [sym_identifier] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [aux_sym_preproc_else_token1] = ACTIONS(5264),
    [aux_sym_preproc_elif_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_TILDE] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym___extension__] = ACTIONS(5264),
    [anon_sym_typedef] = ACTIONS(5264),
    [anon_sym_virtual] = ACTIONS(5264),
    [anon_sym_extern] = ACTIONS(5264),
    [anon_sym___attribute__] = ACTIONS(5264),
    [anon_sym_COLON_COLON] = ACTIONS(5266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5266),
    [anon_sym___declspec] = ACTIONS(5264),
    [anon_sym___based] = ACTIONS(5264),
    [anon_sym_signed] = ACTIONS(5264),
    [anon_sym_unsigned] = ACTIONS(5264),
    [anon_sym_long] = ACTIONS(5264),
    [anon_sym_short] = ACTIONS(5264),
    [anon_sym_LBRACK] = ACTIONS(5264),
    [anon_sym_static] = ACTIONS(5264),
    [anon_sym_register] = ACTIONS(5264),
    [anon_sym_inline] = ACTIONS(5264),
    [anon_sym___inline] = ACTIONS(5264),
    [anon_sym___inline__] = ACTIONS(5264),
    [anon_sym___forceinline] = ACTIONS(5264),
    [anon_sym_thread_local] = ACTIONS(5264),
    [anon_sym___thread] = ACTIONS(5264),
    [anon_sym_const] = ACTIONS(5264),
    [anon_sym_constexpr] = ACTIONS(5264),
    [anon_sym_volatile] = ACTIONS(5264),
    [anon_sym_restrict] = ACTIONS(5264),
    [anon_sym___restrict__] = ACTIONS(5264),
    [anon_sym__Atomic] = ACTIONS(5264),
    [anon_sym__Noreturn] = ACTIONS(5264),
    [anon_sym_noreturn] = ACTIONS(5264),
    [anon_sym__Nonnull] = ACTIONS(5264),
    [anon_sym_mutable] = ACTIONS(5264),
    [anon_sym_constinit] = ACTIONS(5264),
    [anon_sym_consteval] = ACTIONS(5264),
    [anon_sym_alignas] = ACTIONS(5264),
    [anon_sym__Alignas] = ACTIONS(5264),
    [sym_primitive_type] = ACTIONS(5264),
    [anon_sym_enum] = ACTIONS(5264),
    [anon_sym_class] = ACTIONS(5264),
    [anon_sym_struct] = ACTIONS(5264),
    [anon_sym_union] = ACTIONS(5264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5264),
    [anon_sym_decltype] = ACTIONS(5264),
    [anon_sym_explicit] = ACTIONS(5264),
    [anon_sym_typename] = ACTIONS(5264),
    [anon_sym_template] = ACTIONS(5264),
    [anon_sym_operator] = ACTIONS(5264),
    [anon_sym_friend] = ACTIONS(5264),
    [anon_sym_public] = ACTIONS(5264),
    [anon_sym_private] = ACTIONS(5264),
    [anon_sym_protected] = ACTIONS(5264),
    [anon_sym_using] = ACTIONS(5264),
    [anon_sym_static_assert] = ACTIONS(5264),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(2796),
    [aux_sym_preproc_def_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token2] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2796),
    [aux_sym_preproc_else_token1] = ACTIONS(2796),
    [aux_sym_preproc_elif_token1] = ACTIONS(2796),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2796),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2796),
    [sym_preproc_directive] = ACTIONS(2796),
    [anon_sym_LPAREN2] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2798),
    [anon_sym_AMP_AMP] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_typedef] = ACTIONS(2796),
    [anon_sym_virtual] = ACTIONS(2796),
    [anon_sym_extern] = ACTIONS(2796),
    [anon_sym___attribute__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2798),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2798),
    [anon_sym___declspec] = ACTIONS(2796),
    [anon_sym___based] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2796),
    [anon_sym_unsigned] = ACTIONS(2796),
    [anon_sym_long] = ACTIONS(2796),
    [anon_sym_short] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym_static] = ACTIONS(2796),
    [anon_sym_register] = ACTIONS(2796),
    [anon_sym_inline] = ACTIONS(2796),
    [anon_sym___inline] = ACTIONS(2796),
    [anon_sym___inline__] = ACTIONS(2796),
    [anon_sym___forceinline] = ACTIONS(2796),
    [anon_sym_thread_local] = ACTIONS(2796),
    [anon_sym___thread] = ACTIONS(2796),
    [anon_sym_const] = ACTIONS(2796),
    [anon_sym_constexpr] = ACTIONS(2796),
    [anon_sym_volatile] = ACTIONS(2796),
    [anon_sym_restrict] = ACTIONS(2796),
    [anon_sym___restrict__] = ACTIONS(2796),
    [anon_sym__Atomic] = ACTIONS(2796),
    [anon_sym__Noreturn] = ACTIONS(2796),
    [anon_sym_noreturn] = ACTIONS(2796),
    [anon_sym__Nonnull] = ACTIONS(2796),
    [anon_sym_mutable] = ACTIONS(2796),
    [anon_sym_constinit] = ACTIONS(2796),
    [anon_sym_consteval] = ACTIONS(2796),
    [anon_sym_alignas] = ACTIONS(2796),
    [anon_sym__Alignas] = ACTIONS(2796),
    [sym_primitive_type] = ACTIONS(2796),
    [anon_sym_enum] = ACTIONS(2796),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_struct] = ACTIONS(2796),
    [anon_sym_union] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2796),
    [anon_sym_decltype] = ACTIONS(2796),
    [anon_sym_explicit] = ACTIONS(2796),
    [anon_sym_typename] = ACTIONS(2796),
    [anon_sym_template] = ACTIONS(2796),
    [anon_sym_operator] = ACTIONS(2796),
    [anon_sym_friend] = ACTIONS(2796),
    [anon_sym_public] = ACTIONS(2796),
    [anon_sym_private] = ACTIONS(2796),
    [anon_sym_protected] = ACTIONS(2796),
    [anon_sym_using] = ACTIONS(2796),
    [anon_sym_static_assert] = ACTIONS(2796),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_TILDE] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(5268),
    [anon_sym_typedef] = ACTIONS(5268),
    [anon_sym_virtual] = ACTIONS(5268),
    [anon_sym_extern] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym_COLON_COLON] = ACTIONS(5270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5270),
    [anon_sym___declspec] = ACTIONS(5268),
    [anon_sym___based] = ACTIONS(5268),
    [anon_sym_signed] = ACTIONS(5268),
    [anon_sym_unsigned] = ACTIONS(5268),
    [anon_sym_long] = ACTIONS(5268),
    [anon_sym_short] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_static] = ACTIONS(5268),
    [anon_sym_register] = ACTIONS(5268),
    [anon_sym_inline] = ACTIONS(5268),
    [anon_sym___inline] = ACTIONS(5268),
    [anon_sym___inline__] = ACTIONS(5268),
    [anon_sym___forceinline] = ACTIONS(5268),
    [anon_sym_thread_local] = ACTIONS(5268),
    [anon_sym___thread] = ACTIONS(5268),
    [anon_sym_const] = ACTIONS(5268),
    [anon_sym_constexpr] = ACTIONS(5268),
    [anon_sym_volatile] = ACTIONS(5268),
    [anon_sym_restrict] = ACTIONS(5268),
    [anon_sym___restrict__] = ACTIONS(5268),
    [anon_sym__Atomic] = ACTIONS(5268),
    [anon_sym__Noreturn] = ACTIONS(5268),
    [anon_sym_noreturn] = ACTIONS(5268),
    [anon_sym__Nonnull] = ACTIONS(5268),
    [anon_sym_mutable] = ACTIONS(5268),
    [anon_sym_constinit] = ACTIONS(5268),
    [anon_sym_consteval] = ACTIONS(5268),
    [anon_sym_alignas] = ACTIONS(5268),
    [anon_sym__Alignas] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(5268),
    [anon_sym_enum] = ACTIONS(5268),
    [anon_sym_class] = ACTIONS(5268),
    [anon_sym_struct] = ACTIONS(5268),
    [anon_sym_union] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
    [anon_sym_explicit] = ACTIONS(5268),
    [anon_sym_typename] = ACTIONS(5268),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_operator] = ACTIONS(5268),
    [anon_sym_friend] = ACTIONS(5268),
    [anon_sym_public] = ACTIONS(5268),
    [anon_sym_private] = ACTIONS(5268),
    [anon_sym_protected] = ACTIONS(5268),
    [anon_sym_using] = ACTIONS(5268),
    [anon_sym_static_assert] = ACTIONS(5268),
  },
  [1683] = {
    [sym_identifier] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_TILDE] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(5268),
    [anon_sym_typedef] = ACTIONS(5268),
    [anon_sym_virtual] = ACTIONS(5268),
    [anon_sym_extern] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym_COLON_COLON] = ACTIONS(5270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5270),
    [anon_sym___declspec] = ACTIONS(5268),
    [anon_sym___based] = ACTIONS(5268),
    [anon_sym_signed] = ACTIONS(5268),
    [anon_sym_unsigned] = ACTIONS(5268),
    [anon_sym_long] = ACTIONS(5268),
    [anon_sym_short] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_static] = ACTIONS(5268),
    [anon_sym_register] = ACTIONS(5268),
    [anon_sym_inline] = ACTIONS(5268),
    [anon_sym___inline] = ACTIONS(5268),
    [anon_sym___inline__] = ACTIONS(5268),
    [anon_sym___forceinline] = ACTIONS(5268),
    [anon_sym_thread_local] = ACTIONS(5268),
    [anon_sym___thread] = ACTIONS(5268),
    [anon_sym_const] = ACTIONS(5268),
    [anon_sym_constexpr] = ACTIONS(5268),
    [anon_sym_volatile] = ACTIONS(5268),
    [anon_sym_restrict] = ACTIONS(5268),
    [anon_sym___restrict__] = ACTIONS(5268),
    [anon_sym__Atomic] = ACTIONS(5268),
    [anon_sym__Noreturn] = ACTIONS(5268),
    [anon_sym_noreturn] = ACTIONS(5268),
    [anon_sym__Nonnull] = ACTIONS(5268),
    [anon_sym_mutable] = ACTIONS(5268),
    [anon_sym_constinit] = ACTIONS(5268),
    [anon_sym_consteval] = ACTIONS(5268),
    [anon_sym_alignas] = ACTIONS(5268),
    [anon_sym__Alignas] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(5268),
    [anon_sym_enum] = ACTIONS(5268),
    [anon_sym_class] = ACTIONS(5268),
    [anon_sym_struct] = ACTIONS(5268),
    [anon_sym_union] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
    [anon_sym_explicit] = ACTIONS(5268),
    [anon_sym_typename] = ACTIONS(5268),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_operator] = ACTIONS(5268),
    [anon_sym_friend] = ACTIONS(5268),
    [anon_sym_public] = ACTIONS(5268),
    [anon_sym_private] = ACTIONS(5268),
    [anon_sym_protected] = ACTIONS(5268),
    [anon_sym_using] = ACTIONS(5268),
    [anon_sym_static_assert] = ACTIONS(5268),
  },
  [1684] = {
    [sym_identifier] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_TILDE] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(5268),
    [anon_sym_typedef] = ACTIONS(5268),
    [anon_sym_virtual] = ACTIONS(5268),
    [anon_sym_extern] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym_COLON_COLON] = ACTIONS(5270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5270),
    [anon_sym___declspec] = ACTIONS(5268),
    [anon_sym___based] = ACTIONS(5268),
    [anon_sym_signed] = ACTIONS(5268),
    [anon_sym_unsigned] = ACTIONS(5268),
    [anon_sym_long] = ACTIONS(5268),
    [anon_sym_short] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_static] = ACTIONS(5268),
    [anon_sym_register] = ACTIONS(5268),
    [anon_sym_inline] = ACTIONS(5268),
    [anon_sym___inline] = ACTIONS(5268),
    [anon_sym___inline__] = ACTIONS(5268),
    [anon_sym___forceinline] = ACTIONS(5268),
    [anon_sym_thread_local] = ACTIONS(5268),
    [anon_sym___thread] = ACTIONS(5268),
    [anon_sym_const] = ACTIONS(5268),
    [anon_sym_constexpr] = ACTIONS(5268),
    [anon_sym_volatile] = ACTIONS(5268),
    [anon_sym_restrict] = ACTIONS(5268),
    [anon_sym___restrict__] = ACTIONS(5268),
    [anon_sym__Atomic] = ACTIONS(5268),
    [anon_sym__Noreturn] = ACTIONS(5268),
    [anon_sym_noreturn] = ACTIONS(5268),
    [anon_sym__Nonnull] = ACTIONS(5268),
    [anon_sym_mutable] = ACTIONS(5268),
    [anon_sym_constinit] = ACTIONS(5268),
    [anon_sym_consteval] = ACTIONS(5268),
    [anon_sym_alignas] = ACTIONS(5268),
    [anon_sym__Alignas] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(5268),
    [anon_sym_enum] = ACTIONS(5268),
    [anon_sym_class] = ACTIONS(5268),
    [anon_sym_struct] = ACTIONS(5268),
    [anon_sym_union] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
    [anon_sym_explicit] = ACTIONS(5268),
    [anon_sym_typename] = ACTIONS(5268),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_operator] = ACTIONS(5268),
    [anon_sym_friend] = ACTIONS(5268),
    [anon_sym_public] = ACTIONS(5268),
    [anon_sym_private] = ACTIONS(5268),
    [anon_sym_protected] = ACTIONS(5268),
    [anon_sym_using] = ACTIONS(5268),
    [anon_sym_static_assert] = ACTIONS(5268),
  },
  [1685] = {
    [sym_identifier] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [aux_sym_preproc_else_token1] = ACTIONS(5264),
    [aux_sym_preproc_elif_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_TILDE] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym___extension__] = ACTIONS(5264),
    [anon_sym_typedef] = ACTIONS(5264),
    [anon_sym_virtual] = ACTIONS(5264),
    [anon_sym_extern] = ACTIONS(5264),
    [anon_sym___attribute__] = ACTIONS(5264),
    [anon_sym_COLON_COLON] = ACTIONS(5266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5266),
    [anon_sym___declspec] = ACTIONS(5264),
    [anon_sym___based] = ACTIONS(5264),
    [anon_sym_signed] = ACTIONS(5264),
    [anon_sym_unsigned] = ACTIONS(5264),
    [anon_sym_long] = ACTIONS(5264),
    [anon_sym_short] = ACTIONS(5264),
    [anon_sym_LBRACK] = ACTIONS(5264),
    [anon_sym_static] = ACTIONS(5264),
    [anon_sym_register] = ACTIONS(5264),
    [anon_sym_inline] = ACTIONS(5264),
    [anon_sym___inline] = ACTIONS(5264),
    [anon_sym___inline__] = ACTIONS(5264),
    [anon_sym___forceinline] = ACTIONS(5264),
    [anon_sym_thread_local] = ACTIONS(5264),
    [anon_sym___thread] = ACTIONS(5264),
    [anon_sym_const] = ACTIONS(5264),
    [anon_sym_constexpr] = ACTIONS(5264),
    [anon_sym_volatile] = ACTIONS(5264),
    [anon_sym_restrict] = ACTIONS(5264),
    [anon_sym___restrict__] = ACTIONS(5264),
    [anon_sym__Atomic] = ACTIONS(5264),
    [anon_sym__Noreturn] = ACTIONS(5264),
    [anon_sym_noreturn] = ACTIONS(5264),
    [anon_sym__Nonnull] = ACTIONS(5264),
    [anon_sym_mutable] = ACTIONS(5264),
    [anon_sym_constinit] = ACTIONS(5264),
    [anon_sym_consteval] = ACTIONS(5264),
    [anon_sym_alignas] = ACTIONS(5264),
    [anon_sym__Alignas] = ACTIONS(5264),
    [sym_primitive_type] = ACTIONS(5264),
    [anon_sym_enum] = ACTIONS(5264),
    [anon_sym_class] = ACTIONS(5264),
    [anon_sym_struct] = ACTIONS(5264),
    [anon_sym_union] = ACTIONS(5264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5264),
    [anon_sym_decltype] = ACTIONS(5264),
    [anon_sym_explicit] = ACTIONS(5264),
    [anon_sym_typename] = ACTIONS(5264),
    [anon_sym_template] = ACTIONS(5264),
    [anon_sym_operator] = ACTIONS(5264),
    [anon_sym_friend] = ACTIONS(5264),
    [anon_sym_public] = ACTIONS(5264),
    [anon_sym_private] = ACTIONS(5264),
    [anon_sym_protected] = ACTIONS(5264),
    [anon_sym_using] = ACTIONS(5264),
    [anon_sym_static_assert] = ACTIONS(5264),
  },
  [1686] = {
    [sym_identifier] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5274),
    [anon_sym_TILDE] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5274),
    [anon_sym_AMP_AMP] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [anon_sym___extension__] = ACTIONS(5272),
    [anon_sym_typedef] = ACTIONS(5272),
    [anon_sym_virtual] = ACTIONS(5272),
    [anon_sym_extern] = ACTIONS(5272),
    [anon_sym___attribute__] = ACTIONS(5272),
    [anon_sym_COLON_COLON] = ACTIONS(5274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5274),
    [anon_sym___declspec] = ACTIONS(5272),
    [anon_sym___based] = ACTIONS(5272),
    [anon_sym_signed] = ACTIONS(5272),
    [anon_sym_unsigned] = ACTIONS(5272),
    [anon_sym_long] = ACTIONS(5272),
    [anon_sym_short] = ACTIONS(5272),
    [anon_sym_LBRACK] = ACTIONS(5272),
    [anon_sym_static] = ACTIONS(5272),
    [anon_sym_register] = ACTIONS(5272),
    [anon_sym_inline] = ACTIONS(5272),
    [anon_sym___inline] = ACTIONS(5272),
    [anon_sym___inline__] = ACTIONS(5272),
    [anon_sym___forceinline] = ACTIONS(5272),
    [anon_sym_thread_local] = ACTIONS(5272),
    [anon_sym___thread] = ACTIONS(5272),
    [anon_sym_const] = ACTIONS(5272),
    [anon_sym_constexpr] = ACTIONS(5272),
    [anon_sym_volatile] = ACTIONS(5272),
    [anon_sym_restrict] = ACTIONS(5272),
    [anon_sym___restrict__] = ACTIONS(5272),
    [anon_sym__Atomic] = ACTIONS(5272),
    [anon_sym__Noreturn] = ACTIONS(5272),
    [anon_sym_noreturn] = ACTIONS(5272),
    [anon_sym__Nonnull] = ACTIONS(5272),
    [anon_sym_mutable] = ACTIONS(5272),
    [anon_sym_constinit] = ACTIONS(5272),
    [anon_sym_consteval] = ACTIONS(5272),
    [anon_sym_alignas] = ACTIONS(5272),
    [anon_sym__Alignas] = ACTIONS(5272),
    [sym_primitive_type] = ACTIONS(5272),
    [anon_sym_enum] = ACTIONS(5272),
    [anon_sym_class] = ACTIONS(5272),
    [anon_sym_struct] = ACTIONS(5272),
    [anon_sym_union] = ACTIONS(5272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5272),
    [anon_sym_decltype] = ACTIONS(5272),
    [anon_sym_explicit] = ACTIONS(5272),
    [anon_sym_typename] = ACTIONS(5272),
    [anon_sym_template] = ACTIONS(5272),
    [anon_sym_operator] = ACTIONS(5272),
    [anon_sym_friend] = ACTIONS(5272),
    [anon_sym_public] = ACTIONS(5272),
    [anon_sym_private] = ACTIONS(5272),
    [anon_sym_protected] = ACTIONS(5272),
    [anon_sym_using] = ACTIONS(5272),
    [anon_sym_static_assert] = ACTIONS(5272),
  },
  [1687] = {
    [sym_identifier] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [aux_sym_preproc_else_token1] = ACTIONS(5276),
    [aux_sym_preproc_elif_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5278),
    [anon_sym_TILDE] = ACTIONS(5278),
    [anon_sym_STAR] = ACTIONS(5278),
    [anon_sym_AMP_AMP] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [anon_sym___extension__] = ACTIONS(5276),
    [anon_sym_typedef] = ACTIONS(5276),
    [anon_sym_virtual] = ACTIONS(5276),
    [anon_sym_extern] = ACTIONS(5276),
    [anon_sym___attribute__] = ACTIONS(5276),
    [anon_sym_COLON_COLON] = ACTIONS(5278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5278),
    [anon_sym___declspec] = ACTIONS(5276),
    [anon_sym___based] = ACTIONS(5276),
    [anon_sym_signed] = ACTIONS(5276),
    [anon_sym_unsigned] = ACTIONS(5276),
    [anon_sym_long] = ACTIONS(5276),
    [anon_sym_short] = ACTIONS(5276),
    [anon_sym_LBRACK] = ACTIONS(5276),
    [anon_sym_static] = ACTIONS(5276),
    [anon_sym_register] = ACTIONS(5276),
    [anon_sym_inline] = ACTIONS(5276),
    [anon_sym___inline] = ACTIONS(5276),
    [anon_sym___inline__] = ACTIONS(5276),
    [anon_sym___forceinline] = ACTIONS(5276),
    [anon_sym_thread_local] = ACTIONS(5276),
    [anon_sym___thread] = ACTIONS(5276),
    [anon_sym_const] = ACTIONS(5276),
    [anon_sym_constexpr] = ACTIONS(5276),
    [anon_sym_volatile] = ACTIONS(5276),
    [anon_sym_restrict] = ACTIONS(5276),
    [anon_sym___restrict__] = ACTIONS(5276),
    [anon_sym__Atomic] = ACTIONS(5276),
    [anon_sym__Noreturn] = ACTIONS(5276),
    [anon_sym_noreturn] = ACTIONS(5276),
    [anon_sym__Nonnull] = ACTIONS(5276),
    [anon_sym_mutable] = ACTIONS(5276),
    [anon_sym_constinit] = ACTIONS(5276),
    [anon_sym_consteval] = ACTIONS(5276),
    [anon_sym_alignas] = ACTIONS(5276),
    [anon_sym__Alignas] = ACTIONS(5276),
    [sym_primitive_type] = ACTIONS(5276),
    [anon_sym_enum] = ACTIONS(5276),
    [anon_sym_class] = ACTIONS(5276),
    [anon_sym_struct] = ACTIONS(5276),
    [anon_sym_union] = ACTIONS(5276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5276),
    [anon_sym_decltype] = ACTIONS(5276),
    [anon_sym_explicit] = ACTIONS(5276),
    [anon_sym_typename] = ACTIONS(5276),
    [anon_sym_template] = ACTIONS(5276),
    [anon_sym_operator] = ACTIONS(5276),
    [anon_sym_friend] = ACTIONS(5276),
    [anon_sym_public] = ACTIONS(5276),
    [anon_sym_private] = ACTIONS(5276),
    [anon_sym_protected] = ACTIONS(5276),
    [anon_sym_using] = ACTIONS(5276),
    [anon_sym_static_assert] = ACTIONS(5276),
  },
  [1688] = {
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token2] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [aux_sym_preproc_else_token1] = ACTIONS(3019),
    [aux_sym_preproc_elif_token1] = ACTIONS(3019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_friend] = ACTIONS(3019),
    [anon_sym_public] = ACTIONS(3019),
    [anon_sym_private] = ACTIONS(3019),
    [anon_sym_protected] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
  },
  [1689] = {
    [sym_identifier] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5282),
    [anon_sym_TILDE] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_AMP_AMP] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [anon_sym___extension__] = ACTIONS(5280),
    [anon_sym_typedef] = ACTIONS(5280),
    [anon_sym_virtual] = ACTIONS(5280),
    [anon_sym_extern] = ACTIONS(5280),
    [anon_sym___attribute__] = ACTIONS(5280),
    [anon_sym_COLON_COLON] = ACTIONS(5282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5282),
    [anon_sym___declspec] = ACTIONS(5280),
    [anon_sym___based] = ACTIONS(5280),
    [anon_sym_signed] = ACTIONS(5280),
    [anon_sym_unsigned] = ACTIONS(5280),
    [anon_sym_long] = ACTIONS(5280),
    [anon_sym_short] = ACTIONS(5280),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_static] = ACTIONS(5280),
    [anon_sym_register] = ACTIONS(5280),
    [anon_sym_inline] = ACTIONS(5280),
    [anon_sym___inline] = ACTIONS(5280),
    [anon_sym___inline__] = ACTIONS(5280),
    [anon_sym___forceinline] = ACTIONS(5280),
    [anon_sym_thread_local] = ACTIONS(5280),
    [anon_sym___thread] = ACTIONS(5280),
    [anon_sym_const] = ACTIONS(5280),
    [anon_sym_constexpr] = ACTIONS(5280),
    [anon_sym_volatile] = ACTIONS(5280),
    [anon_sym_restrict] = ACTIONS(5280),
    [anon_sym___restrict__] = ACTIONS(5280),
    [anon_sym__Atomic] = ACTIONS(5280),
    [anon_sym__Noreturn] = ACTIONS(5280),
    [anon_sym_noreturn] = ACTIONS(5280),
    [anon_sym__Nonnull] = ACTIONS(5280),
    [anon_sym_mutable] = ACTIONS(5280),
    [anon_sym_constinit] = ACTIONS(5280),
    [anon_sym_consteval] = ACTIONS(5280),
    [anon_sym_alignas] = ACTIONS(5280),
    [anon_sym__Alignas] = ACTIONS(5280),
    [sym_primitive_type] = ACTIONS(5280),
    [anon_sym_enum] = ACTIONS(5280),
    [anon_sym_class] = ACTIONS(5280),
    [anon_sym_struct] = ACTIONS(5280),
    [anon_sym_union] = ACTIONS(5280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5280),
    [anon_sym_decltype] = ACTIONS(5280),
    [anon_sym_explicit] = ACTIONS(5280),
    [anon_sym_typename] = ACTIONS(5280),
    [anon_sym_template] = ACTIONS(5280),
    [anon_sym_operator] = ACTIONS(5280),
    [anon_sym_friend] = ACTIONS(5280),
    [anon_sym_public] = ACTIONS(5280),
    [anon_sym_private] = ACTIONS(5280),
    [anon_sym_protected] = ACTIONS(5280),
    [anon_sym_using] = ACTIONS(5280),
    [anon_sym_static_assert] = ACTIONS(5280),
  },
  [1690] = {
    [sym_identifier] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5286),
    [anon_sym_TILDE] = ACTIONS(5286),
    [anon_sym_STAR] = ACTIONS(5286),
    [anon_sym_AMP_AMP] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [anon_sym___extension__] = ACTIONS(5284),
    [anon_sym_typedef] = ACTIONS(5284),
    [anon_sym_virtual] = ACTIONS(5284),
    [anon_sym_extern] = ACTIONS(5284),
    [anon_sym___attribute__] = ACTIONS(5284),
    [anon_sym_COLON_COLON] = ACTIONS(5286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5286),
    [anon_sym___declspec] = ACTIONS(5284),
    [anon_sym___based] = ACTIONS(5284),
    [anon_sym_signed] = ACTIONS(5284),
    [anon_sym_unsigned] = ACTIONS(5284),
    [anon_sym_long] = ACTIONS(5284),
    [anon_sym_short] = ACTIONS(5284),
    [anon_sym_LBRACK] = ACTIONS(5284),
    [anon_sym_static] = ACTIONS(5284),
    [anon_sym_register] = ACTIONS(5284),
    [anon_sym_inline] = ACTIONS(5284),
    [anon_sym___inline] = ACTIONS(5284),
    [anon_sym___inline__] = ACTIONS(5284),
    [anon_sym___forceinline] = ACTIONS(5284),
    [anon_sym_thread_local] = ACTIONS(5284),
    [anon_sym___thread] = ACTIONS(5284),
    [anon_sym_const] = ACTIONS(5284),
    [anon_sym_constexpr] = ACTIONS(5284),
    [anon_sym_volatile] = ACTIONS(5284),
    [anon_sym_restrict] = ACTIONS(5284),
    [anon_sym___restrict__] = ACTIONS(5284),
    [anon_sym__Atomic] = ACTIONS(5284),
    [anon_sym__Noreturn] = ACTIONS(5284),
    [anon_sym_noreturn] = ACTIONS(5284),
    [anon_sym__Nonnull] = ACTIONS(5284),
    [anon_sym_mutable] = ACTIONS(5284),
    [anon_sym_constinit] = ACTIONS(5284),
    [anon_sym_consteval] = ACTIONS(5284),
    [anon_sym_alignas] = ACTIONS(5284),
    [anon_sym__Alignas] = ACTIONS(5284),
    [sym_primitive_type] = ACTIONS(5284),
    [anon_sym_enum] = ACTIONS(5284),
    [anon_sym_class] = ACTIONS(5284),
    [anon_sym_struct] = ACTIONS(5284),
    [anon_sym_union] = ACTIONS(5284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5284),
    [anon_sym_decltype] = ACTIONS(5284),
    [anon_sym_explicit] = ACTIONS(5284),
    [anon_sym_typename] = ACTIONS(5284),
    [anon_sym_template] = ACTIONS(5284),
    [anon_sym_operator] = ACTIONS(5284),
    [anon_sym_friend] = ACTIONS(5284),
    [anon_sym_public] = ACTIONS(5284),
    [anon_sym_private] = ACTIONS(5284),
    [anon_sym_protected] = ACTIONS(5284),
    [anon_sym_using] = ACTIONS(5284),
    [anon_sym_static_assert] = ACTIONS(5284),
  },
  [1691] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5905),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6325),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6325),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1692] = {
    [sym_identifier] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [aux_sym_preproc_else_token1] = ACTIONS(5288),
    [aux_sym_preproc_elif_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5290),
    [anon_sym_TILDE] = ACTIONS(5290),
    [anon_sym_STAR] = ACTIONS(5290),
    [anon_sym_AMP_AMP] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [anon_sym___extension__] = ACTIONS(5288),
    [anon_sym_typedef] = ACTIONS(5288),
    [anon_sym_virtual] = ACTIONS(5288),
    [anon_sym_extern] = ACTIONS(5288),
    [anon_sym___attribute__] = ACTIONS(5288),
    [anon_sym_COLON_COLON] = ACTIONS(5290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5290),
    [anon_sym___declspec] = ACTIONS(5288),
    [anon_sym___based] = ACTIONS(5288),
    [anon_sym_signed] = ACTIONS(5288),
    [anon_sym_unsigned] = ACTIONS(5288),
    [anon_sym_long] = ACTIONS(5288),
    [anon_sym_short] = ACTIONS(5288),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_static] = ACTIONS(5288),
    [anon_sym_register] = ACTIONS(5288),
    [anon_sym_inline] = ACTIONS(5288),
    [anon_sym___inline] = ACTIONS(5288),
    [anon_sym___inline__] = ACTIONS(5288),
    [anon_sym___forceinline] = ACTIONS(5288),
    [anon_sym_thread_local] = ACTIONS(5288),
    [anon_sym___thread] = ACTIONS(5288),
    [anon_sym_const] = ACTIONS(5288),
    [anon_sym_constexpr] = ACTIONS(5288),
    [anon_sym_volatile] = ACTIONS(5288),
    [anon_sym_restrict] = ACTIONS(5288),
    [anon_sym___restrict__] = ACTIONS(5288),
    [anon_sym__Atomic] = ACTIONS(5288),
    [anon_sym__Noreturn] = ACTIONS(5288),
    [anon_sym_noreturn] = ACTIONS(5288),
    [anon_sym__Nonnull] = ACTIONS(5288),
    [anon_sym_mutable] = ACTIONS(5288),
    [anon_sym_constinit] = ACTIONS(5288),
    [anon_sym_consteval] = ACTIONS(5288),
    [anon_sym_alignas] = ACTIONS(5288),
    [anon_sym__Alignas] = ACTIONS(5288),
    [sym_primitive_type] = ACTIONS(5288),
    [anon_sym_enum] = ACTIONS(5288),
    [anon_sym_class] = ACTIONS(5288),
    [anon_sym_struct] = ACTIONS(5288),
    [anon_sym_union] = ACTIONS(5288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5288),
    [anon_sym_decltype] = ACTIONS(5288),
    [anon_sym_explicit] = ACTIONS(5288),
    [anon_sym_typename] = ACTIONS(5288),
    [anon_sym_template] = ACTIONS(5288),
    [anon_sym_operator] = ACTIONS(5288),
    [anon_sym_friend] = ACTIONS(5288),
    [anon_sym_public] = ACTIONS(5288),
    [anon_sym_private] = ACTIONS(5288),
    [anon_sym_protected] = ACTIONS(5288),
    [anon_sym_using] = ACTIONS(5288),
    [anon_sym_static_assert] = ACTIONS(5288),
  },
  [1693] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token2] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [aux_sym_preproc_else_token1] = ACTIONS(3011),
    [aux_sym_preproc_elif_token1] = ACTIONS(3011),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_friend] = ACTIONS(3011),
    [anon_sym_public] = ACTIONS(3011),
    [anon_sym_private] = ACTIONS(3011),
    [anon_sym_protected] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
  },
  [1694] = {
    [sym_identifier] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [aux_sym_preproc_else_token1] = ACTIONS(5292),
    [aux_sym_preproc_elif_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5294),
    [anon_sym_TILDE] = ACTIONS(5294),
    [anon_sym_STAR] = ACTIONS(5294),
    [anon_sym_AMP_AMP] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [anon_sym___extension__] = ACTIONS(5292),
    [anon_sym_typedef] = ACTIONS(5292),
    [anon_sym_virtual] = ACTIONS(5292),
    [anon_sym_extern] = ACTIONS(5292),
    [anon_sym___attribute__] = ACTIONS(5292),
    [anon_sym_COLON_COLON] = ACTIONS(5294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5294),
    [anon_sym___declspec] = ACTIONS(5292),
    [anon_sym___based] = ACTIONS(5292),
    [anon_sym_signed] = ACTIONS(5292),
    [anon_sym_unsigned] = ACTIONS(5292),
    [anon_sym_long] = ACTIONS(5292),
    [anon_sym_short] = ACTIONS(5292),
    [anon_sym_LBRACK] = ACTIONS(5292),
    [anon_sym_static] = ACTIONS(5292),
    [anon_sym_register] = ACTIONS(5292),
    [anon_sym_inline] = ACTIONS(5292),
    [anon_sym___inline] = ACTIONS(5292),
    [anon_sym___inline__] = ACTIONS(5292),
    [anon_sym___forceinline] = ACTIONS(5292),
    [anon_sym_thread_local] = ACTIONS(5292),
    [anon_sym___thread] = ACTIONS(5292),
    [anon_sym_const] = ACTIONS(5292),
    [anon_sym_constexpr] = ACTIONS(5292),
    [anon_sym_volatile] = ACTIONS(5292),
    [anon_sym_restrict] = ACTIONS(5292),
    [anon_sym___restrict__] = ACTIONS(5292),
    [anon_sym__Atomic] = ACTIONS(5292),
    [anon_sym__Noreturn] = ACTIONS(5292),
    [anon_sym_noreturn] = ACTIONS(5292),
    [anon_sym__Nonnull] = ACTIONS(5292),
    [anon_sym_mutable] = ACTIONS(5292),
    [anon_sym_constinit] = ACTIONS(5292),
    [anon_sym_consteval] = ACTIONS(5292),
    [anon_sym_alignas] = ACTIONS(5292),
    [anon_sym__Alignas] = ACTIONS(5292),
    [sym_primitive_type] = ACTIONS(5292),
    [anon_sym_enum] = ACTIONS(5292),
    [anon_sym_class] = ACTIONS(5292),
    [anon_sym_struct] = ACTIONS(5292),
    [anon_sym_union] = ACTIONS(5292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5292),
    [anon_sym_decltype] = ACTIONS(5292),
    [anon_sym_explicit] = ACTIONS(5292),
    [anon_sym_typename] = ACTIONS(5292),
    [anon_sym_template] = ACTIONS(5292),
    [anon_sym_operator] = ACTIONS(5292),
    [anon_sym_friend] = ACTIONS(5292),
    [anon_sym_public] = ACTIONS(5292),
    [anon_sym_private] = ACTIONS(5292),
    [anon_sym_protected] = ACTIONS(5292),
    [anon_sym_using] = ACTIONS(5292),
    [anon_sym_static_assert] = ACTIONS(5292),
  },
  [1695] = {
    [sym_identifier] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [aux_sym_preproc_else_token1] = ACTIONS(5296),
    [aux_sym_preproc_elif_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5298),
    [anon_sym_TILDE] = ACTIONS(5298),
    [anon_sym_STAR] = ACTIONS(5298),
    [anon_sym_AMP_AMP] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [anon_sym___extension__] = ACTIONS(5296),
    [anon_sym_typedef] = ACTIONS(5296),
    [anon_sym_virtual] = ACTIONS(5296),
    [anon_sym_extern] = ACTIONS(5296),
    [anon_sym___attribute__] = ACTIONS(5296),
    [anon_sym_COLON_COLON] = ACTIONS(5298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5298),
    [anon_sym___declspec] = ACTIONS(5296),
    [anon_sym___based] = ACTIONS(5296),
    [anon_sym_signed] = ACTIONS(5296),
    [anon_sym_unsigned] = ACTIONS(5296),
    [anon_sym_long] = ACTIONS(5296),
    [anon_sym_short] = ACTIONS(5296),
    [anon_sym_LBRACK] = ACTIONS(5296),
    [anon_sym_static] = ACTIONS(5296),
    [anon_sym_register] = ACTIONS(5296),
    [anon_sym_inline] = ACTIONS(5296),
    [anon_sym___inline] = ACTIONS(5296),
    [anon_sym___inline__] = ACTIONS(5296),
    [anon_sym___forceinline] = ACTIONS(5296),
    [anon_sym_thread_local] = ACTIONS(5296),
    [anon_sym___thread] = ACTIONS(5296),
    [anon_sym_const] = ACTIONS(5296),
    [anon_sym_constexpr] = ACTIONS(5296),
    [anon_sym_volatile] = ACTIONS(5296),
    [anon_sym_restrict] = ACTIONS(5296),
    [anon_sym___restrict__] = ACTIONS(5296),
    [anon_sym__Atomic] = ACTIONS(5296),
    [anon_sym__Noreturn] = ACTIONS(5296),
    [anon_sym_noreturn] = ACTIONS(5296),
    [anon_sym__Nonnull] = ACTIONS(5296),
    [anon_sym_mutable] = ACTIONS(5296),
    [anon_sym_constinit] = ACTIONS(5296),
    [anon_sym_consteval] = ACTIONS(5296),
    [anon_sym_alignas] = ACTIONS(5296),
    [anon_sym__Alignas] = ACTIONS(5296),
    [sym_primitive_type] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(5296),
    [anon_sym_class] = ACTIONS(5296),
    [anon_sym_struct] = ACTIONS(5296),
    [anon_sym_union] = ACTIONS(5296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5296),
    [anon_sym_decltype] = ACTIONS(5296),
    [anon_sym_explicit] = ACTIONS(5296),
    [anon_sym_typename] = ACTIONS(5296),
    [anon_sym_template] = ACTIONS(5296),
    [anon_sym_operator] = ACTIONS(5296),
    [anon_sym_friend] = ACTIONS(5296),
    [anon_sym_public] = ACTIONS(5296),
    [anon_sym_private] = ACTIONS(5296),
    [anon_sym_protected] = ACTIONS(5296),
    [anon_sym_using] = ACTIONS(5296),
    [anon_sym_static_assert] = ACTIONS(5296),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [aux_sym_preproc_else_token1] = ACTIONS(2964),
    [aux_sym_preproc_elif_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_friend] = ACTIONS(2964),
    [anon_sym_public] = ACTIONS(2964),
    [anon_sym_private] = ACTIONS(2964),
    [anon_sym_protected] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
  },
  [1697] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [aux_sym_preproc_else_token1] = ACTIONS(3107),
    [aux_sym_preproc_elif_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_friend] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
  },
  [1698] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5959),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6359),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6359),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1699] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4874),
    [anon_sym_COMMA] = ACTIONS(4874),
    [anon_sym_RPAREN] = ACTIONS(4874),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4874),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_CARET] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4874),
    [anon_sym_BANG_EQ] = ACTIONS(4874),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4874),
    [anon_sym_LT_EQ] = ACTIONS(4872),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4874),
    [anon_sym_GT_GT] = ACTIONS(4874),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(4874),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_signed] = ACTIONS(4872),
    [anon_sym_unsigned] = ACTIONS(4872),
    [anon_sym_long] = ACTIONS(4872),
    [anon_sym_short] = ACTIONS(4872),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_RBRACK] = ACTIONS(4874),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [sym_primitive_type] = ACTIONS(4872),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_QMARK] = ACTIONS(4874),
    [anon_sym_LT_EQ_GT] = ACTIONS(4874),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [anon_sym_bitor] = ACTIONS(4872),
    [anon_sym_xor] = ACTIONS(4872),
    [anon_sym_bitand] = ACTIONS(4872),
    [anon_sym_not_eq] = ACTIONS(4872),
    [anon_sym_DASH_DASH] = ACTIONS(4874),
    [anon_sym_PLUS_PLUS] = ACTIONS(4874),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_DOT_STAR] = ACTIONS(4874),
    [anon_sym_DASH_GT] = ACTIONS(4874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_final] = ACTIONS(4872),
    [anon_sym_override] = ACTIONS(4872),
    [anon_sym_requires] = ACTIONS(4872),
  },
  [1700] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4853),
    [anon_sym_COMMA] = ACTIONS(4853),
    [anon_sym_RPAREN] = ACTIONS(4853),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_DASH] = ACTIONS(4851),
    [anon_sym_PLUS] = ACTIONS(4851),
    [anon_sym_STAR] = ACTIONS(4853),
    [anon_sym_SLASH] = ACTIONS(4851),
    [anon_sym_PERCENT] = ACTIONS(4853),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_PIPE] = ACTIONS(4851),
    [anon_sym_CARET] = ACTIONS(4853),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym_EQ_EQ] = ACTIONS(4853),
    [anon_sym_BANG_EQ] = ACTIONS(4853),
    [anon_sym_GT] = ACTIONS(4851),
    [anon_sym_GT_EQ] = ACTIONS(4853),
    [anon_sym_LT_EQ] = ACTIONS(4851),
    [anon_sym_LT] = ACTIONS(4851),
    [anon_sym_LT_LT] = ACTIONS(4853),
    [anon_sym_GT_GT] = ACTIONS(4853),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym_LBRACE] = ACTIONS(4853),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_signed] = ACTIONS(4851),
    [anon_sym_unsigned] = ACTIONS(4851),
    [anon_sym_long] = ACTIONS(4851),
    [anon_sym_short] = ACTIONS(4851),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_RBRACK] = ACTIONS(4853),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [sym_primitive_type] = ACTIONS(4851),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_QMARK] = ACTIONS(4853),
    [anon_sym_LT_EQ_GT] = ACTIONS(4853),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [anon_sym_bitor] = ACTIONS(4851),
    [anon_sym_xor] = ACTIONS(4851),
    [anon_sym_bitand] = ACTIONS(4851),
    [anon_sym_not_eq] = ACTIONS(4851),
    [anon_sym_DASH_DASH] = ACTIONS(4853),
    [anon_sym_PLUS_PLUS] = ACTIONS(4853),
    [anon_sym_DOT] = ACTIONS(4851),
    [anon_sym_DOT_STAR] = ACTIONS(4853),
    [anon_sym_DASH_GT] = ACTIONS(4853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_final] = ACTIONS(4851),
    [anon_sym_override] = ACTIONS(4851),
    [anon_sym_requires] = ACTIONS(4851),
  },
  [1701] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_COMMA] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym__Nonnull] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4891),
    [anon_sym__Alignas] = ACTIONS(4891),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4891),
    [anon_sym_decltype] = ACTIONS(4891),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4886),
  },
  [1702] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [aux_sym_preproc_else_token1] = ACTIONS(2770),
    [aux_sym_preproc_elif_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_friend] = ACTIONS(2770),
    [anon_sym_public] = ACTIONS(2770),
    [anon_sym_private] = ACTIONS(2770),
    [anon_sym_protected] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
  },
  [1703] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token2] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [aux_sym_preproc_else_token1] = ACTIONS(3183),
    [aux_sym_preproc_elif_token1] = ACTIONS(3183),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_friend] = ACTIONS(3183),
    [anon_sym_public] = ACTIONS(3183),
    [anon_sym_private] = ACTIONS(3183),
    [anon_sym_protected] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
  },
  [1704] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [aux_sym_preproc_else_token1] = ACTIONS(2774),
    [aux_sym_preproc_elif_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_virtual] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_friend] = ACTIONS(2774),
    [anon_sym_public] = ACTIONS(2774),
    [anon_sym_private] = ACTIONS(2774),
    [anon_sym_protected] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
  },
  [1705] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [aux_sym_preproc_else_token1] = ACTIONS(3151),
    [aux_sym_preproc_elif_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [1706] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5931),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6343),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6343),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1707] = {
    [sym_identifier] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [aux_sym_preproc_else_token1] = ACTIONS(5292),
    [aux_sym_preproc_elif_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5294),
    [anon_sym_TILDE] = ACTIONS(5294),
    [anon_sym_STAR] = ACTIONS(5294),
    [anon_sym_AMP_AMP] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [anon_sym___extension__] = ACTIONS(5292),
    [anon_sym_typedef] = ACTIONS(5292),
    [anon_sym_virtual] = ACTIONS(5292),
    [anon_sym_extern] = ACTIONS(5292),
    [anon_sym___attribute__] = ACTIONS(5292),
    [anon_sym_COLON_COLON] = ACTIONS(5294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5294),
    [anon_sym___declspec] = ACTIONS(5292),
    [anon_sym___based] = ACTIONS(5292),
    [anon_sym_signed] = ACTIONS(5292),
    [anon_sym_unsigned] = ACTIONS(5292),
    [anon_sym_long] = ACTIONS(5292),
    [anon_sym_short] = ACTIONS(5292),
    [anon_sym_LBRACK] = ACTIONS(5292),
    [anon_sym_static] = ACTIONS(5292),
    [anon_sym_register] = ACTIONS(5292),
    [anon_sym_inline] = ACTIONS(5292),
    [anon_sym___inline] = ACTIONS(5292),
    [anon_sym___inline__] = ACTIONS(5292),
    [anon_sym___forceinline] = ACTIONS(5292),
    [anon_sym_thread_local] = ACTIONS(5292),
    [anon_sym___thread] = ACTIONS(5292),
    [anon_sym_const] = ACTIONS(5292),
    [anon_sym_constexpr] = ACTIONS(5292),
    [anon_sym_volatile] = ACTIONS(5292),
    [anon_sym_restrict] = ACTIONS(5292),
    [anon_sym___restrict__] = ACTIONS(5292),
    [anon_sym__Atomic] = ACTIONS(5292),
    [anon_sym__Noreturn] = ACTIONS(5292),
    [anon_sym_noreturn] = ACTIONS(5292),
    [anon_sym__Nonnull] = ACTIONS(5292),
    [anon_sym_mutable] = ACTIONS(5292),
    [anon_sym_constinit] = ACTIONS(5292),
    [anon_sym_consteval] = ACTIONS(5292),
    [anon_sym_alignas] = ACTIONS(5292),
    [anon_sym__Alignas] = ACTIONS(5292),
    [sym_primitive_type] = ACTIONS(5292),
    [anon_sym_enum] = ACTIONS(5292),
    [anon_sym_class] = ACTIONS(5292),
    [anon_sym_struct] = ACTIONS(5292),
    [anon_sym_union] = ACTIONS(5292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5292),
    [anon_sym_decltype] = ACTIONS(5292),
    [anon_sym_explicit] = ACTIONS(5292),
    [anon_sym_typename] = ACTIONS(5292),
    [anon_sym_template] = ACTIONS(5292),
    [anon_sym_operator] = ACTIONS(5292),
    [anon_sym_friend] = ACTIONS(5292),
    [anon_sym_public] = ACTIONS(5292),
    [anon_sym_private] = ACTIONS(5292),
    [anon_sym_protected] = ACTIONS(5292),
    [anon_sym_using] = ACTIONS(5292),
    [anon_sym_static_assert] = ACTIONS(5292),
  },
  [1708] = {
    [sym_identifier] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [aux_sym_preproc_else_token1] = ACTIONS(5296),
    [aux_sym_preproc_elif_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5298),
    [anon_sym_TILDE] = ACTIONS(5298),
    [anon_sym_STAR] = ACTIONS(5298),
    [anon_sym_AMP_AMP] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [anon_sym___extension__] = ACTIONS(5296),
    [anon_sym_typedef] = ACTIONS(5296),
    [anon_sym_virtual] = ACTIONS(5296),
    [anon_sym_extern] = ACTIONS(5296),
    [anon_sym___attribute__] = ACTIONS(5296),
    [anon_sym_COLON_COLON] = ACTIONS(5298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5298),
    [anon_sym___declspec] = ACTIONS(5296),
    [anon_sym___based] = ACTIONS(5296),
    [anon_sym_signed] = ACTIONS(5296),
    [anon_sym_unsigned] = ACTIONS(5296),
    [anon_sym_long] = ACTIONS(5296),
    [anon_sym_short] = ACTIONS(5296),
    [anon_sym_LBRACK] = ACTIONS(5296),
    [anon_sym_static] = ACTIONS(5296),
    [anon_sym_register] = ACTIONS(5296),
    [anon_sym_inline] = ACTIONS(5296),
    [anon_sym___inline] = ACTIONS(5296),
    [anon_sym___inline__] = ACTIONS(5296),
    [anon_sym___forceinline] = ACTIONS(5296),
    [anon_sym_thread_local] = ACTIONS(5296),
    [anon_sym___thread] = ACTIONS(5296),
    [anon_sym_const] = ACTIONS(5296),
    [anon_sym_constexpr] = ACTIONS(5296),
    [anon_sym_volatile] = ACTIONS(5296),
    [anon_sym_restrict] = ACTIONS(5296),
    [anon_sym___restrict__] = ACTIONS(5296),
    [anon_sym__Atomic] = ACTIONS(5296),
    [anon_sym__Noreturn] = ACTIONS(5296),
    [anon_sym_noreturn] = ACTIONS(5296),
    [anon_sym__Nonnull] = ACTIONS(5296),
    [anon_sym_mutable] = ACTIONS(5296),
    [anon_sym_constinit] = ACTIONS(5296),
    [anon_sym_consteval] = ACTIONS(5296),
    [anon_sym_alignas] = ACTIONS(5296),
    [anon_sym__Alignas] = ACTIONS(5296),
    [sym_primitive_type] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(5296),
    [anon_sym_class] = ACTIONS(5296),
    [anon_sym_struct] = ACTIONS(5296),
    [anon_sym_union] = ACTIONS(5296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5296),
    [anon_sym_decltype] = ACTIONS(5296),
    [anon_sym_explicit] = ACTIONS(5296),
    [anon_sym_typename] = ACTIONS(5296),
    [anon_sym_template] = ACTIONS(5296),
    [anon_sym_operator] = ACTIONS(5296),
    [anon_sym_friend] = ACTIONS(5296),
    [anon_sym_public] = ACTIONS(5296),
    [anon_sym_private] = ACTIONS(5296),
    [anon_sym_protected] = ACTIONS(5296),
    [anon_sym_using] = ACTIONS(5296),
    [anon_sym_static_assert] = ACTIONS(5296),
  },
  [1709] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [aux_sym_preproc_else_token1] = ACTIONS(3151),
    [aux_sym_preproc_elif_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [1710] = {
    [sym_identifier] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token2] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [aux_sym_preproc_else_token1] = ACTIONS(5300),
    [aux_sym_preproc_elif_token1] = ACTIONS(5300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5302),
    [anon_sym_TILDE] = ACTIONS(5302),
    [anon_sym_STAR] = ACTIONS(5302),
    [anon_sym_AMP_AMP] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [anon_sym___extension__] = ACTIONS(5300),
    [anon_sym_typedef] = ACTIONS(5300),
    [anon_sym_virtual] = ACTIONS(5300),
    [anon_sym_extern] = ACTIONS(5300),
    [anon_sym___attribute__] = ACTIONS(5300),
    [anon_sym_COLON_COLON] = ACTIONS(5302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5302),
    [anon_sym___declspec] = ACTIONS(5300),
    [anon_sym___based] = ACTIONS(5300),
    [anon_sym_signed] = ACTIONS(5300),
    [anon_sym_unsigned] = ACTIONS(5300),
    [anon_sym_long] = ACTIONS(5300),
    [anon_sym_short] = ACTIONS(5300),
    [anon_sym_LBRACK] = ACTIONS(5300),
    [anon_sym_static] = ACTIONS(5300),
    [anon_sym_register] = ACTIONS(5300),
    [anon_sym_inline] = ACTIONS(5300),
    [anon_sym___inline] = ACTIONS(5300),
    [anon_sym___inline__] = ACTIONS(5300),
    [anon_sym___forceinline] = ACTIONS(5300),
    [anon_sym_thread_local] = ACTIONS(5300),
    [anon_sym___thread] = ACTIONS(5300),
    [anon_sym_const] = ACTIONS(5300),
    [anon_sym_constexpr] = ACTIONS(5300),
    [anon_sym_volatile] = ACTIONS(5300),
    [anon_sym_restrict] = ACTIONS(5300),
    [anon_sym___restrict__] = ACTIONS(5300),
    [anon_sym__Atomic] = ACTIONS(5300),
    [anon_sym__Noreturn] = ACTIONS(5300),
    [anon_sym_noreturn] = ACTIONS(5300),
    [anon_sym__Nonnull] = ACTIONS(5300),
    [anon_sym_mutable] = ACTIONS(5300),
    [anon_sym_constinit] = ACTIONS(5300),
    [anon_sym_consteval] = ACTIONS(5300),
    [anon_sym_alignas] = ACTIONS(5300),
    [anon_sym__Alignas] = ACTIONS(5300),
    [sym_primitive_type] = ACTIONS(5300),
    [anon_sym_enum] = ACTIONS(5300),
    [anon_sym_class] = ACTIONS(5300),
    [anon_sym_struct] = ACTIONS(5300),
    [anon_sym_union] = ACTIONS(5300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5300),
    [anon_sym_decltype] = ACTIONS(5300),
    [anon_sym_explicit] = ACTIONS(5300),
    [anon_sym_typename] = ACTIONS(5300),
    [anon_sym_template] = ACTIONS(5300),
    [anon_sym_operator] = ACTIONS(5300),
    [anon_sym_friend] = ACTIONS(5300),
    [anon_sym_public] = ACTIONS(5300),
    [anon_sym_private] = ACTIONS(5300),
    [anon_sym_protected] = ACTIONS(5300),
    [anon_sym_using] = ACTIONS(5300),
    [anon_sym_static_assert] = ACTIONS(5300),
  },
  [1711] = {
    [sym_identifier] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [aux_sym_preproc_else_token1] = ACTIONS(5304),
    [aux_sym_preproc_elif_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5306),
    [anon_sym_TILDE] = ACTIONS(5306),
    [anon_sym_STAR] = ACTIONS(5306),
    [anon_sym_AMP_AMP] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_typedef] = ACTIONS(5304),
    [anon_sym_virtual] = ACTIONS(5304),
    [anon_sym_extern] = ACTIONS(5304),
    [anon_sym___attribute__] = ACTIONS(5304),
    [anon_sym_COLON_COLON] = ACTIONS(5306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5306),
    [anon_sym___declspec] = ACTIONS(5304),
    [anon_sym___based] = ACTIONS(5304),
    [anon_sym_signed] = ACTIONS(5304),
    [anon_sym_unsigned] = ACTIONS(5304),
    [anon_sym_long] = ACTIONS(5304),
    [anon_sym_short] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(5304),
    [anon_sym_static] = ACTIONS(5304),
    [anon_sym_register] = ACTIONS(5304),
    [anon_sym_inline] = ACTIONS(5304),
    [anon_sym___inline] = ACTIONS(5304),
    [anon_sym___inline__] = ACTIONS(5304),
    [anon_sym___forceinline] = ACTIONS(5304),
    [anon_sym_thread_local] = ACTIONS(5304),
    [anon_sym___thread] = ACTIONS(5304),
    [anon_sym_const] = ACTIONS(5304),
    [anon_sym_constexpr] = ACTIONS(5304),
    [anon_sym_volatile] = ACTIONS(5304),
    [anon_sym_restrict] = ACTIONS(5304),
    [anon_sym___restrict__] = ACTIONS(5304),
    [anon_sym__Atomic] = ACTIONS(5304),
    [anon_sym__Noreturn] = ACTIONS(5304),
    [anon_sym_noreturn] = ACTIONS(5304),
    [anon_sym__Nonnull] = ACTIONS(5304),
    [anon_sym_mutable] = ACTIONS(5304),
    [anon_sym_constinit] = ACTIONS(5304),
    [anon_sym_consteval] = ACTIONS(5304),
    [anon_sym_alignas] = ACTIONS(5304),
    [anon_sym__Alignas] = ACTIONS(5304),
    [sym_primitive_type] = ACTIONS(5304),
    [anon_sym_enum] = ACTIONS(5304),
    [anon_sym_class] = ACTIONS(5304),
    [anon_sym_struct] = ACTIONS(5304),
    [anon_sym_union] = ACTIONS(5304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5304),
    [anon_sym_decltype] = ACTIONS(5304),
    [anon_sym_explicit] = ACTIONS(5304),
    [anon_sym_typename] = ACTIONS(5304),
    [anon_sym_template] = ACTIONS(5304),
    [anon_sym_operator] = ACTIONS(5304),
    [anon_sym_friend] = ACTIONS(5304),
    [anon_sym_public] = ACTIONS(5304),
    [anon_sym_private] = ACTIONS(5304),
    [anon_sym_protected] = ACTIONS(5304),
    [anon_sym_using] = ACTIONS(5304),
    [anon_sym_static_assert] = ACTIONS(5304),
  },
  [1712] = {
    [sym_identifier] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token2] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [aux_sym_preproc_else_token1] = ACTIONS(5308),
    [aux_sym_preproc_elif_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5310),
    [anon_sym_TILDE] = ACTIONS(5310),
    [anon_sym_STAR] = ACTIONS(5310),
    [anon_sym_AMP_AMP] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [anon_sym___extension__] = ACTIONS(5308),
    [anon_sym_typedef] = ACTIONS(5308),
    [anon_sym_virtual] = ACTIONS(5308),
    [anon_sym_extern] = ACTIONS(5308),
    [anon_sym___attribute__] = ACTIONS(5308),
    [anon_sym_COLON_COLON] = ACTIONS(5310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5310),
    [anon_sym___declspec] = ACTIONS(5308),
    [anon_sym___based] = ACTIONS(5308),
    [anon_sym_signed] = ACTIONS(5308),
    [anon_sym_unsigned] = ACTIONS(5308),
    [anon_sym_long] = ACTIONS(5308),
    [anon_sym_short] = ACTIONS(5308),
    [anon_sym_LBRACK] = ACTIONS(5308),
    [anon_sym_static] = ACTIONS(5308),
    [anon_sym_register] = ACTIONS(5308),
    [anon_sym_inline] = ACTIONS(5308),
    [anon_sym___inline] = ACTIONS(5308),
    [anon_sym___inline__] = ACTIONS(5308),
    [anon_sym___forceinline] = ACTIONS(5308),
    [anon_sym_thread_local] = ACTIONS(5308),
    [anon_sym___thread] = ACTIONS(5308),
    [anon_sym_const] = ACTIONS(5308),
    [anon_sym_constexpr] = ACTIONS(5308),
    [anon_sym_volatile] = ACTIONS(5308),
    [anon_sym_restrict] = ACTIONS(5308),
    [anon_sym___restrict__] = ACTIONS(5308),
    [anon_sym__Atomic] = ACTIONS(5308),
    [anon_sym__Noreturn] = ACTIONS(5308),
    [anon_sym_noreturn] = ACTIONS(5308),
    [anon_sym__Nonnull] = ACTIONS(5308),
    [anon_sym_mutable] = ACTIONS(5308),
    [anon_sym_constinit] = ACTIONS(5308),
    [anon_sym_consteval] = ACTIONS(5308),
    [anon_sym_alignas] = ACTIONS(5308),
    [anon_sym__Alignas] = ACTIONS(5308),
    [sym_primitive_type] = ACTIONS(5308),
    [anon_sym_enum] = ACTIONS(5308),
    [anon_sym_class] = ACTIONS(5308),
    [anon_sym_struct] = ACTIONS(5308),
    [anon_sym_union] = ACTIONS(5308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5308),
    [anon_sym_decltype] = ACTIONS(5308),
    [anon_sym_explicit] = ACTIONS(5308),
    [anon_sym_typename] = ACTIONS(5308),
    [anon_sym_template] = ACTIONS(5308),
    [anon_sym_operator] = ACTIONS(5308),
    [anon_sym_friend] = ACTIONS(5308),
    [anon_sym_public] = ACTIONS(5308),
    [anon_sym_private] = ACTIONS(5308),
    [anon_sym_protected] = ACTIONS(5308),
    [anon_sym_using] = ACTIONS(5308),
    [anon_sym_static_assert] = ACTIONS(5308),
  },
  [1713] = {
    [sym_identifier] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token2] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [aux_sym_preproc_else_token1] = ACTIONS(5312),
    [aux_sym_preproc_elif_token1] = ACTIONS(5312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_TILDE] = ACTIONS(5314),
    [anon_sym_STAR] = ACTIONS(5314),
    [anon_sym_AMP_AMP] = ACTIONS(5314),
    [anon_sym_AMP] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5314),
    [anon_sym___extension__] = ACTIONS(5312),
    [anon_sym_typedef] = ACTIONS(5312),
    [anon_sym_virtual] = ACTIONS(5312),
    [anon_sym_extern] = ACTIONS(5312),
    [anon_sym___attribute__] = ACTIONS(5312),
    [anon_sym_COLON_COLON] = ACTIONS(5314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5314),
    [anon_sym___declspec] = ACTIONS(5312),
    [anon_sym___based] = ACTIONS(5312),
    [anon_sym_signed] = ACTIONS(5312),
    [anon_sym_unsigned] = ACTIONS(5312),
    [anon_sym_long] = ACTIONS(5312),
    [anon_sym_short] = ACTIONS(5312),
    [anon_sym_LBRACK] = ACTIONS(5312),
    [anon_sym_static] = ACTIONS(5312),
    [anon_sym_register] = ACTIONS(5312),
    [anon_sym_inline] = ACTIONS(5312),
    [anon_sym___inline] = ACTIONS(5312),
    [anon_sym___inline__] = ACTIONS(5312),
    [anon_sym___forceinline] = ACTIONS(5312),
    [anon_sym_thread_local] = ACTIONS(5312),
    [anon_sym___thread] = ACTIONS(5312),
    [anon_sym_const] = ACTIONS(5312),
    [anon_sym_constexpr] = ACTIONS(5312),
    [anon_sym_volatile] = ACTIONS(5312),
    [anon_sym_restrict] = ACTIONS(5312),
    [anon_sym___restrict__] = ACTIONS(5312),
    [anon_sym__Atomic] = ACTIONS(5312),
    [anon_sym__Noreturn] = ACTIONS(5312),
    [anon_sym_noreturn] = ACTIONS(5312),
    [anon_sym__Nonnull] = ACTIONS(5312),
    [anon_sym_mutable] = ACTIONS(5312),
    [anon_sym_constinit] = ACTIONS(5312),
    [anon_sym_consteval] = ACTIONS(5312),
    [anon_sym_alignas] = ACTIONS(5312),
    [anon_sym__Alignas] = ACTIONS(5312),
    [sym_primitive_type] = ACTIONS(5312),
    [anon_sym_enum] = ACTIONS(5312),
    [anon_sym_class] = ACTIONS(5312),
    [anon_sym_struct] = ACTIONS(5312),
    [anon_sym_union] = ACTIONS(5312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5312),
    [anon_sym_decltype] = ACTIONS(5312),
    [anon_sym_explicit] = ACTIONS(5312),
    [anon_sym_typename] = ACTIONS(5312),
    [anon_sym_template] = ACTIONS(5312),
    [anon_sym_operator] = ACTIONS(5312),
    [anon_sym_friend] = ACTIONS(5312),
    [anon_sym_public] = ACTIONS(5312),
    [anon_sym_private] = ACTIONS(5312),
    [anon_sym_protected] = ACTIONS(5312),
    [anon_sym_using] = ACTIONS(5312),
    [anon_sym_static_assert] = ACTIONS(5312),
  },
  [1714] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_SLASH] = ACTIONS(5316),
    [anon_sym_PERCENT] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5316),
    [anon_sym_CARET] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym_EQ_EQ] = ACTIONS(5318),
    [anon_sym_BANG_EQ] = ACTIONS(5318),
    [anon_sym_GT] = ACTIONS(5316),
    [anon_sym_GT_EQ] = ACTIONS(5318),
    [anon_sym_LT_EQ] = ACTIONS(5316),
    [anon_sym_LT] = ACTIONS(5316),
    [anon_sym_LT_LT] = ACTIONS(5318),
    [anon_sym_GT_GT] = ACTIONS(5318),
    [anon_sym_SEMI] = ACTIONS(5318),
    [anon_sym___extension__] = ACTIONS(5316),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym___based] = ACTIONS(5316),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_RBRACE] = ACTIONS(5318),
    [anon_sym_signed] = ACTIONS(5316),
    [anon_sym_unsigned] = ACTIONS(5316),
    [anon_sym_long] = ACTIONS(5316),
    [anon_sym_short] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [anon_sym_RBRACK] = ACTIONS(5318),
    [anon_sym_const] = ACTIONS(5316),
    [anon_sym_constexpr] = ACTIONS(5316),
    [anon_sym_volatile] = ACTIONS(5316),
    [anon_sym_restrict] = ACTIONS(5316),
    [anon_sym___restrict__] = ACTIONS(5316),
    [anon_sym__Atomic] = ACTIONS(5316),
    [anon_sym__Noreturn] = ACTIONS(5316),
    [anon_sym_noreturn] = ACTIONS(5316),
    [anon_sym__Nonnull] = ACTIONS(5316),
    [anon_sym_mutable] = ACTIONS(5316),
    [anon_sym_constinit] = ACTIONS(5316),
    [anon_sym_consteval] = ACTIONS(5316),
    [anon_sym_alignas] = ACTIONS(5316),
    [anon_sym__Alignas] = ACTIONS(5316),
    [sym_primitive_type] = ACTIONS(5316),
    [anon_sym_COLON] = ACTIONS(5316),
    [anon_sym_QMARK] = ACTIONS(5318),
    [anon_sym_LT_EQ_GT] = ACTIONS(5318),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [anon_sym_bitor] = ACTIONS(5316),
    [anon_sym_xor] = ACTIONS(5316),
    [anon_sym_bitand] = ACTIONS(5316),
    [anon_sym_not_eq] = ACTIONS(5316),
    [anon_sym_DASH_DASH] = ACTIONS(5318),
    [anon_sym_PLUS_PLUS] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5316),
    [anon_sym_DOT_STAR] = ACTIONS(5318),
    [anon_sym_DASH_GT] = ACTIONS(5318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_final] = ACTIONS(5316),
    [anon_sym_override] = ACTIONS(5316),
    [anon_sym_requires] = ACTIONS(5316),
  },
  [1715] = {
    [sym_identifier] = ACTIONS(5225),
    [aux_sym_preproc_def_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token2] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5225),
    [aux_sym_preproc_else_token1] = ACTIONS(5225),
    [aux_sym_preproc_elif_token1] = ACTIONS(5225),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5225),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5225),
    [sym_preproc_directive] = ACTIONS(5225),
    [anon_sym_LPAREN2] = ACTIONS(5227),
    [anon_sym_TILDE] = ACTIONS(5227),
    [anon_sym_STAR] = ACTIONS(5227),
    [anon_sym_AMP_AMP] = ACTIONS(5227),
    [anon_sym_AMP] = ACTIONS(5225),
    [anon_sym_SEMI] = ACTIONS(5227),
    [anon_sym___extension__] = ACTIONS(5225),
    [anon_sym_typedef] = ACTIONS(5225),
    [anon_sym_virtual] = ACTIONS(5225),
    [anon_sym_extern] = ACTIONS(5225),
    [anon_sym___attribute__] = ACTIONS(5225),
    [anon_sym_COLON_COLON] = ACTIONS(5227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5227),
    [anon_sym___declspec] = ACTIONS(5225),
    [anon_sym___based] = ACTIONS(5225),
    [anon_sym_signed] = ACTIONS(5225),
    [anon_sym_unsigned] = ACTIONS(5225),
    [anon_sym_long] = ACTIONS(5225),
    [anon_sym_short] = ACTIONS(5225),
    [anon_sym_LBRACK] = ACTIONS(5225),
    [anon_sym_static] = ACTIONS(5225),
    [anon_sym_register] = ACTIONS(5225),
    [anon_sym_inline] = ACTIONS(5225),
    [anon_sym___inline] = ACTIONS(5225),
    [anon_sym___inline__] = ACTIONS(5225),
    [anon_sym___forceinline] = ACTIONS(5225),
    [anon_sym_thread_local] = ACTIONS(5225),
    [anon_sym___thread] = ACTIONS(5225),
    [anon_sym_const] = ACTIONS(5225),
    [anon_sym_constexpr] = ACTIONS(5225),
    [anon_sym_volatile] = ACTIONS(5225),
    [anon_sym_restrict] = ACTIONS(5225),
    [anon_sym___restrict__] = ACTIONS(5225),
    [anon_sym__Atomic] = ACTIONS(5225),
    [anon_sym__Noreturn] = ACTIONS(5225),
    [anon_sym_noreturn] = ACTIONS(5225),
    [anon_sym__Nonnull] = ACTIONS(5225),
    [anon_sym_mutable] = ACTIONS(5225),
    [anon_sym_constinit] = ACTIONS(5225),
    [anon_sym_consteval] = ACTIONS(5225),
    [anon_sym_alignas] = ACTIONS(5225),
    [anon_sym__Alignas] = ACTIONS(5225),
    [sym_primitive_type] = ACTIONS(5225),
    [anon_sym_enum] = ACTIONS(5225),
    [anon_sym_class] = ACTIONS(5225),
    [anon_sym_struct] = ACTIONS(5225),
    [anon_sym_union] = ACTIONS(5225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5225),
    [anon_sym_decltype] = ACTIONS(5225),
    [anon_sym_explicit] = ACTIONS(5225),
    [anon_sym_typename] = ACTIONS(5225),
    [anon_sym_template] = ACTIONS(5225),
    [anon_sym_operator] = ACTIONS(5225),
    [anon_sym_friend] = ACTIONS(5225),
    [anon_sym_public] = ACTIONS(5225),
    [anon_sym_private] = ACTIONS(5225),
    [anon_sym_protected] = ACTIONS(5225),
    [anon_sym_using] = ACTIONS(5225),
    [anon_sym_static_assert] = ACTIONS(5225),
  },
  [1716] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [aux_sym_preproc_else_token1] = ACTIONS(3139),
    [aux_sym_preproc_elif_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_friend] = ACTIONS(3139),
    [anon_sym_public] = ACTIONS(3139),
    [anon_sym_private] = ACTIONS(3139),
    [anon_sym_protected] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
  },
  [1717] = {
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token2] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [aux_sym_preproc_else_token1] = ACTIONS(3135),
    [aux_sym_preproc_elif_token1] = ACTIONS(3135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_friend] = ACTIONS(3135),
    [anon_sym_public] = ACTIONS(3135),
    [anon_sym_private] = ACTIONS(3135),
    [anon_sym_protected] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
  },
  [1718] = {
    [sym_decltype_auto] = STATE(1803),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5324),
    [anon_sym_COMMA] = ACTIONS(5324),
    [anon_sym_RPAREN] = ACTIONS(5324),
    [anon_sym_LPAREN2] = ACTIONS(5324),
    [anon_sym_DASH] = ACTIONS(5322),
    [anon_sym_PLUS] = ACTIONS(5322),
    [anon_sym_STAR] = ACTIONS(5324),
    [anon_sym_SLASH] = ACTIONS(5322),
    [anon_sym_PERCENT] = ACTIONS(5324),
    [anon_sym_PIPE_PIPE] = ACTIONS(5324),
    [anon_sym_AMP_AMP] = ACTIONS(5324),
    [anon_sym_PIPE] = ACTIONS(5322),
    [anon_sym_CARET] = ACTIONS(5324),
    [anon_sym_AMP] = ACTIONS(5322),
    [anon_sym_EQ_EQ] = ACTIONS(5324),
    [anon_sym_BANG_EQ] = ACTIONS(5324),
    [anon_sym_GT] = ACTIONS(5322),
    [anon_sym_GT_EQ] = ACTIONS(5324),
    [anon_sym_LT_EQ] = ACTIONS(5322),
    [anon_sym_LT] = ACTIONS(5322),
    [anon_sym_LT_LT] = ACTIONS(5324),
    [anon_sym_GT_GT] = ACTIONS(5324),
    [anon_sym_SEMI] = ACTIONS(5324),
    [anon_sym___extension__] = ACTIONS(5322),
    [anon_sym___attribute__] = ACTIONS(5322),
    [anon_sym___based] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(5324),
    [anon_sym_RBRACE] = ACTIONS(5324),
    [anon_sym_signed] = ACTIONS(5322),
    [anon_sym_unsigned] = ACTIONS(5322),
    [anon_sym_long] = ACTIONS(5322),
    [anon_sym_short] = ACTIONS(5322),
    [anon_sym_LBRACK] = ACTIONS(5324),
    [anon_sym_RBRACK] = ACTIONS(5324),
    [anon_sym_const] = ACTIONS(5322),
    [anon_sym_constexpr] = ACTIONS(5322),
    [anon_sym_volatile] = ACTIONS(5322),
    [anon_sym_restrict] = ACTIONS(5322),
    [anon_sym___restrict__] = ACTIONS(5322),
    [anon_sym__Atomic] = ACTIONS(5322),
    [anon_sym__Noreturn] = ACTIONS(5322),
    [anon_sym_noreturn] = ACTIONS(5322),
    [anon_sym__Nonnull] = ACTIONS(5322),
    [anon_sym_mutable] = ACTIONS(5322),
    [anon_sym_constinit] = ACTIONS(5322),
    [anon_sym_consteval] = ACTIONS(5322),
    [anon_sym_alignas] = ACTIONS(5322),
    [anon_sym__Alignas] = ACTIONS(5322),
    [sym_primitive_type] = ACTIONS(5322),
    [anon_sym_COLON] = ACTIONS(5324),
    [anon_sym_QMARK] = ACTIONS(5324),
    [anon_sym_LT_EQ_GT] = ACTIONS(5324),
    [anon_sym_or] = ACTIONS(5322),
    [anon_sym_and] = ACTIONS(5322),
    [anon_sym_bitor] = ACTIONS(5322),
    [anon_sym_xor] = ACTIONS(5322),
    [anon_sym_bitand] = ACTIONS(5322),
    [anon_sym_not_eq] = ACTIONS(5322),
    [anon_sym_DASH_DASH] = ACTIONS(5324),
    [anon_sym_PLUS_PLUS] = ACTIONS(5324),
    [anon_sym_DOT] = ACTIONS(5322),
    [anon_sym_DOT_STAR] = ACTIONS(5324),
    [anon_sym_DASH_GT] = ACTIONS(5324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5326),
    [anon_sym_decltype] = ACTIONS(5328),
    [anon_sym_final] = ACTIONS(5322),
    [anon_sym_override] = ACTIONS(5322),
    [anon_sym_requires] = ACTIONS(5322),
  },
  [1719] = {
    [sym_identifier] = ACTIONS(5330),
    [aux_sym_preproc_def_token1] = ACTIONS(5330),
    [aux_sym_preproc_if_token1] = ACTIONS(5330),
    [aux_sym_preproc_if_token2] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5330),
    [aux_sym_preproc_else_token1] = ACTIONS(5330),
    [aux_sym_preproc_elif_token1] = ACTIONS(5330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5330),
    [sym_preproc_directive] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(5332),
    [anon_sym_TILDE] = ACTIONS(5332),
    [anon_sym_STAR] = ACTIONS(5332),
    [anon_sym_AMP_AMP] = ACTIONS(5332),
    [anon_sym_AMP] = ACTIONS(5330),
    [anon_sym_SEMI] = ACTIONS(5332),
    [anon_sym___extension__] = ACTIONS(5330),
    [anon_sym_typedef] = ACTIONS(5330),
    [anon_sym_virtual] = ACTIONS(5330),
    [anon_sym_extern] = ACTIONS(5330),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5332),
    [anon_sym___declspec] = ACTIONS(5330),
    [anon_sym___based] = ACTIONS(5330),
    [anon_sym_signed] = ACTIONS(5330),
    [anon_sym_unsigned] = ACTIONS(5330),
    [anon_sym_long] = ACTIONS(5330),
    [anon_sym_short] = ACTIONS(5330),
    [anon_sym_LBRACK] = ACTIONS(5330),
    [anon_sym_static] = ACTIONS(5330),
    [anon_sym_register] = ACTIONS(5330),
    [anon_sym_inline] = ACTIONS(5330),
    [anon_sym___inline] = ACTIONS(5330),
    [anon_sym___inline__] = ACTIONS(5330),
    [anon_sym___forceinline] = ACTIONS(5330),
    [anon_sym_thread_local] = ACTIONS(5330),
    [anon_sym___thread] = ACTIONS(5330),
    [anon_sym_const] = ACTIONS(5330),
    [anon_sym_constexpr] = ACTIONS(5330),
    [anon_sym_volatile] = ACTIONS(5330),
    [anon_sym_restrict] = ACTIONS(5330),
    [anon_sym___restrict__] = ACTIONS(5330),
    [anon_sym__Atomic] = ACTIONS(5330),
    [anon_sym__Noreturn] = ACTIONS(5330),
    [anon_sym_noreturn] = ACTIONS(5330),
    [anon_sym__Nonnull] = ACTIONS(5330),
    [anon_sym_mutable] = ACTIONS(5330),
    [anon_sym_constinit] = ACTIONS(5330),
    [anon_sym_consteval] = ACTIONS(5330),
    [anon_sym_alignas] = ACTIONS(5330),
    [anon_sym__Alignas] = ACTIONS(5330),
    [sym_primitive_type] = ACTIONS(5330),
    [anon_sym_enum] = ACTIONS(5330),
    [anon_sym_class] = ACTIONS(5330),
    [anon_sym_struct] = ACTIONS(5330),
    [anon_sym_union] = ACTIONS(5330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5330),
    [anon_sym_decltype] = ACTIONS(5330),
    [anon_sym_explicit] = ACTIONS(5330),
    [anon_sym_typename] = ACTIONS(5330),
    [anon_sym_template] = ACTIONS(5330),
    [anon_sym_operator] = ACTIONS(5330),
    [anon_sym_friend] = ACTIONS(5330),
    [anon_sym_public] = ACTIONS(5330),
    [anon_sym_private] = ACTIONS(5330),
    [anon_sym_protected] = ACTIONS(5330),
    [anon_sym_using] = ACTIONS(5330),
    [anon_sym_static_assert] = ACTIONS(5330),
  },
  [1720] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [aux_sym_preproc_else_token1] = ACTIONS(2924),
    [aux_sym_preproc_elif_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_friend] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
  },
  [1721] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [aux_sym_preproc_else_token1] = ACTIONS(2696),
    [aux_sym_preproc_elif_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_friend] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
  },
  [1722] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_SLASH] = ACTIONS(5316),
    [anon_sym_PERCENT] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5316),
    [anon_sym_CARET] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym_EQ_EQ] = ACTIONS(5318),
    [anon_sym_BANG_EQ] = ACTIONS(5318),
    [anon_sym_GT] = ACTIONS(5316),
    [anon_sym_GT_EQ] = ACTIONS(5318),
    [anon_sym_LT_EQ] = ACTIONS(5316),
    [anon_sym_LT] = ACTIONS(5316),
    [anon_sym_LT_LT] = ACTIONS(5318),
    [anon_sym_GT_GT] = ACTIONS(5318),
    [anon_sym_SEMI] = ACTIONS(5318),
    [anon_sym___extension__] = ACTIONS(5316),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym___based] = ACTIONS(5316),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_RBRACE] = ACTIONS(5318),
    [anon_sym_signed] = ACTIONS(5316),
    [anon_sym_unsigned] = ACTIONS(5316),
    [anon_sym_long] = ACTIONS(5316),
    [anon_sym_short] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [anon_sym_RBRACK] = ACTIONS(5318),
    [anon_sym_const] = ACTIONS(5316),
    [anon_sym_constexpr] = ACTIONS(5316),
    [anon_sym_volatile] = ACTIONS(5316),
    [anon_sym_restrict] = ACTIONS(5316),
    [anon_sym___restrict__] = ACTIONS(5316),
    [anon_sym__Atomic] = ACTIONS(5316),
    [anon_sym__Noreturn] = ACTIONS(5316),
    [anon_sym_noreturn] = ACTIONS(5316),
    [anon_sym__Nonnull] = ACTIONS(5316),
    [anon_sym_mutable] = ACTIONS(5316),
    [anon_sym_constinit] = ACTIONS(5316),
    [anon_sym_consteval] = ACTIONS(5316),
    [anon_sym_alignas] = ACTIONS(5316),
    [anon_sym__Alignas] = ACTIONS(5316),
    [sym_primitive_type] = ACTIONS(5316),
    [anon_sym_COLON] = ACTIONS(5316),
    [anon_sym_QMARK] = ACTIONS(5318),
    [anon_sym_LT_EQ_GT] = ACTIONS(5318),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [anon_sym_bitor] = ACTIONS(5316),
    [anon_sym_xor] = ACTIONS(5316),
    [anon_sym_bitand] = ACTIONS(5316),
    [anon_sym_not_eq] = ACTIONS(5316),
    [anon_sym_DASH_DASH] = ACTIONS(5318),
    [anon_sym_PLUS_PLUS] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5316),
    [anon_sym_DOT_STAR] = ACTIONS(5318),
    [anon_sym_DASH_GT] = ACTIONS(5318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_final] = ACTIONS(5316),
    [anon_sym_override] = ACTIONS(5316),
    [anon_sym_requires] = ACTIONS(5316),
  },
  [1723] = {
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_STAR] = ACTIONS(5336),
    [anon_sym_SLASH] = ACTIONS(5334),
    [anon_sym_PERCENT] = ACTIONS(5336),
    [anon_sym_PIPE_PIPE] = ACTIONS(5336),
    [anon_sym_AMP_AMP] = ACTIONS(5336),
    [anon_sym_PIPE] = ACTIONS(5334),
    [anon_sym_CARET] = ACTIONS(5336),
    [anon_sym_AMP] = ACTIONS(5334),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_GT] = ACTIONS(5334),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5334),
    [anon_sym_LT] = ACTIONS(5334),
    [anon_sym_LT_LT] = ACTIONS(5336),
    [anon_sym_GT_GT] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym___extension__] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5334),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym___based] = ACTIONS(5334),
    [anon_sym_LBRACE] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_signed] = ACTIONS(5334),
    [anon_sym_unsigned] = ACTIONS(5334),
    [anon_sym_long] = ACTIONS(5334),
    [anon_sym_short] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_RBRACK] = ACTIONS(5336),
    [anon_sym_const] = ACTIONS(5334),
    [anon_sym_constexpr] = ACTIONS(5334),
    [anon_sym_volatile] = ACTIONS(5334),
    [anon_sym_restrict] = ACTIONS(5334),
    [anon_sym___restrict__] = ACTIONS(5334),
    [anon_sym__Atomic] = ACTIONS(5334),
    [anon_sym__Noreturn] = ACTIONS(5334),
    [anon_sym_noreturn] = ACTIONS(5334),
    [anon_sym__Nonnull] = ACTIONS(5334),
    [anon_sym_mutable] = ACTIONS(5334),
    [anon_sym_constinit] = ACTIONS(5334),
    [anon_sym_consteval] = ACTIONS(5334),
    [anon_sym_alignas] = ACTIONS(5334),
    [anon_sym__Alignas] = ACTIONS(5334),
    [sym_primitive_type] = ACTIONS(5334),
    [anon_sym_COLON] = ACTIONS(5334),
    [anon_sym_QMARK] = ACTIONS(5336),
    [anon_sym_LT_EQ_GT] = ACTIONS(5336),
    [anon_sym_or] = ACTIONS(5334),
    [anon_sym_and] = ACTIONS(5334),
    [anon_sym_bitor] = ACTIONS(5334),
    [anon_sym_xor] = ACTIONS(5334),
    [anon_sym_bitand] = ACTIONS(5334),
    [anon_sym_not_eq] = ACTIONS(5334),
    [anon_sym_DASH_DASH] = ACTIONS(5336),
    [anon_sym_PLUS_PLUS] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5334),
    [anon_sym_DOT_STAR] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5334),
    [anon_sym_decltype] = ACTIONS(5334),
    [anon_sym_final] = ACTIONS(5334),
    [anon_sym_override] = ACTIONS(5334),
    [anon_sym_requires] = ACTIONS(5334),
  },
  [1724] = {
    [sym_identifier] = ACTIONS(2894),
    [aux_sym_preproc_def_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token2] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2894),
    [aux_sym_preproc_else_token1] = ACTIONS(2894),
    [aux_sym_preproc_elif_token1] = ACTIONS(2894),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2894),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2894),
    [sym_preproc_directive] = ACTIONS(2894),
    [anon_sym_LPAREN2] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym___extension__] = ACTIONS(2894),
    [anon_sym_typedef] = ACTIONS(2894),
    [anon_sym_virtual] = ACTIONS(2894),
    [anon_sym_extern] = ACTIONS(2894),
    [anon_sym___attribute__] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2896),
    [anon_sym___declspec] = ACTIONS(2894),
    [anon_sym___based] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2894),
    [anon_sym_unsigned] = ACTIONS(2894),
    [anon_sym_long] = ACTIONS(2894),
    [anon_sym_short] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2894),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_register] = ACTIONS(2894),
    [anon_sym_inline] = ACTIONS(2894),
    [anon_sym___inline] = ACTIONS(2894),
    [anon_sym___inline__] = ACTIONS(2894),
    [anon_sym___forceinline] = ACTIONS(2894),
    [anon_sym_thread_local] = ACTIONS(2894),
    [anon_sym___thread] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2894),
    [anon_sym_constexpr] = ACTIONS(2894),
    [anon_sym_volatile] = ACTIONS(2894),
    [anon_sym_restrict] = ACTIONS(2894),
    [anon_sym___restrict__] = ACTIONS(2894),
    [anon_sym__Atomic] = ACTIONS(2894),
    [anon_sym__Noreturn] = ACTIONS(2894),
    [anon_sym_noreturn] = ACTIONS(2894),
    [anon_sym__Nonnull] = ACTIONS(2894),
    [anon_sym_mutable] = ACTIONS(2894),
    [anon_sym_constinit] = ACTIONS(2894),
    [anon_sym_consteval] = ACTIONS(2894),
    [anon_sym_alignas] = ACTIONS(2894),
    [anon_sym__Alignas] = ACTIONS(2894),
    [sym_primitive_type] = ACTIONS(2894),
    [anon_sym_enum] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_struct] = ACTIONS(2894),
    [anon_sym_union] = ACTIONS(2894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2894),
    [anon_sym_decltype] = ACTIONS(2894),
    [anon_sym_explicit] = ACTIONS(2894),
    [anon_sym_typename] = ACTIONS(2894),
    [anon_sym_template] = ACTIONS(2894),
    [anon_sym_operator] = ACTIONS(2894),
    [anon_sym_friend] = ACTIONS(2894),
    [anon_sym_public] = ACTIONS(2894),
    [anon_sym_private] = ACTIONS(2894),
    [anon_sym_protected] = ACTIONS(2894),
    [anon_sym_using] = ACTIONS(2894),
    [anon_sym_static_assert] = ACTIONS(2894),
  },
  [1725] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [aux_sym_preproc_else_token1] = ACTIONS(2868),
    [aux_sym_preproc_elif_token1] = ACTIONS(2868),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_virtual] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_friend] = ACTIONS(2868),
    [anon_sym_public] = ACTIONS(2868),
    [anon_sym_private] = ACTIONS(2868),
    [anon_sym_protected] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
  },
  [1726] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [aux_sym_preproc_else_token1] = ACTIONS(2932),
    [aux_sym_preproc_elif_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_friend] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_protected] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
  },
  [1727] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [aux_sym_preproc_else_token1] = ACTIONS(2864),
    [aux_sym_preproc_elif_token1] = ACTIONS(2864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_AMP_AMP] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_virtual] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___based] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_mutable] = ACTIONS(2864),
    [anon_sym_constinit] = ACTIONS(2864),
    [anon_sym_consteval] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_class] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2864),
    [anon_sym_decltype] = ACTIONS(2864),
    [anon_sym_explicit] = ACTIONS(2864),
    [anon_sym_typename] = ACTIONS(2864),
    [anon_sym_template] = ACTIONS(2864),
    [anon_sym_operator] = ACTIONS(2864),
    [anon_sym_friend] = ACTIONS(2864),
    [anon_sym_public] = ACTIONS(2864),
    [anon_sym_private] = ACTIONS(2864),
    [anon_sym_protected] = ACTIONS(2864),
    [anon_sym_using] = ACTIONS(2864),
    [anon_sym_static_assert] = ACTIONS(2864),
  },
  [1728] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token2] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [aux_sym_preproc_else_token1] = ACTIONS(3044),
    [aux_sym_preproc_elif_token1] = ACTIONS(3044),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_friend] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
  },
  [1729] = {
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token2] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [aux_sym_preproc_else_token1] = ACTIONS(2714),
    [aux_sym_preproc_elif_token1] = ACTIONS(2714),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_virtual] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___based] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_mutable] = ACTIONS(2714),
    [anon_sym_constinit] = ACTIONS(2714),
    [anon_sym_consteval] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_class] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2714),
    [anon_sym_decltype] = ACTIONS(2714),
    [anon_sym_explicit] = ACTIONS(2714),
    [anon_sym_typename] = ACTIONS(2714),
    [anon_sym_template] = ACTIONS(2714),
    [anon_sym_operator] = ACTIONS(2714),
    [anon_sym_friend] = ACTIONS(2714),
    [anon_sym_public] = ACTIONS(2714),
    [anon_sym_private] = ACTIONS(2714),
    [anon_sym_protected] = ACTIONS(2714),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2714),
  },
  [1730] = {
    [sym_identifier] = ACTIONS(5338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5340),
    [anon_sym_COMMA] = ACTIONS(5340),
    [anon_sym_RPAREN] = ACTIONS(5340),
    [anon_sym_LPAREN2] = ACTIONS(5340),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_STAR] = ACTIONS(5340),
    [anon_sym_SLASH] = ACTIONS(5338),
    [anon_sym_PERCENT] = ACTIONS(5340),
    [anon_sym_PIPE_PIPE] = ACTIONS(5340),
    [anon_sym_AMP_AMP] = ACTIONS(5340),
    [anon_sym_PIPE] = ACTIONS(5338),
    [anon_sym_CARET] = ACTIONS(5340),
    [anon_sym_AMP] = ACTIONS(5338),
    [anon_sym_EQ_EQ] = ACTIONS(5340),
    [anon_sym_BANG_EQ] = ACTIONS(5340),
    [anon_sym_GT] = ACTIONS(5338),
    [anon_sym_GT_EQ] = ACTIONS(5340),
    [anon_sym_LT_EQ] = ACTIONS(5338),
    [anon_sym_LT] = ACTIONS(5338),
    [anon_sym_LT_LT] = ACTIONS(5340),
    [anon_sym_GT_GT] = ACTIONS(5340),
    [anon_sym_SEMI] = ACTIONS(5340),
    [anon_sym___extension__] = ACTIONS(5338),
    [anon_sym___attribute__] = ACTIONS(5338),
    [anon_sym_COLON_COLON] = ACTIONS(5340),
    [anon_sym___based] = ACTIONS(5338),
    [anon_sym_LBRACE] = ACTIONS(5340),
    [anon_sym_RBRACE] = ACTIONS(5340),
    [anon_sym_signed] = ACTIONS(5338),
    [anon_sym_unsigned] = ACTIONS(5338),
    [anon_sym_long] = ACTIONS(5338),
    [anon_sym_short] = ACTIONS(5338),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [anon_sym_RBRACK] = ACTIONS(5340),
    [anon_sym_const] = ACTIONS(5338),
    [anon_sym_constexpr] = ACTIONS(5338),
    [anon_sym_volatile] = ACTIONS(5338),
    [anon_sym_restrict] = ACTIONS(5338),
    [anon_sym___restrict__] = ACTIONS(5338),
    [anon_sym__Atomic] = ACTIONS(5338),
    [anon_sym__Noreturn] = ACTIONS(5338),
    [anon_sym_noreturn] = ACTIONS(5338),
    [anon_sym__Nonnull] = ACTIONS(5338),
    [anon_sym_mutable] = ACTIONS(5338),
    [anon_sym_constinit] = ACTIONS(5338),
    [anon_sym_consteval] = ACTIONS(5338),
    [anon_sym_alignas] = ACTIONS(5338),
    [anon_sym__Alignas] = ACTIONS(5338),
    [sym_primitive_type] = ACTIONS(5338),
    [anon_sym_COLON] = ACTIONS(5338),
    [anon_sym_QMARK] = ACTIONS(5340),
    [anon_sym_LT_EQ_GT] = ACTIONS(5340),
    [anon_sym_or] = ACTIONS(5338),
    [anon_sym_and] = ACTIONS(5338),
    [anon_sym_bitor] = ACTIONS(5338),
    [anon_sym_xor] = ACTIONS(5338),
    [anon_sym_bitand] = ACTIONS(5338),
    [anon_sym_not_eq] = ACTIONS(5338),
    [anon_sym_DASH_DASH] = ACTIONS(5340),
    [anon_sym_PLUS_PLUS] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5338),
    [anon_sym_DOT_STAR] = ACTIONS(5340),
    [anon_sym_DASH_GT] = ACTIONS(5340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5338),
    [anon_sym_decltype] = ACTIONS(5338),
    [anon_sym_final] = ACTIONS(5338),
    [anon_sym_override] = ACTIONS(5338),
    [anon_sym_requires] = ACTIONS(5338),
  },
  [1731] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token2] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [aux_sym_preproc_else_token1] = ACTIONS(3044),
    [aux_sym_preproc_elif_token1] = ACTIONS(3044),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_friend] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
  },
  [1732] = {
    [sym_identifier] = ACTIONS(5342),
    [aux_sym_preproc_def_token1] = ACTIONS(5342),
    [aux_sym_preproc_if_token1] = ACTIONS(5342),
    [aux_sym_preproc_if_token2] = ACTIONS(5342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5342),
    [aux_sym_preproc_else_token1] = ACTIONS(5342),
    [aux_sym_preproc_elif_token1] = ACTIONS(5342),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5342),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5342),
    [sym_preproc_directive] = ACTIONS(5342),
    [anon_sym_LPAREN2] = ACTIONS(5344),
    [anon_sym_TILDE] = ACTIONS(5344),
    [anon_sym_STAR] = ACTIONS(5344),
    [anon_sym_AMP_AMP] = ACTIONS(5344),
    [anon_sym_AMP] = ACTIONS(5342),
    [anon_sym_SEMI] = ACTIONS(5344),
    [anon_sym___extension__] = ACTIONS(5342),
    [anon_sym_typedef] = ACTIONS(5342),
    [anon_sym_virtual] = ACTIONS(5342),
    [anon_sym_extern] = ACTIONS(5342),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym_COLON_COLON] = ACTIONS(5344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5344),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(5342),
    [anon_sym_signed] = ACTIONS(5342),
    [anon_sym_unsigned] = ACTIONS(5342),
    [anon_sym_long] = ACTIONS(5342),
    [anon_sym_short] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5342),
    [anon_sym_static] = ACTIONS(5342),
    [anon_sym_register] = ACTIONS(5342),
    [anon_sym_inline] = ACTIONS(5342),
    [anon_sym___inline] = ACTIONS(5342),
    [anon_sym___inline__] = ACTIONS(5342),
    [anon_sym___forceinline] = ACTIONS(5342),
    [anon_sym_thread_local] = ACTIONS(5342),
    [anon_sym___thread] = ACTIONS(5342),
    [anon_sym_const] = ACTIONS(5342),
    [anon_sym_constexpr] = ACTIONS(5342),
    [anon_sym_volatile] = ACTIONS(5342),
    [anon_sym_restrict] = ACTIONS(5342),
    [anon_sym___restrict__] = ACTIONS(5342),
    [anon_sym__Atomic] = ACTIONS(5342),
    [anon_sym__Noreturn] = ACTIONS(5342),
    [anon_sym_noreturn] = ACTIONS(5342),
    [anon_sym__Nonnull] = ACTIONS(5342),
    [anon_sym_mutable] = ACTIONS(5342),
    [anon_sym_constinit] = ACTIONS(5342),
    [anon_sym_consteval] = ACTIONS(5342),
    [anon_sym_alignas] = ACTIONS(5342),
    [anon_sym__Alignas] = ACTIONS(5342),
    [sym_primitive_type] = ACTIONS(5342),
    [anon_sym_enum] = ACTIONS(5342),
    [anon_sym_class] = ACTIONS(5342),
    [anon_sym_struct] = ACTIONS(5342),
    [anon_sym_union] = ACTIONS(5342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5342),
    [anon_sym_decltype] = ACTIONS(5342),
    [anon_sym_explicit] = ACTIONS(5342),
    [anon_sym_typename] = ACTIONS(5342),
    [anon_sym_template] = ACTIONS(5342),
    [anon_sym_operator] = ACTIONS(5342),
    [anon_sym_friend] = ACTIONS(5342),
    [anon_sym_public] = ACTIONS(5342),
    [anon_sym_private] = ACTIONS(5342),
    [anon_sym_protected] = ACTIONS(5342),
    [anon_sym_using] = ACTIONS(5342),
    [anon_sym_static_assert] = ACTIONS(5342),
  },
  [1733] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [aux_sym_preproc_else_token1] = ACTIONS(3036),
    [aux_sym_preproc_elif_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [sym_primitive_type] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_friend] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
  },
  [1734] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [aux_sym_preproc_else_token1] = ACTIONS(3052),
    [aux_sym_preproc_elif_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [sym_primitive_type] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_friend] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
  },
  [1735] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [aux_sym_preproc_else_token1] = ACTIONS(3040),
    [aux_sym_preproc_elif_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [sym_primitive_type] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [1736] = {
    [sym_identifier] = ACTIONS(5346),
    [aux_sym_preproc_def_token1] = ACTIONS(5346),
    [aux_sym_preproc_if_token1] = ACTIONS(5346),
    [aux_sym_preproc_if_token2] = ACTIONS(5346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5346),
    [aux_sym_preproc_else_token1] = ACTIONS(5346),
    [aux_sym_preproc_elif_token1] = ACTIONS(5346),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5346),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5346),
    [sym_preproc_directive] = ACTIONS(5346),
    [anon_sym_LPAREN2] = ACTIONS(5348),
    [anon_sym_TILDE] = ACTIONS(5348),
    [anon_sym_STAR] = ACTIONS(5348),
    [anon_sym_AMP_AMP] = ACTIONS(5348),
    [anon_sym_AMP] = ACTIONS(5346),
    [anon_sym_SEMI] = ACTIONS(5348),
    [anon_sym___extension__] = ACTIONS(5346),
    [anon_sym_typedef] = ACTIONS(5346),
    [anon_sym_virtual] = ACTIONS(5346),
    [anon_sym_extern] = ACTIONS(5346),
    [anon_sym___attribute__] = ACTIONS(5346),
    [anon_sym_COLON_COLON] = ACTIONS(5348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5348),
    [anon_sym___declspec] = ACTIONS(5346),
    [anon_sym___based] = ACTIONS(5346),
    [anon_sym_signed] = ACTIONS(5346),
    [anon_sym_unsigned] = ACTIONS(5346),
    [anon_sym_long] = ACTIONS(5346),
    [anon_sym_short] = ACTIONS(5346),
    [anon_sym_LBRACK] = ACTIONS(5346),
    [anon_sym_static] = ACTIONS(5346),
    [anon_sym_register] = ACTIONS(5346),
    [anon_sym_inline] = ACTIONS(5346),
    [anon_sym___inline] = ACTIONS(5346),
    [anon_sym___inline__] = ACTIONS(5346),
    [anon_sym___forceinline] = ACTIONS(5346),
    [anon_sym_thread_local] = ACTIONS(5346),
    [anon_sym___thread] = ACTIONS(5346),
    [anon_sym_const] = ACTIONS(5346),
    [anon_sym_constexpr] = ACTIONS(5346),
    [anon_sym_volatile] = ACTIONS(5346),
    [anon_sym_restrict] = ACTIONS(5346),
    [anon_sym___restrict__] = ACTIONS(5346),
    [anon_sym__Atomic] = ACTIONS(5346),
    [anon_sym__Noreturn] = ACTIONS(5346),
    [anon_sym_noreturn] = ACTIONS(5346),
    [anon_sym__Nonnull] = ACTIONS(5346),
    [anon_sym_mutable] = ACTIONS(5346),
    [anon_sym_constinit] = ACTIONS(5346),
    [anon_sym_consteval] = ACTIONS(5346),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym__Alignas] = ACTIONS(5346),
    [sym_primitive_type] = ACTIONS(5346),
    [anon_sym_enum] = ACTIONS(5346),
    [anon_sym_class] = ACTIONS(5346),
    [anon_sym_struct] = ACTIONS(5346),
    [anon_sym_union] = ACTIONS(5346),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5346),
    [anon_sym_decltype] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(5346),
    [anon_sym_typename] = ACTIONS(5346),
    [anon_sym_template] = ACTIONS(5346),
    [anon_sym_operator] = ACTIONS(5346),
    [anon_sym_friend] = ACTIONS(5346),
    [anon_sym_public] = ACTIONS(5346),
    [anon_sym_private] = ACTIONS(5346),
    [anon_sym_protected] = ACTIONS(5346),
    [anon_sym_using] = ACTIONS(5346),
    [anon_sym_static_assert] = ACTIONS(5346),
  },
  [1737] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [aux_sym_preproc_else_token1] = ACTIONS(3147),
    [aux_sym_preproc_elif_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_friend] = ACTIONS(3147),
    [anon_sym_public] = ACTIONS(3147),
    [anon_sym_private] = ACTIONS(3147),
    [anon_sym_protected] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
  },
  [1738] = {
    [sym_identifier] = ACTIONS(2860),
    [aux_sym_preproc_def_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token2] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [aux_sym_preproc_else_token1] = ACTIONS(2860),
    [aux_sym_preproc_elif_token1] = ACTIONS(2860),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_AMP_AMP] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_typedef] = ACTIONS(2860),
    [anon_sym_virtual] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___based] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_mutable] = ACTIONS(2860),
    [anon_sym_constinit] = ACTIONS(2860),
    [anon_sym_consteval] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_class] = ACTIONS(2860),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2860),
    [anon_sym_decltype] = ACTIONS(2860),
    [anon_sym_explicit] = ACTIONS(2860),
    [anon_sym_typename] = ACTIONS(2860),
    [anon_sym_template] = ACTIONS(2860),
    [anon_sym_operator] = ACTIONS(2860),
    [anon_sym_friend] = ACTIONS(2860),
    [anon_sym_public] = ACTIONS(2860),
    [anon_sym_private] = ACTIONS(2860),
    [anon_sym_protected] = ACTIONS(2860),
    [anon_sym_using] = ACTIONS(2860),
    [anon_sym_static_assert] = ACTIONS(2860),
  },
  [1739] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [aux_sym_preproc_else_token1] = ACTIONS(2940),
    [aux_sym_preproc_elif_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_friend] = ACTIONS(2940),
    [anon_sym_public] = ACTIONS(2940),
    [anon_sym_private] = ACTIONS(2940),
    [anon_sym_protected] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
  },
  [1740] = {
    [sym_identifier] = ACTIONS(5350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5352),
    [anon_sym_SLASH] = ACTIONS(5350),
    [anon_sym_PERCENT] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5352),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(5352),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym___extension__] = ACTIONS(5350),
    [anon_sym___attribute__] = ACTIONS(5350),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym___based] = ACTIONS(5350),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_signed] = ACTIONS(5350),
    [anon_sym_unsigned] = ACTIONS(5350),
    [anon_sym_long] = ACTIONS(5350),
    [anon_sym_short] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_RBRACK] = ACTIONS(5352),
    [anon_sym_const] = ACTIONS(5350),
    [anon_sym_constexpr] = ACTIONS(5350),
    [anon_sym_volatile] = ACTIONS(5350),
    [anon_sym_restrict] = ACTIONS(5350),
    [anon_sym___restrict__] = ACTIONS(5350),
    [anon_sym__Atomic] = ACTIONS(5350),
    [anon_sym__Noreturn] = ACTIONS(5350),
    [anon_sym_noreturn] = ACTIONS(5350),
    [anon_sym__Nonnull] = ACTIONS(5350),
    [anon_sym_mutable] = ACTIONS(5350),
    [anon_sym_constinit] = ACTIONS(5350),
    [anon_sym_consteval] = ACTIONS(5350),
    [anon_sym_alignas] = ACTIONS(5350),
    [anon_sym__Alignas] = ACTIONS(5350),
    [sym_primitive_type] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_bitor] = ACTIONS(5350),
    [anon_sym_xor] = ACTIONS(5350),
    [anon_sym_bitand] = ACTIONS(5350),
    [anon_sym_not_eq] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5350),
    [anon_sym_DOT_STAR] = ACTIONS(5352),
    [anon_sym_DASH_GT] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5350),
    [anon_sym_decltype] = ACTIONS(5350),
    [anon_sym_final] = ACTIONS(5350),
    [anon_sym_override] = ACTIONS(5350),
    [anon_sym_requires] = ACTIONS(5350),
  },
  [1741] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [aux_sym_preproc_else_token1] = ACTIONS(2948),
    [aux_sym_preproc_elif_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_friend] = ACTIONS(2948),
    [anon_sym_public] = ACTIONS(2948),
    [anon_sym_private] = ACTIONS(2948),
    [anon_sym_protected] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
  },
  [1742] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [1743] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [aux_sym_preproc_else_token1] = ACTIONS(2852),
    [aux_sym_preproc_elif_token1] = ACTIONS(2852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_friend] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_protected] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
  },
  [1744] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token2] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [aux_sym_preproc_else_token1] = ACTIONS(3119),
    [aux_sym_preproc_elif_token1] = ACTIONS(3119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_friend] = ACTIONS(3119),
    [anon_sym_public] = ACTIONS(3119),
    [anon_sym_private] = ACTIONS(3119),
    [anon_sym_protected] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
  },
  [1745] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [aux_sym_preproc_else_token1] = ACTIONS(3064),
    [aux_sym_preproc_elif_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [sym_primitive_type] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [1746] = {
    [sym_identifier] = ACTIONS(5354),
    [aux_sym_preproc_def_token1] = ACTIONS(5354),
    [aux_sym_preproc_if_token1] = ACTIONS(5354),
    [aux_sym_preproc_if_token2] = ACTIONS(5354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5354),
    [aux_sym_preproc_else_token1] = ACTIONS(5354),
    [aux_sym_preproc_elif_token1] = ACTIONS(5354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5354),
    [sym_preproc_directive] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_TILDE] = ACTIONS(5356),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym___extension__] = ACTIONS(5354),
    [anon_sym_typedef] = ACTIONS(5354),
    [anon_sym_virtual] = ACTIONS(5354),
    [anon_sym_extern] = ACTIONS(5354),
    [anon_sym___attribute__] = ACTIONS(5354),
    [anon_sym_COLON_COLON] = ACTIONS(5356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5356),
    [anon_sym___declspec] = ACTIONS(5354),
    [anon_sym___based] = ACTIONS(5354),
    [anon_sym_signed] = ACTIONS(5354),
    [anon_sym_unsigned] = ACTIONS(5354),
    [anon_sym_long] = ACTIONS(5354),
    [anon_sym_short] = ACTIONS(5354),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [anon_sym_static] = ACTIONS(5354),
    [anon_sym_register] = ACTIONS(5354),
    [anon_sym_inline] = ACTIONS(5354),
    [anon_sym___inline] = ACTIONS(5354),
    [anon_sym___inline__] = ACTIONS(5354),
    [anon_sym___forceinline] = ACTIONS(5354),
    [anon_sym_thread_local] = ACTIONS(5354),
    [anon_sym___thread] = ACTIONS(5354),
    [anon_sym_const] = ACTIONS(5354),
    [anon_sym_constexpr] = ACTIONS(5354),
    [anon_sym_volatile] = ACTIONS(5354),
    [anon_sym_restrict] = ACTIONS(5354),
    [anon_sym___restrict__] = ACTIONS(5354),
    [anon_sym__Atomic] = ACTIONS(5354),
    [anon_sym__Noreturn] = ACTIONS(5354),
    [anon_sym_noreturn] = ACTIONS(5354),
    [anon_sym__Nonnull] = ACTIONS(5354),
    [anon_sym_mutable] = ACTIONS(5354),
    [anon_sym_constinit] = ACTIONS(5354),
    [anon_sym_consteval] = ACTIONS(5354),
    [anon_sym_alignas] = ACTIONS(5354),
    [anon_sym__Alignas] = ACTIONS(5354),
    [sym_primitive_type] = ACTIONS(5354),
    [anon_sym_enum] = ACTIONS(5354),
    [anon_sym_class] = ACTIONS(5354),
    [anon_sym_struct] = ACTIONS(5354),
    [anon_sym_union] = ACTIONS(5354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5354),
    [anon_sym_decltype] = ACTIONS(5354),
    [anon_sym_explicit] = ACTIONS(5354),
    [anon_sym_typename] = ACTIONS(5354),
    [anon_sym_template] = ACTIONS(5354),
    [anon_sym_operator] = ACTIONS(5354),
    [anon_sym_friend] = ACTIONS(5354),
    [anon_sym_public] = ACTIONS(5354),
    [anon_sym_private] = ACTIONS(5354),
    [anon_sym_protected] = ACTIONS(5354),
    [anon_sym_using] = ACTIONS(5354),
    [anon_sym_static_assert] = ACTIONS(5354),
  },
  [1747] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [aux_sym_preproc_else_token1] = ACTIONS(2848),
    [aux_sym_preproc_elif_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_friend] = ACTIONS(2848),
    [anon_sym_public] = ACTIONS(2848),
    [anon_sym_private] = ACTIONS(2848),
    [anon_sym_protected] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
  },
  [1748] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [aux_sym_preproc_else_token1] = ACTIONS(2766),
    [aux_sym_preproc_elif_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_friend] = ACTIONS(2766),
    [anon_sym_public] = ACTIONS(2766),
    [anon_sym_private] = ACTIONS(2766),
    [anon_sym_protected] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
  },
  [1749] = {
    [sym_identifier] = ACTIONS(5358),
    [aux_sym_preproc_def_token1] = ACTIONS(5358),
    [aux_sym_preproc_if_token1] = ACTIONS(5358),
    [aux_sym_preproc_if_token2] = ACTIONS(5358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5358),
    [aux_sym_preproc_else_token1] = ACTIONS(5358),
    [aux_sym_preproc_elif_token1] = ACTIONS(5358),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5358),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5358),
    [sym_preproc_directive] = ACTIONS(5358),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_TILDE] = ACTIONS(5360),
    [anon_sym_STAR] = ACTIONS(5360),
    [anon_sym_AMP_AMP] = ACTIONS(5360),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_SEMI] = ACTIONS(5360),
    [anon_sym___extension__] = ACTIONS(5358),
    [anon_sym_typedef] = ACTIONS(5358),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5358),
    [anon_sym___attribute__] = ACTIONS(5358),
    [anon_sym_COLON_COLON] = ACTIONS(5360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5360),
    [anon_sym___declspec] = ACTIONS(5358),
    [anon_sym___based] = ACTIONS(5358),
    [anon_sym_signed] = ACTIONS(5358),
    [anon_sym_unsigned] = ACTIONS(5358),
    [anon_sym_long] = ACTIONS(5358),
    [anon_sym_short] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5358),
    [anon_sym_static] = ACTIONS(5358),
    [anon_sym_register] = ACTIONS(5358),
    [anon_sym_inline] = ACTIONS(5358),
    [anon_sym___inline] = ACTIONS(5358),
    [anon_sym___inline__] = ACTIONS(5358),
    [anon_sym___forceinline] = ACTIONS(5358),
    [anon_sym_thread_local] = ACTIONS(5358),
    [anon_sym___thread] = ACTIONS(5358),
    [anon_sym_const] = ACTIONS(5358),
    [anon_sym_constexpr] = ACTIONS(5358),
    [anon_sym_volatile] = ACTIONS(5358),
    [anon_sym_restrict] = ACTIONS(5358),
    [anon_sym___restrict__] = ACTIONS(5358),
    [anon_sym__Atomic] = ACTIONS(5358),
    [anon_sym__Noreturn] = ACTIONS(5358),
    [anon_sym_noreturn] = ACTIONS(5358),
    [anon_sym__Nonnull] = ACTIONS(5358),
    [anon_sym_mutable] = ACTIONS(5358),
    [anon_sym_constinit] = ACTIONS(5358),
    [anon_sym_consteval] = ACTIONS(5358),
    [anon_sym_alignas] = ACTIONS(5358),
    [anon_sym__Alignas] = ACTIONS(5358),
    [sym_primitive_type] = ACTIONS(5358),
    [anon_sym_enum] = ACTIONS(5358),
    [anon_sym_class] = ACTIONS(5358),
    [anon_sym_struct] = ACTIONS(5358),
    [anon_sym_union] = ACTIONS(5358),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5358),
    [anon_sym_decltype] = ACTIONS(5358),
    [anon_sym_explicit] = ACTIONS(5358),
    [anon_sym_typename] = ACTIONS(5358),
    [anon_sym_template] = ACTIONS(5358),
    [anon_sym_operator] = ACTIONS(5358),
    [anon_sym_friend] = ACTIONS(5358),
    [anon_sym_public] = ACTIONS(5358),
    [anon_sym_private] = ACTIONS(5358),
    [anon_sym_protected] = ACTIONS(5358),
    [anon_sym_using] = ACTIONS(5358),
    [anon_sym_static_assert] = ACTIONS(5358),
  },
  [1750] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [aux_sym_preproc_else_token1] = ACTIONS(2766),
    [aux_sym_preproc_elif_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_friend] = ACTIONS(2766),
    [anon_sym_public] = ACTIONS(2766),
    [anon_sym_private] = ACTIONS(2766),
    [anon_sym_protected] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
  },
  [1751] = {
    [sym_identifier] = ACTIONS(5362),
    [aux_sym_preproc_def_token1] = ACTIONS(5362),
    [aux_sym_preproc_if_token1] = ACTIONS(5362),
    [aux_sym_preproc_if_token2] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5362),
    [aux_sym_preproc_else_token1] = ACTIONS(5362),
    [aux_sym_preproc_elif_token1] = ACTIONS(5362),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5362),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5362),
    [sym_preproc_directive] = ACTIONS(5362),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_TILDE] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5364),
    [anon_sym_AMP_AMP] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5362),
    [anon_sym_SEMI] = ACTIONS(5364),
    [anon_sym___extension__] = ACTIONS(5362),
    [anon_sym_typedef] = ACTIONS(5362),
    [anon_sym_virtual] = ACTIONS(5362),
    [anon_sym_extern] = ACTIONS(5362),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5364),
    [anon_sym___declspec] = ACTIONS(5362),
    [anon_sym___based] = ACTIONS(5362),
    [anon_sym_signed] = ACTIONS(5362),
    [anon_sym_unsigned] = ACTIONS(5362),
    [anon_sym_long] = ACTIONS(5362),
    [anon_sym_short] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_static] = ACTIONS(5362),
    [anon_sym_register] = ACTIONS(5362),
    [anon_sym_inline] = ACTIONS(5362),
    [anon_sym___inline] = ACTIONS(5362),
    [anon_sym___inline__] = ACTIONS(5362),
    [anon_sym___forceinline] = ACTIONS(5362),
    [anon_sym_thread_local] = ACTIONS(5362),
    [anon_sym___thread] = ACTIONS(5362),
    [anon_sym_const] = ACTIONS(5362),
    [anon_sym_constexpr] = ACTIONS(5362),
    [anon_sym_volatile] = ACTIONS(5362),
    [anon_sym_restrict] = ACTIONS(5362),
    [anon_sym___restrict__] = ACTIONS(5362),
    [anon_sym__Atomic] = ACTIONS(5362),
    [anon_sym__Noreturn] = ACTIONS(5362),
    [anon_sym_noreturn] = ACTIONS(5362),
    [anon_sym__Nonnull] = ACTIONS(5362),
    [anon_sym_mutable] = ACTIONS(5362),
    [anon_sym_constinit] = ACTIONS(5362),
    [anon_sym_consteval] = ACTIONS(5362),
    [anon_sym_alignas] = ACTIONS(5362),
    [anon_sym__Alignas] = ACTIONS(5362),
    [sym_primitive_type] = ACTIONS(5362),
    [anon_sym_enum] = ACTIONS(5362),
    [anon_sym_class] = ACTIONS(5362),
    [anon_sym_struct] = ACTIONS(5362),
    [anon_sym_union] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5362),
    [anon_sym_decltype] = ACTIONS(5362),
    [anon_sym_explicit] = ACTIONS(5362),
    [anon_sym_typename] = ACTIONS(5362),
    [anon_sym_template] = ACTIONS(5362),
    [anon_sym_operator] = ACTIONS(5362),
    [anon_sym_friend] = ACTIONS(5362),
    [anon_sym_public] = ACTIONS(5362),
    [anon_sym_private] = ACTIONS(5362),
    [anon_sym_protected] = ACTIONS(5362),
    [anon_sym_using] = ACTIONS(5362),
    [anon_sym_static_assert] = ACTIONS(5362),
  },
  [1752] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_COMMA] = ACTIONS(4878),
    [anon_sym_RPAREN] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_DASH] = ACTIONS(4876),
    [anon_sym_PLUS] = ACTIONS(4876),
    [anon_sym_STAR] = ACTIONS(4878),
    [anon_sym_SLASH] = ACTIONS(4876),
    [anon_sym_PERCENT] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_PIPE] = ACTIONS(4876),
    [anon_sym_CARET] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym_EQ_EQ] = ACTIONS(4878),
    [anon_sym_BANG_EQ] = ACTIONS(4878),
    [anon_sym_GT] = ACTIONS(4876),
    [anon_sym_GT_EQ] = ACTIONS(4878),
    [anon_sym_LT_EQ] = ACTIONS(4876),
    [anon_sym_LT] = ACTIONS(4876),
    [anon_sym_LT_LT] = ACTIONS(4878),
    [anon_sym_GT_GT] = ACTIONS(4878),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym_LBRACE] = ACTIONS(4878),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_signed] = ACTIONS(4876),
    [anon_sym_unsigned] = ACTIONS(4876),
    [anon_sym_long] = ACTIONS(4876),
    [anon_sym_short] = ACTIONS(4876),
    [anon_sym_LBRACK] = ACTIONS(4878),
    [anon_sym_RBRACK] = ACTIONS(4878),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [sym_primitive_type] = ACTIONS(4876),
    [anon_sym_COLON] = ACTIONS(4876),
    [anon_sym_QMARK] = ACTIONS(4878),
    [anon_sym_LT_EQ_GT] = ACTIONS(4878),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [anon_sym_bitor] = ACTIONS(4876),
    [anon_sym_xor] = ACTIONS(4876),
    [anon_sym_bitand] = ACTIONS(4876),
    [anon_sym_not_eq] = ACTIONS(4876),
    [anon_sym_DASH_DASH] = ACTIONS(4878),
    [anon_sym_PLUS_PLUS] = ACTIONS(4878),
    [anon_sym_DOT] = ACTIONS(4876),
    [anon_sym_DOT_STAR] = ACTIONS(4878),
    [anon_sym_DASH_GT] = ACTIONS(4878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_final] = ACTIONS(4876),
    [anon_sym_override] = ACTIONS(4876),
    [anon_sym_requires] = ACTIONS(4876),
  },
  [1753] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_COMMA] = ACTIONS(4841),
    [anon_sym_RPAREN] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_DASH] = ACTIONS(4839),
    [anon_sym_PLUS] = ACTIONS(4839),
    [anon_sym_STAR] = ACTIONS(4841),
    [anon_sym_SLASH] = ACTIONS(4839),
    [anon_sym_PERCENT] = ACTIONS(4841),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_PIPE] = ACTIONS(4839),
    [anon_sym_CARET] = ACTIONS(4841),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym_EQ_EQ] = ACTIONS(4841),
    [anon_sym_BANG_EQ] = ACTIONS(4841),
    [anon_sym_GT] = ACTIONS(4839),
    [anon_sym_GT_EQ] = ACTIONS(4841),
    [anon_sym_LT_EQ] = ACTIONS(4839),
    [anon_sym_LT] = ACTIONS(4839),
    [anon_sym_LT_LT] = ACTIONS(4841),
    [anon_sym_GT_GT] = ACTIONS(4841),
    [anon_sym_SEMI] = ACTIONS(4841),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym_LBRACE] = ACTIONS(4841),
    [anon_sym_RBRACE] = ACTIONS(4841),
    [anon_sym_signed] = ACTIONS(4839),
    [anon_sym_unsigned] = ACTIONS(4839),
    [anon_sym_long] = ACTIONS(4839),
    [anon_sym_short] = ACTIONS(4839),
    [anon_sym_LBRACK] = ACTIONS(4841),
    [anon_sym_RBRACK] = ACTIONS(4841),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [sym_primitive_type] = ACTIONS(4839),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_QMARK] = ACTIONS(4841),
    [anon_sym_LT_EQ_GT] = ACTIONS(4841),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [anon_sym_bitor] = ACTIONS(4839),
    [anon_sym_xor] = ACTIONS(4839),
    [anon_sym_bitand] = ACTIONS(4839),
    [anon_sym_not_eq] = ACTIONS(4839),
    [anon_sym_DASH_DASH] = ACTIONS(4841),
    [anon_sym_PLUS_PLUS] = ACTIONS(4841),
    [anon_sym_DOT] = ACTIONS(4839),
    [anon_sym_DOT_STAR] = ACTIONS(4841),
    [anon_sym_DASH_GT] = ACTIONS(4841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_final] = ACTIONS(4839),
    [anon_sym_override] = ACTIONS(4839),
    [anon_sym_requires] = ACTIONS(4839),
  },
  [1754] = {
    [sym_identifier] = ACTIONS(5366),
    [aux_sym_preproc_def_token1] = ACTIONS(5366),
    [aux_sym_preproc_if_token1] = ACTIONS(5366),
    [aux_sym_preproc_if_token2] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5366),
    [aux_sym_preproc_else_token1] = ACTIONS(5366),
    [aux_sym_preproc_elif_token1] = ACTIONS(5366),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5366),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5366),
    [sym_preproc_directive] = ACTIONS(5366),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_TILDE] = ACTIONS(5368),
    [anon_sym_STAR] = ACTIONS(5368),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_AMP] = ACTIONS(5366),
    [anon_sym_SEMI] = ACTIONS(5368),
    [anon_sym___extension__] = ACTIONS(5366),
    [anon_sym_typedef] = ACTIONS(5366),
    [anon_sym_virtual] = ACTIONS(5366),
    [anon_sym_extern] = ACTIONS(5366),
    [anon_sym___attribute__] = ACTIONS(5366),
    [anon_sym_COLON_COLON] = ACTIONS(5368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5368),
    [anon_sym___declspec] = ACTIONS(5366),
    [anon_sym___based] = ACTIONS(5366),
    [anon_sym_signed] = ACTIONS(5366),
    [anon_sym_unsigned] = ACTIONS(5366),
    [anon_sym_long] = ACTIONS(5366),
    [anon_sym_short] = ACTIONS(5366),
    [anon_sym_LBRACK] = ACTIONS(5366),
    [anon_sym_static] = ACTIONS(5366),
    [anon_sym_register] = ACTIONS(5366),
    [anon_sym_inline] = ACTIONS(5366),
    [anon_sym___inline] = ACTIONS(5366),
    [anon_sym___inline__] = ACTIONS(5366),
    [anon_sym___forceinline] = ACTIONS(5366),
    [anon_sym_thread_local] = ACTIONS(5366),
    [anon_sym___thread] = ACTIONS(5366),
    [anon_sym_const] = ACTIONS(5366),
    [anon_sym_constexpr] = ACTIONS(5366),
    [anon_sym_volatile] = ACTIONS(5366),
    [anon_sym_restrict] = ACTIONS(5366),
    [anon_sym___restrict__] = ACTIONS(5366),
    [anon_sym__Atomic] = ACTIONS(5366),
    [anon_sym__Noreturn] = ACTIONS(5366),
    [anon_sym_noreturn] = ACTIONS(5366),
    [anon_sym__Nonnull] = ACTIONS(5366),
    [anon_sym_mutable] = ACTIONS(5366),
    [anon_sym_constinit] = ACTIONS(5366),
    [anon_sym_consteval] = ACTIONS(5366),
    [anon_sym_alignas] = ACTIONS(5366),
    [anon_sym__Alignas] = ACTIONS(5366),
    [sym_primitive_type] = ACTIONS(5366),
    [anon_sym_enum] = ACTIONS(5366),
    [anon_sym_class] = ACTIONS(5366),
    [anon_sym_struct] = ACTIONS(5366),
    [anon_sym_union] = ACTIONS(5366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5366),
    [anon_sym_decltype] = ACTIONS(5366),
    [anon_sym_explicit] = ACTIONS(5366),
    [anon_sym_typename] = ACTIONS(5366),
    [anon_sym_template] = ACTIONS(5366),
    [anon_sym_operator] = ACTIONS(5366),
    [anon_sym_friend] = ACTIONS(5366),
    [anon_sym_public] = ACTIONS(5366),
    [anon_sym_private] = ACTIONS(5366),
    [anon_sym_protected] = ACTIONS(5366),
    [anon_sym_using] = ACTIONS(5366),
    [anon_sym_static_assert] = ACTIONS(5366),
  },
  [1755] = {
    [sym_identifier] = ACTIONS(5370),
    [aux_sym_preproc_def_token1] = ACTIONS(5370),
    [aux_sym_preproc_if_token1] = ACTIONS(5370),
    [aux_sym_preproc_if_token2] = ACTIONS(5370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5370),
    [aux_sym_preproc_else_token1] = ACTIONS(5370),
    [aux_sym_preproc_elif_token1] = ACTIONS(5370),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5370),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5370),
    [sym_preproc_directive] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5372),
    [anon_sym_TILDE] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_AMP_AMP] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5370),
    [anon_sym_SEMI] = ACTIONS(5372),
    [anon_sym___extension__] = ACTIONS(5370),
    [anon_sym_typedef] = ACTIONS(5370),
    [anon_sym_virtual] = ACTIONS(5370),
    [anon_sym_extern] = ACTIONS(5370),
    [anon_sym___attribute__] = ACTIONS(5370),
    [anon_sym_COLON_COLON] = ACTIONS(5372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5372),
    [anon_sym___declspec] = ACTIONS(5370),
    [anon_sym___based] = ACTIONS(5370),
    [anon_sym_signed] = ACTIONS(5370),
    [anon_sym_unsigned] = ACTIONS(5370),
    [anon_sym_long] = ACTIONS(5370),
    [anon_sym_short] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [anon_sym_static] = ACTIONS(5370),
    [anon_sym_register] = ACTIONS(5370),
    [anon_sym_inline] = ACTIONS(5370),
    [anon_sym___inline] = ACTIONS(5370),
    [anon_sym___inline__] = ACTIONS(5370),
    [anon_sym___forceinline] = ACTIONS(5370),
    [anon_sym_thread_local] = ACTIONS(5370),
    [anon_sym___thread] = ACTIONS(5370),
    [anon_sym_const] = ACTIONS(5370),
    [anon_sym_constexpr] = ACTIONS(5370),
    [anon_sym_volatile] = ACTIONS(5370),
    [anon_sym_restrict] = ACTIONS(5370),
    [anon_sym___restrict__] = ACTIONS(5370),
    [anon_sym__Atomic] = ACTIONS(5370),
    [anon_sym__Noreturn] = ACTIONS(5370),
    [anon_sym_noreturn] = ACTIONS(5370),
    [anon_sym__Nonnull] = ACTIONS(5370),
    [anon_sym_mutable] = ACTIONS(5370),
    [anon_sym_constinit] = ACTIONS(5370),
    [anon_sym_consteval] = ACTIONS(5370),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_primitive_type] = ACTIONS(5370),
    [anon_sym_enum] = ACTIONS(5370),
    [anon_sym_class] = ACTIONS(5370),
    [anon_sym_struct] = ACTIONS(5370),
    [anon_sym_union] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5370),
    [anon_sym_decltype] = ACTIONS(5370),
    [anon_sym_explicit] = ACTIONS(5370),
    [anon_sym_typename] = ACTIONS(5370),
    [anon_sym_template] = ACTIONS(5370),
    [anon_sym_operator] = ACTIONS(5370),
    [anon_sym_friend] = ACTIONS(5370),
    [anon_sym_public] = ACTIONS(5370),
    [anon_sym_private] = ACTIONS(5370),
    [anon_sym_protected] = ACTIONS(5370),
    [anon_sym_using] = ACTIONS(5370),
    [anon_sym_static_assert] = ACTIONS(5370),
  },
  [1756] = {
    [sym_identifier] = ACTIONS(5374),
    [aux_sym_preproc_def_token1] = ACTIONS(5374),
    [aux_sym_preproc_if_token1] = ACTIONS(5374),
    [aux_sym_preproc_if_token2] = ACTIONS(5374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5374),
    [aux_sym_preproc_else_token1] = ACTIONS(5374),
    [aux_sym_preproc_elif_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5374),
    [sym_preproc_directive] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5376),
    [anon_sym___extension__] = ACTIONS(5374),
    [anon_sym_typedef] = ACTIONS(5374),
    [anon_sym_virtual] = ACTIONS(5374),
    [anon_sym_extern] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_COLON_COLON] = ACTIONS(5376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5376),
    [anon_sym___declspec] = ACTIONS(5374),
    [anon_sym___based] = ACTIONS(5374),
    [anon_sym_signed] = ACTIONS(5374),
    [anon_sym_unsigned] = ACTIONS(5374),
    [anon_sym_long] = ACTIONS(5374),
    [anon_sym_short] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_static] = ACTIONS(5374),
    [anon_sym_register] = ACTIONS(5374),
    [anon_sym_inline] = ACTIONS(5374),
    [anon_sym___inline] = ACTIONS(5374),
    [anon_sym___inline__] = ACTIONS(5374),
    [anon_sym___forceinline] = ACTIONS(5374),
    [anon_sym_thread_local] = ACTIONS(5374),
    [anon_sym___thread] = ACTIONS(5374),
    [anon_sym_const] = ACTIONS(5374),
    [anon_sym_constexpr] = ACTIONS(5374),
    [anon_sym_volatile] = ACTIONS(5374),
    [anon_sym_restrict] = ACTIONS(5374),
    [anon_sym___restrict__] = ACTIONS(5374),
    [anon_sym__Atomic] = ACTIONS(5374),
    [anon_sym__Noreturn] = ACTIONS(5374),
    [anon_sym_noreturn] = ACTIONS(5374),
    [anon_sym__Nonnull] = ACTIONS(5374),
    [anon_sym_mutable] = ACTIONS(5374),
    [anon_sym_constinit] = ACTIONS(5374),
    [anon_sym_consteval] = ACTIONS(5374),
    [anon_sym_alignas] = ACTIONS(5374),
    [anon_sym__Alignas] = ACTIONS(5374),
    [sym_primitive_type] = ACTIONS(5374),
    [anon_sym_enum] = ACTIONS(5374),
    [anon_sym_class] = ACTIONS(5374),
    [anon_sym_struct] = ACTIONS(5374),
    [anon_sym_union] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
    [anon_sym_explicit] = ACTIONS(5374),
    [anon_sym_typename] = ACTIONS(5374),
    [anon_sym_template] = ACTIONS(5374),
    [anon_sym_operator] = ACTIONS(5374),
    [anon_sym_friend] = ACTIONS(5374),
    [anon_sym_public] = ACTIONS(5374),
    [anon_sym_private] = ACTIONS(5374),
    [anon_sym_protected] = ACTIONS(5374),
    [anon_sym_using] = ACTIONS(5374),
    [anon_sym_static_assert] = ACTIONS(5374),
  },
  [1757] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [aux_sym_preproc_else_token1] = ACTIONS(3187),
    [aux_sym_preproc_elif_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_friend] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
  },
  [1758] = {
    [sym_identifier] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5380),
    [anon_sym_BANG] = ACTIONS(5380),
    [anon_sym_TILDE] = ACTIONS(5380),
    [anon_sym_DASH] = ACTIONS(5378),
    [anon_sym_PLUS] = ACTIONS(5378),
    [anon_sym_STAR] = ACTIONS(5380),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym___extension__] = ACTIONS(5378),
    [anon_sym_COLON_COLON] = ACTIONS(5380),
    [anon_sym_LBRACK] = ACTIONS(5380),
    [anon_sym_static] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5380),
    [anon_sym_const] = ACTIONS(5378),
    [anon_sym_constexpr] = ACTIONS(5378),
    [anon_sym_volatile] = ACTIONS(5378),
    [anon_sym_restrict] = ACTIONS(5378),
    [anon_sym___restrict__] = ACTIONS(5378),
    [anon_sym__Atomic] = ACTIONS(5378),
    [anon_sym__Noreturn] = ACTIONS(5378),
    [anon_sym_noreturn] = ACTIONS(5378),
    [anon_sym__Nonnull] = ACTIONS(5378),
    [anon_sym_mutable] = ACTIONS(5378),
    [anon_sym_constinit] = ACTIONS(5378),
    [anon_sym_consteval] = ACTIONS(5378),
    [anon_sym_alignas] = ACTIONS(5378),
    [anon_sym__Alignas] = ACTIONS(5378),
    [sym_primitive_type] = ACTIONS(5378),
    [anon_sym_not] = ACTIONS(5378),
    [anon_sym_compl] = ACTIONS(5378),
    [anon_sym_DASH_DASH] = ACTIONS(5380),
    [anon_sym_PLUS_PLUS] = ACTIONS(5380),
    [anon_sym_sizeof] = ACTIONS(5378),
    [anon_sym___alignof__] = ACTIONS(5378),
    [anon_sym___alignof] = ACTIONS(5378),
    [anon_sym__alignof] = ACTIONS(5378),
    [anon_sym_alignof] = ACTIONS(5378),
    [anon_sym__Alignof] = ACTIONS(5378),
    [anon_sym_offsetof] = ACTIONS(5378),
    [anon_sym__Generic] = ACTIONS(5378),
    [anon_sym_asm] = ACTIONS(5378),
    [anon_sym___asm__] = ACTIONS(5378),
    [anon_sym___asm] = ACTIONS(5378),
    [sym_number_literal] = ACTIONS(5380),
    [anon_sym_L_SQUOTE] = ACTIONS(5380),
    [anon_sym_u_SQUOTE] = ACTIONS(5380),
    [anon_sym_U_SQUOTE] = ACTIONS(5380),
    [anon_sym_u8_SQUOTE] = ACTIONS(5380),
    [anon_sym_SQUOTE] = ACTIONS(5380),
    [anon_sym_L_DQUOTE] = ACTIONS(5380),
    [anon_sym_u_DQUOTE] = ACTIONS(5380),
    [anon_sym_U_DQUOTE] = ACTIONS(5380),
    [anon_sym_u8_DQUOTE] = ACTIONS(5380),
    [anon_sym_DQUOTE] = ACTIONS(5380),
    [sym_true] = ACTIONS(5378),
    [sym_false] = ACTIONS(5378),
    [anon_sym_NULL] = ACTIONS(5378),
    [anon_sym_nullptr] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5378),
    [anon_sym_template] = ACTIONS(5378),
    [anon_sym_delete] = ACTIONS(5378),
    [anon_sym_R_DQUOTE] = ACTIONS(5380),
    [anon_sym_LR_DQUOTE] = ACTIONS(5380),
    [anon_sym_uR_DQUOTE] = ACTIONS(5380),
    [anon_sym_UR_DQUOTE] = ACTIONS(5380),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5380),
    [anon_sym_co_await] = ACTIONS(5378),
    [anon_sym_new] = ACTIONS(5378),
    [anon_sym_requires] = ACTIONS(5378),
    [sym_this] = ACTIONS(5378),
  },
  [1759] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [sym_identifier] = ACTIONS(4102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [aux_sym_preproc_if_token2] = ACTIONS(4094),
    [aux_sym_preproc_else_token1] = ACTIONS(4094),
    [aux_sym_preproc_elif_token1] = ACTIONS(4102),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(5382),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(5385),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(5387),
    [anon_sym_SLASH_EQ] = ACTIONS(5387),
    [anon_sym_PERCENT_EQ] = ACTIONS(5387),
    [anon_sym_PLUS_EQ] = ACTIONS(5387),
    [anon_sym_DASH_EQ] = ACTIONS(5387),
    [anon_sym_LT_LT_EQ] = ACTIONS(5387),
    [anon_sym_GT_GT_EQ] = ACTIONS(5387),
    [anon_sym_AMP_EQ] = ACTIONS(5387),
    [anon_sym_CARET_EQ] = ACTIONS(5387),
    [anon_sym_PIPE_EQ] = ACTIONS(5387),
    [anon_sym_and_eq] = ACTIONS(5385),
    [anon_sym_or_eq] = ACTIONS(5385),
    [anon_sym_xor_eq] = ACTIONS(5385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4102),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4102),
    [anon_sym_not_eq] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1760] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5863),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6343),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6343),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1761] = {
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token2] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [aux_sym_preproc_else_token1] = ACTIONS(3131),
    [aux_sym_preproc_elif_token1] = ACTIONS(3131),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_SEMI] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_friend] = ACTIONS(3131),
    [anon_sym_public] = ACTIONS(3131),
    [anon_sym_private] = ACTIONS(3131),
    [anon_sym_protected] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
  },
  [1762] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_RPAREN] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_DASH] = ACTIONS(4880),
    [anon_sym_PLUS] = ACTIONS(4880),
    [anon_sym_STAR] = ACTIONS(4882),
    [anon_sym_SLASH] = ACTIONS(4880),
    [anon_sym_PERCENT] = ACTIONS(4882),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4880),
    [anon_sym_CARET] = ACTIONS(4882),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_GT] = ACTIONS(4880),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4880),
    [anon_sym_LT] = ACTIONS(4880),
    [anon_sym_LT_LT] = ACTIONS(4882),
    [anon_sym_GT_GT] = ACTIONS(4882),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_RBRACE] = ACTIONS(4882),
    [anon_sym_signed] = ACTIONS(4880),
    [anon_sym_unsigned] = ACTIONS(4880),
    [anon_sym_long] = ACTIONS(4880),
    [anon_sym_short] = ACTIONS(4880),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_RBRACK] = ACTIONS(4882),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [sym_primitive_type] = ACTIONS(4880),
    [anon_sym_COLON] = ACTIONS(4880),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_LT_EQ_GT] = ACTIONS(4882),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [anon_sym_bitor] = ACTIONS(4880),
    [anon_sym_xor] = ACTIONS(4880),
    [anon_sym_bitand] = ACTIONS(4880),
    [anon_sym_not_eq] = ACTIONS(4880),
    [anon_sym_DASH_DASH] = ACTIONS(4882),
    [anon_sym_PLUS_PLUS] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4880),
    [anon_sym_DOT_STAR] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_final] = ACTIONS(4880),
    [anon_sym_override] = ACTIONS(4880),
    [anon_sym_requires] = ACTIONS(4880),
  },
  [1763] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [aux_sym_preproc_else_token1] = ACTIONS(2700),
    [aux_sym_preproc_elif_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_friend] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
  },
  [1764] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [aux_sym_preproc_else_token1] = ACTIONS(2700),
    [aux_sym_preproc_elif_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_friend] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
  },
  [1765] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1765),
    [sym_identifier] = ACTIONS(5114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5116),
    [anon_sym_COMMA] = ACTIONS(5116),
    [anon_sym_RPAREN] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [aux_sym_preproc_else_token1] = ACTIONS(5116),
    [aux_sym_preproc_elif_token1] = ACTIONS(5114),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5116),
    [anon_sym_AMP_AMP] = ACTIONS(5116),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5116),
    [anon_sym_BANG_EQ] = ACTIONS(5116),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5116),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5114),
    [anon_sym_LT_LT] = ACTIONS(5114),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym_SEMI] = ACTIONS(5116),
    [anon_sym___attribute__] = ACTIONS(5114),
    [anon_sym_LBRACE] = ACTIONS(5116),
    [anon_sym_RBRACE] = ACTIONS(5116),
    [anon_sym_signed] = ACTIONS(5389),
    [anon_sym_unsigned] = ACTIONS(5389),
    [anon_sym_long] = ACTIONS(5389),
    [anon_sym_short] = ACTIONS(5389),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [anon_sym_RBRACK] = ACTIONS(5116),
    [anon_sym_EQ] = ACTIONS(5114),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_COLON] = ACTIONS(5116),
    [anon_sym_QMARK] = ACTIONS(5116),
    [anon_sym_STAR_EQ] = ACTIONS(5116),
    [anon_sym_SLASH_EQ] = ACTIONS(5116),
    [anon_sym_PERCENT_EQ] = ACTIONS(5116),
    [anon_sym_PLUS_EQ] = ACTIONS(5116),
    [anon_sym_DASH_EQ] = ACTIONS(5116),
    [anon_sym_LT_LT_EQ] = ACTIONS(5116),
    [anon_sym_GT_GT_EQ] = ACTIONS(5116),
    [anon_sym_AMP_EQ] = ACTIONS(5116),
    [anon_sym_CARET_EQ] = ACTIONS(5116),
    [anon_sym_PIPE_EQ] = ACTIONS(5116),
    [anon_sym_and_eq] = ACTIONS(5114),
    [anon_sym_or_eq] = ACTIONS(5114),
    [anon_sym_xor_eq] = ACTIONS(5114),
    [anon_sym_LT_EQ_GT] = ACTIONS(5116),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5114),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5114),
    [anon_sym_not_eq] = ACTIONS(5114),
    [anon_sym_DASH_DASH] = ACTIONS(5116),
    [anon_sym_PLUS_PLUS] = ACTIONS(5116),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5116),
    [anon_sym_DASH_GT] = ACTIONS(5116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5114),
    [anon_sym_decltype] = ACTIONS(5114),
  },
  [1766] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token2] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [aux_sym_preproc_else_token1] = ACTIONS(2762),
    [aux_sym_preproc_elif_token1] = ACTIONS(2762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_virtual] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_friend] = ACTIONS(2762),
    [anon_sym_public] = ACTIONS(2762),
    [anon_sym_private] = ACTIONS(2762),
    [anon_sym_protected] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
  },
  [1767] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5839),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6359),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6359),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1768] = {
    [sym_identifier] = ACTIONS(2531),
    [anon_sym_LPAREN2] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2521),
    [anon_sym_TILDE] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2531),
    [anon_sym_PLUS] = ACTIONS(2531),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym___extension__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(2521),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_RBRACK] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2531),
    [anon_sym_not] = ACTIONS(2531),
    [anon_sym_compl] = ACTIONS(2531),
    [anon_sym_DASH_DASH] = ACTIONS(2521),
    [anon_sym_PLUS_PLUS] = ACTIONS(2521),
    [anon_sym_sizeof] = ACTIONS(2531),
    [anon_sym___alignof__] = ACTIONS(2531),
    [anon_sym___alignof] = ACTIONS(2531),
    [anon_sym__alignof] = ACTIONS(2531),
    [anon_sym_alignof] = ACTIONS(2531),
    [anon_sym__Alignof] = ACTIONS(2531),
    [anon_sym_offsetof] = ACTIONS(2531),
    [anon_sym__Generic] = ACTIONS(2531),
    [anon_sym_asm] = ACTIONS(2531),
    [anon_sym___asm__] = ACTIONS(2531),
    [anon_sym___asm] = ACTIONS(2531),
    [sym_number_literal] = ACTIONS(2521),
    [anon_sym_L_SQUOTE] = ACTIONS(2521),
    [anon_sym_u_SQUOTE] = ACTIONS(2521),
    [anon_sym_U_SQUOTE] = ACTIONS(2521),
    [anon_sym_u8_SQUOTE] = ACTIONS(2521),
    [anon_sym_SQUOTE] = ACTIONS(2521),
    [anon_sym_L_DQUOTE] = ACTIONS(2521),
    [anon_sym_u_DQUOTE] = ACTIONS(2521),
    [anon_sym_U_DQUOTE] = ACTIONS(2521),
    [anon_sym_u8_DQUOTE] = ACTIONS(2521),
    [anon_sym_DQUOTE] = ACTIONS(2521),
    [sym_true] = ACTIONS(2531),
    [sym_false] = ACTIONS(2531),
    [anon_sym_NULL] = ACTIONS(2531),
    [anon_sym_nullptr] = ACTIONS(2531),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2531),
    [anon_sym_delete] = ACTIONS(2531),
    [anon_sym_R_DQUOTE] = ACTIONS(2521),
    [anon_sym_LR_DQUOTE] = ACTIONS(2521),
    [anon_sym_uR_DQUOTE] = ACTIONS(2521),
    [anon_sym_UR_DQUOTE] = ACTIONS(2521),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2521),
    [anon_sym_co_await] = ACTIONS(2531),
    [anon_sym_new] = ACTIONS(2531),
    [anon_sym_requires] = ACTIONS(2531),
    [sym_this] = ACTIONS(2531),
  },
  [1769] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5796),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6317),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6317),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1770] = {
    [sym_identifier] = ACTIONS(5362),
    [aux_sym_preproc_def_token1] = ACTIONS(5362),
    [aux_sym_preproc_if_token1] = ACTIONS(5362),
    [aux_sym_preproc_if_token2] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5362),
    [aux_sym_preproc_else_token1] = ACTIONS(5362),
    [aux_sym_preproc_elif_token1] = ACTIONS(5362),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5362),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5362),
    [sym_preproc_directive] = ACTIONS(5362),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_TILDE] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5364),
    [anon_sym_AMP_AMP] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5362),
    [anon_sym_SEMI] = ACTIONS(5364),
    [anon_sym___extension__] = ACTIONS(5362),
    [anon_sym_typedef] = ACTIONS(5362),
    [anon_sym_virtual] = ACTIONS(5362),
    [anon_sym_extern] = ACTIONS(5362),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5364),
    [anon_sym___declspec] = ACTIONS(5362),
    [anon_sym___based] = ACTIONS(5362),
    [anon_sym_signed] = ACTIONS(5362),
    [anon_sym_unsigned] = ACTIONS(5362),
    [anon_sym_long] = ACTIONS(5362),
    [anon_sym_short] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_static] = ACTIONS(5362),
    [anon_sym_register] = ACTIONS(5362),
    [anon_sym_inline] = ACTIONS(5362),
    [anon_sym___inline] = ACTIONS(5362),
    [anon_sym___inline__] = ACTIONS(5362),
    [anon_sym___forceinline] = ACTIONS(5362),
    [anon_sym_thread_local] = ACTIONS(5362),
    [anon_sym___thread] = ACTIONS(5362),
    [anon_sym_const] = ACTIONS(5362),
    [anon_sym_constexpr] = ACTIONS(5362),
    [anon_sym_volatile] = ACTIONS(5362),
    [anon_sym_restrict] = ACTIONS(5362),
    [anon_sym___restrict__] = ACTIONS(5362),
    [anon_sym__Atomic] = ACTIONS(5362),
    [anon_sym__Noreturn] = ACTIONS(5362),
    [anon_sym_noreturn] = ACTIONS(5362),
    [anon_sym__Nonnull] = ACTIONS(5362),
    [anon_sym_mutable] = ACTIONS(5362),
    [anon_sym_constinit] = ACTIONS(5362),
    [anon_sym_consteval] = ACTIONS(5362),
    [anon_sym_alignas] = ACTIONS(5362),
    [anon_sym__Alignas] = ACTIONS(5362),
    [sym_primitive_type] = ACTIONS(5362),
    [anon_sym_enum] = ACTIONS(5362),
    [anon_sym_class] = ACTIONS(5362),
    [anon_sym_struct] = ACTIONS(5362),
    [anon_sym_union] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5362),
    [anon_sym_decltype] = ACTIONS(5362),
    [anon_sym_explicit] = ACTIONS(5362),
    [anon_sym_typename] = ACTIONS(5362),
    [anon_sym_template] = ACTIONS(5362),
    [anon_sym_operator] = ACTIONS(5362),
    [anon_sym_friend] = ACTIONS(5362),
    [anon_sym_public] = ACTIONS(5362),
    [anon_sym_private] = ACTIONS(5362),
    [anon_sym_protected] = ACTIONS(5362),
    [anon_sym_using] = ACTIONS(5362),
    [anon_sym_static_assert] = ACTIONS(5362),
  },
  [1771] = {
    [sym_identifier] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token2] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [aux_sym_preproc_else_token1] = ACTIONS(5392),
    [aux_sym_preproc_elif_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_TILDE] = ACTIONS(5394),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym_typedef] = ACTIONS(5392),
    [anon_sym_virtual] = ACTIONS(5392),
    [anon_sym_extern] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5394),
    [anon_sym___declspec] = ACTIONS(5392),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5392),
    [anon_sym_static] = ACTIONS(5392),
    [anon_sym_register] = ACTIONS(5392),
    [anon_sym_inline] = ACTIONS(5392),
    [anon_sym___inline] = ACTIONS(5392),
    [anon_sym___inline__] = ACTIONS(5392),
    [anon_sym___forceinline] = ACTIONS(5392),
    [anon_sym_thread_local] = ACTIONS(5392),
    [anon_sym___thread] = ACTIONS(5392),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [sym_primitive_type] = ACTIONS(5392),
    [anon_sym_enum] = ACTIONS(5392),
    [anon_sym_class] = ACTIONS(5392),
    [anon_sym_struct] = ACTIONS(5392),
    [anon_sym_union] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_explicit] = ACTIONS(5392),
    [anon_sym_typename] = ACTIONS(5392),
    [anon_sym_template] = ACTIONS(5392),
    [anon_sym_operator] = ACTIONS(5392),
    [anon_sym_friend] = ACTIONS(5392),
    [anon_sym_public] = ACTIONS(5392),
    [anon_sym_private] = ACTIONS(5392),
    [anon_sym_protected] = ACTIONS(5392),
    [anon_sym_using] = ACTIONS(5392),
    [anon_sym_static_assert] = ACTIONS(5392),
  },
  [1772] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5955),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6325),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6325),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1773] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
  },
  [1774] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
  },
  [1775] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [1776] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [1777] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [aux_sym_preproc_else_token1] = ACTIONS(3048),
    [aux_sym_preproc_elif_token1] = ACTIONS(3048),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [sym_primitive_type] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_friend] = ACTIONS(3048),
    [anon_sym_public] = ACTIONS(3048),
    [anon_sym_private] = ACTIONS(3048),
    [anon_sym_protected] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
  },
  [1778] = {
    [sym_identifier] = ACTIONS(3030),
    [aux_sym_preproc_def_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token2] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3030),
    [aux_sym_preproc_else_token1] = ACTIONS(3030),
    [aux_sym_preproc_elif_token1] = ACTIONS(3030),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3030),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3030),
    [sym_preproc_directive] = ACTIONS(3030),
    [anon_sym_LPAREN2] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym___extension__] = ACTIONS(3030),
    [anon_sym_typedef] = ACTIONS(3030),
    [anon_sym_virtual] = ACTIONS(3030),
    [anon_sym_extern] = ACTIONS(3030),
    [anon_sym___attribute__] = ACTIONS(3030),
    [anon_sym_COLON_COLON] = ACTIONS(3032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3032),
    [anon_sym___declspec] = ACTIONS(3030),
    [anon_sym___based] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3030),
    [anon_sym_unsigned] = ACTIONS(3030),
    [anon_sym_long] = ACTIONS(3030),
    [anon_sym_short] = ACTIONS(3030),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [anon_sym_static] = ACTIONS(3030),
    [anon_sym_register] = ACTIONS(3030),
    [anon_sym_inline] = ACTIONS(3030),
    [anon_sym___inline] = ACTIONS(3030),
    [anon_sym___inline__] = ACTIONS(3030),
    [anon_sym___forceinline] = ACTIONS(3030),
    [anon_sym_thread_local] = ACTIONS(3030),
    [anon_sym___thread] = ACTIONS(3030),
    [anon_sym_const] = ACTIONS(3030),
    [anon_sym_constexpr] = ACTIONS(3030),
    [anon_sym_volatile] = ACTIONS(3030),
    [anon_sym_restrict] = ACTIONS(3030),
    [anon_sym___restrict__] = ACTIONS(3030),
    [anon_sym__Atomic] = ACTIONS(3030),
    [anon_sym__Noreturn] = ACTIONS(3030),
    [anon_sym_noreturn] = ACTIONS(3030),
    [anon_sym__Nonnull] = ACTIONS(3030),
    [anon_sym_mutable] = ACTIONS(3030),
    [anon_sym_constinit] = ACTIONS(3030),
    [anon_sym_consteval] = ACTIONS(3030),
    [anon_sym_alignas] = ACTIONS(3030),
    [anon_sym__Alignas] = ACTIONS(3030),
    [sym_primitive_type] = ACTIONS(3030),
    [anon_sym_enum] = ACTIONS(3030),
    [anon_sym_class] = ACTIONS(3030),
    [anon_sym_struct] = ACTIONS(3030),
    [anon_sym_union] = ACTIONS(3030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3030),
    [anon_sym_decltype] = ACTIONS(3030),
    [anon_sym_explicit] = ACTIONS(3030),
    [anon_sym_typename] = ACTIONS(3030),
    [anon_sym_template] = ACTIONS(3030),
    [anon_sym_operator] = ACTIONS(3030),
    [anon_sym_friend] = ACTIONS(3030),
    [anon_sym_public] = ACTIONS(3030),
    [anon_sym_private] = ACTIONS(3030),
    [anon_sym_protected] = ACTIONS(3030),
    [anon_sym_using] = ACTIONS(3030),
    [anon_sym_static_assert] = ACTIONS(3030),
  },
  [1779] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token2] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [aux_sym_preproc_else_token1] = ACTIONS(3115),
    [aux_sym_preproc_elif_token1] = ACTIONS(3115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_friend] = ACTIONS(3115),
    [anon_sym_public] = ACTIONS(3115),
    [anon_sym_private] = ACTIONS(3115),
    [anon_sym_protected] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
  },
  [1780] = {
    [sym__declaration_modifiers] = STATE(3331),
    [sym_attribute_specifier] = STATE(3331),
    [sym_attribute_declaration] = STATE(3331),
    [sym_ms_declspec_modifier] = STATE(3331),
    [sym_ms_based_modifier] = STATE(8152),
    [sym__declarator] = STATE(6304),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_function_declarator] = STATE(5900),
    [sym_array_declarator] = STATE(5841),
    [sym_storage_class_specifier] = STATE(3331),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(3017),
    [sym_decltype] = STATE(8141),
    [sym_explicit_function_specifier] = STATE(3331),
    [sym_operator_cast] = STATE(6316),
    [sym__constructor_specifiers] = STATE(3331),
    [sym_reference_declarator] = STATE(5841),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5228),
    [sym_qualified_identifier] = STATE(5841),
    [sym_qualified_operator_cast_identifier] = STATE(6316),
    [sym_operator_name] = STATE(5841),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3331),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(5209),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5213),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5219),
    [anon_sym___declspec] = ACTIONS(5221),
    [anon_sym___based] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(5213),
    [anon_sym_register] = ACTIONS(5213),
    [anon_sym_inline] = ACTIONS(5213),
    [anon_sym___inline] = ACTIONS(5213),
    [anon_sym___inline__] = ACTIONS(5213),
    [anon_sym___forceinline] = ACTIONS(5213),
    [anon_sym_thread_local] = ACTIONS(5213),
    [anon_sym___thread] = ACTIONS(5213),
    [anon_sym_const] = ACTIONS(5209),
    [anon_sym_constexpr] = ACTIONS(5209),
    [anon_sym_volatile] = ACTIONS(5209),
    [anon_sym_restrict] = ACTIONS(5209),
    [anon_sym___restrict__] = ACTIONS(5209),
    [anon_sym__Atomic] = ACTIONS(5209),
    [anon_sym__Noreturn] = ACTIONS(5209),
    [anon_sym_noreturn] = ACTIONS(5209),
    [anon_sym__Nonnull] = ACTIONS(5209),
    [anon_sym_mutable] = ACTIONS(5209),
    [anon_sym_constinit] = ACTIONS(5209),
    [anon_sym_consteval] = ACTIONS(5209),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym__Alignas] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1781] = {
    [sym_identifier] = ACTIONS(5396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5398),
    [anon_sym_COMMA] = ACTIONS(5398),
    [anon_sym_RPAREN] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_DASH] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(5396),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_SLASH] = ACTIONS(5396),
    [anon_sym_PERCENT] = ACTIONS(5398),
    [anon_sym_PIPE_PIPE] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_PIPE] = ACTIONS(5396),
    [anon_sym_CARET] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_EQ_EQ] = ACTIONS(5398),
    [anon_sym_BANG_EQ] = ACTIONS(5398),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5398),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_LT_LT] = ACTIONS(5398),
    [anon_sym_GT_GT] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___extension__] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym___based] = ACTIONS(5396),
    [anon_sym_LBRACE] = ACTIONS(5398),
    [anon_sym_RBRACE] = ACTIONS(5398),
    [anon_sym_signed] = ACTIONS(5396),
    [anon_sym_unsigned] = ACTIONS(5396),
    [anon_sym_long] = ACTIONS(5396),
    [anon_sym_short] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5398),
    [anon_sym_const] = ACTIONS(5396),
    [anon_sym_constexpr] = ACTIONS(5396),
    [anon_sym_volatile] = ACTIONS(5396),
    [anon_sym_restrict] = ACTIONS(5396),
    [anon_sym___restrict__] = ACTIONS(5396),
    [anon_sym__Atomic] = ACTIONS(5396),
    [anon_sym__Noreturn] = ACTIONS(5396),
    [anon_sym_noreturn] = ACTIONS(5396),
    [anon_sym__Nonnull] = ACTIONS(5396),
    [anon_sym_mutable] = ACTIONS(5396),
    [anon_sym_constinit] = ACTIONS(5396),
    [anon_sym_consteval] = ACTIONS(5396),
    [anon_sym_alignas] = ACTIONS(5396),
    [anon_sym__Alignas] = ACTIONS(5396),
    [sym_primitive_type] = ACTIONS(5396),
    [anon_sym_COLON] = ACTIONS(5398),
    [anon_sym_QMARK] = ACTIONS(5398),
    [anon_sym_LT_EQ_GT] = ACTIONS(5398),
    [anon_sym_or] = ACTIONS(5396),
    [anon_sym_and] = ACTIONS(5396),
    [anon_sym_bitor] = ACTIONS(5396),
    [anon_sym_xor] = ACTIONS(5396),
    [anon_sym_bitand] = ACTIONS(5396),
    [anon_sym_not_eq] = ACTIONS(5396),
    [anon_sym_DASH_DASH] = ACTIONS(5398),
    [anon_sym_PLUS_PLUS] = ACTIONS(5398),
    [anon_sym_DOT] = ACTIONS(5396),
    [anon_sym_DOT_STAR] = ACTIONS(5398),
    [anon_sym_DASH_GT] = ACTIONS(5398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
    [anon_sym_final] = ACTIONS(5396),
    [anon_sym_override] = ACTIONS(5396),
    [anon_sym_requires] = ACTIONS(5396),
  },
  [1782] = {
    [sym_identifier] = ACTIONS(5400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5402),
    [anon_sym_COMMA] = ACTIONS(5402),
    [anon_sym_RPAREN] = ACTIONS(5402),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5400),
    [anon_sym_STAR] = ACTIONS(5402),
    [anon_sym_SLASH] = ACTIONS(5400),
    [anon_sym_PERCENT] = ACTIONS(5402),
    [anon_sym_PIPE_PIPE] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_PIPE] = ACTIONS(5400),
    [anon_sym_CARET] = ACTIONS(5402),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_EQ_EQ] = ACTIONS(5402),
    [anon_sym_BANG_EQ] = ACTIONS(5402),
    [anon_sym_GT] = ACTIONS(5400),
    [anon_sym_GT_EQ] = ACTIONS(5402),
    [anon_sym_LT_EQ] = ACTIONS(5400),
    [anon_sym_LT] = ACTIONS(5400),
    [anon_sym_LT_LT] = ACTIONS(5402),
    [anon_sym_GT_GT] = ACTIONS(5402),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___extension__] = ACTIONS(5400),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym___based] = ACTIONS(5400),
    [anon_sym_LBRACE] = ACTIONS(5402),
    [anon_sym_RBRACE] = ACTIONS(5402),
    [anon_sym_signed] = ACTIONS(5400),
    [anon_sym_unsigned] = ACTIONS(5400),
    [anon_sym_long] = ACTIONS(5400),
    [anon_sym_short] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [anon_sym_RBRACK] = ACTIONS(5402),
    [anon_sym_const] = ACTIONS(5400),
    [anon_sym_constexpr] = ACTIONS(5400),
    [anon_sym_volatile] = ACTIONS(5400),
    [anon_sym_restrict] = ACTIONS(5400),
    [anon_sym___restrict__] = ACTIONS(5400),
    [anon_sym__Atomic] = ACTIONS(5400),
    [anon_sym__Noreturn] = ACTIONS(5400),
    [anon_sym_noreturn] = ACTIONS(5400),
    [anon_sym__Nonnull] = ACTIONS(5400),
    [anon_sym_mutable] = ACTIONS(5400),
    [anon_sym_constinit] = ACTIONS(5400),
    [anon_sym_consteval] = ACTIONS(5400),
    [anon_sym_alignas] = ACTIONS(5400),
    [anon_sym__Alignas] = ACTIONS(5400),
    [sym_primitive_type] = ACTIONS(5400),
    [anon_sym_COLON] = ACTIONS(5402),
    [anon_sym_QMARK] = ACTIONS(5402),
    [anon_sym_LT_EQ_GT] = ACTIONS(5402),
    [anon_sym_or] = ACTIONS(5400),
    [anon_sym_and] = ACTIONS(5400),
    [anon_sym_bitor] = ACTIONS(5400),
    [anon_sym_xor] = ACTIONS(5400),
    [anon_sym_bitand] = ACTIONS(5400),
    [anon_sym_not_eq] = ACTIONS(5400),
    [anon_sym_DASH_DASH] = ACTIONS(5402),
    [anon_sym_PLUS_PLUS] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5400),
    [anon_sym_DOT_STAR] = ACTIONS(5402),
    [anon_sym_DASH_GT] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
    [anon_sym_final] = ACTIONS(5400),
    [anon_sym_override] = ACTIONS(5400),
    [anon_sym_requires] = ACTIONS(5400),
  },
  [1783] = {
    [sym_identifier] = ACTIONS(5404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [anon_sym_RPAREN] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5406),
    [anon_sym_SLASH] = ACTIONS(5404),
    [anon_sym_PERCENT] = ACTIONS(5406),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5406),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5404),
    [anon_sym_GT_EQ] = ACTIONS(5406),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(5406),
    [anon_sym_GT_GT] = ACTIONS(5406),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___extension__] = ACTIONS(5404),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym___based] = ACTIONS(5404),
    [anon_sym_LBRACE] = ACTIONS(5406),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_signed] = ACTIONS(5404),
    [anon_sym_unsigned] = ACTIONS(5404),
    [anon_sym_long] = ACTIONS(5404),
    [anon_sym_short] = ACTIONS(5404),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5406),
    [anon_sym_const] = ACTIONS(5404),
    [anon_sym_constexpr] = ACTIONS(5404),
    [anon_sym_volatile] = ACTIONS(5404),
    [anon_sym_restrict] = ACTIONS(5404),
    [anon_sym___restrict__] = ACTIONS(5404),
    [anon_sym__Atomic] = ACTIONS(5404),
    [anon_sym__Noreturn] = ACTIONS(5404),
    [anon_sym_noreturn] = ACTIONS(5404),
    [anon_sym__Nonnull] = ACTIONS(5404),
    [anon_sym_mutable] = ACTIONS(5404),
    [anon_sym_constinit] = ACTIONS(5404),
    [anon_sym_consteval] = ACTIONS(5404),
    [anon_sym_alignas] = ACTIONS(5404),
    [anon_sym__Alignas] = ACTIONS(5404),
    [sym_primitive_type] = ACTIONS(5404),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5406),
    [anon_sym_LT_EQ_GT] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5404),
    [anon_sym_bitor] = ACTIONS(5404),
    [anon_sym_xor] = ACTIONS(5404),
    [anon_sym_bitand] = ACTIONS(5404),
    [anon_sym_not_eq] = ACTIONS(5404),
    [anon_sym_DASH_DASH] = ACTIONS(5406),
    [anon_sym_PLUS_PLUS] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_DOT_STAR] = ACTIONS(5406),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
    [anon_sym_final] = ACTIONS(5404),
    [anon_sym_override] = ACTIONS(5404),
    [anon_sym_requires] = ACTIONS(5404),
  },
  [1784] = {
    [sym_identifier] = ACTIONS(5408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5410),
    [anon_sym_COMMA] = ACTIONS(5410),
    [anon_sym_RPAREN] = ACTIONS(5410),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_DASH] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(5408),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_SLASH] = ACTIONS(5408),
    [anon_sym_PERCENT] = ACTIONS(5410),
    [anon_sym_PIPE_PIPE] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_PIPE] = ACTIONS(5408),
    [anon_sym_CARET] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5410),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_GT] = ACTIONS(5408),
    [anon_sym_GT_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5408),
    [anon_sym_LT] = ACTIONS(5408),
    [anon_sym_LT_LT] = ACTIONS(5410),
    [anon_sym_GT_GT] = ACTIONS(5410),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___extension__] = ACTIONS(5408),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym___based] = ACTIONS(5408),
    [anon_sym_LBRACE] = ACTIONS(5410),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_signed] = ACTIONS(5408),
    [anon_sym_unsigned] = ACTIONS(5408),
    [anon_sym_long] = ACTIONS(5408),
    [anon_sym_short] = ACTIONS(5408),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [anon_sym_RBRACK] = ACTIONS(5410),
    [anon_sym_const] = ACTIONS(5408),
    [anon_sym_constexpr] = ACTIONS(5408),
    [anon_sym_volatile] = ACTIONS(5408),
    [anon_sym_restrict] = ACTIONS(5408),
    [anon_sym___restrict__] = ACTIONS(5408),
    [anon_sym__Atomic] = ACTIONS(5408),
    [anon_sym__Noreturn] = ACTIONS(5408),
    [anon_sym_noreturn] = ACTIONS(5408),
    [anon_sym__Nonnull] = ACTIONS(5408),
    [anon_sym_mutable] = ACTIONS(5408),
    [anon_sym_constinit] = ACTIONS(5408),
    [anon_sym_consteval] = ACTIONS(5408),
    [anon_sym_alignas] = ACTIONS(5408),
    [anon_sym__Alignas] = ACTIONS(5408),
    [sym_primitive_type] = ACTIONS(5408),
    [anon_sym_COLON] = ACTIONS(5410),
    [anon_sym_QMARK] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_or] = ACTIONS(5408),
    [anon_sym_and] = ACTIONS(5408),
    [anon_sym_bitor] = ACTIONS(5408),
    [anon_sym_xor] = ACTIONS(5408),
    [anon_sym_bitand] = ACTIONS(5408),
    [anon_sym_not_eq] = ACTIONS(5408),
    [anon_sym_DASH_DASH] = ACTIONS(5410),
    [anon_sym_PLUS_PLUS] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5408),
    [anon_sym_DOT_STAR] = ACTIONS(5410),
    [anon_sym_DASH_GT] = ACTIONS(5410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
    [anon_sym_final] = ACTIONS(5408),
    [anon_sym_override] = ACTIONS(5408),
    [anon_sym_requires] = ACTIONS(5408),
  },
  [1785] = {
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5414),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5414),
    [anon_sym_GT_GT] = ACTIONS(5414),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [sym_primitive_type] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_final] = ACTIONS(5412),
    [anon_sym_override] = ACTIONS(5412),
    [anon_sym_requires] = ACTIONS(5412),
  },
  [1786] = {
    [sym_catch_clause] = STATE(1820),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token2] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_friend] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(5416),
  },
  [1787] = {
    [sym_catch_clause] = STATE(1800),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1800),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_friend] = ACTIONS(2562),
    [anon_sym_public] = ACTIONS(2562),
    [anon_sym_private] = ACTIONS(2562),
    [anon_sym_protected] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(5418),
  },
  [1788] = {
    [sym_identifier] = ACTIONS(5420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5422),
    [anon_sym_COMMA] = ACTIONS(5422),
    [anon_sym_RPAREN] = ACTIONS(5422),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_DASH] = ACTIONS(5420),
    [anon_sym_PLUS] = ACTIONS(5420),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_SLASH] = ACTIONS(5420),
    [anon_sym_PERCENT] = ACTIONS(5422),
    [anon_sym_PIPE_PIPE] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_PIPE] = ACTIONS(5420),
    [anon_sym_CARET] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_EQ_EQ] = ACTIONS(5422),
    [anon_sym_BANG_EQ] = ACTIONS(5422),
    [anon_sym_GT] = ACTIONS(5420),
    [anon_sym_GT_EQ] = ACTIONS(5422),
    [anon_sym_LT_EQ] = ACTIONS(5420),
    [anon_sym_LT] = ACTIONS(5420),
    [anon_sym_LT_LT] = ACTIONS(5422),
    [anon_sym_GT_GT] = ACTIONS(5422),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___extension__] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym___based] = ACTIONS(5420),
    [anon_sym_LBRACE] = ACTIONS(5422),
    [anon_sym_RBRACE] = ACTIONS(5422),
    [anon_sym_signed] = ACTIONS(5420),
    [anon_sym_unsigned] = ACTIONS(5420),
    [anon_sym_long] = ACTIONS(5420),
    [anon_sym_short] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5422),
    [anon_sym_RBRACK] = ACTIONS(5422),
    [anon_sym_const] = ACTIONS(5420),
    [anon_sym_constexpr] = ACTIONS(5420),
    [anon_sym_volatile] = ACTIONS(5420),
    [anon_sym_restrict] = ACTIONS(5420),
    [anon_sym___restrict__] = ACTIONS(5420),
    [anon_sym__Atomic] = ACTIONS(5420),
    [anon_sym__Noreturn] = ACTIONS(5420),
    [anon_sym_noreturn] = ACTIONS(5420),
    [anon_sym__Nonnull] = ACTIONS(5420),
    [anon_sym_mutable] = ACTIONS(5420),
    [anon_sym_constinit] = ACTIONS(5420),
    [anon_sym_consteval] = ACTIONS(5420),
    [anon_sym_alignas] = ACTIONS(5420),
    [anon_sym__Alignas] = ACTIONS(5420),
    [sym_primitive_type] = ACTIONS(5420),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5422),
    [anon_sym_LT_EQ_GT] = ACTIONS(5422),
    [anon_sym_or] = ACTIONS(5420),
    [anon_sym_and] = ACTIONS(5420),
    [anon_sym_bitor] = ACTIONS(5420),
    [anon_sym_xor] = ACTIONS(5420),
    [anon_sym_bitand] = ACTIONS(5420),
    [anon_sym_not_eq] = ACTIONS(5420),
    [anon_sym_DASH_DASH] = ACTIONS(5422),
    [anon_sym_PLUS_PLUS] = ACTIONS(5422),
    [anon_sym_DOT] = ACTIONS(5420),
    [anon_sym_DOT_STAR] = ACTIONS(5422),
    [anon_sym_DASH_GT] = ACTIONS(5422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
    [anon_sym_final] = ACTIONS(5420),
    [anon_sym_override] = ACTIONS(5420),
    [anon_sym_requires] = ACTIONS(5420),
  },
  [1789] = {
    [sym_identifier] = ACTIONS(5424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5426),
    [anon_sym_COMMA] = ACTIONS(5426),
    [anon_sym_RPAREN] = ACTIONS(5426),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_DASH] = ACTIONS(5424),
    [anon_sym_PLUS] = ACTIONS(5424),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_SLASH] = ACTIONS(5424),
    [anon_sym_PERCENT] = ACTIONS(5426),
    [anon_sym_PIPE_PIPE] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_PIPE] = ACTIONS(5424),
    [anon_sym_CARET] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_EQ_EQ] = ACTIONS(5426),
    [anon_sym_BANG_EQ] = ACTIONS(5426),
    [anon_sym_GT] = ACTIONS(5424),
    [anon_sym_GT_EQ] = ACTIONS(5426),
    [anon_sym_LT_EQ] = ACTIONS(5424),
    [anon_sym_LT] = ACTIONS(5424),
    [anon_sym_LT_LT] = ACTIONS(5426),
    [anon_sym_GT_GT] = ACTIONS(5426),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___extension__] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym___based] = ACTIONS(5424),
    [anon_sym_LBRACE] = ACTIONS(5426),
    [anon_sym_RBRACE] = ACTIONS(5426),
    [anon_sym_signed] = ACTIONS(5424),
    [anon_sym_unsigned] = ACTIONS(5424),
    [anon_sym_long] = ACTIONS(5424),
    [anon_sym_short] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5426),
    [anon_sym_RBRACK] = ACTIONS(5426),
    [anon_sym_const] = ACTIONS(5424),
    [anon_sym_constexpr] = ACTIONS(5424),
    [anon_sym_volatile] = ACTIONS(5424),
    [anon_sym_restrict] = ACTIONS(5424),
    [anon_sym___restrict__] = ACTIONS(5424),
    [anon_sym__Atomic] = ACTIONS(5424),
    [anon_sym__Noreturn] = ACTIONS(5424),
    [anon_sym_noreturn] = ACTIONS(5424),
    [anon_sym__Nonnull] = ACTIONS(5424),
    [anon_sym_mutable] = ACTIONS(5424),
    [anon_sym_constinit] = ACTIONS(5424),
    [anon_sym_consteval] = ACTIONS(5424),
    [anon_sym_alignas] = ACTIONS(5424),
    [anon_sym__Alignas] = ACTIONS(5424),
    [sym_primitive_type] = ACTIONS(5424),
    [anon_sym_COLON] = ACTIONS(5426),
    [anon_sym_QMARK] = ACTIONS(5426),
    [anon_sym_LT_EQ_GT] = ACTIONS(5426),
    [anon_sym_or] = ACTIONS(5424),
    [anon_sym_and] = ACTIONS(5424),
    [anon_sym_bitor] = ACTIONS(5424),
    [anon_sym_xor] = ACTIONS(5424),
    [anon_sym_bitand] = ACTIONS(5424),
    [anon_sym_not_eq] = ACTIONS(5424),
    [anon_sym_DASH_DASH] = ACTIONS(5426),
    [anon_sym_PLUS_PLUS] = ACTIONS(5426),
    [anon_sym_DOT] = ACTIONS(5424),
    [anon_sym_DOT_STAR] = ACTIONS(5426),
    [anon_sym_DASH_GT] = ACTIONS(5426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
    [anon_sym_final] = ACTIONS(5424),
    [anon_sym_override] = ACTIONS(5424),
    [anon_sym_requires] = ACTIONS(5424),
  },
  [1790] = {
    [sym_identifier] = ACTIONS(5428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5430),
    [anon_sym_COMMA] = ACTIONS(5430),
    [anon_sym_RPAREN] = ACTIONS(5430),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_DASH] = ACTIONS(5428),
    [anon_sym_PLUS] = ACTIONS(5428),
    [anon_sym_STAR] = ACTIONS(5430),
    [anon_sym_SLASH] = ACTIONS(5428),
    [anon_sym_PERCENT] = ACTIONS(5430),
    [anon_sym_PIPE_PIPE] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_PIPE] = ACTIONS(5428),
    [anon_sym_CARET] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_EQ_EQ] = ACTIONS(5430),
    [anon_sym_BANG_EQ] = ACTIONS(5430),
    [anon_sym_GT] = ACTIONS(5428),
    [anon_sym_GT_EQ] = ACTIONS(5430),
    [anon_sym_LT_EQ] = ACTIONS(5428),
    [anon_sym_LT] = ACTIONS(5428),
    [anon_sym_LT_LT] = ACTIONS(5430),
    [anon_sym_GT_GT] = ACTIONS(5430),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___extension__] = ACTIONS(5428),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym___based] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(5430),
    [anon_sym_RBRACE] = ACTIONS(5430),
    [anon_sym_signed] = ACTIONS(5428),
    [anon_sym_unsigned] = ACTIONS(5428),
    [anon_sym_long] = ACTIONS(5428),
    [anon_sym_short] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5430),
    [anon_sym_RBRACK] = ACTIONS(5430),
    [anon_sym_const] = ACTIONS(5428),
    [anon_sym_constexpr] = ACTIONS(5428),
    [anon_sym_volatile] = ACTIONS(5428),
    [anon_sym_restrict] = ACTIONS(5428),
    [anon_sym___restrict__] = ACTIONS(5428),
    [anon_sym__Atomic] = ACTIONS(5428),
    [anon_sym__Noreturn] = ACTIONS(5428),
    [anon_sym_noreturn] = ACTIONS(5428),
    [anon_sym__Nonnull] = ACTIONS(5428),
    [anon_sym_mutable] = ACTIONS(5428),
    [anon_sym_constinit] = ACTIONS(5428),
    [anon_sym_consteval] = ACTIONS(5428),
    [anon_sym_alignas] = ACTIONS(5428),
    [anon_sym__Alignas] = ACTIONS(5428),
    [sym_primitive_type] = ACTIONS(5428),
    [anon_sym_COLON] = ACTIONS(5430),
    [anon_sym_QMARK] = ACTIONS(5430),
    [anon_sym_LT_EQ_GT] = ACTIONS(5430),
    [anon_sym_or] = ACTIONS(5428),
    [anon_sym_and] = ACTIONS(5428),
    [anon_sym_bitor] = ACTIONS(5428),
    [anon_sym_xor] = ACTIONS(5428),
    [anon_sym_bitand] = ACTIONS(5428),
    [anon_sym_not_eq] = ACTIONS(5428),
    [anon_sym_DASH_DASH] = ACTIONS(5430),
    [anon_sym_PLUS_PLUS] = ACTIONS(5430),
    [anon_sym_DOT] = ACTIONS(5428),
    [anon_sym_DOT_STAR] = ACTIONS(5430),
    [anon_sym_DASH_GT] = ACTIONS(5430),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5428),
    [anon_sym_decltype] = ACTIONS(5428),
    [anon_sym_final] = ACTIONS(5428),
    [anon_sym_override] = ACTIONS(5428),
    [anon_sym_requires] = ACTIONS(5428),
  },
  [1791] = {
    [sym_identifier] = ACTIONS(5432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5434),
    [anon_sym_COMMA] = ACTIONS(5434),
    [anon_sym_RPAREN] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5432),
    [anon_sym_PLUS] = ACTIONS(5432),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_SLASH] = ACTIONS(5432),
    [anon_sym_PERCENT] = ACTIONS(5434),
    [anon_sym_PIPE_PIPE] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_PIPE] = ACTIONS(5432),
    [anon_sym_CARET] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5432),
    [anon_sym_EQ_EQ] = ACTIONS(5434),
    [anon_sym_BANG_EQ] = ACTIONS(5434),
    [anon_sym_GT] = ACTIONS(5432),
    [anon_sym_GT_EQ] = ACTIONS(5434),
    [anon_sym_LT_EQ] = ACTIONS(5432),
    [anon_sym_LT] = ACTIONS(5432),
    [anon_sym_LT_LT] = ACTIONS(5434),
    [anon_sym_GT_GT] = ACTIONS(5434),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5432),
    [anon_sym___attribute__] = ACTIONS(5432),
    [anon_sym___based] = ACTIONS(5432),
    [anon_sym_LBRACE] = ACTIONS(5434),
    [anon_sym_RBRACE] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5432),
    [anon_sym_unsigned] = ACTIONS(5432),
    [anon_sym_long] = ACTIONS(5432),
    [anon_sym_short] = ACTIONS(5432),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_RBRACK] = ACTIONS(5434),
    [anon_sym_const] = ACTIONS(5432),
    [anon_sym_constexpr] = ACTIONS(5432),
    [anon_sym_volatile] = ACTIONS(5432),
    [anon_sym_restrict] = ACTIONS(5432),
    [anon_sym___restrict__] = ACTIONS(5432),
    [anon_sym__Atomic] = ACTIONS(5432),
    [anon_sym__Noreturn] = ACTIONS(5432),
    [anon_sym_noreturn] = ACTIONS(5432),
    [anon_sym__Nonnull] = ACTIONS(5432),
    [anon_sym_mutable] = ACTIONS(5432),
    [anon_sym_constinit] = ACTIONS(5432),
    [anon_sym_consteval] = ACTIONS(5432),
    [anon_sym_alignas] = ACTIONS(5432),
    [anon_sym__Alignas] = ACTIONS(5432),
    [sym_primitive_type] = ACTIONS(5432),
    [anon_sym_COLON] = ACTIONS(5434),
    [anon_sym_QMARK] = ACTIONS(5434),
    [anon_sym_LT_EQ_GT] = ACTIONS(5434),
    [anon_sym_or] = ACTIONS(5432),
    [anon_sym_and] = ACTIONS(5432),
    [anon_sym_bitor] = ACTIONS(5432),
    [anon_sym_xor] = ACTIONS(5432),
    [anon_sym_bitand] = ACTIONS(5432),
    [anon_sym_not_eq] = ACTIONS(5432),
    [anon_sym_DASH_DASH] = ACTIONS(5434),
    [anon_sym_PLUS_PLUS] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5432),
    [anon_sym_DOT_STAR] = ACTIONS(5434),
    [anon_sym_DASH_GT] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5432),
    [anon_sym_decltype] = ACTIONS(5432),
    [anon_sym_final] = ACTIONS(5432),
    [anon_sym_override] = ACTIONS(5432),
    [anon_sym_requires] = ACTIONS(5432),
  },
  [1792] = {
    [sym_identifier] = ACTIONS(5436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5438),
    [anon_sym_COMMA] = ACTIONS(5438),
    [anon_sym_RPAREN] = ACTIONS(5438),
    [anon_sym_LPAREN2] = ACTIONS(5438),
    [anon_sym_DASH] = ACTIONS(5436),
    [anon_sym_PLUS] = ACTIONS(5436),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5436),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_PIPE] = ACTIONS(5436),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5436),
    [anon_sym_EQ_EQ] = ACTIONS(5438),
    [anon_sym_BANG_EQ] = ACTIONS(5438),
    [anon_sym_GT] = ACTIONS(5436),
    [anon_sym_GT_EQ] = ACTIONS(5438),
    [anon_sym_LT_EQ] = ACTIONS(5436),
    [anon_sym_LT] = ACTIONS(5436),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym___extension__] = ACTIONS(5436),
    [anon_sym___attribute__] = ACTIONS(5436),
    [anon_sym___based] = ACTIONS(5436),
    [anon_sym_LBRACE] = ACTIONS(5438),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_signed] = ACTIONS(5436),
    [anon_sym_unsigned] = ACTIONS(5436),
    [anon_sym_long] = ACTIONS(5436),
    [anon_sym_short] = ACTIONS(5436),
    [anon_sym_LBRACK] = ACTIONS(5438),
    [anon_sym_RBRACK] = ACTIONS(5438),
    [anon_sym_const] = ACTIONS(5436),
    [anon_sym_constexpr] = ACTIONS(5436),
    [anon_sym_volatile] = ACTIONS(5436),
    [anon_sym_restrict] = ACTIONS(5436),
    [anon_sym___restrict__] = ACTIONS(5436),
    [anon_sym__Atomic] = ACTIONS(5436),
    [anon_sym__Noreturn] = ACTIONS(5436),
    [anon_sym_noreturn] = ACTIONS(5436),
    [anon_sym__Nonnull] = ACTIONS(5436),
    [anon_sym_mutable] = ACTIONS(5436),
    [anon_sym_constinit] = ACTIONS(5436),
    [anon_sym_consteval] = ACTIONS(5436),
    [anon_sym_alignas] = ACTIONS(5436),
    [anon_sym__Alignas] = ACTIONS(5436),
    [sym_primitive_type] = ACTIONS(5436),
    [anon_sym_COLON] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5438),
    [anon_sym_or] = ACTIONS(5436),
    [anon_sym_and] = ACTIONS(5436),
    [anon_sym_bitor] = ACTIONS(5436),
    [anon_sym_xor] = ACTIONS(5436),
    [anon_sym_bitand] = ACTIONS(5436),
    [anon_sym_not_eq] = ACTIONS(5436),
    [anon_sym_DASH_DASH] = ACTIONS(5438),
    [anon_sym_PLUS_PLUS] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5436),
    [anon_sym_DOT_STAR] = ACTIONS(5438),
    [anon_sym_DASH_GT] = ACTIONS(5438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5436),
    [anon_sym_decltype] = ACTIONS(5436),
    [anon_sym_final] = ACTIONS(5436),
    [anon_sym_override] = ACTIONS(5436),
    [anon_sym_requires] = ACTIONS(5436),
  },
  [1793] = {
    [sym_identifier] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(5442),
    [anon_sym_RPAREN] = ACTIONS(5442),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_DASH] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5440),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_SLASH] = ACTIONS(5440),
    [anon_sym_PERCENT] = ACTIONS(5442),
    [anon_sym_PIPE_PIPE] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_CARET] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ_EQ] = ACTIONS(5442),
    [anon_sym_BANG_EQ] = ACTIONS(5442),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5442),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_LT_LT] = ACTIONS(5442),
    [anon_sym_GT_GT] = ACTIONS(5442),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___extension__] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(5440),
    [anon_sym___based] = ACTIONS(5440),
    [anon_sym_LBRACE] = ACTIONS(5442),
    [anon_sym_RBRACE] = ACTIONS(5442),
    [anon_sym_signed] = ACTIONS(5440),
    [anon_sym_unsigned] = ACTIONS(5440),
    [anon_sym_long] = ACTIONS(5440),
    [anon_sym_short] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5442),
    [anon_sym_RBRACK] = ACTIONS(5442),
    [anon_sym_const] = ACTIONS(5440),
    [anon_sym_constexpr] = ACTIONS(5440),
    [anon_sym_volatile] = ACTIONS(5440),
    [anon_sym_restrict] = ACTIONS(5440),
    [anon_sym___restrict__] = ACTIONS(5440),
    [anon_sym__Atomic] = ACTIONS(5440),
    [anon_sym__Noreturn] = ACTIONS(5440),
    [anon_sym_noreturn] = ACTIONS(5440),
    [anon_sym__Nonnull] = ACTIONS(5440),
    [anon_sym_mutable] = ACTIONS(5440),
    [anon_sym_constinit] = ACTIONS(5440),
    [anon_sym_consteval] = ACTIONS(5440),
    [anon_sym_alignas] = ACTIONS(5440),
    [anon_sym__Alignas] = ACTIONS(5440),
    [sym_primitive_type] = ACTIONS(5440),
    [anon_sym_COLON] = ACTIONS(5442),
    [anon_sym_QMARK] = ACTIONS(5442),
    [anon_sym_LT_EQ_GT] = ACTIONS(5442),
    [anon_sym_or] = ACTIONS(5440),
    [anon_sym_and] = ACTIONS(5440),
    [anon_sym_bitor] = ACTIONS(5440),
    [anon_sym_xor] = ACTIONS(5440),
    [anon_sym_bitand] = ACTIONS(5440),
    [anon_sym_not_eq] = ACTIONS(5440),
    [anon_sym_DASH_DASH] = ACTIONS(5442),
    [anon_sym_PLUS_PLUS] = ACTIONS(5442),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_DOT_STAR] = ACTIONS(5442),
    [anon_sym_DASH_GT] = ACTIONS(5442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
    [anon_sym_final] = ACTIONS(5440),
    [anon_sym_override] = ACTIONS(5440),
    [anon_sym_requires] = ACTIONS(5440),
  },
  [1794] = {
    [sym_identifier] = ACTIONS(5444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5446),
    [anon_sym_COMMA] = ACTIONS(5446),
    [anon_sym_RPAREN] = ACTIONS(5446),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_DASH] = ACTIONS(5444),
    [anon_sym_PLUS] = ACTIONS(5444),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_SLASH] = ACTIONS(5444),
    [anon_sym_PERCENT] = ACTIONS(5446),
    [anon_sym_PIPE_PIPE] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_PIPE] = ACTIONS(5444),
    [anon_sym_CARET] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_EQ_EQ] = ACTIONS(5446),
    [anon_sym_BANG_EQ] = ACTIONS(5446),
    [anon_sym_GT] = ACTIONS(5444),
    [anon_sym_GT_EQ] = ACTIONS(5446),
    [anon_sym_LT_EQ] = ACTIONS(5444),
    [anon_sym_LT] = ACTIONS(5444),
    [anon_sym_LT_LT] = ACTIONS(5446),
    [anon_sym_GT_GT] = ACTIONS(5446),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___extension__] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym___based] = ACTIONS(5444),
    [anon_sym_LBRACE] = ACTIONS(5446),
    [anon_sym_RBRACE] = ACTIONS(5446),
    [anon_sym_signed] = ACTIONS(5444),
    [anon_sym_unsigned] = ACTIONS(5444),
    [anon_sym_long] = ACTIONS(5444),
    [anon_sym_short] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5446),
    [anon_sym_RBRACK] = ACTIONS(5446),
    [anon_sym_const] = ACTIONS(5444),
    [anon_sym_constexpr] = ACTIONS(5444),
    [anon_sym_volatile] = ACTIONS(5444),
    [anon_sym_restrict] = ACTIONS(5444),
    [anon_sym___restrict__] = ACTIONS(5444),
    [anon_sym__Atomic] = ACTIONS(5444),
    [anon_sym__Noreturn] = ACTIONS(5444),
    [anon_sym_noreturn] = ACTIONS(5444),
    [anon_sym__Nonnull] = ACTIONS(5444),
    [anon_sym_mutable] = ACTIONS(5444),
    [anon_sym_constinit] = ACTIONS(5444),
    [anon_sym_consteval] = ACTIONS(5444),
    [anon_sym_alignas] = ACTIONS(5444),
    [anon_sym__Alignas] = ACTIONS(5444),
    [sym_primitive_type] = ACTIONS(5444),
    [anon_sym_COLON] = ACTIONS(5446),
    [anon_sym_QMARK] = ACTIONS(5446),
    [anon_sym_LT_EQ_GT] = ACTIONS(5446),
    [anon_sym_or] = ACTIONS(5444),
    [anon_sym_and] = ACTIONS(5444),
    [anon_sym_bitor] = ACTIONS(5444),
    [anon_sym_xor] = ACTIONS(5444),
    [anon_sym_bitand] = ACTIONS(5444),
    [anon_sym_not_eq] = ACTIONS(5444),
    [anon_sym_DASH_DASH] = ACTIONS(5446),
    [anon_sym_PLUS_PLUS] = ACTIONS(5446),
    [anon_sym_DOT] = ACTIONS(5444),
    [anon_sym_DOT_STAR] = ACTIONS(5446),
    [anon_sym_DASH_GT] = ACTIONS(5446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
    [anon_sym_final] = ACTIONS(5444),
    [anon_sym_override] = ACTIONS(5444),
    [anon_sym_requires] = ACTIONS(5444),
  },
  [1795] = {
    [sym_template_argument_list] = STATE(1840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4859),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4859),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(5448),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym__Nonnull] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4857),
    [anon_sym_or_eq] = ACTIONS(4857),
    [anon_sym_xor_eq] = ACTIONS(4857),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4857),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4857),
    [anon_sym_not_eq] = ACTIONS(4857),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
  },
  [1796] = {
    [sym_identifier] = ACTIONS(5451),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5453),
    [anon_sym_COMMA] = ACTIONS(5453),
    [anon_sym_RPAREN] = ACTIONS(5453),
    [anon_sym_LPAREN2] = ACTIONS(5453),
    [anon_sym_TILDE] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_AMP_AMP] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5451),
    [anon_sym_SEMI] = ACTIONS(5453),
    [anon_sym___extension__] = ACTIONS(5451),
    [anon_sym_virtual] = ACTIONS(5451),
    [anon_sym_extern] = ACTIONS(5451),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym_COLON_COLON] = ACTIONS(5453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5453),
    [anon_sym___declspec] = ACTIONS(5451),
    [anon_sym___based] = ACTIONS(5451),
    [anon_sym_LBRACE] = ACTIONS(5453),
    [anon_sym_signed] = ACTIONS(5451),
    [anon_sym_unsigned] = ACTIONS(5451),
    [anon_sym_long] = ACTIONS(5451),
    [anon_sym_short] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_static] = ACTIONS(5451),
    [anon_sym_EQ] = ACTIONS(5453),
    [anon_sym_register] = ACTIONS(5451),
    [anon_sym_inline] = ACTIONS(5451),
    [anon_sym___inline] = ACTIONS(5451),
    [anon_sym___inline__] = ACTIONS(5451),
    [anon_sym___forceinline] = ACTIONS(5451),
    [anon_sym_thread_local] = ACTIONS(5451),
    [anon_sym___thread] = ACTIONS(5451),
    [anon_sym_const] = ACTIONS(5451),
    [anon_sym_constexpr] = ACTIONS(5451),
    [anon_sym_volatile] = ACTIONS(5451),
    [anon_sym_restrict] = ACTIONS(5451),
    [anon_sym___restrict__] = ACTIONS(5451),
    [anon_sym__Atomic] = ACTIONS(5451),
    [anon_sym__Noreturn] = ACTIONS(5451),
    [anon_sym_noreturn] = ACTIONS(5451),
    [anon_sym__Nonnull] = ACTIONS(5451),
    [anon_sym_mutable] = ACTIONS(5451),
    [anon_sym_constinit] = ACTIONS(5451),
    [anon_sym_consteval] = ACTIONS(5451),
    [anon_sym_alignas] = ACTIONS(5451),
    [anon_sym__Alignas] = ACTIONS(5451),
    [sym_primitive_type] = ACTIONS(5451),
    [anon_sym_enum] = ACTIONS(5451),
    [anon_sym_class] = ACTIONS(5451),
    [anon_sym_struct] = ACTIONS(5451),
    [anon_sym_union] = ACTIONS(5451),
    [anon_sym_asm] = ACTIONS(5451),
    [anon_sym___asm__] = ACTIONS(5451),
    [anon_sym___asm] = ACTIONS(5451),
    [anon_sym_DASH_GT] = ACTIONS(5453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5451),
    [anon_sym_decltype] = ACTIONS(5451),
    [anon_sym_final] = ACTIONS(5451),
    [anon_sym_override] = ACTIONS(5451),
    [anon_sym_explicit] = ACTIONS(5451),
    [anon_sym_typename] = ACTIONS(5451),
    [anon_sym_template] = ACTIONS(5451),
    [anon_sym_GT2] = ACTIONS(5453),
    [anon_sym_operator] = ACTIONS(5451),
    [anon_sym_try] = ACTIONS(5451),
    [anon_sym_noexcept] = ACTIONS(5451),
    [anon_sym_throw] = ACTIONS(5451),
    [anon_sym_requires] = ACTIONS(5451),
  },
  [1797] = {
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5414),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5414),
    [anon_sym_GT_GT] = ACTIONS(5414),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [sym_primitive_type] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_final] = ACTIONS(5412),
    [anon_sym_override] = ACTIONS(5412),
    [anon_sym_requires] = ACTIONS(5412),
  },
  [1798] = {
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5457),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5457),
    [anon_sym_GT_GT] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___extension__] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym___based] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_signed] = ACTIONS(5455),
    [anon_sym_unsigned] = ACTIONS(5455),
    [anon_sym_long] = ACTIONS(5455),
    [anon_sym_short] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5455),
    [anon_sym_volatile] = ACTIONS(5455),
    [anon_sym_restrict] = ACTIONS(5455),
    [anon_sym___restrict__] = ACTIONS(5455),
    [anon_sym__Atomic] = ACTIONS(5455),
    [anon_sym__Noreturn] = ACTIONS(5455),
    [anon_sym_noreturn] = ACTIONS(5455),
    [anon_sym__Nonnull] = ACTIONS(5455),
    [anon_sym_mutable] = ACTIONS(5455),
    [anon_sym_constinit] = ACTIONS(5455),
    [anon_sym_consteval] = ACTIONS(5455),
    [anon_sym_alignas] = ACTIONS(5455),
    [anon_sym__Alignas] = ACTIONS(5455),
    [sym_primitive_type] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
    [anon_sym_final] = ACTIONS(5455),
    [anon_sym_override] = ACTIONS(5455),
    [anon_sym_requires] = ACTIONS(5455),
  },
  [1799] = {
    [sym_identifier] = ACTIONS(5459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5461),
    [anon_sym_COMMA] = ACTIONS(5461),
    [anon_sym_RPAREN] = ACTIONS(5461),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5459),
    [anon_sym_PLUS] = ACTIONS(5459),
    [anon_sym_STAR] = ACTIONS(5461),
    [anon_sym_SLASH] = ACTIONS(5459),
    [anon_sym_PERCENT] = ACTIONS(5461),
    [anon_sym_PIPE_PIPE] = ACTIONS(5461),
    [anon_sym_AMP_AMP] = ACTIONS(5461),
    [anon_sym_PIPE] = ACTIONS(5459),
    [anon_sym_CARET] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5459),
    [anon_sym_EQ_EQ] = ACTIONS(5461),
    [anon_sym_BANG_EQ] = ACTIONS(5461),
    [anon_sym_GT] = ACTIONS(5459),
    [anon_sym_GT_EQ] = ACTIONS(5461),
    [anon_sym_LT_EQ] = ACTIONS(5459),
    [anon_sym_LT] = ACTIONS(5459),
    [anon_sym_LT_LT] = ACTIONS(5461),
    [anon_sym_GT_GT] = ACTIONS(5461),
    [anon_sym_SEMI] = ACTIONS(5461),
    [anon_sym___extension__] = ACTIONS(5459),
    [anon_sym___attribute__] = ACTIONS(5459),
    [anon_sym___based] = ACTIONS(5459),
    [anon_sym_LBRACE] = ACTIONS(5461),
    [anon_sym_RBRACE] = ACTIONS(5461),
    [anon_sym_signed] = ACTIONS(5459),
    [anon_sym_unsigned] = ACTIONS(5459),
    [anon_sym_long] = ACTIONS(5459),
    [anon_sym_short] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5461),
    [anon_sym_RBRACK] = ACTIONS(5461),
    [anon_sym_const] = ACTIONS(5459),
    [anon_sym_constexpr] = ACTIONS(5459),
    [anon_sym_volatile] = ACTIONS(5459),
    [anon_sym_restrict] = ACTIONS(5459),
    [anon_sym___restrict__] = ACTIONS(5459),
    [anon_sym__Atomic] = ACTIONS(5459),
    [anon_sym__Noreturn] = ACTIONS(5459),
    [anon_sym_noreturn] = ACTIONS(5459),
    [anon_sym__Nonnull] = ACTIONS(5459),
    [anon_sym_mutable] = ACTIONS(5459),
    [anon_sym_constinit] = ACTIONS(5459),
    [anon_sym_consteval] = ACTIONS(5459),
    [anon_sym_alignas] = ACTIONS(5459),
    [anon_sym__Alignas] = ACTIONS(5459),
    [sym_primitive_type] = ACTIONS(5459),
    [anon_sym_COLON] = ACTIONS(5461),
    [anon_sym_QMARK] = ACTIONS(5461),
    [anon_sym_LT_EQ_GT] = ACTIONS(5461),
    [anon_sym_or] = ACTIONS(5459),
    [anon_sym_and] = ACTIONS(5459),
    [anon_sym_bitor] = ACTIONS(5459),
    [anon_sym_xor] = ACTIONS(5459),
    [anon_sym_bitand] = ACTIONS(5459),
    [anon_sym_not_eq] = ACTIONS(5459),
    [anon_sym_DASH_DASH] = ACTIONS(5461),
    [anon_sym_PLUS_PLUS] = ACTIONS(5461),
    [anon_sym_DOT] = ACTIONS(5459),
    [anon_sym_DOT_STAR] = ACTIONS(5461),
    [anon_sym_DASH_GT] = ACTIONS(5461),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5459),
    [anon_sym_decltype] = ACTIONS(5459),
    [anon_sym_final] = ACTIONS(5459),
    [anon_sym_override] = ACTIONS(5459),
    [anon_sym_requires] = ACTIONS(5459),
  },
  [1800] = {
    [sym_catch_clause] = STATE(1800),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1800),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(5463),
  },
  [1801] = {
    [sym_catch_clause] = STATE(1820),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token1] = ACTIONS(2562),
    [aux_sym_preproc_if_token2] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2562),
    [sym_preproc_directive] = ACTIONS(2562),
    [anon_sym_LPAREN2] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2562),
    [anon_sym_typedef] = ACTIONS(2562),
    [anon_sym_virtual] = ACTIONS(2562),
    [anon_sym_extern] = ACTIONS(2562),
    [anon_sym___attribute__] = ACTIONS(2562),
    [anon_sym_COLON_COLON] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2564),
    [anon_sym___declspec] = ACTIONS(2562),
    [anon_sym___based] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2562),
    [anon_sym_unsigned] = ACTIONS(2562),
    [anon_sym_long] = ACTIONS(2562),
    [anon_sym_short] = ACTIONS(2562),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym_static] = ACTIONS(2562),
    [anon_sym_register] = ACTIONS(2562),
    [anon_sym_inline] = ACTIONS(2562),
    [anon_sym___inline] = ACTIONS(2562),
    [anon_sym___inline__] = ACTIONS(2562),
    [anon_sym___forceinline] = ACTIONS(2562),
    [anon_sym_thread_local] = ACTIONS(2562),
    [anon_sym___thread] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2562),
    [anon_sym_constexpr] = ACTIONS(2562),
    [anon_sym_volatile] = ACTIONS(2562),
    [anon_sym_restrict] = ACTIONS(2562),
    [anon_sym___restrict__] = ACTIONS(2562),
    [anon_sym__Atomic] = ACTIONS(2562),
    [anon_sym__Noreturn] = ACTIONS(2562),
    [anon_sym_noreturn] = ACTIONS(2562),
    [anon_sym__Nonnull] = ACTIONS(2562),
    [anon_sym_mutable] = ACTIONS(2562),
    [anon_sym_constinit] = ACTIONS(2562),
    [anon_sym_consteval] = ACTIONS(2562),
    [anon_sym_alignas] = ACTIONS(2562),
    [anon_sym__Alignas] = ACTIONS(2562),
    [sym_primitive_type] = ACTIONS(2562),
    [anon_sym_enum] = ACTIONS(2562),
    [anon_sym_class] = ACTIONS(2562),
    [anon_sym_struct] = ACTIONS(2562),
    [anon_sym_union] = ACTIONS(2562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2562),
    [anon_sym_decltype] = ACTIONS(2562),
    [anon_sym_explicit] = ACTIONS(2562),
    [anon_sym_typename] = ACTIONS(2562),
    [anon_sym_template] = ACTIONS(2562),
    [anon_sym_operator] = ACTIONS(2562),
    [anon_sym_friend] = ACTIONS(2562),
    [anon_sym_public] = ACTIONS(2562),
    [anon_sym_private] = ACTIONS(2562),
    [anon_sym_protected] = ACTIONS(2562),
    [anon_sym_using] = ACTIONS(2562),
    [anon_sym_static_assert] = ACTIONS(2562),
    [anon_sym_catch] = ACTIONS(5416),
  },
  [1802] = {
    [sym_identifier] = ACTIONS(5466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5468),
    [anon_sym_COMMA] = ACTIONS(5468),
    [anon_sym_RPAREN] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [anon_sym_DASH] = ACTIONS(5466),
    [anon_sym_PLUS] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5468),
    [anon_sym_SLASH] = ACTIONS(5466),
    [anon_sym_PERCENT] = ACTIONS(5468),
    [anon_sym_PIPE_PIPE] = ACTIONS(5468),
    [anon_sym_AMP_AMP] = ACTIONS(5468),
    [anon_sym_PIPE] = ACTIONS(5466),
    [anon_sym_CARET] = ACTIONS(5468),
    [anon_sym_AMP] = ACTIONS(5466),
    [anon_sym_EQ_EQ] = ACTIONS(5468),
    [anon_sym_BANG_EQ] = ACTIONS(5468),
    [anon_sym_GT] = ACTIONS(5466),
    [anon_sym_GT_EQ] = ACTIONS(5468),
    [anon_sym_LT_EQ] = ACTIONS(5466),
    [anon_sym_LT] = ACTIONS(5466),
    [anon_sym_LT_LT] = ACTIONS(5468),
    [anon_sym_GT_GT] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5468),
    [anon_sym___extension__] = ACTIONS(5466),
    [anon_sym___attribute__] = ACTIONS(5466),
    [anon_sym___based] = ACTIONS(5466),
    [anon_sym_LBRACE] = ACTIONS(5468),
    [anon_sym_RBRACE] = ACTIONS(5468),
    [anon_sym_signed] = ACTIONS(5466),
    [anon_sym_unsigned] = ACTIONS(5466),
    [anon_sym_long] = ACTIONS(5466),
    [anon_sym_short] = ACTIONS(5466),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_RBRACK] = ACTIONS(5468),
    [anon_sym_const] = ACTIONS(5466),
    [anon_sym_constexpr] = ACTIONS(5466),
    [anon_sym_volatile] = ACTIONS(5466),
    [anon_sym_restrict] = ACTIONS(5466),
    [anon_sym___restrict__] = ACTIONS(5466),
    [anon_sym__Atomic] = ACTIONS(5466),
    [anon_sym__Noreturn] = ACTIONS(5466),
    [anon_sym_noreturn] = ACTIONS(5466),
    [anon_sym__Nonnull] = ACTIONS(5466),
    [anon_sym_mutable] = ACTIONS(5466),
    [anon_sym_constinit] = ACTIONS(5466),
    [anon_sym_consteval] = ACTIONS(5466),
    [anon_sym_alignas] = ACTIONS(5466),
    [anon_sym__Alignas] = ACTIONS(5466),
    [sym_primitive_type] = ACTIONS(5466),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5468),
    [anon_sym_LT_EQ_GT] = ACTIONS(5468),
    [anon_sym_or] = ACTIONS(5466),
    [anon_sym_and] = ACTIONS(5466),
    [anon_sym_bitor] = ACTIONS(5466),
    [anon_sym_xor] = ACTIONS(5466),
    [anon_sym_bitand] = ACTIONS(5466),
    [anon_sym_not_eq] = ACTIONS(5466),
    [anon_sym_DASH_DASH] = ACTIONS(5468),
    [anon_sym_PLUS_PLUS] = ACTIONS(5468),
    [anon_sym_DOT] = ACTIONS(5466),
    [anon_sym_DOT_STAR] = ACTIONS(5468),
    [anon_sym_DASH_GT] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5466),
    [anon_sym_decltype] = ACTIONS(5466),
    [anon_sym_final] = ACTIONS(5466),
    [anon_sym_override] = ACTIONS(5466),
    [anon_sym_requires] = ACTIONS(5466),
  },
  [1803] = {
    [sym_identifier] = ACTIONS(5470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5472),
    [anon_sym_COMMA] = ACTIONS(5472),
    [anon_sym_RPAREN] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5472),
    [anon_sym_DASH] = ACTIONS(5470),
    [anon_sym_PLUS] = ACTIONS(5470),
    [anon_sym_STAR] = ACTIONS(5472),
    [anon_sym_SLASH] = ACTIONS(5470),
    [anon_sym_PERCENT] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE] = ACTIONS(5472),
    [anon_sym_AMP_AMP] = ACTIONS(5472),
    [anon_sym_PIPE] = ACTIONS(5470),
    [anon_sym_CARET] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(5470),
    [anon_sym_EQ_EQ] = ACTIONS(5472),
    [anon_sym_BANG_EQ] = ACTIONS(5472),
    [anon_sym_GT] = ACTIONS(5470),
    [anon_sym_GT_EQ] = ACTIONS(5472),
    [anon_sym_LT_EQ] = ACTIONS(5470),
    [anon_sym_LT] = ACTIONS(5470),
    [anon_sym_LT_LT] = ACTIONS(5472),
    [anon_sym_GT_GT] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5472),
    [anon_sym___extension__] = ACTIONS(5470),
    [anon_sym___attribute__] = ACTIONS(5470),
    [anon_sym___based] = ACTIONS(5470),
    [anon_sym_LBRACE] = ACTIONS(5472),
    [anon_sym_RBRACE] = ACTIONS(5472),
    [anon_sym_signed] = ACTIONS(5470),
    [anon_sym_unsigned] = ACTIONS(5470),
    [anon_sym_long] = ACTIONS(5470),
    [anon_sym_short] = ACTIONS(5470),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_RBRACK] = ACTIONS(5472),
    [anon_sym_const] = ACTIONS(5470),
    [anon_sym_constexpr] = ACTIONS(5470),
    [anon_sym_volatile] = ACTIONS(5470),
    [anon_sym_restrict] = ACTIONS(5470),
    [anon_sym___restrict__] = ACTIONS(5470),
    [anon_sym__Atomic] = ACTIONS(5470),
    [anon_sym__Noreturn] = ACTIONS(5470),
    [anon_sym_noreturn] = ACTIONS(5470),
    [anon_sym__Nonnull] = ACTIONS(5470),
    [anon_sym_mutable] = ACTIONS(5470),
    [anon_sym_constinit] = ACTIONS(5470),
    [anon_sym_consteval] = ACTIONS(5470),
    [anon_sym_alignas] = ACTIONS(5470),
    [anon_sym__Alignas] = ACTIONS(5470),
    [sym_primitive_type] = ACTIONS(5470),
    [anon_sym_COLON] = ACTIONS(5472),
    [anon_sym_QMARK] = ACTIONS(5472),
    [anon_sym_LT_EQ_GT] = ACTIONS(5472),
    [anon_sym_or] = ACTIONS(5470),
    [anon_sym_and] = ACTIONS(5470),
    [anon_sym_bitor] = ACTIONS(5470),
    [anon_sym_xor] = ACTIONS(5470),
    [anon_sym_bitand] = ACTIONS(5470),
    [anon_sym_not_eq] = ACTIONS(5470),
    [anon_sym_DASH_DASH] = ACTIONS(5472),
    [anon_sym_PLUS_PLUS] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5470),
    [anon_sym_DOT_STAR] = ACTIONS(5472),
    [anon_sym_DASH_GT] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5470),
    [anon_sym_decltype] = ACTIONS(5470),
    [anon_sym_final] = ACTIONS(5470),
    [anon_sym_override] = ACTIONS(5470),
    [anon_sym_requires] = ACTIONS(5470),
  },
  [1804] = {
    [sym_identifier] = ACTIONS(5474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5476),
    [anon_sym_COMMA] = ACTIONS(5476),
    [anon_sym_RPAREN] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5476),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5476),
    [anon_sym_SLASH] = ACTIONS(5474),
    [anon_sym_PERCENT] = ACTIONS(5476),
    [anon_sym_PIPE_PIPE] = ACTIONS(5476),
    [anon_sym_AMP_AMP] = ACTIONS(5476),
    [anon_sym_PIPE] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5476),
    [anon_sym_BANG_EQ] = ACTIONS(5476),
    [anon_sym_GT] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5476),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5474),
    [anon_sym_LT_LT] = ACTIONS(5476),
    [anon_sym_GT_GT] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5476),
    [anon_sym___extension__] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym___based] = ACTIONS(5474),
    [anon_sym_LBRACE] = ACTIONS(5476),
    [anon_sym_RBRACE] = ACTIONS(5476),
    [anon_sym_signed] = ACTIONS(5474),
    [anon_sym_unsigned] = ACTIONS(5474),
    [anon_sym_long] = ACTIONS(5474),
    [anon_sym_short] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_RBRACK] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5474),
    [anon_sym_constexpr] = ACTIONS(5474),
    [anon_sym_volatile] = ACTIONS(5474),
    [anon_sym_restrict] = ACTIONS(5474),
    [anon_sym___restrict__] = ACTIONS(5474),
    [anon_sym__Atomic] = ACTIONS(5474),
    [anon_sym__Noreturn] = ACTIONS(5474),
    [anon_sym_noreturn] = ACTIONS(5474),
    [anon_sym__Nonnull] = ACTIONS(5474),
    [anon_sym_mutable] = ACTIONS(5474),
    [anon_sym_constinit] = ACTIONS(5474),
    [anon_sym_consteval] = ACTIONS(5474),
    [anon_sym_alignas] = ACTIONS(5474),
    [anon_sym__Alignas] = ACTIONS(5474),
    [sym_primitive_type] = ACTIONS(5474),
    [anon_sym_COLON] = ACTIONS(5476),
    [anon_sym_QMARK] = ACTIONS(5476),
    [anon_sym_LT_EQ_GT] = ACTIONS(5476),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_bitor] = ACTIONS(5474),
    [anon_sym_xor] = ACTIONS(5474),
    [anon_sym_bitand] = ACTIONS(5474),
    [anon_sym_not_eq] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5476),
    [anon_sym_PLUS_PLUS] = ACTIONS(5476),
    [anon_sym_DOT] = ACTIONS(5474),
    [anon_sym_DOT_STAR] = ACTIONS(5476),
    [anon_sym_DASH_GT] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(5474),
    [anon_sym_final] = ACTIONS(5474),
    [anon_sym_override] = ACTIONS(5474),
    [anon_sym_requires] = ACTIONS(5474),
  },
  [1805] = {
    [sym_identifier] = ACTIONS(5478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5480),
    [anon_sym_COMMA] = ACTIONS(5480),
    [anon_sym_RPAREN] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(5480),
    [anon_sym_DASH] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5480),
    [anon_sym_SLASH] = ACTIONS(5478),
    [anon_sym_PERCENT] = ACTIONS(5480),
    [anon_sym_PIPE_PIPE] = ACTIONS(5480),
    [anon_sym_AMP_AMP] = ACTIONS(5480),
    [anon_sym_PIPE] = ACTIONS(5478),
    [anon_sym_CARET] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5478),
    [anon_sym_EQ_EQ] = ACTIONS(5480),
    [anon_sym_BANG_EQ] = ACTIONS(5480),
    [anon_sym_GT] = ACTIONS(5478),
    [anon_sym_GT_EQ] = ACTIONS(5480),
    [anon_sym_LT_EQ] = ACTIONS(5478),
    [anon_sym_LT] = ACTIONS(5478),
    [anon_sym_LT_LT] = ACTIONS(5480),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym_SEMI] = ACTIONS(5480),
    [anon_sym___extension__] = ACTIONS(5478),
    [anon_sym___attribute__] = ACTIONS(5478),
    [anon_sym___based] = ACTIONS(5478),
    [anon_sym_LBRACE] = ACTIONS(5480),
    [anon_sym_RBRACE] = ACTIONS(5480),
    [anon_sym_signed] = ACTIONS(5478),
    [anon_sym_unsigned] = ACTIONS(5478),
    [anon_sym_long] = ACTIONS(5478),
    [anon_sym_short] = ACTIONS(5478),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_RBRACK] = ACTIONS(5480),
    [anon_sym_const] = ACTIONS(5478),
    [anon_sym_constexpr] = ACTIONS(5478),
    [anon_sym_volatile] = ACTIONS(5478),
    [anon_sym_restrict] = ACTIONS(5478),
    [anon_sym___restrict__] = ACTIONS(5478),
    [anon_sym__Atomic] = ACTIONS(5478),
    [anon_sym__Noreturn] = ACTIONS(5478),
    [anon_sym_noreturn] = ACTIONS(5478),
    [anon_sym__Nonnull] = ACTIONS(5478),
    [anon_sym_mutable] = ACTIONS(5478),
    [anon_sym_constinit] = ACTIONS(5478),
    [anon_sym_consteval] = ACTIONS(5478),
    [anon_sym_alignas] = ACTIONS(5478),
    [anon_sym__Alignas] = ACTIONS(5478),
    [sym_primitive_type] = ACTIONS(5478),
    [anon_sym_COLON] = ACTIONS(5480),
    [anon_sym_QMARK] = ACTIONS(5480),
    [anon_sym_LT_EQ_GT] = ACTIONS(5480),
    [anon_sym_or] = ACTIONS(5478),
    [anon_sym_and] = ACTIONS(5478),
    [anon_sym_bitor] = ACTIONS(5478),
    [anon_sym_xor] = ACTIONS(5478),
    [anon_sym_bitand] = ACTIONS(5478),
    [anon_sym_not_eq] = ACTIONS(5478),
    [anon_sym_DASH_DASH] = ACTIONS(5480),
    [anon_sym_PLUS_PLUS] = ACTIONS(5480),
    [anon_sym_DOT] = ACTIONS(5478),
    [anon_sym_DOT_STAR] = ACTIONS(5480),
    [anon_sym_DASH_GT] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5478),
    [anon_sym_decltype] = ACTIONS(5478),
    [anon_sym_final] = ACTIONS(5478),
    [anon_sym_override] = ACTIONS(5478),
    [anon_sym_requires] = ACTIONS(5478),
  },
  [1806] = {
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5484),
    [anon_sym_COMMA] = ACTIONS(5484),
    [anon_sym_RPAREN] = ACTIONS(5484),
    [anon_sym_LPAREN2] = ACTIONS(5484),
    [anon_sym_DASH] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(5482),
    [anon_sym_STAR] = ACTIONS(5484),
    [anon_sym_SLASH] = ACTIONS(5482),
    [anon_sym_PERCENT] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_PIPE] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5482),
    [anon_sym_EQ_EQ] = ACTIONS(5484),
    [anon_sym_BANG_EQ] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5482),
    [anon_sym_GT_EQ] = ACTIONS(5484),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5482),
    [anon_sym_LT_LT] = ACTIONS(5484),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_SEMI] = ACTIONS(5484),
    [anon_sym___extension__] = ACTIONS(5482),
    [anon_sym___attribute__] = ACTIONS(5482),
    [anon_sym___based] = ACTIONS(5482),
    [anon_sym_LBRACE] = ACTIONS(5484),
    [anon_sym_RBRACE] = ACTIONS(5484),
    [anon_sym_signed] = ACTIONS(5482),
    [anon_sym_unsigned] = ACTIONS(5482),
    [anon_sym_long] = ACTIONS(5482),
    [anon_sym_short] = ACTIONS(5482),
    [anon_sym_LBRACK] = ACTIONS(5484),
    [anon_sym_RBRACK] = ACTIONS(5484),
    [anon_sym_const] = ACTIONS(5482),
    [anon_sym_constexpr] = ACTIONS(5482),
    [anon_sym_volatile] = ACTIONS(5482),
    [anon_sym_restrict] = ACTIONS(5482),
    [anon_sym___restrict__] = ACTIONS(5482),
    [anon_sym__Atomic] = ACTIONS(5482),
    [anon_sym__Noreturn] = ACTIONS(5482),
    [anon_sym_noreturn] = ACTIONS(5482),
    [anon_sym__Nonnull] = ACTIONS(5482),
    [anon_sym_mutable] = ACTIONS(5482),
    [anon_sym_constinit] = ACTIONS(5482),
    [anon_sym_consteval] = ACTIONS(5482),
    [anon_sym_alignas] = ACTIONS(5482),
    [anon_sym__Alignas] = ACTIONS(5482),
    [sym_primitive_type] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_QMARK] = ACTIONS(5484),
    [anon_sym_LT_EQ_GT] = ACTIONS(5484),
    [anon_sym_or] = ACTIONS(5482),
    [anon_sym_and] = ACTIONS(5482),
    [anon_sym_bitor] = ACTIONS(5482),
    [anon_sym_xor] = ACTIONS(5482),
    [anon_sym_bitand] = ACTIONS(5482),
    [anon_sym_not_eq] = ACTIONS(5482),
    [anon_sym_DASH_DASH] = ACTIONS(5484),
    [anon_sym_PLUS_PLUS] = ACTIONS(5484),
    [anon_sym_DOT] = ACTIONS(5482),
    [anon_sym_DOT_STAR] = ACTIONS(5484),
    [anon_sym_DASH_GT] = ACTIONS(5484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5482),
    [anon_sym_decltype] = ACTIONS(5482),
    [anon_sym_final] = ACTIONS(5482),
    [anon_sym_override] = ACTIONS(5482),
    [anon_sym_requires] = ACTIONS(5482),
  },
  [1807] = {
    [sym_identifier] = ACTIONS(5486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5488),
    [anon_sym_COMMA] = ACTIONS(5488),
    [anon_sym_RPAREN] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5488),
    [anon_sym_DASH] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(5486),
    [anon_sym_STAR] = ACTIONS(5488),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5488),
    [anon_sym_PIPE_PIPE] = ACTIONS(5488),
    [anon_sym_AMP_AMP] = ACTIONS(5488),
    [anon_sym_PIPE] = ACTIONS(5486),
    [anon_sym_CARET] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5486),
    [anon_sym_EQ_EQ] = ACTIONS(5488),
    [anon_sym_BANG_EQ] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5486),
    [anon_sym_GT_EQ] = ACTIONS(5488),
    [anon_sym_LT_EQ] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5486),
    [anon_sym_LT_LT] = ACTIONS(5488),
    [anon_sym_GT_GT] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(5488),
    [anon_sym___extension__] = ACTIONS(5486),
    [anon_sym___attribute__] = ACTIONS(5486),
    [anon_sym___based] = ACTIONS(5486),
    [anon_sym_LBRACE] = ACTIONS(5488),
    [anon_sym_RBRACE] = ACTIONS(5488),
    [anon_sym_signed] = ACTIONS(5486),
    [anon_sym_unsigned] = ACTIONS(5486),
    [anon_sym_long] = ACTIONS(5486),
    [anon_sym_short] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5488),
    [anon_sym_RBRACK] = ACTIONS(5488),
    [anon_sym_const] = ACTIONS(5486),
    [anon_sym_constexpr] = ACTIONS(5486),
    [anon_sym_volatile] = ACTIONS(5486),
    [anon_sym_restrict] = ACTIONS(5486),
    [anon_sym___restrict__] = ACTIONS(5486),
    [anon_sym__Atomic] = ACTIONS(5486),
    [anon_sym__Noreturn] = ACTIONS(5486),
    [anon_sym_noreturn] = ACTIONS(5486),
    [anon_sym__Nonnull] = ACTIONS(5486),
    [anon_sym_mutable] = ACTIONS(5486),
    [anon_sym_constinit] = ACTIONS(5486),
    [anon_sym_consteval] = ACTIONS(5486),
    [anon_sym_alignas] = ACTIONS(5486),
    [anon_sym__Alignas] = ACTIONS(5486),
    [sym_primitive_type] = ACTIONS(5486),
    [anon_sym_COLON] = ACTIONS(5488),
    [anon_sym_QMARK] = ACTIONS(5488),
    [anon_sym_LT_EQ_GT] = ACTIONS(5488),
    [anon_sym_or] = ACTIONS(5486),
    [anon_sym_and] = ACTIONS(5486),
    [anon_sym_bitor] = ACTIONS(5486),
    [anon_sym_xor] = ACTIONS(5486),
    [anon_sym_bitand] = ACTIONS(5486),
    [anon_sym_not_eq] = ACTIONS(5486),
    [anon_sym_DASH_DASH] = ACTIONS(5488),
    [anon_sym_PLUS_PLUS] = ACTIONS(5488),
    [anon_sym_DOT] = ACTIONS(5486),
    [anon_sym_DOT_STAR] = ACTIONS(5488),
    [anon_sym_DASH_GT] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5486),
    [anon_sym_decltype] = ACTIONS(5486),
    [anon_sym_final] = ACTIONS(5486),
    [anon_sym_override] = ACTIONS(5486),
    [anon_sym_requires] = ACTIONS(5486),
  },
  [1808] = {
    [sym_identifier] = ACTIONS(5490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5492),
    [anon_sym_COMMA] = ACTIONS(5492),
    [anon_sym_RPAREN] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5492),
    [anon_sym_DASH] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5492),
    [anon_sym_SLASH] = ACTIONS(5490),
    [anon_sym_PERCENT] = ACTIONS(5492),
    [anon_sym_PIPE_PIPE] = ACTIONS(5492),
    [anon_sym_AMP_AMP] = ACTIONS(5492),
    [anon_sym_PIPE] = ACTIONS(5490),
    [anon_sym_CARET] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5490),
    [anon_sym_EQ_EQ] = ACTIONS(5492),
    [anon_sym_BANG_EQ] = ACTIONS(5492),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5492),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_LT_LT] = ACTIONS(5492),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_SEMI] = ACTIONS(5492),
    [anon_sym___extension__] = ACTIONS(5490),
    [anon_sym___attribute__] = ACTIONS(5490),
    [anon_sym___based] = ACTIONS(5490),
    [anon_sym_LBRACE] = ACTIONS(5492),
    [anon_sym_RBRACE] = ACTIONS(5492),
    [anon_sym_signed] = ACTIONS(5490),
    [anon_sym_unsigned] = ACTIONS(5490),
    [anon_sym_long] = ACTIONS(5490),
    [anon_sym_short] = ACTIONS(5490),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_RBRACK] = ACTIONS(5492),
    [anon_sym_const] = ACTIONS(5490),
    [anon_sym_constexpr] = ACTIONS(5490),
    [anon_sym_volatile] = ACTIONS(5490),
    [anon_sym_restrict] = ACTIONS(5490),
    [anon_sym___restrict__] = ACTIONS(5490),
    [anon_sym__Atomic] = ACTIONS(5490),
    [anon_sym__Noreturn] = ACTIONS(5490),
    [anon_sym_noreturn] = ACTIONS(5490),
    [anon_sym__Nonnull] = ACTIONS(5490),
    [anon_sym_mutable] = ACTIONS(5490),
    [anon_sym_constinit] = ACTIONS(5490),
    [anon_sym_consteval] = ACTIONS(5490),
    [anon_sym_alignas] = ACTIONS(5490),
    [anon_sym__Alignas] = ACTIONS(5490),
    [sym_primitive_type] = ACTIONS(5490),
    [anon_sym_COLON] = ACTIONS(5492),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_LT_EQ_GT] = ACTIONS(5492),
    [anon_sym_or] = ACTIONS(5490),
    [anon_sym_and] = ACTIONS(5490),
    [anon_sym_bitor] = ACTIONS(5490),
    [anon_sym_xor] = ACTIONS(5490),
    [anon_sym_bitand] = ACTIONS(5490),
    [anon_sym_not_eq] = ACTIONS(5490),
    [anon_sym_DASH_DASH] = ACTIONS(5492),
    [anon_sym_PLUS_PLUS] = ACTIONS(5492),
    [anon_sym_DOT] = ACTIONS(5490),
    [anon_sym_DOT_STAR] = ACTIONS(5492),
    [anon_sym_DASH_GT] = ACTIONS(5492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5490),
    [anon_sym_decltype] = ACTIONS(5490),
    [anon_sym_final] = ACTIONS(5490),
    [anon_sym_override] = ACTIONS(5490),
    [anon_sym_requires] = ACTIONS(5490),
  },
  [1809] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [aux_sym_preproc_if_token2] = ACTIONS(4891),
    [aux_sym_preproc_else_token1] = ACTIONS(4891),
    [aux_sym_preproc_elif_token1] = ACTIONS(4884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4891),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4891),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4891),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4891),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4891),
    [anon_sym_BANG_EQ] = ACTIONS(4891),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4891),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4891),
    [anon_sym_GT_GT] = ACTIONS(4891),
    [anon_sym_SEMI] = ACTIONS(4891),
    [anon_sym___extension__] = ACTIONS(4884),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_RBRACK] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4884),
    [anon_sym_volatile] = ACTIONS(4884),
    [anon_sym_restrict] = ACTIONS(4884),
    [anon_sym___restrict__] = ACTIONS(4884),
    [anon_sym__Atomic] = ACTIONS(4884),
    [anon_sym__Noreturn] = ACTIONS(4884),
    [anon_sym_noreturn] = ACTIONS(4884),
    [anon_sym__Nonnull] = ACTIONS(4884),
    [anon_sym_mutable] = ACTIONS(4884),
    [anon_sym_constinit] = ACTIONS(4884),
    [anon_sym_consteval] = ACTIONS(4884),
    [anon_sym_alignas] = ACTIONS(4884),
    [anon_sym__Alignas] = ACTIONS(4884),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4891),
    [anon_sym_LT_EQ_GT] = ACTIONS(4891),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4884),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4884),
    [anon_sym_not_eq] = ACTIONS(4884),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4891),
    [anon_sym_DASH_GT] = ACTIONS(4891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_final] = ACTIONS(4884),
    [anon_sym_override] = ACTIONS(4884),
    [anon_sym_requires] = ACTIONS(4884),
  },
  [1810] = {
    [sym_identifier] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_COMMA] = ACTIONS(5496),
    [anon_sym_RPAREN] = ACTIONS(5496),
    [anon_sym_LPAREN2] = ACTIONS(5496),
    [anon_sym_DASH] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5494),
    [anon_sym_STAR] = ACTIONS(5496),
    [anon_sym_SLASH] = ACTIONS(5494),
    [anon_sym_PERCENT] = ACTIONS(5496),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5496),
    [anon_sym_PIPE] = ACTIONS(5494),
    [anon_sym_CARET] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5494),
    [anon_sym_EQ_EQ] = ACTIONS(5496),
    [anon_sym_BANG_EQ] = ACTIONS(5496),
    [anon_sym_GT] = ACTIONS(5494),
    [anon_sym_GT_EQ] = ACTIONS(5496),
    [anon_sym_LT_EQ] = ACTIONS(5494),
    [anon_sym_LT] = ACTIONS(5494),
    [anon_sym_LT_LT] = ACTIONS(5496),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_SEMI] = ACTIONS(5496),
    [anon_sym___extension__] = ACTIONS(5494),
    [anon_sym___attribute__] = ACTIONS(5494),
    [anon_sym___based] = ACTIONS(5494),
    [anon_sym_LBRACE] = ACTIONS(5496),
    [anon_sym_RBRACE] = ACTIONS(5496),
    [anon_sym_signed] = ACTIONS(5494),
    [anon_sym_unsigned] = ACTIONS(5494),
    [anon_sym_long] = ACTIONS(5494),
    [anon_sym_short] = ACTIONS(5494),
    [anon_sym_LBRACK] = ACTIONS(5496),
    [anon_sym_RBRACK] = ACTIONS(5496),
    [anon_sym_const] = ACTIONS(5494),
    [anon_sym_constexpr] = ACTIONS(5494),
    [anon_sym_volatile] = ACTIONS(5494),
    [anon_sym_restrict] = ACTIONS(5494),
    [anon_sym___restrict__] = ACTIONS(5494),
    [anon_sym__Atomic] = ACTIONS(5494),
    [anon_sym__Noreturn] = ACTIONS(5494),
    [anon_sym_noreturn] = ACTIONS(5494),
    [anon_sym__Nonnull] = ACTIONS(5494),
    [anon_sym_mutable] = ACTIONS(5494),
    [anon_sym_constinit] = ACTIONS(5494),
    [anon_sym_consteval] = ACTIONS(5494),
    [anon_sym_alignas] = ACTIONS(5494),
    [anon_sym__Alignas] = ACTIONS(5494),
    [sym_primitive_type] = ACTIONS(5494),
    [anon_sym_COLON] = ACTIONS(5496),
    [anon_sym_QMARK] = ACTIONS(5496),
    [anon_sym_LT_EQ_GT] = ACTIONS(5496),
    [anon_sym_or] = ACTIONS(5494),
    [anon_sym_and] = ACTIONS(5494),
    [anon_sym_bitor] = ACTIONS(5494),
    [anon_sym_xor] = ACTIONS(5494),
    [anon_sym_bitand] = ACTIONS(5494),
    [anon_sym_not_eq] = ACTIONS(5494),
    [anon_sym_DASH_DASH] = ACTIONS(5496),
    [anon_sym_PLUS_PLUS] = ACTIONS(5496),
    [anon_sym_DOT] = ACTIONS(5494),
    [anon_sym_DOT_STAR] = ACTIONS(5496),
    [anon_sym_DASH_GT] = ACTIONS(5496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5494),
    [anon_sym_decltype] = ACTIONS(5494),
    [anon_sym_final] = ACTIONS(5494),
    [anon_sym_override] = ACTIONS(5494),
    [anon_sym_requires] = ACTIONS(5494),
  },
  [1811] = {
    [sym_identifier] = ACTIONS(5498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5500),
    [anon_sym_COMMA] = ACTIONS(5500),
    [anon_sym_RPAREN] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5500),
    [anon_sym_DASH] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5498),
    [anon_sym_STAR] = ACTIONS(5500),
    [anon_sym_SLASH] = ACTIONS(5498),
    [anon_sym_PERCENT] = ACTIONS(5500),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_PIPE] = ACTIONS(5498),
    [anon_sym_CARET] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5498),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_GT] = ACTIONS(5498),
    [anon_sym_GT_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5498),
    [anon_sym_LT] = ACTIONS(5498),
    [anon_sym_LT_LT] = ACTIONS(5500),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_SEMI] = ACTIONS(5500),
    [anon_sym___extension__] = ACTIONS(5498),
    [anon_sym___attribute__] = ACTIONS(5498),
    [anon_sym___based] = ACTIONS(5498),
    [anon_sym_LBRACE] = ACTIONS(5500),
    [anon_sym_RBRACE] = ACTIONS(5500),
    [anon_sym_signed] = ACTIONS(5498),
    [anon_sym_unsigned] = ACTIONS(5498),
    [anon_sym_long] = ACTIONS(5498),
    [anon_sym_short] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_RBRACK] = ACTIONS(5500),
    [anon_sym_const] = ACTIONS(5498),
    [anon_sym_constexpr] = ACTIONS(5498),
    [anon_sym_volatile] = ACTIONS(5498),
    [anon_sym_restrict] = ACTIONS(5498),
    [anon_sym___restrict__] = ACTIONS(5498),
    [anon_sym__Atomic] = ACTIONS(5498),
    [anon_sym__Noreturn] = ACTIONS(5498),
    [anon_sym_noreturn] = ACTIONS(5498),
    [anon_sym__Nonnull] = ACTIONS(5498),
    [anon_sym_mutable] = ACTIONS(5498),
    [anon_sym_constinit] = ACTIONS(5498),
    [anon_sym_consteval] = ACTIONS(5498),
    [anon_sym_alignas] = ACTIONS(5498),
    [anon_sym__Alignas] = ACTIONS(5498),
    [sym_primitive_type] = ACTIONS(5498),
    [anon_sym_COLON] = ACTIONS(5500),
    [anon_sym_QMARK] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_bitor] = ACTIONS(5498),
    [anon_sym_xor] = ACTIONS(5498),
    [anon_sym_bitand] = ACTIONS(5498),
    [anon_sym_not_eq] = ACTIONS(5498),
    [anon_sym_DASH_DASH] = ACTIONS(5500),
    [anon_sym_PLUS_PLUS] = ACTIONS(5500),
    [anon_sym_DOT] = ACTIONS(5498),
    [anon_sym_DOT_STAR] = ACTIONS(5500),
    [anon_sym_DASH_GT] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5498),
    [anon_sym_decltype] = ACTIONS(5498),
    [anon_sym_final] = ACTIONS(5498),
    [anon_sym_override] = ACTIONS(5498),
    [anon_sym_requires] = ACTIONS(5498),
  },
  [1812] = {
    [sym_identifier] = ACTIONS(5478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5480),
    [anon_sym_COMMA] = ACTIONS(5480),
    [anon_sym_RPAREN] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(5480),
    [anon_sym_DASH] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5480),
    [anon_sym_SLASH] = ACTIONS(5478),
    [anon_sym_PERCENT] = ACTIONS(5480),
    [anon_sym_PIPE_PIPE] = ACTIONS(5480),
    [anon_sym_AMP_AMP] = ACTIONS(5480),
    [anon_sym_PIPE] = ACTIONS(5478),
    [anon_sym_CARET] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5478),
    [anon_sym_EQ_EQ] = ACTIONS(5480),
    [anon_sym_BANG_EQ] = ACTIONS(5480),
    [anon_sym_GT] = ACTIONS(5478),
    [anon_sym_GT_EQ] = ACTIONS(5480),
    [anon_sym_LT_EQ] = ACTIONS(5478),
    [anon_sym_LT] = ACTIONS(5478),
    [anon_sym_LT_LT] = ACTIONS(5480),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym_SEMI] = ACTIONS(5480),
    [anon_sym___extension__] = ACTIONS(5478),
    [anon_sym___attribute__] = ACTIONS(5478),
    [anon_sym___based] = ACTIONS(5478),
    [anon_sym_LBRACE] = ACTIONS(5480),
    [anon_sym_RBRACE] = ACTIONS(5480),
    [anon_sym_signed] = ACTIONS(5478),
    [anon_sym_unsigned] = ACTIONS(5478),
    [anon_sym_long] = ACTIONS(5478),
    [anon_sym_short] = ACTIONS(5478),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_RBRACK] = ACTIONS(5480),
    [anon_sym_const] = ACTIONS(5478),
    [anon_sym_constexpr] = ACTIONS(5478),
    [anon_sym_volatile] = ACTIONS(5478),
    [anon_sym_restrict] = ACTIONS(5478),
    [anon_sym___restrict__] = ACTIONS(5478),
    [anon_sym__Atomic] = ACTIONS(5478),
    [anon_sym__Noreturn] = ACTIONS(5478),
    [anon_sym_noreturn] = ACTIONS(5478),
    [anon_sym__Nonnull] = ACTIONS(5478),
    [anon_sym_mutable] = ACTIONS(5478),
    [anon_sym_constinit] = ACTIONS(5478),
    [anon_sym_consteval] = ACTIONS(5478),
    [anon_sym_alignas] = ACTIONS(5478),
    [anon_sym__Alignas] = ACTIONS(5478),
    [sym_primitive_type] = ACTIONS(5478),
    [anon_sym_COLON] = ACTIONS(5480),
    [anon_sym_QMARK] = ACTIONS(5480),
    [anon_sym_LT_EQ_GT] = ACTIONS(5480),
    [anon_sym_or] = ACTIONS(5478),
    [anon_sym_and] = ACTIONS(5478),
    [anon_sym_bitor] = ACTIONS(5478),
    [anon_sym_xor] = ACTIONS(5478),
    [anon_sym_bitand] = ACTIONS(5478),
    [anon_sym_not_eq] = ACTIONS(5478),
    [anon_sym_DASH_DASH] = ACTIONS(5480),
    [anon_sym_PLUS_PLUS] = ACTIONS(5480),
    [anon_sym_DOT] = ACTIONS(5478),
    [anon_sym_DOT_STAR] = ACTIONS(5480),
    [anon_sym_DASH_GT] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5478),
    [anon_sym_decltype] = ACTIONS(5478),
    [anon_sym_final] = ACTIONS(5478),
    [anon_sym_override] = ACTIONS(5478),
    [anon_sym_requires] = ACTIONS(5478),
  },
  [1813] = {
    [sym_identifier] = ACTIONS(5502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5504),
    [anon_sym_COMMA] = ACTIONS(5504),
    [anon_sym_RPAREN] = ACTIONS(5504),
    [anon_sym_LPAREN2] = ACTIONS(5504),
    [anon_sym_DASH] = ACTIONS(5502),
    [anon_sym_PLUS] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5502),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5504),
    [anon_sym_AMP_AMP] = ACTIONS(5504),
    [anon_sym_PIPE] = ACTIONS(5502),
    [anon_sym_CARET] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5504),
    [anon_sym_GT] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5502),
    [anon_sym_LT] = ACTIONS(5502),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_SEMI] = ACTIONS(5504),
    [anon_sym___extension__] = ACTIONS(5502),
    [anon_sym___attribute__] = ACTIONS(5502),
    [anon_sym___based] = ACTIONS(5502),
    [anon_sym_LBRACE] = ACTIONS(5504),
    [anon_sym_RBRACE] = ACTIONS(5504),
    [anon_sym_signed] = ACTIONS(5502),
    [anon_sym_unsigned] = ACTIONS(5502),
    [anon_sym_long] = ACTIONS(5502),
    [anon_sym_short] = ACTIONS(5502),
    [anon_sym_LBRACK] = ACTIONS(5504),
    [anon_sym_RBRACK] = ACTIONS(5504),
    [anon_sym_const] = ACTIONS(5502),
    [anon_sym_constexpr] = ACTIONS(5502),
    [anon_sym_volatile] = ACTIONS(5502),
    [anon_sym_restrict] = ACTIONS(5502),
    [anon_sym___restrict__] = ACTIONS(5502),
    [anon_sym__Atomic] = ACTIONS(5502),
    [anon_sym__Noreturn] = ACTIONS(5502),
    [anon_sym_noreturn] = ACTIONS(5502),
    [anon_sym__Nonnull] = ACTIONS(5502),
    [anon_sym_mutable] = ACTIONS(5502),
    [anon_sym_constinit] = ACTIONS(5502),
    [anon_sym_consteval] = ACTIONS(5502),
    [anon_sym_alignas] = ACTIONS(5502),
    [anon_sym__Alignas] = ACTIONS(5502),
    [sym_primitive_type] = ACTIONS(5502),
    [anon_sym_COLON] = ACTIONS(5504),
    [anon_sym_QMARK] = ACTIONS(5504),
    [anon_sym_LT_EQ_GT] = ACTIONS(5504),
    [anon_sym_or] = ACTIONS(5502),
    [anon_sym_and] = ACTIONS(5502),
    [anon_sym_bitor] = ACTIONS(5502),
    [anon_sym_xor] = ACTIONS(5502),
    [anon_sym_bitand] = ACTIONS(5502),
    [anon_sym_not_eq] = ACTIONS(5502),
    [anon_sym_DASH_DASH] = ACTIONS(5504),
    [anon_sym_PLUS_PLUS] = ACTIONS(5504),
    [anon_sym_DOT] = ACTIONS(5502),
    [anon_sym_DOT_STAR] = ACTIONS(5504),
    [anon_sym_DASH_GT] = ACTIONS(5504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5502),
    [anon_sym_decltype] = ACTIONS(5502),
    [anon_sym_final] = ACTIONS(5502),
    [anon_sym_override] = ACTIONS(5502),
    [anon_sym_requires] = ACTIONS(5502),
  },
  [1814] = {
    [sym_identifier] = ACTIONS(5506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5508),
    [anon_sym_COMMA] = ACTIONS(5508),
    [anon_sym_RPAREN] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_DASH] = ACTIONS(5506),
    [anon_sym_PLUS] = ACTIONS(5506),
    [anon_sym_STAR] = ACTIONS(5508),
    [anon_sym_SLASH] = ACTIONS(5506),
    [anon_sym_PERCENT] = ACTIONS(5508),
    [anon_sym_PIPE_PIPE] = ACTIONS(5508),
    [anon_sym_AMP_AMP] = ACTIONS(5508),
    [anon_sym_PIPE] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_AMP] = ACTIONS(5506),
    [anon_sym_EQ_EQ] = ACTIONS(5508),
    [anon_sym_BANG_EQ] = ACTIONS(5508),
    [anon_sym_GT] = ACTIONS(5506),
    [anon_sym_GT_EQ] = ACTIONS(5508),
    [anon_sym_LT_EQ] = ACTIONS(5506),
    [anon_sym_LT] = ACTIONS(5506),
    [anon_sym_LT_LT] = ACTIONS(5508),
    [anon_sym_GT_GT] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5508),
    [anon_sym___extension__] = ACTIONS(5506),
    [anon_sym___attribute__] = ACTIONS(5506),
    [anon_sym___based] = ACTIONS(5506),
    [anon_sym_LBRACE] = ACTIONS(5508),
    [anon_sym_RBRACE] = ACTIONS(5508),
    [anon_sym_signed] = ACTIONS(5506),
    [anon_sym_unsigned] = ACTIONS(5506),
    [anon_sym_long] = ACTIONS(5506),
    [anon_sym_short] = ACTIONS(5506),
    [anon_sym_LBRACK] = ACTIONS(5508),
    [anon_sym_RBRACK] = ACTIONS(5508),
    [anon_sym_const] = ACTIONS(5506),
    [anon_sym_constexpr] = ACTIONS(5506),
    [anon_sym_volatile] = ACTIONS(5506),
    [anon_sym_restrict] = ACTIONS(5506),
    [anon_sym___restrict__] = ACTIONS(5506),
    [anon_sym__Atomic] = ACTIONS(5506),
    [anon_sym__Noreturn] = ACTIONS(5506),
    [anon_sym_noreturn] = ACTIONS(5506),
    [anon_sym__Nonnull] = ACTIONS(5506),
    [anon_sym_mutable] = ACTIONS(5506),
    [anon_sym_constinit] = ACTIONS(5506),
    [anon_sym_consteval] = ACTIONS(5506),
    [anon_sym_alignas] = ACTIONS(5506),
    [anon_sym__Alignas] = ACTIONS(5506),
    [sym_primitive_type] = ACTIONS(5506),
    [anon_sym_COLON] = ACTIONS(5508),
    [anon_sym_QMARK] = ACTIONS(5508),
    [anon_sym_LT_EQ_GT] = ACTIONS(5508),
    [anon_sym_or] = ACTIONS(5506),
    [anon_sym_and] = ACTIONS(5506),
    [anon_sym_bitor] = ACTIONS(5506),
    [anon_sym_xor] = ACTIONS(5506),
    [anon_sym_bitand] = ACTIONS(5506),
    [anon_sym_not_eq] = ACTIONS(5506),
    [anon_sym_DASH_DASH] = ACTIONS(5508),
    [anon_sym_PLUS_PLUS] = ACTIONS(5508),
    [anon_sym_DOT] = ACTIONS(5506),
    [anon_sym_DOT_STAR] = ACTIONS(5508),
    [anon_sym_DASH_GT] = ACTIONS(5508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5506),
    [anon_sym_decltype] = ACTIONS(5506),
    [anon_sym_final] = ACTIONS(5506),
    [anon_sym_override] = ACTIONS(5506),
    [anon_sym_requires] = ACTIONS(5506),
  },
  [1815] = {
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5414),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5414),
    [anon_sym_GT_GT] = ACTIONS(5414),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___extension__] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym___based] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_signed] = ACTIONS(5412),
    [anon_sym_unsigned] = ACTIONS(5412),
    [anon_sym_long] = ACTIONS(5412),
    [anon_sym_short] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_const] = ACTIONS(5412),
    [anon_sym_constexpr] = ACTIONS(5412),
    [anon_sym_volatile] = ACTIONS(5412),
    [anon_sym_restrict] = ACTIONS(5412),
    [anon_sym___restrict__] = ACTIONS(5412),
    [anon_sym__Atomic] = ACTIONS(5412),
    [anon_sym__Noreturn] = ACTIONS(5412),
    [anon_sym_noreturn] = ACTIONS(5412),
    [anon_sym__Nonnull] = ACTIONS(5412),
    [anon_sym_mutable] = ACTIONS(5412),
    [anon_sym_constinit] = ACTIONS(5412),
    [anon_sym_consteval] = ACTIONS(5412),
    [anon_sym_alignas] = ACTIONS(5412),
    [anon_sym__Alignas] = ACTIONS(5412),
    [sym_primitive_type] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
    [anon_sym_final] = ACTIONS(5412),
    [anon_sym_override] = ACTIONS(5412),
    [anon_sym_requires] = ACTIONS(5412),
  },
  [1816] = {
    [sym_identifier] = ACTIONS(5510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5512),
    [anon_sym_COMMA] = ACTIONS(5512),
    [anon_sym_RPAREN] = ACTIONS(5512),
    [anon_sym_LPAREN2] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_STAR] = ACTIONS(5512),
    [anon_sym_SLASH] = ACTIONS(5510),
    [anon_sym_PERCENT] = ACTIONS(5512),
    [anon_sym_PIPE_PIPE] = ACTIONS(5512),
    [anon_sym_AMP_AMP] = ACTIONS(5512),
    [anon_sym_PIPE] = ACTIONS(5510),
    [anon_sym_CARET] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(5510),
    [anon_sym_EQ_EQ] = ACTIONS(5512),
    [anon_sym_BANG_EQ] = ACTIONS(5512),
    [anon_sym_GT] = ACTIONS(5510),
    [anon_sym_GT_EQ] = ACTIONS(5512),
    [anon_sym_LT_EQ] = ACTIONS(5510),
    [anon_sym_LT] = ACTIONS(5510),
    [anon_sym_LT_LT] = ACTIONS(5512),
    [anon_sym_GT_GT] = ACTIONS(5512),
    [anon_sym_SEMI] = ACTIONS(5512),
    [anon_sym___extension__] = ACTIONS(5510),
    [anon_sym___attribute__] = ACTIONS(5510),
    [anon_sym___based] = ACTIONS(5510),
    [anon_sym_LBRACE] = ACTIONS(5512),
    [anon_sym_RBRACE] = ACTIONS(5512),
    [anon_sym_signed] = ACTIONS(5510),
    [anon_sym_unsigned] = ACTIONS(5510),
    [anon_sym_long] = ACTIONS(5510),
    [anon_sym_short] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [anon_sym_RBRACK] = ACTIONS(5512),
    [anon_sym_const] = ACTIONS(5510),
    [anon_sym_constexpr] = ACTIONS(5510),
    [anon_sym_volatile] = ACTIONS(5510),
    [anon_sym_restrict] = ACTIONS(5510),
    [anon_sym___restrict__] = ACTIONS(5510),
    [anon_sym__Atomic] = ACTIONS(5510),
    [anon_sym__Noreturn] = ACTIONS(5510),
    [anon_sym_noreturn] = ACTIONS(5510),
    [anon_sym__Nonnull] = ACTIONS(5510),
    [anon_sym_mutable] = ACTIONS(5510),
    [anon_sym_constinit] = ACTIONS(5510),
    [anon_sym_consteval] = ACTIONS(5510),
    [anon_sym_alignas] = ACTIONS(5510),
    [anon_sym__Alignas] = ACTIONS(5510),
    [sym_primitive_type] = ACTIONS(5510),
    [anon_sym_COLON] = ACTIONS(5512),
    [anon_sym_QMARK] = ACTIONS(5512),
    [anon_sym_LT_EQ_GT] = ACTIONS(5512),
    [anon_sym_or] = ACTIONS(5510),
    [anon_sym_and] = ACTIONS(5510),
    [anon_sym_bitor] = ACTIONS(5510),
    [anon_sym_xor] = ACTIONS(5510),
    [anon_sym_bitand] = ACTIONS(5510),
    [anon_sym_not_eq] = ACTIONS(5510),
    [anon_sym_DASH_DASH] = ACTIONS(5512),
    [anon_sym_PLUS_PLUS] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5510),
    [anon_sym_DOT_STAR] = ACTIONS(5512),
    [anon_sym_DASH_GT] = ACTIONS(5512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5510),
    [anon_sym_decltype] = ACTIONS(5510),
    [anon_sym_final] = ACTIONS(5510),
    [anon_sym_override] = ACTIONS(5510),
    [anon_sym_requires] = ACTIONS(5510),
  },
  [1817] = {
    [sym_identifier] = ACTIONS(5378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5380),
    [anon_sym_COMMA] = ACTIONS(5380),
    [anon_sym_RPAREN] = ACTIONS(5380),
    [anon_sym_LPAREN2] = ACTIONS(5380),
    [anon_sym_TILDE] = ACTIONS(5380),
    [anon_sym_STAR] = ACTIONS(5380),
    [anon_sym_AMP_AMP] = ACTIONS(5380),
    [anon_sym_AMP] = ACTIONS(5378),
    [anon_sym_SEMI] = ACTIONS(5380),
    [anon_sym___extension__] = ACTIONS(5378),
    [anon_sym_virtual] = ACTIONS(5378),
    [anon_sym_extern] = ACTIONS(5378),
    [anon_sym___attribute__] = ACTIONS(5378),
    [anon_sym_COLON_COLON] = ACTIONS(5380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5380),
    [anon_sym___declspec] = ACTIONS(5378),
    [anon_sym___based] = ACTIONS(5378),
    [anon_sym_LBRACE] = ACTIONS(5380),
    [anon_sym_signed] = ACTIONS(5378),
    [anon_sym_unsigned] = ACTIONS(5378),
    [anon_sym_long] = ACTIONS(5378),
    [anon_sym_short] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_static] = ACTIONS(5378),
    [anon_sym_EQ] = ACTIONS(5380),
    [anon_sym_register] = ACTIONS(5378),
    [anon_sym_inline] = ACTIONS(5378),
    [anon_sym___inline] = ACTIONS(5378),
    [anon_sym___inline__] = ACTIONS(5378),
    [anon_sym___forceinline] = ACTIONS(5378),
    [anon_sym_thread_local] = ACTIONS(5378),
    [anon_sym___thread] = ACTIONS(5378),
    [anon_sym_const] = ACTIONS(5378),
    [anon_sym_constexpr] = ACTIONS(5378),
    [anon_sym_volatile] = ACTIONS(5378),
    [anon_sym_restrict] = ACTIONS(5378),
    [anon_sym___restrict__] = ACTIONS(5378),
    [anon_sym__Atomic] = ACTIONS(5378),
    [anon_sym__Noreturn] = ACTIONS(5378),
    [anon_sym_noreturn] = ACTIONS(5378),
    [anon_sym__Nonnull] = ACTIONS(5378),
    [anon_sym_mutable] = ACTIONS(5378),
    [anon_sym_constinit] = ACTIONS(5378),
    [anon_sym_consteval] = ACTIONS(5378),
    [anon_sym_alignas] = ACTIONS(5378),
    [anon_sym__Alignas] = ACTIONS(5378),
    [sym_primitive_type] = ACTIONS(5378),
    [anon_sym_enum] = ACTIONS(5378),
    [anon_sym_class] = ACTIONS(5378),
    [anon_sym_struct] = ACTIONS(5378),
    [anon_sym_union] = ACTIONS(5378),
    [anon_sym_asm] = ACTIONS(5378),
    [anon_sym___asm__] = ACTIONS(5378),
    [anon_sym___asm] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5380),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5378),
    [anon_sym_decltype] = ACTIONS(5378),
    [anon_sym_final] = ACTIONS(5378),
    [anon_sym_override] = ACTIONS(5378),
    [anon_sym_explicit] = ACTIONS(5378),
    [anon_sym_typename] = ACTIONS(5378),
    [anon_sym_template] = ACTIONS(5378),
    [anon_sym_GT2] = ACTIONS(5380),
    [anon_sym_operator] = ACTIONS(5378),
    [anon_sym_try] = ACTIONS(5378),
    [anon_sym_noexcept] = ACTIONS(5378),
    [anon_sym_throw] = ACTIONS(5378),
    [anon_sym_requires] = ACTIONS(5378),
  },
  [1818] = {
    [sym_identifier] = ACTIONS(5514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5516),
    [anon_sym_COMMA] = ACTIONS(5516),
    [anon_sym_RPAREN] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5516),
    [anon_sym_DASH] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(5514),
    [anon_sym_STAR] = ACTIONS(5516),
    [anon_sym_SLASH] = ACTIONS(5514),
    [anon_sym_PERCENT] = ACTIONS(5516),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_PIPE] = ACTIONS(5514),
    [anon_sym_CARET] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5514),
    [anon_sym_EQ_EQ] = ACTIONS(5516),
    [anon_sym_BANG_EQ] = ACTIONS(5516),
    [anon_sym_GT] = ACTIONS(5514),
    [anon_sym_GT_EQ] = ACTIONS(5516),
    [anon_sym_LT_EQ] = ACTIONS(5514),
    [anon_sym_LT] = ACTIONS(5514),
    [anon_sym_LT_LT] = ACTIONS(5516),
    [anon_sym_GT_GT] = ACTIONS(5516),
    [anon_sym_SEMI] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5514),
    [anon_sym___attribute__] = ACTIONS(5514),
    [anon_sym___based] = ACTIONS(5514),
    [anon_sym_LBRACE] = ACTIONS(5516),
    [anon_sym_RBRACE] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5514),
    [anon_sym_unsigned] = ACTIONS(5514),
    [anon_sym_long] = ACTIONS(5514),
    [anon_sym_short] = ACTIONS(5514),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_RBRACK] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5514),
    [anon_sym_constexpr] = ACTIONS(5514),
    [anon_sym_volatile] = ACTIONS(5514),
    [anon_sym_restrict] = ACTIONS(5514),
    [anon_sym___restrict__] = ACTIONS(5514),
    [anon_sym__Atomic] = ACTIONS(5514),
    [anon_sym__Noreturn] = ACTIONS(5514),
    [anon_sym_noreturn] = ACTIONS(5514),
    [anon_sym__Nonnull] = ACTIONS(5514),
    [anon_sym_mutable] = ACTIONS(5514),
    [anon_sym_constinit] = ACTIONS(5514),
    [anon_sym_consteval] = ACTIONS(5514),
    [anon_sym_alignas] = ACTIONS(5514),
    [anon_sym__Alignas] = ACTIONS(5514),
    [sym_primitive_type] = ACTIONS(5514),
    [anon_sym_COLON] = ACTIONS(5516),
    [anon_sym_QMARK] = ACTIONS(5516),
    [anon_sym_LT_EQ_GT] = ACTIONS(5516),
    [anon_sym_or] = ACTIONS(5514),
    [anon_sym_and] = ACTIONS(5514),
    [anon_sym_bitor] = ACTIONS(5514),
    [anon_sym_xor] = ACTIONS(5514),
    [anon_sym_bitand] = ACTIONS(5514),
    [anon_sym_not_eq] = ACTIONS(5514),
    [anon_sym_DASH_DASH] = ACTIONS(5516),
    [anon_sym_PLUS_PLUS] = ACTIONS(5516),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_DOT_STAR] = ACTIONS(5516),
    [anon_sym_DASH_GT] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5514),
    [anon_sym_decltype] = ACTIONS(5514),
    [anon_sym_final] = ACTIONS(5514),
    [anon_sym_override] = ACTIONS(5514),
    [anon_sym_requires] = ACTIONS(5514),
  },
  [1819] = {
    [sym_identifier] = ACTIONS(2531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2521),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_LPAREN2] = ACTIONS(2521),
    [anon_sym_TILDE] = ACTIONS(2521),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_AMP_AMP] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2531),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym___extension__] = ACTIONS(2531),
    [anon_sym_virtual] = ACTIONS(2531),
    [anon_sym_extern] = ACTIONS(2531),
    [anon_sym___attribute__] = ACTIONS(2531),
    [anon_sym_COLON_COLON] = ACTIONS(2521),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2521),
    [anon_sym___declspec] = ACTIONS(2531),
    [anon_sym___based] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(2521),
    [anon_sym_signed] = ACTIONS(2531),
    [anon_sym_unsigned] = ACTIONS(2531),
    [anon_sym_long] = ACTIONS(2531),
    [anon_sym_short] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2531),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_register] = ACTIONS(2531),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym___inline] = ACTIONS(2531),
    [anon_sym___inline__] = ACTIONS(2531),
    [anon_sym___forceinline] = ACTIONS(2531),
    [anon_sym_thread_local] = ACTIONS(2531),
    [anon_sym___thread] = ACTIONS(2531),
    [anon_sym_const] = ACTIONS(2531),
    [anon_sym_constexpr] = ACTIONS(2531),
    [anon_sym_volatile] = ACTIONS(2531),
    [anon_sym_restrict] = ACTIONS(2531),
    [anon_sym___restrict__] = ACTIONS(2531),
    [anon_sym__Atomic] = ACTIONS(2531),
    [anon_sym__Noreturn] = ACTIONS(2531),
    [anon_sym_noreturn] = ACTIONS(2531),
    [anon_sym__Nonnull] = ACTIONS(2531),
    [anon_sym_mutable] = ACTIONS(2531),
    [anon_sym_constinit] = ACTIONS(2531),
    [anon_sym_consteval] = ACTIONS(2531),
    [anon_sym_alignas] = ACTIONS(2531),
    [anon_sym__Alignas] = ACTIONS(2531),
    [sym_primitive_type] = ACTIONS(2531),
    [anon_sym_enum] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2531),
    [anon_sym_struct] = ACTIONS(2531),
    [anon_sym_union] = ACTIONS(2531),
    [anon_sym_asm] = ACTIONS(2531),
    [anon_sym___asm__] = ACTIONS(2531),
    [anon_sym___asm] = ACTIONS(2531),
    [anon_sym_DASH_GT] = ACTIONS(2521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2531),
    [anon_sym_decltype] = ACTIONS(2531),
    [anon_sym_final] = ACTIONS(2531),
    [anon_sym_override] = ACTIONS(2531),
    [anon_sym_explicit] = ACTIONS(2531),
    [anon_sym_typename] = ACTIONS(2531),
    [anon_sym_template] = ACTIONS(2531),
    [anon_sym_GT2] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2531),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_noexcept] = ACTIONS(2531),
    [anon_sym_throw] = ACTIONS(2531),
    [anon_sym_requires] = ACTIONS(2531),
  },
  [1820] = {
    [sym_catch_clause] = STATE(1820),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(2492),
    [aux_sym_preproc_def_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token1] = ACTIONS(2492),
    [aux_sym_preproc_if_token2] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2492),
    [sym_preproc_directive] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2494),
    [anon_sym_TILDE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2492),
    [anon_sym_typedef] = ACTIONS(2492),
    [anon_sym_virtual] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym___attribute__] = ACTIONS(2492),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2494),
    [anon_sym___declspec] = ACTIONS(2492),
    [anon_sym___based] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2492),
    [anon_sym_unsigned] = ACTIONS(2492),
    [anon_sym_long] = ACTIONS(2492),
    [anon_sym_short] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_register] = ACTIONS(2492),
    [anon_sym_inline] = ACTIONS(2492),
    [anon_sym___inline] = ACTIONS(2492),
    [anon_sym___inline__] = ACTIONS(2492),
    [anon_sym___forceinline] = ACTIONS(2492),
    [anon_sym_thread_local] = ACTIONS(2492),
    [anon_sym___thread] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_constexpr] = ACTIONS(2492),
    [anon_sym_volatile] = ACTIONS(2492),
    [anon_sym_restrict] = ACTIONS(2492),
    [anon_sym___restrict__] = ACTIONS(2492),
    [anon_sym__Atomic] = ACTIONS(2492),
    [anon_sym__Noreturn] = ACTIONS(2492),
    [anon_sym_noreturn] = ACTIONS(2492),
    [anon_sym__Nonnull] = ACTIONS(2492),
    [anon_sym_mutable] = ACTIONS(2492),
    [anon_sym_constinit] = ACTIONS(2492),
    [anon_sym_consteval] = ACTIONS(2492),
    [anon_sym_alignas] = ACTIONS(2492),
    [anon_sym__Alignas] = ACTIONS(2492),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_class] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2492),
    [anon_sym_decltype] = ACTIONS(2492),
    [anon_sym_explicit] = ACTIONS(2492),
    [anon_sym_typename] = ACTIONS(2492),
    [anon_sym_template] = ACTIONS(2492),
    [anon_sym_operator] = ACTIONS(2492),
    [anon_sym_friend] = ACTIONS(2492),
    [anon_sym_public] = ACTIONS(2492),
    [anon_sym_private] = ACTIONS(2492),
    [anon_sym_protected] = ACTIONS(2492),
    [anon_sym_using] = ACTIONS(2492),
    [anon_sym_static_assert] = ACTIONS(2492),
    [anon_sym_catch] = ACTIONS(5518),
  },
  [1821] = {
    [sym_identifier] = ACTIONS(5521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5523),
    [anon_sym_COMMA] = ACTIONS(5523),
    [anon_sym_RPAREN] = ACTIONS(5523),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_DASH] = ACTIONS(5521),
    [anon_sym_PLUS] = ACTIONS(5521),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_SLASH] = ACTIONS(5521),
    [anon_sym_PERCENT] = ACTIONS(5523),
    [anon_sym_PIPE_PIPE] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_PIPE] = ACTIONS(5521),
    [anon_sym_CARET] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym_EQ_EQ] = ACTIONS(5523),
    [anon_sym_BANG_EQ] = ACTIONS(5523),
    [anon_sym_GT] = ACTIONS(5521),
    [anon_sym_GT_EQ] = ACTIONS(5523),
    [anon_sym_LT_EQ] = ACTIONS(5521),
    [anon_sym_LT] = ACTIONS(5521),
    [anon_sym_LT_LT] = ACTIONS(5523),
    [anon_sym_GT_GT] = ACTIONS(5523),
    [anon_sym_SEMI] = ACTIONS(5523),
    [anon_sym___extension__] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym___based] = ACTIONS(5521),
    [anon_sym_LBRACE] = ACTIONS(5523),
    [anon_sym_RBRACE] = ACTIONS(5523),
    [anon_sym_signed] = ACTIONS(5521),
    [anon_sym_unsigned] = ACTIONS(5521),
    [anon_sym_long] = ACTIONS(5521),
    [anon_sym_short] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5523),
    [anon_sym_RBRACK] = ACTIONS(5523),
    [anon_sym_const] = ACTIONS(5521),
    [anon_sym_constexpr] = ACTIONS(5521),
    [anon_sym_volatile] = ACTIONS(5521),
    [anon_sym_restrict] = ACTIONS(5521),
    [anon_sym___restrict__] = ACTIONS(5521),
    [anon_sym__Atomic] = ACTIONS(5521),
    [anon_sym__Noreturn] = ACTIONS(5521),
    [anon_sym_noreturn] = ACTIONS(5521),
    [anon_sym__Nonnull] = ACTIONS(5521),
    [anon_sym_mutable] = ACTIONS(5521),
    [anon_sym_constinit] = ACTIONS(5521),
    [anon_sym_consteval] = ACTIONS(5521),
    [anon_sym_alignas] = ACTIONS(5521),
    [anon_sym__Alignas] = ACTIONS(5521),
    [sym_primitive_type] = ACTIONS(5521),
    [anon_sym_COLON] = ACTIONS(5523),
    [anon_sym_QMARK] = ACTIONS(5523),
    [anon_sym_LT_EQ_GT] = ACTIONS(5523),
    [anon_sym_or] = ACTIONS(5521),
    [anon_sym_and] = ACTIONS(5521),
    [anon_sym_bitor] = ACTIONS(5521),
    [anon_sym_xor] = ACTIONS(5521),
    [anon_sym_bitand] = ACTIONS(5521),
    [anon_sym_not_eq] = ACTIONS(5521),
    [anon_sym_DASH_DASH] = ACTIONS(5523),
    [anon_sym_PLUS_PLUS] = ACTIONS(5523),
    [anon_sym_DOT] = ACTIONS(5521),
    [anon_sym_DOT_STAR] = ACTIONS(5523),
    [anon_sym_DASH_GT] = ACTIONS(5523),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
    [anon_sym_final] = ACTIONS(5521),
    [anon_sym_override] = ACTIONS(5521),
    [anon_sym_requires] = ACTIONS(5521),
  },
  [1822] = {
    [sym_identifier] = ACTIONS(5525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5527),
    [anon_sym_COMMA] = ACTIONS(5527),
    [anon_sym_RPAREN] = ACTIONS(5527),
    [anon_sym_LPAREN2] = ACTIONS(5527),
    [anon_sym_DASH] = ACTIONS(5525),
    [anon_sym_PLUS] = ACTIONS(5525),
    [anon_sym_STAR] = ACTIONS(5527),
    [anon_sym_SLASH] = ACTIONS(5525),
    [anon_sym_PERCENT] = ACTIONS(5527),
    [anon_sym_PIPE_PIPE] = ACTIONS(5527),
    [anon_sym_AMP_AMP] = ACTIONS(5527),
    [anon_sym_PIPE] = ACTIONS(5525),
    [anon_sym_CARET] = ACTIONS(5527),
    [anon_sym_AMP] = ACTIONS(5525),
    [anon_sym_EQ_EQ] = ACTIONS(5527),
    [anon_sym_BANG_EQ] = ACTIONS(5527),
    [anon_sym_GT] = ACTIONS(5525),
    [anon_sym_GT_EQ] = ACTIONS(5527),
    [anon_sym_LT_EQ] = ACTIONS(5525),
    [anon_sym_LT] = ACTIONS(5525),
    [anon_sym_LT_LT] = ACTIONS(5527),
    [anon_sym_GT_GT] = ACTIONS(5527),
    [anon_sym_SEMI] = ACTIONS(5527),
    [anon_sym___extension__] = ACTIONS(5525),
    [anon_sym___attribute__] = ACTIONS(5525),
    [anon_sym___based] = ACTIONS(5525),
    [anon_sym_LBRACE] = ACTIONS(5527),
    [anon_sym_RBRACE] = ACTIONS(5527),
    [anon_sym_signed] = ACTIONS(5525),
    [anon_sym_unsigned] = ACTIONS(5525),
    [anon_sym_long] = ACTIONS(5525),
    [anon_sym_short] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5527),
    [anon_sym_RBRACK] = ACTIONS(5527),
    [anon_sym_const] = ACTIONS(5525),
    [anon_sym_constexpr] = ACTIONS(5525),
    [anon_sym_volatile] = ACTIONS(5525),
    [anon_sym_restrict] = ACTIONS(5525),
    [anon_sym___restrict__] = ACTIONS(5525),
    [anon_sym__Atomic] = ACTIONS(5525),
    [anon_sym__Noreturn] = ACTIONS(5525),
    [anon_sym_noreturn] = ACTIONS(5525),
    [anon_sym__Nonnull] = ACTIONS(5525),
    [anon_sym_mutable] = ACTIONS(5525),
    [anon_sym_constinit] = ACTIONS(5525),
    [anon_sym_consteval] = ACTIONS(5525),
    [anon_sym_alignas] = ACTIONS(5525),
    [anon_sym__Alignas] = ACTIONS(5525),
    [sym_primitive_type] = ACTIONS(5525),
    [anon_sym_COLON] = ACTIONS(5527),
    [anon_sym_QMARK] = ACTIONS(5527),
    [anon_sym_LT_EQ_GT] = ACTIONS(5527),
    [anon_sym_or] = ACTIONS(5525),
    [anon_sym_and] = ACTIONS(5525),
    [anon_sym_bitor] = ACTIONS(5525),
    [anon_sym_xor] = ACTIONS(5525),
    [anon_sym_bitand] = ACTIONS(5525),
    [anon_sym_not_eq] = ACTIONS(5525),
    [anon_sym_DASH_DASH] = ACTIONS(5527),
    [anon_sym_PLUS_PLUS] = ACTIONS(5527),
    [anon_sym_DOT] = ACTIONS(5525),
    [anon_sym_DOT_STAR] = ACTIONS(5527),
    [anon_sym_DASH_GT] = ACTIONS(5527),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5525),
    [anon_sym_decltype] = ACTIONS(5525),
    [anon_sym_final] = ACTIONS(5525),
    [anon_sym_override] = ACTIONS(5525),
    [anon_sym_requires] = ACTIONS(5525),
  },
  [1823] = {
    [sym_catch_clause] = STATE(1800),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1800),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_friend] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(5418),
  },
  [1824] = {
    [sym_identifier] = ACTIONS(5529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5531),
    [anon_sym_COMMA] = ACTIONS(5531),
    [anon_sym_RPAREN] = ACTIONS(5531),
    [anon_sym_LPAREN2] = ACTIONS(5531),
    [anon_sym_DASH] = ACTIONS(5529),
    [anon_sym_PLUS] = ACTIONS(5529),
    [anon_sym_STAR] = ACTIONS(5531),
    [anon_sym_SLASH] = ACTIONS(5529),
    [anon_sym_PERCENT] = ACTIONS(5531),
    [anon_sym_PIPE_PIPE] = ACTIONS(5531),
    [anon_sym_AMP_AMP] = ACTIONS(5531),
    [anon_sym_PIPE] = ACTIONS(5529),
    [anon_sym_CARET] = ACTIONS(5531),
    [anon_sym_AMP] = ACTIONS(5529),
    [anon_sym_EQ_EQ] = ACTIONS(5531),
    [anon_sym_BANG_EQ] = ACTIONS(5531),
    [anon_sym_GT] = ACTIONS(5529),
    [anon_sym_GT_EQ] = ACTIONS(5531),
    [anon_sym_LT_EQ] = ACTIONS(5529),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(5531),
    [anon_sym_GT_GT] = ACTIONS(5531),
    [anon_sym_SEMI] = ACTIONS(5531),
    [anon_sym___extension__] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5529),
    [anon_sym___based] = ACTIONS(5529),
    [anon_sym_LBRACE] = ACTIONS(5531),
    [anon_sym_RBRACE] = ACTIONS(5531),
    [anon_sym_signed] = ACTIONS(5529),
    [anon_sym_unsigned] = ACTIONS(5529),
    [anon_sym_long] = ACTIONS(5529),
    [anon_sym_short] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5531),
    [anon_sym_RBRACK] = ACTIONS(5531),
    [anon_sym_const] = ACTIONS(5529),
    [anon_sym_constexpr] = ACTIONS(5529),
    [anon_sym_volatile] = ACTIONS(5529),
    [anon_sym_restrict] = ACTIONS(5529),
    [anon_sym___restrict__] = ACTIONS(5529),
    [anon_sym__Atomic] = ACTIONS(5529),
    [anon_sym__Noreturn] = ACTIONS(5529),
    [anon_sym_noreturn] = ACTIONS(5529),
    [anon_sym__Nonnull] = ACTIONS(5529),
    [anon_sym_mutable] = ACTIONS(5529),
    [anon_sym_constinit] = ACTIONS(5529),
    [anon_sym_consteval] = ACTIONS(5529),
    [anon_sym_alignas] = ACTIONS(5529),
    [anon_sym__Alignas] = ACTIONS(5529),
    [sym_primitive_type] = ACTIONS(5529),
    [anon_sym_COLON] = ACTIONS(5531),
    [anon_sym_QMARK] = ACTIONS(5531),
    [anon_sym_LT_EQ_GT] = ACTIONS(5531),
    [anon_sym_or] = ACTIONS(5529),
    [anon_sym_and] = ACTIONS(5529),
    [anon_sym_bitor] = ACTIONS(5529),
    [anon_sym_xor] = ACTIONS(5529),
    [anon_sym_bitand] = ACTIONS(5529),
    [anon_sym_not_eq] = ACTIONS(5529),
    [anon_sym_DASH_DASH] = ACTIONS(5531),
    [anon_sym_PLUS_PLUS] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(5529),
    [anon_sym_DOT_STAR] = ACTIONS(5531),
    [anon_sym_DASH_GT] = ACTIONS(5531),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5529),
    [anon_sym_decltype] = ACTIONS(5529),
    [anon_sym_final] = ACTIONS(5529),
    [anon_sym_override] = ACTIONS(5529),
    [anon_sym_requires] = ACTIONS(5529),
  },
  [1825] = {
    [sym_identifier] = ACTIONS(5533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5535),
    [anon_sym_COMMA] = ACTIONS(5535),
    [anon_sym_RPAREN] = ACTIONS(5535),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_DASH] = ACTIONS(5533),
    [anon_sym_PLUS] = ACTIONS(5533),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_SLASH] = ACTIONS(5533),
    [anon_sym_PERCENT] = ACTIONS(5535),
    [anon_sym_PIPE_PIPE] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_PIPE] = ACTIONS(5533),
    [anon_sym_CARET] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym_EQ_EQ] = ACTIONS(5535),
    [anon_sym_BANG_EQ] = ACTIONS(5535),
    [anon_sym_GT] = ACTIONS(5533),
    [anon_sym_GT_EQ] = ACTIONS(5535),
    [anon_sym_LT_EQ] = ACTIONS(5533),
    [anon_sym_LT] = ACTIONS(5533),
    [anon_sym_LT_LT] = ACTIONS(5535),
    [anon_sym_GT_GT] = ACTIONS(5535),
    [anon_sym_SEMI] = ACTIONS(5535),
    [anon_sym___extension__] = ACTIONS(5533),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym___based] = ACTIONS(5533),
    [anon_sym_LBRACE] = ACTIONS(5535),
    [anon_sym_RBRACE] = ACTIONS(5535),
    [anon_sym_signed] = ACTIONS(5533),
    [anon_sym_unsigned] = ACTIONS(5533),
    [anon_sym_long] = ACTIONS(5533),
    [anon_sym_short] = ACTIONS(5533),
    [anon_sym_LBRACK] = ACTIONS(5535),
    [anon_sym_RBRACK] = ACTIONS(5535),
    [anon_sym_const] = ACTIONS(5533),
    [anon_sym_constexpr] = ACTIONS(5533),
    [anon_sym_volatile] = ACTIONS(5533),
    [anon_sym_restrict] = ACTIONS(5533),
    [anon_sym___restrict__] = ACTIONS(5533),
    [anon_sym__Atomic] = ACTIONS(5533),
    [anon_sym__Noreturn] = ACTIONS(5533),
    [anon_sym_noreturn] = ACTIONS(5533),
    [anon_sym__Nonnull] = ACTIONS(5533),
    [anon_sym_mutable] = ACTIONS(5533),
    [anon_sym_constinit] = ACTIONS(5533),
    [anon_sym_consteval] = ACTIONS(5533),
    [anon_sym_alignas] = ACTIONS(5533),
    [anon_sym__Alignas] = ACTIONS(5533),
    [sym_primitive_type] = ACTIONS(5533),
    [anon_sym_COLON] = ACTIONS(5535),
    [anon_sym_QMARK] = ACTIONS(5535),
    [anon_sym_LT_EQ_GT] = ACTIONS(5535),
    [anon_sym_or] = ACTIONS(5533),
    [anon_sym_and] = ACTIONS(5533),
    [anon_sym_bitor] = ACTIONS(5533),
    [anon_sym_xor] = ACTIONS(5533),
    [anon_sym_bitand] = ACTIONS(5533),
    [anon_sym_not_eq] = ACTIONS(5533),
    [anon_sym_DASH_DASH] = ACTIONS(5535),
    [anon_sym_PLUS_PLUS] = ACTIONS(5535),
    [anon_sym_DOT] = ACTIONS(5533),
    [anon_sym_DOT_STAR] = ACTIONS(5535),
    [anon_sym_DASH_GT] = ACTIONS(5535),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
    [anon_sym_final] = ACTIONS(5533),
    [anon_sym_override] = ACTIONS(5533),
    [anon_sym_requires] = ACTIONS(5533),
  },
  [1826] = {
    [sym_identifier] = ACTIONS(5537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5539),
    [anon_sym_COMMA] = ACTIONS(5539),
    [anon_sym_RPAREN] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_DASH] = ACTIONS(5537),
    [anon_sym_PLUS] = ACTIONS(5537),
    [anon_sym_STAR] = ACTIONS(5539),
    [anon_sym_SLASH] = ACTIONS(5537),
    [anon_sym_PERCENT] = ACTIONS(5539),
    [anon_sym_PIPE_PIPE] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_PIPE] = ACTIONS(5537),
    [anon_sym_CARET] = ACTIONS(5539),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym_EQ_EQ] = ACTIONS(5539),
    [anon_sym_BANG_EQ] = ACTIONS(5539),
    [anon_sym_GT] = ACTIONS(5537),
    [anon_sym_GT_EQ] = ACTIONS(5539),
    [anon_sym_LT_EQ] = ACTIONS(5537),
    [anon_sym_LT] = ACTIONS(5537),
    [anon_sym_LT_LT] = ACTIONS(5539),
    [anon_sym_GT_GT] = ACTIONS(5539),
    [anon_sym_SEMI] = ACTIONS(5539),
    [anon_sym___extension__] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym___based] = ACTIONS(5537),
    [anon_sym_LBRACE] = ACTIONS(5539),
    [anon_sym_RBRACE] = ACTIONS(5539),
    [anon_sym_signed] = ACTIONS(5537),
    [anon_sym_unsigned] = ACTIONS(5537),
    [anon_sym_long] = ACTIONS(5537),
    [anon_sym_short] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5539),
    [anon_sym_RBRACK] = ACTIONS(5539),
    [anon_sym_const] = ACTIONS(5537),
    [anon_sym_constexpr] = ACTIONS(5537),
    [anon_sym_volatile] = ACTIONS(5537),
    [anon_sym_restrict] = ACTIONS(5537),
    [anon_sym___restrict__] = ACTIONS(5537),
    [anon_sym__Atomic] = ACTIONS(5537),
    [anon_sym__Noreturn] = ACTIONS(5537),
    [anon_sym_noreturn] = ACTIONS(5537),
    [anon_sym__Nonnull] = ACTIONS(5537),
    [anon_sym_mutable] = ACTIONS(5537),
    [anon_sym_constinit] = ACTIONS(5537),
    [anon_sym_consteval] = ACTIONS(5537),
    [anon_sym_alignas] = ACTIONS(5537),
    [anon_sym__Alignas] = ACTIONS(5537),
    [sym_primitive_type] = ACTIONS(5537),
    [anon_sym_COLON] = ACTIONS(5539),
    [anon_sym_QMARK] = ACTIONS(5539),
    [anon_sym_LT_EQ_GT] = ACTIONS(5539),
    [anon_sym_or] = ACTIONS(5537),
    [anon_sym_and] = ACTIONS(5537),
    [anon_sym_bitor] = ACTIONS(5537),
    [anon_sym_xor] = ACTIONS(5537),
    [anon_sym_bitand] = ACTIONS(5537),
    [anon_sym_not_eq] = ACTIONS(5537),
    [anon_sym_DASH_DASH] = ACTIONS(5539),
    [anon_sym_PLUS_PLUS] = ACTIONS(5539),
    [anon_sym_DOT] = ACTIONS(5537),
    [anon_sym_DOT_STAR] = ACTIONS(5539),
    [anon_sym_DASH_GT] = ACTIONS(5539),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
    [anon_sym_final] = ACTIONS(5537),
    [anon_sym_override] = ACTIONS(5537),
    [anon_sym_requires] = ACTIONS(5537),
  },
  [1827] = {
    [sym_catch_clause] = STATE(1820),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1820),
    [sym_identifier] = ACTIONS(2505),
    [aux_sym_preproc_def_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token1] = ACTIONS(2505),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2505),
    [anon_sym_LPAREN2] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_STAR] = ACTIONS(2507),
    [anon_sym_AMP_AMP] = ACTIONS(2507),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym___extension__] = ACTIONS(2505),
    [anon_sym_typedef] = ACTIONS(2505),
    [anon_sym_virtual] = ACTIONS(2505),
    [anon_sym_extern] = ACTIONS(2505),
    [anon_sym___attribute__] = ACTIONS(2505),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2507),
    [anon_sym___declspec] = ACTIONS(2505),
    [anon_sym___based] = ACTIONS(2505),
    [anon_sym_signed] = ACTIONS(2505),
    [anon_sym_unsigned] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_register] = ACTIONS(2505),
    [anon_sym_inline] = ACTIONS(2505),
    [anon_sym___inline] = ACTIONS(2505),
    [anon_sym___inline__] = ACTIONS(2505),
    [anon_sym___forceinline] = ACTIONS(2505),
    [anon_sym_thread_local] = ACTIONS(2505),
    [anon_sym___thread] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_constexpr] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_restrict] = ACTIONS(2505),
    [anon_sym___restrict__] = ACTIONS(2505),
    [anon_sym__Atomic] = ACTIONS(2505),
    [anon_sym__Noreturn] = ACTIONS(2505),
    [anon_sym_noreturn] = ACTIONS(2505),
    [anon_sym__Nonnull] = ACTIONS(2505),
    [anon_sym_mutable] = ACTIONS(2505),
    [anon_sym_constinit] = ACTIONS(2505),
    [anon_sym_consteval] = ACTIONS(2505),
    [anon_sym_alignas] = ACTIONS(2505),
    [anon_sym__Alignas] = ACTIONS(2505),
    [sym_primitive_type] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_struct] = ACTIONS(2505),
    [anon_sym_union] = ACTIONS(2505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2505),
    [anon_sym_decltype] = ACTIONS(2505),
    [anon_sym_explicit] = ACTIONS(2505),
    [anon_sym_typename] = ACTIONS(2505),
    [anon_sym_template] = ACTIONS(2505),
    [anon_sym_operator] = ACTIONS(2505),
    [anon_sym_friend] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_static_assert] = ACTIONS(2505),
    [anon_sym_catch] = ACTIONS(5416),
  },
  [1828] = {
    [sym_catch_clause] = STATE(1800),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1800),
    [sym_identifier] = ACTIONS(2499),
    [aux_sym_preproc_def_token1] = ACTIONS(2499),
    [aux_sym_preproc_if_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2499),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2501),
    [anon_sym_STAR] = ACTIONS(2501),
    [anon_sym_AMP_AMP] = ACTIONS(2501),
    [anon_sym_AMP] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_typedef] = ACTIONS(2499),
    [anon_sym_virtual] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_COLON_COLON] = ACTIONS(2501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym___based] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2501),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [anon_sym__Nonnull] = ACTIONS(2499),
    [anon_sym_mutable] = ACTIONS(2499),
    [anon_sym_constinit] = ACTIONS(2499),
    [anon_sym_consteval] = ACTIONS(2499),
    [anon_sym_alignas] = ACTIONS(2499),
    [anon_sym__Alignas] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2499),
    [anon_sym_decltype] = ACTIONS(2499),
    [anon_sym_explicit] = ACTIONS(2499),
    [anon_sym_typename] = ACTIONS(2499),
    [anon_sym_template] = ACTIONS(2499),
    [anon_sym_operator] = ACTIONS(2499),
    [anon_sym_friend] = ACTIONS(2499),
    [anon_sym_public] = ACTIONS(2499),
    [anon_sym_private] = ACTIONS(2499),
    [anon_sym_protected] = ACTIONS(2499),
    [anon_sym_using] = ACTIONS(2499),
    [anon_sym_static_assert] = ACTIONS(2499),
    [anon_sym_catch] = ACTIONS(5418),
  },
  [1829] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(5541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5543),
    [anon_sym_COMMA] = ACTIONS(5543),
    [anon_sym_RPAREN] = ACTIONS(5543),
    [anon_sym_LPAREN2] = ACTIONS(5543),
    [anon_sym_DASH] = ACTIONS(5545),
    [anon_sym_PLUS] = ACTIONS(5545),
    [anon_sym_STAR] = ACTIONS(5543),
    [anon_sym_SLASH] = ACTIONS(5545),
    [anon_sym_PERCENT] = ACTIONS(5543),
    [anon_sym_PIPE_PIPE] = ACTIONS(5543),
    [anon_sym_AMP_AMP] = ACTIONS(5543),
    [anon_sym_PIPE] = ACTIONS(5545),
    [anon_sym_CARET] = ACTIONS(5543),
    [anon_sym_AMP] = ACTIONS(5545),
    [anon_sym_EQ_EQ] = ACTIONS(5543),
    [anon_sym_BANG_EQ] = ACTIONS(5543),
    [anon_sym_GT] = ACTIONS(5545),
    [anon_sym_GT_EQ] = ACTIONS(5543),
    [anon_sym_LT_EQ] = ACTIONS(5545),
    [anon_sym_LT] = ACTIONS(5545),
    [anon_sym_LT_LT] = ACTIONS(5543),
    [anon_sym_GT_GT] = ACTIONS(5543),
    [anon_sym_SEMI] = ACTIONS(5543),
    [anon_sym___extension__] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5545),
    [anon_sym_LBRACE] = ACTIONS(5543),
    [anon_sym_RBRACE] = ACTIONS(5543),
    [anon_sym_signed] = ACTIONS(5547),
    [anon_sym_unsigned] = ACTIONS(5547),
    [anon_sym_long] = ACTIONS(5547),
    [anon_sym_short] = ACTIONS(5547),
    [anon_sym_LBRACK] = ACTIONS(5543),
    [anon_sym_RBRACK] = ACTIONS(5543),
    [anon_sym_const] = ACTIONS(5545),
    [anon_sym_constexpr] = ACTIONS(5545),
    [anon_sym_volatile] = ACTIONS(5545),
    [anon_sym_restrict] = ACTIONS(5545),
    [anon_sym___restrict__] = ACTIONS(5545),
    [anon_sym__Atomic] = ACTIONS(5545),
    [anon_sym__Noreturn] = ACTIONS(5545),
    [anon_sym_noreturn] = ACTIONS(5545),
    [anon_sym__Nonnull] = ACTIONS(5545),
    [anon_sym_mutable] = ACTIONS(5545),
    [anon_sym_constinit] = ACTIONS(5545),
    [anon_sym_consteval] = ACTIONS(5545),
    [anon_sym_alignas] = ACTIONS(5545),
    [anon_sym__Alignas] = ACTIONS(5545),
    [sym_primitive_type] = ACTIONS(5549),
    [anon_sym_COLON] = ACTIONS(5543),
    [anon_sym_QMARK] = ACTIONS(5543),
    [anon_sym_LT_EQ_GT] = ACTIONS(5543),
    [anon_sym_or] = ACTIONS(5545),
    [anon_sym_and] = ACTIONS(5545),
    [anon_sym_bitor] = ACTIONS(5545),
    [anon_sym_xor] = ACTIONS(5545),
    [anon_sym_bitand] = ACTIONS(5545),
    [anon_sym_not_eq] = ACTIONS(5545),
    [anon_sym_DASH_DASH] = ACTIONS(5543),
    [anon_sym_PLUS_PLUS] = ACTIONS(5543),
    [anon_sym_DOT] = ACTIONS(5545),
    [anon_sym_DOT_STAR] = ACTIONS(5543),
    [anon_sym_DASH_GT] = ACTIONS(5543),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5545),
    [anon_sym_decltype] = ACTIONS(5545),
    [anon_sym_final] = ACTIONS(5545),
    [anon_sym_override] = ACTIONS(5545),
    [anon_sym_requires] = ACTIONS(5545),
  },
  [1830] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1617),
    [sym_identifier] = ACTIONS(5114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5551),
    [anon_sym_COMMA] = ACTIONS(5551),
    [anon_sym_RPAREN] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5551),
    [anon_sym_PIPE_PIPE] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_EQ_EQ] = ACTIONS(5551),
    [anon_sym_BANG_EQ] = ACTIONS(5551),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5551),
    [anon_sym_GT_GT] = ACTIONS(5551),
    [anon_sym_SEMI] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5554),
    [anon_sym___attribute__] = ACTIONS(5554),
    [anon_sym_LBRACE] = ACTIONS(5551),
    [anon_sym_RBRACE] = ACTIONS(5551),
    [anon_sym_signed] = ACTIONS(5118),
    [anon_sym_unsigned] = ACTIONS(5118),
    [anon_sym_long] = ACTIONS(5118),
    [anon_sym_short] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5554),
    [anon_sym_constexpr] = ACTIONS(5554),
    [anon_sym_volatile] = ACTIONS(5554),
    [anon_sym_restrict] = ACTIONS(5554),
    [anon_sym___restrict__] = ACTIONS(5554),
    [anon_sym__Atomic] = ACTIONS(5554),
    [anon_sym__Noreturn] = ACTIONS(5554),
    [anon_sym_noreturn] = ACTIONS(5554),
    [anon_sym__Nonnull] = ACTIONS(5554),
    [anon_sym_mutable] = ACTIONS(5554),
    [anon_sym_constinit] = ACTIONS(5554),
    [anon_sym_consteval] = ACTIONS(5554),
    [anon_sym_alignas] = ACTIONS(5554),
    [anon_sym__Alignas] = ACTIONS(5554),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_COLON] = ACTIONS(5551),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_LT_EQ_GT] = ACTIONS(5551),
    [anon_sym_or] = ACTIONS(5554),
    [anon_sym_and] = ACTIONS(5554),
    [anon_sym_bitor] = ACTIONS(5554),
    [anon_sym_xor] = ACTIONS(5554),
    [anon_sym_bitand] = ACTIONS(5554),
    [anon_sym_not_eq] = ACTIONS(5554),
    [anon_sym_DASH_DASH] = ACTIONS(5551),
    [anon_sym_PLUS_PLUS] = ACTIONS(5551),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_DOT_STAR] = ACTIONS(5551),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5554),
    [anon_sym_decltype] = ACTIONS(5554),
    [anon_sym_final] = ACTIONS(5554),
    [anon_sym_override] = ACTIONS(5554),
    [anon_sym_requires] = ACTIONS(5554),
  },
  [1831] = {
    [sym_identifier] = ACTIONS(5557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_COMMA] = ACTIONS(5559),
    [anon_sym_RPAREN] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5559),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5559),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5559),
    [anon_sym_PIPE_PIPE] = ACTIONS(5559),
    [anon_sym_AMP_AMP] = ACTIONS(5559),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5559),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5559),
    [anon_sym_BANG_EQ] = ACTIONS(5559),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5559),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5559),
    [anon_sym_GT_GT] = ACTIONS(5559),
    [anon_sym_SEMI] = ACTIONS(5559),
    [anon_sym___extension__] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym___based] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5559),
    [anon_sym_RBRACE] = ACTIONS(5559),
    [anon_sym_signed] = ACTIONS(5557),
    [anon_sym_unsigned] = ACTIONS(5557),
    [anon_sym_long] = ACTIONS(5557),
    [anon_sym_short] = ACTIONS(5557),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_RBRACK] = ACTIONS(5559),
    [anon_sym_const] = ACTIONS(5557),
    [anon_sym_constexpr] = ACTIONS(5557),
    [anon_sym_volatile] = ACTIONS(5557),
    [anon_sym_restrict] = ACTIONS(5557),
    [anon_sym___restrict__] = ACTIONS(5557),
    [anon_sym__Atomic] = ACTIONS(5557),
    [anon_sym__Noreturn] = ACTIONS(5557),
    [anon_sym_noreturn] = ACTIONS(5557),
    [anon_sym__Nonnull] = ACTIONS(5557),
    [anon_sym_mutable] = ACTIONS(5557),
    [anon_sym_constinit] = ACTIONS(5557),
    [anon_sym_consteval] = ACTIONS(5557),
    [anon_sym_alignas] = ACTIONS(5557),
    [anon_sym__Alignas] = ACTIONS(5557),
    [sym_primitive_type] = ACTIONS(5557),
    [anon_sym_COLON] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_LT_EQ_GT] = ACTIONS(5559),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5559),
    [anon_sym_PLUS_PLUS] = ACTIONS(5559),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5559),
    [anon_sym_DASH_GT] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
    [anon_sym_final] = ACTIONS(5557),
    [anon_sym_override] = ACTIONS(5557),
    [anon_sym_requires] = ACTIONS(5557),
  },
  [1832] = {
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_STAR] = ACTIONS(5336),
    [anon_sym_SLASH] = ACTIONS(5334),
    [anon_sym_PERCENT] = ACTIONS(5336),
    [anon_sym_PIPE_PIPE] = ACTIONS(5336),
    [anon_sym_AMP_AMP] = ACTIONS(5336),
    [anon_sym_PIPE] = ACTIONS(5334),
    [anon_sym_CARET] = ACTIONS(5336),
    [anon_sym_AMP] = ACTIONS(5334),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_GT] = ACTIONS(5334),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5334),
    [anon_sym_LT] = ACTIONS(5334),
    [anon_sym_LT_LT] = ACTIONS(5336),
    [anon_sym_GT_GT] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym___extension__] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5334),
    [anon_sym___based] = ACTIONS(5334),
    [anon_sym_LBRACE] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_signed] = ACTIONS(5334),
    [anon_sym_unsigned] = ACTIONS(5334),
    [anon_sym_long] = ACTIONS(5334),
    [anon_sym_short] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_RBRACK] = ACTIONS(5336),
    [anon_sym_const] = ACTIONS(5334),
    [anon_sym_constexpr] = ACTIONS(5334),
    [anon_sym_volatile] = ACTIONS(5334),
    [anon_sym_restrict] = ACTIONS(5334),
    [anon_sym___restrict__] = ACTIONS(5334),
    [anon_sym__Atomic] = ACTIONS(5334),
    [anon_sym__Noreturn] = ACTIONS(5334),
    [anon_sym_noreturn] = ACTIONS(5334),
    [anon_sym__Nonnull] = ACTIONS(5334),
    [anon_sym_mutable] = ACTIONS(5334),
    [anon_sym_constinit] = ACTIONS(5334),
    [anon_sym_consteval] = ACTIONS(5334),
    [anon_sym_alignas] = ACTIONS(5334),
    [anon_sym__Alignas] = ACTIONS(5334),
    [sym_primitive_type] = ACTIONS(5334),
    [anon_sym_COLON] = ACTIONS(5336),
    [anon_sym_QMARK] = ACTIONS(5336),
    [anon_sym_LT_EQ_GT] = ACTIONS(5336),
    [anon_sym_or] = ACTIONS(5334),
    [anon_sym_and] = ACTIONS(5334),
    [anon_sym_bitor] = ACTIONS(5334),
    [anon_sym_xor] = ACTIONS(5334),
    [anon_sym_bitand] = ACTIONS(5334),
    [anon_sym_not_eq] = ACTIONS(5334),
    [anon_sym_DASH_DASH] = ACTIONS(5336),
    [anon_sym_PLUS_PLUS] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5334),
    [anon_sym_DOT_STAR] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5334),
    [anon_sym_decltype] = ACTIONS(5334),
    [anon_sym_final] = ACTIONS(5334),
    [anon_sym_override] = ACTIONS(5334),
    [anon_sym_requires] = ACTIONS(5334),
  },
  [1833] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4888),
    [anon_sym_COMMA] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4893),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym__Nonnull] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4891),
    [anon_sym__Alignas] = ACTIONS(4891),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4893),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4891),
    [anon_sym_decltype] = ACTIONS(4891),
    [anon_sym_GT2] = ACTIONS(4888),
  },
  [1834] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_SLASH] = ACTIONS(5316),
    [anon_sym_PERCENT] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5316),
    [anon_sym_CARET] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym_EQ_EQ] = ACTIONS(5318),
    [anon_sym_BANG_EQ] = ACTIONS(5318),
    [anon_sym_GT] = ACTIONS(5316),
    [anon_sym_GT_EQ] = ACTIONS(5318),
    [anon_sym_LT_EQ] = ACTIONS(5316),
    [anon_sym_LT] = ACTIONS(5316),
    [anon_sym_LT_LT] = ACTIONS(5318),
    [anon_sym_GT_GT] = ACTIONS(5318),
    [anon_sym_SEMI] = ACTIONS(5318),
    [anon_sym___extension__] = ACTIONS(5316),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym___based] = ACTIONS(5316),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_RBRACE] = ACTIONS(5318),
    [anon_sym_signed] = ACTIONS(5316),
    [anon_sym_unsigned] = ACTIONS(5316),
    [anon_sym_long] = ACTIONS(5316),
    [anon_sym_short] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [anon_sym_RBRACK] = ACTIONS(5318),
    [anon_sym_const] = ACTIONS(5316),
    [anon_sym_constexpr] = ACTIONS(5316),
    [anon_sym_volatile] = ACTIONS(5316),
    [anon_sym_restrict] = ACTIONS(5316),
    [anon_sym___restrict__] = ACTIONS(5316),
    [anon_sym__Atomic] = ACTIONS(5316),
    [anon_sym__Noreturn] = ACTIONS(5316),
    [anon_sym_noreturn] = ACTIONS(5316),
    [anon_sym__Nonnull] = ACTIONS(5316),
    [anon_sym_mutable] = ACTIONS(5316),
    [anon_sym_constinit] = ACTIONS(5316),
    [anon_sym_consteval] = ACTIONS(5316),
    [anon_sym_alignas] = ACTIONS(5316),
    [anon_sym__Alignas] = ACTIONS(5316),
    [sym_primitive_type] = ACTIONS(5316),
    [anon_sym_COLON] = ACTIONS(5318),
    [anon_sym_QMARK] = ACTIONS(5318),
    [anon_sym_LT_EQ_GT] = ACTIONS(5318),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [anon_sym_bitor] = ACTIONS(5316),
    [anon_sym_xor] = ACTIONS(5316),
    [anon_sym_bitand] = ACTIONS(5316),
    [anon_sym_not_eq] = ACTIONS(5316),
    [anon_sym_DASH_DASH] = ACTIONS(5318),
    [anon_sym_PLUS_PLUS] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5316),
    [anon_sym_DOT_STAR] = ACTIONS(5318),
    [anon_sym_DASH_GT] = ACTIONS(5318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_final] = ACTIONS(5316),
    [anon_sym_override] = ACTIONS(5316),
    [anon_sym_requires] = ACTIONS(5316),
  },
  [1835] = {
    [sym_identifier] = ACTIONS(5451),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5453),
    [anon_sym_COMMA] = ACTIONS(5453),
    [anon_sym_RPAREN] = ACTIONS(5453),
    [aux_sym_preproc_if_token2] = ACTIONS(5453),
    [aux_sym_preproc_else_token1] = ACTIONS(5453),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5453),
    [anon_sym_LPAREN2] = ACTIONS(5453),
    [anon_sym_DASH] = ACTIONS(5451),
    [anon_sym_PLUS] = ACTIONS(5451),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_SLASH] = ACTIONS(5451),
    [anon_sym_PERCENT] = ACTIONS(5453),
    [anon_sym_PIPE_PIPE] = ACTIONS(5453),
    [anon_sym_AMP_AMP] = ACTIONS(5453),
    [anon_sym_PIPE] = ACTIONS(5451),
    [anon_sym_CARET] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5451),
    [anon_sym_EQ_EQ] = ACTIONS(5453),
    [anon_sym_BANG_EQ] = ACTIONS(5453),
    [anon_sym_GT] = ACTIONS(5451),
    [anon_sym_GT_EQ] = ACTIONS(5453),
    [anon_sym_LT_EQ] = ACTIONS(5451),
    [anon_sym_LT] = ACTIONS(5451),
    [anon_sym_LT_LT] = ACTIONS(5453),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5453),
    [anon_sym___extension__] = ACTIONS(5451),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym_LBRACE] = ACTIONS(5453),
    [anon_sym_RBRACE] = ACTIONS(5453),
    [anon_sym_LBRACK] = ACTIONS(5453),
    [anon_sym_RBRACK] = ACTIONS(5453),
    [anon_sym_const] = ACTIONS(5451),
    [anon_sym_constexpr] = ACTIONS(5451),
    [anon_sym_volatile] = ACTIONS(5451),
    [anon_sym_restrict] = ACTIONS(5451),
    [anon_sym___restrict__] = ACTIONS(5451),
    [anon_sym__Atomic] = ACTIONS(5451),
    [anon_sym__Noreturn] = ACTIONS(5451),
    [anon_sym_noreturn] = ACTIONS(5451),
    [anon_sym__Nonnull] = ACTIONS(5451),
    [anon_sym_mutable] = ACTIONS(5451),
    [anon_sym_constinit] = ACTIONS(5451),
    [anon_sym_consteval] = ACTIONS(5451),
    [anon_sym_alignas] = ACTIONS(5451),
    [anon_sym__Alignas] = ACTIONS(5451),
    [anon_sym_COLON] = ACTIONS(5453),
    [anon_sym_QMARK] = ACTIONS(5453),
    [anon_sym_LT_EQ_GT] = ACTIONS(5453),
    [anon_sym_or] = ACTIONS(5451),
    [anon_sym_and] = ACTIONS(5451),
    [anon_sym_bitor] = ACTIONS(5451),
    [anon_sym_xor] = ACTIONS(5451),
    [anon_sym_bitand] = ACTIONS(5451),
    [anon_sym_not_eq] = ACTIONS(5451),
    [anon_sym_DASH_DASH] = ACTIONS(5453),
    [anon_sym_PLUS_PLUS] = ACTIONS(5453),
    [anon_sym_DOT] = ACTIONS(5451),
    [anon_sym_DOT_STAR] = ACTIONS(5453),
    [anon_sym_DASH_GT] = ACTIONS(5453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5451),
    [anon_sym_decltype] = ACTIONS(5451),
    [anon_sym_final] = ACTIONS(5451),
    [anon_sym_override] = ACTIONS(5451),
    [anon_sym_requires] = ACTIONS(5451),
  },
  [1836] = {
    [sym_argument_list] = STATE(2384),
    [sym_initializer_list] = STATE(2384),
    [sym_decltype_auto] = STATE(2195),
    [sym_new_declarator] = STATE(2205),
    [sym_identifier] = ACTIONS(5561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5563),
    [anon_sym_COMMA] = ACTIONS(5563),
    [anon_sym_RPAREN] = ACTIONS(5563),
    [aux_sym_preproc_if_token2] = ACTIONS(5563),
    [aux_sym_preproc_else_token1] = ACTIONS(5563),
    [aux_sym_preproc_elif_token1] = ACTIONS(5561),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5561),
    [anon_sym_PLUS] = ACTIONS(5561),
    [anon_sym_STAR] = ACTIONS(5561),
    [anon_sym_SLASH] = ACTIONS(5561),
    [anon_sym_PERCENT] = ACTIONS(5561),
    [anon_sym_PIPE_PIPE] = ACTIONS(5563),
    [anon_sym_AMP_AMP] = ACTIONS(5563),
    [anon_sym_PIPE] = ACTIONS(5561),
    [anon_sym_CARET] = ACTIONS(5561),
    [anon_sym_AMP] = ACTIONS(5561),
    [anon_sym_EQ_EQ] = ACTIONS(5563),
    [anon_sym_BANG_EQ] = ACTIONS(5563),
    [anon_sym_GT] = ACTIONS(5561),
    [anon_sym_GT_EQ] = ACTIONS(5563),
    [anon_sym_LT_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(5561),
    [anon_sym_LT_LT] = ACTIONS(5561),
    [anon_sym_GT_GT] = ACTIONS(5561),
    [anon_sym_SEMI] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(5561),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5563),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_COLON] = ACTIONS(5563),
    [anon_sym_QMARK] = ACTIONS(5563),
    [anon_sym_STAR_EQ] = ACTIONS(5563),
    [anon_sym_SLASH_EQ] = ACTIONS(5563),
    [anon_sym_PERCENT_EQ] = ACTIONS(5563),
    [anon_sym_PLUS_EQ] = ACTIONS(5563),
    [anon_sym_DASH_EQ] = ACTIONS(5563),
    [anon_sym_LT_LT_EQ] = ACTIONS(5563),
    [anon_sym_GT_GT_EQ] = ACTIONS(5563),
    [anon_sym_AMP_EQ] = ACTIONS(5563),
    [anon_sym_CARET_EQ] = ACTIONS(5563),
    [anon_sym_PIPE_EQ] = ACTIONS(5563),
    [anon_sym_and_eq] = ACTIONS(5561),
    [anon_sym_or_eq] = ACTIONS(5561),
    [anon_sym_xor_eq] = ACTIONS(5561),
    [anon_sym_LT_EQ_GT] = ACTIONS(5563),
    [anon_sym_or] = ACTIONS(5561),
    [anon_sym_and] = ACTIONS(5561),
    [anon_sym_bitor] = ACTIONS(5561),
    [anon_sym_xor] = ACTIONS(5561),
    [anon_sym_bitand] = ACTIONS(5561),
    [anon_sym_not_eq] = ACTIONS(5561),
    [anon_sym_DASH_DASH] = ACTIONS(5563),
    [anon_sym_PLUS_PLUS] = ACTIONS(5563),
    [anon_sym_DOT] = ACTIONS(5561),
    [anon_sym_DOT_STAR] = ACTIONS(5563),
    [anon_sym_DASH_GT] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [1837] = {
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [aux_sym_preproc_if_token2] = ACTIONS(5336),
    [aux_sym_preproc_else_token1] = ACTIONS(5336),
    [aux_sym_preproc_elif_token1] = ACTIONS(5334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_STAR] = ACTIONS(5336),
    [anon_sym_SLASH] = ACTIONS(5334),
    [anon_sym_PERCENT] = ACTIONS(5336),
    [anon_sym_PIPE_PIPE] = ACTIONS(5336),
    [anon_sym_AMP_AMP] = ACTIONS(5336),
    [anon_sym_PIPE] = ACTIONS(5334),
    [anon_sym_CARET] = ACTIONS(5336),
    [anon_sym_AMP] = ACTIONS(5334),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_GT] = ACTIONS(5334),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5334),
    [anon_sym_LT] = ACTIONS(5334),
    [anon_sym_LT_LT] = ACTIONS(5336),
    [anon_sym_GT_GT] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym___extension__] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5334),
    [anon_sym_LBRACE] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_RBRACK] = ACTIONS(5336),
    [anon_sym_const] = ACTIONS(5334),
    [anon_sym_constexpr] = ACTIONS(5334),
    [anon_sym_volatile] = ACTIONS(5334),
    [anon_sym_restrict] = ACTIONS(5334),
    [anon_sym___restrict__] = ACTIONS(5334),
    [anon_sym__Atomic] = ACTIONS(5334),
    [anon_sym__Noreturn] = ACTIONS(5334),
    [anon_sym_noreturn] = ACTIONS(5334),
    [anon_sym__Nonnull] = ACTIONS(5334),
    [anon_sym_mutable] = ACTIONS(5334),
    [anon_sym_constinit] = ACTIONS(5334),
    [anon_sym_consteval] = ACTIONS(5334),
    [anon_sym_alignas] = ACTIONS(5334),
    [anon_sym__Alignas] = ACTIONS(5334),
    [anon_sym_COLON] = ACTIONS(5336),
    [anon_sym_QMARK] = ACTIONS(5336),
    [anon_sym_LT_EQ_GT] = ACTIONS(5336),
    [anon_sym_or] = ACTIONS(5334),
    [anon_sym_and] = ACTIONS(5334),
    [anon_sym_bitor] = ACTIONS(5334),
    [anon_sym_xor] = ACTIONS(5334),
    [anon_sym_bitand] = ACTIONS(5334),
    [anon_sym_not_eq] = ACTIONS(5334),
    [anon_sym_DASH_DASH] = ACTIONS(5336),
    [anon_sym_PLUS_PLUS] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5334),
    [anon_sym_DOT_STAR] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5334),
    [anon_sym_decltype] = ACTIONS(5334),
    [anon_sym_final] = ACTIONS(5334),
    [anon_sym_override] = ACTIONS(5334),
    [anon_sym_requires] = ACTIONS(5334),
  },
  [1838] = {
    [sym_argument_list] = STATE(2435),
    [sym_initializer_list] = STATE(2435),
    [sym_decltype_auto] = STATE(2195),
    [sym_new_declarator] = STATE(2152),
    [sym_identifier] = ACTIONS(5573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5575),
    [anon_sym_COMMA] = ACTIONS(5575),
    [anon_sym_RPAREN] = ACTIONS(5575),
    [aux_sym_preproc_if_token2] = ACTIONS(5575),
    [aux_sym_preproc_else_token1] = ACTIONS(5575),
    [aux_sym_preproc_elif_token1] = ACTIONS(5573),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5575),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5573),
    [anon_sym_PLUS] = ACTIONS(5573),
    [anon_sym_STAR] = ACTIONS(5573),
    [anon_sym_SLASH] = ACTIONS(5573),
    [anon_sym_PERCENT] = ACTIONS(5573),
    [anon_sym_PIPE_PIPE] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_PIPE] = ACTIONS(5573),
    [anon_sym_CARET] = ACTIONS(5573),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym_EQ_EQ] = ACTIONS(5575),
    [anon_sym_BANG_EQ] = ACTIONS(5575),
    [anon_sym_GT] = ACTIONS(5573),
    [anon_sym_GT_EQ] = ACTIONS(5575),
    [anon_sym_LT_EQ] = ACTIONS(5573),
    [anon_sym_LT] = ACTIONS(5573),
    [anon_sym_LT_LT] = ACTIONS(5573),
    [anon_sym_GT_GT] = ACTIONS(5573),
    [anon_sym_SEMI] = ACTIONS(5575),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5575),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5575),
    [anon_sym_EQ] = ACTIONS(5573),
    [anon_sym_COLON] = ACTIONS(5575),
    [anon_sym_QMARK] = ACTIONS(5575),
    [anon_sym_STAR_EQ] = ACTIONS(5575),
    [anon_sym_SLASH_EQ] = ACTIONS(5575),
    [anon_sym_PERCENT_EQ] = ACTIONS(5575),
    [anon_sym_PLUS_EQ] = ACTIONS(5575),
    [anon_sym_DASH_EQ] = ACTIONS(5575),
    [anon_sym_LT_LT_EQ] = ACTIONS(5575),
    [anon_sym_GT_GT_EQ] = ACTIONS(5575),
    [anon_sym_AMP_EQ] = ACTIONS(5575),
    [anon_sym_CARET_EQ] = ACTIONS(5575),
    [anon_sym_PIPE_EQ] = ACTIONS(5575),
    [anon_sym_and_eq] = ACTIONS(5573),
    [anon_sym_or_eq] = ACTIONS(5573),
    [anon_sym_xor_eq] = ACTIONS(5573),
    [anon_sym_LT_EQ_GT] = ACTIONS(5575),
    [anon_sym_or] = ACTIONS(5573),
    [anon_sym_and] = ACTIONS(5573),
    [anon_sym_bitor] = ACTIONS(5573),
    [anon_sym_xor] = ACTIONS(5573),
    [anon_sym_bitand] = ACTIONS(5573),
    [anon_sym_not_eq] = ACTIONS(5573),
    [anon_sym_DASH_DASH] = ACTIONS(5575),
    [anon_sym_PLUS_PLUS] = ACTIONS(5575),
    [anon_sym_DOT] = ACTIONS(5573),
    [anon_sym_DOT_STAR] = ACTIONS(5575),
    [anon_sym_DASH_GT] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [1839] = {
    [sym_argument_list] = STATE(2401),
    [sym_initializer_list] = STATE(2401),
    [sym_decltype_auto] = STATE(2195),
    [sym_new_declarator] = STATE(2169),
    [sym_identifier] = ACTIONS(5577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5579),
    [anon_sym_COMMA] = ACTIONS(5579),
    [anon_sym_RPAREN] = ACTIONS(5579),
    [aux_sym_preproc_if_token2] = ACTIONS(5579),
    [aux_sym_preproc_else_token1] = ACTIONS(5579),
    [aux_sym_preproc_elif_token1] = ACTIONS(5577),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5579),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5579),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5577),
    [anon_sym_PLUS] = ACTIONS(5577),
    [anon_sym_STAR] = ACTIONS(5577),
    [anon_sym_SLASH] = ACTIONS(5577),
    [anon_sym_PERCENT] = ACTIONS(5577),
    [anon_sym_PIPE_PIPE] = ACTIONS(5579),
    [anon_sym_AMP_AMP] = ACTIONS(5579),
    [anon_sym_PIPE] = ACTIONS(5577),
    [anon_sym_CARET] = ACTIONS(5577),
    [anon_sym_AMP] = ACTIONS(5577),
    [anon_sym_EQ_EQ] = ACTIONS(5579),
    [anon_sym_BANG_EQ] = ACTIONS(5579),
    [anon_sym_GT] = ACTIONS(5577),
    [anon_sym_GT_EQ] = ACTIONS(5579),
    [anon_sym_LT_EQ] = ACTIONS(5577),
    [anon_sym_LT] = ACTIONS(5577),
    [anon_sym_LT_LT] = ACTIONS(5577),
    [anon_sym_GT_GT] = ACTIONS(5577),
    [anon_sym_SEMI] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5577),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5579),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5579),
    [anon_sym_EQ] = ACTIONS(5577),
    [anon_sym_COLON] = ACTIONS(5579),
    [anon_sym_QMARK] = ACTIONS(5579),
    [anon_sym_STAR_EQ] = ACTIONS(5579),
    [anon_sym_SLASH_EQ] = ACTIONS(5579),
    [anon_sym_PERCENT_EQ] = ACTIONS(5579),
    [anon_sym_PLUS_EQ] = ACTIONS(5579),
    [anon_sym_DASH_EQ] = ACTIONS(5579),
    [anon_sym_LT_LT_EQ] = ACTIONS(5579),
    [anon_sym_GT_GT_EQ] = ACTIONS(5579),
    [anon_sym_AMP_EQ] = ACTIONS(5579),
    [anon_sym_CARET_EQ] = ACTIONS(5579),
    [anon_sym_PIPE_EQ] = ACTIONS(5579),
    [anon_sym_and_eq] = ACTIONS(5577),
    [anon_sym_or_eq] = ACTIONS(5577),
    [anon_sym_xor_eq] = ACTIONS(5577),
    [anon_sym_LT_EQ_GT] = ACTIONS(5579),
    [anon_sym_or] = ACTIONS(5577),
    [anon_sym_and] = ACTIONS(5577),
    [anon_sym_bitor] = ACTIONS(5577),
    [anon_sym_xor] = ACTIONS(5577),
    [anon_sym_bitand] = ACTIONS(5577),
    [anon_sym_not_eq] = ACTIONS(5577),
    [anon_sym_DASH_DASH] = ACTIONS(5579),
    [anon_sym_PLUS_PLUS] = ACTIONS(5579),
    [anon_sym_DOT] = ACTIONS(5577),
    [anon_sym_DOT_STAR] = ACTIONS(5579),
    [anon_sym_DASH_GT] = ACTIONS(5579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [1840] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_RPAREN] = ACTIONS(4888),
    [anon_sym_LPAREN2] = ACTIONS(4888),
    [anon_sym_DASH] = ACTIONS(4893),
    [anon_sym_PLUS] = ACTIONS(4893),
    [anon_sym_STAR] = ACTIONS(4895),
    [anon_sym_SLASH] = ACTIONS(4893),
    [anon_sym_PERCENT] = ACTIONS(4893),
    [anon_sym_PIPE_PIPE] = ACTIONS(4886),
    [anon_sym_AMP_AMP] = ACTIONS(4888),
    [anon_sym_PIPE] = ACTIONS(4893),
    [anon_sym_CARET] = ACTIONS(4893),
    [anon_sym_AMP] = ACTIONS(4895),
    [anon_sym_EQ_EQ] = ACTIONS(4886),
    [anon_sym_BANG_EQ] = ACTIONS(4886),
    [anon_sym_GT] = ACTIONS(4893),
    [anon_sym_GT_EQ] = ACTIONS(4886),
    [anon_sym_LT_EQ] = ACTIONS(4893),
    [anon_sym_LT] = ACTIONS(4893),
    [anon_sym_LT_LT] = ACTIONS(4893),
    [anon_sym_GT_GT] = ACTIONS(4893),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4888),
    [anon_sym_EQ] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4884),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym__Nonnull] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4891),
    [anon_sym__Alignas] = ACTIONS(4891),
    [anon_sym_QMARK] = ACTIONS(4886),
    [anon_sym_STAR_EQ] = ACTIONS(4886),
    [anon_sym_SLASH_EQ] = ACTIONS(4886),
    [anon_sym_PERCENT_EQ] = ACTIONS(4886),
    [anon_sym_PLUS_EQ] = ACTIONS(4886),
    [anon_sym_DASH_EQ] = ACTIONS(4886),
    [anon_sym_LT_LT_EQ] = ACTIONS(4886),
    [anon_sym_GT_GT_EQ] = ACTIONS(4886),
    [anon_sym_AMP_EQ] = ACTIONS(4886),
    [anon_sym_CARET_EQ] = ACTIONS(4886),
    [anon_sym_PIPE_EQ] = ACTIONS(4886),
    [anon_sym_and_eq] = ACTIONS(4886),
    [anon_sym_or_eq] = ACTIONS(4886),
    [anon_sym_xor_eq] = ACTIONS(4886),
    [anon_sym_LT_EQ_GT] = ACTIONS(4886),
    [anon_sym_or] = ACTIONS(4893),
    [anon_sym_and] = ACTIONS(4893),
    [anon_sym_bitor] = ACTIONS(4886),
    [anon_sym_xor] = ACTIONS(4893),
    [anon_sym_bitand] = ACTIONS(4886),
    [anon_sym_not_eq] = ACTIONS(4886),
    [anon_sym_DASH_DASH] = ACTIONS(4886),
    [anon_sym_PLUS_PLUS] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4893),
    [anon_sym_DOT_STAR] = ACTIONS(4886),
    [anon_sym_DASH_GT] = ACTIONS(4886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4891),
    [anon_sym_decltype] = ACTIONS(4891),
  },
  [1841] = {
    [sym_argument_list] = STATE(2344),
    [sym_initializer_list] = STATE(2344),
    [sym_decltype_auto] = STATE(2195),
    [sym_new_declarator] = STATE(2234),
    [sym_identifier] = ACTIONS(5581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5583),
    [anon_sym_COMMA] = ACTIONS(5583),
    [anon_sym_RPAREN] = ACTIONS(5583),
    [aux_sym_preproc_if_token2] = ACTIONS(5583),
    [aux_sym_preproc_else_token1] = ACTIONS(5583),
    [aux_sym_preproc_elif_token1] = ACTIONS(5581),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5583),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5581),
    [anon_sym_PLUS] = ACTIONS(5581),
    [anon_sym_STAR] = ACTIONS(5581),
    [anon_sym_SLASH] = ACTIONS(5581),
    [anon_sym_PERCENT] = ACTIONS(5581),
    [anon_sym_PIPE_PIPE] = ACTIONS(5583),
    [anon_sym_AMP_AMP] = ACTIONS(5583),
    [anon_sym_PIPE] = ACTIONS(5581),
    [anon_sym_CARET] = ACTIONS(5581),
    [anon_sym_AMP] = ACTIONS(5581),
    [anon_sym_EQ_EQ] = ACTIONS(5583),
    [anon_sym_BANG_EQ] = ACTIONS(5583),
    [anon_sym_GT] = ACTIONS(5581),
    [anon_sym_GT_EQ] = ACTIONS(5583),
    [anon_sym_LT_EQ] = ACTIONS(5581),
    [anon_sym_LT] = ACTIONS(5581),
    [anon_sym_LT_LT] = ACTIONS(5581),
    [anon_sym_GT_GT] = ACTIONS(5581),
    [anon_sym_SEMI] = ACTIONS(5583),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5583),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5583),
    [anon_sym_EQ] = ACTIONS(5581),
    [anon_sym_COLON] = ACTIONS(5583),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_STAR_EQ] = ACTIONS(5583),
    [anon_sym_SLASH_EQ] = ACTIONS(5583),
    [anon_sym_PERCENT_EQ] = ACTIONS(5583),
    [anon_sym_PLUS_EQ] = ACTIONS(5583),
    [anon_sym_DASH_EQ] = ACTIONS(5583),
    [anon_sym_LT_LT_EQ] = ACTIONS(5583),
    [anon_sym_GT_GT_EQ] = ACTIONS(5583),
    [anon_sym_AMP_EQ] = ACTIONS(5583),
    [anon_sym_CARET_EQ] = ACTIONS(5583),
    [anon_sym_PIPE_EQ] = ACTIONS(5583),
    [anon_sym_and_eq] = ACTIONS(5581),
    [anon_sym_or_eq] = ACTIONS(5581),
    [anon_sym_xor_eq] = ACTIONS(5581),
    [anon_sym_LT_EQ_GT] = ACTIONS(5583),
    [anon_sym_or] = ACTIONS(5581),
    [anon_sym_and] = ACTIONS(5581),
    [anon_sym_bitor] = ACTIONS(5581),
    [anon_sym_xor] = ACTIONS(5581),
    [anon_sym_bitand] = ACTIONS(5581),
    [anon_sym_not_eq] = ACTIONS(5581),
    [anon_sym_DASH_DASH] = ACTIONS(5583),
    [anon_sym_PLUS_PLUS] = ACTIONS(5583),
    [anon_sym_DOT] = ACTIONS(5581),
    [anon_sym_DOT_STAR] = ACTIONS(5583),
    [anon_sym_DASH_GT] = ACTIONS(5583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [1842] = {
    [sym_template_argument_list] = STATE(1850),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [aux_sym_preproc_if_token2] = ACTIONS(4862),
    [aux_sym_preproc_else_token1] = ACTIONS(4862),
    [aux_sym_preproc_elif_token1] = ACTIONS(4855),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4855),
    [anon_sym_PLUS] = ACTIONS(4855),
    [anon_sym_STAR] = ACTIONS(4855),
    [anon_sym_SLASH] = ACTIONS(4855),
    [anon_sym_PERCENT] = ACTIONS(4855),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4855),
    [anon_sym_CARET] = ACTIONS(4855),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4855),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(5585),
    [anon_sym_LT_LT] = ACTIONS(4855),
    [anon_sym_GT_GT] = ACTIONS(4855),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4855),
    [anon_sym_COLON] = ACTIONS(4855),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4855),
    [anon_sym_or_eq] = ACTIONS(4855),
    [anon_sym_xor_eq] = ACTIONS(4855),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [anon_sym_bitor] = ACTIONS(4855),
    [anon_sym_xor] = ACTIONS(4855),
    [anon_sym_bitand] = ACTIONS(4855),
    [anon_sym_not_eq] = ACTIONS(4855),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_final] = ACTIONS(4855),
    [anon_sym_override] = ACTIONS(4855),
  },
  [1843] = {
    [sym_string_literal] = STATE(1621),
    [sym_raw_string_literal] = STATE(1621),
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [aux_sym_preproc_if_token2] = ACTIONS(5590),
    [aux_sym_preproc_else_token1] = ACTIONS(5590),
    [aux_sym_preproc_elif_token1] = ACTIONS(5588),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5590),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_and_eq] = ACTIONS(5588),
    [anon_sym_or_eq] = ACTIONS(5588),
    [anon_sym_xor_eq] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5590),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [sym_literal_suffix] = ACTIONS(5588),
  },
  [1844] = {
    [sym_template_argument_list] = STATE(1850),
    [sym_identifier] = ACTIONS(5592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4118),
    [anon_sym_COMMA] = ACTIONS(4118),
    [anon_sym_RPAREN] = ACTIONS(4118),
    [aux_sym_preproc_if_token2] = ACTIONS(4118),
    [aux_sym_preproc_else_token1] = ACTIONS(4118),
    [aux_sym_preproc_elif_token1] = ACTIONS(5592),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4118),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4118),
    [anon_sym_LPAREN2] = ACTIONS(4118),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_SLASH] = ACTIONS(5592),
    [anon_sym_PERCENT] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE] = ACTIONS(4118),
    [anon_sym_AMP_AMP] = ACTIONS(4118),
    [anon_sym_PIPE] = ACTIONS(5592),
    [anon_sym_CARET] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(5592),
    [anon_sym_EQ_EQ] = ACTIONS(4118),
    [anon_sym_BANG_EQ] = ACTIONS(4118),
    [anon_sym_GT] = ACTIONS(5592),
    [anon_sym_GT_EQ] = ACTIONS(4118),
    [anon_sym_LT_EQ] = ACTIONS(5592),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5592),
    [anon_sym_GT_GT] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(4118),
    [anon_sym___attribute__] = ACTIONS(5592),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4118),
    [anon_sym_RBRACK] = ACTIONS(4118),
    [anon_sym_EQ] = ACTIONS(5592),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(4118),
    [anon_sym_STAR_EQ] = ACTIONS(4118),
    [anon_sym_SLASH_EQ] = ACTIONS(4118),
    [anon_sym_PERCENT_EQ] = ACTIONS(4118),
    [anon_sym_PLUS_EQ] = ACTIONS(4118),
    [anon_sym_DASH_EQ] = ACTIONS(4118),
    [anon_sym_LT_LT_EQ] = ACTIONS(4118),
    [anon_sym_GT_GT_EQ] = ACTIONS(4118),
    [anon_sym_AMP_EQ] = ACTIONS(4118),
    [anon_sym_CARET_EQ] = ACTIONS(4118),
    [anon_sym_PIPE_EQ] = ACTIONS(4118),
    [anon_sym_and_eq] = ACTIONS(5592),
    [anon_sym_or_eq] = ACTIONS(5592),
    [anon_sym_xor_eq] = ACTIONS(5592),
    [anon_sym_LT_EQ_GT] = ACTIONS(4118),
    [anon_sym_or] = ACTIONS(5592),
    [anon_sym_and] = ACTIONS(5592),
    [anon_sym_bitor] = ACTIONS(5592),
    [anon_sym_xor] = ACTIONS(5592),
    [anon_sym_bitand] = ACTIONS(5592),
    [anon_sym_not_eq] = ACTIONS(5592),
    [anon_sym_DASH_DASH] = ACTIONS(4118),
    [anon_sym_PLUS_PLUS] = ACTIONS(4118),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_DOT_STAR] = ACTIONS(4118),
    [anon_sym_DASH_GT] = ACTIONS(4118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5592),
    [anon_sym_decltype] = ACTIONS(5592),
    [anon_sym_final] = ACTIONS(5592),
    [anon_sym_override] = ACTIONS(5592),
  },
  [1845] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1846] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5596),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_CARET] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5598),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5596),
    [anon_sym_GT_GT] = ACTIONS(5596),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym___extension__] = ACTIONS(5596),
    [anon_sym___attribute__] = ACTIONS(5596),
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_signed] = ACTIONS(5600),
    [anon_sym_unsigned] = ACTIONS(5600),
    [anon_sym_long] = ACTIONS(5600),
    [anon_sym_short] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_const] = ACTIONS(5598),
    [anon_sym_constexpr] = ACTIONS(5596),
    [anon_sym_volatile] = ACTIONS(5596),
    [anon_sym_restrict] = ACTIONS(5596),
    [anon_sym___restrict__] = ACTIONS(5596),
    [anon_sym__Atomic] = ACTIONS(5596),
    [anon_sym__Noreturn] = ACTIONS(5596),
    [anon_sym_noreturn] = ACTIONS(5596),
    [anon_sym__Nonnull] = ACTIONS(5596),
    [anon_sym_mutable] = ACTIONS(5596),
    [anon_sym_constinit] = ACTIONS(5596),
    [anon_sym_consteval] = ACTIONS(5596),
    [anon_sym_alignas] = ACTIONS(5596),
    [anon_sym__Alignas] = ACTIONS(5596),
    [anon_sym_COLON] = ACTIONS(5596),
    [anon_sym_QMARK] = ACTIONS(5596),
    [anon_sym_LT_EQ_GT] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5596),
    [anon_sym_and] = ACTIONS(5596),
    [anon_sym_bitor] = ACTIONS(5596),
    [anon_sym_xor] = ACTIONS(5596),
    [anon_sym_bitand] = ACTIONS(5596),
    [anon_sym_not_eq] = ACTIONS(5596),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_DOT_STAR] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5596),
    [anon_sym_decltype] = ACTIONS(5596),
    [anon_sym_final] = ACTIONS(5596),
    [anon_sym_override] = ACTIONS(5596),
    [anon_sym_requires] = ACTIONS(5596),
  },
  [1847] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4607),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1848] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4617),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1849] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(5001),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1850] = {
    [sym_identifier] = ACTIONS(4884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_COMMA] = ACTIONS(4891),
    [anon_sym_RPAREN] = ACTIONS(4891),
    [aux_sym_preproc_if_token2] = ACTIONS(4891),
    [aux_sym_preproc_else_token1] = ACTIONS(4891),
    [aux_sym_preproc_elif_token1] = ACTIONS(4884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4891),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4884),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4884),
    [anon_sym_PIPE_PIPE] = ACTIONS(4891),
    [anon_sym_AMP_AMP] = ACTIONS(4891),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_CARET] = ACTIONS(4884),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4891),
    [anon_sym_BANG_EQ] = ACTIONS(4891),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4891),
    [anon_sym_LT_EQ] = ACTIONS(4884),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4884),
    [anon_sym_GT_GT] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4884),
    [anon_sym_COLON_COLON] = ACTIONS(4891),
    [anon_sym_LBRACE] = ACTIONS(4891),
    [anon_sym_RBRACE] = ACTIONS(4891),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_RBRACK] = ACTIONS(4891),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_QMARK] = ACTIONS(4891),
    [anon_sym_STAR_EQ] = ACTIONS(4891),
    [anon_sym_SLASH_EQ] = ACTIONS(4891),
    [anon_sym_PERCENT_EQ] = ACTIONS(4891),
    [anon_sym_PLUS_EQ] = ACTIONS(4891),
    [anon_sym_DASH_EQ] = ACTIONS(4891),
    [anon_sym_LT_LT_EQ] = ACTIONS(4891),
    [anon_sym_GT_GT_EQ] = ACTIONS(4891),
    [anon_sym_AMP_EQ] = ACTIONS(4891),
    [anon_sym_CARET_EQ] = ACTIONS(4891),
    [anon_sym_PIPE_EQ] = ACTIONS(4891),
    [anon_sym_and_eq] = ACTIONS(4884),
    [anon_sym_or_eq] = ACTIONS(4884),
    [anon_sym_xor_eq] = ACTIONS(4884),
    [anon_sym_LT_EQ_GT] = ACTIONS(4891),
    [anon_sym_or] = ACTIONS(4884),
    [anon_sym_and] = ACTIONS(4884),
    [anon_sym_bitor] = ACTIONS(4884),
    [anon_sym_xor] = ACTIONS(4884),
    [anon_sym_bitand] = ACTIONS(4884),
    [anon_sym_not_eq] = ACTIONS(4884),
    [anon_sym_DASH_DASH] = ACTIONS(4891),
    [anon_sym_PLUS_PLUS] = ACTIONS(4891),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_DOT_STAR] = ACTIONS(4891),
    [anon_sym_DASH_GT] = ACTIONS(4891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4884),
    [anon_sym_decltype] = ACTIONS(4884),
    [anon_sym_final] = ACTIONS(4884),
    [anon_sym_override] = ACTIONS(4884),
  },
  [1851] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
  },
  [1852] = {
    [sym_ms_based_modifier] = STATE(7592),
    [sym_ms_unaligned_ptr_modifier] = STATE(3994),
    [sym_ms_pointer_modifier] = STATE(1854),
    [sym__declarator] = STATE(6018),
    [sym__abstract_declarator] = STATE(6057),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_function_declarator] = STATE(5841),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5841),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_type_qualifier] = STATE(2553),
    [sym_alignas_qualifier] = STATE(4312),
    [sym_parameter_list] = STATE(2695),
    [sym_decltype] = STATE(8141),
    [sym_reference_declarator] = STATE(5841),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(5841),
    [sym_operator_name] = STATE(5841),
    [aux_sym__type_definition_type_repeat1] = STATE(2553),
    [aux_sym_pointer_declarator_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(5602),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2884),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2884),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2884),
    [anon_sym__unaligned] = ACTIONS(2886),
    [anon_sym___unaligned] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_EQ] = ACTIONS(5604),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2890),
    [anon_sym__Alignas] = ACTIONS(2890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(5604),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [1853] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(5616),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1854] = {
    [sym_ms_based_modifier] = STATE(7592),
    [sym_ms_unaligned_ptr_modifier] = STATE(3994),
    [sym_ms_pointer_modifier] = STATE(3819),
    [sym__declarator] = STATE(5990),
    [sym__abstract_declarator] = STATE(6073),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_function_declarator] = STATE(5841),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5841),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_type_qualifier] = STATE(2552),
    [sym_alignas_qualifier] = STATE(4312),
    [sym_parameter_list] = STATE(2695),
    [sym_decltype] = STATE(8141),
    [sym_reference_declarator] = STATE(5841),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(5841),
    [sym_operator_name] = STATE(5841),
    [aux_sym__type_definition_type_repeat1] = STATE(2552),
    [aux_sym_pointer_declarator_repeat1] = STATE(3819),
    [sym_identifier] = ACTIONS(5602),
    [anon_sym_COMMA] = ACTIONS(5618),
    [anon_sym_RPAREN] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2884),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2884),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2884),
    [anon_sym__unaligned] = ACTIONS(2886),
    [anon_sym___unaligned] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_EQ] = ACTIONS(5618),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2890),
    [anon_sym__Alignas] = ACTIONS(2890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(5618),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [1855] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4633),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1856] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_STAR] = ACTIONS(5336),
    [anon_sym_SLASH] = ACTIONS(5334),
    [anon_sym_PERCENT] = ACTIONS(5336),
    [anon_sym_PIPE_PIPE] = ACTIONS(5336),
    [anon_sym_AMP_AMP] = ACTIONS(5336),
    [anon_sym_PIPE] = ACTIONS(5334),
    [anon_sym_CARET] = ACTIONS(5336),
    [anon_sym_AMP] = ACTIONS(5334),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_GT] = ACTIONS(5334),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5334),
    [anon_sym_LT] = ACTIONS(5334),
    [anon_sym_LT_LT] = ACTIONS(5336),
    [anon_sym_GT_GT] = ACTIONS(5336),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym___extension__] = ACTIONS(5336),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_LBRACE] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_signed] = ACTIONS(5620),
    [anon_sym_unsigned] = ACTIONS(5620),
    [anon_sym_long] = ACTIONS(5620),
    [anon_sym_short] = ACTIONS(5620),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_RBRACK] = ACTIONS(5336),
    [anon_sym_const] = ACTIONS(5334),
    [anon_sym_constexpr] = ACTIONS(5336),
    [anon_sym_volatile] = ACTIONS(5336),
    [anon_sym_restrict] = ACTIONS(5336),
    [anon_sym___restrict__] = ACTIONS(5336),
    [anon_sym__Atomic] = ACTIONS(5336),
    [anon_sym__Noreturn] = ACTIONS(5336),
    [anon_sym_noreturn] = ACTIONS(5336),
    [anon_sym__Nonnull] = ACTIONS(5336),
    [anon_sym_mutable] = ACTIONS(5336),
    [anon_sym_constinit] = ACTIONS(5336),
    [anon_sym_consteval] = ACTIONS(5336),
    [anon_sym_alignas] = ACTIONS(5336),
    [anon_sym__Alignas] = ACTIONS(5336),
    [anon_sym_COLON] = ACTIONS(5336),
    [anon_sym_QMARK] = ACTIONS(5336),
    [anon_sym_LT_EQ_GT] = ACTIONS(5336),
    [anon_sym_or] = ACTIONS(5336),
    [anon_sym_and] = ACTIONS(5336),
    [anon_sym_bitor] = ACTIONS(5336),
    [anon_sym_xor] = ACTIONS(5336),
    [anon_sym_bitand] = ACTIONS(5336),
    [anon_sym_not_eq] = ACTIONS(5336),
    [anon_sym_DASH_DASH] = ACTIONS(5336),
    [anon_sym_PLUS_PLUS] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5334),
    [anon_sym_DOT_STAR] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5336),
    [anon_sym_decltype] = ACTIONS(5336),
    [anon_sym_final] = ACTIONS(5336),
    [anon_sym_override] = ACTIONS(5336),
    [anon_sym_requires] = ACTIONS(5336),
  },
  [1857] = {
    [sym_string_literal] = STATE(2055),
    [sym_template_argument_list] = STATE(3010),
    [sym_raw_string_literal] = STATE(2055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(5622),
    [anon_sym_LPAREN2] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4932),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4094),
    [anon_sym_or_eq] = ACTIONS(4094),
    [anon_sym_xor_eq] = ACTIONS(4094),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4102),
    [anon_sym_L_DQUOTE] = ACTIONS(4928),
    [anon_sym_u_DQUOTE] = ACTIONS(4928),
    [anon_sym_U_DQUOTE] = ACTIONS(4928),
    [anon_sym_u8_DQUOTE] = ACTIONS(4928),
    [anon_sym_DQUOTE] = ACTIONS(4928),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4930),
    [anon_sym_LR_DQUOTE] = ACTIONS(4930),
    [anon_sym_uR_DQUOTE] = ACTIONS(4930),
    [anon_sym_UR_DQUOTE] = ACTIONS(4930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4094),
  },
  [1858] = {
    [sym_identifier] = ACTIONS(5350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [aux_sym_preproc_if_token2] = ACTIONS(5352),
    [aux_sym_preproc_else_token1] = ACTIONS(5352),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5350),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5352),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5350),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym___attribute__] = ACTIONS(5350),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_RBRACK] = ACTIONS(5352),
    [anon_sym_EQ] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_and_eq] = ACTIONS(5350),
    [anon_sym_or_eq] = ACTIONS(5350),
    [anon_sym_xor_eq] = ACTIONS(5350),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_bitor] = ACTIONS(5350),
    [anon_sym_xor] = ACTIONS(5350),
    [anon_sym_bitand] = ACTIONS(5350),
    [anon_sym_not_eq] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5350),
    [anon_sym_DOT_STAR] = ACTIONS(5352),
    [anon_sym_DASH_GT] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5350),
    [anon_sym_decltype] = ACTIONS(5350),
    [anon_sym_final] = ACTIONS(5350),
    [anon_sym_override] = ACTIONS(5350),
  },
  [1859] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
  },
  [1860] = {
    [sym_string_literal] = STATE(2055),
    [sym_template_argument_list] = STATE(2916),
    [sym_raw_string_literal] = STATE(2055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(5626),
    [anon_sym_LPAREN2] = ACTIONS(5626),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4921),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4924),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(5629),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4094),
    [anon_sym_or_eq] = ACTIONS(4094),
    [anon_sym_xor_eq] = ACTIONS(4094),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4102),
    [anon_sym_L_DQUOTE] = ACTIONS(4928),
    [anon_sym_u_DQUOTE] = ACTIONS(4928),
    [anon_sym_U_DQUOTE] = ACTIONS(4928),
    [anon_sym_u8_DQUOTE] = ACTIONS(4928),
    [anon_sym_DQUOTE] = ACTIONS(4928),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4930),
    [anon_sym_LR_DQUOTE] = ACTIONS(4930),
    [anon_sym_uR_DQUOTE] = ACTIONS(4930),
    [anon_sym_UR_DQUOTE] = ACTIONS(4930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4094),
  },
  [1861] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1861),
    [sym_identifier] = ACTIONS(5114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5116),
    [anon_sym_COMMA] = ACTIONS(5116),
    [anon_sym_RPAREN] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_TILDE] = ACTIONS(5116),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_AMP_AMP] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_SEMI] = ACTIONS(5116),
    [anon_sym___extension__] = ACTIONS(5114),
    [anon_sym_virtual] = ACTIONS(5114),
    [anon_sym_extern] = ACTIONS(5114),
    [anon_sym___attribute__] = ACTIONS(5114),
    [anon_sym_COLON_COLON] = ACTIONS(5116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5116),
    [anon_sym___declspec] = ACTIONS(5114),
    [anon_sym___based] = ACTIONS(5114),
    [anon_sym___cdecl] = ACTIONS(5114),
    [anon_sym___clrcall] = ACTIONS(5114),
    [anon_sym___stdcall] = ACTIONS(5114),
    [anon_sym___fastcall] = ACTIONS(5114),
    [anon_sym___thiscall] = ACTIONS(5114),
    [anon_sym___vectorcall] = ACTIONS(5114),
    [anon_sym_LBRACE] = ACTIONS(5116),
    [anon_sym_signed] = ACTIONS(5632),
    [anon_sym_unsigned] = ACTIONS(5632),
    [anon_sym_long] = ACTIONS(5632),
    [anon_sym_short] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5114),
    [anon_sym_EQ] = ACTIONS(5116),
    [anon_sym_register] = ACTIONS(5114),
    [anon_sym_inline] = ACTIONS(5114),
    [anon_sym___inline] = ACTIONS(5114),
    [anon_sym___inline__] = ACTIONS(5114),
    [anon_sym___forceinline] = ACTIONS(5114),
    [anon_sym_thread_local] = ACTIONS(5114),
    [anon_sym___thread] = ACTIONS(5114),
    [anon_sym_const] = ACTIONS(5114),
    [anon_sym_constexpr] = ACTIONS(5114),
    [anon_sym_volatile] = ACTIONS(5114),
    [anon_sym_restrict] = ACTIONS(5114),
    [anon_sym___restrict__] = ACTIONS(5114),
    [anon_sym__Atomic] = ACTIONS(5114),
    [anon_sym__Noreturn] = ACTIONS(5114),
    [anon_sym_noreturn] = ACTIONS(5114),
    [anon_sym__Nonnull] = ACTIONS(5114),
    [anon_sym_mutable] = ACTIONS(5114),
    [anon_sym_constinit] = ACTIONS(5114),
    [anon_sym_consteval] = ACTIONS(5114),
    [anon_sym_alignas] = ACTIONS(5114),
    [anon_sym__Alignas] = ACTIONS(5114),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_asm] = ACTIONS(5114),
    [anon_sym___asm__] = ACTIONS(5114),
    [anon_sym___asm] = ACTIONS(5114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5114),
    [anon_sym_decltype] = ACTIONS(5114),
    [anon_sym_final] = ACTIONS(5114),
    [anon_sym_override] = ACTIONS(5114),
    [anon_sym_template] = ACTIONS(5114),
    [anon_sym_GT2] = ACTIONS(5116),
    [anon_sym_operator] = ACTIONS(5114),
    [anon_sym_try] = ACTIONS(5114),
    [anon_sym_requires] = ACTIONS(5114),
  },
  [1862] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(5194),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
  },
  [1863] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [aux_sym_preproc_if_token2] = ACTIONS(5318),
    [aux_sym_preproc_else_token1] = ACTIONS(5318),
    [aux_sym_preproc_elif_token1] = ACTIONS(5316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_STAR] = ACTIONS(5316),
    [anon_sym_SLASH] = ACTIONS(5316),
    [anon_sym_PERCENT] = ACTIONS(5316),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5316),
    [anon_sym_CARET] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym_EQ_EQ] = ACTIONS(5318),
    [anon_sym_BANG_EQ] = ACTIONS(5318),
    [anon_sym_GT] = ACTIONS(5316),
    [anon_sym_GT_EQ] = ACTIONS(5318),
    [anon_sym_LT_EQ] = ACTIONS(5316),
    [anon_sym_LT] = ACTIONS(5316),
    [anon_sym_LT_LT] = ACTIONS(5316),
    [anon_sym_GT_GT] = ACTIONS(5316),
    [anon_sym_SEMI] = ACTIONS(5318),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_RBRACE] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [anon_sym_RBRACK] = ACTIONS(5318),
    [anon_sym_EQ] = ACTIONS(5316),
    [anon_sym_COLON] = ACTIONS(5316),
    [anon_sym_QMARK] = ACTIONS(5318),
    [anon_sym_STAR_EQ] = ACTIONS(5318),
    [anon_sym_SLASH_EQ] = ACTIONS(5318),
    [anon_sym_PERCENT_EQ] = ACTIONS(5318),
    [anon_sym_PLUS_EQ] = ACTIONS(5318),
    [anon_sym_DASH_EQ] = ACTIONS(5318),
    [anon_sym_LT_LT_EQ] = ACTIONS(5318),
    [anon_sym_GT_GT_EQ] = ACTIONS(5318),
    [anon_sym_AMP_EQ] = ACTIONS(5318),
    [anon_sym_CARET_EQ] = ACTIONS(5318),
    [anon_sym_PIPE_EQ] = ACTIONS(5318),
    [anon_sym_and_eq] = ACTIONS(5316),
    [anon_sym_or_eq] = ACTIONS(5316),
    [anon_sym_xor_eq] = ACTIONS(5316),
    [anon_sym_LT_EQ_GT] = ACTIONS(5318),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [anon_sym_bitor] = ACTIONS(5316),
    [anon_sym_xor] = ACTIONS(5316),
    [anon_sym_bitand] = ACTIONS(5316),
    [anon_sym_not_eq] = ACTIONS(5316),
    [anon_sym_DASH_DASH] = ACTIONS(5318),
    [anon_sym_PLUS_PLUS] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5316),
    [anon_sym_DOT_STAR] = ACTIONS(5318),
    [anon_sym_DASH_GT] = ACTIONS(5318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_final] = ACTIONS(5316),
    [anon_sym_override] = ACTIONS(5316),
  },
  [1864] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
  },
  [1865] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4567),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1866] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5635),
    [anon_sym_COMMA] = ACTIONS(5635),
    [anon_sym_RPAREN] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5635),
    [anon_sym_DASH] = ACTIONS(5637),
    [anon_sym_PLUS] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5635),
    [anon_sym_SLASH] = ACTIONS(5637),
    [anon_sym_PERCENT] = ACTIONS(5635),
    [anon_sym_PIPE_PIPE] = ACTIONS(5635),
    [anon_sym_AMP_AMP] = ACTIONS(5635),
    [anon_sym_PIPE] = ACTIONS(5637),
    [anon_sym_CARET] = ACTIONS(5635),
    [anon_sym_AMP] = ACTIONS(5637),
    [anon_sym_EQ_EQ] = ACTIONS(5635),
    [anon_sym_BANG_EQ] = ACTIONS(5635),
    [anon_sym_GT] = ACTIONS(5637),
    [anon_sym_GT_EQ] = ACTIONS(5635),
    [anon_sym_LT_EQ] = ACTIONS(5637),
    [anon_sym_LT] = ACTIONS(5637),
    [anon_sym_LT_LT] = ACTIONS(5635),
    [anon_sym_GT_GT] = ACTIONS(5635),
    [anon_sym_SEMI] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5635),
    [anon_sym_LBRACE] = ACTIONS(5635),
    [anon_sym_RBRACE] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5639),
    [anon_sym_unsigned] = ACTIONS(5639),
    [anon_sym_long] = ACTIONS(5639),
    [anon_sym_short] = ACTIONS(5639),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5637),
    [anon_sym_constexpr] = ACTIONS(5635),
    [anon_sym_volatile] = ACTIONS(5635),
    [anon_sym_restrict] = ACTIONS(5635),
    [anon_sym___restrict__] = ACTIONS(5635),
    [anon_sym__Atomic] = ACTIONS(5635),
    [anon_sym__Noreturn] = ACTIONS(5635),
    [anon_sym_noreturn] = ACTIONS(5635),
    [anon_sym__Nonnull] = ACTIONS(5635),
    [anon_sym_mutable] = ACTIONS(5635),
    [anon_sym_constinit] = ACTIONS(5635),
    [anon_sym_consteval] = ACTIONS(5635),
    [anon_sym_alignas] = ACTIONS(5635),
    [anon_sym__Alignas] = ACTIONS(5635),
    [anon_sym_COLON] = ACTIONS(5635),
    [anon_sym_QMARK] = ACTIONS(5635),
    [anon_sym_LT_EQ_GT] = ACTIONS(5635),
    [anon_sym_or] = ACTIONS(5635),
    [anon_sym_and] = ACTIONS(5635),
    [anon_sym_bitor] = ACTIONS(5635),
    [anon_sym_xor] = ACTIONS(5635),
    [anon_sym_bitand] = ACTIONS(5635),
    [anon_sym_not_eq] = ACTIONS(5635),
    [anon_sym_DASH_DASH] = ACTIONS(5635),
    [anon_sym_PLUS_PLUS] = ACTIONS(5635),
    [anon_sym_DOT] = ACTIONS(5637),
    [anon_sym_DOT_STAR] = ACTIONS(5635),
    [anon_sym_DASH_GT] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5635),
    [anon_sym_decltype] = ACTIONS(5635),
    [anon_sym_final] = ACTIONS(5635),
    [anon_sym_override] = ACTIONS(5635),
    [anon_sym_requires] = ACTIONS(5635),
  },
  [1867] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4587),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1868] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5641),
    [anon_sym_COMMA] = ACTIONS(5641),
    [anon_sym_RPAREN] = ACTIONS(5641),
    [anon_sym_LPAREN2] = ACTIONS(5641),
    [anon_sym_DASH] = ACTIONS(5643),
    [anon_sym_PLUS] = ACTIONS(5643),
    [anon_sym_STAR] = ACTIONS(5641),
    [anon_sym_SLASH] = ACTIONS(5643),
    [anon_sym_PERCENT] = ACTIONS(5641),
    [anon_sym_PIPE_PIPE] = ACTIONS(5641),
    [anon_sym_AMP_AMP] = ACTIONS(5641),
    [anon_sym_PIPE] = ACTIONS(5643),
    [anon_sym_CARET] = ACTIONS(5641),
    [anon_sym_AMP] = ACTIONS(5643),
    [anon_sym_EQ_EQ] = ACTIONS(5641),
    [anon_sym_BANG_EQ] = ACTIONS(5641),
    [anon_sym_GT] = ACTIONS(5643),
    [anon_sym_GT_EQ] = ACTIONS(5641),
    [anon_sym_LT_EQ] = ACTIONS(5643),
    [anon_sym_LT] = ACTIONS(5643),
    [anon_sym_LT_LT] = ACTIONS(5641),
    [anon_sym_GT_GT] = ACTIONS(5641),
    [anon_sym_SEMI] = ACTIONS(5641),
    [anon_sym___extension__] = ACTIONS(5641),
    [anon_sym___attribute__] = ACTIONS(5641),
    [anon_sym_LBRACE] = ACTIONS(5641),
    [anon_sym_RBRACE] = ACTIONS(5641),
    [anon_sym_signed] = ACTIONS(5600),
    [anon_sym_unsigned] = ACTIONS(5600),
    [anon_sym_long] = ACTIONS(5600),
    [anon_sym_short] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_RBRACK] = ACTIONS(5641),
    [anon_sym_const] = ACTIONS(5643),
    [anon_sym_constexpr] = ACTIONS(5641),
    [anon_sym_volatile] = ACTIONS(5641),
    [anon_sym_restrict] = ACTIONS(5641),
    [anon_sym___restrict__] = ACTIONS(5641),
    [anon_sym__Atomic] = ACTIONS(5641),
    [anon_sym__Noreturn] = ACTIONS(5641),
    [anon_sym_noreturn] = ACTIONS(5641),
    [anon_sym__Nonnull] = ACTIONS(5641),
    [anon_sym_mutable] = ACTIONS(5641),
    [anon_sym_constinit] = ACTIONS(5641),
    [anon_sym_consteval] = ACTIONS(5641),
    [anon_sym_alignas] = ACTIONS(5641),
    [anon_sym__Alignas] = ACTIONS(5641),
    [anon_sym_COLON] = ACTIONS(5641),
    [anon_sym_QMARK] = ACTIONS(5641),
    [anon_sym_LT_EQ_GT] = ACTIONS(5641),
    [anon_sym_or] = ACTIONS(5641),
    [anon_sym_and] = ACTIONS(5641),
    [anon_sym_bitor] = ACTIONS(5641),
    [anon_sym_xor] = ACTIONS(5641),
    [anon_sym_bitand] = ACTIONS(5641),
    [anon_sym_not_eq] = ACTIONS(5641),
    [anon_sym_DASH_DASH] = ACTIONS(5641),
    [anon_sym_PLUS_PLUS] = ACTIONS(5641),
    [anon_sym_DOT] = ACTIONS(5643),
    [anon_sym_DOT_STAR] = ACTIONS(5641),
    [anon_sym_DASH_GT] = ACTIONS(5641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5641),
    [anon_sym_decltype] = ACTIONS(5641),
    [anon_sym_final] = ACTIONS(5641),
    [anon_sym_override] = ACTIONS(5641),
    [anon_sym_requires] = ACTIONS(5641),
  },
  [1869] = {
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token2] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_friend] = ACTIONS(2566),
    [anon_sym_public] = ACTIONS(2566),
    [anon_sym_private] = ACTIONS(2566),
    [anon_sym_protected] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_catch] = ACTIONS(2566),
  },
  [1870] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5645),
    [anon_sym_COMMA] = ACTIONS(5645),
    [anon_sym_RPAREN] = ACTIONS(5645),
    [anon_sym_LPAREN2] = ACTIONS(5645),
    [anon_sym_DASH] = ACTIONS(5647),
    [anon_sym_PLUS] = ACTIONS(5647),
    [anon_sym_STAR] = ACTIONS(5645),
    [anon_sym_SLASH] = ACTIONS(5647),
    [anon_sym_PERCENT] = ACTIONS(5645),
    [anon_sym_PIPE_PIPE] = ACTIONS(5645),
    [anon_sym_AMP_AMP] = ACTIONS(5645),
    [anon_sym_PIPE] = ACTIONS(5647),
    [anon_sym_CARET] = ACTIONS(5645),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym_EQ_EQ] = ACTIONS(5645),
    [anon_sym_BANG_EQ] = ACTIONS(5645),
    [anon_sym_GT] = ACTIONS(5647),
    [anon_sym_GT_EQ] = ACTIONS(5645),
    [anon_sym_LT_EQ] = ACTIONS(5647),
    [anon_sym_LT] = ACTIONS(5647),
    [anon_sym_LT_LT] = ACTIONS(5645),
    [anon_sym_GT_GT] = ACTIONS(5645),
    [anon_sym_SEMI] = ACTIONS(5645),
    [anon_sym___extension__] = ACTIONS(5645),
    [anon_sym___attribute__] = ACTIONS(5645),
    [anon_sym_LBRACE] = ACTIONS(5645),
    [anon_sym_RBRACE] = ACTIONS(5645),
    [anon_sym_signed] = ACTIONS(5600),
    [anon_sym_unsigned] = ACTIONS(5600),
    [anon_sym_long] = ACTIONS(5600),
    [anon_sym_short] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5645),
    [anon_sym_RBRACK] = ACTIONS(5645),
    [anon_sym_const] = ACTIONS(5647),
    [anon_sym_constexpr] = ACTIONS(5645),
    [anon_sym_volatile] = ACTIONS(5645),
    [anon_sym_restrict] = ACTIONS(5645),
    [anon_sym___restrict__] = ACTIONS(5645),
    [anon_sym__Atomic] = ACTIONS(5645),
    [anon_sym__Noreturn] = ACTIONS(5645),
    [anon_sym_noreturn] = ACTIONS(5645),
    [anon_sym__Nonnull] = ACTIONS(5645),
    [anon_sym_mutable] = ACTIONS(5645),
    [anon_sym_constinit] = ACTIONS(5645),
    [anon_sym_consteval] = ACTIONS(5645),
    [anon_sym_alignas] = ACTIONS(5645),
    [anon_sym__Alignas] = ACTIONS(5645),
    [anon_sym_COLON] = ACTIONS(5645),
    [anon_sym_QMARK] = ACTIONS(5645),
    [anon_sym_LT_EQ_GT] = ACTIONS(5645),
    [anon_sym_or] = ACTIONS(5645),
    [anon_sym_and] = ACTIONS(5645),
    [anon_sym_bitor] = ACTIONS(5645),
    [anon_sym_xor] = ACTIONS(5645),
    [anon_sym_bitand] = ACTIONS(5645),
    [anon_sym_not_eq] = ACTIONS(5645),
    [anon_sym_DASH_DASH] = ACTIONS(5645),
    [anon_sym_PLUS_PLUS] = ACTIONS(5645),
    [anon_sym_DOT] = ACTIONS(5647),
    [anon_sym_DOT_STAR] = ACTIONS(5645),
    [anon_sym_DASH_GT] = ACTIONS(5645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5645),
    [anon_sym_decltype] = ACTIONS(5645),
    [anon_sym_final] = ACTIONS(5645),
    [anon_sym_override] = ACTIONS(5645),
    [anon_sym_requires] = ACTIONS(5645),
  },
  [1871] = {
    [sym_string_literal] = STATE(1621),
    [sym_template_argument_list] = STATE(2696),
    [sym_raw_string_literal] = STATE(1621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(5626),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(5649),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4924),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(5629),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4094),
    [anon_sym_or_eq] = ACTIONS(4094),
    [anon_sym_xor_eq] = ACTIONS(4094),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
  },
  [1872] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1846),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_RPAREN] = ACTIONS(5652),
    [anon_sym_LPAREN2] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5654),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym___extension__] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym_LBRACE] = ACTIONS(5652),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_signed] = ACTIONS(5656),
    [anon_sym_unsigned] = ACTIONS(5656),
    [anon_sym_long] = ACTIONS(5656),
    [anon_sym_short] = ACTIONS(5656),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_RBRACK] = ACTIONS(5652),
    [anon_sym_const] = ACTIONS(5654),
    [anon_sym_constexpr] = ACTIONS(5652),
    [anon_sym_volatile] = ACTIONS(5652),
    [anon_sym_restrict] = ACTIONS(5652),
    [anon_sym___restrict__] = ACTIONS(5652),
    [anon_sym__Atomic] = ACTIONS(5652),
    [anon_sym__Noreturn] = ACTIONS(5652),
    [anon_sym_noreturn] = ACTIONS(5652),
    [anon_sym__Nonnull] = ACTIONS(5652),
    [anon_sym_mutable] = ACTIONS(5652),
    [anon_sym_constinit] = ACTIONS(5652),
    [anon_sym_consteval] = ACTIONS(5652),
    [anon_sym_alignas] = ACTIONS(5652),
    [anon_sym__Alignas] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5652),
    [anon_sym_QMARK] = ACTIONS(5652),
    [anon_sym_LT_EQ_GT] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_bitor] = ACTIONS(5652),
    [anon_sym_xor] = ACTIONS(5652),
    [anon_sym_bitand] = ACTIONS(5652),
    [anon_sym_not_eq] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_DOT_STAR] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5652),
    [anon_sym_decltype] = ACTIONS(5652),
    [anon_sym_final] = ACTIONS(5652),
    [anon_sym_override] = ACTIONS(5652),
    [anon_sym_requires] = ACTIONS(5652),
  },
  [1873] = {
    [sym_identifier] = ACTIONS(1952),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1952),
    [sym_preproc_directive] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_typedef] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_static_assert] = ACTIONS(1952),
    [anon_sym_catch] = ACTIONS(1952),
  },
  [1874] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(5194),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
  },
  [1875] = {
    [sym_string_literal] = STATE(1621),
    [sym_template_argument_list] = STATE(2248),
    [sym_raw_string_literal] = STATE(1621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(5111),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4094),
    [anon_sym_or_eq] = ACTIONS(4094),
    [anon_sym_xor_eq] = ACTIONS(4094),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
  },
  [1876] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5457),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5457),
    [anon_sym_GT_GT] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___extension__] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5457),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_signed] = ACTIONS(5620),
    [anon_sym_unsigned] = ACTIONS(5620),
    [anon_sym_long] = ACTIONS(5620),
    [anon_sym_short] = ACTIONS(5620),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_const] = ACTIONS(5455),
    [anon_sym_constexpr] = ACTIONS(5457),
    [anon_sym_volatile] = ACTIONS(5457),
    [anon_sym_restrict] = ACTIONS(5457),
    [anon_sym___restrict__] = ACTIONS(5457),
    [anon_sym__Atomic] = ACTIONS(5457),
    [anon_sym__Noreturn] = ACTIONS(5457),
    [anon_sym_noreturn] = ACTIONS(5457),
    [anon_sym__Nonnull] = ACTIONS(5457),
    [anon_sym_mutable] = ACTIONS(5457),
    [anon_sym_constinit] = ACTIONS(5457),
    [anon_sym_consteval] = ACTIONS(5457),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym__Alignas] = ACTIONS(5457),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5457),
    [anon_sym_and] = ACTIONS(5457),
    [anon_sym_bitor] = ACTIONS(5457),
    [anon_sym_xor] = ACTIONS(5457),
    [anon_sym_bitand] = ACTIONS(5457),
    [anon_sym_not_eq] = ACTIONS(5457),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5457),
    [anon_sym_decltype] = ACTIONS(5457),
    [anon_sym_final] = ACTIONS(5457),
    [anon_sym_override] = ACTIONS(5457),
    [anon_sym_requires] = ACTIONS(5457),
  },
  [1877] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
    [anon_sym_catch] = ACTIONS(1956),
  },
  [1878] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1879] = {
    [sym_identifier] = ACTIONS(2566),
    [aux_sym_preproc_def_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2566),
    [sym_preproc_directive] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2568),
    [anon_sym_TILDE] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2566),
    [anon_sym_typedef] = ACTIONS(2566),
    [anon_sym_virtual] = ACTIONS(2566),
    [anon_sym_extern] = ACTIONS(2566),
    [anon_sym___attribute__] = ACTIONS(2566),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2568),
    [anon_sym___declspec] = ACTIONS(2566),
    [anon_sym___based] = ACTIONS(2566),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2566),
    [anon_sym_unsigned] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_register] = ACTIONS(2566),
    [anon_sym_inline] = ACTIONS(2566),
    [anon_sym___inline] = ACTIONS(2566),
    [anon_sym___inline__] = ACTIONS(2566),
    [anon_sym___forceinline] = ACTIONS(2566),
    [anon_sym_thread_local] = ACTIONS(2566),
    [anon_sym___thread] = ACTIONS(2566),
    [anon_sym_const] = ACTIONS(2566),
    [anon_sym_constexpr] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_restrict] = ACTIONS(2566),
    [anon_sym___restrict__] = ACTIONS(2566),
    [anon_sym__Atomic] = ACTIONS(2566),
    [anon_sym__Noreturn] = ACTIONS(2566),
    [anon_sym_noreturn] = ACTIONS(2566),
    [anon_sym__Nonnull] = ACTIONS(2566),
    [anon_sym_mutable] = ACTIONS(2566),
    [anon_sym_constinit] = ACTIONS(2566),
    [anon_sym_consteval] = ACTIONS(2566),
    [anon_sym_alignas] = ACTIONS(2566),
    [anon_sym__Alignas] = ACTIONS(2566),
    [sym_primitive_type] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_struct] = ACTIONS(2566),
    [anon_sym_union] = ACTIONS(2566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2566),
    [anon_sym_decltype] = ACTIONS(2566),
    [anon_sym_explicit] = ACTIONS(2566),
    [anon_sym_typename] = ACTIONS(2566),
    [anon_sym_template] = ACTIONS(2566),
    [anon_sym_operator] = ACTIONS(2566),
    [anon_sym_friend] = ACTIONS(2566),
    [anon_sym_public] = ACTIONS(2566),
    [anon_sym_private] = ACTIONS(2566),
    [anon_sym_protected] = ACTIONS(2566),
    [anon_sym_using] = ACTIONS(2566),
    [anon_sym_static_assert] = ACTIONS(2566),
    [anon_sym_catch] = ACTIONS(2566),
  },
  [1880] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [aux_sym_preproc_if_token2] = ACTIONS(5318),
    [aux_sym_preproc_else_token1] = ACTIONS(5318),
    [aux_sym_preproc_elif_token1] = ACTIONS(5316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_STAR] = ACTIONS(5316),
    [anon_sym_SLASH] = ACTIONS(5316),
    [anon_sym_PERCENT] = ACTIONS(5316),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5316),
    [anon_sym_CARET] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym_EQ_EQ] = ACTIONS(5318),
    [anon_sym_BANG_EQ] = ACTIONS(5318),
    [anon_sym_GT] = ACTIONS(5316),
    [anon_sym_GT_EQ] = ACTIONS(5318),
    [anon_sym_LT_EQ] = ACTIONS(5316),
    [anon_sym_LT] = ACTIONS(5316),
    [anon_sym_LT_LT] = ACTIONS(5316),
    [anon_sym_GT_GT] = ACTIONS(5316),
    [anon_sym_SEMI] = ACTIONS(5318),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_RBRACE] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [anon_sym_RBRACK] = ACTIONS(5318),
    [anon_sym_EQ] = ACTIONS(5316),
    [anon_sym_COLON] = ACTIONS(5316),
    [anon_sym_QMARK] = ACTIONS(5318),
    [anon_sym_STAR_EQ] = ACTIONS(5318),
    [anon_sym_SLASH_EQ] = ACTIONS(5318),
    [anon_sym_PERCENT_EQ] = ACTIONS(5318),
    [anon_sym_PLUS_EQ] = ACTIONS(5318),
    [anon_sym_DASH_EQ] = ACTIONS(5318),
    [anon_sym_LT_LT_EQ] = ACTIONS(5318),
    [anon_sym_GT_GT_EQ] = ACTIONS(5318),
    [anon_sym_AMP_EQ] = ACTIONS(5318),
    [anon_sym_CARET_EQ] = ACTIONS(5318),
    [anon_sym_PIPE_EQ] = ACTIONS(5318),
    [anon_sym_and_eq] = ACTIONS(5316),
    [anon_sym_or_eq] = ACTIONS(5316),
    [anon_sym_xor_eq] = ACTIONS(5316),
    [anon_sym_LT_EQ_GT] = ACTIONS(5318),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [anon_sym_bitor] = ACTIONS(5316),
    [anon_sym_xor] = ACTIONS(5316),
    [anon_sym_bitand] = ACTIONS(5316),
    [anon_sym_not_eq] = ACTIONS(5316),
    [anon_sym_DASH_DASH] = ACTIONS(5318),
    [anon_sym_PLUS_PLUS] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5316),
    [anon_sym_DOT_STAR] = ACTIONS(5318),
    [anon_sym_DASH_GT] = ACTIONS(5318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_final] = ACTIONS(5316),
    [anon_sym_override] = ACTIONS(5316),
  },
  [1881] = {
    [sym_identifier] = ACTIONS(5260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5262),
    [anon_sym_COMMA] = ACTIONS(5262),
    [anon_sym_RPAREN] = ACTIONS(5262),
    [aux_sym_preproc_if_token2] = ACTIONS(5262),
    [aux_sym_preproc_else_token1] = ACTIONS(5262),
    [aux_sym_preproc_elif_token1] = ACTIONS(5260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5262),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5262),
    [anon_sym_LPAREN2] = ACTIONS(5262),
    [anon_sym_DASH] = ACTIONS(5260),
    [anon_sym_PLUS] = ACTIONS(5260),
    [anon_sym_STAR] = ACTIONS(5260),
    [anon_sym_SLASH] = ACTIONS(5260),
    [anon_sym_PERCENT] = ACTIONS(5260),
    [anon_sym_PIPE_PIPE] = ACTIONS(5262),
    [anon_sym_AMP_AMP] = ACTIONS(5262),
    [anon_sym_PIPE] = ACTIONS(5260),
    [anon_sym_CARET] = ACTIONS(5260),
    [anon_sym_AMP] = ACTIONS(5260),
    [anon_sym_EQ_EQ] = ACTIONS(5262),
    [anon_sym_BANG_EQ] = ACTIONS(5262),
    [anon_sym_GT] = ACTIONS(5260),
    [anon_sym_GT_EQ] = ACTIONS(5262),
    [anon_sym_LT_EQ] = ACTIONS(5260),
    [anon_sym_LT] = ACTIONS(5260),
    [anon_sym_LT_LT] = ACTIONS(5260),
    [anon_sym_GT_GT] = ACTIONS(5260),
    [anon_sym_SEMI] = ACTIONS(5262),
    [anon_sym___attribute__] = ACTIONS(5260),
    [anon_sym_COLON_COLON] = ACTIONS(5262),
    [anon_sym_LBRACE] = ACTIONS(5262),
    [anon_sym_RBRACE] = ACTIONS(5262),
    [anon_sym_LBRACK] = ACTIONS(5262),
    [anon_sym_RBRACK] = ACTIONS(5262),
    [anon_sym_EQ] = ACTIONS(5260),
    [anon_sym_COLON] = ACTIONS(5260),
    [anon_sym_QMARK] = ACTIONS(5262),
    [anon_sym_STAR_EQ] = ACTIONS(5262),
    [anon_sym_SLASH_EQ] = ACTIONS(5262),
    [anon_sym_PERCENT_EQ] = ACTIONS(5262),
    [anon_sym_PLUS_EQ] = ACTIONS(5262),
    [anon_sym_DASH_EQ] = ACTIONS(5262),
    [anon_sym_LT_LT_EQ] = ACTIONS(5262),
    [anon_sym_GT_GT_EQ] = ACTIONS(5262),
    [anon_sym_AMP_EQ] = ACTIONS(5262),
    [anon_sym_CARET_EQ] = ACTIONS(5262),
    [anon_sym_PIPE_EQ] = ACTIONS(5262),
    [anon_sym_and_eq] = ACTIONS(5260),
    [anon_sym_or_eq] = ACTIONS(5260),
    [anon_sym_xor_eq] = ACTIONS(5260),
    [anon_sym_LT_EQ_GT] = ACTIONS(5262),
    [anon_sym_or] = ACTIONS(5260),
    [anon_sym_and] = ACTIONS(5260),
    [anon_sym_bitor] = ACTIONS(5260),
    [anon_sym_xor] = ACTIONS(5260),
    [anon_sym_bitand] = ACTIONS(5260),
    [anon_sym_not_eq] = ACTIONS(5260),
    [anon_sym_DASH_DASH] = ACTIONS(5262),
    [anon_sym_PLUS_PLUS] = ACTIONS(5262),
    [anon_sym_DOT] = ACTIONS(5260),
    [anon_sym_DOT_STAR] = ACTIONS(5262),
    [anon_sym_DASH_GT] = ACTIONS(5262),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5260),
    [anon_sym_decltype] = ACTIONS(5260),
    [anon_sym_final] = ACTIONS(5260),
    [anon_sym_override] = ACTIONS(5260),
  },
  [1882] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5658),
    [anon_sym_COMMA] = ACTIONS(5658),
    [anon_sym_RPAREN] = ACTIONS(5658),
    [anon_sym_LPAREN2] = ACTIONS(5658),
    [anon_sym_DASH] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5660),
    [anon_sym_STAR] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5660),
    [anon_sym_PERCENT] = ACTIONS(5658),
    [anon_sym_PIPE_PIPE] = ACTIONS(5658),
    [anon_sym_AMP_AMP] = ACTIONS(5658),
    [anon_sym_PIPE] = ACTIONS(5660),
    [anon_sym_CARET] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5660),
    [anon_sym_EQ_EQ] = ACTIONS(5658),
    [anon_sym_BANG_EQ] = ACTIONS(5658),
    [anon_sym_GT] = ACTIONS(5660),
    [anon_sym_GT_EQ] = ACTIONS(5658),
    [anon_sym_LT_EQ] = ACTIONS(5660),
    [anon_sym_LT] = ACTIONS(5660),
    [anon_sym_LT_LT] = ACTIONS(5658),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym_SEMI] = ACTIONS(5658),
    [anon_sym___extension__] = ACTIONS(5658),
    [anon_sym___attribute__] = ACTIONS(5658),
    [anon_sym_LBRACE] = ACTIONS(5658),
    [anon_sym_RBRACE] = ACTIONS(5658),
    [anon_sym_signed] = ACTIONS(5600),
    [anon_sym_unsigned] = ACTIONS(5600),
    [anon_sym_long] = ACTIONS(5600),
    [anon_sym_short] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5658),
    [anon_sym_RBRACK] = ACTIONS(5658),
    [anon_sym_const] = ACTIONS(5660),
    [anon_sym_constexpr] = ACTIONS(5658),
    [anon_sym_volatile] = ACTIONS(5658),
    [anon_sym_restrict] = ACTIONS(5658),
    [anon_sym___restrict__] = ACTIONS(5658),
    [anon_sym__Atomic] = ACTIONS(5658),
    [anon_sym__Noreturn] = ACTIONS(5658),
    [anon_sym_noreturn] = ACTIONS(5658),
    [anon_sym__Nonnull] = ACTIONS(5658),
    [anon_sym_mutable] = ACTIONS(5658),
    [anon_sym_constinit] = ACTIONS(5658),
    [anon_sym_consteval] = ACTIONS(5658),
    [anon_sym_alignas] = ACTIONS(5658),
    [anon_sym__Alignas] = ACTIONS(5658),
    [anon_sym_COLON] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(5658),
    [anon_sym_LT_EQ_GT] = ACTIONS(5658),
    [anon_sym_or] = ACTIONS(5658),
    [anon_sym_and] = ACTIONS(5658),
    [anon_sym_bitor] = ACTIONS(5658),
    [anon_sym_xor] = ACTIONS(5658),
    [anon_sym_bitand] = ACTIONS(5658),
    [anon_sym_not_eq] = ACTIONS(5658),
    [anon_sym_DASH_DASH] = ACTIONS(5658),
    [anon_sym_PLUS_PLUS] = ACTIONS(5658),
    [anon_sym_DOT] = ACTIONS(5660),
    [anon_sym_DOT_STAR] = ACTIONS(5658),
    [anon_sym_DASH_GT] = ACTIONS(5658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5658),
    [anon_sym_decltype] = ACTIONS(5658),
    [anon_sym_final] = ACTIONS(5658),
    [anon_sym_override] = ACTIONS(5658),
    [anon_sym_requires] = ACTIONS(5658),
  },
  [1883] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4094),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1884] = {
    [sym__declaration_modifiers] = STATE(2037),
    [sym__declaration_specifiers] = STATE(4627),
    [sym_attribute_specifier] = STATE(2037),
    [sym_attribute_declaration] = STATE(2037),
    [sym_ms_declspec_modifier] = STATE(2037),
    [sym_storage_class_specifier] = STATE(2037),
    [sym_type_qualifier] = STATE(2037),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2302),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2037),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1885] = {
    [sym_identifier] = ACTIONS(1956),
    [aux_sym_preproc_def_token1] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1956),
    [sym_preproc_directive] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_typedef] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_public] = ACTIONS(1956),
    [anon_sym_private] = ACTIONS(1956),
    [anon_sym_protected] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_static_assert] = ACTIONS(1956),
  },
  [1886] = {
    [sym_string_literal] = STATE(1621),
    [sym_raw_string_literal] = STATE(1621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_RPAREN] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(5590),
    [anon_sym_RBRACE] = ACTIONS(5590),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_RBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_COLON] = ACTIONS(5590),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5590),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_and_eq] = ACTIONS(5588),
    [anon_sym_or_eq] = ACTIONS(5588),
    [anon_sym_xor_eq] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5590),
    [anon_sym_L_DQUOTE] = ACTIONS(1932),
    [anon_sym_u_DQUOTE] = ACTIONS(1932),
    [anon_sym_U_DQUOTE] = ACTIONS(1932),
    [anon_sym_u8_DQUOTE] = ACTIONS(1932),
    [anon_sym_DQUOTE] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1942),
    [anon_sym_LR_DQUOTE] = ACTIONS(1942),
    [anon_sym_uR_DQUOTE] = ACTIONS(1942),
    [anon_sym_UR_DQUOTE] = ACTIONS(1942),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1942),
    [sym_literal_suffix] = ACTIONS(5588),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_friend] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
  },
  [1888] = {
    [sym_identifier] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5298),
    [anon_sym_TILDE] = ACTIONS(5298),
    [anon_sym_STAR] = ACTIONS(5298),
    [anon_sym_AMP_AMP] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [anon_sym___extension__] = ACTIONS(5296),
    [anon_sym_typedef] = ACTIONS(5296),
    [anon_sym_virtual] = ACTIONS(5296),
    [anon_sym_extern] = ACTIONS(5296),
    [anon_sym___attribute__] = ACTIONS(5296),
    [anon_sym_COLON_COLON] = ACTIONS(5298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5298),
    [anon_sym___declspec] = ACTIONS(5296),
    [anon_sym___based] = ACTIONS(5296),
    [anon_sym_RBRACE] = ACTIONS(5298),
    [anon_sym_signed] = ACTIONS(5296),
    [anon_sym_unsigned] = ACTIONS(5296),
    [anon_sym_long] = ACTIONS(5296),
    [anon_sym_short] = ACTIONS(5296),
    [anon_sym_LBRACK] = ACTIONS(5296),
    [anon_sym_static] = ACTIONS(5296),
    [anon_sym_register] = ACTIONS(5296),
    [anon_sym_inline] = ACTIONS(5296),
    [anon_sym___inline] = ACTIONS(5296),
    [anon_sym___inline__] = ACTIONS(5296),
    [anon_sym___forceinline] = ACTIONS(5296),
    [anon_sym_thread_local] = ACTIONS(5296),
    [anon_sym___thread] = ACTIONS(5296),
    [anon_sym_const] = ACTIONS(5296),
    [anon_sym_constexpr] = ACTIONS(5296),
    [anon_sym_volatile] = ACTIONS(5296),
    [anon_sym_restrict] = ACTIONS(5296),
    [anon_sym___restrict__] = ACTIONS(5296),
    [anon_sym__Atomic] = ACTIONS(5296),
    [anon_sym__Noreturn] = ACTIONS(5296),
    [anon_sym_noreturn] = ACTIONS(5296),
    [anon_sym__Nonnull] = ACTIONS(5296),
    [anon_sym_mutable] = ACTIONS(5296),
    [anon_sym_constinit] = ACTIONS(5296),
    [anon_sym_consteval] = ACTIONS(5296),
    [anon_sym_alignas] = ACTIONS(5296),
    [anon_sym__Alignas] = ACTIONS(5296),
    [sym_primitive_type] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(5296),
    [anon_sym_class] = ACTIONS(5296),
    [anon_sym_struct] = ACTIONS(5296),
    [anon_sym_union] = ACTIONS(5296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5296),
    [anon_sym_decltype] = ACTIONS(5296),
    [anon_sym_explicit] = ACTIONS(5296),
    [anon_sym_typename] = ACTIONS(5296),
    [anon_sym_template] = ACTIONS(5296),
    [anon_sym_operator] = ACTIONS(5296),
    [anon_sym_friend] = ACTIONS(5296),
    [anon_sym_public] = ACTIONS(5296),
    [anon_sym_private] = ACTIONS(5296),
    [anon_sym_protected] = ACTIONS(5296),
    [anon_sym_using] = ACTIONS(5296),
    [anon_sym_static_assert] = ACTIONS(5296),
  },
  [1889] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym__Nonnull] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym__Alignas] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_friend] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
  },
  [1890] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_friend] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
  },
  [1891] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [1892] = {
    [sym_identifier] = ACTIONS(5229),
    [aux_sym_preproc_def_token1] = ACTIONS(5229),
    [aux_sym_preproc_if_token1] = ACTIONS(5229),
    [aux_sym_preproc_if_token2] = ACTIONS(5229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5229),
    [sym_preproc_directive] = ACTIONS(5229),
    [anon_sym_LPAREN2] = ACTIONS(5231),
    [anon_sym_TILDE] = ACTIONS(5231),
    [anon_sym_STAR] = ACTIONS(5231),
    [anon_sym_AMP_AMP] = ACTIONS(5231),
    [anon_sym_AMP] = ACTIONS(5229),
    [anon_sym_SEMI] = ACTIONS(5231),
    [anon_sym___extension__] = ACTIONS(5229),
    [anon_sym_typedef] = ACTIONS(5229),
    [anon_sym_virtual] = ACTIONS(5229),
    [anon_sym_extern] = ACTIONS(5229),
    [anon_sym___attribute__] = ACTIONS(5229),
    [anon_sym_COLON_COLON] = ACTIONS(5231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5231),
    [anon_sym___declspec] = ACTIONS(5229),
    [anon_sym___based] = ACTIONS(5229),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(5229),
    [anon_sym_static] = ACTIONS(5229),
    [anon_sym_register] = ACTIONS(5229),
    [anon_sym_inline] = ACTIONS(5229),
    [anon_sym___inline] = ACTIONS(5229),
    [anon_sym___inline__] = ACTIONS(5229),
    [anon_sym___forceinline] = ACTIONS(5229),
    [anon_sym_thread_local] = ACTIONS(5229),
    [anon_sym___thread] = ACTIONS(5229),
    [anon_sym_const] = ACTIONS(5229),
    [anon_sym_constexpr] = ACTIONS(5229),
    [anon_sym_volatile] = ACTIONS(5229),
    [anon_sym_restrict] = ACTIONS(5229),
    [anon_sym___restrict__] = ACTIONS(5229),
    [anon_sym__Atomic] = ACTIONS(5229),
    [anon_sym__Noreturn] = ACTIONS(5229),
    [anon_sym_noreturn] = ACTIONS(5229),
    [anon_sym__Nonnull] = ACTIONS(5229),
    [anon_sym_mutable] = ACTIONS(5229),
    [anon_sym_constinit] = ACTIONS(5229),
    [anon_sym_consteval] = ACTIONS(5229),
    [anon_sym_alignas] = ACTIONS(5229),
    [anon_sym__Alignas] = ACTIONS(5229),
    [sym_primitive_type] = ACTIONS(5229),
    [anon_sym_enum] = ACTIONS(5229),
    [anon_sym_class] = ACTIONS(5229),
    [anon_sym_struct] = ACTIONS(5229),
    [anon_sym_union] = ACTIONS(5229),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5229),
    [anon_sym_decltype] = ACTIONS(5229),
    [anon_sym_explicit] = ACTIONS(5229),
    [anon_sym_typename] = ACTIONS(5229),
    [anon_sym_template] = ACTIONS(5229),
    [anon_sym_operator] = ACTIONS(5229),
    [anon_sym_friend] = ACTIONS(5229),
    [anon_sym_public] = ACTIONS(5229),
    [anon_sym_private] = ACTIONS(5229),
    [anon_sym_protected] = ACTIONS(5229),
    [anon_sym_using] = ACTIONS(5229),
    [anon_sym_static_assert] = ACTIONS(5229),
  },
  [1893] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym_RBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_friend] = ACTIONS(2848),
    [anon_sym_public] = ACTIONS(2848),
    [anon_sym_private] = ACTIONS(2848),
    [anon_sym_protected] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
  },
  [1894] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_friend] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_protected] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
  },
  [1895] = {
    [sym_identifier] = ACTIONS(5233),
    [aux_sym_preproc_def_token1] = ACTIONS(5233),
    [aux_sym_preproc_if_token1] = ACTIONS(5233),
    [aux_sym_preproc_if_token2] = ACTIONS(5233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5233),
    [sym_preproc_directive] = ACTIONS(5233),
    [anon_sym_LPAREN2] = ACTIONS(5235),
    [anon_sym_TILDE] = ACTIONS(5235),
    [anon_sym_STAR] = ACTIONS(5235),
    [anon_sym_AMP_AMP] = ACTIONS(5235),
    [anon_sym_AMP] = ACTIONS(5233),
    [anon_sym_SEMI] = ACTIONS(5235),
    [anon_sym___extension__] = ACTIONS(5233),
    [anon_sym_typedef] = ACTIONS(5233),
    [anon_sym_virtual] = ACTIONS(5233),
    [anon_sym_extern] = ACTIONS(5233),
    [anon_sym___attribute__] = ACTIONS(5233),
    [anon_sym_COLON_COLON] = ACTIONS(5235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5235),
    [anon_sym___declspec] = ACTIONS(5233),
    [anon_sym___based] = ACTIONS(5233),
    [anon_sym_signed] = ACTIONS(5233),
    [anon_sym_unsigned] = ACTIONS(5233),
    [anon_sym_long] = ACTIONS(5233),
    [anon_sym_short] = ACTIONS(5233),
    [anon_sym_LBRACK] = ACTIONS(5233),
    [anon_sym_static] = ACTIONS(5233),
    [anon_sym_register] = ACTIONS(5233),
    [anon_sym_inline] = ACTIONS(5233),
    [anon_sym___inline] = ACTIONS(5233),
    [anon_sym___inline__] = ACTIONS(5233),
    [anon_sym___forceinline] = ACTIONS(5233),
    [anon_sym_thread_local] = ACTIONS(5233),
    [anon_sym___thread] = ACTIONS(5233),
    [anon_sym_const] = ACTIONS(5233),
    [anon_sym_constexpr] = ACTIONS(5233),
    [anon_sym_volatile] = ACTIONS(5233),
    [anon_sym_restrict] = ACTIONS(5233),
    [anon_sym___restrict__] = ACTIONS(5233),
    [anon_sym__Atomic] = ACTIONS(5233),
    [anon_sym__Noreturn] = ACTIONS(5233),
    [anon_sym_noreturn] = ACTIONS(5233),
    [anon_sym__Nonnull] = ACTIONS(5233),
    [anon_sym_mutable] = ACTIONS(5233),
    [anon_sym_constinit] = ACTIONS(5233),
    [anon_sym_consteval] = ACTIONS(5233),
    [anon_sym_alignas] = ACTIONS(5233),
    [anon_sym__Alignas] = ACTIONS(5233),
    [sym_primitive_type] = ACTIONS(5233),
    [anon_sym_enum] = ACTIONS(5233),
    [anon_sym_class] = ACTIONS(5233),
    [anon_sym_struct] = ACTIONS(5233),
    [anon_sym_union] = ACTIONS(5233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5233),
    [anon_sym_decltype] = ACTIONS(5233),
    [anon_sym_explicit] = ACTIONS(5233),
    [anon_sym_typename] = ACTIONS(5233),
    [anon_sym_template] = ACTIONS(5233),
    [anon_sym_operator] = ACTIONS(5233),
    [anon_sym_friend] = ACTIONS(5233),
    [anon_sym_public] = ACTIONS(5233),
    [anon_sym_private] = ACTIONS(5233),
    [anon_sym_protected] = ACTIONS(5233),
    [anon_sym_using] = ACTIONS(5233),
    [anon_sym_static_assert] = ACTIONS(5233),
  },
  [1896] = {
    [sym_identifier] = ACTIONS(5237),
    [aux_sym_preproc_def_token1] = ACTIONS(5237),
    [aux_sym_preproc_if_token1] = ACTIONS(5237),
    [aux_sym_preproc_if_token2] = ACTIONS(5237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5237),
    [sym_preproc_directive] = ACTIONS(5237),
    [anon_sym_LPAREN2] = ACTIONS(5239),
    [anon_sym_TILDE] = ACTIONS(5239),
    [anon_sym_STAR] = ACTIONS(5239),
    [anon_sym_AMP_AMP] = ACTIONS(5239),
    [anon_sym_AMP] = ACTIONS(5237),
    [anon_sym_SEMI] = ACTIONS(5239),
    [anon_sym___extension__] = ACTIONS(5237),
    [anon_sym_typedef] = ACTIONS(5237),
    [anon_sym_virtual] = ACTIONS(5237),
    [anon_sym_extern] = ACTIONS(5237),
    [anon_sym___attribute__] = ACTIONS(5237),
    [anon_sym_COLON_COLON] = ACTIONS(5239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5239),
    [anon_sym___declspec] = ACTIONS(5237),
    [anon_sym___based] = ACTIONS(5237),
    [anon_sym_signed] = ACTIONS(5237),
    [anon_sym_unsigned] = ACTIONS(5237),
    [anon_sym_long] = ACTIONS(5237),
    [anon_sym_short] = ACTIONS(5237),
    [anon_sym_LBRACK] = ACTIONS(5237),
    [anon_sym_static] = ACTIONS(5237),
    [anon_sym_register] = ACTIONS(5237),
    [anon_sym_inline] = ACTIONS(5237),
    [anon_sym___inline] = ACTIONS(5237),
    [anon_sym___inline__] = ACTIONS(5237),
    [anon_sym___forceinline] = ACTIONS(5237),
    [anon_sym_thread_local] = ACTIONS(5237),
    [anon_sym___thread] = ACTIONS(5237),
    [anon_sym_const] = ACTIONS(5237),
    [anon_sym_constexpr] = ACTIONS(5237),
    [anon_sym_volatile] = ACTIONS(5237),
    [anon_sym_restrict] = ACTIONS(5237),
    [anon_sym___restrict__] = ACTIONS(5237),
    [anon_sym__Atomic] = ACTIONS(5237),
    [anon_sym__Noreturn] = ACTIONS(5237),
    [anon_sym_noreturn] = ACTIONS(5237),
    [anon_sym__Nonnull] = ACTIONS(5237),
    [anon_sym_mutable] = ACTIONS(5237),
    [anon_sym_constinit] = ACTIONS(5237),
    [anon_sym_consteval] = ACTIONS(5237),
    [anon_sym_alignas] = ACTIONS(5237),
    [anon_sym__Alignas] = ACTIONS(5237),
    [sym_primitive_type] = ACTIONS(5237),
    [anon_sym_enum] = ACTIONS(5237),
    [anon_sym_class] = ACTIONS(5237),
    [anon_sym_struct] = ACTIONS(5237),
    [anon_sym_union] = ACTIONS(5237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5237),
    [anon_sym_decltype] = ACTIONS(5237),
    [anon_sym_explicit] = ACTIONS(5237),
    [anon_sym_typename] = ACTIONS(5237),
    [anon_sym_template] = ACTIONS(5237),
    [anon_sym_operator] = ACTIONS(5237),
    [anon_sym_friend] = ACTIONS(5237),
    [anon_sym_public] = ACTIONS(5237),
    [anon_sym_private] = ACTIONS(5237),
    [anon_sym_protected] = ACTIONS(5237),
    [anon_sym_using] = ACTIONS(5237),
    [anon_sym_static_assert] = ACTIONS(5237),
  },
  [1897] = {
    [sym_identifier] = ACTIONS(2860),
    [aux_sym_preproc_def_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_AMP_AMP] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_typedef] = ACTIONS(2860),
    [anon_sym_virtual] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___based] = ACTIONS(2860),
    [anon_sym_RBRACE] = ACTIONS(2862),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_mutable] = ACTIONS(2860),
    [anon_sym_constinit] = ACTIONS(2860),
    [anon_sym_consteval] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_class] = ACTIONS(2860),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2860),
    [anon_sym_decltype] = ACTIONS(2860),
    [anon_sym_explicit] = ACTIONS(2860),
    [anon_sym_typename] = ACTIONS(2860),
    [anon_sym_template] = ACTIONS(2860),
    [anon_sym_operator] = ACTIONS(2860),
    [anon_sym_friend] = ACTIONS(2860),
    [anon_sym_public] = ACTIONS(2860),
    [anon_sym_private] = ACTIONS(2860),
    [anon_sym_protected] = ACTIONS(2860),
    [anon_sym_using] = ACTIONS(2860),
    [anon_sym_static_assert] = ACTIONS(2860),
  },
  [1898] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1899] = {
    [sym_identifier] = ACTIONS(5370),
    [aux_sym_preproc_def_token1] = ACTIONS(5370),
    [aux_sym_preproc_if_token1] = ACTIONS(5370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5370),
    [sym_preproc_directive] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5372),
    [anon_sym_TILDE] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_AMP_AMP] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5370),
    [anon_sym_SEMI] = ACTIONS(5372),
    [anon_sym___extension__] = ACTIONS(5370),
    [anon_sym_typedef] = ACTIONS(5370),
    [anon_sym_virtual] = ACTIONS(5370),
    [anon_sym_extern] = ACTIONS(5370),
    [anon_sym___attribute__] = ACTIONS(5370),
    [anon_sym_COLON_COLON] = ACTIONS(5372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5372),
    [anon_sym___declspec] = ACTIONS(5370),
    [anon_sym___based] = ACTIONS(5370),
    [anon_sym_RBRACE] = ACTIONS(5372),
    [anon_sym_signed] = ACTIONS(5370),
    [anon_sym_unsigned] = ACTIONS(5370),
    [anon_sym_long] = ACTIONS(5370),
    [anon_sym_short] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [anon_sym_static] = ACTIONS(5370),
    [anon_sym_register] = ACTIONS(5370),
    [anon_sym_inline] = ACTIONS(5370),
    [anon_sym___inline] = ACTIONS(5370),
    [anon_sym___inline__] = ACTIONS(5370),
    [anon_sym___forceinline] = ACTIONS(5370),
    [anon_sym_thread_local] = ACTIONS(5370),
    [anon_sym___thread] = ACTIONS(5370),
    [anon_sym_const] = ACTIONS(5370),
    [anon_sym_constexpr] = ACTIONS(5370),
    [anon_sym_volatile] = ACTIONS(5370),
    [anon_sym_restrict] = ACTIONS(5370),
    [anon_sym___restrict__] = ACTIONS(5370),
    [anon_sym__Atomic] = ACTIONS(5370),
    [anon_sym__Noreturn] = ACTIONS(5370),
    [anon_sym_noreturn] = ACTIONS(5370),
    [anon_sym__Nonnull] = ACTIONS(5370),
    [anon_sym_mutable] = ACTIONS(5370),
    [anon_sym_constinit] = ACTIONS(5370),
    [anon_sym_consteval] = ACTIONS(5370),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_primitive_type] = ACTIONS(5370),
    [anon_sym_enum] = ACTIONS(5370),
    [anon_sym_class] = ACTIONS(5370),
    [anon_sym_struct] = ACTIONS(5370),
    [anon_sym_union] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5370),
    [anon_sym_decltype] = ACTIONS(5370),
    [anon_sym_explicit] = ACTIONS(5370),
    [anon_sym_typename] = ACTIONS(5370),
    [anon_sym_template] = ACTIONS(5370),
    [anon_sym_operator] = ACTIONS(5370),
    [anon_sym_friend] = ACTIONS(5370),
    [anon_sym_public] = ACTIONS(5370),
    [anon_sym_private] = ACTIONS(5370),
    [anon_sym_protected] = ACTIONS(5370),
    [anon_sym_using] = ACTIONS(5370),
    [anon_sym_static_assert] = ACTIONS(5370),
  },
  [1900] = {
    [sym_identifier] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5310),
    [anon_sym_TILDE] = ACTIONS(5310),
    [anon_sym_STAR] = ACTIONS(5310),
    [anon_sym_AMP_AMP] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [anon_sym___extension__] = ACTIONS(5308),
    [anon_sym_typedef] = ACTIONS(5308),
    [anon_sym_virtual] = ACTIONS(5308),
    [anon_sym_extern] = ACTIONS(5308),
    [anon_sym___attribute__] = ACTIONS(5308),
    [anon_sym_COLON_COLON] = ACTIONS(5310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5310),
    [anon_sym___declspec] = ACTIONS(5308),
    [anon_sym___based] = ACTIONS(5308),
    [anon_sym_RBRACE] = ACTIONS(5310),
    [anon_sym_signed] = ACTIONS(5308),
    [anon_sym_unsigned] = ACTIONS(5308),
    [anon_sym_long] = ACTIONS(5308),
    [anon_sym_short] = ACTIONS(5308),
    [anon_sym_LBRACK] = ACTIONS(5308),
    [anon_sym_static] = ACTIONS(5308),
    [anon_sym_register] = ACTIONS(5308),
    [anon_sym_inline] = ACTIONS(5308),
    [anon_sym___inline] = ACTIONS(5308),
    [anon_sym___inline__] = ACTIONS(5308),
    [anon_sym___forceinline] = ACTIONS(5308),
    [anon_sym_thread_local] = ACTIONS(5308),
    [anon_sym___thread] = ACTIONS(5308),
    [anon_sym_const] = ACTIONS(5308),
    [anon_sym_constexpr] = ACTIONS(5308),
    [anon_sym_volatile] = ACTIONS(5308),
    [anon_sym_restrict] = ACTIONS(5308),
    [anon_sym___restrict__] = ACTIONS(5308),
    [anon_sym__Atomic] = ACTIONS(5308),
    [anon_sym__Noreturn] = ACTIONS(5308),
    [anon_sym_noreturn] = ACTIONS(5308),
    [anon_sym__Nonnull] = ACTIONS(5308),
    [anon_sym_mutable] = ACTIONS(5308),
    [anon_sym_constinit] = ACTIONS(5308),
    [anon_sym_consteval] = ACTIONS(5308),
    [anon_sym_alignas] = ACTIONS(5308),
    [anon_sym__Alignas] = ACTIONS(5308),
    [sym_primitive_type] = ACTIONS(5308),
    [anon_sym_enum] = ACTIONS(5308),
    [anon_sym_class] = ACTIONS(5308),
    [anon_sym_struct] = ACTIONS(5308),
    [anon_sym_union] = ACTIONS(5308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5308),
    [anon_sym_decltype] = ACTIONS(5308),
    [anon_sym_explicit] = ACTIONS(5308),
    [anon_sym_typename] = ACTIONS(5308),
    [anon_sym_template] = ACTIONS(5308),
    [anon_sym_operator] = ACTIONS(5308),
    [anon_sym_friend] = ACTIONS(5308),
    [anon_sym_public] = ACTIONS(5308),
    [anon_sym_private] = ACTIONS(5308),
    [anon_sym_protected] = ACTIONS(5308),
    [anon_sym_using] = ACTIONS(5308),
    [anon_sym_static_assert] = ACTIONS(5308),
  },
  [1901] = {
    [sym_string_literal] = STATE(1901),
    [sym_raw_string_literal] = STATE(1901),
    [aux_sym_concatenated_string_repeat1] = STATE(1901),
    [sym_identifier] = ACTIONS(5662),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5144),
    [anon_sym_COMMA] = ACTIONS(5144),
    [anon_sym_LPAREN2] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(5146),
    [anon_sym_STAR] = ACTIONS(5146),
    [anon_sym_SLASH] = ACTIONS(5146),
    [anon_sym_PERCENT] = ACTIONS(5146),
    [anon_sym_PIPE_PIPE] = ACTIONS(5144),
    [anon_sym_AMP_AMP] = ACTIONS(5144),
    [anon_sym_PIPE] = ACTIONS(5146),
    [anon_sym_CARET] = ACTIONS(5146),
    [anon_sym_AMP] = ACTIONS(5146),
    [anon_sym_EQ_EQ] = ACTIONS(5144),
    [anon_sym_BANG_EQ] = ACTIONS(5144),
    [anon_sym_GT] = ACTIONS(5146),
    [anon_sym_GT_EQ] = ACTIONS(5144),
    [anon_sym_LT_EQ] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(5146),
    [anon_sym_LT_LT] = ACTIONS(5146),
    [anon_sym_GT_GT] = ACTIONS(5146),
    [anon_sym_SEMI] = ACTIONS(5144),
    [anon_sym___attribute__] = ACTIONS(5146),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [anon_sym_EQ] = ACTIONS(5146),
    [anon_sym_QMARK] = ACTIONS(5144),
    [anon_sym_STAR_EQ] = ACTIONS(5144),
    [anon_sym_SLASH_EQ] = ACTIONS(5144),
    [anon_sym_PERCENT_EQ] = ACTIONS(5144),
    [anon_sym_PLUS_EQ] = ACTIONS(5144),
    [anon_sym_DASH_EQ] = ACTIONS(5144),
    [anon_sym_LT_LT_EQ] = ACTIONS(5144),
    [anon_sym_GT_GT_EQ] = ACTIONS(5144),
    [anon_sym_AMP_EQ] = ACTIONS(5144),
    [anon_sym_CARET_EQ] = ACTIONS(5144),
    [anon_sym_PIPE_EQ] = ACTIONS(5144),
    [anon_sym_and_eq] = ACTIONS(5146),
    [anon_sym_or_eq] = ACTIONS(5146),
    [anon_sym_xor_eq] = ACTIONS(5146),
    [anon_sym_LT_EQ_GT] = ACTIONS(5144),
    [anon_sym_or] = ACTIONS(5146),
    [anon_sym_and] = ACTIONS(5146),
    [anon_sym_bitor] = ACTIONS(5146),
    [anon_sym_xor] = ACTIONS(5146),
    [anon_sym_bitand] = ACTIONS(5146),
    [anon_sym_not_eq] = ACTIONS(5146),
    [anon_sym_DASH_DASH] = ACTIONS(5144),
    [anon_sym_PLUS_PLUS] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5146),
    [anon_sym_DOT_STAR] = ACTIONS(5144),
    [anon_sym_DASH_GT] = ACTIONS(5144),
    [anon_sym_L_DQUOTE] = ACTIONS(5665),
    [anon_sym_u_DQUOTE] = ACTIONS(5665),
    [anon_sym_U_DQUOTE] = ACTIONS(5665),
    [anon_sym_u8_DQUOTE] = ACTIONS(5665),
    [anon_sym_DQUOTE] = ACTIONS(5665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5668),
    [anon_sym_LR_DQUOTE] = ACTIONS(5668),
    [anon_sym_uR_DQUOTE] = ACTIONS(5668),
    [anon_sym_UR_DQUOTE] = ACTIONS(5668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5668),
    [sym_literal_suffix] = ACTIONS(5146),
  },
  [1902] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_AMP_AMP] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_virtual] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___based] = ACTIONS(2864),
    [anon_sym_RBRACE] = ACTIONS(2866),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_mutable] = ACTIONS(2864),
    [anon_sym_constinit] = ACTIONS(2864),
    [anon_sym_consteval] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_class] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2864),
    [anon_sym_decltype] = ACTIONS(2864),
    [anon_sym_explicit] = ACTIONS(2864),
    [anon_sym_typename] = ACTIONS(2864),
    [anon_sym_template] = ACTIONS(2864),
    [anon_sym_operator] = ACTIONS(2864),
    [anon_sym_friend] = ACTIONS(2864),
    [anon_sym_public] = ACTIONS(2864),
    [anon_sym_private] = ACTIONS(2864),
    [anon_sym_protected] = ACTIONS(2864),
    [anon_sym_using] = ACTIONS(2864),
    [anon_sym_static_assert] = ACTIONS(2864),
  },
  [1903] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
  },
  [1904] = {
    [sym_identifier] = ACTIONS(5362),
    [aux_sym_preproc_def_token1] = ACTIONS(5362),
    [aux_sym_preproc_if_token1] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5362),
    [sym_preproc_directive] = ACTIONS(5362),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_TILDE] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5364),
    [anon_sym_AMP_AMP] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5362),
    [anon_sym_SEMI] = ACTIONS(5364),
    [anon_sym___extension__] = ACTIONS(5362),
    [anon_sym_typedef] = ACTIONS(5362),
    [anon_sym_virtual] = ACTIONS(5362),
    [anon_sym_extern] = ACTIONS(5362),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5364),
    [anon_sym___declspec] = ACTIONS(5362),
    [anon_sym___based] = ACTIONS(5362),
    [anon_sym_RBRACE] = ACTIONS(5364),
    [anon_sym_signed] = ACTIONS(5362),
    [anon_sym_unsigned] = ACTIONS(5362),
    [anon_sym_long] = ACTIONS(5362),
    [anon_sym_short] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_static] = ACTIONS(5362),
    [anon_sym_register] = ACTIONS(5362),
    [anon_sym_inline] = ACTIONS(5362),
    [anon_sym___inline] = ACTIONS(5362),
    [anon_sym___inline__] = ACTIONS(5362),
    [anon_sym___forceinline] = ACTIONS(5362),
    [anon_sym_thread_local] = ACTIONS(5362),
    [anon_sym___thread] = ACTIONS(5362),
    [anon_sym_const] = ACTIONS(5362),
    [anon_sym_constexpr] = ACTIONS(5362),
    [anon_sym_volatile] = ACTIONS(5362),
    [anon_sym_restrict] = ACTIONS(5362),
    [anon_sym___restrict__] = ACTIONS(5362),
    [anon_sym__Atomic] = ACTIONS(5362),
    [anon_sym__Noreturn] = ACTIONS(5362),
    [anon_sym_noreturn] = ACTIONS(5362),
    [anon_sym__Nonnull] = ACTIONS(5362),
    [anon_sym_mutable] = ACTIONS(5362),
    [anon_sym_constinit] = ACTIONS(5362),
    [anon_sym_consteval] = ACTIONS(5362),
    [anon_sym_alignas] = ACTIONS(5362),
    [anon_sym__Alignas] = ACTIONS(5362),
    [sym_primitive_type] = ACTIONS(5362),
    [anon_sym_enum] = ACTIONS(5362),
    [anon_sym_class] = ACTIONS(5362),
    [anon_sym_struct] = ACTIONS(5362),
    [anon_sym_union] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5362),
    [anon_sym_decltype] = ACTIONS(5362),
    [anon_sym_explicit] = ACTIONS(5362),
    [anon_sym_typename] = ACTIONS(5362),
    [anon_sym_template] = ACTIONS(5362),
    [anon_sym_operator] = ACTIONS(5362),
    [anon_sym_friend] = ACTIONS(5362),
    [anon_sym_public] = ACTIONS(5362),
    [anon_sym_private] = ACTIONS(5362),
    [anon_sym_protected] = ACTIONS(5362),
    [anon_sym_using] = ACTIONS(5362),
    [anon_sym_static_assert] = ACTIONS(5362),
  },
  [1905] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_RBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [1906] = {
    [sym_string_literal] = STATE(2269),
    [sym_template_argument_list] = STATE(3494),
    [sym_raw_string_literal] = STATE(2269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(5674),
    [anon_sym_or_eq] = ACTIONS(5674),
    [anon_sym_xor_eq] = ACTIONS(5674),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4102),
    [anon_sym_L_DQUOTE] = ACTIONS(4349),
    [anon_sym_u_DQUOTE] = ACTIONS(4349),
    [anon_sym_U_DQUOTE] = ACTIONS(4349),
    [anon_sym_u8_DQUOTE] = ACTIONS(4349),
    [anon_sym_DQUOTE] = ACTIONS(4349),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4351),
    [anon_sym_LR_DQUOTE] = ACTIONS(4351),
    [anon_sym_uR_DQUOTE] = ACTIONS(4351),
    [anon_sym_UR_DQUOTE] = ACTIONS(4351),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4351),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4094),
  },
  [1907] = {
    [sym_identifier] = ACTIONS(5362),
    [aux_sym_preproc_def_token1] = ACTIONS(5362),
    [aux_sym_preproc_if_token1] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5362),
    [sym_preproc_directive] = ACTIONS(5362),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_TILDE] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5364),
    [anon_sym_AMP_AMP] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5362),
    [anon_sym_SEMI] = ACTIONS(5364),
    [anon_sym___extension__] = ACTIONS(5362),
    [anon_sym_typedef] = ACTIONS(5362),
    [anon_sym_virtual] = ACTIONS(5362),
    [anon_sym_extern] = ACTIONS(5362),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5364),
    [anon_sym___declspec] = ACTIONS(5362),
    [anon_sym___based] = ACTIONS(5362),
    [anon_sym_RBRACE] = ACTIONS(5364),
    [anon_sym_signed] = ACTIONS(5362),
    [anon_sym_unsigned] = ACTIONS(5362),
    [anon_sym_long] = ACTIONS(5362),
    [anon_sym_short] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_static] = ACTIONS(5362),
    [anon_sym_register] = ACTIONS(5362),
    [anon_sym_inline] = ACTIONS(5362),
    [anon_sym___inline] = ACTIONS(5362),
    [anon_sym___inline__] = ACTIONS(5362),
    [anon_sym___forceinline] = ACTIONS(5362),
    [anon_sym_thread_local] = ACTIONS(5362),
    [anon_sym___thread] = ACTIONS(5362),
    [anon_sym_const] = ACTIONS(5362),
    [anon_sym_constexpr] = ACTIONS(5362),
    [anon_sym_volatile] = ACTIONS(5362),
    [anon_sym_restrict] = ACTIONS(5362),
    [anon_sym___restrict__] = ACTIONS(5362),
    [anon_sym__Atomic] = ACTIONS(5362),
    [anon_sym__Noreturn] = ACTIONS(5362),
    [anon_sym_noreturn] = ACTIONS(5362),
    [anon_sym__Nonnull] = ACTIONS(5362),
    [anon_sym_mutable] = ACTIONS(5362),
    [anon_sym_constinit] = ACTIONS(5362),
    [anon_sym_consteval] = ACTIONS(5362),
    [anon_sym_alignas] = ACTIONS(5362),
    [anon_sym__Alignas] = ACTIONS(5362),
    [sym_primitive_type] = ACTIONS(5362),
    [anon_sym_enum] = ACTIONS(5362),
    [anon_sym_class] = ACTIONS(5362),
    [anon_sym_struct] = ACTIONS(5362),
    [anon_sym_union] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5362),
    [anon_sym_decltype] = ACTIONS(5362),
    [anon_sym_explicit] = ACTIONS(5362),
    [anon_sym_typename] = ACTIONS(5362),
    [anon_sym_template] = ACTIONS(5362),
    [anon_sym_operator] = ACTIONS(5362),
    [anon_sym_friend] = ACTIONS(5362),
    [anon_sym_public] = ACTIONS(5362),
    [anon_sym_private] = ACTIONS(5362),
    [anon_sym_protected] = ACTIONS(5362),
    [anon_sym_using] = ACTIONS(5362),
    [anon_sym_static_assert] = ACTIONS(5362),
  },
  [1908] = {
    [sym_string_literal] = STATE(3142),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___attribute__] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(5678),
    [anon_sym_SLASH_EQ] = ACTIONS(5678),
    [anon_sym_PERCENT_EQ] = ACTIONS(5678),
    [anon_sym_PLUS_EQ] = ACTIONS(5678),
    [anon_sym_DASH_EQ] = ACTIONS(5678),
    [anon_sym_LT_LT_EQ] = ACTIONS(5678),
    [anon_sym_GT_GT_EQ] = ACTIONS(5678),
    [anon_sym_AMP_EQ] = ACTIONS(5678),
    [anon_sym_CARET_EQ] = ACTIONS(5678),
    [anon_sym_PIPE_EQ] = ACTIONS(5678),
    [anon_sym_and_eq] = ACTIONS(5678),
    [anon_sym_or_eq] = ACTIONS(5678),
    [anon_sym_xor_eq] = ACTIONS(5678),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(5680),
    [anon_sym_u_DQUOTE] = ACTIONS(5680),
    [anon_sym_U_DQUOTE] = ACTIONS(5680),
    [anon_sym_u8_DQUOTE] = ACTIONS(5680),
    [anon_sym_DQUOTE] = ACTIONS(5680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5682),
    [anon_sym_LR_DQUOTE] = ACTIONS(5682),
    [anon_sym_uR_DQUOTE] = ACTIONS(5682),
    [anon_sym_UR_DQUOTE] = ACTIONS(5682),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5682),
  },
  [1909] = {
    [sym_identifier] = ACTIONS(5358),
    [aux_sym_preproc_def_token1] = ACTIONS(5358),
    [aux_sym_preproc_if_token1] = ACTIONS(5358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5358),
    [sym_preproc_directive] = ACTIONS(5358),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_TILDE] = ACTIONS(5360),
    [anon_sym_STAR] = ACTIONS(5360),
    [anon_sym_AMP_AMP] = ACTIONS(5360),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_SEMI] = ACTIONS(5360),
    [anon_sym___extension__] = ACTIONS(5358),
    [anon_sym_typedef] = ACTIONS(5358),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5358),
    [anon_sym___attribute__] = ACTIONS(5358),
    [anon_sym_COLON_COLON] = ACTIONS(5360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5360),
    [anon_sym___declspec] = ACTIONS(5358),
    [anon_sym___based] = ACTIONS(5358),
    [anon_sym_RBRACE] = ACTIONS(5360),
    [anon_sym_signed] = ACTIONS(5358),
    [anon_sym_unsigned] = ACTIONS(5358),
    [anon_sym_long] = ACTIONS(5358),
    [anon_sym_short] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5358),
    [anon_sym_static] = ACTIONS(5358),
    [anon_sym_register] = ACTIONS(5358),
    [anon_sym_inline] = ACTIONS(5358),
    [anon_sym___inline] = ACTIONS(5358),
    [anon_sym___inline__] = ACTIONS(5358),
    [anon_sym___forceinline] = ACTIONS(5358),
    [anon_sym_thread_local] = ACTIONS(5358),
    [anon_sym___thread] = ACTIONS(5358),
    [anon_sym_const] = ACTIONS(5358),
    [anon_sym_constexpr] = ACTIONS(5358),
    [anon_sym_volatile] = ACTIONS(5358),
    [anon_sym_restrict] = ACTIONS(5358),
    [anon_sym___restrict__] = ACTIONS(5358),
    [anon_sym__Atomic] = ACTIONS(5358),
    [anon_sym__Noreturn] = ACTIONS(5358),
    [anon_sym_noreturn] = ACTIONS(5358),
    [anon_sym__Nonnull] = ACTIONS(5358),
    [anon_sym_mutable] = ACTIONS(5358),
    [anon_sym_constinit] = ACTIONS(5358),
    [anon_sym_consteval] = ACTIONS(5358),
    [anon_sym_alignas] = ACTIONS(5358),
    [anon_sym__Alignas] = ACTIONS(5358),
    [sym_primitive_type] = ACTIONS(5358),
    [anon_sym_enum] = ACTIONS(5358),
    [anon_sym_class] = ACTIONS(5358),
    [anon_sym_struct] = ACTIONS(5358),
    [anon_sym_union] = ACTIONS(5358),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5358),
    [anon_sym_decltype] = ACTIONS(5358),
    [anon_sym_explicit] = ACTIONS(5358),
    [anon_sym_typename] = ACTIONS(5358),
    [anon_sym_template] = ACTIONS(5358),
    [anon_sym_operator] = ACTIONS(5358),
    [anon_sym_friend] = ACTIONS(5358),
    [anon_sym_public] = ACTIONS(5358),
    [anon_sym_private] = ACTIONS(5358),
    [anon_sym_protected] = ACTIONS(5358),
    [anon_sym_using] = ACTIONS(5358),
    [anon_sym_static_assert] = ACTIONS(5358),
  },
  [1910] = {
    [sym_identifier] = ACTIONS(5354),
    [aux_sym_preproc_def_token1] = ACTIONS(5354),
    [aux_sym_preproc_if_token1] = ACTIONS(5354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5354),
    [sym_preproc_directive] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_TILDE] = ACTIONS(5356),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym___extension__] = ACTIONS(5354),
    [anon_sym_typedef] = ACTIONS(5354),
    [anon_sym_virtual] = ACTIONS(5354),
    [anon_sym_extern] = ACTIONS(5354),
    [anon_sym___attribute__] = ACTIONS(5354),
    [anon_sym_COLON_COLON] = ACTIONS(5356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5356),
    [anon_sym___declspec] = ACTIONS(5354),
    [anon_sym___based] = ACTIONS(5354),
    [anon_sym_RBRACE] = ACTIONS(5356),
    [anon_sym_signed] = ACTIONS(5354),
    [anon_sym_unsigned] = ACTIONS(5354),
    [anon_sym_long] = ACTIONS(5354),
    [anon_sym_short] = ACTIONS(5354),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [anon_sym_static] = ACTIONS(5354),
    [anon_sym_register] = ACTIONS(5354),
    [anon_sym_inline] = ACTIONS(5354),
    [anon_sym___inline] = ACTIONS(5354),
    [anon_sym___inline__] = ACTIONS(5354),
    [anon_sym___forceinline] = ACTIONS(5354),
    [anon_sym_thread_local] = ACTIONS(5354),
    [anon_sym___thread] = ACTIONS(5354),
    [anon_sym_const] = ACTIONS(5354),
    [anon_sym_constexpr] = ACTIONS(5354),
    [anon_sym_volatile] = ACTIONS(5354),
    [anon_sym_restrict] = ACTIONS(5354),
    [anon_sym___restrict__] = ACTIONS(5354),
    [anon_sym__Atomic] = ACTIONS(5354),
    [anon_sym__Noreturn] = ACTIONS(5354),
    [anon_sym_noreturn] = ACTIONS(5354),
    [anon_sym__Nonnull] = ACTIONS(5354),
    [anon_sym_mutable] = ACTIONS(5354),
    [anon_sym_constinit] = ACTIONS(5354),
    [anon_sym_consteval] = ACTIONS(5354),
    [anon_sym_alignas] = ACTIONS(5354),
    [anon_sym__Alignas] = ACTIONS(5354),
    [sym_primitive_type] = ACTIONS(5354),
    [anon_sym_enum] = ACTIONS(5354),
    [anon_sym_class] = ACTIONS(5354),
    [anon_sym_struct] = ACTIONS(5354),
    [anon_sym_union] = ACTIONS(5354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5354),
    [anon_sym_decltype] = ACTIONS(5354),
    [anon_sym_explicit] = ACTIONS(5354),
    [anon_sym_typename] = ACTIONS(5354),
    [anon_sym_template] = ACTIONS(5354),
    [anon_sym_operator] = ACTIONS(5354),
    [anon_sym_friend] = ACTIONS(5354),
    [anon_sym_public] = ACTIONS(5354),
    [anon_sym_private] = ACTIONS(5354),
    [anon_sym_protected] = ACTIONS(5354),
    [anon_sym_using] = ACTIONS(5354),
    [anon_sym_static_assert] = ACTIONS(5354),
  },
  [1911] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym_RBRACE] = ACTIONS(2934),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_friend] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_protected] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
  },
  [1912] = {
    [sym_identifier] = ACTIONS(5346),
    [aux_sym_preproc_def_token1] = ACTIONS(5346),
    [aux_sym_preproc_if_token1] = ACTIONS(5346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5346),
    [sym_preproc_directive] = ACTIONS(5346),
    [anon_sym_LPAREN2] = ACTIONS(5348),
    [anon_sym_TILDE] = ACTIONS(5348),
    [anon_sym_STAR] = ACTIONS(5348),
    [anon_sym_AMP_AMP] = ACTIONS(5348),
    [anon_sym_AMP] = ACTIONS(5346),
    [anon_sym_SEMI] = ACTIONS(5348),
    [anon_sym___extension__] = ACTIONS(5346),
    [anon_sym_typedef] = ACTIONS(5346),
    [anon_sym_virtual] = ACTIONS(5346),
    [anon_sym_extern] = ACTIONS(5346),
    [anon_sym___attribute__] = ACTIONS(5346),
    [anon_sym_COLON_COLON] = ACTIONS(5348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5348),
    [anon_sym___declspec] = ACTIONS(5346),
    [anon_sym___based] = ACTIONS(5346),
    [anon_sym_RBRACE] = ACTIONS(5348),
    [anon_sym_signed] = ACTIONS(5346),
    [anon_sym_unsigned] = ACTIONS(5346),
    [anon_sym_long] = ACTIONS(5346),
    [anon_sym_short] = ACTIONS(5346),
    [anon_sym_LBRACK] = ACTIONS(5346),
    [anon_sym_static] = ACTIONS(5346),
    [anon_sym_register] = ACTIONS(5346),
    [anon_sym_inline] = ACTIONS(5346),
    [anon_sym___inline] = ACTIONS(5346),
    [anon_sym___inline__] = ACTIONS(5346),
    [anon_sym___forceinline] = ACTIONS(5346),
    [anon_sym_thread_local] = ACTIONS(5346),
    [anon_sym___thread] = ACTIONS(5346),
    [anon_sym_const] = ACTIONS(5346),
    [anon_sym_constexpr] = ACTIONS(5346),
    [anon_sym_volatile] = ACTIONS(5346),
    [anon_sym_restrict] = ACTIONS(5346),
    [anon_sym___restrict__] = ACTIONS(5346),
    [anon_sym__Atomic] = ACTIONS(5346),
    [anon_sym__Noreturn] = ACTIONS(5346),
    [anon_sym_noreturn] = ACTIONS(5346),
    [anon_sym__Nonnull] = ACTIONS(5346),
    [anon_sym_mutable] = ACTIONS(5346),
    [anon_sym_constinit] = ACTIONS(5346),
    [anon_sym_consteval] = ACTIONS(5346),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym__Alignas] = ACTIONS(5346),
    [sym_primitive_type] = ACTIONS(5346),
    [anon_sym_enum] = ACTIONS(5346),
    [anon_sym_class] = ACTIONS(5346),
    [anon_sym_struct] = ACTIONS(5346),
    [anon_sym_union] = ACTIONS(5346),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5346),
    [anon_sym_decltype] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(5346),
    [anon_sym_typename] = ACTIONS(5346),
    [anon_sym_template] = ACTIONS(5346),
    [anon_sym_operator] = ACTIONS(5346),
    [anon_sym_friend] = ACTIONS(5346),
    [anon_sym_public] = ACTIONS(5346),
    [anon_sym_private] = ACTIONS(5346),
    [anon_sym_protected] = ACTIONS(5346),
    [anon_sym_using] = ACTIONS(5346),
    [anon_sym_static_assert] = ACTIONS(5346),
  },
  [1913] = {
    [sym_identifier] = ACTIONS(2894),
    [aux_sym_preproc_def_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token2] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2894),
    [sym_preproc_directive] = ACTIONS(2894),
    [anon_sym_LPAREN2] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym___extension__] = ACTIONS(2894),
    [anon_sym_typedef] = ACTIONS(2894),
    [anon_sym_virtual] = ACTIONS(2894),
    [anon_sym_extern] = ACTIONS(2894),
    [anon_sym___attribute__] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2896),
    [anon_sym___declspec] = ACTIONS(2894),
    [anon_sym___based] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2894),
    [anon_sym_unsigned] = ACTIONS(2894),
    [anon_sym_long] = ACTIONS(2894),
    [anon_sym_short] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2894),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_register] = ACTIONS(2894),
    [anon_sym_inline] = ACTIONS(2894),
    [anon_sym___inline] = ACTIONS(2894),
    [anon_sym___inline__] = ACTIONS(2894),
    [anon_sym___forceinline] = ACTIONS(2894),
    [anon_sym_thread_local] = ACTIONS(2894),
    [anon_sym___thread] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2894),
    [anon_sym_constexpr] = ACTIONS(2894),
    [anon_sym_volatile] = ACTIONS(2894),
    [anon_sym_restrict] = ACTIONS(2894),
    [anon_sym___restrict__] = ACTIONS(2894),
    [anon_sym__Atomic] = ACTIONS(2894),
    [anon_sym__Noreturn] = ACTIONS(2894),
    [anon_sym_noreturn] = ACTIONS(2894),
    [anon_sym__Nonnull] = ACTIONS(2894),
    [anon_sym_mutable] = ACTIONS(2894),
    [anon_sym_constinit] = ACTIONS(2894),
    [anon_sym_consteval] = ACTIONS(2894),
    [anon_sym_alignas] = ACTIONS(2894),
    [anon_sym__Alignas] = ACTIONS(2894),
    [sym_primitive_type] = ACTIONS(2894),
    [anon_sym_enum] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_struct] = ACTIONS(2894),
    [anon_sym_union] = ACTIONS(2894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2894),
    [anon_sym_decltype] = ACTIONS(2894),
    [anon_sym_explicit] = ACTIONS(2894),
    [anon_sym_typename] = ACTIONS(2894),
    [anon_sym_template] = ACTIONS(2894),
    [anon_sym_operator] = ACTIONS(2894),
    [anon_sym_friend] = ACTIONS(2894),
    [anon_sym_public] = ACTIONS(2894),
    [anon_sym_private] = ACTIONS(2894),
    [anon_sym_protected] = ACTIONS(2894),
    [anon_sym_using] = ACTIONS(2894),
    [anon_sym_static_assert] = ACTIONS(2894),
  },
  [1914] = {
    [sym_identifier] = ACTIONS(5342),
    [aux_sym_preproc_def_token1] = ACTIONS(5342),
    [aux_sym_preproc_if_token1] = ACTIONS(5342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5342),
    [sym_preproc_directive] = ACTIONS(5342),
    [anon_sym_LPAREN2] = ACTIONS(5344),
    [anon_sym_TILDE] = ACTIONS(5344),
    [anon_sym_STAR] = ACTIONS(5344),
    [anon_sym_AMP_AMP] = ACTIONS(5344),
    [anon_sym_AMP] = ACTIONS(5342),
    [anon_sym_SEMI] = ACTIONS(5344),
    [anon_sym___extension__] = ACTIONS(5342),
    [anon_sym_typedef] = ACTIONS(5342),
    [anon_sym_virtual] = ACTIONS(5342),
    [anon_sym_extern] = ACTIONS(5342),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym_COLON_COLON] = ACTIONS(5344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5344),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(5342),
    [anon_sym_RBRACE] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5342),
    [anon_sym_unsigned] = ACTIONS(5342),
    [anon_sym_long] = ACTIONS(5342),
    [anon_sym_short] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5342),
    [anon_sym_static] = ACTIONS(5342),
    [anon_sym_register] = ACTIONS(5342),
    [anon_sym_inline] = ACTIONS(5342),
    [anon_sym___inline] = ACTIONS(5342),
    [anon_sym___inline__] = ACTIONS(5342),
    [anon_sym___forceinline] = ACTIONS(5342),
    [anon_sym_thread_local] = ACTIONS(5342),
    [anon_sym___thread] = ACTIONS(5342),
    [anon_sym_const] = ACTIONS(5342),
    [anon_sym_constexpr] = ACTIONS(5342),
    [anon_sym_volatile] = ACTIONS(5342),
    [anon_sym_restrict] = ACTIONS(5342),
    [anon_sym___restrict__] = ACTIONS(5342),
    [anon_sym__Atomic] = ACTIONS(5342),
    [anon_sym__Noreturn] = ACTIONS(5342),
    [anon_sym_noreturn] = ACTIONS(5342),
    [anon_sym__Nonnull] = ACTIONS(5342),
    [anon_sym_mutable] = ACTIONS(5342),
    [anon_sym_constinit] = ACTIONS(5342),
    [anon_sym_consteval] = ACTIONS(5342),
    [anon_sym_alignas] = ACTIONS(5342),
    [anon_sym__Alignas] = ACTIONS(5342),
    [sym_primitive_type] = ACTIONS(5342),
    [anon_sym_enum] = ACTIONS(5342),
    [anon_sym_class] = ACTIONS(5342),
    [anon_sym_struct] = ACTIONS(5342),
    [anon_sym_union] = ACTIONS(5342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5342),
    [anon_sym_decltype] = ACTIONS(5342),
    [anon_sym_explicit] = ACTIONS(5342),
    [anon_sym_typename] = ACTIONS(5342),
    [anon_sym_template] = ACTIONS(5342),
    [anon_sym_operator] = ACTIONS(5342),
    [anon_sym_friend] = ACTIONS(5342),
    [anon_sym_public] = ACTIONS(5342),
    [anon_sym_private] = ACTIONS(5342),
    [anon_sym_protected] = ACTIONS(5342),
    [anon_sym_using] = ACTIONS(5342),
    [anon_sym_static_assert] = ACTIONS(5342),
  },
  [1915] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_RBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [1916] = {
    [sym_identifier] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5306),
    [anon_sym_TILDE] = ACTIONS(5306),
    [anon_sym_STAR] = ACTIONS(5306),
    [anon_sym_AMP_AMP] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_typedef] = ACTIONS(5304),
    [anon_sym_virtual] = ACTIONS(5304),
    [anon_sym_extern] = ACTIONS(5304),
    [anon_sym___attribute__] = ACTIONS(5304),
    [anon_sym_COLON_COLON] = ACTIONS(5306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5306),
    [anon_sym___declspec] = ACTIONS(5304),
    [anon_sym___based] = ACTIONS(5304),
    [anon_sym_RBRACE] = ACTIONS(5306),
    [anon_sym_signed] = ACTIONS(5304),
    [anon_sym_unsigned] = ACTIONS(5304),
    [anon_sym_long] = ACTIONS(5304),
    [anon_sym_short] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(5304),
    [anon_sym_static] = ACTIONS(5304),
    [anon_sym_register] = ACTIONS(5304),
    [anon_sym_inline] = ACTIONS(5304),
    [anon_sym___inline] = ACTIONS(5304),
    [anon_sym___inline__] = ACTIONS(5304),
    [anon_sym___forceinline] = ACTIONS(5304),
    [anon_sym_thread_local] = ACTIONS(5304),
    [anon_sym___thread] = ACTIONS(5304),
    [anon_sym_const] = ACTIONS(5304),
    [anon_sym_constexpr] = ACTIONS(5304),
    [anon_sym_volatile] = ACTIONS(5304),
    [anon_sym_restrict] = ACTIONS(5304),
    [anon_sym___restrict__] = ACTIONS(5304),
    [anon_sym__Atomic] = ACTIONS(5304),
    [anon_sym__Noreturn] = ACTIONS(5304),
    [anon_sym_noreturn] = ACTIONS(5304),
    [anon_sym__Nonnull] = ACTIONS(5304),
    [anon_sym_mutable] = ACTIONS(5304),
    [anon_sym_constinit] = ACTIONS(5304),
    [anon_sym_consteval] = ACTIONS(5304),
    [anon_sym_alignas] = ACTIONS(5304),
    [anon_sym__Alignas] = ACTIONS(5304),
    [sym_primitive_type] = ACTIONS(5304),
    [anon_sym_enum] = ACTIONS(5304),
    [anon_sym_class] = ACTIONS(5304),
    [anon_sym_struct] = ACTIONS(5304),
    [anon_sym_union] = ACTIONS(5304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5304),
    [anon_sym_decltype] = ACTIONS(5304),
    [anon_sym_explicit] = ACTIONS(5304),
    [anon_sym_typename] = ACTIONS(5304),
    [anon_sym_template] = ACTIONS(5304),
    [anon_sym_operator] = ACTIONS(5304),
    [anon_sym_friend] = ACTIONS(5304),
    [anon_sym_public] = ACTIONS(5304),
    [anon_sym_private] = ACTIONS(5304),
    [anon_sym_protected] = ACTIONS(5304),
    [anon_sym_using] = ACTIONS(5304),
    [anon_sym_static_assert] = ACTIONS(5304),
  },
  [1917] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_friend] = ACTIONS(2770),
    [anon_sym_public] = ACTIONS(2770),
    [anon_sym_private] = ACTIONS(2770),
    [anon_sym_protected] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
  },
  [1918] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_virtual] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_friend] = ACTIONS(2774),
    [anon_sym_public] = ACTIONS(2774),
    [anon_sym_private] = ACTIONS(2774),
    [anon_sym_protected] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
  },
  [1919] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token2] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_friend] = ACTIONS(3127),
    [anon_sym_public] = ACTIONS(3127),
    [anon_sym_private] = ACTIONS(3127),
    [anon_sym_protected] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
  },
  [1920] = {
    [sym_string_literal] = STATE(2006),
    [sym_template_argument_list] = STATE(2248),
    [sym_raw_string_literal] = STATE(2006),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(5111),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___attribute__] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4094),
    [anon_sym_or_eq] = ACTIONS(4094),
    [anon_sym_xor_eq] = ACTIONS(4094),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(5684),
    [anon_sym_u_DQUOTE] = ACTIONS(5684),
    [anon_sym_U_DQUOTE] = ACTIONS(5684),
    [anon_sym_u8_DQUOTE] = ACTIONS(5684),
    [anon_sym_DQUOTE] = ACTIONS(5684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5686),
    [anon_sym_LR_DQUOTE] = ACTIONS(5686),
    [anon_sym_uR_DQUOTE] = ACTIONS(5686),
    [anon_sym_UR_DQUOTE] = ACTIONS(5686),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5686),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token2] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_friend] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(3030),
    [aux_sym_preproc_def_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token2] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3030),
    [sym_preproc_directive] = ACTIONS(3030),
    [anon_sym_LPAREN2] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym___extension__] = ACTIONS(3030),
    [anon_sym_typedef] = ACTIONS(3030),
    [anon_sym_virtual] = ACTIONS(3030),
    [anon_sym_extern] = ACTIONS(3030),
    [anon_sym___attribute__] = ACTIONS(3030),
    [anon_sym_COLON_COLON] = ACTIONS(3032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3032),
    [anon_sym___declspec] = ACTIONS(3030),
    [anon_sym___based] = ACTIONS(3030),
    [anon_sym_signed] = ACTIONS(3030),
    [anon_sym_unsigned] = ACTIONS(3030),
    [anon_sym_long] = ACTIONS(3030),
    [anon_sym_short] = ACTIONS(3030),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [anon_sym_static] = ACTIONS(3030),
    [anon_sym_register] = ACTIONS(3030),
    [anon_sym_inline] = ACTIONS(3030),
    [anon_sym___inline] = ACTIONS(3030),
    [anon_sym___inline__] = ACTIONS(3030),
    [anon_sym___forceinline] = ACTIONS(3030),
    [anon_sym_thread_local] = ACTIONS(3030),
    [anon_sym___thread] = ACTIONS(3030),
    [anon_sym_const] = ACTIONS(3030),
    [anon_sym_constexpr] = ACTIONS(3030),
    [anon_sym_volatile] = ACTIONS(3030),
    [anon_sym_restrict] = ACTIONS(3030),
    [anon_sym___restrict__] = ACTIONS(3030),
    [anon_sym__Atomic] = ACTIONS(3030),
    [anon_sym__Noreturn] = ACTIONS(3030),
    [anon_sym_noreturn] = ACTIONS(3030),
    [anon_sym__Nonnull] = ACTIONS(3030),
    [anon_sym_mutable] = ACTIONS(3030),
    [anon_sym_constinit] = ACTIONS(3030),
    [anon_sym_consteval] = ACTIONS(3030),
    [anon_sym_alignas] = ACTIONS(3030),
    [anon_sym__Alignas] = ACTIONS(3030),
    [sym_primitive_type] = ACTIONS(3030),
    [anon_sym_enum] = ACTIONS(3030),
    [anon_sym_class] = ACTIONS(3030),
    [anon_sym_struct] = ACTIONS(3030),
    [anon_sym_union] = ACTIONS(3030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3030),
    [anon_sym_decltype] = ACTIONS(3030),
    [anon_sym_explicit] = ACTIONS(3030),
    [anon_sym_typename] = ACTIONS(3030),
    [anon_sym_template] = ACTIONS(3030),
    [anon_sym_operator] = ACTIONS(3030),
    [anon_sym_friend] = ACTIONS(3030),
    [anon_sym_public] = ACTIONS(3030),
    [anon_sym_private] = ACTIONS(3030),
    [anon_sym_protected] = ACTIONS(3030),
    [anon_sym_using] = ACTIONS(3030),
    [anon_sym_static_assert] = ACTIONS(3030),
  },
  [1923] = {
    [sym_identifier] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_TILDE] = ACTIONS(5394),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym_typedef] = ACTIONS(5392),
    [anon_sym_virtual] = ACTIONS(5392),
    [anon_sym_extern] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5394),
    [anon_sym___declspec] = ACTIONS(5392),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_RBRACE] = ACTIONS(5394),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5392),
    [anon_sym_static] = ACTIONS(5392),
    [anon_sym_register] = ACTIONS(5392),
    [anon_sym_inline] = ACTIONS(5392),
    [anon_sym___inline] = ACTIONS(5392),
    [anon_sym___inline__] = ACTIONS(5392),
    [anon_sym___forceinline] = ACTIONS(5392),
    [anon_sym_thread_local] = ACTIONS(5392),
    [anon_sym___thread] = ACTIONS(5392),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [sym_primitive_type] = ACTIONS(5392),
    [anon_sym_enum] = ACTIONS(5392),
    [anon_sym_class] = ACTIONS(5392),
    [anon_sym_struct] = ACTIONS(5392),
    [anon_sym_union] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_explicit] = ACTIONS(5392),
    [anon_sym_typename] = ACTIONS(5392),
    [anon_sym_template] = ACTIONS(5392),
    [anon_sym_operator] = ACTIONS(5392),
    [anon_sym_friend] = ACTIONS(5392),
    [anon_sym_public] = ACTIONS(5392),
    [anon_sym_private] = ACTIONS(5392),
    [anon_sym_protected] = ACTIONS(5392),
    [anon_sym_using] = ACTIONS(5392),
    [anon_sym_static_assert] = ACTIONS(5392),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
  },
  [1926] = {
    [sym__declaration_modifiers] = STATE(3310),
    [sym_attribute_specifier] = STATE(3310),
    [sym_attribute_declaration] = STATE(3310),
    [sym_ms_declspec_modifier] = STATE(3310),
    [sym_storage_class_specifier] = STATE(3310),
    [sym_type_qualifier] = STATE(3310),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(3927),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6165),
    [sym_qualified_type_identifier] = STATE(2714),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3310),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2811),
    [sym_identifier] = ACTIONS(3761),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5688),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(3769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(3771),
    [anon_sym_unsigned] = ACTIONS(3771),
    [anon_sym_long] = ACTIONS(3771),
    [anon_sym_short] = ACTIONS(3771),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3773),
    [anon_sym_enum] = ACTIONS(3775),
    [anon_sym_class] = ACTIONS(3777),
    [anon_sym_struct] = ACTIONS(3779),
    [anon_sym_union] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3783),
    [anon_sym_template] = ACTIONS(1230),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(3813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3815),
    [anon_sym_COMMA] = ACTIONS(3815),
    [anon_sym_RPAREN] = ACTIONS(3815),
    [anon_sym_LPAREN2] = ACTIONS(3815),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_STAR] = ACTIONS(3815),
    [anon_sym_AMP_AMP] = ACTIONS(3815),
    [anon_sym_AMP] = ACTIONS(3813),
    [anon_sym_SEMI] = ACTIONS(3815),
    [anon_sym___extension__] = ACTIONS(3813),
    [anon_sym_virtual] = ACTIONS(3813),
    [anon_sym_extern] = ACTIONS(3813),
    [anon_sym___attribute__] = ACTIONS(3813),
    [anon_sym_COLON_COLON] = ACTIONS(3815),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3815),
    [anon_sym___declspec] = ACTIONS(3813),
    [anon_sym___based] = ACTIONS(3813),
    [anon_sym___cdecl] = ACTIONS(3813),
    [anon_sym___clrcall] = ACTIONS(3813),
    [anon_sym___stdcall] = ACTIONS(3813),
    [anon_sym___fastcall] = ACTIONS(3813),
    [anon_sym___thiscall] = ACTIONS(3813),
    [anon_sym___vectorcall] = ACTIONS(3813),
    [anon_sym_LBRACE] = ACTIONS(3815),
    [anon_sym_LBRACK] = ACTIONS(3813),
    [anon_sym_static] = ACTIONS(3813),
    [anon_sym_EQ] = ACTIONS(3815),
    [anon_sym_register] = ACTIONS(3813),
    [anon_sym_inline] = ACTIONS(3813),
    [anon_sym___inline] = ACTIONS(3813),
    [anon_sym___inline__] = ACTIONS(3813),
    [anon_sym___forceinline] = ACTIONS(3813),
    [anon_sym_thread_local] = ACTIONS(3813),
    [anon_sym___thread] = ACTIONS(3813),
    [anon_sym_const] = ACTIONS(3813),
    [anon_sym_constexpr] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(3813),
    [anon_sym_restrict] = ACTIONS(3813),
    [anon_sym___restrict__] = ACTIONS(3813),
    [anon_sym__Atomic] = ACTIONS(3813),
    [anon_sym__Noreturn] = ACTIONS(3813),
    [anon_sym_noreturn] = ACTIONS(3813),
    [anon_sym__Nonnull] = ACTIONS(3813),
    [anon_sym_mutable] = ACTIONS(3813),
    [anon_sym_constinit] = ACTIONS(3813),
    [anon_sym_consteval] = ACTIONS(3813),
    [anon_sym_alignas] = ACTIONS(3813),
    [anon_sym__Alignas] = ACTIONS(3813),
    [anon_sym_COLON] = ACTIONS(3813),
    [anon_sym_asm] = ACTIONS(3813),
    [anon_sym___asm__] = ACTIONS(3813),
    [anon_sym___asm] = ACTIONS(3813),
    [anon_sym_DASH_GT] = ACTIONS(3815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3813),
    [anon_sym_final] = ACTIONS(3813),
    [anon_sym_override] = ACTIONS(3813),
    [anon_sym_explicit] = ACTIONS(3813),
    [anon_sym_template] = ACTIONS(3813),
    [anon_sym_GT2] = ACTIONS(3815),
    [anon_sym_operator] = ACTIONS(3813),
    [anon_sym_try] = ACTIONS(3813),
    [anon_sym_public] = ACTIONS(3813),
    [anon_sym_private] = ACTIONS(3813),
    [anon_sym_protected] = ACTIONS(3813),
    [anon_sym_requires] = ACTIONS(3813),
  },
  [1928] = {
    [sym_identifier] = ACTIONS(3187),
    [aux_sym_preproc_def_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3187),
    [sym_preproc_directive] = ACTIONS(3187),
    [anon_sym_LPAREN2] = ACTIONS(3189),
    [anon_sym_TILDE] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3189),
    [anon_sym_AMP_AMP] = ACTIONS(3189),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_SEMI] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3187),
    [anon_sym_typedef] = ACTIONS(3187),
    [anon_sym_virtual] = ACTIONS(3187),
    [anon_sym_extern] = ACTIONS(3187),
    [anon_sym___attribute__] = ACTIONS(3187),
    [anon_sym_COLON_COLON] = ACTIONS(3189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3189),
    [anon_sym___declspec] = ACTIONS(3187),
    [anon_sym___based] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3187),
    [anon_sym_unsigned] = ACTIONS(3187),
    [anon_sym_long] = ACTIONS(3187),
    [anon_sym_short] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_static] = ACTIONS(3187),
    [anon_sym_register] = ACTIONS(3187),
    [anon_sym_inline] = ACTIONS(3187),
    [anon_sym___inline] = ACTIONS(3187),
    [anon_sym___inline__] = ACTIONS(3187),
    [anon_sym___forceinline] = ACTIONS(3187),
    [anon_sym_thread_local] = ACTIONS(3187),
    [anon_sym___thread] = ACTIONS(3187),
    [anon_sym_const] = ACTIONS(3187),
    [anon_sym_constexpr] = ACTIONS(3187),
    [anon_sym_volatile] = ACTIONS(3187),
    [anon_sym_restrict] = ACTIONS(3187),
    [anon_sym___restrict__] = ACTIONS(3187),
    [anon_sym__Atomic] = ACTIONS(3187),
    [anon_sym__Noreturn] = ACTIONS(3187),
    [anon_sym_noreturn] = ACTIONS(3187),
    [anon_sym__Nonnull] = ACTIONS(3187),
    [anon_sym_mutable] = ACTIONS(3187),
    [anon_sym_constinit] = ACTIONS(3187),
    [anon_sym_consteval] = ACTIONS(3187),
    [anon_sym_alignas] = ACTIONS(3187),
    [anon_sym__Alignas] = ACTIONS(3187),
    [sym_primitive_type] = ACTIONS(3187),
    [anon_sym_enum] = ACTIONS(3187),
    [anon_sym_class] = ACTIONS(3187),
    [anon_sym_struct] = ACTIONS(3187),
    [anon_sym_union] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3187),
    [anon_sym_decltype] = ACTIONS(3187),
    [anon_sym_explicit] = ACTIONS(3187),
    [anon_sym_typename] = ACTIONS(3187),
    [anon_sym_template] = ACTIONS(3187),
    [anon_sym_operator] = ACTIONS(3187),
    [anon_sym_friend] = ACTIONS(3187),
    [anon_sym_public] = ACTIONS(3187),
    [anon_sym_private] = ACTIONS(3187),
    [anon_sym_protected] = ACTIONS(3187),
    [anon_sym_using] = ACTIONS(3187),
    [anon_sym_static_assert] = ACTIONS(3187),
  },
  [1929] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [sym_primitive_type] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_friend] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
  },
  [1930] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [1931] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token2] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_friend] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym_RBRACE] = ACTIONS(3141),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_friend] = ACTIONS(3139),
    [anon_sym_public] = ACTIONS(3139),
    [anon_sym_private] = ACTIONS(3139),
    [anon_sym_protected] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
  },
  [1933] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym_RBRACE] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_friend] = ACTIONS(2964),
    [anon_sym_public] = ACTIONS(2964),
    [anon_sym_private] = ACTIONS(2964),
    [anon_sym_protected] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
  },
  [1934] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token2] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_friend] = ACTIONS(2856),
    [anon_sym_public] = ACTIONS(2856),
    [anon_sym_private] = ACTIONS(2856),
    [anon_sym_protected] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_friend] = ACTIONS(2848),
    [anon_sym_public] = ACTIONS(2848),
    [anon_sym_private] = ACTIONS(2848),
    [anon_sym_protected] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token2] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym__Nonnull] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym__Alignas] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_friend] = ACTIONS(2975),
    [anon_sym_public] = ACTIONS(2975),
    [anon_sym_private] = ACTIONS(2975),
    [anon_sym_protected] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym_RBRACE] = ACTIONS(3021),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_friend] = ACTIONS(3019),
    [anon_sym_public] = ACTIONS(3019),
    [anon_sym_private] = ACTIONS(3019),
    [anon_sym_protected] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_virtual] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym_RBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_friend] = ACTIONS(2868),
    [anon_sym_public] = ACTIONS(2868),
    [anon_sym_private] = ACTIONS(2868),
    [anon_sym_protected] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [sym_primitive_type] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_friend] = ACTIONS(3048),
    [anon_sym_public] = ACTIONS(3048),
    [anon_sym_private] = ACTIONS(3048),
    [anon_sym_protected] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym_RBRACE] = ACTIONS(3149),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_friend] = ACTIONS(3147),
    [anon_sym_public] = ACTIONS(3147),
    [anon_sym_private] = ACTIONS(3147),
    [anon_sym_protected] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token2] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_TILDE] = ACTIONS(5314),
    [anon_sym_STAR] = ACTIONS(5314),
    [anon_sym_AMP_AMP] = ACTIONS(5314),
    [anon_sym_AMP] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5314),
    [anon_sym___extension__] = ACTIONS(5312),
    [anon_sym_typedef] = ACTIONS(5312),
    [anon_sym_virtual] = ACTIONS(5312),
    [anon_sym_extern] = ACTIONS(5312),
    [anon_sym___attribute__] = ACTIONS(5312),
    [anon_sym_COLON_COLON] = ACTIONS(5314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5314),
    [anon_sym___declspec] = ACTIONS(5312),
    [anon_sym___based] = ACTIONS(5312),
    [anon_sym_signed] = ACTIONS(5312),
    [anon_sym_unsigned] = ACTIONS(5312),
    [anon_sym_long] = ACTIONS(5312),
    [anon_sym_short] = ACTIONS(5312),
    [anon_sym_LBRACK] = ACTIONS(5312),
    [anon_sym_static] = ACTIONS(5312),
    [anon_sym_register] = ACTIONS(5312),
    [anon_sym_inline] = ACTIONS(5312),
    [anon_sym___inline] = ACTIONS(5312),
    [anon_sym___inline__] = ACTIONS(5312),
    [anon_sym___forceinline] = ACTIONS(5312),
    [anon_sym_thread_local] = ACTIONS(5312),
    [anon_sym___thread] = ACTIONS(5312),
    [anon_sym_const] = ACTIONS(5312),
    [anon_sym_constexpr] = ACTIONS(5312),
    [anon_sym_volatile] = ACTIONS(5312),
    [anon_sym_restrict] = ACTIONS(5312),
    [anon_sym___restrict__] = ACTIONS(5312),
    [anon_sym__Atomic] = ACTIONS(5312),
    [anon_sym__Noreturn] = ACTIONS(5312),
    [anon_sym_noreturn] = ACTIONS(5312),
    [anon_sym__Nonnull] = ACTIONS(5312),
    [anon_sym_mutable] = ACTIONS(5312),
    [anon_sym_constinit] = ACTIONS(5312),
    [anon_sym_consteval] = ACTIONS(5312),
    [anon_sym_alignas] = ACTIONS(5312),
    [anon_sym__Alignas] = ACTIONS(5312),
    [sym_primitive_type] = ACTIONS(5312),
    [anon_sym_enum] = ACTIONS(5312),
    [anon_sym_class] = ACTIONS(5312),
    [anon_sym_struct] = ACTIONS(5312),
    [anon_sym_union] = ACTIONS(5312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5312),
    [anon_sym_decltype] = ACTIONS(5312),
    [anon_sym_explicit] = ACTIONS(5312),
    [anon_sym_typename] = ACTIONS(5312),
    [anon_sym_template] = ACTIONS(5312),
    [anon_sym_operator] = ACTIONS(5312),
    [anon_sym_friend] = ACTIONS(5312),
    [anon_sym_public] = ACTIONS(5312),
    [anon_sym_private] = ACTIONS(5312),
    [anon_sym_protected] = ACTIONS(5312),
    [anon_sym_using] = ACTIONS(5312),
    [anon_sym_static_assert] = ACTIONS(5312),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(5225),
    [aux_sym_preproc_def_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token2] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5225),
    [sym_preproc_directive] = ACTIONS(5225),
    [anon_sym_LPAREN2] = ACTIONS(5227),
    [anon_sym_TILDE] = ACTIONS(5227),
    [anon_sym_STAR] = ACTIONS(5227),
    [anon_sym_AMP_AMP] = ACTIONS(5227),
    [anon_sym_AMP] = ACTIONS(5225),
    [anon_sym_SEMI] = ACTIONS(5227),
    [anon_sym___extension__] = ACTIONS(5225),
    [anon_sym_typedef] = ACTIONS(5225),
    [anon_sym_virtual] = ACTIONS(5225),
    [anon_sym_extern] = ACTIONS(5225),
    [anon_sym___attribute__] = ACTIONS(5225),
    [anon_sym_COLON_COLON] = ACTIONS(5227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5227),
    [anon_sym___declspec] = ACTIONS(5225),
    [anon_sym___based] = ACTIONS(5225),
    [anon_sym_signed] = ACTIONS(5225),
    [anon_sym_unsigned] = ACTIONS(5225),
    [anon_sym_long] = ACTIONS(5225),
    [anon_sym_short] = ACTIONS(5225),
    [anon_sym_LBRACK] = ACTIONS(5225),
    [anon_sym_static] = ACTIONS(5225),
    [anon_sym_register] = ACTIONS(5225),
    [anon_sym_inline] = ACTIONS(5225),
    [anon_sym___inline] = ACTIONS(5225),
    [anon_sym___inline__] = ACTIONS(5225),
    [anon_sym___forceinline] = ACTIONS(5225),
    [anon_sym_thread_local] = ACTIONS(5225),
    [anon_sym___thread] = ACTIONS(5225),
    [anon_sym_const] = ACTIONS(5225),
    [anon_sym_constexpr] = ACTIONS(5225),
    [anon_sym_volatile] = ACTIONS(5225),
    [anon_sym_restrict] = ACTIONS(5225),
    [anon_sym___restrict__] = ACTIONS(5225),
    [anon_sym__Atomic] = ACTIONS(5225),
    [anon_sym__Noreturn] = ACTIONS(5225),
    [anon_sym_noreturn] = ACTIONS(5225),
    [anon_sym__Nonnull] = ACTIONS(5225),
    [anon_sym_mutable] = ACTIONS(5225),
    [anon_sym_constinit] = ACTIONS(5225),
    [anon_sym_consteval] = ACTIONS(5225),
    [anon_sym_alignas] = ACTIONS(5225),
    [anon_sym__Alignas] = ACTIONS(5225),
    [sym_primitive_type] = ACTIONS(5225),
    [anon_sym_enum] = ACTIONS(5225),
    [anon_sym_class] = ACTIONS(5225),
    [anon_sym_struct] = ACTIONS(5225),
    [anon_sym_union] = ACTIONS(5225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5225),
    [anon_sym_decltype] = ACTIONS(5225),
    [anon_sym_explicit] = ACTIONS(5225),
    [anon_sym_typename] = ACTIONS(5225),
    [anon_sym_template] = ACTIONS(5225),
    [anon_sym_operator] = ACTIONS(5225),
    [anon_sym_friend] = ACTIONS(5225),
    [anon_sym_public] = ACTIONS(5225),
    [anon_sym_private] = ACTIONS(5225),
    [anon_sym_protected] = ACTIONS(5225),
    [anon_sym_using] = ACTIONS(5225),
    [anon_sym_static_assert] = ACTIONS(5225),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_friend] = ACTIONS(2852),
    [anon_sym_public] = ACTIONS(2852),
    [anon_sym_private] = ACTIONS(2852),
    [anon_sym_protected] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym_RBRACE] = ACTIONS(2942),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_friend] = ACTIONS(2940),
    [anon_sym_public] = ACTIONS(2940),
    [anon_sym_private] = ACTIONS(2940),
    [anon_sym_protected] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_friend] = ACTIONS(2948),
    [anon_sym_public] = ACTIONS(2948),
    [anon_sym_private] = ACTIONS(2948),
    [anon_sym_protected] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(2894),
    [aux_sym_preproc_def_token1] = ACTIONS(2894),
    [aux_sym_preproc_if_token1] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2894),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2894),
    [sym_preproc_directive] = ACTIONS(2894),
    [anon_sym_LPAREN2] = ACTIONS(2896),
    [anon_sym_TILDE] = ACTIONS(2896),
    [anon_sym_STAR] = ACTIONS(2896),
    [anon_sym_AMP_AMP] = ACTIONS(2896),
    [anon_sym_AMP] = ACTIONS(2894),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym___extension__] = ACTIONS(2894),
    [anon_sym_typedef] = ACTIONS(2894),
    [anon_sym_virtual] = ACTIONS(2894),
    [anon_sym_extern] = ACTIONS(2894),
    [anon_sym___attribute__] = ACTIONS(2894),
    [anon_sym_COLON_COLON] = ACTIONS(2896),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2896),
    [anon_sym___declspec] = ACTIONS(2894),
    [anon_sym___based] = ACTIONS(2894),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_signed] = ACTIONS(2894),
    [anon_sym_unsigned] = ACTIONS(2894),
    [anon_sym_long] = ACTIONS(2894),
    [anon_sym_short] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2894),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_register] = ACTIONS(2894),
    [anon_sym_inline] = ACTIONS(2894),
    [anon_sym___inline] = ACTIONS(2894),
    [anon_sym___inline__] = ACTIONS(2894),
    [anon_sym___forceinline] = ACTIONS(2894),
    [anon_sym_thread_local] = ACTIONS(2894),
    [anon_sym___thread] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2894),
    [anon_sym_constexpr] = ACTIONS(2894),
    [anon_sym_volatile] = ACTIONS(2894),
    [anon_sym_restrict] = ACTIONS(2894),
    [anon_sym___restrict__] = ACTIONS(2894),
    [anon_sym__Atomic] = ACTIONS(2894),
    [anon_sym__Noreturn] = ACTIONS(2894),
    [anon_sym_noreturn] = ACTIONS(2894),
    [anon_sym__Nonnull] = ACTIONS(2894),
    [anon_sym_mutable] = ACTIONS(2894),
    [anon_sym_constinit] = ACTIONS(2894),
    [anon_sym_consteval] = ACTIONS(2894),
    [anon_sym_alignas] = ACTIONS(2894),
    [anon_sym__Alignas] = ACTIONS(2894),
    [sym_primitive_type] = ACTIONS(2894),
    [anon_sym_enum] = ACTIONS(2894),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_struct] = ACTIONS(2894),
    [anon_sym_union] = ACTIONS(2894),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2894),
    [anon_sym_decltype] = ACTIONS(2894),
    [anon_sym_explicit] = ACTIONS(2894),
    [anon_sym_typename] = ACTIONS(2894),
    [anon_sym_template] = ACTIONS(2894),
    [anon_sym_operator] = ACTIONS(2894),
    [anon_sym_friend] = ACTIONS(2894),
    [anon_sym_public] = ACTIONS(2894),
    [anon_sym_private] = ACTIONS(2894),
    [anon_sym_protected] = ACTIONS(2894),
    [anon_sym_using] = ACTIONS(2894),
    [anon_sym_static_assert] = ACTIONS(2894),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(2860),
    [aux_sym_preproc_def_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token2] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_AMP_AMP] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2860),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_typedef] = ACTIONS(2860),
    [anon_sym_virtual] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___based] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_mutable] = ACTIONS(2860),
    [anon_sym_constinit] = ACTIONS(2860),
    [anon_sym_consteval] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_class] = ACTIONS(2860),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2860),
    [anon_sym_decltype] = ACTIONS(2860),
    [anon_sym_explicit] = ACTIONS(2860),
    [anon_sym_typename] = ACTIONS(2860),
    [anon_sym_template] = ACTIONS(2860),
    [anon_sym_operator] = ACTIONS(2860),
    [anon_sym_friend] = ACTIONS(2860),
    [anon_sym_public] = ACTIONS(2860),
    [anon_sym_private] = ACTIONS(2860),
    [anon_sym_protected] = ACTIONS(2860),
    [anon_sym_using] = ACTIONS(2860),
    [anon_sym_static_assert] = ACTIONS(2860),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym_RBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_friend] = ACTIONS(3011),
    [anon_sym_public] = ACTIONS(3011),
    [anon_sym_private] = ACTIONS(3011),
    [anon_sym_protected] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [aux_sym_preproc_if_token2] = ACTIONS(5318),
    [aux_sym_preproc_else_token1] = ACTIONS(5318),
    [aux_sym_preproc_elif_token1] = ACTIONS(5316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5316),
    [anon_sym_PLUS] = ACTIONS(5316),
    [anon_sym_STAR] = ACTIONS(5316),
    [anon_sym_SLASH] = ACTIONS(5316),
    [anon_sym_PERCENT] = ACTIONS(5316),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5316),
    [anon_sym_CARET] = ACTIONS(5316),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym_EQ_EQ] = ACTIONS(5318),
    [anon_sym_BANG_EQ] = ACTIONS(5318),
    [anon_sym_GT] = ACTIONS(5316),
    [anon_sym_GT_EQ] = ACTIONS(5318),
    [anon_sym_LT_EQ] = ACTIONS(5316),
    [anon_sym_LT] = ACTIONS(5316),
    [anon_sym_LT_LT] = ACTIONS(5316),
    [anon_sym_GT_GT] = ACTIONS(5316),
    [anon_sym_SEMI] = ACTIONS(5318),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_RBRACE] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [anon_sym_RBRACK] = ACTIONS(5318),
    [anon_sym_EQ] = ACTIONS(5316),
    [anon_sym_COLON] = ACTIONS(5318),
    [anon_sym_QMARK] = ACTIONS(5318),
    [anon_sym_STAR_EQ] = ACTIONS(5318),
    [anon_sym_SLASH_EQ] = ACTIONS(5318),
    [anon_sym_PERCENT_EQ] = ACTIONS(5318),
    [anon_sym_PLUS_EQ] = ACTIONS(5318),
    [anon_sym_DASH_EQ] = ACTIONS(5318),
    [anon_sym_LT_LT_EQ] = ACTIONS(5318),
    [anon_sym_GT_GT_EQ] = ACTIONS(5318),
    [anon_sym_AMP_EQ] = ACTIONS(5318),
    [anon_sym_CARET_EQ] = ACTIONS(5318),
    [anon_sym_PIPE_EQ] = ACTIONS(5318),
    [anon_sym_and_eq] = ACTIONS(5316),
    [anon_sym_or_eq] = ACTIONS(5316),
    [anon_sym_xor_eq] = ACTIONS(5316),
    [anon_sym_LT_EQ_GT] = ACTIONS(5318),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [anon_sym_bitor] = ACTIONS(5316),
    [anon_sym_xor] = ACTIONS(5316),
    [anon_sym_bitand] = ACTIONS(5316),
    [anon_sym_not_eq] = ACTIONS(5316),
    [anon_sym_DASH_DASH] = ACTIONS(5318),
    [anon_sym_PLUS_PLUS] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5316),
    [anon_sym_DOT_STAR] = ACTIONS(5318),
    [anon_sym_DASH_GT] = ACTIONS(5318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_final] = ACTIONS(5316),
    [anon_sym_override] = ACTIONS(5316),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym_RBRACE] = ACTIONS(3121),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_friend] = ACTIONS(3119),
    [anon_sym_public] = ACTIONS(3119),
    [anon_sym_private] = ACTIONS(3119),
    [anon_sym_protected] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [sym_primitive_type] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [1953] = {
    [sym_string_literal] = STATE(2095),
    [sym_raw_string_literal] = STATE(2095),
    [aux_sym_concatenated_string_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(5690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5123),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5125),
    [anon_sym_L_DQUOTE] = ACTIONS(4928),
    [anon_sym_u_DQUOTE] = ACTIONS(4928),
    [anon_sym_U_DQUOTE] = ACTIONS(4928),
    [anon_sym_u8_DQUOTE] = ACTIONS(4928),
    [anon_sym_DQUOTE] = ACTIONS(4928),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4930),
    [anon_sym_LR_DQUOTE] = ACTIONS(4930),
    [anon_sym_uR_DQUOTE] = ACTIONS(4930),
    [anon_sym_UR_DQUOTE] = ACTIONS(4930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5123),
    [sym_literal_suffix] = ACTIONS(5125),
  },
  [1954] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym_RBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_friend] = ACTIONS(3115),
    [anon_sym_public] = ACTIONS(3115),
    [anon_sym_private] = ACTIONS(3115),
    [anon_sym_protected] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token2] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym__Nonnull] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym__Alignas] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_friend] = ACTIONS(3115),
    [anon_sym_public] = ACTIONS(3115),
    [anon_sym_private] = ACTIONS(3115),
    [anon_sym_protected] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token2] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [sym_primitive_type] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [1957] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_AMP_AMP] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2770),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_virtual] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym_COLON_COLON] = ACTIONS(2772),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___based] = ACTIONS(2770),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_mutable] = ACTIONS(2770),
    [anon_sym_constinit] = ACTIONS(2770),
    [anon_sym_consteval] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2770),
    [anon_sym_decltype] = ACTIONS(2770),
    [anon_sym_explicit] = ACTIONS(2770),
    [anon_sym_typename] = ACTIONS(2770),
    [anon_sym_template] = ACTIONS(2770),
    [anon_sym_operator] = ACTIONS(2770),
    [anon_sym_friend] = ACTIONS(2770),
    [anon_sym_public] = ACTIONS(2770),
    [anon_sym_private] = ACTIONS(2770),
    [anon_sym_protected] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_static_assert] = ACTIONS(2770),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(2796),
    [aux_sym_preproc_def_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2796),
    [sym_preproc_directive] = ACTIONS(2796),
    [anon_sym_LPAREN2] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2798),
    [anon_sym_AMP_AMP] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_typedef] = ACTIONS(2796),
    [anon_sym_virtual] = ACTIONS(2796),
    [anon_sym_extern] = ACTIONS(2796),
    [anon_sym___attribute__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2798),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2798),
    [anon_sym___declspec] = ACTIONS(2796),
    [anon_sym___based] = ACTIONS(2796),
    [anon_sym_RBRACE] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2796),
    [anon_sym_unsigned] = ACTIONS(2796),
    [anon_sym_long] = ACTIONS(2796),
    [anon_sym_short] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym_static] = ACTIONS(2796),
    [anon_sym_register] = ACTIONS(2796),
    [anon_sym_inline] = ACTIONS(2796),
    [anon_sym___inline] = ACTIONS(2796),
    [anon_sym___inline__] = ACTIONS(2796),
    [anon_sym___forceinline] = ACTIONS(2796),
    [anon_sym_thread_local] = ACTIONS(2796),
    [anon_sym___thread] = ACTIONS(2796),
    [anon_sym_const] = ACTIONS(2796),
    [anon_sym_constexpr] = ACTIONS(2796),
    [anon_sym_volatile] = ACTIONS(2796),
    [anon_sym_restrict] = ACTIONS(2796),
    [anon_sym___restrict__] = ACTIONS(2796),
    [anon_sym__Atomic] = ACTIONS(2796),
    [anon_sym__Noreturn] = ACTIONS(2796),
    [anon_sym_noreturn] = ACTIONS(2796),
    [anon_sym__Nonnull] = ACTIONS(2796),
    [anon_sym_mutable] = ACTIONS(2796),
    [anon_sym_constinit] = ACTIONS(2796),
    [anon_sym_consteval] = ACTIONS(2796),
    [anon_sym_alignas] = ACTIONS(2796),
    [anon_sym__Alignas] = ACTIONS(2796),
    [sym_primitive_type] = ACTIONS(2796),
    [anon_sym_enum] = ACTIONS(2796),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_struct] = ACTIONS(2796),
    [anon_sym_union] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2796),
    [anon_sym_decltype] = ACTIONS(2796),
    [anon_sym_explicit] = ACTIONS(2796),
    [anon_sym_typename] = ACTIONS(2796),
    [anon_sym_template] = ACTIONS(2796),
    [anon_sym_operator] = ACTIONS(2796),
    [anon_sym_friend] = ACTIONS(2796),
    [anon_sym_public] = ACTIONS(2796),
    [anon_sym_private] = ACTIONS(2796),
    [anon_sym_protected] = ACTIONS(2796),
    [anon_sym_using] = ACTIONS(2796),
    [anon_sym_static_assert] = ACTIONS(2796),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_virtual] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym_RBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_friend] = ACTIONS(2774),
    [anon_sym_public] = ACTIONS(2774),
    [anon_sym_private] = ACTIONS(2774),
    [anon_sym_protected] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token2] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [sym_primitive_type] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_friend] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2926),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_friend] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token2] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_friend] = ACTIONS(3183),
    [anon_sym_public] = ACTIONS(3183),
    [anon_sym_private] = ACTIONS(3183),
    [anon_sym_protected] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token2] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_virtual] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym__Nonnull] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_friend] = ACTIONS(3011),
    [anon_sym_public] = ACTIONS(3011),
    [anon_sym_private] = ACTIONS(3011),
    [anon_sym_protected] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token2] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [1965] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [1966] = {
    [sym_identifier] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5302),
    [anon_sym_TILDE] = ACTIONS(5302),
    [anon_sym_STAR] = ACTIONS(5302),
    [anon_sym_AMP_AMP] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [anon_sym___extension__] = ACTIONS(5300),
    [anon_sym_typedef] = ACTIONS(5300),
    [anon_sym_virtual] = ACTIONS(5300),
    [anon_sym_extern] = ACTIONS(5300),
    [anon_sym___attribute__] = ACTIONS(5300),
    [anon_sym_COLON_COLON] = ACTIONS(5302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5302),
    [anon_sym___declspec] = ACTIONS(5300),
    [anon_sym___based] = ACTIONS(5300),
    [anon_sym_RBRACE] = ACTIONS(5302),
    [anon_sym_signed] = ACTIONS(5300),
    [anon_sym_unsigned] = ACTIONS(5300),
    [anon_sym_long] = ACTIONS(5300),
    [anon_sym_short] = ACTIONS(5300),
    [anon_sym_LBRACK] = ACTIONS(5300),
    [anon_sym_static] = ACTIONS(5300),
    [anon_sym_register] = ACTIONS(5300),
    [anon_sym_inline] = ACTIONS(5300),
    [anon_sym___inline] = ACTIONS(5300),
    [anon_sym___inline__] = ACTIONS(5300),
    [anon_sym___forceinline] = ACTIONS(5300),
    [anon_sym_thread_local] = ACTIONS(5300),
    [anon_sym___thread] = ACTIONS(5300),
    [anon_sym_const] = ACTIONS(5300),
    [anon_sym_constexpr] = ACTIONS(5300),
    [anon_sym_volatile] = ACTIONS(5300),
    [anon_sym_restrict] = ACTIONS(5300),
    [anon_sym___restrict__] = ACTIONS(5300),
    [anon_sym__Atomic] = ACTIONS(5300),
    [anon_sym__Noreturn] = ACTIONS(5300),
    [anon_sym_noreturn] = ACTIONS(5300),
    [anon_sym__Nonnull] = ACTIONS(5300),
    [anon_sym_mutable] = ACTIONS(5300),
    [anon_sym_constinit] = ACTIONS(5300),
    [anon_sym_consteval] = ACTIONS(5300),
    [anon_sym_alignas] = ACTIONS(5300),
    [anon_sym__Alignas] = ACTIONS(5300),
    [sym_primitive_type] = ACTIONS(5300),
    [anon_sym_enum] = ACTIONS(5300),
    [anon_sym_class] = ACTIONS(5300),
    [anon_sym_struct] = ACTIONS(5300),
    [anon_sym_union] = ACTIONS(5300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5300),
    [anon_sym_decltype] = ACTIONS(5300),
    [anon_sym_explicit] = ACTIONS(5300),
    [anon_sym_typename] = ACTIONS(5300),
    [anon_sym_template] = ACTIONS(5300),
    [anon_sym_operator] = ACTIONS(5300),
    [anon_sym_friend] = ACTIONS(5300),
    [anon_sym_public] = ACTIONS(5300),
    [anon_sym_private] = ACTIONS(5300),
    [anon_sym_protected] = ACTIONS(5300),
    [anon_sym_using] = ACTIONS(5300),
    [anon_sym_static_assert] = ACTIONS(5300),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token2] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_SEMI] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_friend] = ACTIONS(3131),
    [anon_sym_public] = ACTIONS(3131),
    [anon_sym_private] = ACTIONS(3131),
    [anon_sym_protected] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(5225),
    [aux_sym_preproc_def_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token2] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5225),
    [sym_preproc_directive] = ACTIONS(5225),
    [anon_sym_LPAREN2] = ACTIONS(5227),
    [anon_sym_TILDE] = ACTIONS(5227),
    [anon_sym_STAR] = ACTIONS(5227),
    [anon_sym_AMP_AMP] = ACTIONS(5227),
    [anon_sym_AMP] = ACTIONS(5225),
    [anon_sym_SEMI] = ACTIONS(5227),
    [anon_sym___extension__] = ACTIONS(5225),
    [anon_sym_typedef] = ACTIONS(5225),
    [anon_sym_virtual] = ACTIONS(5225),
    [anon_sym_extern] = ACTIONS(5225),
    [anon_sym___attribute__] = ACTIONS(5225),
    [anon_sym_COLON_COLON] = ACTIONS(5227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5227),
    [anon_sym___declspec] = ACTIONS(5225),
    [anon_sym___based] = ACTIONS(5225),
    [anon_sym_signed] = ACTIONS(5225),
    [anon_sym_unsigned] = ACTIONS(5225),
    [anon_sym_long] = ACTIONS(5225),
    [anon_sym_short] = ACTIONS(5225),
    [anon_sym_LBRACK] = ACTIONS(5225),
    [anon_sym_static] = ACTIONS(5225),
    [anon_sym_register] = ACTIONS(5225),
    [anon_sym_inline] = ACTIONS(5225),
    [anon_sym___inline] = ACTIONS(5225),
    [anon_sym___inline__] = ACTIONS(5225),
    [anon_sym___forceinline] = ACTIONS(5225),
    [anon_sym_thread_local] = ACTIONS(5225),
    [anon_sym___thread] = ACTIONS(5225),
    [anon_sym_const] = ACTIONS(5225),
    [anon_sym_constexpr] = ACTIONS(5225),
    [anon_sym_volatile] = ACTIONS(5225),
    [anon_sym_restrict] = ACTIONS(5225),
    [anon_sym___restrict__] = ACTIONS(5225),
    [anon_sym__Atomic] = ACTIONS(5225),
    [anon_sym__Noreturn] = ACTIONS(5225),
    [anon_sym_noreturn] = ACTIONS(5225),
    [anon_sym__Nonnull] = ACTIONS(5225),
    [anon_sym_mutable] = ACTIONS(5225),
    [anon_sym_constinit] = ACTIONS(5225),
    [anon_sym_consteval] = ACTIONS(5225),
    [anon_sym_alignas] = ACTIONS(5225),
    [anon_sym__Alignas] = ACTIONS(5225),
    [sym_primitive_type] = ACTIONS(5225),
    [anon_sym_enum] = ACTIONS(5225),
    [anon_sym_class] = ACTIONS(5225),
    [anon_sym_struct] = ACTIONS(5225),
    [anon_sym_union] = ACTIONS(5225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5225),
    [anon_sym_decltype] = ACTIONS(5225),
    [anon_sym_explicit] = ACTIONS(5225),
    [anon_sym_typename] = ACTIONS(5225),
    [anon_sym_template] = ACTIONS(5225),
    [anon_sym_operator] = ACTIONS(5225),
    [anon_sym_friend] = ACTIONS(5225),
    [anon_sym_public] = ACTIONS(5225),
    [anon_sym_private] = ACTIONS(5225),
    [anon_sym_protected] = ACTIONS(5225),
    [anon_sym_using] = ACTIONS(5225),
    [anon_sym_static_assert] = ACTIONS(5225),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(5241),
    [aux_sym_preproc_def_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token2] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5241),
    [sym_preproc_directive] = ACTIONS(5241),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_TILDE] = ACTIONS(5243),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_AMP] = ACTIONS(5241),
    [anon_sym_SEMI] = ACTIONS(5243),
    [anon_sym___extension__] = ACTIONS(5241),
    [anon_sym_typedef] = ACTIONS(5241),
    [anon_sym_virtual] = ACTIONS(5241),
    [anon_sym_extern] = ACTIONS(5241),
    [anon_sym___attribute__] = ACTIONS(5241),
    [anon_sym_COLON_COLON] = ACTIONS(5243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5243),
    [anon_sym___declspec] = ACTIONS(5241),
    [anon_sym___based] = ACTIONS(5241),
    [anon_sym_signed] = ACTIONS(5241),
    [anon_sym_unsigned] = ACTIONS(5241),
    [anon_sym_long] = ACTIONS(5241),
    [anon_sym_short] = ACTIONS(5241),
    [anon_sym_LBRACK] = ACTIONS(5241),
    [anon_sym_static] = ACTIONS(5241),
    [anon_sym_register] = ACTIONS(5241),
    [anon_sym_inline] = ACTIONS(5241),
    [anon_sym___inline] = ACTIONS(5241),
    [anon_sym___inline__] = ACTIONS(5241),
    [anon_sym___forceinline] = ACTIONS(5241),
    [anon_sym_thread_local] = ACTIONS(5241),
    [anon_sym___thread] = ACTIONS(5241),
    [anon_sym_const] = ACTIONS(5241),
    [anon_sym_constexpr] = ACTIONS(5241),
    [anon_sym_volatile] = ACTIONS(5241),
    [anon_sym_restrict] = ACTIONS(5241),
    [anon_sym___restrict__] = ACTIONS(5241),
    [anon_sym__Atomic] = ACTIONS(5241),
    [anon_sym__Noreturn] = ACTIONS(5241),
    [anon_sym_noreturn] = ACTIONS(5241),
    [anon_sym__Nonnull] = ACTIONS(5241),
    [anon_sym_mutable] = ACTIONS(5241),
    [anon_sym_constinit] = ACTIONS(5241),
    [anon_sym_consteval] = ACTIONS(5241),
    [anon_sym_alignas] = ACTIONS(5241),
    [anon_sym__Alignas] = ACTIONS(5241),
    [sym_primitive_type] = ACTIONS(5241),
    [anon_sym_enum] = ACTIONS(5241),
    [anon_sym_class] = ACTIONS(5241),
    [anon_sym_struct] = ACTIONS(5241),
    [anon_sym_union] = ACTIONS(5241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5241),
    [anon_sym_decltype] = ACTIONS(5241),
    [anon_sym_explicit] = ACTIONS(5241),
    [anon_sym_typename] = ACTIONS(5241),
    [anon_sym_template] = ACTIONS(5241),
    [anon_sym_operator] = ACTIONS(5241),
    [anon_sym_friend] = ACTIONS(5241),
    [anon_sym_public] = ACTIONS(5241),
    [anon_sym_private] = ACTIONS(5241),
    [anon_sym_protected] = ACTIONS(5241),
    [anon_sym_using] = ACTIONS(5241),
    [anon_sym_static_assert] = ACTIONS(5241),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(5330),
    [aux_sym_preproc_def_token1] = ACTIONS(5330),
    [aux_sym_preproc_if_token1] = ACTIONS(5330),
    [aux_sym_preproc_if_token2] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5330),
    [sym_preproc_directive] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(5332),
    [anon_sym_TILDE] = ACTIONS(5332),
    [anon_sym_STAR] = ACTIONS(5332),
    [anon_sym_AMP_AMP] = ACTIONS(5332),
    [anon_sym_AMP] = ACTIONS(5330),
    [anon_sym_SEMI] = ACTIONS(5332),
    [anon_sym___extension__] = ACTIONS(5330),
    [anon_sym_typedef] = ACTIONS(5330),
    [anon_sym_virtual] = ACTIONS(5330),
    [anon_sym_extern] = ACTIONS(5330),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5332),
    [anon_sym___declspec] = ACTIONS(5330),
    [anon_sym___based] = ACTIONS(5330),
    [anon_sym_signed] = ACTIONS(5330),
    [anon_sym_unsigned] = ACTIONS(5330),
    [anon_sym_long] = ACTIONS(5330),
    [anon_sym_short] = ACTIONS(5330),
    [anon_sym_LBRACK] = ACTIONS(5330),
    [anon_sym_static] = ACTIONS(5330),
    [anon_sym_register] = ACTIONS(5330),
    [anon_sym_inline] = ACTIONS(5330),
    [anon_sym___inline] = ACTIONS(5330),
    [anon_sym___inline__] = ACTIONS(5330),
    [anon_sym___forceinline] = ACTIONS(5330),
    [anon_sym_thread_local] = ACTIONS(5330),
    [anon_sym___thread] = ACTIONS(5330),
    [anon_sym_const] = ACTIONS(5330),
    [anon_sym_constexpr] = ACTIONS(5330),
    [anon_sym_volatile] = ACTIONS(5330),
    [anon_sym_restrict] = ACTIONS(5330),
    [anon_sym___restrict__] = ACTIONS(5330),
    [anon_sym__Atomic] = ACTIONS(5330),
    [anon_sym__Noreturn] = ACTIONS(5330),
    [anon_sym_noreturn] = ACTIONS(5330),
    [anon_sym__Nonnull] = ACTIONS(5330),
    [anon_sym_mutable] = ACTIONS(5330),
    [anon_sym_constinit] = ACTIONS(5330),
    [anon_sym_consteval] = ACTIONS(5330),
    [anon_sym_alignas] = ACTIONS(5330),
    [anon_sym__Alignas] = ACTIONS(5330),
    [sym_primitive_type] = ACTIONS(5330),
    [anon_sym_enum] = ACTIONS(5330),
    [anon_sym_class] = ACTIONS(5330),
    [anon_sym_struct] = ACTIONS(5330),
    [anon_sym_union] = ACTIONS(5330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5330),
    [anon_sym_decltype] = ACTIONS(5330),
    [anon_sym_explicit] = ACTIONS(5330),
    [anon_sym_typename] = ACTIONS(5330),
    [anon_sym_template] = ACTIONS(5330),
    [anon_sym_operator] = ACTIONS(5330),
    [anon_sym_friend] = ACTIONS(5330),
    [anon_sym_public] = ACTIONS(5330),
    [anon_sym_private] = ACTIONS(5330),
    [anon_sym_protected] = ACTIONS(5330),
    [anon_sym_using] = ACTIONS(5330),
    [anon_sym_static_assert] = ACTIONS(5330),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_TILDE] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym___extension__] = ACTIONS(5264),
    [anon_sym_typedef] = ACTIONS(5264),
    [anon_sym_virtual] = ACTIONS(5264),
    [anon_sym_extern] = ACTIONS(5264),
    [anon_sym___attribute__] = ACTIONS(5264),
    [anon_sym_COLON_COLON] = ACTIONS(5266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5266),
    [anon_sym___declspec] = ACTIONS(5264),
    [anon_sym___based] = ACTIONS(5264),
    [anon_sym_signed] = ACTIONS(5264),
    [anon_sym_unsigned] = ACTIONS(5264),
    [anon_sym_long] = ACTIONS(5264),
    [anon_sym_short] = ACTIONS(5264),
    [anon_sym_LBRACK] = ACTIONS(5264),
    [anon_sym_static] = ACTIONS(5264),
    [anon_sym_register] = ACTIONS(5264),
    [anon_sym_inline] = ACTIONS(5264),
    [anon_sym___inline] = ACTIONS(5264),
    [anon_sym___inline__] = ACTIONS(5264),
    [anon_sym___forceinline] = ACTIONS(5264),
    [anon_sym_thread_local] = ACTIONS(5264),
    [anon_sym___thread] = ACTIONS(5264),
    [anon_sym_const] = ACTIONS(5264),
    [anon_sym_constexpr] = ACTIONS(5264),
    [anon_sym_volatile] = ACTIONS(5264),
    [anon_sym_restrict] = ACTIONS(5264),
    [anon_sym___restrict__] = ACTIONS(5264),
    [anon_sym__Atomic] = ACTIONS(5264),
    [anon_sym__Noreturn] = ACTIONS(5264),
    [anon_sym_noreturn] = ACTIONS(5264),
    [anon_sym__Nonnull] = ACTIONS(5264),
    [anon_sym_mutable] = ACTIONS(5264),
    [anon_sym_constinit] = ACTIONS(5264),
    [anon_sym_consteval] = ACTIONS(5264),
    [anon_sym_alignas] = ACTIONS(5264),
    [anon_sym__Alignas] = ACTIONS(5264),
    [sym_primitive_type] = ACTIONS(5264),
    [anon_sym_enum] = ACTIONS(5264),
    [anon_sym_class] = ACTIONS(5264),
    [anon_sym_struct] = ACTIONS(5264),
    [anon_sym_union] = ACTIONS(5264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5264),
    [anon_sym_decltype] = ACTIONS(5264),
    [anon_sym_explicit] = ACTIONS(5264),
    [anon_sym_typename] = ACTIONS(5264),
    [anon_sym_template] = ACTIONS(5264),
    [anon_sym_operator] = ACTIONS(5264),
    [anon_sym_friend] = ACTIONS(5264),
    [anon_sym_public] = ACTIONS(5264),
    [anon_sym_private] = ACTIONS(5264),
    [anon_sym_protected] = ACTIONS(5264),
    [anon_sym_using] = ACTIONS(5264),
    [anon_sym_static_assert] = ACTIONS(5264),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_TILDE] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(5268),
    [anon_sym_typedef] = ACTIONS(5268),
    [anon_sym_virtual] = ACTIONS(5268),
    [anon_sym_extern] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym_COLON_COLON] = ACTIONS(5270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5270),
    [anon_sym___declspec] = ACTIONS(5268),
    [anon_sym___based] = ACTIONS(5268),
    [anon_sym_signed] = ACTIONS(5268),
    [anon_sym_unsigned] = ACTIONS(5268),
    [anon_sym_long] = ACTIONS(5268),
    [anon_sym_short] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_static] = ACTIONS(5268),
    [anon_sym_register] = ACTIONS(5268),
    [anon_sym_inline] = ACTIONS(5268),
    [anon_sym___inline] = ACTIONS(5268),
    [anon_sym___inline__] = ACTIONS(5268),
    [anon_sym___forceinline] = ACTIONS(5268),
    [anon_sym_thread_local] = ACTIONS(5268),
    [anon_sym___thread] = ACTIONS(5268),
    [anon_sym_const] = ACTIONS(5268),
    [anon_sym_constexpr] = ACTIONS(5268),
    [anon_sym_volatile] = ACTIONS(5268),
    [anon_sym_restrict] = ACTIONS(5268),
    [anon_sym___restrict__] = ACTIONS(5268),
    [anon_sym__Atomic] = ACTIONS(5268),
    [anon_sym__Noreturn] = ACTIONS(5268),
    [anon_sym_noreturn] = ACTIONS(5268),
    [anon_sym__Nonnull] = ACTIONS(5268),
    [anon_sym_mutable] = ACTIONS(5268),
    [anon_sym_constinit] = ACTIONS(5268),
    [anon_sym_consteval] = ACTIONS(5268),
    [anon_sym_alignas] = ACTIONS(5268),
    [anon_sym__Alignas] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(5268),
    [anon_sym_enum] = ACTIONS(5268),
    [anon_sym_class] = ACTIONS(5268),
    [anon_sym_struct] = ACTIONS(5268),
    [anon_sym_union] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
    [anon_sym_explicit] = ACTIONS(5268),
    [anon_sym_typename] = ACTIONS(5268),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_operator] = ACTIONS(5268),
    [anon_sym_friend] = ACTIONS(5268),
    [anon_sym_public] = ACTIONS(5268),
    [anon_sym_private] = ACTIONS(5268),
    [anon_sym_protected] = ACTIONS(5268),
    [anon_sym_using] = ACTIONS(5268),
    [anon_sym_static_assert] = ACTIONS(5268),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_TILDE] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(5268),
    [anon_sym_typedef] = ACTIONS(5268),
    [anon_sym_virtual] = ACTIONS(5268),
    [anon_sym_extern] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym_COLON_COLON] = ACTIONS(5270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5270),
    [anon_sym___declspec] = ACTIONS(5268),
    [anon_sym___based] = ACTIONS(5268),
    [anon_sym_signed] = ACTIONS(5268),
    [anon_sym_unsigned] = ACTIONS(5268),
    [anon_sym_long] = ACTIONS(5268),
    [anon_sym_short] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_static] = ACTIONS(5268),
    [anon_sym_register] = ACTIONS(5268),
    [anon_sym_inline] = ACTIONS(5268),
    [anon_sym___inline] = ACTIONS(5268),
    [anon_sym___inline__] = ACTIONS(5268),
    [anon_sym___forceinline] = ACTIONS(5268),
    [anon_sym_thread_local] = ACTIONS(5268),
    [anon_sym___thread] = ACTIONS(5268),
    [anon_sym_const] = ACTIONS(5268),
    [anon_sym_constexpr] = ACTIONS(5268),
    [anon_sym_volatile] = ACTIONS(5268),
    [anon_sym_restrict] = ACTIONS(5268),
    [anon_sym___restrict__] = ACTIONS(5268),
    [anon_sym__Atomic] = ACTIONS(5268),
    [anon_sym__Noreturn] = ACTIONS(5268),
    [anon_sym_noreturn] = ACTIONS(5268),
    [anon_sym__Nonnull] = ACTIONS(5268),
    [anon_sym_mutable] = ACTIONS(5268),
    [anon_sym_constinit] = ACTIONS(5268),
    [anon_sym_consteval] = ACTIONS(5268),
    [anon_sym_alignas] = ACTIONS(5268),
    [anon_sym__Alignas] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(5268),
    [anon_sym_enum] = ACTIONS(5268),
    [anon_sym_class] = ACTIONS(5268),
    [anon_sym_struct] = ACTIONS(5268),
    [anon_sym_union] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
    [anon_sym_explicit] = ACTIONS(5268),
    [anon_sym_typename] = ACTIONS(5268),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_operator] = ACTIONS(5268),
    [anon_sym_friend] = ACTIONS(5268),
    [anon_sym_public] = ACTIONS(5268),
    [anon_sym_private] = ACTIONS(5268),
    [anon_sym_protected] = ACTIONS(5268),
    [anon_sym_using] = ACTIONS(5268),
    [anon_sym_static_assert] = ACTIONS(5268),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_TILDE] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(5268),
    [anon_sym_typedef] = ACTIONS(5268),
    [anon_sym_virtual] = ACTIONS(5268),
    [anon_sym_extern] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym_COLON_COLON] = ACTIONS(5270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5270),
    [anon_sym___declspec] = ACTIONS(5268),
    [anon_sym___based] = ACTIONS(5268),
    [anon_sym_signed] = ACTIONS(5268),
    [anon_sym_unsigned] = ACTIONS(5268),
    [anon_sym_long] = ACTIONS(5268),
    [anon_sym_short] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_static] = ACTIONS(5268),
    [anon_sym_register] = ACTIONS(5268),
    [anon_sym_inline] = ACTIONS(5268),
    [anon_sym___inline] = ACTIONS(5268),
    [anon_sym___inline__] = ACTIONS(5268),
    [anon_sym___forceinline] = ACTIONS(5268),
    [anon_sym_thread_local] = ACTIONS(5268),
    [anon_sym___thread] = ACTIONS(5268),
    [anon_sym_const] = ACTIONS(5268),
    [anon_sym_constexpr] = ACTIONS(5268),
    [anon_sym_volatile] = ACTIONS(5268),
    [anon_sym_restrict] = ACTIONS(5268),
    [anon_sym___restrict__] = ACTIONS(5268),
    [anon_sym__Atomic] = ACTIONS(5268),
    [anon_sym__Noreturn] = ACTIONS(5268),
    [anon_sym_noreturn] = ACTIONS(5268),
    [anon_sym__Nonnull] = ACTIONS(5268),
    [anon_sym_mutable] = ACTIONS(5268),
    [anon_sym_constinit] = ACTIONS(5268),
    [anon_sym_consteval] = ACTIONS(5268),
    [anon_sym_alignas] = ACTIONS(5268),
    [anon_sym__Alignas] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(5268),
    [anon_sym_enum] = ACTIONS(5268),
    [anon_sym_class] = ACTIONS(5268),
    [anon_sym_struct] = ACTIONS(5268),
    [anon_sym_union] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
    [anon_sym_explicit] = ACTIONS(5268),
    [anon_sym_typename] = ACTIONS(5268),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_operator] = ACTIONS(5268),
    [anon_sym_friend] = ACTIONS(5268),
    [anon_sym_public] = ACTIONS(5268),
    [anon_sym_private] = ACTIONS(5268),
    [anon_sym_protected] = ACTIONS(5268),
    [anon_sym_using] = ACTIONS(5268),
    [anon_sym_static_assert] = ACTIONS(5268),
  },
  [1975] = {
    [sym_identifier] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5282),
    [anon_sym_TILDE] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_AMP_AMP] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [anon_sym___extension__] = ACTIONS(5280),
    [anon_sym_typedef] = ACTIONS(5280),
    [anon_sym_virtual] = ACTIONS(5280),
    [anon_sym_extern] = ACTIONS(5280),
    [anon_sym___attribute__] = ACTIONS(5280),
    [anon_sym_COLON_COLON] = ACTIONS(5282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5282),
    [anon_sym___declspec] = ACTIONS(5280),
    [anon_sym___based] = ACTIONS(5280),
    [anon_sym_RBRACE] = ACTIONS(5282),
    [anon_sym_signed] = ACTIONS(5280),
    [anon_sym_unsigned] = ACTIONS(5280),
    [anon_sym_long] = ACTIONS(5280),
    [anon_sym_short] = ACTIONS(5280),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_static] = ACTIONS(5280),
    [anon_sym_register] = ACTIONS(5280),
    [anon_sym_inline] = ACTIONS(5280),
    [anon_sym___inline] = ACTIONS(5280),
    [anon_sym___inline__] = ACTIONS(5280),
    [anon_sym___forceinline] = ACTIONS(5280),
    [anon_sym_thread_local] = ACTIONS(5280),
    [anon_sym___thread] = ACTIONS(5280),
    [anon_sym_const] = ACTIONS(5280),
    [anon_sym_constexpr] = ACTIONS(5280),
    [anon_sym_volatile] = ACTIONS(5280),
    [anon_sym_restrict] = ACTIONS(5280),
    [anon_sym___restrict__] = ACTIONS(5280),
    [anon_sym__Atomic] = ACTIONS(5280),
    [anon_sym__Noreturn] = ACTIONS(5280),
    [anon_sym_noreturn] = ACTIONS(5280),
    [anon_sym__Nonnull] = ACTIONS(5280),
    [anon_sym_mutable] = ACTIONS(5280),
    [anon_sym_constinit] = ACTIONS(5280),
    [anon_sym_consteval] = ACTIONS(5280),
    [anon_sym_alignas] = ACTIONS(5280),
    [anon_sym__Alignas] = ACTIONS(5280),
    [sym_primitive_type] = ACTIONS(5280),
    [anon_sym_enum] = ACTIONS(5280),
    [anon_sym_class] = ACTIONS(5280),
    [anon_sym_struct] = ACTIONS(5280),
    [anon_sym_union] = ACTIONS(5280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5280),
    [anon_sym_decltype] = ACTIONS(5280),
    [anon_sym_explicit] = ACTIONS(5280),
    [anon_sym_typename] = ACTIONS(5280),
    [anon_sym_template] = ACTIONS(5280),
    [anon_sym_operator] = ACTIONS(5280),
    [anon_sym_friend] = ACTIONS(5280),
    [anon_sym_public] = ACTIONS(5280),
    [anon_sym_private] = ACTIONS(5280),
    [anon_sym_protected] = ACTIONS(5280),
    [anon_sym_using] = ACTIONS(5280),
    [anon_sym_static_assert] = ACTIONS(5280),
  },
  [1976] = {
    [sym_identifier] = ACTIONS(2936),
    [aux_sym_preproc_def_token1] = ACTIONS(2936),
    [aux_sym_preproc_if_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2936),
    [sym_preproc_directive] = ACTIONS(2936),
    [anon_sym_LPAREN2] = ACTIONS(2938),
    [anon_sym_TILDE] = ACTIONS(2938),
    [anon_sym_STAR] = ACTIONS(2938),
    [anon_sym_AMP_AMP] = ACTIONS(2938),
    [anon_sym_AMP] = ACTIONS(2936),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym___extension__] = ACTIONS(2936),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_virtual] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2936),
    [anon_sym___attribute__] = ACTIONS(2936),
    [anon_sym_COLON_COLON] = ACTIONS(2938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2938),
    [anon_sym___declspec] = ACTIONS(2936),
    [anon_sym___based] = ACTIONS(2936),
    [anon_sym_RBRACE] = ACTIONS(2938),
    [anon_sym_signed] = ACTIONS(2936),
    [anon_sym_unsigned] = ACTIONS(2936),
    [anon_sym_long] = ACTIONS(2936),
    [anon_sym_short] = ACTIONS(2936),
    [anon_sym_LBRACK] = ACTIONS(2936),
    [anon_sym_static] = ACTIONS(2936),
    [anon_sym_register] = ACTIONS(2936),
    [anon_sym_inline] = ACTIONS(2936),
    [anon_sym___inline] = ACTIONS(2936),
    [anon_sym___inline__] = ACTIONS(2936),
    [anon_sym___forceinline] = ACTIONS(2936),
    [anon_sym_thread_local] = ACTIONS(2936),
    [anon_sym___thread] = ACTIONS(2936),
    [anon_sym_const] = ACTIONS(2936),
    [anon_sym_constexpr] = ACTIONS(2936),
    [anon_sym_volatile] = ACTIONS(2936),
    [anon_sym_restrict] = ACTIONS(2936),
    [anon_sym___restrict__] = ACTIONS(2936),
    [anon_sym__Atomic] = ACTIONS(2936),
    [anon_sym__Noreturn] = ACTIONS(2936),
    [anon_sym_noreturn] = ACTIONS(2936),
    [anon_sym__Nonnull] = ACTIONS(2936),
    [anon_sym_mutable] = ACTIONS(2936),
    [anon_sym_constinit] = ACTIONS(2936),
    [anon_sym_consteval] = ACTIONS(2936),
    [anon_sym_alignas] = ACTIONS(2936),
    [anon_sym__Alignas] = ACTIONS(2936),
    [sym_primitive_type] = ACTIONS(2936),
    [anon_sym_enum] = ACTIONS(2936),
    [anon_sym_class] = ACTIONS(2936),
    [anon_sym_struct] = ACTIONS(2936),
    [anon_sym_union] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2936),
    [anon_sym_decltype] = ACTIONS(2936),
    [anon_sym_explicit] = ACTIONS(2936),
    [anon_sym_typename] = ACTIONS(2936),
    [anon_sym_template] = ACTIONS(2936),
    [anon_sym_operator] = ACTIONS(2936),
    [anon_sym_friend] = ACTIONS(2936),
    [anon_sym_public] = ACTIONS(2936),
    [anon_sym_private] = ACTIONS(2936),
    [anon_sym_protected] = ACTIONS(2936),
    [anon_sym_using] = ACTIONS(2936),
    [anon_sym_static_assert] = ACTIONS(2936),
  },
  [1977] = {
    [sym_template_argument_list] = STATE(1574),
    [sym_identifier] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(4118),
    [anon_sym_TILDE] = ACTIONS(4118),
    [anon_sym_STAR] = ACTIONS(4118),
    [anon_sym_PIPE_PIPE] = ACTIONS(4118),
    [anon_sym_AMP_AMP] = ACTIONS(4118),
    [anon_sym_AMP] = ACTIONS(5592),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym___extension__] = ACTIONS(5592),
    [anon_sym_virtual] = ACTIONS(5592),
    [anon_sym_extern] = ACTIONS(5592),
    [anon_sym___attribute__] = ACTIONS(5592),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4118),
    [anon_sym___declspec] = ACTIONS(5592),
    [anon_sym___based] = ACTIONS(5592),
    [anon_sym___cdecl] = ACTIONS(5592),
    [anon_sym___clrcall] = ACTIONS(5592),
    [anon_sym___stdcall] = ACTIONS(5592),
    [anon_sym___fastcall] = ACTIONS(5592),
    [anon_sym___thiscall] = ACTIONS(5592),
    [anon_sym___vectorcall] = ACTIONS(5592),
    [anon_sym_signed] = ACTIONS(5592),
    [anon_sym_unsigned] = ACTIONS(5592),
    [anon_sym_long] = ACTIONS(5592),
    [anon_sym_short] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_static] = ACTIONS(5592),
    [anon_sym_register] = ACTIONS(5592),
    [anon_sym_inline] = ACTIONS(5592),
    [anon_sym___inline] = ACTIONS(5592),
    [anon_sym___inline__] = ACTIONS(5592),
    [anon_sym___forceinline] = ACTIONS(5592),
    [anon_sym_thread_local] = ACTIONS(5592),
    [anon_sym___thread] = ACTIONS(5592),
    [anon_sym_const] = ACTIONS(5592),
    [anon_sym_constexpr] = ACTIONS(5592),
    [anon_sym_volatile] = ACTIONS(5592),
    [anon_sym_restrict] = ACTIONS(5592),
    [anon_sym___restrict__] = ACTIONS(5592),
    [anon_sym__Atomic] = ACTIONS(5592),
    [anon_sym__Noreturn] = ACTIONS(5592),
    [anon_sym_noreturn] = ACTIONS(5592),
    [anon_sym__Nonnull] = ACTIONS(5592),
    [anon_sym_mutable] = ACTIONS(5592),
    [anon_sym_constinit] = ACTIONS(5592),
    [anon_sym_consteval] = ACTIONS(5592),
    [anon_sym_alignas] = ACTIONS(5592),
    [anon_sym__Alignas] = ACTIONS(5592),
    [sym_primitive_type] = ACTIONS(5592),
    [anon_sym_enum] = ACTIONS(5592),
    [anon_sym_class] = ACTIONS(5592),
    [anon_sym_struct] = ACTIONS(5592),
    [anon_sym_union] = ACTIONS(5592),
    [anon_sym_or] = ACTIONS(5592),
    [anon_sym_and] = ACTIONS(5592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5592),
    [anon_sym_decltype] = ACTIONS(5592),
    [anon_sym_explicit] = ACTIONS(5592),
    [anon_sym_typename] = ACTIONS(5592),
    [anon_sym_template] = ACTIONS(5592),
    [anon_sym_operator] = ACTIONS(5592),
    [anon_sym_friend] = ACTIONS(5592),
    [anon_sym_using] = ACTIONS(5592),
    [anon_sym_concept] = ACTIONS(5592),
  },
  [1978] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_friend] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_friend] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
  },
  [1980] = {
    [sym_identifier] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token2] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_TILDE] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym___extension__] = ACTIONS(5264),
    [anon_sym_typedef] = ACTIONS(5264),
    [anon_sym_virtual] = ACTIONS(5264),
    [anon_sym_extern] = ACTIONS(5264),
    [anon_sym___attribute__] = ACTIONS(5264),
    [anon_sym_COLON_COLON] = ACTIONS(5266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5266),
    [anon_sym___declspec] = ACTIONS(5264),
    [anon_sym___based] = ACTIONS(5264),
    [anon_sym_signed] = ACTIONS(5264),
    [anon_sym_unsigned] = ACTIONS(5264),
    [anon_sym_long] = ACTIONS(5264),
    [anon_sym_short] = ACTIONS(5264),
    [anon_sym_LBRACK] = ACTIONS(5264),
    [anon_sym_static] = ACTIONS(5264),
    [anon_sym_register] = ACTIONS(5264),
    [anon_sym_inline] = ACTIONS(5264),
    [anon_sym___inline] = ACTIONS(5264),
    [anon_sym___inline__] = ACTIONS(5264),
    [anon_sym___forceinline] = ACTIONS(5264),
    [anon_sym_thread_local] = ACTIONS(5264),
    [anon_sym___thread] = ACTIONS(5264),
    [anon_sym_const] = ACTIONS(5264),
    [anon_sym_constexpr] = ACTIONS(5264),
    [anon_sym_volatile] = ACTIONS(5264),
    [anon_sym_restrict] = ACTIONS(5264),
    [anon_sym___restrict__] = ACTIONS(5264),
    [anon_sym__Atomic] = ACTIONS(5264),
    [anon_sym__Noreturn] = ACTIONS(5264),
    [anon_sym_noreturn] = ACTIONS(5264),
    [anon_sym__Nonnull] = ACTIONS(5264),
    [anon_sym_mutable] = ACTIONS(5264),
    [anon_sym_constinit] = ACTIONS(5264),
    [anon_sym_consteval] = ACTIONS(5264),
    [anon_sym_alignas] = ACTIONS(5264),
    [anon_sym__Alignas] = ACTIONS(5264),
    [sym_primitive_type] = ACTIONS(5264),
    [anon_sym_enum] = ACTIONS(5264),
    [anon_sym_class] = ACTIONS(5264),
    [anon_sym_struct] = ACTIONS(5264),
    [anon_sym_union] = ACTIONS(5264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5264),
    [anon_sym_decltype] = ACTIONS(5264),
    [anon_sym_explicit] = ACTIONS(5264),
    [anon_sym_typename] = ACTIONS(5264),
    [anon_sym_template] = ACTIONS(5264),
    [anon_sym_operator] = ACTIONS(5264),
    [anon_sym_friend] = ACTIONS(5264),
    [anon_sym_public] = ACTIONS(5264),
    [anon_sym_private] = ACTIONS(5264),
    [anon_sym_protected] = ACTIONS(5264),
    [anon_sym_using] = ACTIONS(5264),
    [anon_sym_static_assert] = ACTIONS(5264),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5274),
    [anon_sym_TILDE] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5274),
    [anon_sym_AMP_AMP] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [anon_sym___extension__] = ACTIONS(5272),
    [anon_sym_typedef] = ACTIONS(5272),
    [anon_sym_virtual] = ACTIONS(5272),
    [anon_sym_extern] = ACTIONS(5272),
    [anon_sym___attribute__] = ACTIONS(5272),
    [anon_sym_COLON_COLON] = ACTIONS(5274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5274),
    [anon_sym___declspec] = ACTIONS(5272),
    [anon_sym___based] = ACTIONS(5272),
    [anon_sym_signed] = ACTIONS(5272),
    [anon_sym_unsigned] = ACTIONS(5272),
    [anon_sym_long] = ACTIONS(5272),
    [anon_sym_short] = ACTIONS(5272),
    [anon_sym_LBRACK] = ACTIONS(5272),
    [anon_sym_static] = ACTIONS(5272),
    [anon_sym_register] = ACTIONS(5272),
    [anon_sym_inline] = ACTIONS(5272),
    [anon_sym___inline] = ACTIONS(5272),
    [anon_sym___inline__] = ACTIONS(5272),
    [anon_sym___forceinline] = ACTIONS(5272),
    [anon_sym_thread_local] = ACTIONS(5272),
    [anon_sym___thread] = ACTIONS(5272),
    [anon_sym_const] = ACTIONS(5272),
    [anon_sym_constexpr] = ACTIONS(5272),
    [anon_sym_volatile] = ACTIONS(5272),
    [anon_sym_restrict] = ACTIONS(5272),
    [anon_sym___restrict__] = ACTIONS(5272),
    [anon_sym__Atomic] = ACTIONS(5272),
    [anon_sym__Noreturn] = ACTIONS(5272),
    [anon_sym_noreturn] = ACTIONS(5272),
    [anon_sym__Nonnull] = ACTIONS(5272),
    [anon_sym_mutable] = ACTIONS(5272),
    [anon_sym_constinit] = ACTIONS(5272),
    [anon_sym_consteval] = ACTIONS(5272),
    [anon_sym_alignas] = ACTIONS(5272),
    [anon_sym__Alignas] = ACTIONS(5272),
    [sym_primitive_type] = ACTIONS(5272),
    [anon_sym_enum] = ACTIONS(5272),
    [anon_sym_class] = ACTIONS(5272),
    [anon_sym_struct] = ACTIONS(5272),
    [anon_sym_union] = ACTIONS(5272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5272),
    [anon_sym_decltype] = ACTIONS(5272),
    [anon_sym_explicit] = ACTIONS(5272),
    [anon_sym_typename] = ACTIONS(5272),
    [anon_sym_template] = ACTIONS(5272),
    [anon_sym_operator] = ACTIONS(5272),
    [anon_sym_friend] = ACTIONS(5272),
    [anon_sym_public] = ACTIONS(5272),
    [anon_sym_private] = ACTIONS(5272),
    [anon_sym_protected] = ACTIONS(5272),
    [anon_sym_using] = ACTIONS(5272),
    [anon_sym_static_assert] = ACTIONS(5272),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token2] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5278),
    [anon_sym_TILDE] = ACTIONS(5278),
    [anon_sym_STAR] = ACTIONS(5278),
    [anon_sym_AMP_AMP] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [anon_sym___extension__] = ACTIONS(5276),
    [anon_sym_typedef] = ACTIONS(5276),
    [anon_sym_virtual] = ACTIONS(5276),
    [anon_sym_extern] = ACTIONS(5276),
    [anon_sym___attribute__] = ACTIONS(5276),
    [anon_sym_COLON_COLON] = ACTIONS(5278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5278),
    [anon_sym___declspec] = ACTIONS(5276),
    [anon_sym___based] = ACTIONS(5276),
    [anon_sym_signed] = ACTIONS(5276),
    [anon_sym_unsigned] = ACTIONS(5276),
    [anon_sym_long] = ACTIONS(5276),
    [anon_sym_short] = ACTIONS(5276),
    [anon_sym_LBRACK] = ACTIONS(5276),
    [anon_sym_static] = ACTIONS(5276),
    [anon_sym_register] = ACTIONS(5276),
    [anon_sym_inline] = ACTIONS(5276),
    [anon_sym___inline] = ACTIONS(5276),
    [anon_sym___inline__] = ACTIONS(5276),
    [anon_sym___forceinline] = ACTIONS(5276),
    [anon_sym_thread_local] = ACTIONS(5276),
    [anon_sym___thread] = ACTIONS(5276),
    [anon_sym_const] = ACTIONS(5276),
    [anon_sym_constexpr] = ACTIONS(5276),
    [anon_sym_volatile] = ACTIONS(5276),
    [anon_sym_restrict] = ACTIONS(5276),
    [anon_sym___restrict__] = ACTIONS(5276),
    [anon_sym__Atomic] = ACTIONS(5276),
    [anon_sym__Noreturn] = ACTIONS(5276),
    [anon_sym_noreturn] = ACTIONS(5276),
    [anon_sym__Nonnull] = ACTIONS(5276),
    [anon_sym_mutable] = ACTIONS(5276),
    [anon_sym_constinit] = ACTIONS(5276),
    [anon_sym_consteval] = ACTIONS(5276),
    [anon_sym_alignas] = ACTIONS(5276),
    [anon_sym__Alignas] = ACTIONS(5276),
    [sym_primitive_type] = ACTIONS(5276),
    [anon_sym_enum] = ACTIONS(5276),
    [anon_sym_class] = ACTIONS(5276),
    [anon_sym_struct] = ACTIONS(5276),
    [anon_sym_union] = ACTIONS(5276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5276),
    [anon_sym_decltype] = ACTIONS(5276),
    [anon_sym_explicit] = ACTIONS(5276),
    [anon_sym_typename] = ACTIONS(5276),
    [anon_sym_template] = ACTIONS(5276),
    [anon_sym_operator] = ACTIONS(5276),
    [anon_sym_friend] = ACTIONS(5276),
    [anon_sym_public] = ACTIONS(5276),
    [anon_sym_private] = ACTIONS(5276),
    [anon_sym_protected] = ACTIONS(5276),
    [anon_sym_using] = ACTIONS(5276),
    [anon_sym_static_assert] = ACTIONS(5276),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(5370),
    [aux_sym_preproc_def_token1] = ACTIONS(5370),
    [aux_sym_preproc_if_token1] = ACTIONS(5370),
    [aux_sym_preproc_if_token2] = ACTIONS(5370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5370),
    [sym_preproc_directive] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5372),
    [anon_sym_TILDE] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_AMP_AMP] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5370),
    [anon_sym_SEMI] = ACTIONS(5372),
    [anon_sym___extension__] = ACTIONS(5370),
    [anon_sym_typedef] = ACTIONS(5370),
    [anon_sym_virtual] = ACTIONS(5370),
    [anon_sym_extern] = ACTIONS(5370),
    [anon_sym___attribute__] = ACTIONS(5370),
    [anon_sym_COLON_COLON] = ACTIONS(5372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5372),
    [anon_sym___declspec] = ACTIONS(5370),
    [anon_sym___based] = ACTIONS(5370),
    [anon_sym_signed] = ACTIONS(5370),
    [anon_sym_unsigned] = ACTIONS(5370),
    [anon_sym_long] = ACTIONS(5370),
    [anon_sym_short] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [anon_sym_static] = ACTIONS(5370),
    [anon_sym_register] = ACTIONS(5370),
    [anon_sym_inline] = ACTIONS(5370),
    [anon_sym___inline] = ACTIONS(5370),
    [anon_sym___inline__] = ACTIONS(5370),
    [anon_sym___forceinline] = ACTIONS(5370),
    [anon_sym_thread_local] = ACTIONS(5370),
    [anon_sym___thread] = ACTIONS(5370),
    [anon_sym_const] = ACTIONS(5370),
    [anon_sym_constexpr] = ACTIONS(5370),
    [anon_sym_volatile] = ACTIONS(5370),
    [anon_sym_restrict] = ACTIONS(5370),
    [anon_sym___restrict__] = ACTIONS(5370),
    [anon_sym__Atomic] = ACTIONS(5370),
    [anon_sym__Noreturn] = ACTIONS(5370),
    [anon_sym_noreturn] = ACTIONS(5370),
    [anon_sym__Nonnull] = ACTIONS(5370),
    [anon_sym_mutable] = ACTIONS(5370),
    [anon_sym_constinit] = ACTIONS(5370),
    [anon_sym_consteval] = ACTIONS(5370),
    [anon_sym_alignas] = ACTIONS(5370),
    [anon_sym__Alignas] = ACTIONS(5370),
    [sym_primitive_type] = ACTIONS(5370),
    [anon_sym_enum] = ACTIONS(5370),
    [anon_sym_class] = ACTIONS(5370),
    [anon_sym_struct] = ACTIONS(5370),
    [anon_sym_union] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5370),
    [anon_sym_decltype] = ACTIONS(5370),
    [anon_sym_explicit] = ACTIONS(5370),
    [anon_sym_typename] = ACTIONS(5370),
    [anon_sym_template] = ACTIONS(5370),
    [anon_sym_operator] = ACTIONS(5370),
    [anon_sym_friend] = ACTIONS(5370),
    [anon_sym_public] = ACTIONS(5370),
    [anon_sym_private] = ACTIONS(5370),
    [anon_sym_protected] = ACTIONS(5370),
    [anon_sym_using] = ACTIONS(5370),
    [anon_sym_static_assert] = ACTIONS(5370),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(5280),
    [aux_sym_preproc_def_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token1] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5280),
    [sym_preproc_directive] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5282),
    [anon_sym_TILDE] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_AMP_AMP] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [anon_sym___extension__] = ACTIONS(5280),
    [anon_sym_typedef] = ACTIONS(5280),
    [anon_sym_virtual] = ACTIONS(5280),
    [anon_sym_extern] = ACTIONS(5280),
    [anon_sym___attribute__] = ACTIONS(5280),
    [anon_sym_COLON_COLON] = ACTIONS(5282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5282),
    [anon_sym___declspec] = ACTIONS(5280),
    [anon_sym___based] = ACTIONS(5280),
    [anon_sym_signed] = ACTIONS(5280),
    [anon_sym_unsigned] = ACTIONS(5280),
    [anon_sym_long] = ACTIONS(5280),
    [anon_sym_short] = ACTIONS(5280),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_static] = ACTIONS(5280),
    [anon_sym_register] = ACTIONS(5280),
    [anon_sym_inline] = ACTIONS(5280),
    [anon_sym___inline] = ACTIONS(5280),
    [anon_sym___inline__] = ACTIONS(5280),
    [anon_sym___forceinline] = ACTIONS(5280),
    [anon_sym_thread_local] = ACTIONS(5280),
    [anon_sym___thread] = ACTIONS(5280),
    [anon_sym_const] = ACTIONS(5280),
    [anon_sym_constexpr] = ACTIONS(5280),
    [anon_sym_volatile] = ACTIONS(5280),
    [anon_sym_restrict] = ACTIONS(5280),
    [anon_sym___restrict__] = ACTIONS(5280),
    [anon_sym__Atomic] = ACTIONS(5280),
    [anon_sym__Noreturn] = ACTIONS(5280),
    [anon_sym_noreturn] = ACTIONS(5280),
    [anon_sym__Nonnull] = ACTIONS(5280),
    [anon_sym_mutable] = ACTIONS(5280),
    [anon_sym_constinit] = ACTIONS(5280),
    [anon_sym_consteval] = ACTIONS(5280),
    [anon_sym_alignas] = ACTIONS(5280),
    [anon_sym__Alignas] = ACTIONS(5280),
    [sym_primitive_type] = ACTIONS(5280),
    [anon_sym_enum] = ACTIONS(5280),
    [anon_sym_class] = ACTIONS(5280),
    [anon_sym_struct] = ACTIONS(5280),
    [anon_sym_union] = ACTIONS(5280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5280),
    [anon_sym_decltype] = ACTIONS(5280),
    [anon_sym_explicit] = ACTIONS(5280),
    [anon_sym_typename] = ACTIONS(5280),
    [anon_sym_template] = ACTIONS(5280),
    [anon_sym_operator] = ACTIONS(5280),
    [anon_sym_friend] = ACTIONS(5280),
    [anon_sym_public] = ACTIONS(5280),
    [anon_sym_private] = ACTIONS(5280),
    [anon_sym_protected] = ACTIONS(5280),
    [anon_sym_using] = ACTIONS(5280),
    [anon_sym_static_assert] = ACTIONS(5280),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token2] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5310),
    [anon_sym_TILDE] = ACTIONS(5310),
    [anon_sym_STAR] = ACTIONS(5310),
    [anon_sym_AMP_AMP] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(5310),
    [anon_sym___extension__] = ACTIONS(5308),
    [anon_sym_typedef] = ACTIONS(5308),
    [anon_sym_virtual] = ACTIONS(5308),
    [anon_sym_extern] = ACTIONS(5308),
    [anon_sym___attribute__] = ACTIONS(5308),
    [anon_sym_COLON_COLON] = ACTIONS(5310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5310),
    [anon_sym___declspec] = ACTIONS(5308),
    [anon_sym___based] = ACTIONS(5308),
    [anon_sym_signed] = ACTIONS(5308),
    [anon_sym_unsigned] = ACTIONS(5308),
    [anon_sym_long] = ACTIONS(5308),
    [anon_sym_short] = ACTIONS(5308),
    [anon_sym_LBRACK] = ACTIONS(5308),
    [anon_sym_static] = ACTIONS(5308),
    [anon_sym_register] = ACTIONS(5308),
    [anon_sym_inline] = ACTIONS(5308),
    [anon_sym___inline] = ACTIONS(5308),
    [anon_sym___inline__] = ACTIONS(5308),
    [anon_sym___forceinline] = ACTIONS(5308),
    [anon_sym_thread_local] = ACTIONS(5308),
    [anon_sym___thread] = ACTIONS(5308),
    [anon_sym_const] = ACTIONS(5308),
    [anon_sym_constexpr] = ACTIONS(5308),
    [anon_sym_volatile] = ACTIONS(5308),
    [anon_sym_restrict] = ACTIONS(5308),
    [anon_sym___restrict__] = ACTIONS(5308),
    [anon_sym__Atomic] = ACTIONS(5308),
    [anon_sym__Noreturn] = ACTIONS(5308),
    [anon_sym_noreturn] = ACTIONS(5308),
    [anon_sym__Nonnull] = ACTIONS(5308),
    [anon_sym_mutable] = ACTIONS(5308),
    [anon_sym_constinit] = ACTIONS(5308),
    [anon_sym_consteval] = ACTIONS(5308),
    [anon_sym_alignas] = ACTIONS(5308),
    [anon_sym__Alignas] = ACTIONS(5308),
    [sym_primitive_type] = ACTIONS(5308),
    [anon_sym_enum] = ACTIONS(5308),
    [anon_sym_class] = ACTIONS(5308),
    [anon_sym_struct] = ACTIONS(5308),
    [anon_sym_union] = ACTIONS(5308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5308),
    [anon_sym_decltype] = ACTIONS(5308),
    [anon_sym_explicit] = ACTIONS(5308),
    [anon_sym_typename] = ACTIONS(5308),
    [anon_sym_template] = ACTIONS(5308),
    [anon_sym_operator] = ACTIONS(5308),
    [anon_sym_friend] = ACTIONS(5308),
    [anon_sym_public] = ACTIONS(5308),
    [anon_sym_private] = ACTIONS(5308),
    [anon_sym_protected] = ACTIONS(5308),
    [anon_sym_using] = ACTIONS(5308),
    [anon_sym_static_assert] = ACTIONS(5308),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_friend] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(3064),
    [aux_sym_preproc_def_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token1] = ACTIONS(3064),
    [aux_sym_preproc_if_token2] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3064),
    [sym_preproc_directive] = ACTIONS(3064),
    [anon_sym_LPAREN2] = ACTIONS(3066),
    [anon_sym_TILDE] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3064),
    [anon_sym_typedef] = ACTIONS(3064),
    [anon_sym_virtual] = ACTIONS(3064),
    [anon_sym_extern] = ACTIONS(3064),
    [anon_sym___attribute__] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3066),
    [anon_sym___declspec] = ACTIONS(3064),
    [anon_sym___based] = ACTIONS(3064),
    [anon_sym_signed] = ACTIONS(3064),
    [anon_sym_unsigned] = ACTIONS(3064),
    [anon_sym_long] = ACTIONS(3064),
    [anon_sym_short] = ACTIONS(3064),
    [anon_sym_LBRACK] = ACTIONS(3064),
    [anon_sym_static] = ACTIONS(3064),
    [anon_sym_register] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym___inline] = ACTIONS(3064),
    [anon_sym___inline__] = ACTIONS(3064),
    [anon_sym___forceinline] = ACTIONS(3064),
    [anon_sym_thread_local] = ACTIONS(3064),
    [anon_sym___thread] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_constexpr] = ACTIONS(3064),
    [anon_sym_volatile] = ACTIONS(3064),
    [anon_sym_restrict] = ACTIONS(3064),
    [anon_sym___restrict__] = ACTIONS(3064),
    [anon_sym__Atomic] = ACTIONS(3064),
    [anon_sym__Noreturn] = ACTIONS(3064),
    [anon_sym_noreturn] = ACTIONS(3064),
    [anon_sym__Nonnull] = ACTIONS(3064),
    [anon_sym_mutable] = ACTIONS(3064),
    [anon_sym_constinit] = ACTIONS(3064),
    [anon_sym_consteval] = ACTIONS(3064),
    [anon_sym_alignas] = ACTIONS(3064),
    [anon_sym__Alignas] = ACTIONS(3064),
    [sym_primitive_type] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_class] = ACTIONS(3064),
    [anon_sym_struct] = ACTIONS(3064),
    [anon_sym_union] = ACTIONS(3064),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3064),
    [anon_sym_decltype] = ACTIONS(3064),
    [anon_sym_explicit] = ACTIONS(3064),
    [anon_sym_typename] = ACTIONS(3064),
    [anon_sym_template] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_friend] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_using] = ACTIONS(3064),
    [anon_sym_static_assert] = ACTIONS(3064),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(2924),
    [aux_sym_preproc_def_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token1] = ACTIONS(2924),
    [aux_sym_preproc_if_token2] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2924),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2924),
    [sym_preproc_directive] = ACTIONS(2924),
    [anon_sym_LPAREN2] = ACTIONS(2926),
    [anon_sym_TILDE] = ACTIONS(2926),
    [anon_sym_STAR] = ACTIONS(2926),
    [anon_sym_AMP_AMP] = ACTIONS(2926),
    [anon_sym_AMP] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym___extension__] = ACTIONS(2924),
    [anon_sym_typedef] = ACTIONS(2924),
    [anon_sym_virtual] = ACTIONS(2924),
    [anon_sym_extern] = ACTIONS(2924),
    [anon_sym___attribute__] = ACTIONS(2924),
    [anon_sym_COLON_COLON] = ACTIONS(2926),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2926),
    [anon_sym___declspec] = ACTIONS(2924),
    [anon_sym___based] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(2924),
    [anon_sym_unsigned] = ACTIONS(2924),
    [anon_sym_long] = ACTIONS(2924),
    [anon_sym_short] = ACTIONS(2924),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_static] = ACTIONS(2924),
    [anon_sym_register] = ACTIONS(2924),
    [anon_sym_inline] = ACTIONS(2924),
    [anon_sym___inline] = ACTIONS(2924),
    [anon_sym___inline__] = ACTIONS(2924),
    [anon_sym___forceinline] = ACTIONS(2924),
    [anon_sym_thread_local] = ACTIONS(2924),
    [anon_sym___thread] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(2924),
    [anon_sym_constexpr] = ACTIONS(2924),
    [anon_sym_volatile] = ACTIONS(2924),
    [anon_sym_restrict] = ACTIONS(2924),
    [anon_sym___restrict__] = ACTIONS(2924),
    [anon_sym__Atomic] = ACTIONS(2924),
    [anon_sym__Noreturn] = ACTIONS(2924),
    [anon_sym_noreturn] = ACTIONS(2924),
    [anon_sym__Nonnull] = ACTIONS(2924),
    [anon_sym_mutable] = ACTIONS(2924),
    [anon_sym_constinit] = ACTIONS(2924),
    [anon_sym_consteval] = ACTIONS(2924),
    [anon_sym_alignas] = ACTIONS(2924),
    [anon_sym__Alignas] = ACTIONS(2924),
    [sym_primitive_type] = ACTIONS(2924),
    [anon_sym_enum] = ACTIONS(2924),
    [anon_sym_class] = ACTIONS(2924),
    [anon_sym_struct] = ACTIONS(2924),
    [anon_sym_union] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2924),
    [anon_sym_decltype] = ACTIONS(2924),
    [anon_sym_explicit] = ACTIONS(2924),
    [anon_sym_typename] = ACTIONS(2924),
    [anon_sym_template] = ACTIONS(2924),
    [anon_sym_operator] = ACTIONS(2924),
    [anon_sym_friend] = ACTIONS(2924),
    [anon_sym_public] = ACTIONS(2924),
    [anon_sym_private] = ACTIONS(2924),
    [anon_sym_protected] = ACTIONS(2924),
    [anon_sym_using] = ACTIONS(2924),
    [anon_sym_static_assert] = ACTIONS(2924),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5392),
    [aux_sym_preproc_def_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token1] = ACTIONS(5392),
    [aux_sym_preproc_if_token2] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5392),
    [sym_preproc_directive] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_TILDE] = ACTIONS(5394),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_AMP_AMP] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_SEMI] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(5392),
    [anon_sym_typedef] = ACTIONS(5392),
    [anon_sym_virtual] = ACTIONS(5392),
    [anon_sym_extern] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5392),
    [anon_sym_COLON_COLON] = ACTIONS(5394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5394),
    [anon_sym___declspec] = ACTIONS(5392),
    [anon_sym___based] = ACTIONS(5392),
    [anon_sym_signed] = ACTIONS(5392),
    [anon_sym_unsigned] = ACTIONS(5392),
    [anon_sym_long] = ACTIONS(5392),
    [anon_sym_short] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5392),
    [anon_sym_static] = ACTIONS(5392),
    [anon_sym_register] = ACTIONS(5392),
    [anon_sym_inline] = ACTIONS(5392),
    [anon_sym___inline] = ACTIONS(5392),
    [anon_sym___inline__] = ACTIONS(5392),
    [anon_sym___forceinline] = ACTIONS(5392),
    [anon_sym_thread_local] = ACTIONS(5392),
    [anon_sym___thread] = ACTIONS(5392),
    [anon_sym_const] = ACTIONS(5392),
    [anon_sym_constexpr] = ACTIONS(5392),
    [anon_sym_volatile] = ACTIONS(5392),
    [anon_sym_restrict] = ACTIONS(5392),
    [anon_sym___restrict__] = ACTIONS(5392),
    [anon_sym__Atomic] = ACTIONS(5392),
    [anon_sym__Noreturn] = ACTIONS(5392),
    [anon_sym_noreturn] = ACTIONS(5392),
    [anon_sym__Nonnull] = ACTIONS(5392),
    [anon_sym_mutable] = ACTIONS(5392),
    [anon_sym_constinit] = ACTIONS(5392),
    [anon_sym_consteval] = ACTIONS(5392),
    [anon_sym_alignas] = ACTIONS(5392),
    [anon_sym__Alignas] = ACTIONS(5392),
    [sym_primitive_type] = ACTIONS(5392),
    [anon_sym_enum] = ACTIONS(5392),
    [anon_sym_class] = ACTIONS(5392),
    [anon_sym_struct] = ACTIONS(5392),
    [anon_sym_union] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5392),
    [anon_sym_decltype] = ACTIONS(5392),
    [anon_sym_explicit] = ACTIONS(5392),
    [anon_sym_typename] = ACTIONS(5392),
    [anon_sym_template] = ACTIONS(5392),
    [anon_sym_operator] = ACTIONS(5392),
    [anon_sym_friend] = ACTIONS(5392),
    [anon_sym_public] = ACTIONS(5392),
    [anon_sym_private] = ACTIONS(5392),
    [anon_sym_protected] = ACTIONS(5392),
    [anon_sym_using] = ACTIONS(5392),
    [anon_sym_static_assert] = ACTIONS(5392),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(3119),
    [aux_sym_preproc_def_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token2] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3119),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3119),
    [sym_preproc_directive] = ACTIONS(3119),
    [anon_sym_LPAREN2] = ACTIONS(3121),
    [anon_sym_TILDE] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(3121),
    [anon_sym_AMP_AMP] = ACTIONS(3121),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3121),
    [anon_sym___extension__] = ACTIONS(3119),
    [anon_sym_typedef] = ACTIONS(3119),
    [anon_sym_virtual] = ACTIONS(3119),
    [anon_sym_extern] = ACTIONS(3119),
    [anon_sym___attribute__] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3121),
    [anon_sym___declspec] = ACTIONS(3119),
    [anon_sym___based] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3119),
    [anon_sym_unsigned] = ACTIONS(3119),
    [anon_sym_long] = ACTIONS(3119),
    [anon_sym_short] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_static] = ACTIONS(3119),
    [anon_sym_register] = ACTIONS(3119),
    [anon_sym_inline] = ACTIONS(3119),
    [anon_sym___inline] = ACTIONS(3119),
    [anon_sym___inline__] = ACTIONS(3119),
    [anon_sym___forceinline] = ACTIONS(3119),
    [anon_sym_thread_local] = ACTIONS(3119),
    [anon_sym___thread] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_constexpr] = ACTIONS(3119),
    [anon_sym_volatile] = ACTIONS(3119),
    [anon_sym_restrict] = ACTIONS(3119),
    [anon_sym___restrict__] = ACTIONS(3119),
    [anon_sym__Atomic] = ACTIONS(3119),
    [anon_sym__Noreturn] = ACTIONS(3119),
    [anon_sym_noreturn] = ACTIONS(3119),
    [anon_sym__Nonnull] = ACTIONS(3119),
    [anon_sym_mutable] = ACTIONS(3119),
    [anon_sym_constinit] = ACTIONS(3119),
    [anon_sym_consteval] = ACTIONS(3119),
    [anon_sym_alignas] = ACTIONS(3119),
    [anon_sym__Alignas] = ACTIONS(3119),
    [sym_primitive_type] = ACTIONS(3119),
    [anon_sym_enum] = ACTIONS(3119),
    [anon_sym_class] = ACTIONS(3119),
    [anon_sym_struct] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3119),
    [anon_sym_decltype] = ACTIONS(3119),
    [anon_sym_explicit] = ACTIONS(3119),
    [anon_sym_typename] = ACTIONS(3119),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_operator] = ACTIONS(3119),
    [anon_sym_friend] = ACTIONS(3119),
    [anon_sym_public] = ACTIONS(3119),
    [anon_sym_private] = ACTIONS(3119),
    [anon_sym_protected] = ACTIONS(3119),
    [anon_sym_using] = ACTIONS(3119),
    [anon_sym_static_assert] = ACTIONS(3119),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(3040),
    [aux_sym_preproc_def_token1] = ACTIONS(3040),
    [aux_sym_preproc_if_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3040),
    [sym_preproc_directive] = ACTIONS(3040),
    [anon_sym_LPAREN2] = ACTIONS(3042),
    [anon_sym_TILDE] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym___extension__] = ACTIONS(3040),
    [anon_sym_typedef] = ACTIONS(3040),
    [anon_sym_virtual] = ACTIONS(3040),
    [anon_sym_extern] = ACTIONS(3040),
    [anon_sym___attribute__] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3042),
    [anon_sym___declspec] = ACTIONS(3040),
    [anon_sym___based] = ACTIONS(3040),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_signed] = ACTIONS(3040),
    [anon_sym_unsigned] = ACTIONS(3040),
    [anon_sym_long] = ACTIONS(3040),
    [anon_sym_short] = ACTIONS(3040),
    [anon_sym_LBRACK] = ACTIONS(3040),
    [anon_sym_static] = ACTIONS(3040),
    [anon_sym_register] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym___inline] = ACTIONS(3040),
    [anon_sym___inline__] = ACTIONS(3040),
    [anon_sym___forceinline] = ACTIONS(3040),
    [anon_sym_thread_local] = ACTIONS(3040),
    [anon_sym___thread] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_constexpr] = ACTIONS(3040),
    [anon_sym_volatile] = ACTIONS(3040),
    [anon_sym_restrict] = ACTIONS(3040),
    [anon_sym___restrict__] = ACTIONS(3040),
    [anon_sym__Atomic] = ACTIONS(3040),
    [anon_sym__Noreturn] = ACTIONS(3040),
    [anon_sym_noreturn] = ACTIONS(3040),
    [anon_sym__Nonnull] = ACTIONS(3040),
    [anon_sym_mutable] = ACTIONS(3040),
    [anon_sym_constinit] = ACTIONS(3040),
    [anon_sym_consteval] = ACTIONS(3040),
    [anon_sym_alignas] = ACTIONS(3040),
    [anon_sym__Alignas] = ACTIONS(3040),
    [sym_primitive_type] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_class] = ACTIONS(3040),
    [anon_sym_struct] = ACTIONS(3040),
    [anon_sym_union] = ACTIONS(3040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3040),
    [anon_sym_decltype] = ACTIONS(3040),
    [anon_sym_explicit] = ACTIONS(3040),
    [anon_sym_typename] = ACTIONS(3040),
    [anon_sym_template] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_friend] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_using] = ACTIONS(3040),
    [anon_sym_static_assert] = ACTIONS(3040),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5294),
    [anon_sym_TILDE] = ACTIONS(5294),
    [anon_sym_STAR] = ACTIONS(5294),
    [anon_sym_AMP_AMP] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [anon_sym___extension__] = ACTIONS(5292),
    [anon_sym_typedef] = ACTIONS(5292),
    [anon_sym_virtual] = ACTIONS(5292),
    [anon_sym_extern] = ACTIONS(5292),
    [anon_sym___attribute__] = ACTIONS(5292),
    [anon_sym_COLON_COLON] = ACTIONS(5294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5294),
    [anon_sym___declspec] = ACTIONS(5292),
    [anon_sym___based] = ACTIONS(5292),
    [anon_sym_RBRACE] = ACTIONS(5294),
    [anon_sym_signed] = ACTIONS(5292),
    [anon_sym_unsigned] = ACTIONS(5292),
    [anon_sym_long] = ACTIONS(5292),
    [anon_sym_short] = ACTIONS(5292),
    [anon_sym_LBRACK] = ACTIONS(5292),
    [anon_sym_static] = ACTIONS(5292),
    [anon_sym_register] = ACTIONS(5292),
    [anon_sym_inline] = ACTIONS(5292),
    [anon_sym___inline] = ACTIONS(5292),
    [anon_sym___inline__] = ACTIONS(5292),
    [anon_sym___forceinline] = ACTIONS(5292),
    [anon_sym_thread_local] = ACTIONS(5292),
    [anon_sym___thread] = ACTIONS(5292),
    [anon_sym_const] = ACTIONS(5292),
    [anon_sym_constexpr] = ACTIONS(5292),
    [anon_sym_volatile] = ACTIONS(5292),
    [anon_sym_restrict] = ACTIONS(5292),
    [anon_sym___restrict__] = ACTIONS(5292),
    [anon_sym__Atomic] = ACTIONS(5292),
    [anon_sym__Noreturn] = ACTIONS(5292),
    [anon_sym_noreturn] = ACTIONS(5292),
    [anon_sym__Nonnull] = ACTIONS(5292),
    [anon_sym_mutable] = ACTIONS(5292),
    [anon_sym_constinit] = ACTIONS(5292),
    [anon_sym_consteval] = ACTIONS(5292),
    [anon_sym_alignas] = ACTIONS(5292),
    [anon_sym__Alignas] = ACTIONS(5292),
    [sym_primitive_type] = ACTIONS(5292),
    [anon_sym_enum] = ACTIONS(5292),
    [anon_sym_class] = ACTIONS(5292),
    [anon_sym_struct] = ACTIONS(5292),
    [anon_sym_union] = ACTIONS(5292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5292),
    [anon_sym_decltype] = ACTIONS(5292),
    [anon_sym_explicit] = ACTIONS(5292),
    [anon_sym_typename] = ACTIONS(5292),
    [anon_sym_template] = ACTIONS(5292),
    [anon_sym_operator] = ACTIONS(5292),
    [anon_sym_friend] = ACTIONS(5292),
    [anon_sym_public] = ACTIONS(5292),
    [anon_sym_private] = ACTIONS(5292),
    [anon_sym_protected] = ACTIONS(5292),
    [anon_sym_using] = ACTIONS(5292),
    [anon_sym_static_assert] = ACTIONS(5292),
  },
  [1993] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym__Nonnull] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(2948),
    [aux_sym_preproc_def_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token1] = ACTIONS(2948),
    [aux_sym_preproc_if_token2] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2948),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2948),
    [sym_preproc_directive] = ACTIONS(2948),
    [anon_sym_LPAREN2] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2950),
    [anon_sym_AMP_AMP] = ACTIONS(2950),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym___extension__] = ACTIONS(2948),
    [anon_sym_typedef] = ACTIONS(2948),
    [anon_sym_virtual] = ACTIONS(2948),
    [anon_sym_extern] = ACTIONS(2948),
    [anon_sym___attribute__] = ACTIONS(2948),
    [anon_sym_COLON_COLON] = ACTIONS(2950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2950),
    [anon_sym___declspec] = ACTIONS(2948),
    [anon_sym___based] = ACTIONS(2948),
    [anon_sym_signed] = ACTIONS(2948),
    [anon_sym_unsigned] = ACTIONS(2948),
    [anon_sym_long] = ACTIONS(2948),
    [anon_sym_short] = ACTIONS(2948),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2948),
    [anon_sym_register] = ACTIONS(2948),
    [anon_sym_inline] = ACTIONS(2948),
    [anon_sym___inline] = ACTIONS(2948),
    [anon_sym___inline__] = ACTIONS(2948),
    [anon_sym___forceinline] = ACTIONS(2948),
    [anon_sym_thread_local] = ACTIONS(2948),
    [anon_sym___thread] = ACTIONS(2948),
    [anon_sym_const] = ACTIONS(2948),
    [anon_sym_constexpr] = ACTIONS(2948),
    [anon_sym_volatile] = ACTIONS(2948),
    [anon_sym_restrict] = ACTIONS(2948),
    [anon_sym___restrict__] = ACTIONS(2948),
    [anon_sym__Atomic] = ACTIONS(2948),
    [anon_sym__Noreturn] = ACTIONS(2948),
    [anon_sym_noreturn] = ACTIONS(2948),
    [anon_sym__Nonnull] = ACTIONS(2948),
    [anon_sym_mutable] = ACTIONS(2948),
    [anon_sym_constinit] = ACTIONS(2948),
    [anon_sym_consteval] = ACTIONS(2948),
    [anon_sym_alignas] = ACTIONS(2948),
    [anon_sym__Alignas] = ACTIONS(2948),
    [sym_primitive_type] = ACTIONS(2948),
    [anon_sym_enum] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2948),
    [anon_sym_struct] = ACTIONS(2948),
    [anon_sym_union] = ACTIONS(2948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2948),
    [anon_sym_decltype] = ACTIONS(2948),
    [anon_sym_explicit] = ACTIONS(2948),
    [anon_sym_typename] = ACTIONS(2948),
    [anon_sym_template] = ACTIONS(2948),
    [anon_sym_operator] = ACTIONS(2948),
    [anon_sym_friend] = ACTIONS(2948),
    [anon_sym_public] = ACTIONS(2948),
    [anon_sym_private] = ACTIONS(2948),
    [anon_sym_protected] = ACTIONS(2948),
    [anon_sym_using] = ACTIONS(2948),
    [anon_sym_static_assert] = ACTIONS(2948),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(2940),
    [aux_sym_preproc_def_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token1] = ACTIONS(2940),
    [aux_sym_preproc_if_token2] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2940),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2940),
    [sym_preproc_directive] = ACTIONS(2940),
    [anon_sym_LPAREN2] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2942),
    [anon_sym_STAR] = ACTIONS(2942),
    [anon_sym_AMP_AMP] = ACTIONS(2942),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym___extension__] = ACTIONS(2940),
    [anon_sym_typedef] = ACTIONS(2940),
    [anon_sym_virtual] = ACTIONS(2940),
    [anon_sym_extern] = ACTIONS(2940),
    [anon_sym___attribute__] = ACTIONS(2940),
    [anon_sym_COLON_COLON] = ACTIONS(2942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2942),
    [anon_sym___declspec] = ACTIONS(2940),
    [anon_sym___based] = ACTIONS(2940),
    [anon_sym_signed] = ACTIONS(2940),
    [anon_sym_unsigned] = ACTIONS(2940),
    [anon_sym_long] = ACTIONS(2940),
    [anon_sym_short] = ACTIONS(2940),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2940),
    [anon_sym_register] = ACTIONS(2940),
    [anon_sym_inline] = ACTIONS(2940),
    [anon_sym___inline] = ACTIONS(2940),
    [anon_sym___inline__] = ACTIONS(2940),
    [anon_sym___forceinline] = ACTIONS(2940),
    [anon_sym_thread_local] = ACTIONS(2940),
    [anon_sym___thread] = ACTIONS(2940),
    [anon_sym_const] = ACTIONS(2940),
    [anon_sym_constexpr] = ACTIONS(2940),
    [anon_sym_volatile] = ACTIONS(2940),
    [anon_sym_restrict] = ACTIONS(2940),
    [anon_sym___restrict__] = ACTIONS(2940),
    [anon_sym__Atomic] = ACTIONS(2940),
    [anon_sym__Noreturn] = ACTIONS(2940),
    [anon_sym_noreturn] = ACTIONS(2940),
    [anon_sym__Nonnull] = ACTIONS(2940),
    [anon_sym_mutable] = ACTIONS(2940),
    [anon_sym_constinit] = ACTIONS(2940),
    [anon_sym_consteval] = ACTIONS(2940),
    [anon_sym_alignas] = ACTIONS(2940),
    [anon_sym__Alignas] = ACTIONS(2940),
    [sym_primitive_type] = ACTIONS(2940),
    [anon_sym_enum] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2940),
    [anon_sym_struct] = ACTIONS(2940),
    [anon_sym_union] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2940),
    [anon_sym_decltype] = ACTIONS(2940),
    [anon_sym_explicit] = ACTIONS(2940),
    [anon_sym_typename] = ACTIONS(2940),
    [anon_sym_template] = ACTIONS(2940),
    [anon_sym_operator] = ACTIONS(2940),
    [anon_sym_friend] = ACTIONS(2940),
    [anon_sym_public] = ACTIONS(2940),
    [anon_sym_private] = ACTIONS(2940),
    [anon_sym_protected] = ACTIONS(2940),
    [anon_sym_using] = ACTIONS(2940),
    [anon_sym_static_assert] = ACTIONS(2940),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(5362),
    [aux_sym_preproc_def_token1] = ACTIONS(5362),
    [aux_sym_preproc_if_token1] = ACTIONS(5362),
    [aux_sym_preproc_if_token2] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5362),
    [sym_preproc_directive] = ACTIONS(5362),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_TILDE] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5364),
    [anon_sym_AMP_AMP] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5362),
    [anon_sym_SEMI] = ACTIONS(5364),
    [anon_sym___extension__] = ACTIONS(5362),
    [anon_sym_typedef] = ACTIONS(5362),
    [anon_sym_virtual] = ACTIONS(5362),
    [anon_sym_extern] = ACTIONS(5362),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5364),
    [anon_sym___declspec] = ACTIONS(5362),
    [anon_sym___based] = ACTIONS(5362),
    [anon_sym_signed] = ACTIONS(5362),
    [anon_sym_unsigned] = ACTIONS(5362),
    [anon_sym_long] = ACTIONS(5362),
    [anon_sym_short] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_static] = ACTIONS(5362),
    [anon_sym_register] = ACTIONS(5362),
    [anon_sym_inline] = ACTIONS(5362),
    [anon_sym___inline] = ACTIONS(5362),
    [anon_sym___inline__] = ACTIONS(5362),
    [anon_sym___forceinline] = ACTIONS(5362),
    [anon_sym_thread_local] = ACTIONS(5362),
    [anon_sym___thread] = ACTIONS(5362),
    [anon_sym_const] = ACTIONS(5362),
    [anon_sym_constexpr] = ACTIONS(5362),
    [anon_sym_volatile] = ACTIONS(5362),
    [anon_sym_restrict] = ACTIONS(5362),
    [anon_sym___restrict__] = ACTIONS(5362),
    [anon_sym__Atomic] = ACTIONS(5362),
    [anon_sym__Noreturn] = ACTIONS(5362),
    [anon_sym_noreturn] = ACTIONS(5362),
    [anon_sym__Nonnull] = ACTIONS(5362),
    [anon_sym_mutable] = ACTIONS(5362),
    [anon_sym_constinit] = ACTIONS(5362),
    [anon_sym_consteval] = ACTIONS(5362),
    [anon_sym_alignas] = ACTIONS(5362),
    [anon_sym__Alignas] = ACTIONS(5362),
    [sym_primitive_type] = ACTIONS(5362),
    [anon_sym_enum] = ACTIONS(5362),
    [anon_sym_class] = ACTIONS(5362),
    [anon_sym_struct] = ACTIONS(5362),
    [anon_sym_union] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5362),
    [anon_sym_decltype] = ACTIONS(5362),
    [anon_sym_explicit] = ACTIONS(5362),
    [anon_sym_typename] = ACTIONS(5362),
    [anon_sym_template] = ACTIONS(5362),
    [anon_sym_operator] = ACTIONS(5362),
    [anon_sym_friend] = ACTIONS(5362),
    [anon_sym_public] = ACTIONS(5362),
    [anon_sym_private] = ACTIONS(5362),
    [anon_sym_protected] = ACTIONS(5362),
    [anon_sym_using] = ACTIONS(5362),
    [anon_sym_static_assert] = ACTIONS(5362),
  },
  [1997] = {
    [sym_identifier] = ACTIONS(2796),
    [aux_sym_preproc_def_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token1] = ACTIONS(2796),
    [aux_sym_preproc_if_token2] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2796),
    [sym_preproc_directive] = ACTIONS(2796),
    [anon_sym_LPAREN2] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2798),
    [anon_sym_AMP_AMP] = ACTIONS(2798),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2796),
    [anon_sym_typedef] = ACTIONS(2796),
    [anon_sym_virtual] = ACTIONS(2796),
    [anon_sym_extern] = ACTIONS(2796),
    [anon_sym___attribute__] = ACTIONS(2796),
    [anon_sym_COLON_COLON] = ACTIONS(2798),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2798),
    [anon_sym___declspec] = ACTIONS(2796),
    [anon_sym___based] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2796),
    [anon_sym_unsigned] = ACTIONS(2796),
    [anon_sym_long] = ACTIONS(2796),
    [anon_sym_short] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym_static] = ACTIONS(2796),
    [anon_sym_register] = ACTIONS(2796),
    [anon_sym_inline] = ACTIONS(2796),
    [anon_sym___inline] = ACTIONS(2796),
    [anon_sym___inline__] = ACTIONS(2796),
    [anon_sym___forceinline] = ACTIONS(2796),
    [anon_sym_thread_local] = ACTIONS(2796),
    [anon_sym___thread] = ACTIONS(2796),
    [anon_sym_const] = ACTIONS(2796),
    [anon_sym_constexpr] = ACTIONS(2796),
    [anon_sym_volatile] = ACTIONS(2796),
    [anon_sym_restrict] = ACTIONS(2796),
    [anon_sym___restrict__] = ACTIONS(2796),
    [anon_sym__Atomic] = ACTIONS(2796),
    [anon_sym__Noreturn] = ACTIONS(2796),
    [anon_sym_noreturn] = ACTIONS(2796),
    [anon_sym__Nonnull] = ACTIONS(2796),
    [anon_sym_mutable] = ACTIONS(2796),
    [anon_sym_constinit] = ACTIONS(2796),
    [anon_sym_consteval] = ACTIONS(2796),
    [anon_sym_alignas] = ACTIONS(2796),
    [anon_sym__Alignas] = ACTIONS(2796),
    [sym_primitive_type] = ACTIONS(2796),
    [anon_sym_enum] = ACTIONS(2796),
    [anon_sym_class] = ACTIONS(2796),
    [anon_sym_struct] = ACTIONS(2796),
    [anon_sym_union] = ACTIONS(2796),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2796),
    [anon_sym_decltype] = ACTIONS(2796),
    [anon_sym_explicit] = ACTIONS(2796),
    [anon_sym_typename] = ACTIONS(2796),
    [anon_sym_template] = ACTIONS(2796),
    [anon_sym_operator] = ACTIONS(2796),
    [anon_sym_friend] = ACTIONS(2796),
    [anon_sym_public] = ACTIONS(2796),
    [anon_sym_private] = ACTIONS(2796),
    [anon_sym_protected] = ACTIONS(2796),
    [anon_sym_using] = ACTIONS(2796),
    [anon_sym_static_assert] = ACTIONS(2796),
  },
  [1998] = {
    [sym_identifier] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5298),
    [anon_sym_TILDE] = ACTIONS(5298),
    [anon_sym_STAR] = ACTIONS(5298),
    [anon_sym_AMP_AMP] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [anon_sym___extension__] = ACTIONS(5296),
    [anon_sym_typedef] = ACTIONS(5296),
    [anon_sym_virtual] = ACTIONS(5296),
    [anon_sym_extern] = ACTIONS(5296),
    [anon_sym___attribute__] = ACTIONS(5296),
    [anon_sym_COLON_COLON] = ACTIONS(5298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5298),
    [anon_sym___declspec] = ACTIONS(5296),
    [anon_sym___based] = ACTIONS(5296),
    [anon_sym_RBRACE] = ACTIONS(5298),
    [anon_sym_signed] = ACTIONS(5296),
    [anon_sym_unsigned] = ACTIONS(5296),
    [anon_sym_long] = ACTIONS(5296),
    [anon_sym_short] = ACTIONS(5296),
    [anon_sym_LBRACK] = ACTIONS(5296),
    [anon_sym_static] = ACTIONS(5296),
    [anon_sym_register] = ACTIONS(5296),
    [anon_sym_inline] = ACTIONS(5296),
    [anon_sym___inline] = ACTIONS(5296),
    [anon_sym___inline__] = ACTIONS(5296),
    [anon_sym___forceinline] = ACTIONS(5296),
    [anon_sym_thread_local] = ACTIONS(5296),
    [anon_sym___thread] = ACTIONS(5296),
    [anon_sym_const] = ACTIONS(5296),
    [anon_sym_constexpr] = ACTIONS(5296),
    [anon_sym_volatile] = ACTIONS(5296),
    [anon_sym_restrict] = ACTIONS(5296),
    [anon_sym___restrict__] = ACTIONS(5296),
    [anon_sym__Atomic] = ACTIONS(5296),
    [anon_sym__Noreturn] = ACTIONS(5296),
    [anon_sym_noreturn] = ACTIONS(5296),
    [anon_sym__Nonnull] = ACTIONS(5296),
    [anon_sym_mutable] = ACTIONS(5296),
    [anon_sym_constinit] = ACTIONS(5296),
    [anon_sym_consteval] = ACTIONS(5296),
    [anon_sym_alignas] = ACTIONS(5296),
    [anon_sym__Alignas] = ACTIONS(5296),
    [sym_primitive_type] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(5296),
    [anon_sym_class] = ACTIONS(5296),
    [anon_sym_struct] = ACTIONS(5296),
    [anon_sym_union] = ACTIONS(5296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5296),
    [anon_sym_decltype] = ACTIONS(5296),
    [anon_sym_explicit] = ACTIONS(5296),
    [anon_sym_typename] = ACTIONS(5296),
    [anon_sym_template] = ACTIONS(5296),
    [anon_sym_operator] = ACTIONS(5296),
    [anon_sym_friend] = ACTIONS(5296),
    [anon_sym_public] = ACTIONS(5296),
    [anon_sym_private] = ACTIONS(5296),
    [anon_sym_protected] = ACTIONS(5296),
    [anon_sym_using] = ACTIONS(5296),
    [anon_sym_static_assert] = ACTIONS(5296),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_friend] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
  },
  [2000] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_virtual] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym__Nonnull] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_friend] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
  },
  [2001] = {
    [sym_string_literal] = STATE(1901),
    [sym_raw_string_literal] = STATE(1901),
    [aux_sym_concatenated_string_repeat1] = STATE(1901),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym_SEMI] = ACTIONS(5123),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5123),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [anon_sym_L_DQUOTE] = ACTIONS(5684),
    [anon_sym_u_DQUOTE] = ACTIONS(5684),
    [anon_sym_U_DQUOTE] = ACTIONS(5684),
    [anon_sym_u8_DQUOTE] = ACTIONS(5684),
    [anon_sym_DQUOTE] = ACTIONS(5684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5686),
    [anon_sym_LR_DQUOTE] = ACTIONS(5686),
    [anon_sym_uR_DQUOTE] = ACTIONS(5686),
    [anon_sym_UR_DQUOTE] = ACTIONS(5686),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5686),
    [sym_literal_suffix] = ACTIONS(5125),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(3183),
    [aux_sym_preproc_def_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3183),
    [sym_preproc_directive] = ACTIONS(3183),
    [anon_sym_LPAREN2] = ACTIONS(3185),
    [anon_sym_TILDE] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3185),
    [anon_sym_AMP_AMP] = ACTIONS(3185),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_SEMI] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3183),
    [anon_sym_typedef] = ACTIONS(3183),
    [anon_sym_virtual] = ACTIONS(3183),
    [anon_sym_extern] = ACTIONS(3183),
    [anon_sym___attribute__] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(3185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3185),
    [anon_sym___declspec] = ACTIONS(3183),
    [anon_sym___based] = ACTIONS(3183),
    [anon_sym_RBRACE] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3183),
    [anon_sym_unsigned] = ACTIONS(3183),
    [anon_sym_long] = ACTIONS(3183),
    [anon_sym_short] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_static] = ACTIONS(3183),
    [anon_sym_register] = ACTIONS(3183),
    [anon_sym_inline] = ACTIONS(3183),
    [anon_sym___inline] = ACTIONS(3183),
    [anon_sym___inline__] = ACTIONS(3183),
    [anon_sym___forceinline] = ACTIONS(3183),
    [anon_sym_thread_local] = ACTIONS(3183),
    [anon_sym___thread] = ACTIONS(3183),
    [anon_sym_const] = ACTIONS(3183),
    [anon_sym_constexpr] = ACTIONS(3183),
    [anon_sym_volatile] = ACTIONS(3183),
    [anon_sym_restrict] = ACTIONS(3183),
    [anon_sym___restrict__] = ACTIONS(3183),
    [anon_sym__Atomic] = ACTIONS(3183),
    [anon_sym__Noreturn] = ACTIONS(3183),
    [anon_sym_noreturn] = ACTIONS(3183),
    [anon_sym__Nonnull] = ACTIONS(3183),
    [anon_sym_mutable] = ACTIONS(3183),
    [anon_sym_constinit] = ACTIONS(3183),
    [anon_sym_consteval] = ACTIONS(3183),
    [anon_sym_alignas] = ACTIONS(3183),
    [anon_sym__Alignas] = ACTIONS(3183),
    [sym_primitive_type] = ACTIONS(3183),
    [anon_sym_enum] = ACTIONS(3183),
    [anon_sym_class] = ACTIONS(3183),
    [anon_sym_struct] = ACTIONS(3183),
    [anon_sym_union] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3183),
    [anon_sym_decltype] = ACTIONS(3183),
    [anon_sym_explicit] = ACTIONS(3183),
    [anon_sym_typename] = ACTIONS(3183),
    [anon_sym_template] = ACTIONS(3183),
    [anon_sym_operator] = ACTIONS(3183),
    [anon_sym_friend] = ACTIONS(3183),
    [anon_sym_public] = ACTIONS(3183),
    [anon_sym_private] = ACTIONS(3183),
    [anon_sym_protected] = ACTIONS(3183),
    [anon_sym_using] = ACTIONS(3183),
    [anon_sym_static_assert] = ACTIONS(3183),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(5276),
    [aux_sym_preproc_def_token1] = ACTIONS(5276),
    [aux_sym_preproc_if_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5276),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5276),
    [sym_preproc_directive] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5278),
    [anon_sym_TILDE] = ACTIONS(5278),
    [anon_sym_STAR] = ACTIONS(5278),
    [anon_sym_AMP_AMP] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [anon_sym___extension__] = ACTIONS(5276),
    [anon_sym_typedef] = ACTIONS(5276),
    [anon_sym_virtual] = ACTIONS(5276),
    [anon_sym_extern] = ACTIONS(5276),
    [anon_sym___attribute__] = ACTIONS(5276),
    [anon_sym_COLON_COLON] = ACTIONS(5278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5278),
    [anon_sym___declspec] = ACTIONS(5276),
    [anon_sym___based] = ACTIONS(5276),
    [anon_sym_RBRACE] = ACTIONS(5278),
    [anon_sym_signed] = ACTIONS(5276),
    [anon_sym_unsigned] = ACTIONS(5276),
    [anon_sym_long] = ACTIONS(5276),
    [anon_sym_short] = ACTIONS(5276),
    [anon_sym_LBRACK] = ACTIONS(5276),
    [anon_sym_static] = ACTIONS(5276),
    [anon_sym_register] = ACTIONS(5276),
    [anon_sym_inline] = ACTIONS(5276),
    [anon_sym___inline] = ACTIONS(5276),
    [anon_sym___inline__] = ACTIONS(5276),
    [anon_sym___forceinline] = ACTIONS(5276),
    [anon_sym_thread_local] = ACTIONS(5276),
    [anon_sym___thread] = ACTIONS(5276),
    [anon_sym_const] = ACTIONS(5276),
    [anon_sym_constexpr] = ACTIONS(5276),
    [anon_sym_volatile] = ACTIONS(5276),
    [anon_sym_restrict] = ACTIONS(5276),
    [anon_sym___restrict__] = ACTIONS(5276),
    [anon_sym__Atomic] = ACTIONS(5276),
    [anon_sym__Noreturn] = ACTIONS(5276),
    [anon_sym_noreturn] = ACTIONS(5276),
    [anon_sym__Nonnull] = ACTIONS(5276),
    [anon_sym_mutable] = ACTIONS(5276),
    [anon_sym_constinit] = ACTIONS(5276),
    [anon_sym_consteval] = ACTIONS(5276),
    [anon_sym_alignas] = ACTIONS(5276),
    [anon_sym__Alignas] = ACTIONS(5276),
    [sym_primitive_type] = ACTIONS(5276),
    [anon_sym_enum] = ACTIONS(5276),
    [anon_sym_class] = ACTIONS(5276),
    [anon_sym_struct] = ACTIONS(5276),
    [anon_sym_union] = ACTIONS(5276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5276),
    [anon_sym_decltype] = ACTIONS(5276),
    [anon_sym_explicit] = ACTIONS(5276),
    [anon_sym_typename] = ACTIONS(5276),
    [anon_sym_template] = ACTIONS(5276),
    [anon_sym_operator] = ACTIONS(5276),
    [anon_sym_friend] = ACTIONS(5276),
    [anon_sym_public] = ACTIONS(5276),
    [anon_sym_private] = ACTIONS(5276),
    [anon_sym_protected] = ACTIONS(5276),
    [anon_sym_using] = ACTIONS(5276),
    [anon_sym_static_assert] = ACTIONS(5276),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(5362),
    [aux_sym_preproc_def_token1] = ACTIONS(5362),
    [aux_sym_preproc_if_token1] = ACTIONS(5362),
    [aux_sym_preproc_if_token2] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5362),
    [sym_preproc_directive] = ACTIONS(5362),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_TILDE] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5364),
    [anon_sym_AMP_AMP] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5362),
    [anon_sym_SEMI] = ACTIONS(5364),
    [anon_sym___extension__] = ACTIONS(5362),
    [anon_sym_typedef] = ACTIONS(5362),
    [anon_sym_virtual] = ACTIONS(5362),
    [anon_sym_extern] = ACTIONS(5362),
    [anon_sym___attribute__] = ACTIONS(5362),
    [anon_sym_COLON_COLON] = ACTIONS(5364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5364),
    [anon_sym___declspec] = ACTIONS(5362),
    [anon_sym___based] = ACTIONS(5362),
    [anon_sym_signed] = ACTIONS(5362),
    [anon_sym_unsigned] = ACTIONS(5362),
    [anon_sym_long] = ACTIONS(5362),
    [anon_sym_short] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_static] = ACTIONS(5362),
    [anon_sym_register] = ACTIONS(5362),
    [anon_sym_inline] = ACTIONS(5362),
    [anon_sym___inline] = ACTIONS(5362),
    [anon_sym___inline__] = ACTIONS(5362),
    [anon_sym___forceinline] = ACTIONS(5362),
    [anon_sym_thread_local] = ACTIONS(5362),
    [anon_sym___thread] = ACTIONS(5362),
    [anon_sym_const] = ACTIONS(5362),
    [anon_sym_constexpr] = ACTIONS(5362),
    [anon_sym_volatile] = ACTIONS(5362),
    [anon_sym_restrict] = ACTIONS(5362),
    [anon_sym___restrict__] = ACTIONS(5362),
    [anon_sym__Atomic] = ACTIONS(5362),
    [anon_sym__Noreturn] = ACTIONS(5362),
    [anon_sym_noreturn] = ACTIONS(5362),
    [anon_sym__Nonnull] = ACTIONS(5362),
    [anon_sym_mutable] = ACTIONS(5362),
    [anon_sym_constinit] = ACTIONS(5362),
    [anon_sym_consteval] = ACTIONS(5362),
    [anon_sym_alignas] = ACTIONS(5362),
    [anon_sym__Alignas] = ACTIONS(5362),
    [sym_primitive_type] = ACTIONS(5362),
    [anon_sym_enum] = ACTIONS(5362),
    [anon_sym_class] = ACTIONS(5362),
    [anon_sym_struct] = ACTIONS(5362),
    [anon_sym_union] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5362),
    [anon_sym_decltype] = ACTIONS(5362),
    [anon_sym_explicit] = ACTIONS(5362),
    [anon_sym_typename] = ACTIONS(5362),
    [anon_sym_template] = ACTIONS(5362),
    [anon_sym_operator] = ACTIONS(5362),
    [anon_sym_friend] = ACTIONS(5362),
    [anon_sym_public] = ACTIONS(5362),
    [anon_sym_private] = ACTIONS(5362),
    [anon_sym_protected] = ACTIONS(5362),
    [anon_sym_using] = ACTIONS(5362),
    [anon_sym_static_assert] = ACTIONS(5362),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(5358),
    [aux_sym_preproc_def_token1] = ACTIONS(5358),
    [aux_sym_preproc_if_token1] = ACTIONS(5358),
    [aux_sym_preproc_if_token2] = ACTIONS(5358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5358),
    [sym_preproc_directive] = ACTIONS(5358),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_TILDE] = ACTIONS(5360),
    [anon_sym_STAR] = ACTIONS(5360),
    [anon_sym_AMP_AMP] = ACTIONS(5360),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_SEMI] = ACTIONS(5360),
    [anon_sym___extension__] = ACTIONS(5358),
    [anon_sym_typedef] = ACTIONS(5358),
    [anon_sym_virtual] = ACTIONS(5358),
    [anon_sym_extern] = ACTIONS(5358),
    [anon_sym___attribute__] = ACTIONS(5358),
    [anon_sym_COLON_COLON] = ACTIONS(5360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5360),
    [anon_sym___declspec] = ACTIONS(5358),
    [anon_sym___based] = ACTIONS(5358),
    [anon_sym_signed] = ACTIONS(5358),
    [anon_sym_unsigned] = ACTIONS(5358),
    [anon_sym_long] = ACTIONS(5358),
    [anon_sym_short] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5358),
    [anon_sym_static] = ACTIONS(5358),
    [anon_sym_register] = ACTIONS(5358),
    [anon_sym_inline] = ACTIONS(5358),
    [anon_sym___inline] = ACTIONS(5358),
    [anon_sym___inline__] = ACTIONS(5358),
    [anon_sym___forceinline] = ACTIONS(5358),
    [anon_sym_thread_local] = ACTIONS(5358),
    [anon_sym___thread] = ACTIONS(5358),
    [anon_sym_const] = ACTIONS(5358),
    [anon_sym_constexpr] = ACTIONS(5358),
    [anon_sym_volatile] = ACTIONS(5358),
    [anon_sym_restrict] = ACTIONS(5358),
    [anon_sym___restrict__] = ACTIONS(5358),
    [anon_sym__Atomic] = ACTIONS(5358),
    [anon_sym__Noreturn] = ACTIONS(5358),
    [anon_sym_noreturn] = ACTIONS(5358),
    [anon_sym__Nonnull] = ACTIONS(5358),
    [anon_sym_mutable] = ACTIONS(5358),
    [anon_sym_constinit] = ACTIONS(5358),
    [anon_sym_consteval] = ACTIONS(5358),
    [anon_sym_alignas] = ACTIONS(5358),
    [anon_sym__Alignas] = ACTIONS(5358),
    [sym_primitive_type] = ACTIONS(5358),
    [anon_sym_enum] = ACTIONS(5358),
    [anon_sym_class] = ACTIONS(5358),
    [anon_sym_struct] = ACTIONS(5358),
    [anon_sym_union] = ACTIONS(5358),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5358),
    [anon_sym_decltype] = ACTIONS(5358),
    [anon_sym_explicit] = ACTIONS(5358),
    [anon_sym_typename] = ACTIONS(5358),
    [anon_sym_template] = ACTIONS(5358),
    [anon_sym_operator] = ACTIONS(5358),
    [anon_sym_friend] = ACTIONS(5358),
    [anon_sym_public] = ACTIONS(5358),
    [anon_sym_private] = ACTIONS(5358),
    [anon_sym_protected] = ACTIONS(5358),
    [anon_sym_using] = ACTIONS(5358),
    [anon_sym_static_assert] = ACTIONS(5358),
  },
  [2006] = {
    [sym_string_literal] = STATE(2001),
    [sym_raw_string_literal] = STATE(2001),
    [aux_sym_concatenated_string_repeat1] = STATE(2001),
    [sym_identifier] = ACTIONS(5696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5137),
    [anon_sym_COMMA] = ACTIONS(5137),
    [anon_sym_LPAREN2] = ACTIONS(5137),
    [anon_sym_DASH] = ACTIONS(5139),
    [anon_sym_PLUS] = ACTIONS(5139),
    [anon_sym_STAR] = ACTIONS(5139),
    [anon_sym_SLASH] = ACTIONS(5139),
    [anon_sym_PERCENT] = ACTIONS(5139),
    [anon_sym_PIPE_PIPE] = ACTIONS(5137),
    [anon_sym_AMP_AMP] = ACTIONS(5137),
    [anon_sym_PIPE] = ACTIONS(5139),
    [anon_sym_CARET] = ACTIONS(5139),
    [anon_sym_AMP] = ACTIONS(5139),
    [anon_sym_EQ_EQ] = ACTIONS(5137),
    [anon_sym_BANG_EQ] = ACTIONS(5137),
    [anon_sym_GT] = ACTIONS(5139),
    [anon_sym_GT_EQ] = ACTIONS(5137),
    [anon_sym_LT_EQ] = ACTIONS(5139),
    [anon_sym_LT] = ACTIONS(5139),
    [anon_sym_LT_LT] = ACTIONS(5139),
    [anon_sym_GT_GT] = ACTIONS(5139),
    [anon_sym_SEMI] = ACTIONS(5137),
    [anon_sym___attribute__] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [anon_sym_EQ] = ACTIONS(5139),
    [anon_sym_QMARK] = ACTIONS(5137),
    [anon_sym_STAR_EQ] = ACTIONS(5137),
    [anon_sym_SLASH_EQ] = ACTIONS(5137),
    [anon_sym_PERCENT_EQ] = ACTIONS(5137),
    [anon_sym_PLUS_EQ] = ACTIONS(5137),
    [anon_sym_DASH_EQ] = ACTIONS(5137),
    [anon_sym_LT_LT_EQ] = ACTIONS(5137),
    [anon_sym_GT_GT_EQ] = ACTIONS(5137),
    [anon_sym_AMP_EQ] = ACTIONS(5137),
    [anon_sym_CARET_EQ] = ACTIONS(5137),
    [anon_sym_PIPE_EQ] = ACTIONS(5137),
    [anon_sym_and_eq] = ACTIONS(5139),
    [anon_sym_or_eq] = ACTIONS(5139),
    [anon_sym_xor_eq] = ACTIONS(5139),
    [anon_sym_LT_EQ_GT] = ACTIONS(5137),
    [anon_sym_or] = ACTIONS(5139),
    [anon_sym_and] = ACTIONS(5139),
    [anon_sym_bitor] = ACTIONS(5139),
    [anon_sym_xor] = ACTIONS(5139),
    [anon_sym_bitand] = ACTIONS(5139),
    [anon_sym_not_eq] = ACTIONS(5139),
    [anon_sym_DASH_DASH] = ACTIONS(5137),
    [anon_sym_PLUS_PLUS] = ACTIONS(5137),
    [anon_sym_DOT] = ACTIONS(5139),
    [anon_sym_DOT_STAR] = ACTIONS(5137),
    [anon_sym_DASH_GT] = ACTIONS(5137),
    [anon_sym_L_DQUOTE] = ACTIONS(5684),
    [anon_sym_u_DQUOTE] = ACTIONS(5684),
    [anon_sym_U_DQUOTE] = ACTIONS(5684),
    [anon_sym_u8_DQUOTE] = ACTIONS(5684),
    [anon_sym_DQUOTE] = ACTIONS(5684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5686),
    [anon_sym_LR_DQUOTE] = ACTIONS(5686),
    [anon_sym_uR_DQUOTE] = ACTIONS(5686),
    [anon_sym_UR_DQUOTE] = ACTIONS(5686),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5686),
    [sym_literal_suffix] = ACTIONS(5139),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(5354),
    [aux_sym_preproc_def_token1] = ACTIONS(5354),
    [aux_sym_preproc_if_token1] = ACTIONS(5354),
    [aux_sym_preproc_if_token2] = ACTIONS(5354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5354),
    [sym_preproc_directive] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_TILDE] = ACTIONS(5356),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym___extension__] = ACTIONS(5354),
    [anon_sym_typedef] = ACTIONS(5354),
    [anon_sym_virtual] = ACTIONS(5354),
    [anon_sym_extern] = ACTIONS(5354),
    [anon_sym___attribute__] = ACTIONS(5354),
    [anon_sym_COLON_COLON] = ACTIONS(5356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5356),
    [anon_sym___declspec] = ACTIONS(5354),
    [anon_sym___based] = ACTIONS(5354),
    [anon_sym_signed] = ACTIONS(5354),
    [anon_sym_unsigned] = ACTIONS(5354),
    [anon_sym_long] = ACTIONS(5354),
    [anon_sym_short] = ACTIONS(5354),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [anon_sym_static] = ACTIONS(5354),
    [anon_sym_register] = ACTIONS(5354),
    [anon_sym_inline] = ACTIONS(5354),
    [anon_sym___inline] = ACTIONS(5354),
    [anon_sym___inline__] = ACTIONS(5354),
    [anon_sym___forceinline] = ACTIONS(5354),
    [anon_sym_thread_local] = ACTIONS(5354),
    [anon_sym___thread] = ACTIONS(5354),
    [anon_sym_const] = ACTIONS(5354),
    [anon_sym_constexpr] = ACTIONS(5354),
    [anon_sym_volatile] = ACTIONS(5354),
    [anon_sym_restrict] = ACTIONS(5354),
    [anon_sym___restrict__] = ACTIONS(5354),
    [anon_sym__Atomic] = ACTIONS(5354),
    [anon_sym__Noreturn] = ACTIONS(5354),
    [anon_sym_noreturn] = ACTIONS(5354),
    [anon_sym__Nonnull] = ACTIONS(5354),
    [anon_sym_mutable] = ACTIONS(5354),
    [anon_sym_constinit] = ACTIONS(5354),
    [anon_sym_consteval] = ACTIONS(5354),
    [anon_sym_alignas] = ACTIONS(5354),
    [anon_sym__Alignas] = ACTIONS(5354),
    [sym_primitive_type] = ACTIONS(5354),
    [anon_sym_enum] = ACTIONS(5354),
    [anon_sym_class] = ACTIONS(5354),
    [anon_sym_struct] = ACTIONS(5354),
    [anon_sym_union] = ACTIONS(5354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5354),
    [anon_sym_decltype] = ACTIONS(5354),
    [anon_sym_explicit] = ACTIONS(5354),
    [anon_sym_typename] = ACTIONS(5354),
    [anon_sym_template] = ACTIONS(5354),
    [anon_sym_operator] = ACTIONS(5354),
    [anon_sym_friend] = ACTIONS(5354),
    [anon_sym_public] = ACTIONS(5354),
    [anon_sym_private] = ACTIONS(5354),
    [anon_sym_protected] = ACTIONS(5354),
    [anon_sym_using] = ACTIONS(5354),
    [anon_sym_static_assert] = ACTIONS(5354),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_virtual] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym__Nonnull] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_friend] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_virtual] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_friend] = ACTIONS(2868),
    [anon_sym_public] = ACTIONS(2868),
    [anon_sym_private] = ACTIONS(2868),
    [anon_sym_protected] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5294),
    [anon_sym_TILDE] = ACTIONS(5294),
    [anon_sym_STAR] = ACTIONS(5294),
    [anon_sym_AMP_AMP] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [anon_sym___extension__] = ACTIONS(5292),
    [anon_sym_typedef] = ACTIONS(5292),
    [anon_sym_virtual] = ACTIONS(5292),
    [anon_sym_extern] = ACTIONS(5292),
    [anon_sym___attribute__] = ACTIONS(5292),
    [anon_sym_COLON_COLON] = ACTIONS(5294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5294),
    [anon_sym___declspec] = ACTIONS(5292),
    [anon_sym___based] = ACTIONS(5292),
    [anon_sym_RBRACE] = ACTIONS(5294),
    [anon_sym_signed] = ACTIONS(5292),
    [anon_sym_unsigned] = ACTIONS(5292),
    [anon_sym_long] = ACTIONS(5292),
    [anon_sym_short] = ACTIONS(5292),
    [anon_sym_LBRACK] = ACTIONS(5292),
    [anon_sym_static] = ACTIONS(5292),
    [anon_sym_register] = ACTIONS(5292),
    [anon_sym_inline] = ACTIONS(5292),
    [anon_sym___inline] = ACTIONS(5292),
    [anon_sym___inline__] = ACTIONS(5292),
    [anon_sym___forceinline] = ACTIONS(5292),
    [anon_sym_thread_local] = ACTIONS(5292),
    [anon_sym___thread] = ACTIONS(5292),
    [anon_sym_const] = ACTIONS(5292),
    [anon_sym_constexpr] = ACTIONS(5292),
    [anon_sym_volatile] = ACTIONS(5292),
    [anon_sym_restrict] = ACTIONS(5292),
    [anon_sym___restrict__] = ACTIONS(5292),
    [anon_sym__Atomic] = ACTIONS(5292),
    [anon_sym__Noreturn] = ACTIONS(5292),
    [anon_sym_noreturn] = ACTIONS(5292),
    [anon_sym__Nonnull] = ACTIONS(5292),
    [anon_sym_mutable] = ACTIONS(5292),
    [anon_sym_constinit] = ACTIONS(5292),
    [anon_sym_consteval] = ACTIONS(5292),
    [anon_sym_alignas] = ACTIONS(5292),
    [anon_sym__Alignas] = ACTIONS(5292),
    [sym_primitive_type] = ACTIONS(5292),
    [anon_sym_enum] = ACTIONS(5292),
    [anon_sym_class] = ACTIONS(5292),
    [anon_sym_struct] = ACTIONS(5292),
    [anon_sym_union] = ACTIONS(5292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5292),
    [anon_sym_decltype] = ACTIONS(5292),
    [anon_sym_explicit] = ACTIONS(5292),
    [anon_sym_typename] = ACTIONS(5292),
    [anon_sym_template] = ACTIONS(5292),
    [anon_sym_operator] = ACTIONS(5292),
    [anon_sym_friend] = ACTIONS(5292),
    [anon_sym_public] = ACTIONS(5292),
    [anon_sym_private] = ACTIONS(5292),
    [anon_sym_protected] = ACTIONS(5292),
    [anon_sym_using] = ACTIONS(5292),
    [anon_sym_static_assert] = ACTIONS(5292),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(5272),
    [aux_sym_preproc_def_token1] = ACTIONS(5272),
    [aux_sym_preproc_if_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5272),
    [sym_preproc_directive] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5274),
    [anon_sym_TILDE] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5274),
    [anon_sym_AMP_AMP] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [anon_sym___extension__] = ACTIONS(5272),
    [anon_sym_typedef] = ACTIONS(5272),
    [anon_sym_virtual] = ACTIONS(5272),
    [anon_sym_extern] = ACTIONS(5272),
    [anon_sym___attribute__] = ACTIONS(5272),
    [anon_sym_COLON_COLON] = ACTIONS(5274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5274),
    [anon_sym___declspec] = ACTIONS(5272),
    [anon_sym___based] = ACTIONS(5272),
    [anon_sym_RBRACE] = ACTIONS(5274),
    [anon_sym_signed] = ACTIONS(5272),
    [anon_sym_unsigned] = ACTIONS(5272),
    [anon_sym_long] = ACTIONS(5272),
    [anon_sym_short] = ACTIONS(5272),
    [anon_sym_LBRACK] = ACTIONS(5272),
    [anon_sym_static] = ACTIONS(5272),
    [anon_sym_register] = ACTIONS(5272),
    [anon_sym_inline] = ACTIONS(5272),
    [anon_sym___inline] = ACTIONS(5272),
    [anon_sym___inline__] = ACTIONS(5272),
    [anon_sym___forceinline] = ACTIONS(5272),
    [anon_sym_thread_local] = ACTIONS(5272),
    [anon_sym___thread] = ACTIONS(5272),
    [anon_sym_const] = ACTIONS(5272),
    [anon_sym_constexpr] = ACTIONS(5272),
    [anon_sym_volatile] = ACTIONS(5272),
    [anon_sym_restrict] = ACTIONS(5272),
    [anon_sym___restrict__] = ACTIONS(5272),
    [anon_sym__Atomic] = ACTIONS(5272),
    [anon_sym__Noreturn] = ACTIONS(5272),
    [anon_sym_noreturn] = ACTIONS(5272),
    [anon_sym__Nonnull] = ACTIONS(5272),
    [anon_sym_mutable] = ACTIONS(5272),
    [anon_sym_constinit] = ACTIONS(5272),
    [anon_sym_consteval] = ACTIONS(5272),
    [anon_sym_alignas] = ACTIONS(5272),
    [anon_sym__Alignas] = ACTIONS(5272),
    [sym_primitive_type] = ACTIONS(5272),
    [anon_sym_enum] = ACTIONS(5272),
    [anon_sym_class] = ACTIONS(5272),
    [anon_sym_struct] = ACTIONS(5272),
    [anon_sym_union] = ACTIONS(5272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5272),
    [anon_sym_decltype] = ACTIONS(5272),
    [anon_sym_explicit] = ACTIONS(5272),
    [anon_sym_typename] = ACTIONS(5272),
    [anon_sym_template] = ACTIONS(5272),
    [anon_sym_operator] = ACTIONS(5272),
    [anon_sym_friend] = ACTIONS(5272),
    [anon_sym_public] = ACTIONS(5272),
    [anon_sym_private] = ACTIONS(5272),
    [anon_sym_protected] = ACTIONS(5272),
    [anon_sym_using] = ACTIONS(5272),
    [anon_sym_static_assert] = ACTIONS(5272),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(3147),
    [aux_sym_preproc_def_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token2] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3147),
    [sym_preproc_directive] = ACTIONS(3147),
    [anon_sym_LPAREN2] = ACTIONS(3149),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3149),
    [anon_sym_AMP_AMP] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_SEMI] = ACTIONS(3149),
    [anon_sym___extension__] = ACTIONS(3147),
    [anon_sym_typedef] = ACTIONS(3147),
    [anon_sym_virtual] = ACTIONS(3147),
    [anon_sym_extern] = ACTIONS(3147),
    [anon_sym___attribute__] = ACTIONS(3147),
    [anon_sym_COLON_COLON] = ACTIONS(3149),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3149),
    [anon_sym___declspec] = ACTIONS(3147),
    [anon_sym___based] = ACTIONS(3147),
    [anon_sym_signed] = ACTIONS(3147),
    [anon_sym_unsigned] = ACTIONS(3147),
    [anon_sym_long] = ACTIONS(3147),
    [anon_sym_short] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_static] = ACTIONS(3147),
    [anon_sym_register] = ACTIONS(3147),
    [anon_sym_inline] = ACTIONS(3147),
    [anon_sym___inline] = ACTIONS(3147),
    [anon_sym___inline__] = ACTIONS(3147),
    [anon_sym___forceinline] = ACTIONS(3147),
    [anon_sym_thread_local] = ACTIONS(3147),
    [anon_sym___thread] = ACTIONS(3147),
    [anon_sym_const] = ACTIONS(3147),
    [anon_sym_constexpr] = ACTIONS(3147),
    [anon_sym_volatile] = ACTIONS(3147),
    [anon_sym_restrict] = ACTIONS(3147),
    [anon_sym___restrict__] = ACTIONS(3147),
    [anon_sym__Atomic] = ACTIONS(3147),
    [anon_sym__Noreturn] = ACTIONS(3147),
    [anon_sym_noreturn] = ACTIONS(3147),
    [anon_sym__Nonnull] = ACTIONS(3147),
    [anon_sym_mutable] = ACTIONS(3147),
    [anon_sym_constinit] = ACTIONS(3147),
    [anon_sym_consteval] = ACTIONS(3147),
    [anon_sym_alignas] = ACTIONS(3147),
    [anon_sym__Alignas] = ACTIONS(3147),
    [sym_primitive_type] = ACTIONS(3147),
    [anon_sym_enum] = ACTIONS(3147),
    [anon_sym_class] = ACTIONS(3147),
    [anon_sym_struct] = ACTIONS(3147),
    [anon_sym_union] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3147),
    [anon_sym_decltype] = ACTIONS(3147),
    [anon_sym_explicit] = ACTIONS(3147),
    [anon_sym_typename] = ACTIONS(3147),
    [anon_sym_template] = ACTIONS(3147),
    [anon_sym_operator] = ACTIONS(3147),
    [anon_sym_friend] = ACTIONS(3147),
    [anon_sym_public] = ACTIONS(3147),
    [anon_sym_private] = ACTIONS(3147),
    [anon_sym_protected] = ACTIONS(3147),
    [anon_sym_using] = ACTIONS(3147),
    [anon_sym_static_assert] = ACTIONS(3147),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5290),
    [anon_sym_TILDE] = ACTIONS(5290),
    [anon_sym_STAR] = ACTIONS(5290),
    [anon_sym_AMP_AMP] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [anon_sym___extension__] = ACTIONS(5288),
    [anon_sym_typedef] = ACTIONS(5288),
    [anon_sym_virtual] = ACTIONS(5288),
    [anon_sym_extern] = ACTIONS(5288),
    [anon_sym___attribute__] = ACTIONS(5288),
    [anon_sym_COLON_COLON] = ACTIONS(5290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5290),
    [anon_sym___declspec] = ACTIONS(5288),
    [anon_sym___based] = ACTIONS(5288),
    [anon_sym_RBRACE] = ACTIONS(5290),
    [anon_sym_signed] = ACTIONS(5288),
    [anon_sym_unsigned] = ACTIONS(5288),
    [anon_sym_long] = ACTIONS(5288),
    [anon_sym_short] = ACTIONS(5288),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_static] = ACTIONS(5288),
    [anon_sym_register] = ACTIONS(5288),
    [anon_sym_inline] = ACTIONS(5288),
    [anon_sym___inline] = ACTIONS(5288),
    [anon_sym___inline__] = ACTIONS(5288),
    [anon_sym___forceinline] = ACTIONS(5288),
    [anon_sym_thread_local] = ACTIONS(5288),
    [anon_sym___thread] = ACTIONS(5288),
    [anon_sym_const] = ACTIONS(5288),
    [anon_sym_constexpr] = ACTIONS(5288),
    [anon_sym_volatile] = ACTIONS(5288),
    [anon_sym_restrict] = ACTIONS(5288),
    [anon_sym___restrict__] = ACTIONS(5288),
    [anon_sym__Atomic] = ACTIONS(5288),
    [anon_sym__Noreturn] = ACTIONS(5288),
    [anon_sym_noreturn] = ACTIONS(5288),
    [anon_sym__Nonnull] = ACTIONS(5288),
    [anon_sym_mutable] = ACTIONS(5288),
    [anon_sym_constinit] = ACTIONS(5288),
    [anon_sym_consteval] = ACTIONS(5288),
    [anon_sym_alignas] = ACTIONS(5288),
    [anon_sym__Alignas] = ACTIONS(5288),
    [sym_primitive_type] = ACTIONS(5288),
    [anon_sym_enum] = ACTIONS(5288),
    [anon_sym_class] = ACTIONS(5288),
    [anon_sym_struct] = ACTIONS(5288),
    [anon_sym_union] = ACTIONS(5288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5288),
    [anon_sym_decltype] = ACTIONS(5288),
    [anon_sym_explicit] = ACTIONS(5288),
    [anon_sym_typename] = ACTIONS(5288),
    [anon_sym_template] = ACTIONS(5288),
    [anon_sym_operator] = ACTIONS(5288),
    [anon_sym_friend] = ACTIONS(5288),
    [anon_sym_public] = ACTIONS(5288),
    [anon_sym_private] = ACTIONS(5288),
    [anon_sym_protected] = ACTIONS(5288),
    [anon_sym_using] = ACTIONS(5288),
    [anon_sym_static_assert] = ACTIONS(5288),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5286),
    [anon_sym_TILDE] = ACTIONS(5286),
    [anon_sym_STAR] = ACTIONS(5286),
    [anon_sym_AMP_AMP] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [anon_sym___extension__] = ACTIONS(5284),
    [anon_sym_typedef] = ACTIONS(5284),
    [anon_sym_virtual] = ACTIONS(5284),
    [anon_sym_extern] = ACTIONS(5284),
    [anon_sym___attribute__] = ACTIONS(5284),
    [anon_sym_COLON_COLON] = ACTIONS(5286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5286),
    [anon_sym___declspec] = ACTIONS(5284),
    [anon_sym___based] = ACTIONS(5284),
    [anon_sym_RBRACE] = ACTIONS(5286),
    [anon_sym_signed] = ACTIONS(5284),
    [anon_sym_unsigned] = ACTIONS(5284),
    [anon_sym_long] = ACTIONS(5284),
    [anon_sym_short] = ACTIONS(5284),
    [anon_sym_LBRACK] = ACTIONS(5284),
    [anon_sym_static] = ACTIONS(5284),
    [anon_sym_register] = ACTIONS(5284),
    [anon_sym_inline] = ACTIONS(5284),
    [anon_sym___inline] = ACTIONS(5284),
    [anon_sym___inline__] = ACTIONS(5284),
    [anon_sym___forceinline] = ACTIONS(5284),
    [anon_sym_thread_local] = ACTIONS(5284),
    [anon_sym___thread] = ACTIONS(5284),
    [anon_sym_const] = ACTIONS(5284),
    [anon_sym_constexpr] = ACTIONS(5284),
    [anon_sym_volatile] = ACTIONS(5284),
    [anon_sym_restrict] = ACTIONS(5284),
    [anon_sym___restrict__] = ACTIONS(5284),
    [anon_sym__Atomic] = ACTIONS(5284),
    [anon_sym__Noreturn] = ACTIONS(5284),
    [anon_sym_noreturn] = ACTIONS(5284),
    [anon_sym__Nonnull] = ACTIONS(5284),
    [anon_sym_mutable] = ACTIONS(5284),
    [anon_sym_constinit] = ACTIONS(5284),
    [anon_sym_consteval] = ACTIONS(5284),
    [anon_sym_alignas] = ACTIONS(5284),
    [anon_sym__Alignas] = ACTIONS(5284),
    [sym_primitive_type] = ACTIONS(5284),
    [anon_sym_enum] = ACTIONS(5284),
    [anon_sym_class] = ACTIONS(5284),
    [anon_sym_struct] = ACTIONS(5284),
    [anon_sym_union] = ACTIONS(5284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5284),
    [anon_sym_decltype] = ACTIONS(5284),
    [anon_sym_explicit] = ACTIONS(5284),
    [anon_sym_typename] = ACTIONS(5284),
    [anon_sym_template] = ACTIONS(5284),
    [anon_sym_operator] = ACTIONS(5284),
    [anon_sym_friend] = ACTIONS(5284),
    [anon_sym_public] = ACTIONS(5284),
    [anon_sym_private] = ACTIONS(5284),
    [anon_sym_protected] = ACTIONS(5284),
    [anon_sym_using] = ACTIONS(5284),
    [anon_sym_static_assert] = ACTIONS(5284),
  },
  [2015] = {
    [sym_identifier] = ACTIONS(3127),
    [aux_sym_preproc_def_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3127),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3127),
    [sym_preproc_directive] = ACTIONS(3127),
    [anon_sym_LPAREN2] = ACTIONS(3129),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3129),
    [anon_sym_AMP_AMP] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3129),
    [anon_sym___extension__] = ACTIONS(3127),
    [anon_sym_typedef] = ACTIONS(3127),
    [anon_sym_virtual] = ACTIONS(3127),
    [anon_sym_extern] = ACTIONS(3127),
    [anon_sym___attribute__] = ACTIONS(3127),
    [anon_sym_COLON_COLON] = ACTIONS(3129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3129),
    [anon_sym___declspec] = ACTIONS(3127),
    [anon_sym___based] = ACTIONS(3127),
    [anon_sym_RBRACE] = ACTIONS(3129),
    [anon_sym_signed] = ACTIONS(3127),
    [anon_sym_unsigned] = ACTIONS(3127),
    [anon_sym_long] = ACTIONS(3127),
    [anon_sym_short] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_register] = ACTIONS(3127),
    [anon_sym_inline] = ACTIONS(3127),
    [anon_sym___inline] = ACTIONS(3127),
    [anon_sym___inline__] = ACTIONS(3127),
    [anon_sym___forceinline] = ACTIONS(3127),
    [anon_sym_thread_local] = ACTIONS(3127),
    [anon_sym___thread] = ACTIONS(3127),
    [anon_sym_const] = ACTIONS(3127),
    [anon_sym_constexpr] = ACTIONS(3127),
    [anon_sym_volatile] = ACTIONS(3127),
    [anon_sym_restrict] = ACTIONS(3127),
    [anon_sym___restrict__] = ACTIONS(3127),
    [anon_sym__Atomic] = ACTIONS(3127),
    [anon_sym__Noreturn] = ACTIONS(3127),
    [anon_sym_noreturn] = ACTIONS(3127),
    [anon_sym__Nonnull] = ACTIONS(3127),
    [anon_sym_mutable] = ACTIONS(3127),
    [anon_sym_constinit] = ACTIONS(3127),
    [anon_sym_consteval] = ACTIONS(3127),
    [anon_sym_alignas] = ACTIONS(3127),
    [anon_sym__Alignas] = ACTIONS(3127),
    [sym_primitive_type] = ACTIONS(3127),
    [anon_sym_enum] = ACTIONS(3127),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_struct] = ACTIONS(3127),
    [anon_sym_union] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3127),
    [anon_sym_decltype] = ACTIONS(3127),
    [anon_sym_explicit] = ACTIONS(3127),
    [anon_sym_typename] = ACTIONS(3127),
    [anon_sym_template] = ACTIONS(3127),
    [anon_sym_operator] = ACTIONS(3127),
    [anon_sym_friend] = ACTIONS(3127),
    [anon_sym_public] = ACTIONS(3127),
    [anon_sym_private] = ACTIONS(3127),
    [anon_sym_protected] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_static_assert] = ACTIONS(3127),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym__Nonnull] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym__Alignas] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_friend] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_TILDE] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(5268),
    [anon_sym_typedef] = ACTIONS(5268),
    [anon_sym_virtual] = ACTIONS(5268),
    [anon_sym_extern] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym_COLON_COLON] = ACTIONS(5270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5270),
    [anon_sym___declspec] = ACTIONS(5268),
    [anon_sym___based] = ACTIONS(5268),
    [anon_sym_RBRACE] = ACTIONS(5270),
    [anon_sym_signed] = ACTIONS(5268),
    [anon_sym_unsigned] = ACTIONS(5268),
    [anon_sym_long] = ACTIONS(5268),
    [anon_sym_short] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_static] = ACTIONS(5268),
    [anon_sym_register] = ACTIONS(5268),
    [anon_sym_inline] = ACTIONS(5268),
    [anon_sym___inline] = ACTIONS(5268),
    [anon_sym___inline__] = ACTIONS(5268),
    [anon_sym___forceinline] = ACTIONS(5268),
    [anon_sym_thread_local] = ACTIONS(5268),
    [anon_sym___thread] = ACTIONS(5268),
    [anon_sym_const] = ACTIONS(5268),
    [anon_sym_constexpr] = ACTIONS(5268),
    [anon_sym_volatile] = ACTIONS(5268),
    [anon_sym_restrict] = ACTIONS(5268),
    [anon_sym___restrict__] = ACTIONS(5268),
    [anon_sym__Atomic] = ACTIONS(5268),
    [anon_sym__Noreturn] = ACTIONS(5268),
    [anon_sym_noreturn] = ACTIONS(5268),
    [anon_sym__Nonnull] = ACTIONS(5268),
    [anon_sym_mutable] = ACTIONS(5268),
    [anon_sym_constinit] = ACTIONS(5268),
    [anon_sym_consteval] = ACTIONS(5268),
    [anon_sym_alignas] = ACTIONS(5268),
    [anon_sym__Alignas] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(5268),
    [anon_sym_enum] = ACTIONS(5268),
    [anon_sym_class] = ACTIONS(5268),
    [anon_sym_struct] = ACTIONS(5268),
    [anon_sym_union] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
    [anon_sym_explicit] = ACTIONS(5268),
    [anon_sym_typename] = ACTIONS(5268),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_operator] = ACTIONS(5268),
    [anon_sym_friend] = ACTIONS(5268),
    [anon_sym_public] = ACTIONS(5268),
    [anon_sym_private] = ACTIONS(5268),
    [anon_sym_protected] = ACTIONS(5268),
    [anon_sym_using] = ACTIONS(5268),
    [anon_sym_static_assert] = ACTIONS(5268),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_friend] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(5237),
    [aux_sym_preproc_def_token1] = ACTIONS(5237),
    [aux_sym_preproc_if_token1] = ACTIONS(5237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5237),
    [sym_preproc_directive] = ACTIONS(5237),
    [anon_sym_LPAREN2] = ACTIONS(5239),
    [anon_sym_TILDE] = ACTIONS(5239),
    [anon_sym_STAR] = ACTIONS(5239),
    [anon_sym_AMP_AMP] = ACTIONS(5239),
    [anon_sym_AMP] = ACTIONS(5237),
    [anon_sym_SEMI] = ACTIONS(5239),
    [anon_sym___extension__] = ACTIONS(5237),
    [anon_sym_typedef] = ACTIONS(5237),
    [anon_sym_virtual] = ACTIONS(5237),
    [anon_sym_extern] = ACTIONS(5237),
    [anon_sym___attribute__] = ACTIONS(5237),
    [anon_sym_COLON_COLON] = ACTIONS(5239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5239),
    [anon_sym___declspec] = ACTIONS(5237),
    [anon_sym___based] = ACTIONS(5237),
    [anon_sym_RBRACE] = ACTIONS(5239),
    [anon_sym_signed] = ACTIONS(5237),
    [anon_sym_unsigned] = ACTIONS(5237),
    [anon_sym_long] = ACTIONS(5237),
    [anon_sym_short] = ACTIONS(5237),
    [anon_sym_LBRACK] = ACTIONS(5237),
    [anon_sym_static] = ACTIONS(5237),
    [anon_sym_register] = ACTIONS(5237),
    [anon_sym_inline] = ACTIONS(5237),
    [anon_sym___inline] = ACTIONS(5237),
    [anon_sym___inline__] = ACTIONS(5237),
    [anon_sym___forceinline] = ACTIONS(5237),
    [anon_sym_thread_local] = ACTIONS(5237),
    [anon_sym___thread] = ACTIONS(5237),
    [anon_sym_const] = ACTIONS(5237),
    [anon_sym_constexpr] = ACTIONS(5237),
    [anon_sym_volatile] = ACTIONS(5237),
    [anon_sym_restrict] = ACTIONS(5237),
    [anon_sym___restrict__] = ACTIONS(5237),
    [anon_sym__Atomic] = ACTIONS(5237),
    [anon_sym__Noreturn] = ACTIONS(5237),
    [anon_sym_noreturn] = ACTIONS(5237),
    [anon_sym__Nonnull] = ACTIONS(5237),
    [anon_sym_mutable] = ACTIONS(5237),
    [anon_sym_constinit] = ACTIONS(5237),
    [anon_sym_consteval] = ACTIONS(5237),
    [anon_sym_alignas] = ACTIONS(5237),
    [anon_sym__Alignas] = ACTIONS(5237),
    [sym_primitive_type] = ACTIONS(5237),
    [anon_sym_enum] = ACTIONS(5237),
    [anon_sym_class] = ACTIONS(5237),
    [anon_sym_struct] = ACTIONS(5237),
    [anon_sym_union] = ACTIONS(5237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5237),
    [anon_sym_decltype] = ACTIONS(5237),
    [anon_sym_explicit] = ACTIONS(5237),
    [anon_sym_typename] = ACTIONS(5237),
    [anon_sym_template] = ACTIONS(5237),
    [anon_sym_operator] = ACTIONS(5237),
    [anon_sym_friend] = ACTIONS(5237),
    [anon_sym_public] = ACTIONS(5237),
    [anon_sym_private] = ACTIONS(5237),
    [anon_sym_protected] = ACTIONS(5237),
    [anon_sym_using] = ACTIONS(5237),
    [anon_sym_static_assert] = ACTIONS(5237),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_friend] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
  },
  [2021] = {
    [sym_attribute_specifier] = STATE(2160),
    [sym_enumerator_list] = STATE(2149),
    [sym_identifier] = ACTIONS(5698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5700),
    [anon_sym_COMMA] = ACTIONS(5700),
    [anon_sym_RPAREN] = ACTIONS(5700),
    [aux_sym_preproc_if_token2] = ACTIONS(5700),
    [aux_sym_preproc_else_token1] = ACTIONS(5700),
    [aux_sym_preproc_elif_token1] = ACTIONS(5698),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_SLASH] = ACTIONS(5698),
    [anon_sym_PERCENT] = ACTIONS(5698),
    [anon_sym_PIPE_PIPE] = ACTIONS(5700),
    [anon_sym_AMP_AMP] = ACTIONS(5700),
    [anon_sym_PIPE] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(5698),
    [anon_sym_EQ_EQ] = ACTIONS(5700),
    [anon_sym_BANG_EQ] = ACTIONS(5700),
    [anon_sym_GT] = ACTIONS(5698),
    [anon_sym_GT_EQ] = ACTIONS(5700),
    [anon_sym_LT_EQ] = ACTIONS(5698),
    [anon_sym_LT] = ACTIONS(5698),
    [anon_sym_LT_LT] = ACTIONS(5698),
    [anon_sym_GT_GT] = ACTIONS(5698),
    [anon_sym_SEMI] = ACTIONS(5700),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5702),
    [anon_sym_RBRACE] = ACTIONS(5700),
    [anon_sym_LBRACK] = ACTIONS(5700),
    [anon_sym_RBRACK] = ACTIONS(5700),
    [anon_sym_EQ] = ACTIONS(5698),
    [anon_sym_COLON] = ACTIONS(5700),
    [anon_sym_QMARK] = ACTIONS(5700),
    [anon_sym_STAR_EQ] = ACTIONS(5700),
    [anon_sym_SLASH_EQ] = ACTIONS(5700),
    [anon_sym_PERCENT_EQ] = ACTIONS(5700),
    [anon_sym_PLUS_EQ] = ACTIONS(5700),
    [anon_sym_DASH_EQ] = ACTIONS(5700),
    [anon_sym_LT_LT_EQ] = ACTIONS(5700),
    [anon_sym_GT_GT_EQ] = ACTIONS(5700),
    [anon_sym_AMP_EQ] = ACTIONS(5700),
    [anon_sym_CARET_EQ] = ACTIONS(5700),
    [anon_sym_PIPE_EQ] = ACTIONS(5700),
    [anon_sym_and_eq] = ACTIONS(5698),
    [anon_sym_or_eq] = ACTIONS(5698),
    [anon_sym_xor_eq] = ACTIONS(5698),
    [anon_sym_LT_EQ_GT] = ACTIONS(5700),
    [anon_sym_or] = ACTIONS(5698),
    [anon_sym_and] = ACTIONS(5698),
    [anon_sym_bitor] = ACTIONS(5698),
    [anon_sym_xor] = ACTIONS(5698),
    [anon_sym_bitand] = ACTIONS(5698),
    [anon_sym_not_eq] = ACTIONS(5698),
    [anon_sym_DASH_DASH] = ACTIONS(5700),
    [anon_sym_PLUS_PLUS] = ACTIONS(5700),
    [anon_sym_DOT] = ACTIONS(5698),
    [anon_sym_DOT_STAR] = ACTIONS(5700),
    [anon_sym_DASH_GT] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5698),
    [anon_sym_decltype] = ACTIONS(5698),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_AMP_AMP] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_virtual] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym_COLON_COLON] = ACTIONS(2858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___based] = ACTIONS(2856),
    [anon_sym_RBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_mutable] = ACTIONS(2856),
    [anon_sym_constinit] = ACTIONS(2856),
    [anon_sym_consteval] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2856),
    [anon_sym_decltype] = ACTIONS(2856),
    [anon_sym_explicit] = ACTIONS(2856),
    [anon_sym_typename] = ACTIONS(2856),
    [anon_sym_template] = ACTIONS(2856),
    [anon_sym_operator] = ACTIONS(2856),
    [anon_sym_friend] = ACTIONS(2856),
    [anon_sym_public] = ACTIONS(2856),
    [anon_sym_private] = ACTIONS(2856),
    [anon_sym_protected] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(2856),
    [anon_sym_static_assert] = ACTIONS(2856),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(2928),
    [aux_sym_preproc_def_token1] = ACTIONS(2928),
    [aux_sym_preproc_if_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [sym_preproc_directive] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2930),
    [anon_sym_STAR] = ACTIONS(2930),
    [anon_sym_AMP_AMP] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym___extension__] = ACTIONS(2928),
    [anon_sym_typedef] = ACTIONS(2928),
    [anon_sym_virtual] = ACTIONS(2928),
    [anon_sym_extern] = ACTIONS(2928),
    [anon_sym___attribute__] = ACTIONS(2928),
    [anon_sym_COLON_COLON] = ACTIONS(2930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2930),
    [anon_sym___declspec] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2930),
    [anon_sym_signed] = ACTIONS(2928),
    [anon_sym_unsigned] = ACTIONS(2928),
    [anon_sym_long] = ACTIONS(2928),
    [anon_sym_short] = ACTIONS(2928),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2928),
    [anon_sym_register] = ACTIONS(2928),
    [anon_sym_inline] = ACTIONS(2928),
    [anon_sym___inline] = ACTIONS(2928),
    [anon_sym___inline__] = ACTIONS(2928),
    [anon_sym___forceinline] = ACTIONS(2928),
    [anon_sym_thread_local] = ACTIONS(2928),
    [anon_sym___thread] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2928),
    [anon_sym_constexpr] = ACTIONS(2928),
    [anon_sym_volatile] = ACTIONS(2928),
    [anon_sym_restrict] = ACTIONS(2928),
    [anon_sym___restrict__] = ACTIONS(2928),
    [anon_sym__Atomic] = ACTIONS(2928),
    [anon_sym__Noreturn] = ACTIONS(2928),
    [anon_sym_noreturn] = ACTIONS(2928),
    [anon_sym__Nonnull] = ACTIONS(2928),
    [anon_sym_mutable] = ACTIONS(2928),
    [anon_sym_constinit] = ACTIONS(2928),
    [anon_sym_consteval] = ACTIONS(2928),
    [anon_sym_alignas] = ACTIONS(2928),
    [anon_sym__Alignas] = ACTIONS(2928),
    [sym_primitive_type] = ACTIONS(2928),
    [anon_sym_enum] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2928),
    [anon_sym_union] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2928),
    [anon_sym_decltype] = ACTIONS(2928),
    [anon_sym_explicit] = ACTIONS(2928),
    [anon_sym_typename] = ACTIONS(2928),
    [anon_sym_template] = ACTIONS(2928),
    [anon_sym_operator] = ACTIONS(2928),
    [anon_sym_friend] = ACTIONS(2928),
    [anon_sym_public] = ACTIONS(2928),
    [anon_sym_private] = ACTIONS(2928),
    [anon_sym_protected] = ACTIONS(2928),
    [anon_sym_using] = ACTIONS(2928),
    [anon_sym_static_assert] = ACTIONS(2928),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_TILDE] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(5268),
    [anon_sym_typedef] = ACTIONS(5268),
    [anon_sym_virtual] = ACTIONS(5268),
    [anon_sym_extern] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym_COLON_COLON] = ACTIONS(5270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5270),
    [anon_sym___declspec] = ACTIONS(5268),
    [anon_sym___based] = ACTIONS(5268),
    [anon_sym_RBRACE] = ACTIONS(5270),
    [anon_sym_signed] = ACTIONS(5268),
    [anon_sym_unsigned] = ACTIONS(5268),
    [anon_sym_long] = ACTIONS(5268),
    [anon_sym_short] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_static] = ACTIONS(5268),
    [anon_sym_register] = ACTIONS(5268),
    [anon_sym_inline] = ACTIONS(5268),
    [anon_sym___inline] = ACTIONS(5268),
    [anon_sym___inline__] = ACTIONS(5268),
    [anon_sym___forceinline] = ACTIONS(5268),
    [anon_sym_thread_local] = ACTIONS(5268),
    [anon_sym___thread] = ACTIONS(5268),
    [anon_sym_const] = ACTIONS(5268),
    [anon_sym_constexpr] = ACTIONS(5268),
    [anon_sym_volatile] = ACTIONS(5268),
    [anon_sym_restrict] = ACTIONS(5268),
    [anon_sym___restrict__] = ACTIONS(5268),
    [anon_sym__Atomic] = ACTIONS(5268),
    [anon_sym__Noreturn] = ACTIONS(5268),
    [anon_sym_noreturn] = ACTIONS(5268),
    [anon_sym__Nonnull] = ACTIONS(5268),
    [anon_sym_mutable] = ACTIONS(5268),
    [anon_sym_constinit] = ACTIONS(5268),
    [anon_sym_consteval] = ACTIONS(5268),
    [anon_sym_alignas] = ACTIONS(5268),
    [anon_sym__Alignas] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(5268),
    [anon_sym_enum] = ACTIONS(5268),
    [anon_sym_class] = ACTIONS(5268),
    [anon_sym_struct] = ACTIONS(5268),
    [anon_sym_union] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
    [anon_sym_explicit] = ACTIONS(5268),
    [anon_sym_typename] = ACTIONS(5268),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_operator] = ACTIONS(5268),
    [anon_sym_friend] = ACTIONS(5268),
    [anon_sym_public] = ACTIONS(5268),
    [anon_sym_private] = ACTIONS(5268),
    [anon_sym_protected] = ACTIONS(5268),
    [anon_sym_using] = ACTIONS(5268),
    [anon_sym_static_assert] = ACTIONS(5268),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(5233),
    [aux_sym_preproc_def_token1] = ACTIONS(5233),
    [aux_sym_preproc_if_token1] = ACTIONS(5233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5233),
    [sym_preproc_directive] = ACTIONS(5233),
    [anon_sym_LPAREN2] = ACTIONS(5235),
    [anon_sym_TILDE] = ACTIONS(5235),
    [anon_sym_STAR] = ACTIONS(5235),
    [anon_sym_AMP_AMP] = ACTIONS(5235),
    [anon_sym_AMP] = ACTIONS(5233),
    [anon_sym_SEMI] = ACTIONS(5235),
    [anon_sym___extension__] = ACTIONS(5233),
    [anon_sym_typedef] = ACTIONS(5233),
    [anon_sym_virtual] = ACTIONS(5233),
    [anon_sym_extern] = ACTIONS(5233),
    [anon_sym___attribute__] = ACTIONS(5233),
    [anon_sym_COLON_COLON] = ACTIONS(5235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5235),
    [anon_sym___declspec] = ACTIONS(5233),
    [anon_sym___based] = ACTIONS(5233),
    [anon_sym_RBRACE] = ACTIONS(5235),
    [anon_sym_signed] = ACTIONS(5233),
    [anon_sym_unsigned] = ACTIONS(5233),
    [anon_sym_long] = ACTIONS(5233),
    [anon_sym_short] = ACTIONS(5233),
    [anon_sym_LBRACK] = ACTIONS(5233),
    [anon_sym_static] = ACTIONS(5233),
    [anon_sym_register] = ACTIONS(5233),
    [anon_sym_inline] = ACTIONS(5233),
    [anon_sym___inline] = ACTIONS(5233),
    [anon_sym___inline__] = ACTIONS(5233),
    [anon_sym___forceinline] = ACTIONS(5233),
    [anon_sym_thread_local] = ACTIONS(5233),
    [anon_sym___thread] = ACTIONS(5233),
    [anon_sym_const] = ACTIONS(5233),
    [anon_sym_constexpr] = ACTIONS(5233),
    [anon_sym_volatile] = ACTIONS(5233),
    [anon_sym_restrict] = ACTIONS(5233),
    [anon_sym___restrict__] = ACTIONS(5233),
    [anon_sym__Atomic] = ACTIONS(5233),
    [anon_sym__Noreturn] = ACTIONS(5233),
    [anon_sym_noreturn] = ACTIONS(5233),
    [anon_sym__Nonnull] = ACTIONS(5233),
    [anon_sym_mutable] = ACTIONS(5233),
    [anon_sym_constinit] = ACTIONS(5233),
    [anon_sym_consteval] = ACTIONS(5233),
    [anon_sym_alignas] = ACTIONS(5233),
    [anon_sym__Alignas] = ACTIONS(5233),
    [sym_primitive_type] = ACTIONS(5233),
    [anon_sym_enum] = ACTIONS(5233),
    [anon_sym_class] = ACTIONS(5233),
    [anon_sym_struct] = ACTIONS(5233),
    [anon_sym_union] = ACTIONS(5233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5233),
    [anon_sym_decltype] = ACTIONS(5233),
    [anon_sym_explicit] = ACTIONS(5233),
    [anon_sym_typename] = ACTIONS(5233),
    [anon_sym_template] = ACTIONS(5233),
    [anon_sym_operator] = ACTIONS(5233),
    [anon_sym_friend] = ACTIONS(5233),
    [anon_sym_public] = ACTIONS(5233),
    [anon_sym_private] = ACTIONS(5233),
    [anon_sym_protected] = ACTIONS(5233),
    [anon_sym_using] = ACTIONS(5233),
    [anon_sym_static_assert] = ACTIONS(5233),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(5229),
    [aux_sym_preproc_def_token1] = ACTIONS(5229),
    [aux_sym_preproc_if_token1] = ACTIONS(5229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5229),
    [sym_preproc_directive] = ACTIONS(5229),
    [anon_sym_LPAREN2] = ACTIONS(5231),
    [anon_sym_TILDE] = ACTIONS(5231),
    [anon_sym_STAR] = ACTIONS(5231),
    [anon_sym_AMP_AMP] = ACTIONS(5231),
    [anon_sym_AMP] = ACTIONS(5229),
    [anon_sym_SEMI] = ACTIONS(5231),
    [anon_sym___extension__] = ACTIONS(5229),
    [anon_sym_typedef] = ACTIONS(5229),
    [anon_sym_virtual] = ACTIONS(5229),
    [anon_sym_extern] = ACTIONS(5229),
    [anon_sym___attribute__] = ACTIONS(5229),
    [anon_sym_COLON_COLON] = ACTIONS(5231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5231),
    [anon_sym___declspec] = ACTIONS(5229),
    [anon_sym___based] = ACTIONS(5229),
    [anon_sym_RBRACE] = ACTIONS(5231),
    [anon_sym_signed] = ACTIONS(5229),
    [anon_sym_unsigned] = ACTIONS(5229),
    [anon_sym_long] = ACTIONS(5229),
    [anon_sym_short] = ACTIONS(5229),
    [anon_sym_LBRACK] = ACTIONS(5229),
    [anon_sym_static] = ACTIONS(5229),
    [anon_sym_register] = ACTIONS(5229),
    [anon_sym_inline] = ACTIONS(5229),
    [anon_sym___inline] = ACTIONS(5229),
    [anon_sym___inline__] = ACTIONS(5229),
    [anon_sym___forceinline] = ACTIONS(5229),
    [anon_sym_thread_local] = ACTIONS(5229),
    [anon_sym___thread] = ACTIONS(5229),
    [anon_sym_const] = ACTIONS(5229),
    [anon_sym_constexpr] = ACTIONS(5229),
    [anon_sym_volatile] = ACTIONS(5229),
    [anon_sym_restrict] = ACTIONS(5229),
    [anon_sym___restrict__] = ACTIONS(5229),
    [anon_sym__Atomic] = ACTIONS(5229),
    [anon_sym__Noreturn] = ACTIONS(5229),
    [anon_sym_noreturn] = ACTIONS(5229),
    [anon_sym__Nonnull] = ACTIONS(5229),
    [anon_sym_mutable] = ACTIONS(5229),
    [anon_sym_constinit] = ACTIONS(5229),
    [anon_sym_consteval] = ACTIONS(5229),
    [anon_sym_alignas] = ACTIONS(5229),
    [anon_sym__Alignas] = ACTIONS(5229),
    [sym_primitive_type] = ACTIONS(5229),
    [anon_sym_enum] = ACTIONS(5229),
    [anon_sym_class] = ACTIONS(5229),
    [anon_sym_struct] = ACTIONS(5229),
    [anon_sym_union] = ACTIONS(5229),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5229),
    [anon_sym_decltype] = ACTIONS(5229),
    [anon_sym_explicit] = ACTIONS(5229),
    [anon_sym_typename] = ACTIONS(5229),
    [anon_sym_template] = ACTIONS(5229),
    [anon_sym_operator] = ACTIONS(5229),
    [anon_sym_friend] = ACTIONS(5229),
    [anon_sym_public] = ACTIONS(5229),
    [anon_sym_private] = ACTIONS(5229),
    [anon_sym_protected] = ACTIONS(5229),
    [anon_sym_using] = ACTIONS(5229),
    [anon_sym_static_assert] = ACTIONS(5229),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_friend] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(2964),
    [aux_sym_preproc_def_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token1] = ACTIONS(2964),
    [aux_sym_preproc_if_token2] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2964),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2964),
    [sym_preproc_directive] = ACTIONS(2964),
    [anon_sym_LPAREN2] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2966),
    [anon_sym_AMP_AMP] = ACTIONS(2966),
    [anon_sym_AMP] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym___extension__] = ACTIONS(2964),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_virtual] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2964),
    [anon_sym___attribute__] = ACTIONS(2964),
    [anon_sym_COLON_COLON] = ACTIONS(2966),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2966),
    [anon_sym___declspec] = ACTIONS(2964),
    [anon_sym___based] = ACTIONS(2964),
    [anon_sym_signed] = ACTIONS(2964),
    [anon_sym_unsigned] = ACTIONS(2964),
    [anon_sym_long] = ACTIONS(2964),
    [anon_sym_short] = ACTIONS(2964),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2964),
    [anon_sym_register] = ACTIONS(2964),
    [anon_sym_inline] = ACTIONS(2964),
    [anon_sym___inline] = ACTIONS(2964),
    [anon_sym___inline__] = ACTIONS(2964),
    [anon_sym___forceinline] = ACTIONS(2964),
    [anon_sym_thread_local] = ACTIONS(2964),
    [anon_sym___thread] = ACTIONS(2964),
    [anon_sym_const] = ACTIONS(2964),
    [anon_sym_constexpr] = ACTIONS(2964),
    [anon_sym_volatile] = ACTIONS(2964),
    [anon_sym_restrict] = ACTIONS(2964),
    [anon_sym___restrict__] = ACTIONS(2964),
    [anon_sym__Atomic] = ACTIONS(2964),
    [anon_sym__Noreturn] = ACTIONS(2964),
    [anon_sym_noreturn] = ACTIONS(2964),
    [anon_sym__Nonnull] = ACTIONS(2964),
    [anon_sym_mutable] = ACTIONS(2964),
    [anon_sym_constinit] = ACTIONS(2964),
    [anon_sym_consteval] = ACTIONS(2964),
    [anon_sym_alignas] = ACTIONS(2964),
    [anon_sym__Alignas] = ACTIONS(2964),
    [sym_primitive_type] = ACTIONS(2964),
    [anon_sym_enum] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2964),
    [anon_sym_struct] = ACTIONS(2964),
    [anon_sym_union] = ACTIONS(2964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2964),
    [anon_sym_decltype] = ACTIONS(2964),
    [anon_sym_explicit] = ACTIONS(2964),
    [anon_sym_typename] = ACTIONS(2964),
    [anon_sym_template] = ACTIONS(2964),
    [anon_sym_operator] = ACTIONS(2964),
    [anon_sym_friend] = ACTIONS(2964),
    [anon_sym_public] = ACTIONS(2964),
    [anon_sym_private] = ACTIONS(2964),
    [anon_sym_protected] = ACTIONS(2964),
    [anon_sym_using] = ACTIONS(2964),
    [anon_sym_static_assert] = ACTIONS(2964),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(5268),
    [aux_sym_preproc_def_token1] = ACTIONS(5268),
    [aux_sym_preproc_if_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5268),
    [sym_preproc_directive] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5270),
    [anon_sym_TILDE] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_AMP_AMP] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5268),
    [anon_sym_SEMI] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(5268),
    [anon_sym_typedef] = ACTIONS(5268),
    [anon_sym_virtual] = ACTIONS(5268),
    [anon_sym_extern] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5268),
    [anon_sym_COLON_COLON] = ACTIONS(5270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5270),
    [anon_sym___declspec] = ACTIONS(5268),
    [anon_sym___based] = ACTIONS(5268),
    [anon_sym_RBRACE] = ACTIONS(5270),
    [anon_sym_signed] = ACTIONS(5268),
    [anon_sym_unsigned] = ACTIONS(5268),
    [anon_sym_long] = ACTIONS(5268),
    [anon_sym_short] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_static] = ACTIONS(5268),
    [anon_sym_register] = ACTIONS(5268),
    [anon_sym_inline] = ACTIONS(5268),
    [anon_sym___inline] = ACTIONS(5268),
    [anon_sym___inline__] = ACTIONS(5268),
    [anon_sym___forceinline] = ACTIONS(5268),
    [anon_sym_thread_local] = ACTIONS(5268),
    [anon_sym___thread] = ACTIONS(5268),
    [anon_sym_const] = ACTIONS(5268),
    [anon_sym_constexpr] = ACTIONS(5268),
    [anon_sym_volatile] = ACTIONS(5268),
    [anon_sym_restrict] = ACTIONS(5268),
    [anon_sym___restrict__] = ACTIONS(5268),
    [anon_sym__Atomic] = ACTIONS(5268),
    [anon_sym__Noreturn] = ACTIONS(5268),
    [anon_sym_noreturn] = ACTIONS(5268),
    [anon_sym__Nonnull] = ACTIONS(5268),
    [anon_sym_mutable] = ACTIONS(5268),
    [anon_sym_constinit] = ACTIONS(5268),
    [anon_sym_consteval] = ACTIONS(5268),
    [anon_sym_alignas] = ACTIONS(5268),
    [anon_sym__Alignas] = ACTIONS(5268),
    [sym_primitive_type] = ACTIONS(5268),
    [anon_sym_enum] = ACTIONS(5268),
    [anon_sym_class] = ACTIONS(5268),
    [anon_sym_struct] = ACTIONS(5268),
    [anon_sym_union] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5268),
    [anon_sym_decltype] = ACTIONS(5268),
    [anon_sym_explicit] = ACTIONS(5268),
    [anon_sym_typename] = ACTIONS(5268),
    [anon_sym_template] = ACTIONS(5268),
    [anon_sym_operator] = ACTIONS(5268),
    [anon_sym_friend] = ACTIONS(5268),
    [anon_sym_public] = ACTIONS(5268),
    [anon_sym_private] = ACTIONS(5268),
    [anon_sym_protected] = ACTIONS(5268),
    [anon_sym_using] = ACTIONS(5268),
    [anon_sym_static_assert] = ACTIONS(5268),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(5346),
    [aux_sym_preproc_def_token1] = ACTIONS(5346),
    [aux_sym_preproc_if_token1] = ACTIONS(5346),
    [aux_sym_preproc_if_token2] = ACTIONS(5346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5346),
    [sym_preproc_directive] = ACTIONS(5346),
    [anon_sym_LPAREN2] = ACTIONS(5348),
    [anon_sym_TILDE] = ACTIONS(5348),
    [anon_sym_STAR] = ACTIONS(5348),
    [anon_sym_AMP_AMP] = ACTIONS(5348),
    [anon_sym_AMP] = ACTIONS(5346),
    [anon_sym_SEMI] = ACTIONS(5348),
    [anon_sym___extension__] = ACTIONS(5346),
    [anon_sym_typedef] = ACTIONS(5346),
    [anon_sym_virtual] = ACTIONS(5346),
    [anon_sym_extern] = ACTIONS(5346),
    [anon_sym___attribute__] = ACTIONS(5346),
    [anon_sym_COLON_COLON] = ACTIONS(5348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5348),
    [anon_sym___declspec] = ACTIONS(5346),
    [anon_sym___based] = ACTIONS(5346),
    [anon_sym_signed] = ACTIONS(5346),
    [anon_sym_unsigned] = ACTIONS(5346),
    [anon_sym_long] = ACTIONS(5346),
    [anon_sym_short] = ACTIONS(5346),
    [anon_sym_LBRACK] = ACTIONS(5346),
    [anon_sym_static] = ACTIONS(5346),
    [anon_sym_register] = ACTIONS(5346),
    [anon_sym_inline] = ACTIONS(5346),
    [anon_sym___inline] = ACTIONS(5346),
    [anon_sym___inline__] = ACTIONS(5346),
    [anon_sym___forceinline] = ACTIONS(5346),
    [anon_sym_thread_local] = ACTIONS(5346),
    [anon_sym___thread] = ACTIONS(5346),
    [anon_sym_const] = ACTIONS(5346),
    [anon_sym_constexpr] = ACTIONS(5346),
    [anon_sym_volatile] = ACTIONS(5346),
    [anon_sym_restrict] = ACTIONS(5346),
    [anon_sym___restrict__] = ACTIONS(5346),
    [anon_sym__Atomic] = ACTIONS(5346),
    [anon_sym__Noreturn] = ACTIONS(5346),
    [anon_sym_noreturn] = ACTIONS(5346),
    [anon_sym__Nonnull] = ACTIONS(5346),
    [anon_sym_mutable] = ACTIONS(5346),
    [anon_sym_constinit] = ACTIONS(5346),
    [anon_sym_consteval] = ACTIONS(5346),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym__Alignas] = ACTIONS(5346),
    [sym_primitive_type] = ACTIONS(5346),
    [anon_sym_enum] = ACTIONS(5346),
    [anon_sym_class] = ACTIONS(5346),
    [anon_sym_struct] = ACTIONS(5346),
    [anon_sym_union] = ACTIONS(5346),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5346),
    [anon_sym_decltype] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(5346),
    [anon_sym_typename] = ACTIONS(5346),
    [anon_sym_template] = ACTIONS(5346),
    [anon_sym_operator] = ACTIONS(5346),
    [anon_sym_friend] = ACTIONS(5346),
    [anon_sym_public] = ACTIONS(5346),
    [anon_sym_private] = ACTIONS(5346),
    [anon_sym_protected] = ACTIONS(5346),
    [anon_sym_using] = ACTIONS(5346),
    [anon_sym_static_assert] = ACTIONS(5346),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(5241),
    [aux_sym_preproc_def_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5241),
    [sym_preproc_directive] = ACTIONS(5241),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_TILDE] = ACTIONS(5243),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_AMP] = ACTIONS(5241),
    [anon_sym_SEMI] = ACTIONS(5243),
    [anon_sym___extension__] = ACTIONS(5241),
    [anon_sym_typedef] = ACTIONS(5241),
    [anon_sym_virtual] = ACTIONS(5241),
    [anon_sym_extern] = ACTIONS(5241),
    [anon_sym___attribute__] = ACTIONS(5241),
    [anon_sym_COLON_COLON] = ACTIONS(5243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5243),
    [anon_sym___declspec] = ACTIONS(5241),
    [anon_sym___based] = ACTIONS(5241),
    [anon_sym_RBRACE] = ACTIONS(5243),
    [anon_sym_signed] = ACTIONS(5241),
    [anon_sym_unsigned] = ACTIONS(5241),
    [anon_sym_long] = ACTIONS(5241),
    [anon_sym_short] = ACTIONS(5241),
    [anon_sym_LBRACK] = ACTIONS(5241),
    [anon_sym_static] = ACTIONS(5241),
    [anon_sym_register] = ACTIONS(5241),
    [anon_sym_inline] = ACTIONS(5241),
    [anon_sym___inline] = ACTIONS(5241),
    [anon_sym___inline__] = ACTIONS(5241),
    [anon_sym___forceinline] = ACTIONS(5241),
    [anon_sym_thread_local] = ACTIONS(5241),
    [anon_sym___thread] = ACTIONS(5241),
    [anon_sym_const] = ACTIONS(5241),
    [anon_sym_constexpr] = ACTIONS(5241),
    [anon_sym_volatile] = ACTIONS(5241),
    [anon_sym_restrict] = ACTIONS(5241),
    [anon_sym___restrict__] = ACTIONS(5241),
    [anon_sym__Atomic] = ACTIONS(5241),
    [anon_sym__Noreturn] = ACTIONS(5241),
    [anon_sym_noreturn] = ACTIONS(5241),
    [anon_sym__Nonnull] = ACTIONS(5241),
    [anon_sym_mutable] = ACTIONS(5241),
    [anon_sym_constinit] = ACTIONS(5241),
    [anon_sym_consteval] = ACTIONS(5241),
    [anon_sym_alignas] = ACTIONS(5241),
    [anon_sym__Alignas] = ACTIONS(5241),
    [sym_primitive_type] = ACTIONS(5241),
    [anon_sym_enum] = ACTIONS(5241),
    [anon_sym_class] = ACTIONS(5241),
    [anon_sym_struct] = ACTIONS(5241),
    [anon_sym_union] = ACTIONS(5241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5241),
    [anon_sym_decltype] = ACTIONS(5241),
    [anon_sym_explicit] = ACTIONS(5241),
    [anon_sym_typename] = ACTIONS(5241),
    [anon_sym_template] = ACTIONS(5241),
    [anon_sym_operator] = ACTIONS(5241),
    [anon_sym_friend] = ACTIONS(5241),
    [anon_sym_public] = ACTIONS(5241),
    [anon_sym_private] = ACTIONS(5241),
    [anon_sym_protected] = ACTIONS(5241),
    [anon_sym_using] = ACTIONS(5241),
    [anon_sym_static_assert] = ACTIONS(5241),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(5342),
    [aux_sym_preproc_def_token1] = ACTIONS(5342),
    [aux_sym_preproc_if_token1] = ACTIONS(5342),
    [aux_sym_preproc_if_token2] = ACTIONS(5342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5342),
    [sym_preproc_directive] = ACTIONS(5342),
    [anon_sym_LPAREN2] = ACTIONS(5344),
    [anon_sym_TILDE] = ACTIONS(5344),
    [anon_sym_STAR] = ACTIONS(5344),
    [anon_sym_AMP_AMP] = ACTIONS(5344),
    [anon_sym_AMP] = ACTIONS(5342),
    [anon_sym_SEMI] = ACTIONS(5344),
    [anon_sym___extension__] = ACTIONS(5342),
    [anon_sym_typedef] = ACTIONS(5342),
    [anon_sym_virtual] = ACTIONS(5342),
    [anon_sym_extern] = ACTIONS(5342),
    [anon_sym___attribute__] = ACTIONS(5342),
    [anon_sym_COLON_COLON] = ACTIONS(5344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5344),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(5342),
    [anon_sym_signed] = ACTIONS(5342),
    [anon_sym_unsigned] = ACTIONS(5342),
    [anon_sym_long] = ACTIONS(5342),
    [anon_sym_short] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5342),
    [anon_sym_static] = ACTIONS(5342),
    [anon_sym_register] = ACTIONS(5342),
    [anon_sym_inline] = ACTIONS(5342),
    [anon_sym___inline] = ACTIONS(5342),
    [anon_sym___inline__] = ACTIONS(5342),
    [anon_sym___forceinline] = ACTIONS(5342),
    [anon_sym_thread_local] = ACTIONS(5342),
    [anon_sym___thread] = ACTIONS(5342),
    [anon_sym_const] = ACTIONS(5342),
    [anon_sym_constexpr] = ACTIONS(5342),
    [anon_sym_volatile] = ACTIONS(5342),
    [anon_sym_restrict] = ACTIONS(5342),
    [anon_sym___restrict__] = ACTIONS(5342),
    [anon_sym__Atomic] = ACTIONS(5342),
    [anon_sym__Noreturn] = ACTIONS(5342),
    [anon_sym_noreturn] = ACTIONS(5342),
    [anon_sym__Nonnull] = ACTIONS(5342),
    [anon_sym_mutable] = ACTIONS(5342),
    [anon_sym_constinit] = ACTIONS(5342),
    [anon_sym_consteval] = ACTIONS(5342),
    [anon_sym_alignas] = ACTIONS(5342),
    [anon_sym__Alignas] = ACTIONS(5342),
    [sym_primitive_type] = ACTIONS(5342),
    [anon_sym_enum] = ACTIONS(5342),
    [anon_sym_class] = ACTIONS(5342),
    [anon_sym_struct] = ACTIONS(5342),
    [anon_sym_union] = ACTIONS(5342),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5342),
    [anon_sym_decltype] = ACTIONS(5342),
    [anon_sym_explicit] = ACTIONS(5342),
    [anon_sym_typename] = ACTIONS(5342),
    [anon_sym_template] = ACTIONS(5342),
    [anon_sym_operator] = ACTIONS(5342),
    [anon_sym_friend] = ACTIONS(5342),
    [anon_sym_public] = ACTIONS(5342),
    [anon_sym_private] = ACTIONS(5342),
    [anon_sym_protected] = ACTIONS(5342),
    [anon_sym_using] = ACTIONS(5342),
    [anon_sym_static_assert] = ACTIONS(5342),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(3030),
    [aux_sym_preproc_def_token1] = ACTIONS(3030),
    [aux_sym_preproc_if_token1] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3030),
    [sym_preproc_directive] = ACTIONS(3030),
    [anon_sym_LPAREN2] = ACTIONS(3032),
    [anon_sym_TILDE] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym___extension__] = ACTIONS(3030),
    [anon_sym_typedef] = ACTIONS(3030),
    [anon_sym_virtual] = ACTIONS(3030),
    [anon_sym_extern] = ACTIONS(3030),
    [anon_sym___attribute__] = ACTIONS(3030),
    [anon_sym_COLON_COLON] = ACTIONS(3032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3032),
    [anon_sym___declspec] = ACTIONS(3030),
    [anon_sym___based] = ACTIONS(3030),
    [anon_sym_RBRACE] = ACTIONS(3032),
    [anon_sym_signed] = ACTIONS(3030),
    [anon_sym_unsigned] = ACTIONS(3030),
    [anon_sym_long] = ACTIONS(3030),
    [anon_sym_short] = ACTIONS(3030),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [anon_sym_static] = ACTIONS(3030),
    [anon_sym_register] = ACTIONS(3030),
    [anon_sym_inline] = ACTIONS(3030),
    [anon_sym___inline] = ACTIONS(3030),
    [anon_sym___inline__] = ACTIONS(3030),
    [anon_sym___forceinline] = ACTIONS(3030),
    [anon_sym_thread_local] = ACTIONS(3030),
    [anon_sym___thread] = ACTIONS(3030),
    [anon_sym_const] = ACTIONS(3030),
    [anon_sym_constexpr] = ACTIONS(3030),
    [anon_sym_volatile] = ACTIONS(3030),
    [anon_sym_restrict] = ACTIONS(3030),
    [anon_sym___restrict__] = ACTIONS(3030),
    [anon_sym__Atomic] = ACTIONS(3030),
    [anon_sym__Noreturn] = ACTIONS(3030),
    [anon_sym_noreturn] = ACTIONS(3030),
    [anon_sym__Nonnull] = ACTIONS(3030),
    [anon_sym_mutable] = ACTIONS(3030),
    [anon_sym_constinit] = ACTIONS(3030),
    [anon_sym_consteval] = ACTIONS(3030),
    [anon_sym_alignas] = ACTIONS(3030),
    [anon_sym__Alignas] = ACTIONS(3030),
    [sym_primitive_type] = ACTIONS(3030),
    [anon_sym_enum] = ACTIONS(3030),
    [anon_sym_class] = ACTIONS(3030),
    [anon_sym_struct] = ACTIONS(3030),
    [anon_sym_union] = ACTIONS(3030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3030),
    [anon_sym_decltype] = ACTIONS(3030),
    [anon_sym_explicit] = ACTIONS(3030),
    [anon_sym_typename] = ACTIONS(3030),
    [anon_sym_template] = ACTIONS(3030),
    [anon_sym_operator] = ACTIONS(3030),
    [anon_sym_friend] = ACTIONS(3030),
    [anon_sym_public] = ACTIONS(3030),
    [anon_sym_private] = ACTIONS(3030),
    [anon_sym_protected] = ACTIONS(3030),
    [anon_sym_using] = ACTIONS(3030),
    [anon_sym_static_assert] = ACTIONS(3030),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(5304),
    [aux_sym_preproc_def_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token1] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5304),
    [sym_preproc_directive] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5306),
    [anon_sym_TILDE] = ACTIONS(5306),
    [anon_sym_STAR] = ACTIONS(5306),
    [anon_sym_AMP_AMP] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_typedef] = ACTIONS(5304),
    [anon_sym_virtual] = ACTIONS(5304),
    [anon_sym_extern] = ACTIONS(5304),
    [anon_sym___attribute__] = ACTIONS(5304),
    [anon_sym_COLON_COLON] = ACTIONS(5306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5306),
    [anon_sym___declspec] = ACTIONS(5304),
    [anon_sym___based] = ACTIONS(5304),
    [anon_sym_signed] = ACTIONS(5304),
    [anon_sym_unsigned] = ACTIONS(5304),
    [anon_sym_long] = ACTIONS(5304),
    [anon_sym_short] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(5304),
    [anon_sym_static] = ACTIONS(5304),
    [anon_sym_register] = ACTIONS(5304),
    [anon_sym_inline] = ACTIONS(5304),
    [anon_sym___inline] = ACTIONS(5304),
    [anon_sym___inline__] = ACTIONS(5304),
    [anon_sym___forceinline] = ACTIONS(5304),
    [anon_sym_thread_local] = ACTIONS(5304),
    [anon_sym___thread] = ACTIONS(5304),
    [anon_sym_const] = ACTIONS(5304),
    [anon_sym_constexpr] = ACTIONS(5304),
    [anon_sym_volatile] = ACTIONS(5304),
    [anon_sym_restrict] = ACTIONS(5304),
    [anon_sym___restrict__] = ACTIONS(5304),
    [anon_sym__Atomic] = ACTIONS(5304),
    [anon_sym__Noreturn] = ACTIONS(5304),
    [anon_sym_noreturn] = ACTIONS(5304),
    [anon_sym__Nonnull] = ACTIONS(5304),
    [anon_sym_mutable] = ACTIONS(5304),
    [anon_sym_constinit] = ACTIONS(5304),
    [anon_sym_consteval] = ACTIONS(5304),
    [anon_sym_alignas] = ACTIONS(5304),
    [anon_sym__Alignas] = ACTIONS(5304),
    [sym_primitive_type] = ACTIONS(5304),
    [anon_sym_enum] = ACTIONS(5304),
    [anon_sym_class] = ACTIONS(5304),
    [anon_sym_struct] = ACTIONS(5304),
    [anon_sym_union] = ACTIONS(5304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5304),
    [anon_sym_decltype] = ACTIONS(5304),
    [anon_sym_explicit] = ACTIONS(5304),
    [anon_sym_typename] = ACTIONS(5304),
    [anon_sym_template] = ACTIONS(5304),
    [anon_sym_operator] = ACTIONS(5304),
    [anon_sym_friend] = ACTIONS(5304),
    [anon_sym_public] = ACTIONS(5304),
    [anon_sym_private] = ACTIONS(5304),
    [anon_sym_protected] = ACTIONS(5304),
    [anon_sym_using] = ACTIONS(5304),
    [anon_sym_static_assert] = ACTIONS(5304),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(3052),
    [aux_sym_preproc_def_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token1] = ACTIONS(3052),
    [aux_sym_preproc_if_token2] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3052),
    [sym_preproc_directive] = ACTIONS(3052),
    [anon_sym_LPAREN2] = ACTIONS(3054),
    [anon_sym_TILDE] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3052),
    [anon_sym_typedef] = ACTIONS(3052),
    [anon_sym_virtual] = ACTIONS(3052),
    [anon_sym_extern] = ACTIONS(3052),
    [anon_sym___attribute__] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3054),
    [anon_sym___declspec] = ACTIONS(3052),
    [anon_sym___based] = ACTIONS(3052),
    [anon_sym_signed] = ACTIONS(3052),
    [anon_sym_unsigned] = ACTIONS(3052),
    [anon_sym_long] = ACTIONS(3052),
    [anon_sym_short] = ACTIONS(3052),
    [anon_sym_LBRACK] = ACTIONS(3052),
    [anon_sym_static] = ACTIONS(3052),
    [anon_sym_register] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym___inline] = ACTIONS(3052),
    [anon_sym___inline__] = ACTIONS(3052),
    [anon_sym___forceinline] = ACTIONS(3052),
    [anon_sym_thread_local] = ACTIONS(3052),
    [anon_sym___thread] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_constexpr] = ACTIONS(3052),
    [anon_sym_volatile] = ACTIONS(3052),
    [anon_sym_restrict] = ACTIONS(3052),
    [anon_sym___restrict__] = ACTIONS(3052),
    [anon_sym__Atomic] = ACTIONS(3052),
    [anon_sym__Noreturn] = ACTIONS(3052),
    [anon_sym_noreturn] = ACTIONS(3052),
    [anon_sym__Nonnull] = ACTIONS(3052),
    [anon_sym_mutable] = ACTIONS(3052),
    [anon_sym_constinit] = ACTIONS(3052),
    [anon_sym_consteval] = ACTIONS(3052),
    [anon_sym_alignas] = ACTIONS(3052),
    [anon_sym__Alignas] = ACTIONS(3052),
    [sym_primitive_type] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_class] = ACTIONS(3052),
    [anon_sym_struct] = ACTIONS(3052),
    [anon_sym_union] = ACTIONS(3052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3052),
    [anon_sym_decltype] = ACTIONS(3052),
    [anon_sym_explicit] = ACTIONS(3052),
    [anon_sym_typename] = ACTIONS(3052),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_friend] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_using] = ACTIONS(3052),
    [anon_sym_static_assert] = ACTIONS(3052),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_TILDE] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym___extension__] = ACTIONS(5264),
    [anon_sym_typedef] = ACTIONS(5264),
    [anon_sym_virtual] = ACTIONS(5264),
    [anon_sym_extern] = ACTIONS(5264),
    [anon_sym___attribute__] = ACTIONS(5264),
    [anon_sym_COLON_COLON] = ACTIONS(5266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5266),
    [anon_sym___declspec] = ACTIONS(5264),
    [anon_sym___based] = ACTIONS(5264),
    [anon_sym_RBRACE] = ACTIONS(5266),
    [anon_sym_signed] = ACTIONS(5264),
    [anon_sym_unsigned] = ACTIONS(5264),
    [anon_sym_long] = ACTIONS(5264),
    [anon_sym_short] = ACTIONS(5264),
    [anon_sym_LBRACK] = ACTIONS(5264),
    [anon_sym_static] = ACTIONS(5264),
    [anon_sym_register] = ACTIONS(5264),
    [anon_sym_inline] = ACTIONS(5264),
    [anon_sym___inline] = ACTIONS(5264),
    [anon_sym___inline__] = ACTIONS(5264),
    [anon_sym___forceinline] = ACTIONS(5264),
    [anon_sym_thread_local] = ACTIONS(5264),
    [anon_sym___thread] = ACTIONS(5264),
    [anon_sym_const] = ACTIONS(5264),
    [anon_sym_constexpr] = ACTIONS(5264),
    [anon_sym_volatile] = ACTIONS(5264),
    [anon_sym_restrict] = ACTIONS(5264),
    [anon_sym___restrict__] = ACTIONS(5264),
    [anon_sym__Atomic] = ACTIONS(5264),
    [anon_sym__Noreturn] = ACTIONS(5264),
    [anon_sym_noreturn] = ACTIONS(5264),
    [anon_sym__Nonnull] = ACTIONS(5264),
    [anon_sym_mutable] = ACTIONS(5264),
    [anon_sym_constinit] = ACTIONS(5264),
    [anon_sym_consteval] = ACTIONS(5264),
    [anon_sym_alignas] = ACTIONS(5264),
    [anon_sym__Alignas] = ACTIONS(5264),
    [sym_primitive_type] = ACTIONS(5264),
    [anon_sym_enum] = ACTIONS(5264),
    [anon_sym_class] = ACTIONS(5264),
    [anon_sym_struct] = ACTIONS(5264),
    [anon_sym_union] = ACTIONS(5264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5264),
    [anon_sym_decltype] = ACTIONS(5264),
    [anon_sym_explicit] = ACTIONS(5264),
    [anon_sym_typename] = ACTIONS(5264),
    [anon_sym_template] = ACTIONS(5264),
    [anon_sym_operator] = ACTIONS(5264),
    [anon_sym_friend] = ACTIONS(5264),
    [anon_sym_public] = ACTIONS(5264),
    [anon_sym_private] = ACTIONS(5264),
    [anon_sym_protected] = ACTIONS(5264),
    [anon_sym_using] = ACTIONS(5264),
    [anon_sym_static_assert] = ACTIONS(5264),
  },
  [2037] = {
    [sym__declaration_modifiers] = STATE(3310),
    [sym_attribute_specifier] = STATE(3310),
    [sym_attribute_declaration] = STATE(3310),
    [sym_ms_declspec_modifier] = STATE(3310),
    [sym_storage_class_specifier] = STATE(3310),
    [sym_type_qualifier] = STATE(3310),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3310),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5688),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(69),
    [anon_sym_class] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_union] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1230),
  },
  [2038] = {
    [sym_identifier] = ACTIONS(5241),
    [aux_sym_preproc_def_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5241),
    [sym_preproc_directive] = ACTIONS(5241),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_TILDE] = ACTIONS(5243),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_AMP] = ACTIONS(5241),
    [anon_sym_SEMI] = ACTIONS(5243),
    [anon_sym___extension__] = ACTIONS(5241),
    [anon_sym_typedef] = ACTIONS(5241),
    [anon_sym_virtual] = ACTIONS(5241),
    [anon_sym_extern] = ACTIONS(5241),
    [anon_sym___attribute__] = ACTIONS(5241),
    [anon_sym_COLON_COLON] = ACTIONS(5243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5243),
    [anon_sym___declspec] = ACTIONS(5241),
    [anon_sym___based] = ACTIONS(5241),
    [anon_sym_RBRACE] = ACTIONS(5243),
    [anon_sym_signed] = ACTIONS(5241),
    [anon_sym_unsigned] = ACTIONS(5241),
    [anon_sym_long] = ACTIONS(5241),
    [anon_sym_short] = ACTIONS(5241),
    [anon_sym_LBRACK] = ACTIONS(5241),
    [anon_sym_static] = ACTIONS(5241),
    [anon_sym_register] = ACTIONS(5241),
    [anon_sym_inline] = ACTIONS(5241),
    [anon_sym___inline] = ACTIONS(5241),
    [anon_sym___inline__] = ACTIONS(5241),
    [anon_sym___forceinline] = ACTIONS(5241),
    [anon_sym_thread_local] = ACTIONS(5241),
    [anon_sym___thread] = ACTIONS(5241),
    [anon_sym_const] = ACTIONS(5241),
    [anon_sym_constexpr] = ACTIONS(5241),
    [anon_sym_volatile] = ACTIONS(5241),
    [anon_sym_restrict] = ACTIONS(5241),
    [anon_sym___restrict__] = ACTIONS(5241),
    [anon_sym__Atomic] = ACTIONS(5241),
    [anon_sym__Noreturn] = ACTIONS(5241),
    [anon_sym_noreturn] = ACTIONS(5241),
    [anon_sym__Nonnull] = ACTIONS(5241),
    [anon_sym_mutable] = ACTIONS(5241),
    [anon_sym_constinit] = ACTIONS(5241),
    [anon_sym_consteval] = ACTIONS(5241),
    [anon_sym_alignas] = ACTIONS(5241),
    [anon_sym__Alignas] = ACTIONS(5241),
    [sym_primitive_type] = ACTIONS(5241),
    [anon_sym_enum] = ACTIONS(5241),
    [anon_sym_class] = ACTIONS(5241),
    [anon_sym_struct] = ACTIONS(5241),
    [anon_sym_union] = ACTIONS(5241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5241),
    [anon_sym_decltype] = ACTIONS(5241),
    [anon_sym_explicit] = ACTIONS(5241),
    [anon_sym_typename] = ACTIONS(5241),
    [anon_sym_template] = ACTIONS(5241),
    [anon_sym_operator] = ACTIONS(5241),
    [anon_sym_friend] = ACTIONS(5241),
    [anon_sym_public] = ACTIONS(5241),
    [anon_sym_private] = ACTIONS(5241),
    [anon_sym_protected] = ACTIONS(5241),
    [anon_sym_using] = ACTIONS(5241),
    [anon_sym_static_assert] = ACTIONS(5241),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token2] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_friend] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
  },
  [2040] = {
    [sym_identifier] = ACTIONS(3044),
    [aux_sym_preproc_def_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token1] = ACTIONS(3044),
    [aux_sym_preproc_if_token2] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3044),
    [sym_preproc_directive] = ACTIONS(3044),
    [anon_sym_LPAREN2] = ACTIONS(3046),
    [anon_sym_TILDE] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym___extension__] = ACTIONS(3044),
    [anon_sym_typedef] = ACTIONS(3044),
    [anon_sym_virtual] = ACTIONS(3044),
    [anon_sym_extern] = ACTIONS(3044),
    [anon_sym___attribute__] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3046),
    [anon_sym___declspec] = ACTIONS(3044),
    [anon_sym___based] = ACTIONS(3044),
    [anon_sym_signed] = ACTIONS(3044),
    [anon_sym_unsigned] = ACTIONS(3044),
    [anon_sym_long] = ACTIONS(3044),
    [anon_sym_short] = ACTIONS(3044),
    [anon_sym_LBRACK] = ACTIONS(3044),
    [anon_sym_static] = ACTIONS(3044),
    [anon_sym_register] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym___inline] = ACTIONS(3044),
    [anon_sym___inline__] = ACTIONS(3044),
    [anon_sym___forceinline] = ACTIONS(3044),
    [anon_sym_thread_local] = ACTIONS(3044),
    [anon_sym___thread] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_constexpr] = ACTIONS(3044),
    [anon_sym_volatile] = ACTIONS(3044),
    [anon_sym_restrict] = ACTIONS(3044),
    [anon_sym___restrict__] = ACTIONS(3044),
    [anon_sym__Atomic] = ACTIONS(3044),
    [anon_sym__Noreturn] = ACTIONS(3044),
    [anon_sym_noreturn] = ACTIONS(3044),
    [anon_sym__Nonnull] = ACTIONS(3044),
    [anon_sym_mutable] = ACTIONS(3044),
    [anon_sym_constinit] = ACTIONS(3044),
    [anon_sym_consteval] = ACTIONS(3044),
    [anon_sym_alignas] = ACTIONS(3044),
    [anon_sym__Alignas] = ACTIONS(3044),
    [sym_primitive_type] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_class] = ACTIONS(3044),
    [anon_sym_struct] = ACTIONS(3044),
    [anon_sym_union] = ACTIONS(3044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3044),
    [anon_sym_decltype] = ACTIONS(3044),
    [anon_sym_explicit] = ACTIONS(3044),
    [anon_sym_typename] = ACTIONS(3044),
    [anon_sym_template] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_friend] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_using] = ACTIONS(3044),
    [anon_sym_static_assert] = ACTIONS(3044),
  },
  [2041] = {
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token2] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_virtual] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___based] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_mutable] = ACTIONS(2714),
    [anon_sym_constinit] = ACTIONS(2714),
    [anon_sym_consteval] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_class] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2714),
    [anon_sym_decltype] = ACTIONS(2714),
    [anon_sym_explicit] = ACTIONS(2714),
    [anon_sym_typename] = ACTIONS(2714),
    [anon_sym_template] = ACTIONS(2714),
    [anon_sym_operator] = ACTIONS(2714),
    [anon_sym_friend] = ACTIONS(2714),
    [anon_sym_public] = ACTIONS(2714),
    [anon_sym_private] = ACTIONS(2714),
    [anon_sym_protected] = ACTIONS(2714),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2714),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(5300),
    [aux_sym_preproc_def_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token1] = ACTIONS(5300),
    [aux_sym_preproc_if_token2] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5300),
    [sym_preproc_directive] = ACTIONS(5300),
    [anon_sym_LPAREN2] = ACTIONS(5302),
    [anon_sym_TILDE] = ACTIONS(5302),
    [anon_sym_STAR] = ACTIONS(5302),
    [anon_sym_AMP_AMP] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [anon_sym___extension__] = ACTIONS(5300),
    [anon_sym_typedef] = ACTIONS(5300),
    [anon_sym_virtual] = ACTIONS(5300),
    [anon_sym_extern] = ACTIONS(5300),
    [anon_sym___attribute__] = ACTIONS(5300),
    [anon_sym_COLON_COLON] = ACTIONS(5302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5302),
    [anon_sym___declspec] = ACTIONS(5300),
    [anon_sym___based] = ACTIONS(5300),
    [anon_sym_signed] = ACTIONS(5300),
    [anon_sym_unsigned] = ACTIONS(5300),
    [anon_sym_long] = ACTIONS(5300),
    [anon_sym_short] = ACTIONS(5300),
    [anon_sym_LBRACK] = ACTIONS(5300),
    [anon_sym_static] = ACTIONS(5300),
    [anon_sym_register] = ACTIONS(5300),
    [anon_sym_inline] = ACTIONS(5300),
    [anon_sym___inline] = ACTIONS(5300),
    [anon_sym___inline__] = ACTIONS(5300),
    [anon_sym___forceinline] = ACTIONS(5300),
    [anon_sym_thread_local] = ACTIONS(5300),
    [anon_sym___thread] = ACTIONS(5300),
    [anon_sym_const] = ACTIONS(5300),
    [anon_sym_constexpr] = ACTIONS(5300),
    [anon_sym_volatile] = ACTIONS(5300),
    [anon_sym_restrict] = ACTIONS(5300),
    [anon_sym___restrict__] = ACTIONS(5300),
    [anon_sym__Atomic] = ACTIONS(5300),
    [anon_sym__Noreturn] = ACTIONS(5300),
    [anon_sym_noreturn] = ACTIONS(5300),
    [anon_sym__Nonnull] = ACTIONS(5300),
    [anon_sym_mutable] = ACTIONS(5300),
    [anon_sym_constinit] = ACTIONS(5300),
    [anon_sym_consteval] = ACTIONS(5300),
    [anon_sym_alignas] = ACTIONS(5300),
    [anon_sym__Alignas] = ACTIONS(5300),
    [sym_primitive_type] = ACTIONS(5300),
    [anon_sym_enum] = ACTIONS(5300),
    [anon_sym_class] = ACTIONS(5300),
    [anon_sym_struct] = ACTIONS(5300),
    [anon_sym_union] = ACTIONS(5300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5300),
    [anon_sym_decltype] = ACTIONS(5300),
    [anon_sym_explicit] = ACTIONS(5300),
    [anon_sym_typename] = ACTIONS(5300),
    [anon_sym_template] = ACTIONS(5300),
    [anon_sym_operator] = ACTIONS(5300),
    [anon_sym_friend] = ACTIONS(5300),
    [anon_sym_public] = ACTIONS(5300),
    [anon_sym_private] = ACTIONS(5300),
    [anon_sym_protected] = ACTIONS(5300),
    [anon_sym_using] = ACTIONS(5300),
    [anon_sym_static_assert] = ACTIONS(5300),
  },
  [2043] = {
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym__Nonnull] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym__Alignas] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_friend] = ACTIONS(2975),
    [anon_sym_public] = ACTIONS(2975),
    [anon_sym_private] = ACTIONS(2975),
    [anon_sym_protected] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5298),
    [anon_sym_TILDE] = ACTIONS(5298),
    [anon_sym_STAR] = ACTIONS(5298),
    [anon_sym_AMP_AMP] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [anon_sym___extension__] = ACTIONS(5296),
    [anon_sym_typedef] = ACTIONS(5296),
    [anon_sym_virtual] = ACTIONS(5296),
    [anon_sym_extern] = ACTIONS(5296),
    [anon_sym___attribute__] = ACTIONS(5296),
    [anon_sym_COLON_COLON] = ACTIONS(5298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5298),
    [anon_sym___declspec] = ACTIONS(5296),
    [anon_sym___based] = ACTIONS(5296),
    [anon_sym_signed] = ACTIONS(5296),
    [anon_sym_unsigned] = ACTIONS(5296),
    [anon_sym_long] = ACTIONS(5296),
    [anon_sym_short] = ACTIONS(5296),
    [anon_sym_LBRACK] = ACTIONS(5296),
    [anon_sym_static] = ACTIONS(5296),
    [anon_sym_register] = ACTIONS(5296),
    [anon_sym_inline] = ACTIONS(5296),
    [anon_sym___inline] = ACTIONS(5296),
    [anon_sym___inline__] = ACTIONS(5296),
    [anon_sym___forceinline] = ACTIONS(5296),
    [anon_sym_thread_local] = ACTIONS(5296),
    [anon_sym___thread] = ACTIONS(5296),
    [anon_sym_const] = ACTIONS(5296),
    [anon_sym_constexpr] = ACTIONS(5296),
    [anon_sym_volatile] = ACTIONS(5296),
    [anon_sym_restrict] = ACTIONS(5296),
    [anon_sym___restrict__] = ACTIONS(5296),
    [anon_sym__Atomic] = ACTIONS(5296),
    [anon_sym__Noreturn] = ACTIONS(5296),
    [anon_sym_noreturn] = ACTIONS(5296),
    [anon_sym__Nonnull] = ACTIONS(5296),
    [anon_sym_mutable] = ACTIONS(5296),
    [anon_sym_constinit] = ACTIONS(5296),
    [anon_sym_consteval] = ACTIONS(5296),
    [anon_sym_alignas] = ACTIONS(5296),
    [anon_sym__Alignas] = ACTIONS(5296),
    [sym_primitive_type] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(5296),
    [anon_sym_class] = ACTIONS(5296),
    [anon_sym_struct] = ACTIONS(5296),
    [anon_sym_union] = ACTIONS(5296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5296),
    [anon_sym_decltype] = ACTIONS(5296),
    [anon_sym_explicit] = ACTIONS(5296),
    [anon_sym_typename] = ACTIONS(5296),
    [anon_sym_template] = ACTIONS(5296),
    [anon_sym_operator] = ACTIONS(5296),
    [anon_sym_friend] = ACTIONS(5296),
    [anon_sym_public] = ACTIONS(5296),
    [anon_sym_private] = ACTIONS(5296),
    [anon_sym_protected] = ACTIONS(5296),
    [anon_sym_using] = ACTIONS(5296),
    [anon_sym_static_assert] = ACTIONS(5296),
  },
  [2045] = {
    [sym_identifier] = ACTIONS(5366),
    [aux_sym_preproc_def_token1] = ACTIONS(5366),
    [aux_sym_preproc_if_token1] = ACTIONS(5366),
    [aux_sym_preproc_if_token2] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5366),
    [sym_preproc_directive] = ACTIONS(5366),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_TILDE] = ACTIONS(5368),
    [anon_sym_STAR] = ACTIONS(5368),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_AMP] = ACTIONS(5366),
    [anon_sym_SEMI] = ACTIONS(5368),
    [anon_sym___extension__] = ACTIONS(5366),
    [anon_sym_typedef] = ACTIONS(5366),
    [anon_sym_virtual] = ACTIONS(5366),
    [anon_sym_extern] = ACTIONS(5366),
    [anon_sym___attribute__] = ACTIONS(5366),
    [anon_sym_COLON_COLON] = ACTIONS(5368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5368),
    [anon_sym___declspec] = ACTIONS(5366),
    [anon_sym___based] = ACTIONS(5366),
    [anon_sym_signed] = ACTIONS(5366),
    [anon_sym_unsigned] = ACTIONS(5366),
    [anon_sym_long] = ACTIONS(5366),
    [anon_sym_short] = ACTIONS(5366),
    [anon_sym_LBRACK] = ACTIONS(5366),
    [anon_sym_static] = ACTIONS(5366),
    [anon_sym_register] = ACTIONS(5366),
    [anon_sym_inline] = ACTIONS(5366),
    [anon_sym___inline] = ACTIONS(5366),
    [anon_sym___inline__] = ACTIONS(5366),
    [anon_sym___forceinline] = ACTIONS(5366),
    [anon_sym_thread_local] = ACTIONS(5366),
    [anon_sym___thread] = ACTIONS(5366),
    [anon_sym_const] = ACTIONS(5366),
    [anon_sym_constexpr] = ACTIONS(5366),
    [anon_sym_volatile] = ACTIONS(5366),
    [anon_sym_restrict] = ACTIONS(5366),
    [anon_sym___restrict__] = ACTIONS(5366),
    [anon_sym__Atomic] = ACTIONS(5366),
    [anon_sym__Noreturn] = ACTIONS(5366),
    [anon_sym_noreturn] = ACTIONS(5366),
    [anon_sym__Nonnull] = ACTIONS(5366),
    [anon_sym_mutable] = ACTIONS(5366),
    [anon_sym_constinit] = ACTIONS(5366),
    [anon_sym_consteval] = ACTIONS(5366),
    [anon_sym_alignas] = ACTIONS(5366),
    [anon_sym__Alignas] = ACTIONS(5366),
    [sym_primitive_type] = ACTIONS(5366),
    [anon_sym_enum] = ACTIONS(5366),
    [anon_sym_class] = ACTIONS(5366),
    [anon_sym_struct] = ACTIONS(5366),
    [anon_sym_union] = ACTIONS(5366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5366),
    [anon_sym_decltype] = ACTIONS(5366),
    [anon_sym_explicit] = ACTIONS(5366),
    [anon_sym_typename] = ACTIONS(5366),
    [anon_sym_template] = ACTIONS(5366),
    [anon_sym_operator] = ACTIONS(5366),
    [anon_sym_friend] = ACTIONS(5366),
    [anon_sym_public] = ACTIONS(5366),
    [anon_sym_private] = ACTIONS(5366),
    [anon_sym_protected] = ACTIONS(5366),
    [anon_sym_using] = ACTIONS(5366),
    [anon_sym_static_assert] = ACTIONS(5366),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(3036),
    [aux_sym_preproc_def_token1] = ACTIONS(3036),
    [aux_sym_preproc_if_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3036),
    [sym_preproc_directive] = ACTIONS(3036),
    [anon_sym_LPAREN2] = ACTIONS(3038),
    [anon_sym_TILDE] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym___extension__] = ACTIONS(3036),
    [anon_sym_typedef] = ACTIONS(3036),
    [anon_sym_virtual] = ACTIONS(3036),
    [anon_sym_extern] = ACTIONS(3036),
    [anon_sym___attribute__] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3038),
    [anon_sym___declspec] = ACTIONS(3036),
    [anon_sym___based] = ACTIONS(3036),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_signed] = ACTIONS(3036),
    [anon_sym_unsigned] = ACTIONS(3036),
    [anon_sym_long] = ACTIONS(3036),
    [anon_sym_short] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3036),
    [anon_sym_static] = ACTIONS(3036),
    [anon_sym_register] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym___inline] = ACTIONS(3036),
    [anon_sym___inline__] = ACTIONS(3036),
    [anon_sym___forceinline] = ACTIONS(3036),
    [anon_sym_thread_local] = ACTIONS(3036),
    [anon_sym___thread] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_constexpr] = ACTIONS(3036),
    [anon_sym_volatile] = ACTIONS(3036),
    [anon_sym_restrict] = ACTIONS(3036),
    [anon_sym___restrict__] = ACTIONS(3036),
    [anon_sym__Atomic] = ACTIONS(3036),
    [anon_sym__Noreturn] = ACTIONS(3036),
    [anon_sym_noreturn] = ACTIONS(3036),
    [anon_sym__Nonnull] = ACTIONS(3036),
    [anon_sym_mutable] = ACTIONS(3036),
    [anon_sym_constinit] = ACTIONS(3036),
    [anon_sym_consteval] = ACTIONS(3036),
    [anon_sym_alignas] = ACTIONS(3036),
    [anon_sym__Alignas] = ACTIONS(3036),
    [sym_primitive_type] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_class] = ACTIONS(3036),
    [anon_sym_struct] = ACTIONS(3036),
    [anon_sym_union] = ACTIONS(3036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3036),
    [anon_sym_decltype] = ACTIONS(3036),
    [anon_sym_explicit] = ACTIONS(3036),
    [anon_sym_typename] = ACTIONS(3036),
    [anon_sym_template] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_friend] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_using] = ACTIONS(3036),
    [anon_sym_static_assert] = ACTIONS(3036),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(5374),
    [aux_sym_preproc_def_token1] = ACTIONS(5374),
    [aux_sym_preproc_if_token1] = ACTIONS(5374),
    [aux_sym_preproc_if_token2] = ACTIONS(5374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5374),
    [sym_preproc_directive] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5376),
    [anon_sym___extension__] = ACTIONS(5374),
    [anon_sym_typedef] = ACTIONS(5374),
    [anon_sym_virtual] = ACTIONS(5374),
    [anon_sym_extern] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_COLON_COLON] = ACTIONS(5376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5376),
    [anon_sym___declspec] = ACTIONS(5374),
    [anon_sym___based] = ACTIONS(5374),
    [anon_sym_signed] = ACTIONS(5374),
    [anon_sym_unsigned] = ACTIONS(5374),
    [anon_sym_long] = ACTIONS(5374),
    [anon_sym_short] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_static] = ACTIONS(5374),
    [anon_sym_register] = ACTIONS(5374),
    [anon_sym_inline] = ACTIONS(5374),
    [anon_sym___inline] = ACTIONS(5374),
    [anon_sym___inline__] = ACTIONS(5374),
    [anon_sym___forceinline] = ACTIONS(5374),
    [anon_sym_thread_local] = ACTIONS(5374),
    [anon_sym___thread] = ACTIONS(5374),
    [anon_sym_const] = ACTIONS(5374),
    [anon_sym_constexpr] = ACTIONS(5374),
    [anon_sym_volatile] = ACTIONS(5374),
    [anon_sym_restrict] = ACTIONS(5374),
    [anon_sym___restrict__] = ACTIONS(5374),
    [anon_sym__Atomic] = ACTIONS(5374),
    [anon_sym__Noreturn] = ACTIONS(5374),
    [anon_sym_noreturn] = ACTIONS(5374),
    [anon_sym__Nonnull] = ACTIONS(5374),
    [anon_sym_mutable] = ACTIONS(5374),
    [anon_sym_constinit] = ACTIONS(5374),
    [anon_sym_consteval] = ACTIONS(5374),
    [anon_sym_alignas] = ACTIONS(5374),
    [anon_sym__Alignas] = ACTIONS(5374),
    [sym_primitive_type] = ACTIONS(5374),
    [anon_sym_enum] = ACTIONS(5374),
    [anon_sym_class] = ACTIONS(5374),
    [anon_sym_struct] = ACTIONS(5374),
    [anon_sym_union] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
    [anon_sym_explicit] = ACTIONS(5374),
    [anon_sym_typename] = ACTIONS(5374),
    [anon_sym_template] = ACTIONS(5374),
    [anon_sym_operator] = ACTIONS(5374),
    [anon_sym_friend] = ACTIONS(5374),
    [anon_sym_public] = ACTIONS(5374),
    [anon_sym_private] = ACTIONS(5374),
    [anon_sym_protected] = ACTIONS(5374),
    [anon_sym_using] = ACTIONS(5374),
    [anon_sym_static_assert] = ACTIONS(5374),
  },
  [2048] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4326),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5294),
    [anon_sym_TILDE] = ACTIONS(5294),
    [anon_sym_STAR] = ACTIONS(5294),
    [anon_sym_AMP_AMP] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [anon_sym___extension__] = ACTIONS(5292),
    [anon_sym_typedef] = ACTIONS(5292),
    [anon_sym_virtual] = ACTIONS(5292),
    [anon_sym_extern] = ACTIONS(5292),
    [anon_sym___attribute__] = ACTIONS(5292),
    [anon_sym_COLON_COLON] = ACTIONS(5294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5294),
    [anon_sym___declspec] = ACTIONS(5292),
    [anon_sym___based] = ACTIONS(5292),
    [anon_sym_signed] = ACTIONS(5292),
    [anon_sym_unsigned] = ACTIONS(5292),
    [anon_sym_long] = ACTIONS(5292),
    [anon_sym_short] = ACTIONS(5292),
    [anon_sym_LBRACK] = ACTIONS(5292),
    [anon_sym_static] = ACTIONS(5292),
    [anon_sym_register] = ACTIONS(5292),
    [anon_sym_inline] = ACTIONS(5292),
    [anon_sym___inline] = ACTIONS(5292),
    [anon_sym___inline__] = ACTIONS(5292),
    [anon_sym___forceinline] = ACTIONS(5292),
    [anon_sym_thread_local] = ACTIONS(5292),
    [anon_sym___thread] = ACTIONS(5292),
    [anon_sym_const] = ACTIONS(5292),
    [anon_sym_constexpr] = ACTIONS(5292),
    [anon_sym_volatile] = ACTIONS(5292),
    [anon_sym_restrict] = ACTIONS(5292),
    [anon_sym___restrict__] = ACTIONS(5292),
    [anon_sym__Atomic] = ACTIONS(5292),
    [anon_sym__Noreturn] = ACTIONS(5292),
    [anon_sym_noreturn] = ACTIONS(5292),
    [anon_sym__Nonnull] = ACTIONS(5292),
    [anon_sym_mutable] = ACTIONS(5292),
    [anon_sym_constinit] = ACTIONS(5292),
    [anon_sym_consteval] = ACTIONS(5292),
    [anon_sym_alignas] = ACTIONS(5292),
    [anon_sym__Alignas] = ACTIONS(5292),
    [sym_primitive_type] = ACTIONS(5292),
    [anon_sym_enum] = ACTIONS(5292),
    [anon_sym_class] = ACTIONS(5292),
    [anon_sym_struct] = ACTIONS(5292),
    [anon_sym_union] = ACTIONS(5292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5292),
    [anon_sym_decltype] = ACTIONS(5292),
    [anon_sym_explicit] = ACTIONS(5292),
    [anon_sym_typename] = ACTIONS(5292),
    [anon_sym_template] = ACTIONS(5292),
    [anon_sym_operator] = ACTIONS(5292),
    [anon_sym_friend] = ACTIONS(5292),
    [anon_sym_public] = ACTIONS(5292),
    [anon_sym_private] = ACTIONS(5292),
    [anon_sym_protected] = ACTIONS(5292),
    [anon_sym_using] = ACTIONS(5292),
    [anon_sym_static_assert] = ACTIONS(5292),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(5296),
    [aux_sym_preproc_def_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token1] = ACTIONS(5296),
    [aux_sym_preproc_if_token2] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5296),
    [sym_preproc_directive] = ACTIONS(5296),
    [anon_sym_LPAREN2] = ACTIONS(5298),
    [anon_sym_TILDE] = ACTIONS(5298),
    [anon_sym_STAR] = ACTIONS(5298),
    [anon_sym_AMP_AMP] = ACTIONS(5298),
    [anon_sym_AMP] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(5298),
    [anon_sym___extension__] = ACTIONS(5296),
    [anon_sym_typedef] = ACTIONS(5296),
    [anon_sym_virtual] = ACTIONS(5296),
    [anon_sym_extern] = ACTIONS(5296),
    [anon_sym___attribute__] = ACTIONS(5296),
    [anon_sym_COLON_COLON] = ACTIONS(5298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5298),
    [anon_sym___declspec] = ACTIONS(5296),
    [anon_sym___based] = ACTIONS(5296),
    [anon_sym_signed] = ACTIONS(5296),
    [anon_sym_unsigned] = ACTIONS(5296),
    [anon_sym_long] = ACTIONS(5296),
    [anon_sym_short] = ACTIONS(5296),
    [anon_sym_LBRACK] = ACTIONS(5296),
    [anon_sym_static] = ACTIONS(5296),
    [anon_sym_register] = ACTIONS(5296),
    [anon_sym_inline] = ACTIONS(5296),
    [anon_sym___inline] = ACTIONS(5296),
    [anon_sym___inline__] = ACTIONS(5296),
    [anon_sym___forceinline] = ACTIONS(5296),
    [anon_sym_thread_local] = ACTIONS(5296),
    [anon_sym___thread] = ACTIONS(5296),
    [anon_sym_const] = ACTIONS(5296),
    [anon_sym_constexpr] = ACTIONS(5296),
    [anon_sym_volatile] = ACTIONS(5296),
    [anon_sym_restrict] = ACTIONS(5296),
    [anon_sym___restrict__] = ACTIONS(5296),
    [anon_sym__Atomic] = ACTIONS(5296),
    [anon_sym__Noreturn] = ACTIONS(5296),
    [anon_sym_noreturn] = ACTIONS(5296),
    [anon_sym__Nonnull] = ACTIONS(5296),
    [anon_sym_mutable] = ACTIONS(5296),
    [anon_sym_constinit] = ACTIONS(5296),
    [anon_sym_consteval] = ACTIONS(5296),
    [anon_sym_alignas] = ACTIONS(5296),
    [anon_sym__Alignas] = ACTIONS(5296),
    [sym_primitive_type] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(5296),
    [anon_sym_class] = ACTIONS(5296),
    [anon_sym_struct] = ACTIONS(5296),
    [anon_sym_union] = ACTIONS(5296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5296),
    [anon_sym_decltype] = ACTIONS(5296),
    [anon_sym_explicit] = ACTIONS(5296),
    [anon_sym_typename] = ACTIONS(5296),
    [anon_sym_template] = ACTIONS(5296),
    [anon_sym_operator] = ACTIONS(5296),
    [anon_sym_friend] = ACTIONS(5296),
    [anon_sym_public] = ACTIONS(5296),
    [anon_sym_private] = ACTIONS(5296),
    [anon_sym_protected] = ACTIONS(5296),
    [anon_sym_using] = ACTIONS(5296),
    [anon_sym_static_assert] = ACTIONS(5296),
  },
  [2051] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token2] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_virtual] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_friend] = ACTIONS(2762),
    [anon_sym_public] = ACTIONS(2762),
    [anon_sym_private] = ACTIONS(2762),
    [anon_sym_protected] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(2932),
    [aux_sym_preproc_def_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token1] = ACTIONS(2932),
    [aux_sym_preproc_if_token2] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2932),
    [sym_preproc_directive] = ACTIONS(2932),
    [anon_sym_LPAREN2] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2934),
    [anon_sym_AMP_AMP] = ACTIONS(2934),
    [anon_sym_AMP] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym___extension__] = ACTIONS(2932),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_virtual] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2932),
    [anon_sym___attribute__] = ACTIONS(2932),
    [anon_sym_COLON_COLON] = ACTIONS(2934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2934),
    [anon_sym___declspec] = ACTIONS(2932),
    [anon_sym___based] = ACTIONS(2932),
    [anon_sym_signed] = ACTIONS(2932),
    [anon_sym_unsigned] = ACTIONS(2932),
    [anon_sym_long] = ACTIONS(2932),
    [anon_sym_short] = ACTIONS(2932),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2932),
    [anon_sym_register] = ACTIONS(2932),
    [anon_sym_inline] = ACTIONS(2932),
    [anon_sym___inline] = ACTIONS(2932),
    [anon_sym___inline__] = ACTIONS(2932),
    [anon_sym___forceinline] = ACTIONS(2932),
    [anon_sym_thread_local] = ACTIONS(2932),
    [anon_sym___thread] = ACTIONS(2932),
    [anon_sym_const] = ACTIONS(2932),
    [anon_sym_constexpr] = ACTIONS(2932),
    [anon_sym_volatile] = ACTIONS(2932),
    [anon_sym_restrict] = ACTIONS(2932),
    [anon_sym___restrict__] = ACTIONS(2932),
    [anon_sym__Atomic] = ACTIONS(2932),
    [anon_sym__Noreturn] = ACTIONS(2932),
    [anon_sym_noreturn] = ACTIONS(2932),
    [anon_sym__Nonnull] = ACTIONS(2932),
    [anon_sym_mutable] = ACTIONS(2932),
    [anon_sym_constinit] = ACTIONS(2932),
    [anon_sym_consteval] = ACTIONS(2932),
    [anon_sym_alignas] = ACTIONS(2932),
    [anon_sym__Alignas] = ACTIONS(2932),
    [sym_primitive_type] = ACTIONS(2932),
    [anon_sym_enum] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2932),
    [anon_sym_struct] = ACTIONS(2932),
    [anon_sym_union] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2932),
    [anon_sym_decltype] = ACTIONS(2932),
    [anon_sym_explicit] = ACTIONS(2932),
    [anon_sym_typename] = ACTIONS(2932),
    [anon_sym_template] = ACTIONS(2932),
    [anon_sym_operator] = ACTIONS(2932),
    [anon_sym_friend] = ACTIONS(2932),
    [anon_sym_public] = ACTIONS(2932),
    [anon_sym_private] = ACTIONS(2932),
    [anon_sym_protected] = ACTIONS(2932),
    [anon_sym_using] = ACTIONS(2932),
    [anon_sym_static_assert] = ACTIONS(2932),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token1] = ACTIONS(5292),
    [aux_sym_preproc_if_token2] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5292),
    [sym_preproc_directive] = ACTIONS(5292),
    [anon_sym_LPAREN2] = ACTIONS(5294),
    [anon_sym_TILDE] = ACTIONS(5294),
    [anon_sym_STAR] = ACTIONS(5294),
    [anon_sym_AMP_AMP] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [anon_sym___extension__] = ACTIONS(5292),
    [anon_sym_typedef] = ACTIONS(5292),
    [anon_sym_virtual] = ACTIONS(5292),
    [anon_sym_extern] = ACTIONS(5292),
    [anon_sym___attribute__] = ACTIONS(5292),
    [anon_sym_COLON_COLON] = ACTIONS(5294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5294),
    [anon_sym___declspec] = ACTIONS(5292),
    [anon_sym___based] = ACTIONS(5292),
    [anon_sym_signed] = ACTIONS(5292),
    [anon_sym_unsigned] = ACTIONS(5292),
    [anon_sym_long] = ACTIONS(5292),
    [anon_sym_short] = ACTIONS(5292),
    [anon_sym_LBRACK] = ACTIONS(5292),
    [anon_sym_static] = ACTIONS(5292),
    [anon_sym_register] = ACTIONS(5292),
    [anon_sym_inline] = ACTIONS(5292),
    [anon_sym___inline] = ACTIONS(5292),
    [anon_sym___inline__] = ACTIONS(5292),
    [anon_sym___forceinline] = ACTIONS(5292),
    [anon_sym_thread_local] = ACTIONS(5292),
    [anon_sym___thread] = ACTIONS(5292),
    [anon_sym_const] = ACTIONS(5292),
    [anon_sym_constexpr] = ACTIONS(5292),
    [anon_sym_volatile] = ACTIONS(5292),
    [anon_sym_restrict] = ACTIONS(5292),
    [anon_sym___restrict__] = ACTIONS(5292),
    [anon_sym__Atomic] = ACTIONS(5292),
    [anon_sym__Noreturn] = ACTIONS(5292),
    [anon_sym_noreturn] = ACTIONS(5292),
    [anon_sym__Nonnull] = ACTIONS(5292),
    [anon_sym_mutable] = ACTIONS(5292),
    [anon_sym_constinit] = ACTIONS(5292),
    [anon_sym_consteval] = ACTIONS(5292),
    [anon_sym_alignas] = ACTIONS(5292),
    [anon_sym__Alignas] = ACTIONS(5292),
    [sym_primitive_type] = ACTIONS(5292),
    [anon_sym_enum] = ACTIONS(5292),
    [anon_sym_class] = ACTIONS(5292),
    [anon_sym_struct] = ACTIONS(5292),
    [anon_sym_union] = ACTIONS(5292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5292),
    [anon_sym_decltype] = ACTIONS(5292),
    [anon_sym_explicit] = ACTIONS(5292),
    [anon_sym_typename] = ACTIONS(5292),
    [anon_sym_template] = ACTIONS(5292),
    [anon_sym_operator] = ACTIONS(5292),
    [anon_sym_friend] = ACTIONS(5292),
    [anon_sym_public] = ACTIONS(5292),
    [anon_sym_private] = ACTIONS(5292),
    [anon_sym_protected] = ACTIONS(5292),
    [anon_sym_using] = ACTIONS(5292),
    [anon_sym_static_assert] = ACTIONS(5292),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(5374),
    [aux_sym_preproc_def_token1] = ACTIONS(5374),
    [aux_sym_preproc_if_token1] = ACTIONS(5374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5374),
    [sym_preproc_directive] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_TILDE] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5376),
    [anon_sym___extension__] = ACTIONS(5374),
    [anon_sym_typedef] = ACTIONS(5374),
    [anon_sym_virtual] = ACTIONS(5374),
    [anon_sym_extern] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_COLON_COLON] = ACTIONS(5376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5376),
    [anon_sym___declspec] = ACTIONS(5374),
    [anon_sym___based] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5374),
    [anon_sym_unsigned] = ACTIONS(5374),
    [anon_sym_long] = ACTIONS(5374),
    [anon_sym_short] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_static] = ACTIONS(5374),
    [anon_sym_register] = ACTIONS(5374),
    [anon_sym_inline] = ACTIONS(5374),
    [anon_sym___inline] = ACTIONS(5374),
    [anon_sym___inline__] = ACTIONS(5374),
    [anon_sym___forceinline] = ACTIONS(5374),
    [anon_sym_thread_local] = ACTIONS(5374),
    [anon_sym___thread] = ACTIONS(5374),
    [anon_sym_const] = ACTIONS(5374),
    [anon_sym_constexpr] = ACTIONS(5374),
    [anon_sym_volatile] = ACTIONS(5374),
    [anon_sym_restrict] = ACTIONS(5374),
    [anon_sym___restrict__] = ACTIONS(5374),
    [anon_sym__Atomic] = ACTIONS(5374),
    [anon_sym__Noreturn] = ACTIONS(5374),
    [anon_sym_noreturn] = ACTIONS(5374),
    [anon_sym__Nonnull] = ACTIONS(5374),
    [anon_sym_mutable] = ACTIONS(5374),
    [anon_sym_constinit] = ACTIONS(5374),
    [anon_sym_consteval] = ACTIONS(5374),
    [anon_sym_alignas] = ACTIONS(5374),
    [anon_sym__Alignas] = ACTIONS(5374),
    [sym_primitive_type] = ACTIONS(5374),
    [anon_sym_enum] = ACTIONS(5374),
    [anon_sym_class] = ACTIONS(5374),
    [anon_sym_struct] = ACTIONS(5374),
    [anon_sym_union] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
    [anon_sym_explicit] = ACTIONS(5374),
    [anon_sym_typename] = ACTIONS(5374),
    [anon_sym_template] = ACTIONS(5374),
    [anon_sym_operator] = ACTIONS(5374),
    [anon_sym_friend] = ACTIONS(5374),
    [anon_sym_public] = ACTIONS(5374),
    [anon_sym_private] = ACTIONS(5374),
    [anon_sym_protected] = ACTIONS(5374),
    [anon_sym_using] = ACTIONS(5374),
    [anon_sym_static_assert] = ACTIONS(5374),
  },
  [2055] = {
    [sym_string_literal] = STATE(1953),
    [sym_raw_string_literal] = STATE(1953),
    [aux_sym_concatenated_string_repeat1] = STATE(1953),
    [sym_identifier] = ACTIONS(5704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5137),
    [anon_sym_COMMA] = ACTIONS(5137),
    [anon_sym_RPAREN] = ACTIONS(5137),
    [anon_sym_LPAREN2] = ACTIONS(5137),
    [anon_sym_DASH] = ACTIONS(5139),
    [anon_sym_PLUS] = ACTIONS(5139),
    [anon_sym_STAR] = ACTIONS(5139),
    [anon_sym_SLASH] = ACTIONS(5139),
    [anon_sym_PERCENT] = ACTIONS(5139),
    [anon_sym_PIPE_PIPE] = ACTIONS(5137),
    [anon_sym_AMP_AMP] = ACTIONS(5137),
    [anon_sym_PIPE] = ACTIONS(5139),
    [anon_sym_CARET] = ACTIONS(5139),
    [anon_sym_AMP] = ACTIONS(5139),
    [anon_sym_EQ_EQ] = ACTIONS(5137),
    [anon_sym_BANG_EQ] = ACTIONS(5137),
    [anon_sym_GT] = ACTIONS(5139),
    [anon_sym_GT_EQ] = ACTIONS(5137),
    [anon_sym_LT_EQ] = ACTIONS(5139),
    [anon_sym_LT] = ACTIONS(5139),
    [anon_sym_LT_LT] = ACTIONS(5139),
    [anon_sym_GT_GT] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [anon_sym_EQ] = ACTIONS(5139),
    [anon_sym_QMARK] = ACTIONS(5137),
    [anon_sym_STAR_EQ] = ACTIONS(5137),
    [anon_sym_SLASH_EQ] = ACTIONS(5137),
    [anon_sym_PERCENT_EQ] = ACTIONS(5137),
    [anon_sym_PLUS_EQ] = ACTIONS(5137),
    [anon_sym_DASH_EQ] = ACTIONS(5137),
    [anon_sym_LT_LT_EQ] = ACTIONS(5137),
    [anon_sym_GT_GT_EQ] = ACTIONS(5137),
    [anon_sym_AMP_EQ] = ACTIONS(5137),
    [anon_sym_CARET_EQ] = ACTIONS(5137),
    [anon_sym_PIPE_EQ] = ACTIONS(5137),
    [anon_sym_and_eq] = ACTIONS(5139),
    [anon_sym_or_eq] = ACTIONS(5139),
    [anon_sym_xor_eq] = ACTIONS(5139),
    [anon_sym_LT_EQ_GT] = ACTIONS(5137),
    [anon_sym_or] = ACTIONS(5139),
    [anon_sym_and] = ACTIONS(5139),
    [anon_sym_bitor] = ACTIONS(5139),
    [anon_sym_xor] = ACTIONS(5139),
    [anon_sym_bitand] = ACTIONS(5139),
    [anon_sym_not_eq] = ACTIONS(5139),
    [anon_sym_DASH_DASH] = ACTIONS(5137),
    [anon_sym_PLUS_PLUS] = ACTIONS(5137),
    [anon_sym_DOT] = ACTIONS(5139),
    [anon_sym_DOT_STAR] = ACTIONS(5137),
    [anon_sym_DASH_GT] = ACTIONS(5139),
    [anon_sym_L_DQUOTE] = ACTIONS(4928),
    [anon_sym_u_DQUOTE] = ACTIONS(4928),
    [anon_sym_U_DQUOTE] = ACTIONS(4928),
    [anon_sym_u8_DQUOTE] = ACTIONS(4928),
    [anon_sym_DQUOTE] = ACTIONS(4928),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4930),
    [anon_sym_LR_DQUOTE] = ACTIONS(4930),
    [anon_sym_uR_DQUOTE] = ACTIONS(4930),
    [anon_sym_UR_DQUOTE] = ACTIONS(4930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5137),
    [sym_literal_suffix] = ACTIONS(5139),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_friend] = ACTIONS(2766),
    [anon_sym_public] = ACTIONS(2766),
    [anon_sym_private] = ACTIONS(2766),
    [anon_sym_protected] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
  },
  [2057] = {
    [sym_identifier] = ACTIONS(5288),
    [aux_sym_preproc_def_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token1] = ACTIONS(5288),
    [aux_sym_preproc_if_token2] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5288),
    [sym_preproc_directive] = ACTIONS(5288),
    [anon_sym_LPAREN2] = ACTIONS(5290),
    [anon_sym_TILDE] = ACTIONS(5290),
    [anon_sym_STAR] = ACTIONS(5290),
    [anon_sym_AMP_AMP] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [anon_sym___extension__] = ACTIONS(5288),
    [anon_sym_typedef] = ACTIONS(5288),
    [anon_sym_virtual] = ACTIONS(5288),
    [anon_sym_extern] = ACTIONS(5288),
    [anon_sym___attribute__] = ACTIONS(5288),
    [anon_sym_COLON_COLON] = ACTIONS(5290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5290),
    [anon_sym___declspec] = ACTIONS(5288),
    [anon_sym___based] = ACTIONS(5288),
    [anon_sym_signed] = ACTIONS(5288),
    [anon_sym_unsigned] = ACTIONS(5288),
    [anon_sym_long] = ACTIONS(5288),
    [anon_sym_short] = ACTIONS(5288),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_static] = ACTIONS(5288),
    [anon_sym_register] = ACTIONS(5288),
    [anon_sym_inline] = ACTIONS(5288),
    [anon_sym___inline] = ACTIONS(5288),
    [anon_sym___inline__] = ACTIONS(5288),
    [anon_sym___forceinline] = ACTIONS(5288),
    [anon_sym_thread_local] = ACTIONS(5288),
    [anon_sym___thread] = ACTIONS(5288),
    [anon_sym_const] = ACTIONS(5288),
    [anon_sym_constexpr] = ACTIONS(5288),
    [anon_sym_volatile] = ACTIONS(5288),
    [anon_sym_restrict] = ACTIONS(5288),
    [anon_sym___restrict__] = ACTIONS(5288),
    [anon_sym__Atomic] = ACTIONS(5288),
    [anon_sym__Noreturn] = ACTIONS(5288),
    [anon_sym_noreturn] = ACTIONS(5288),
    [anon_sym__Nonnull] = ACTIONS(5288),
    [anon_sym_mutable] = ACTIONS(5288),
    [anon_sym_constinit] = ACTIONS(5288),
    [anon_sym_consteval] = ACTIONS(5288),
    [anon_sym_alignas] = ACTIONS(5288),
    [anon_sym__Alignas] = ACTIONS(5288),
    [sym_primitive_type] = ACTIONS(5288),
    [anon_sym_enum] = ACTIONS(5288),
    [anon_sym_class] = ACTIONS(5288),
    [anon_sym_struct] = ACTIONS(5288),
    [anon_sym_union] = ACTIONS(5288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5288),
    [anon_sym_decltype] = ACTIONS(5288),
    [anon_sym_explicit] = ACTIONS(5288),
    [anon_sym_typename] = ACTIONS(5288),
    [anon_sym_template] = ACTIONS(5288),
    [anon_sym_operator] = ACTIONS(5288),
    [anon_sym_friend] = ACTIONS(5288),
    [anon_sym_public] = ACTIONS(5288),
    [anon_sym_private] = ACTIONS(5288),
    [anon_sym_protected] = ACTIONS(5288),
    [anon_sym_using] = ACTIONS(5288),
    [anon_sym_static_assert] = ACTIONS(5288),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(3809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3811),
    [anon_sym_COMMA] = ACTIONS(3811),
    [anon_sym_RPAREN] = ACTIONS(3811),
    [anon_sym_LPAREN2] = ACTIONS(3811),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_STAR] = ACTIONS(3811),
    [anon_sym_AMP_AMP] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(3809),
    [anon_sym_SEMI] = ACTIONS(3811),
    [anon_sym___extension__] = ACTIONS(3809),
    [anon_sym_virtual] = ACTIONS(3809),
    [anon_sym_extern] = ACTIONS(3809),
    [anon_sym___attribute__] = ACTIONS(3809),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3811),
    [anon_sym___declspec] = ACTIONS(3809),
    [anon_sym___based] = ACTIONS(3809),
    [anon_sym___cdecl] = ACTIONS(3809),
    [anon_sym___clrcall] = ACTIONS(3809),
    [anon_sym___stdcall] = ACTIONS(3809),
    [anon_sym___fastcall] = ACTIONS(3809),
    [anon_sym___thiscall] = ACTIONS(3809),
    [anon_sym___vectorcall] = ACTIONS(3809),
    [anon_sym_LBRACE] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(3809),
    [anon_sym_static] = ACTIONS(3809),
    [anon_sym_EQ] = ACTIONS(3811),
    [anon_sym_register] = ACTIONS(3809),
    [anon_sym_inline] = ACTIONS(3809),
    [anon_sym___inline] = ACTIONS(3809),
    [anon_sym___inline__] = ACTIONS(3809),
    [anon_sym___forceinline] = ACTIONS(3809),
    [anon_sym_thread_local] = ACTIONS(3809),
    [anon_sym___thread] = ACTIONS(3809),
    [anon_sym_const] = ACTIONS(3809),
    [anon_sym_constexpr] = ACTIONS(3809),
    [anon_sym_volatile] = ACTIONS(3809),
    [anon_sym_restrict] = ACTIONS(3809),
    [anon_sym___restrict__] = ACTIONS(3809),
    [anon_sym__Atomic] = ACTIONS(3809),
    [anon_sym__Noreturn] = ACTIONS(3809),
    [anon_sym_noreturn] = ACTIONS(3809),
    [anon_sym__Nonnull] = ACTIONS(3809),
    [anon_sym_mutable] = ACTIONS(3809),
    [anon_sym_constinit] = ACTIONS(3809),
    [anon_sym_consteval] = ACTIONS(3809),
    [anon_sym_alignas] = ACTIONS(3809),
    [anon_sym__Alignas] = ACTIONS(3809),
    [anon_sym_COLON] = ACTIONS(3809),
    [anon_sym_asm] = ACTIONS(3809),
    [anon_sym___asm__] = ACTIONS(3809),
    [anon_sym___asm] = ACTIONS(3809),
    [anon_sym_DASH_GT] = ACTIONS(3811),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3809),
    [anon_sym_final] = ACTIONS(3809),
    [anon_sym_override] = ACTIONS(3809),
    [anon_sym_explicit] = ACTIONS(3809),
    [anon_sym_template] = ACTIONS(3809),
    [anon_sym_GT2] = ACTIONS(3811),
    [anon_sym_operator] = ACTIONS(3809),
    [anon_sym_try] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3809),
    [anon_sym_private] = ACTIONS(3809),
    [anon_sym_protected] = ACTIONS(3809),
    [anon_sym_requires] = ACTIONS(3809),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym_RBRACE] = ACTIONS(2946),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_friend] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
  },
  [2060] = {
    [sym_identifier] = ACTIONS(5284),
    [aux_sym_preproc_def_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token1] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5284),
    [sym_preproc_directive] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5286),
    [anon_sym_TILDE] = ACTIONS(5286),
    [anon_sym_STAR] = ACTIONS(5286),
    [anon_sym_AMP_AMP] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [anon_sym___extension__] = ACTIONS(5284),
    [anon_sym_typedef] = ACTIONS(5284),
    [anon_sym_virtual] = ACTIONS(5284),
    [anon_sym_extern] = ACTIONS(5284),
    [anon_sym___attribute__] = ACTIONS(5284),
    [anon_sym_COLON_COLON] = ACTIONS(5286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5286),
    [anon_sym___declspec] = ACTIONS(5284),
    [anon_sym___based] = ACTIONS(5284),
    [anon_sym_signed] = ACTIONS(5284),
    [anon_sym_unsigned] = ACTIONS(5284),
    [anon_sym_long] = ACTIONS(5284),
    [anon_sym_short] = ACTIONS(5284),
    [anon_sym_LBRACK] = ACTIONS(5284),
    [anon_sym_static] = ACTIONS(5284),
    [anon_sym_register] = ACTIONS(5284),
    [anon_sym_inline] = ACTIONS(5284),
    [anon_sym___inline] = ACTIONS(5284),
    [anon_sym___inline__] = ACTIONS(5284),
    [anon_sym___forceinline] = ACTIONS(5284),
    [anon_sym_thread_local] = ACTIONS(5284),
    [anon_sym___thread] = ACTIONS(5284),
    [anon_sym_const] = ACTIONS(5284),
    [anon_sym_constexpr] = ACTIONS(5284),
    [anon_sym_volatile] = ACTIONS(5284),
    [anon_sym_restrict] = ACTIONS(5284),
    [anon_sym___restrict__] = ACTIONS(5284),
    [anon_sym__Atomic] = ACTIONS(5284),
    [anon_sym__Noreturn] = ACTIONS(5284),
    [anon_sym_noreturn] = ACTIONS(5284),
    [anon_sym__Nonnull] = ACTIONS(5284),
    [anon_sym_mutable] = ACTIONS(5284),
    [anon_sym_constinit] = ACTIONS(5284),
    [anon_sym_consteval] = ACTIONS(5284),
    [anon_sym_alignas] = ACTIONS(5284),
    [anon_sym__Alignas] = ACTIONS(5284),
    [sym_primitive_type] = ACTIONS(5284),
    [anon_sym_enum] = ACTIONS(5284),
    [anon_sym_class] = ACTIONS(5284),
    [anon_sym_struct] = ACTIONS(5284),
    [anon_sym_union] = ACTIONS(5284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5284),
    [anon_sym_decltype] = ACTIONS(5284),
    [anon_sym_explicit] = ACTIONS(5284),
    [anon_sym_typename] = ACTIONS(5284),
    [anon_sym_template] = ACTIONS(5284),
    [anon_sym_operator] = ACTIONS(5284),
    [anon_sym_friend] = ACTIONS(5284),
    [anon_sym_public] = ACTIONS(5284),
    [anon_sym_private] = ACTIONS(5284),
    [anon_sym_protected] = ACTIONS(5284),
    [anon_sym_using] = ACTIONS(5284),
    [anon_sym_static_assert] = ACTIONS(5284),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(5241),
    [aux_sym_preproc_def_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token2] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5241),
    [sym_preproc_directive] = ACTIONS(5241),
    [anon_sym_LPAREN2] = ACTIONS(5243),
    [anon_sym_TILDE] = ACTIONS(5243),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_AMP] = ACTIONS(5241),
    [anon_sym_SEMI] = ACTIONS(5243),
    [anon_sym___extension__] = ACTIONS(5241),
    [anon_sym_typedef] = ACTIONS(5241),
    [anon_sym_virtual] = ACTIONS(5241),
    [anon_sym_extern] = ACTIONS(5241),
    [anon_sym___attribute__] = ACTIONS(5241),
    [anon_sym_COLON_COLON] = ACTIONS(5243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5243),
    [anon_sym___declspec] = ACTIONS(5241),
    [anon_sym___based] = ACTIONS(5241),
    [anon_sym_signed] = ACTIONS(5241),
    [anon_sym_unsigned] = ACTIONS(5241),
    [anon_sym_long] = ACTIONS(5241),
    [anon_sym_short] = ACTIONS(5241),
    [anon_sym_LBRACK] = ACTIONS(5241),
    [anon_sym_static] = ACTIONS(5241),
    [anon_sym_register] = ACTIONS(5241),
    [anon_sym_inline] = ACTIONS(5241),
    [anon_sym___inline] = ACTIONS(5241),
    [anon_sym___inline__] = ACTIONS(5241),
    [anon_sym___forceinline] = ACTIONS(5241),
    [anon_sym_thread_local] = ACTIONS(5241),
    [anon_sym___thread] = ACTIONS(5241),
    [anon_sym_const] = ACTIONS(5241),
    [anon_sym_constexpr] = ACTIONS(5241),
    [anon_sym_volatile] = ACTIONS(5241),
    [anon_sym_restrict] = ACTIONS(5241),
    [anon_sym___restrict__] = ACTIONS(5241),
    [anon_sym__Atomic] = ACTIONS(5241),
    [anon_sym__Noreturn] = ACTIONS(5241),
    [anon_sym_noreturn] = ACTIONS(5241),
    [anon_sym__Nonnull] = ACTIONS(5241),
    [anon_sym_mutable] = ACTIONS(5241),
    [anon_sym_constinit] = ACTIONS(5241),
    [anon_sym_consteval] = ACTIONS(5241),
    [anon_sym_alignas] = ACTIONS(5241),
    [anon_sym__Alignas] = ACTIONS(5241),
    [sym_primitive_type] = ACTIONS(5241),
    [anon_sym_enum] = ACTIONS(5241),
    [anon_sym_class] = ACTIONS(5241),
    [anon_sym_struct] = ACTIONS(5241),
    [anon_sym_union] = ACTIONS(5241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5241),
    [anon_sym_decltype] = ACTIONS(5241),
    [anon_sym_explicit] = ACTIONS(5241),
    [anon_sym_typename] = ACTIONS(5241),
    [anon_sym_template] = ACTIONS(5241),
    [anon_sym_operator] = ACTIONS(5241),
    [anon_sym_friend] = ACTIONS(5241),
    [anon_sym_public] = ACTIONS(5241),
    [anon_sym_private] = ACTIONS(5241),
    [anon_sym_protected] = ACTIONS(5241),
    [anon_sym_using] = ACTIONS(5241),
    [anon_sym_static_assert] = ACTIONS(5241),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_AMP_AMP] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2762),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_virtual] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___based] = ACTIONS(2762),
    [anon_sym_RBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_mutable] = ACTIONS(2762),
    [anon_sym_constinit] = ACTIONS(2762),
    [anon_sym_consteval] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2762),
    [anon_sym_decltype] = ACTIONS(2762),
    [anon_sym_explicit] = ACTIONS(2762),
    [anon_sym_typename] = ACTIONS(2762),
    [anon_sym_template] = ACTIONS(2762),
    [anon_sym_operator] = ACTIONS(2762),
    [anon_sym_friend] = ACTIONS(2762),
    [anon_sym_public] = ACTIONS(2762),
    [anon_sym_private] = ACTIONS(2762),
    [anon_sym_protected] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_static_assert] = ACTIONS(2762),
  },
  [2063] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_AMP_AMP] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2864),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_virtual] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym_COLON_COLON] = ACTIONS(2866),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___based] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_mutable] = ACTIONS(2864),
    [anon_sym_constinit] = ACTIONS(2864),
    [anon_sym_consteval] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_class] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2864),
    [anon_sym_decltype] = ACTIONS(2864),
    [anon_sym_explicit] = ACTIONS(2864),
    [anon_sym_typename] = ACTIONS(2864),
    [anon_sym_template] = ACTIONS(2864),
    [anon_sym_operator] = ACTIONS(2864),
    [anon_sym_friend] = ACTIONS(2864),
    [anon_sym_public] = ACTIONS(2864),
    [anon_sym_private] = ACTIONS(2864),
    [anon_sym_protected] = ACTIONS(2864),
    [anon_sym_using] = ACTIONS(2864),
    [anon_sym_static_assert] = ACTIONS(2864),
  },
  [2064] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_friend] = ACTIONS(2766),
    [anon_sym_public] = ACTIONS(2766),
    [anon_sym_private] = ACTIONS(2766),
    [anon_sym_protected] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_friend] = ACTIONS(2766),
    [anon_sym_public] = ACTIONS(2766),
    [anon_sym_private] = ACTIONS(2766),
    [anon_sym_protected] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_AMP_AMP] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_virtual] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym_COLON_COLON] = ACTIONS(2768),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_mutable] = ACTIONS(2766),
    [anon_sym_constinit] = ACTIONS(2766),
    [anon_sym_consteval] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2766),
    [anon_sym_decltype] = ACTIONS(2766),
    [anon_sym_explicit] = ACTIONS(2766),
    [anon_sym_typename] = ACTIONS(2766),
    [anon_sym_template] = ACTIONS(2766),
    [anon_sym_operator] = ACTIONS(2766),
    [anon_sym_friend] = ACTIONS(2766),
    [anon_sym_public] = ACTIONS(2766),
    [anon_sym_private] = ACTIONS(2766),
    [anon_sym_protected] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_static_assert] = ACTIONS(2766),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token2] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [2069] = {
    [sym__declaration_modifiers] = STATE(3310),
    [sym_attribute_specifier] = STATE(3310),
    [sym_attribute_declaration] = STATE(3310),
    [sym_ms_declspec_modifier] = STATE(3310),
    [sym_storage_class_specifier] = STATE(3310),
    [sym_type_qualifier] = STATE(3310),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6179),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3310),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5688),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4908),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1854),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1230),
  },
  [2070] = {
    [sym_template_argument_list] = STATE(1574),
    [sym_identifier] = ACTIONS(4855),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_TILDE] = ACTIONS(4862),
    [anon_sym_STAR] = ACTIONS(4862),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(4855),
    [anon_sym_LT] = ACTIONS(5692),
    [anon_sym___extension__] = ACTIONS(4855),
    [anon_sym_virtual] = ACTIONS(4855),
    [anon_sym_extern] = ACTIONS(4855),
    [anon_sym___attribute__] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4862),
    [anon_sym___declspec] = ACTIONS(4855),
    [anon_sym___based] = ACTIONS(4855),
    [anon_sym___cdecl] = ACTIONS(4855),
    [anon_sym___clrcall] = ACTIONS(4855),
    [anon_sym___stdcall] = ACTIONS(4855),
    [anon_sym___fastcall] = ACTIONS(4855),
    [anon_sym___thiscall] = ACTIONS(4855),
    [anon_sym___vectorcall] = ACTIONS(4855),
    [anon_sym_signed] = ACTIONS(4855),
    [anon_sym_unsigned] = ACTIONS(4855),
    [anon_sym_long] = ACTIONS(4855),
    [anon_sym_short] = ACTIONS(4855),
    [anon_sym_LBRACK] = ACTIONS(4855),
    [anon_sym_static] = ACTIONS(4855),
    [anon_sym_register] = ACTIONS(4855),
    [anon_sym_inline] = ACTIONS(4855),
    [anon_sym___inline] = ACTIONS(4855),
    [anon_sym___inline__] = ACTIONS(4855),
    [anon_sym___forceinline] = ACTIONS(4855),
    [anon_sym_thread_local] = ACTIONS(4855),
    [anon_sym___thread] = ACTIONS(4855),
    [anon_sym_const] = ACTIONS(4855),
    [anon_sym_constexpr] = ACTIONS(4855),
    [anon_sym_volatile] = ACTIONS(4855),
    [anon_sym_restrict] = ACTIONS(4855),
    [anon_sym___restrict__] = ACTIONS(4855),
    [anon_sym__Atomic] = ACTIONS(4855),
    [anon_sym__Noreturn] = ACTIONS(4855),
    [anon_sym_noreturn] = ACTIONS(4855),
    [anon_sym__Nonnull] = ACTIONS(4855),
    [anon_sym_mutable] = ACTIONS(4855),
    [anon_sym_constinit] = ACTIONS(4855),
    [anon_sym_consteval] = ACTIONS(4855),
    [anon_sym_alignas] = ACTIONS(4855),
    [anon_sym__Alignas] = ACTIONS(4855),
    [sym_primitive_type] = ACTIONS(4855),
    [anon_sym_enum] = ACTIONS(4855),
    [anon_sym_class] = ACTIONS(4855),
    [anon_sym_struct] = ACTIONS(4855),
    [anon_sym_union] = ACTIONS(4855),
    [anon_sym_or] = ACTIONS(4855),
    [anon_sym_and] = ACTIONS(4855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4855),
    [anon_sym_decltype] = ACTIONS(4855),
    [anon_sym_explicit] = ACTIONS(4855),
    [anon_sym_typename] = ACTIONS(4855),
    [anon_sym_template] = ACTIONS(4855),
    [anon_sym_operator] = ACTIONS(4855),
    [anon_sym_friend] = ACTIONS(4855),
    [anon_sym_using] = ACTIONS(4855),
    [anon_sym_concept] = ACTIONS(4855),
  },
  [2071] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(5264),
    [aux_sym_preproc_def_token1] = ACTIONS(5264),
    [aux_sym_preproc_if_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5264),
    [sym_preproc_directive] = ACTIONS(5264),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_TILDE] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym___extension__] = ACTIONS(5264),
    [anon_sym_typedef] = ACTIONS(5264),
    [anon_sym_virtual] = ACTIONS(5264),
    [anon_sym_extern] = ACTIONS(5264),
    [anon_sym___attribute__] = ACTIONS(5264),
    [anon_sym_COLON_COLON] = ACTIONS(5266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5266),
    [anon_sym___declspec] = ACTIONS(5264),
    [anon_sym___based] = ACTIONS(5264),
    [anon_sym_RBRACE] = ACTIONS(5266),
    [anon_sym_signed] = ACTIONS(5264),
    [anon_sym_unsigned] = ACTIONS(5264),
    [anon_sym_long] = ACTIONS(5264),
    [anon_sym_short] = ACTIONS(5264),
    [anon_sym_LBRACK] = ACTIONS(5264),
    [anon_sym_static] = ACTIONS(5264),
    [anon_sym_register] = ACTIONS(5264),
    [anon_sym_inline] = ACTIONS(5264),
    [anon_sym___inline] = ACTIONS(5264),
    [anon_sym___inline__] = ACTIONS(5264),
    [anon_sym___forceinline] = ACTIONS(5264),
    [anon_sym_thread_local] = ACTIONS(5264),
    [anon_sym___thread] = ACTIONS(5264),
    [anon_sym_const] = ACTIONS(5264),
    [anon_sym_constexpr] = ACTIONS(5264),
    [anon_sym_volatile] = ACTIONS(5264),
    [anon_sym_restrict] = ACTIONS(5264),
    [anon_sym___restrict__] = ACTIONS(5264),
    [anon_sym__Atomic] = ACTIONS(5264),
    [anon_sym__Noreturn] = ACTIONS(5264),
    [anon_sym_noreturn] = ACTIONS(5264),
    [anon_sym__Nonnull] = ACTIONS(5264),
    [anon_sym_mutable] = ACTIONS(5264),
    [anon_sym_constinit] = ACTIONS(5264),
    [anon_sym_consteval] = ACTIONS(5264),
    [anon_sym_alignas] = ACTIONS(5264),
    [anon_sym__Alignas] = ACTIONS(5264),
    [sym_primitive_type] = ACTIONS(5264),
    [anon_sym_enum] = ACTIONS(5264),
    [anon_sym_class] = ACTIONS(5264),
    [anon_sym_struct] = ACTIONS(5264),
    [anon_sym_union] = ACTIONS(5264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5264),
    [anon_sym_decltype] = ACTIONS(5264),
    [anon_sym_explicit] = ACTIONS(5264),
    [anon_sym_typename] = ACTIONS(5264),
    [anon_sym_template] = ACTIONS(5264),
    [anon_sym_operator] = ACTIONS(5264),
    [anon_sym_friend] = ACTIONS(5264),
    [anon_sym_public] = ACTIONS(5264),
    [anon_sym_private] = ACTIONS(5264),
    [anon_sym_protected] = ACTIONS(5264),
    [anon_sym_using] = ACTIONS(5264),
    [anon_sym_static_assert] = ACTIONS(5264),
  },
  [2073] = {
    [sym_attribute_specifier] = STATE(1816),
    [sym_field_declaration_list] = STATE(2279),
    [sym_virtual_specifier] = STATE(6443),
    [sym_base_class_clause] = STATE(7183),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5247),
    [anon_sym_COMMA] = ACTIONS(5247),
    [anon_sym_RPAREN] = ACTIONS(5247),
    [anon_sym_LPAREN2] = ACTIONS(5247),
    [anon_sym_DASH] = ACTIONS(5245),
    [anon_sym_PLUS] = ACTIONS(5245),
    [anon_sym_STAR] = ACTIONS(5247),
    [anon_sym_SLASH] = ACTIONS(5245),
    [anon_sym_PERCENT] = ACTIONS(5247),
    [anon_sym_PIPE_PIPE] = ACTIONS(5247),
    [anon_sym_AMP_AMP] = ACTIONS(5247),
    [anon_sym_PIPE] = ACTIONS(5245),
    [anon_sym_CARET] = ACTIONS(5247),
    [anon_sym_AMP] = ACTIONS(5245),
    [anon_sym_EQ_EQ] = ACTIONS(5247),
    [anon_sym_BANG_EQ] = ACTIONS(5247),
    [anon_sym_GT] = ACTIONS(5245),
    [anon_sym_GT_EQ] = ACTIONS(5247),
    [anon_sym_LT_EQ] = ACTIONS(5245),
    [anon_sym_LT] = ACTIONS(5245),
    [anon_sym_LT_LT] = ACTIONS(5247),
    [anon_sym_GT_GT] = ACTIONS(5247),
    [anon_sym_SEMI] = ACTIONS(5247),
    [anon_sym___extension__] = ACTIONS(5247),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5247),
    [anon_sym_LBRACK] = ACTIONS(5247),
    [anon_sym_RBRACK] = ACTIONS(5247),
    [anon_sym_const] = ACTIONS(5245),
    [anon_sym_constexpr] = ACTIONS(5247),
    [anon_sym_volatile] = ACTIONS(5247),
    [anon_sym_restrict] = ACTIONS(5247),
    [anon_sym___restrict__] = ACTIONS(5247),
    [anon_sym__Atomic] = ACTIONS(5247),
    [anon_sym__Noreturn] = ACTIONS(5247),
    [anon_sym_noreturn] = ACTIONS(5247),
    [anon_sym__Nonnull] = ACTIONS(5247),
    [anon_sym_mutable] = ACTIONS(5247),
    [anon_sym_constinit] = ACTIONS(5247),
    [anon_sym_consteval] = ACTIONS(5247),
    [anon_sym_alignas] = ACTIONS(5247),
    [anon_sym__Alignas] = ACTIONS(5247),
    [anon_sym_COLON] = ACTIONS(5253),
    [anon_sym_QMARK] = ACTIONS(5247),
    [anon_sym_LT_EQ_GT] = ACTIONS(5247),
    [anon_sym_or] = ACTIONS(5247),
    [anon_sym_and] = ACTIONS(5247),
    [anon_sym_bitor] = ACTIONS(5247),
    [anon_sym_xor] = ACTIONS(5247),
    [anon_sym_bitand] = ACTIONS(5247),
    [anon_sym_not_eq] = ACTIONS(5247),
    [anon_sym_DASH_DASH] = ACTIONS(5247),
    [anon_sym_PLUS_PLUS] = ACTIONS(5247),
    [anon_sym_DOT] = ACTIONS(5245),
    [anon_sym_DOT_STAR] = ACTIONS(5247),
    [anon_sym_DASH_GT] = ACTIONS(5247),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5247),
    [anon_sym_decltype] = ACTIONS(5247),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_requires] = ACTIONS(5247),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(3137),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_friend] = ACTIONS(3135),
    [anon_sym_public] = ACTIONS(3135),
    [anon_sym_private] = ACTIONS(3135),
    [anon_sym_protected] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
  },
  [2075] = {
    [sym_template_argument_list] = STATE(1574),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2202),
    [sym_identifier] = ACTIONS(5712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5714),
    [anon_sym_COMMA] = ACTIONS(5714),
    [aux_sym_preproc_if_token2] = ACTIONS(5714),
    [aux_sym_preproc_else_token1] = ACTIONS(5714),
    [aux_sym_preproc_elif_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5714),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5712),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5714),
    [anon_sym_AMP_AMP] = ACTIONS(5714),
    [anon_sym_PIPE] = ACTIONS(5712),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5712),
    [anon_sym_EQ_EQ] = ACTIONS(5714),
    [anon_sym_BANG_EQ] = ACTIONS(5714),
    [anon_sym_GT] = ACTIONS(5712),
    [anon_sym_GT_EQ] = ACTIONS(5714),
    [anon_sym_LT_EQ] = ACTIONS(5712),
    [anon_sym_LT] = ACTIONS(5712),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5712),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(5714),
    [anon_sym_signed] = ACTIONS(5716),
    [anon_sym_unsigned] = ACTIONS(5716),
    [anon_sym_long] = ACTIONS(5716),
    [anon_sym_short] = ACTIONS(5716),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_QMARK] = ACTIONS(5714),
    [anon_sym_STAR_EQ] = ACTIONS(5714),
    [anon_sym_SLASH_EQ] = ACTIONS(5714),
    [anon_sym_PERCENT_EQ] = ACTIONS(5714),
    [anon_sym_PLUS_EQ] = ACTIONS(5714),
    [anon_sym_DASH_EQ] = ACTIONS(5714),
    [anon_sym_LT_LT_EQ] = ACTIONS(5714),
    [anon_sym_GT_GT_EQ] = ACTIONS(5714),
    [anon_sym_AMP_EQ] = ACTIONS(5714),
    [anon_sym_CARET_EQ] = ACTIONS(5714),
    [anon_sym_PIPE_EQ] = ACTIONS(5714),
    [anon_sym_and_eq] = ACTIONS(5712),
    [anon_sym_or_eq] = ACTIONS(5712),
    [anon_sym_xor_eq] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5714),
    [anon_sym_or] = ACTIONS(5712),
    [anon_sym_and] = ACTIONS(5712),
    [anon_sym_bitor] = ACTIONS(5712),
    [anon_sym_xor] = ACTIONS(5712),
    [anon_sym_bitand] = ACTIONS(5712),
    [anon_sym_not_eq] = ACTIONS(5712),
    [anon_sym_DASH_DASH] = ACTIONS(5714),
    [anon_sym_PLUS_PLUS] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_DOT_STAR] = ACTIONS(5714),
    [anon_sym_DASH_GT] = ACTIONS(5714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5712),
    [anon_sym_decltype] = ACTIONS(5712),
  },
  [2076] = {
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_AMP_AMP] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2714),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_virtual] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym_COLON_COLON] = ACTIONS(2716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___based] = ACTIONS(2714),
    [anon_sym_RBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_mutable] = ACTIONS(2714),
    [anon_sym_constinit] = ACTIONS(2714),
    [anon_sym_consteval] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_class] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2714),
    [anon_sym_decltype] = ACTIONS(2714),
    [anon_sym_explicit] = ACTIONS(2714),
    [anon_sym_typename] = ACTIONS(2714),
    [anon_sym_template] = ACTIONS(2714),
    [anon_sym_operator] = ACTIONS(2714),
    [anon_sym_friend] = ACTIONS(2714),
    [anon_sym_public] = ACTIONS(2714),
    [anon_sym_private] = ACTIONS(2714),
    [anon_sym_protected] = ACTIONS(2714),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_static_assert] = ACTIONS(2714),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [2078] = {
    [sym_attribute_specifier] = STATE(2229),
    [sym_enumerator_list] = STATE(2133),
    [sym_identifier] = ACTIONS(5718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [aux_sym_preproc_if_token2] = ACTIONS(5720),
    [aux_sym_preproc_else_token1] = ACTIONS(5720),
    [aux_sym_preproc_elif_token1] = ACTIONS(5718),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5718),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5718),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5718),
    [anon_sym_GT_GT] = ACTIONS(5718),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5702),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_RBRACK] = ACTIONS(5720),
    [anon_sym_EQ] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(5720),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_STAR_EQ] = ACTIONS(5720),
    [anon_sym_SLASH_EQ] = ACTIONS(5720),
    [anon_sym_PERCENT_EQ] = ACTIONS(5720),
    [anon_sym_PLUS_EQ] = ACTIONS(5720),
    [anon_sym_DASH_EQ] = ACTIONS(5720),
    [anon_sym_LT_LT_EQ] = ACTIONS(5720),
    [anon_sym_GT_GT_EQ] = ACTIONS(5720),
    [anon_sym_AMP_EQ] = ACTIONS(5720),
    [anon_sym_CARET_EQ] = ACTIONS(5720),
    [anon_sym_PIPE_EQ] = ACTIONS(5720),
    [anon_sym_and_eq] = ACTIONS(5718),
    [anon_sym_or_eq] = ACTIONS(5718),
    [anon_sym_xor_eq] = ACTIONS(5718),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5718),
    [anon_sym_and] = ACTIONS(5718),
    [anon_sym_bitor] = ACTIONS(5718),
    [anon_sym_xor] = ACTIONS(5718),
    [anon_sym_bitand] = ACTIONS(5718),
    [anon_sym_not_eq] = ACTIONS(5718),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5718),
    [anon_sym_decltype] = ACTIONS(5718),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(3131),
    [aux_sym_preproc_def_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3131),
    [sym_preproc_directive] = ACTIONS(3131),
    [anon_sym_LPAREN2] = ACTIONS(3133),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3133),
    [anon_sym_AMP_AMP] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_SEMI] = ACTIONS(3133),
    [anon_sym___extension__] = ACTIONS(3131),
    [anon_sym_typedef] = ACTIONS(3131),
    [anon_sym_virtual] = ACTIONS(3131),
    [anon_sym_extern] = ACTIONS(3131),
    [anon_sym___attribute__] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(3133),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3133),
    [anon_sym___declspec] = ACTIONS(3131),
    [anon_sym___based] = ACTIONS(3131),
    [anon_sym_RBRACE] = ACTIONS(3133),
    [anon_sym_signed] = ACTIONS(3131),
    [anon_sym_unsigned] = ACTIONS(3131),
    [anon_sym_long] = ACTIONS(3131),
    [anon_sym_short] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_register] = ACTIONS(3131),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym___inline] = ACTIONS(3131),
    [anon_sym___inline__] = ACTIONS(3131),
    [anon_sym___forceinline] = ACTIONS(3131),
    [anon_sym_thread_local] = ACTIONS(3131),
    [anon_sym___thread] = ACTIONS(3131),
    [anon_sym_const] = ACTIONS(3131),
    [anon_sym_constexpr] = ACTIONS(3131),
    [anon_sym_volatile] = ACTIONS(3131),
    [anon_sym_restrict] = ACTIONS(3131),
    [anon_sym___restrict__] = ACTIONS(3131),
    [anon_sym__Atomic] = ACTIONS(3131),
    [anon_sym__Noreturn] = ACTIONS(3131),
    [anon_sym_noreturn] = ACTIONS(3131),
    [anon_sym__Nonnull] = ACTIONS(3131),
    [anon_sym_mutable] = ACTIONS(3131),
    [anon_sym_constinit] = ACTIONS(3131),
    [anon_sym_consteval] = ACTIONS(3131),
    [anon_sym_alignas] = ACTIONS(3131),
    [anon_sym__Alignas] = ACTIONS(3131),
    [sym_primitive_type] = ACTIONS(3131),
    [anon_sym_enum] = ACTIONS(3131),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_struct] = ACTIONS(3131),
    [anon_sym_union] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3131),
    [anon_sym_decltype] = ACTIONS(3131),
    [anon_sym_explicit] = ACTIONS(3131),
    [anon_sym_typename] = ACTIONS(3131),
    [anon_sym_template] = ACTIONS(3131),
    [anon_sym_operator] = ACTIONS(3131),
    [anon_sym_friend] = ACTIONS(3131),
    [anon_sym_public] = ACTIONS(3131),
    [anon_sym_private] = ACTIONS(3131),
    [anon_sym_protected] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_static_assert] = ACTIONS(3131),
  },
  [2080] = {
    [sym_identifier] = ACTIONS(5225),
    [aux_sym_preproc_def_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token1] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5225),
    [sym_preproc_directive] = ACTIONS(5225),
    [anon_sym_LPAREN2] = ACTIONS(5227),
    [anon_sym_TILDE] = ACTIONS(5227),
    [anon_sym_STAR] = ACTIONS(5227),
    [anon_sym_AMP_AMP] = ACTIONS(5227),
    [anon_sym_AMP] = ACTIONS(5225),
    [anon_sym_SEMI] = ACTIONS(5227),
    [anon_sym___extension__] = ACTIONS(5225),
    [anon_sym_typedef] = ACTIONS(5225),
    [anon_sym_virtual] = ACTIONS(5225),
    [anon_sym_extern] = ACTIONS(5225),
    [anon_sym___attribute__] = ACTIONS(5225),
    [anon_sym_COLON_COLON] = ACTIONS(5227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5227),
    [anon_sym___declspec] = ACTIONS(5225),
    [anon_sym___based] = ACTIONS(5225),
    [anon_sym_RBRACE] = ACTIONS(5227),
    [anon_sym_signed] = ACTIONS(5225),
    [anon_sym_unsigned] = ACTIONS(5225),
    [anon_sym_long] = ACTIONS(5225),
    [anon_sym_short] = ACTIONS(5225),
    [anon_sym_LBRACK] = ACTIONS(5225),
    [anon_sym_static] = ACTIONS(5225),
    [anon_sym_register] = ACTIONS(5225),
    [anon_sym_inline] = ACTIONS(5225),
    [anon_sym___inline] = ACTIONS(5225),
    [anon_sym___inline__] = ACTIONS(5225),
    [anon_sym___forceinline] = ACTIONS(5225),
    [anon_sym_thread_local] = ACTIONS(5225),
    [anon_sym___thread] = ACTIONS(5225),
    [anon_sym_const] = ACTIONS(5225),
    [anon_sym_constexpr] = ACTIONS(5225),
    [anon_sym_volatile] = ACTIONS(5225),
    [anon_sym_restrict] = ACTIONS(5225),
    [anon_sym___restrict__] = ACTIONS(5225),
    [anon_sym__Atomic] = ACTIONS(5225),
    [anon_sym__Noreturn] = ACTIONS(5225),
    [anon_sym_noreturn] = ACTIONS(5225),
    [anon_sym__Nonnull] = ACTIONS(5225),
    [anon_sym_mutable] = ACTIONS(5225),
    [anon_sym_constinit] = ACTIONS(5225),
    [anon_sym_consteval] = ACTIONS(5225),
    [anon_sym_alignas] = ACTIONS(5225),
    [anon_sym__Alignas] = ACTIONS(5225),
    [sym_primitive_type] = ACTIONS(5225),
    [anon_sym_enum] = ACTIONS(5225),
    [anon_sym_class] = ACTIONS(5225),
    [anon_sym_struct] = ACTIONS(5225),
    [anon_sym_union] = ACTIONS(5225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5225),
    [anon_sym_decltype] = ACTIONS(5225),
    [anon_sym_explicit] = ACTIONS(5225),
    [anon_sym_typename] = ACTIONS(5225),
    [anon_sym_template] = ACTIONS(5225),
    [anon_sym_operator] = ACTIONS(5225),
    [anon_sym_friend] = ACTIONS(5225),
    [anon_sym_public] = ACTIONS(5225),
    [anon_sym_private] = ACTIONS(5225),
    [anon_sym_protected] = ACTIONS(5225),
    [anon_sym_using] = ACTIONS(5225),
    [anon_sym_static_assert] = ACTIONS(5225),
  },
  [2081] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4332),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2082] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(6880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(5722),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_RBRACK] = ACTIONS(5724),
    [anon_sym_EQ] = ACTIONS(5727),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(5729),
    [anon_sym_SLASH_EQ] = ACTIONS(5729),
    [anon_sym_PERCENT_EQ] = ACTIONS(5729),
    [anon_sym_PLUS_EQ] = ACTIONS(5729),
    [anon_sym_DASH_EQ] = ACTIONS(5729),
    [anon_sym_LT_LT_EQ] = ACTIONS(5729),
    [anon_sym_GT_GT_EQ] = ACTIONS(5729),
    [anon_sym_AMP_EQ] = ACTIONS(5729),
    [anon_sym_CARET_EQ] = ACTIONS(5729),
    [anon_sym_PIPE_EQ] = ACTIONS(5729),
    [anon_sym_and_eq] = ACTIONS(5729),
    [anon_sym_or_eq] = ACTIONS(5729),
    [anon_sym_xor_eq] = ACTIONS(5729),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(5225),
    [aux_sym_preproc_def_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token1] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5225),
    [sym_preproc_directive] = ACTIONS(5225),
    [anon_sym_LPAREN2] = ACTIONS(5227),
    [anon_sym_TILDE] = ACTIONS(5227),
    [anon_sym_STAR] = ACTIONS(5227),
    [anon_sym_AMP_AMP] = ACTIONS(5227),
    [anon_sym_AMP] = ACTIONS(5225),
    [anon_sym_SEMI] = ACTIONS(5227),
    [anon_sym___extension__] = ACTIONS(5225),
    [anon_sym_typedef] = ACTIONS(5225),
    [anon_sym_virtual] = ACTIONS(5225),
    [anon_sym_extern] = ACTIONS(5225),
    [anon_sym___attribute__] = ACTIONS(5225),
    [anon_sym_COLON_COLON] = ACTIONS(5227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5227),
    [anon_sym___declspec] = ACTIONS(5225),
    [anon_sym___based] = ACTIONS(5225),
    [anon_sym_RBRACE] = ACTIONS(5227),
    [anon_sym_signed] = ACTIONS(5225),
    [anon_sym_unsigned] = ACTIONS(5225),
    [anon_sym_long] = ACTIONS(5225),
    [anon_sym_short] = ACTIONS(5225),
    [anon_sym_LBRACK] = ACTIONS(5225),
    [anon_sym_static] = ACTIONS(5225),
    [anon_sym_register] = ACTIONS(5225),
    [anon_sym_inline] = ACTIONS(5225),
    [anon_sym___inline] = ACTIONS(5225),
    [anon_sym___inline__] = ACTIONS(5225),
    [anon_sym___forceinline] = ACTIONS(5225),
    [anon_sym_thread_local] = ACTIONS(5225),
    [anon_sym___thread] = ACTIONS(5225),
    [anon_sym_const] = ACTIONS(5225),
    [anon_sym_constexpr] = ACTIONS(5225),
    [anon_sym_volatile] = ACTIONS(5225),
    [anon_sym_restrict] = ACTIONS(5225),
    [anon_sym___restrict__] = ACTIONS(5225),
    [anon_sym__Atomic] = ACTIONS(5225),
    [anon_sym__Noreturn] = ACTIONS(5225),
    [anon_sym_noreturn] = ACTIONS(5225),
    [anon_sym__Nonnull] = ACTIONS(5225),
    [anon_sym_mutable] = ACTIONS(5225),
    [anon_sym_constinit] = ACTIONS(5225),
    [anon_sym_consteval] = ACTIONS(5225),
    [anon_sym_alignas] = ACTIONS(5225),
    [anon_sym__Alignas] = ACTIONS(5225),
    [sym_primitive_type] = ACTIONS(5225),
    [anon_sym_enum] = ACTIONS(5225),
    [anon_sym_class] = ACTIONS(5225),
    [anon_sym_struct] = ACTIONS(5225),
    [anon_sym_union] = ACTIONS(5225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5225),
    [anon_sym_decltype] = ACTIONS(5225),
    [anon_sym_explicit] = ACTIONS(5225),
    [anon_sym_typename] = ACTIONS(5225),
    [anon_sym_template] = ACTIONS(5225),
    [anon_sym_operator] = ACTIONS(5225),
    [anon_sym_friend] = ACTIONS(5225),
    [anon_sym_public] = ACTIONS(5225),
    [anon_sym_private] = ACTIONS(5225),
    [anon_sym_protected] = ACTIONS(5225),
    [anon_sym_using] = ACTIONS(5225),
    [anon_sym_static_assert] = ACTIONS(5225),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(2944),
    [aux_sym_preproc_def_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token1] = ACTIONS(2944),
    [aux_sym_preproc_if_token2] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2944),
    [sym_preproc_directive] = ACTIONS(2944),
    [anon_sym_LPAREN2] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2946),
    [anon_sym_AMP_AMP] = ACTIONS(2946),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym___extension__] = ACTIONS(2944),
    [anon_sym_typedef] = ACTIONS(2944),
    [anon_sym_virtual] = ACTIONS(2944),
    [anon_sym_extern] = ACTIONS(2944),
    [anon_sym___attribute__] = ACTIONS(2944),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2946),
    [anon_sym___declspec] = ACTIONS(2944),
    [anon_sym___based] = ACTIONS(2944),
    [anon_sym_signed] = ACTIONS(2944),
    [anon_sym_unsigned] = ACTIONS(2944),
    [anon_sym_long] = ACTIONS(2944),
    [anon_sym_short] = ACTIONS(2944),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2944),
    [anon_sym_register] = ACTIONS(2944),
    [anon_sym_inline] = ACTIONS(2944),
    [anon_sym___inline] = ACTIONS(2944),
    [anon_sym___inline__] = ACTIONS(2944),
    [anon_sym___forceinline] = ACTIONS(2944),
    [anon_sym_thread_local] = ACTIONS(2944),
    [anon_sym___thread] = ACTIONS(2944),
    [anon_sym_const] = ACTIONS(2944),
    [anon_sym_constexpr] = ACTIONS(2944),
    [anon_sym_volatile] = ACTIONS(2944),
    [anon_sym_restrict] = ACTIONS(2944),
    [anon_sym___restrict__] = ACTIONS(2944),
    [anon_sym__Atomic] = ACTIONS(2944),
    [anon_sym__Noreturn] = ACTIONS(2944),
    [anon_sym_noreturn] = ACTIONS(2944),
    [anon_sym__Nonnull] = ACTIONS(2944),
    [anon_sym_mutable] = ACTIONS(2944),
    [anon_sym_constinit] = ACTIONS(2944),
    [anon_sym_consteval] = ACTIONS(2944),
    [anon_sym_alignas] = ACTIONS(2944),
    [anon_sym__Alignas] = ACTIONS(2944),
    [sym_primitive_type] = ACTIONS(2944),
    [anon_sym_enum] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2944),
    [anon_sym_struct] = ACTIONS(2944),
    [anon_sym_union] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2944),
    [anon_sym_decltype] = ACTIONS(2944),
    [anon_sym_explicit] = ACTIONS(2944),
    [anon_sym_typename] = ACTIONS(2944),
    [anon_sym_template] = ACTIONS(2944),
    [anon_sym_operator] = ACTIONS(2944),
    [anon_sym_friend] = ACTIONS(2944),
    [anon_sym_public] = ACTIONS(2944),
    [anon_sym_private] = ACTIONS(2944),
    [anon_sym_protected] = ACTIONS(2944),
    [anon_sym_using] = ACTIONS(2944),
    [anon_sym_static_assert] = ACTIONS(2944),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token2] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3019),
    [sym_preproc_directive] = ACTIONS(3019),
    [anon_sym_LPAREN2] = ACTIONS(3021),
    [anon_sym_TILDE] = ACTIONS(3021),
    [anon_sym_STAR] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3021),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym___extension__] = ACTIONS(3019),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_virtual] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(3019),
    [anon_sym___attribute__] = ACTIONS(3019),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3021),
    [anon_sym___declspec] = ACTIONS(3019),
    [anon_sym___based] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3019),
    [anon_sym_unsigned] = ACTIONS(3019),
    [anon_sym_long] = ACTIONS(3019),
    [anon_sym_short] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(3019),
    [anon_sym_static] = ACTIONS(3019),
    [anon_sym_register] = ACTIONS(3019),
    [anon_sym_inline] = ACTIONS(3019),
    [anon_sym___inline] = ACTIONS(3019),
    [anon_sym___inline__] = ACTIONS(3019),
    [anon_sym___forceinline] = ACTIONS(3019),
    [anon_sym_thread_local] = ACTIONS(3019),
    [anon_sym___thread] = ACTIONS(3019),
    [anon_sym_const] = ACTIONS(3019),
    [anon_sym_constexpr] = ACTIONS(3019),
    [anon_sym_volatile] = ACTIONS(3019),
    [anon_sym_restrict] = ACTIONS(3019),
    [anon_sym___restrict__] = ACTIONS(3019),
    [anon_sym__Atomic] = ACTIONS(3019),
    [anon_sym__Noreturn] = ACTIONS(3019),
    [anon_sym_noreturn] = ACTIONS(3019),
    [anon_sym__Nonnull] = ACTIONS(3019),
    [anon_sym_mutable] = ACTIONS(3019),
    [anon_sym_constinit] = ACTIONS(3019),
    [anon_sym_consteval] = ACTIONS(3019),
    [anon_sym_alignas] = ACTIONS(3019),
    [anon_sym__Alignas] = ACTIONS(3019),
    [sym_primitive_type] = ACTIONS(3019),
    [anon_sym_enum] = ACTIONS(3019),
    [anon_sym_class] = ACTIONS(3019),
    [anon_sym_struct] = ACTIONS(3019),
    [anon_sym_union] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3019),
    [anon_sym_decltype] = ACTIONS(3019),
    [anon_sym_explicit] = ACTIONS(3019),
    [anon_sym_typename] = ACTIONS(3019),
    [anon_sym_template] = ACTIONS(3019),
    [anon_sym_operator] = ACTIONS(3019),
    [anon_sym_friend] = ACTIONS(3019),
    [anon_sym_public] = ACTIONS(3019),
    [anon_sym_private] = ACTIONS(3019),
    [anon_sym_protected] = ACTIONS(3019),
    [anon_sym_using] = ACTIONS(3019),
    [anon_sym_static_assert] = ACTIONS(3019),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(3048),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token2] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3048),
    [sym_preproc_directive] = ACTIONS(3048),
    [anon_sym_LPAREN2] = ACTIONS(3050),
    [anon_sym_TILDE] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3050),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym___extension__] = ACTIONS(3048),
    [anon_sym_typedef] = ACTIONS(3048),
    [anon_sym_virtual] = ACTIONS(3048),
    [anon_sym_extern] = ACTIONS(3048),
    [anon_sym___attribute__] = ACTIONS(3048),
    [anon_sym_COLON_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3050),
    [anon_sym___declspec] = ACTIONS(3048),
    [anon_sym___based] = ACTIONS(3048),
    [anon_sym_signed] = ACTIONS(3048),
    [anon_sym_unsigned] = ACTIONS(3048),
    [anon_sym_long] = ACTIONS(3048),
    [anon_sym_short] = ACTIONS(3048),
    [anon_sym_LBRACK] = ACTIONS(3048),
    [anon_sym_static] = ACTIONS(3048),
    [anon_sym_register] = ACTIONS(3048),
    [anon_sym_inline] = ACTIONS(3048),
    [anon_sym___inline] = ACTIONS(3048),
    [anon_sym___inline__] = ACTIONS(3048),
    [anon_sym___forceinline] = ACTIONS(3048),
    [anon_sym_thread_local] = ACTIONS(3048),
    [anon_sym___thread] = ACTIONS(3048),
    [anon_sym_const] = ACTIONS(3048),
    [anon_sym_constexpr] = ACTIONS(3048),
    [anon_sym_volatile] = ACTIONS(3048),
    [anon_sym_restrict] = ACTIONS(3048),
    [anon_sym___restrict__] = ACTIONS(3048),
    [anon_sym__Atomic] = ACTIONS(3048),
    [anon_sym__Noreturn] = ACTIONS(3048),
    [anon_sym_noreturn] = ACTIONS(3048),
    [anon_sym__Nonnull] = ACTIONS(3048),
    [anon_sym_mutable] = ACTIONS(3048),
    [anon_sym_constinit] = ACTIONS(3048),
    [anon_sym_consteval] = ACTIONS(3048),
    [anon_sym_alignas] = ACTIONS(3048),
    [anon_sym__Alignas] = ACTIONS(3048),
    [sym_primitive_type] = ACTIONS(3048),
    [anon_sym_enum] = ACTIONS(3048),
    [anon_sym_class] = ACTIONS(3048),
    [anon_sym_struct] = ACTIONS(3048),
    [anon_sym_union] = ACTIONS(3048),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3048),
    [anon_sym_decltype] = ACTIONS(3048),
    [anon_sym_explicit] = ACTIONS(3048),
    [anon_sym_typename] = ACTIONS(3048),
    [anon_sym_template] = ACTIONS(3048),
    [anon_sym_operator] = ACTIONS(3048),
    [anon_sym_friend] = ACTIONS(3048),
    [anon_sym_public] = ACTIONS(3048),
    [anon_sym_private] = ACTIONS(3048),
    [anon_sym_protected] = ACTIONS(3048),
    [anon_sym_using] = ACTIONS(3048),
    [anon_sym_static_assert] = ACTIONS(3048),
  },
  [2087] = {
    [sym__declaration_modifiers] = STATE(3310),
    [sym_attribute_specifier] = STATE(3310),
    [sym_attribute_declaration] = STATE(3310),
    [sym_ms_declspec_modifier] = STATE(3310),
    [sym_storage_class_specifier] = STATE(3310),
    [sym_type_qualifier] = STATE(3310),
    [sym_alignas_qualifier] = STATE(1819),
    [sym_type_specifier] = STATE(2298),
    [sym_sized_type_specifier] = STATE(2346),
    [sym_enum_specifier] = STATE(2346),
    [sym_struct_specifier] = STATE(2346),
    [sym_union_specifier] = STATE(2346),
    [sym_placeholder_type_specifier] = STATE(2346),
    [sym_decltype_auto] = STATE(2341),
    [sym_decltype] = STATE(2305),
    [sym_class_specifier] = STATE(2346),
    [sym_dependent_type] = STATE(2346),
    [sym_template_type] = STATE(2305),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(6174),
    [sym_qualified_type_identifier] = STATE(2954),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3310),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(4951),
    [anon_sym___extension__] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(5688),
    [anon_sym_extern] = ACTIONS(59),
    [anon_sym___attribute__] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1750),
    [anon_sym___declspec] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(55),
    [anon_sym_unsigned] = ACTIONS(55),
    [anon_sym_long] = ACTIONS(55),
    [anon_sym_short] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(59),
    [anon_sym_register] = ACTIONS(59),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(59),
    [anon_sym___inline__] = ACTIONS(59),
    [anon_sym___forceinline] = ACTIONS(59),
    [anon_sym_thread_local] = ACTIONS(59),
    [anon_sym___thread] = ACTIONS(59),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_constexpr] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_restrict] = ACTIONS(63),
    [anon_sym___restrict__] = ACTIONS(63),
    [anon_sym__Atomic] = ACTIONS(63),
    [anon_sym__Noreturn] = ACTIONS(63),
    [anon_sym_noreturn] = ACTIONS(63),
    [anon_sym__Nonnull] = ACTIONS(63),
    [anon_sym_mutable] = ACTIONS(63),
    [anon_sym_constinit] = ACTIONS(63),
    [anon_sym_consteval] = ACTIONS(63),
    [anon_sym_alignas] = ACTIONS(65),
    [anon_sym__Alignas] = ACTIONS(65),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3235),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(121),
    [anon_sym_decltype] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3239),
    [anon_sym_template] = ACTIONS(1230),
  },
  [2088] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_and_eq] = ACTIONS(4130),
    [anon_sym_or_eq] = ACTIONS(4130),
    [anon_sym_xor_eq] = ACTIONS(4130),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(3151),
    [aux_sym_preproc_def_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3151),
    [sym_preproc_directive] = ACTIONS(3151),
    [anon_sym_LPAREN2] = ACTIONS(3153),
    [anon_sym_TILDE] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3153),
    [anon_sym_AMP_AMP] = ACTIONS(3153),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_SEMI] = ACTIONS(3153),
    [anon_sym___extension__] = ACTIONS(3151),
    [anon_sym_typedef] = ACTIONS(3151),
    [anon_sym_virtual] = ACTIONS(3151),
    [anon_sym_extern] = ACTIONS(3151),
    [anon_sym___attribute__] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(3153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3153),
    [anon_sym___declspec] = ACTIONS(3151),
    [anon_sym___based] = ACTIONS(3151),
    [anon_sym_RBRACE] = ACTIONS(3153),
    [anon_sym_signed] = ACTIONS(3151),
    [anon_sym_unsigned] = ACTIONS(3151),
    [anon_sym_long] = ACTIONS(3151),
    [anon_sym_short] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_static] = ACTIONS(3151),
    [anon_sym_register] = ACTIONS(3151),
    [anon_sym_inline] = ACTIONS(3151),
    [anon_sym___inline] = ACTIONS(3151),
    [anon_sym___inline__] = ACTIONS(3151),
    [anon_sym___forceinline] = ACTIONS(3151),
    [anon_sym_thread_local] = ACTIONS(3151),
    [anon_sym___thread] = ACTIONS(3151),
    [anon_sym_const] = ACTIONS(3151),
    [anon_sym_constexpr] = ACTIONS(3151),
    [anon_sym_volatile] = ACTIONS(3151),
    [anon_sym_restrict] = ACTIONS(3151),
    [anon_sym___restrict__] = ACTIONS(3151),
    [anon_sym__Atomic] = ACTIONS(3151),
    [anon_sym__Noreturn] = ACTIONS(3151),
    [anon_sym_noreturn] = ACTIONS(3151),
    [anon_sym__Nonnull] = ACTIONS(3151),
    [anon_sym_mutable] = ACTIONS(3151),
    [anon_sym_constinit] = ACTIONS(3151),
    [anon_sym_consteval] = ACTIONS(3151),
    [anon_sym_alignas] = ACTIONS(3151),
    [anon_sym__Alignas] = ACTIONS(3151),
    [sym_primitive_type] = ACTIONS(3151),
    [anon_sym_enum] = ACTIONS(3151),
    [anon_sym_class] = ACTIONS(3151),
    [anon_sym_struct] = ACTIONS(3151),
    [anon_sym_union] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3151),
    [anon_sym_decltype] = ACTIONS(3151),
    [anon_sym_explicit] = ACTIONS(3151),
    [anon_sym_typename] = ACTIONS(3151),
    [anon_sym_template] = ACTIONS(3151),
    [anon_sym_operator] = ACTIONS(3151),
    [anon_sym_friend] = ACTIONS(3151),
    [anon_sym_public] = ACTIONS(3151),
    [anon_sym_private] = ACTIONS(3151),
    [anon_sym_protected] = ACTIONS(3151),
    [anon_sym_using] = ACTIONS(3151),
    [anon_sym_static_assert] = ACTIONS(3151),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(5312),
    [aux_sym_preproc_def_token1] = ACTIONS(5312),
    [aux_sym_preproc_if_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5312),
    [sym_preproc_directive] = ACTIONS(5312),
    [anon_sym_LPAREN2] = ACTIONS(5314),
    [anon_sym_TILDE] = ACTIONS(5314),
    [anon_sym_STAR] = ACTIONS(5314),
    [anon_sym_AMP_AMP] = ACTIONS(5314),
    [anon_sym_AMP] = ACTIONS(5312),
    [anon_sym_SEMI] = ACTIONS(5314),
    [anon_sym___extension__] = ACTIONS(5312),
    [anon_sym_typedef] = ACTIONS(5312),
    [anon_sym_virtual] = ACTIONS(5312),
    [anon_sym_extern] = ACTIONS(5312),
    [anon_sym___attribute__] = ACTIONS(5312),
    [anon_sym_COLON_COLON] = ACTIONS(5314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5314),
    [anon_sym___declspec] = ACTIONS(5312),
    [anon_sym___based] = ACTIONS(5312),
    [anon_sym_RBRACE] = ACTIONS(5314),
    [anon_sym_signed] = ACTIONS(5312),
    [anon_sym_unsigned] = ACTIONS(5312),
    [anon_sym_long] = ACTIONS(5312),
    [anon_sym_short] = ACTIONS(5312),
    [anon_sym_LBRACK] = ACTIONS(5312),
    [anon_sym_static] = ACTIONS(5312),
    [anon_sym_register] = ACTIONS(5312),
    [anon_sym_inline] = ACTIONS(5312),
    [anon_sym___inline] = ACTIONS(5312),
    [anon_sym___inline__] = ACTIONS(5312),
    [anon_sym___forceinline] = ACTIONS(5312),
    [anon_sym_thread_local] = ACTIONS(5312),
    [anon_sym___thread] = ACTIONS(5312),
    [anon_sym_const] = ACTIONS(5312),
    [anon_sym_constexpr] = ACTIONS(5312),
    [anon_sym_volatile] = ACTIONS(5312),
    [anon_sym_restrict] = ACTIONS(5312),
    [anon_sym___restrict__] = ACTIONS(5312),
    [anon_sym__Atomic] = ACTIONS(5312),
    [anon_sym__Noreturn] = ACTIONS(5312),
    [anon_sym_noreturn] = ACTIONS(5312),
    [anon_sym__Nonnull] = ACTIONS(5312),
    [anon_sym_mutable] = ACTIONS(5312),
    [anon_sym_constinit] = ACTIONS(5312),
    [anon_sym_consteval] = ACTIONS(5312),
    [anon_sym_alignas] = ACTIONS(5312),
    [anon_sym__Alignas] = ACTIONS(5312),
    [sym_primitive_type] = ACTIONS(5312),
    [anon_sym_enum] = ACTIONS(5312),
    [anon_sym_class] = ACTIONS(5312),
    [anon_sym_struct] = ACTIONS(5312),
    [anon_sym_union] = ACTIONS(5312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5312),
    [anon_sym_decltype] = ACTIONS(5312),
    [anon_sym_explicit] = ACTIONS(5312),
    [anon_sym_typename] = ACTIONS(5312),
    [anon_sym_template] = ACTIONS(5312),
    [anon_sym_operator] = ACTIONS(5312),
    [anon_sym_friend] = ACTIONS(5312),
    [anon_sym_public] = ACTIONS(5312),
    [anon_sym_private] = ACTIONS(5312),
    [anon_sym_protected] = ACTIONS(5312),
    [anon_sym_using] = ACTIONS(5312),
    [anon_sym_static_assert] = ACTIONS(5312),
  },
  [2091] = {
    [sym_identifier] = ACTIONS(3139),
    [aux_sym_preproc_def_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token2] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3139),
    [sym_preproc_directive] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3141),
    [anon_sym_TILDE] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3141),
    [anon_sym_AMP_AMP] = ACTIONS(3141),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_SEMI] = ACTIONS(3141),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_typedef] = ACTIONS(3139),
    [anon_sym_virtual] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3141),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym___based] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym__Nonnull] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [anon_sym_explicit] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_operator] = ACTIONS(3139),
    [anon_sym_friend] = ACTIONS(3139),
    [anon_sym_public] = ACTIONS(3139),
    [anon_sym_private] = ACTIONS(3139),
    [anon_sym_protected] = ACTIONS(3139),
    [anon_sym_using] = ACTIONS(3139),
    [anon_sym_static_assert] = ACTIONS(3139),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym__Nonnull] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [2093] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(6880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(5731),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_RBRACK] = ACTIONS(5724),
    [anon_sym_EQ] = ACTIONS(5727),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(5729),
    [anon_sym_SLASH_EQ] = ACTIONS(5729),
    [anon_sym_PERCENT_EQ] = ACTIONS(5729),
    [anon_sym_PLUS_EQ] = ACTIONS(5729),
    [anon_sym_DASH_EQ] = ACTIONS(5729),
    [anon_sym_LT_LT_EQ] = ACTIONS(5729),
    [anon_sym_GT_GT_EQ] = ACTIONS(5729),
    [anon_sym_AMP_EQ] = ACTIONS(5729),
    [anon_sym_CARET_EQ] = ACTIONS(5729),
    [anon_sym_PIPE_EQ] = ACTIONS(5729),
    [anon_sym_and_eq] = ACTIONS(5729),
    [anon_sym_or_eq] = ACTIONS(5729),
    [anon_sym_xor_eq] = ACTIONS(5729),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(5366),
    [aux_sym_preproc_def_token1] = ACTIONS(5366),
    [aux_sym_preproc_if_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5366),
    [sym_preproc_directive] = ACTIONS(5366),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_TILDE] = ACTIONS(5368),
    [anon_sym_STAR] = ACTIONS(5368),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_AMP] = ACTIONS(5366),
    [anon_sym_SEMI] = ACTIONS(5368),
    [anon_sym___extension__] = ACTIONS(5366),
    [anon_sym_typedef] = ACTIONS(5366),
    [anon_sym_virtual] = ACTIONS(5366),
    [anon_sym_extern] = ACTIONS(5366),
    [anon_sym___attribute__] = ACTIONS(5366),
    [anon_sym_COLON_COLON] = ACTIONS(5368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5368),
    [anon_sym___declspec] = ACTIONS(5366),
    [anon_sym___based] = ACTIONS(5366),
    [anon_sym_RBRACE] = ACTIONS(5368),
    [anon_sym_signed] = ACTIONS(5366),
    [anon_sym_unsigned] = ACTIONS(5366),
    [anon_sym_long] = ACTIONS(5366),
    [anon_sym_short] = ACTIONS(5366),
    [anon_sym_LBRACK] = ACTIONS(5366),
    [anon_sym_static] = ACTIONS(5366),
    [anon_sym_register] = ACTIONS(5366),
    [anon_sym_inline] = ACTIONS(5366),
    [anon_sym___inline] = ACTIONS(5366),
    [anon_sym___inline__] = ACTIONS(5366),
    [anon_sym___forceinline] = ACTIONS(5366),
    [anon_sym_thread_local] = ACTIONS(5366),
    [anon_sym___thread] = ACTIONS(5366),
    [anon_sym_const] = ACTIONS(5366),
    [anon_sym_constexpr] = ACTIONS(5366),
    [anon_sym_volatile] = ACTIONS(5366),
    [anon_sym_restrict] = ACTIONS(5366),
    [anon_sym___restrict__] = ACTIONS(5366),
    [anon_sym__Atomic] = ACTIONS(5366),
    [anon_sym__Noreturn] = ACTIONS(5366),
    [anon_sym_noreturn] = ACTIONS(5366),
    [anon_sym__Nonnull] = ACTIONS(5366),
    [anon_sym_mutable] = ACTIONS(5366),
    [anon_sym_constinit] = ACTIONS(5366),
    [anon_sym_consteval] = ACTIONS(5366),
    [anon_sym_alignas] = ACTIONS(5366),
    [anon_sym__Alignas] = ACTIONS(5366),
    [sym_primitive_type] = ACTIONS(5366),
    [anon_sym_enum] = ACTIONS(5366),
    [anon_sym_class] = ACTIONS(5366),
    [anon_sym_struct] = ACTIONS(5366),
    [anon_sym_union] = ACTIONS(5366),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5366),
    [anon_sym_decltype] = ACTIONS(5366),
    [anon_sym_explicit] = ACTIONS(5366),
    [anon_sym_typename] = ACTIONS(5366),
    [anon_sym_template] = ACTIONS(5366),
    [anon_sym_operator] = ACTIONS(5366),
    [anon_sym_friend] = ACTIONS(5366),
    [anon_sym_public] = ACTIONS(5366),
    [anon_sym_private] = ACTIONS(5366),
    [anon_sym_protected] = ACTIONS(5366),
    [anon_sym_using] = ACTIONS(5366),
    [anon_sym_static_assert] = ACTIONS(5366),
  },
  [2095] = {
    [sym_string_literal] = STATE(2095),
    [sym_raw_string_literal] = STATE(2095),
    [aux_sym_concatenated_string_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(5734),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5144),
    [anon_sym_COMMA] = ACTIONS(5144),
    [anon_sym_RPAREN] = ACTIONS(5144),
    [anon_sym_LPAREN2] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(5146),
    [anon_sym_STAR] = ACTIONS(5146),
    [anon_sym_SLASH] = ACTIONS(5146),
    [anon_sym_PERCENT] = ACTIONS(5146),
    [anon_sym_PIPE_PIPE] = ACTIONS(5144),
    [anon_sym_AMP_AMP] = ACTIONS(5144),
    [anon_sym_PIPE] = ACTIONS(5146),
    [anon_sym_CARET] = ACTIONS(5146),
    [anon_sym_AMP] = ACTIONS(5146),
    [anon_sym_EQ_EQ] = ACTIONS(5144),
    [anon_sym_BANG_EQ] = ACTIONS(5144),
    [anon_sym_GT] = ACTIONS(5146),
    [anon_sym_GT_EQ] = ACTIONS(5144),
    [anon_sym_LT_EQ] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(5146),
    [anon_sym_LT_LT] = ACTIONS(5146),
    [anon_sym_GT_GT] = ACTIONS(5146),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [anon_sym_EQ] = ACTIONS(5146),
    [anon_sym_QMARK] = ACTIONS(5144),
    [anon_sym_STAR_EQ] = ACTIONS(5144),
    [anon_sym_SLASH_EQ] = ACTIONS(5144),
    [anon_sym_PERCENT_EQ] = ACTIONS(5144),
    [anon_sym_PLUS_EQ] = ACTIONS(5144),
    [anon_sym_DASH_EQ] = ACTIONS(5144),
    [anon_sym_LT_LT_EQ] = ACTIONS(5144),
    [anon_sym_GT_GT_EQ] = ACTIONS(5144),
    [anon_sym_AMP_EQ] = ACTIONS(5144),
    [anon_sym_CARET_EQ] = ACTIONS(5144),
    [anon_sym_PIPE_EQ] = ACTIONS(5144),
    [anon_sym_and_eq] = ACTIONS(5146),
    [anon_sym_or_eq] = ACTIONS(5146),
    [anon_sym_xor_eq] = ACTIONS(5146),
    [anon_sym_LT_EQ_GT] = ACTIONS(5144),
    [anon_sym_or] = ACTIONS(5146),
    [anon_sym_and] = ACTIONS(5146),
    [anon_sym_bitor] = ACTIONS(5146),
    [anon_sym_xor] = ACTIONS(5146),
    [anon_sym_bitand] = ACTIONS(5146),
    [anon_sym_not_eq] = ACTIONS(5146),
    [anon_sym_DASH_DASH] = ACTIONS(5144),
    [anon_sym_PLUS_PLUS] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5146),
    [anon_sym_DOT_STAR] = ACTIONS(5144),
    [anon_sym_DASH_GT] = ACTIONS(5146),
    [anon_sym_L_DQUOTE] = ACTIONS(5737),
    [anon_sym_u_DQUOTE] = ACTIONS(5737),
    [anon_sym_U_DQUOTE] = ACTIONS(5737),
    [anon_sym_u8_DQUOTE] = ACTIONS(5737),
    [anon_sym_DQUOTE] = ACTIONS(5737),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5740),
    [anon_sym_LR_DQUOTE] = ACTIONS(5740),
    [anon_sym_uR_DQUOTE] = ACTIONS(5740),
    [anon_sym_UR_DQUOTE] = ACTIONS(5740),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5740),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5144),
    [sym_literal_suffix] = ACTIONS(5146),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym__Nonnull] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym__Alignas] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_friend] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(5330),
    [aux_sym_preproc_def_token1] = ACTIONS(5330),
    [aux_sym_preproc_if_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5330),
    [sym_preproc_directive] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(5332),
    [anon_sym_TILDE] = ACTIONS(5332),
    [anon_sym_STAR] = ACTIONS(5332),
    [anon_sym_AMP_AMP] = ACTIONS(5332),
    [anon_sym_AMP] = ACTIONS(5330),
    [anon_sym_SEMI] = ACTIONS(5332),
    [anon_sym___extension__] = ACTIONS(5330),
    [anon_sym_typedef] = ACTIONS(5330),
    [anon_sym_virtual] = ACTIONS(5330),
    [anon_sym_extern] = ACTIONS(5330),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym_COLON_COLON] = ACTIONS(5332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5332),
    [anon_sym___declspec] = ACTIONS(5330),
    [anon_sym___based] = ACTIONS(5330),
    [anon_sym_RBRACE] = ACTIONS(5332),
    [anon_sym_signed] = ACTIONS(5330),
    [anon_sym_unsigned] = ACTIONS(5330),
    [anon_sym_long] = ACTIONS(5330),
    [anon_sym_short] = ACTIONS(5330),
    [anon_sym_LBRACK] = ACTIONS(5330),
    [anon_sym_static] = ACTIONS(5330),
    [anon_sym_register] = ACTIONS(5330),
    [anon_sym_inline] = ACTIONS(5330),
    [anon_sym___inline] = ACTIONS(5330),
    [anon_sym___inline__] = ACTIONS(5330),
    [anon_sym___forceinline] = ACTIONS(5330),
    [anon_sym_thread_local] = ACTIONS(5330),
    [anon_sym___thread] = ACTIONS(5330),
    [anon_sym_const] = ACTIONS(5330),
    [anon_sym_constexpr] = ACTIONS(5330),
    [anon_sym_volatile] = ACTIONS(5330),
    [anon_sym_restrict] = ACTIONS(5330),
    [anon_sym___restrict__] = ACTIONS(5330),
    [anon_sym__Atomic] = ACTIONS(5330),
    [anon_sym__Noreturn] = ACTIONS(5330),
    [anon_sym_noreturn] = ACTIONS(5330),
    [anon_sym__Nonnull] = ACTIONS(5330),
    [anon_sym_mutable] = ACTIONS(5330),
    [anon_sym_constinit] = ACTIONS(5330),
    [anon_sym_consteval] = ACTIONS(5330),
    [anon_sym_alignas] = ACTIONS(5330),
    [anon_sym__Alignas] = ACTIONS(5330),
    [sym_primitive_type] = ACTIONS(5330),
    [anon_sym_enum] = ACTIONS(5330),
    [anon_sym_class] = ACTIONS(5330),
    [anon_sym_struct] = ACTIONS(5330),
    [anon_sym_union] = ACTIONS(5330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5330),
    [anon_sym_decltype] = ACTIONS(5330),
    [anon_sym_explicit] = ACTIONS(5330),
    [anon_sym_typename] = ACTIONS(5330),
    [anon_sym_template] = ACTIONS(5330),
    [anon_sym_operator] = ACTIONS(5330),
    [anon_sym_friend] = ACTIONS(5330),
    [anon_sym_public] = ACTIONS(5330),
    [anon_sym_private] = ACTIONS(5330),
    [anon_sym_protected] = ACTIONS(5330),
    [anon_sym_using] = ACTIONS(5330),
    [anon_sym_static_assert] = ACTIONS(5330),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(3135),
    [aux_sym_preproc_def_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token2] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3135),
    [sym_preproc_directive] = ACTIONS(3135),
    [anon_sym_LPAREN2] = ACTIONS(3137),
    [anon_sym_TILDE] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3137),
    [anon_sym_AMP_AMP] = ACTIONS(3137),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym___extension__] = ACTIONS(3135),
    [anon_sym_typedef] = ACTIONS(3135),
    [anon_sym_virtual] = ACTIONS(3135),
    [anon_sym_extern] = ACTIONS(3135),
    [anon_sym___attribute__] = ACTIONS(3135),
    [anon_sym_COLON_COLON] = ACTIONS(3137),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3137),
    [anon_sym___declspec] = ACTIONS(3135),
    [anon_sym___based] = ACTIONS(3135),
    [anon_sym_signed] = ACTIONS(3135),
    [anon_sym_unsigned] = ACTIONS(3135),
    [anon_sym_long] = ACTIONS(3135),
    [anon_sym_short] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_static] = ACTIONS(3135),
    [anon_sym_register] = ACTIONS(3135),
    [anon_sym_inline] = ACTIONS(3135),
    [anon_sym___inline] = ACTIONS(3135),
    [anon_sym___inline__] = ACTIONS(3135),
    [anon_sym___forceinline] = ACTIONS(3135),
    [anon_sym_thread_local] = ACTIONS(3135),
    [anon_sym___thread] = ACTIONS(3135),
    [anon_sym_const] = ACTIONS(3135),
    [anon_sym_constexpr] = ACTIONS(3135),
    [anon_sym_volatile] = ACTIONS(3135),
    [anon_sym_restrict] = ACTIONS(3135),
    [anon_sym___restrict__] = ACTIONS(3135),
    [anon_sym__Atomic] = ACTIONS(3135),
    [anon_sym__Noreturn] = ACTIONS(3135),
    [anon_sym_noreturn] = ACTIONS(3135),
    [anon_sym__Nonnull] = ACTIONS(3135),
    [anon_sym_mutable] = ACTIONS(3135),
    [anon_sym_constinit] = ACTIONS(3135),
    [anon_sym_consteval] = ACTIONS(3135),
    [anon_sym_alignas] = ACTIONS(3135),
    [anon_sym__Alignas] = ACTIONS(3135),
    [sym_primitive_type] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3135),
    [anon_sym_class] = ACTIONS(3135),
    [anon_sym_struct] = ACTIONS(3135),
    [anon_sym_union] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3135),
    [anon_sym_decltype] = ACTIONS(3135),
    [anon_sym_explicit] = ACTIONS(3135),
    [anon_sym_typename] = ACTIONS(3135),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_operator] = ACTIONS(3135),
    [anon_sym_friend] = ACTIONS(3135),
    [anon_sym_public] = ACTIONS(3135),
    [anon_sym_private] = ACTIONS(3135),
    [anon_sym_protected] = ACTIONS(3135),
    [anon_sym_using] = ACTIONS(3135),
    [anon_sym_static_assert] = ACTIONS(3135),
  },
  [2099] = {
    [sym_string_literal] = STATE(2055),
    [sym_template_argument_list] = STATE(3010),
    [sym_raw_string_literal] = STATE(2055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4932),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4094),
    [anon_sym_or_eq] = ACTIONS(4094),
    [anon_sym_xor_eq] = ACTIONS(4094),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4102),
    [anon_sym_L_DQUOTE] = ACTIONS(4928),
    [anon_sym_u_DQUOTE] = ACTIONS(4928),
    [anon_sym_U_DQUOTE] = ACTIONS(4928),
    [anon_sym_u8_DQUOTE] = ACTIONS(4928),
    [anon_sym_DQUOTE] = ACTIONS(4928),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4930),
    [anon_sym_LR_DQUOTE] = ACTIONS(4930),
    [anon_sym_uR_DQUOTE] = ACTIONS(4930),
    [anon_sym_UR_DQUOTE] = ACTIONS(4930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4094),
  },
  [2100] = {
    [sym_attribute_specifier] = STATE(2218),
    [sym_identifier] = ACTIONS(5743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5745),
    [anon_sym_COMMA] = ACTIONS(5745),
    [anon_sym_RPAREN] = ACTIONS(5745),
    [aux_sym_preproc_if_token2] = ACTIONS(5745),
    [aux_sym_preproc_else_token1] = ACTIONS(5745),
    [aux_sym_preproc_elif_token1] = ACTIONS(5743),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5745),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5745),
    [anon_sym_LPAREN2] = ACTIONS(5745),
    [anon_sym_DASH] = ACTIONS(5743),
    [anon_sym_PLUS] = ACTIONS(5743),
    [anon_sym_STAR] = ACTIONS(5743),
    [anon_sym_SLASH] = ACTIONS(5743),
    [anon_sym_PERCENT] = ACTIONS(5743),
    [anon_sym_PIPE_PIPE] = ACTIONS(5745),
    [anon_sym_AMP_AMP] = ACTIONS(5745),
    [anon_sym_PIPE] = ACTIONS(5743),
    [anon_sym_CARET] = ACTIONS(5743),
    [anon_sym_AMP] = ACTIONS(5743),
    [anon_sym_EQ_EQ] = ACTIONS(5745),
    [anon_sym_BANG_EQ] = ACTIONS(5745),
    [anon_sym_GT] = ACTIONS(5743),
    [anon_sym_GT_EQ] = ACTIONS(5745),
    [anon_sym_LT_EQ] = ACTIONS(5743),
    [anon_sym_LT] = ACTIONS(5743),
    [anon_sym_LT_LT] = ACTIONS(5743),
    [anon_sym_GT_GT] = ACTIONS(5743),
    [anon_sym_SEMI] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5745),
    [anon_sym_RBRACE] = ACTIONS(5745),
    [anon_sym_LBRACK] = ACTIONS(5745),
    [anon_sym_RBRACK] = ACTIONS(5745),
    [anon_sym_EQ] = ACTIONS(5743),
    [anon_sym_COLON] = ACTIONS(5745),
    [anon_sym_QMARK] = ACTIONS(5745),
    [anon_sym_STAR_EQ] = ACTIONS(5745),
    [anon_sym_SLASH_EQ] = ACTIONS(5745),
    [anon_sym_PERCENT_EQ] = ACTIONS(5745),
    [anon_sym_PLUS_EQ] = ACTIONS(5745),
    [anon_sym_DASH_EQ] = ACTIONS(5745),
    [anon_sym_LT_LT_EQ] = ACTIONS(5745),
    [anon_sym_GT_GT_EQ] = ACTIONS(5745),
    [anon_sym_AMP_EQ] = ACTIONS(5745),
    [anon_sym_CARET_EQ] = ACTIONS(5745),
    [anon_sym_PIPE_EQ] = ACTIONS(5745),
    [anon_sym_and_eq] = ACTIONS(5743),
    [anon_sym_or_eq] = ACTIONS(5743),
    [anon_sym_xor_eq] = ACTIONS(5743),
    [anon_sym_LT_EQ_GT] = ACTIONS(5745),
    [anon_sym_or] = ACTIONS(5743),
    [anon_sym_and] = ACTIONS(5743),
    [anon_sym_bitor] = ACTIONS(5743),
    [anon_sym_xor] = ACTIONS(5743),
    [anon_sym_bitand] = ACTIONS(5743),
    [anon_sym_not_eq] = ACTIONS(5743),
    [anon_sym_DASH_DASH] = ACTIONS(5745),
    [anon_sym_PLUS_PLUS] = ACTIONS(5745),
    [anon_sym_DOT] = ACTIONS(5743),
    [anon_sym_DOT_STAR] = ACTIONS(5745),
    [anon_sym_DASH_GT] = ACTIONS(5745),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5743),
    [anon_sym_decltype] = ACTIONS(5743),
  },
  [2101] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1765),
    [sym_identifier] = ACTIONS(5554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5551),
    [anon_sym_COMMA] = ACTIONS(5551),
    [aux_sym_preproc_if_token2] = ACTIONS(5551),
    [aux_sym_preproc_else_token1] = ACTIONS(5551),
    [aux_sym_preproc_elif_token1] = ACTIONS(5554),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5551),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5554),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5554),
    [anon_sym_PIPE_PIPE] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_EQ_EQ] = ACTIONS(5551),
    [anon_sym_BANG_EQ] = ACTIONS(5551),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5554),
    [anon_sym_GT_GT] = ACTIONS(5554),
    [anon_sym___attribute__] = ACTIONS(5554),
    [anon_sym_LBRACE] = ACTIONS(5551),
    [anon_sym_signed] = ACTIONS(5389),
    [anon_sym_unsigned] = ACTIONS(5389),
    [anon_sym_long] = ACTIONS(5389),
    [anon_sym_short] = ACTIONS(5389),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_EQ] = ACTIONS(5554),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_STAR_EQ] = ACTIONS(5551),
    [anon_sym_SLASH_EQ] = ACTIONS(5551),
    [anon_sym_PERCENT_EQ] = ACTIONS(5551),
    [anon_sym_PLUS_EQ] = ACTIONS(5551),
    [anon_sym_DASH_EQ] = ACTIONS(5551),
    [anon_sym_LT_LT_EQ] = ACTIONS(5551),
    [anon_sym_GT_GT_EQ] = ACTIONS(5551),
    [anon_sym_AMP_EQ] = ACTIONS(5551),
    [anon_sym_CARET_EQ] = ACTIONS(5551),
    [anon_sym_PIPE_EQ] = ACTIONS(5551),
    [anon_sym_and_eq] = ACTIONS(5554),
    [anon_sym_or_eq] = ACTIONS(5554),
    [anon_sym_xor_eq] = ACTIONS(5554),
    [anon_sym_LT_EQ_GT] = ACTIONS(5551),
    [anon_sym_or] = ACTIONS(5554),
    [anon_sym_and] = ACTIONS(5554),
    [anon_sym_bitor] = ACTIONS(5554),
    [anon_sym_xor] = ACTIONS(5554),
    [anon_sym_bitand] = ACTIONS(5554),
    [anon_sym_not_eq] = ACTIONS(5554),
    [anon_sym_DASH_DASH] = ACTIONS(5551),
    [anon_sym_PLUS_PLUS] = ACTIONS(5551),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_DOT_STAR] = ACTIONS(5551),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5554),
    [anon_sym_decltype] = ACTIONS(5554),
  },
  [2102] = {
    [sym_attribute_declaration] = STATE(2217),
    [sym_parameter_list] = STATE(2183),
    [aux_sym_attributed_declarator_repeat1] = STATE(2217),
    [sym_identifier] = ACTIONS(5747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5749),
    [anon_sym_COMMA] = ACTIONS(5749),
    [anon_sym_RPAREN] = ACTIONS(5749),
    [aux_sym_preproc_if_token2] = ACTIONS(5749),
    [aux_sym_preproc_else_token1] = ACTIONS(5749),
    [aux_sym_preproc_elif_token1] = ACTIONS(5747),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5749),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5749),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_DASH] = ACTIONS(5747),
    [anon_sym_PLUS] = ACTIONS(5747),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_SLASH] = ACTIONS(5747),
    [anon_sym_PERCENT] = ACTIONS(5747),
    [anon_sym_PIPE_PIPE] = ACTIONS(5749),
    [anon_sym_AMP_AMP] = ACTIONS(5749),
    [anon_sym_PIPE] = ACTIONS(5747),
    [anon_sym_CARET] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5747),
    [anon_sym_EQ_EQ] = ACTIONS(5749),
    [anon_sym_BANG_EQ] = ACTIONS(5749),
    [anon_sym_GT] = ACTIONS(5747),
    [anon_sym_GT_EQ] = ACTIONS(5749),
    [anon_sym_LT_EQ] = ACTIONS(5747),
    [anon_sym_LT] = ACTIONS(5747),
    [anon_sym_LT_LT] = ACTIONS(5747),
    [anon_sym_GT_GT] = ACTIONS(5747),
    [anon_sym_SEMI] = ACTIONS(5749),
    [anon_sym___attribute__] = ACTIONS(5747),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5753),
    [anon_sym_RBRACE] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5755),
    [anon_sym_RBRACK] = ACTIONS(5749),
    [anon_sym_EQ] = ACTIONS(5747),
    [anon_sym_COLON] = ACTIONS(5749),
    [anon_sym_QMARK] = ACTIONS(5749),
    [anon_sym_STAR_EQ] = ACTIONS(5749),
    [anon_sym_SLASH_EQ] = ACTIONS(5749),
    [anon_sym_PERCENT_EQ] = ACTIONS(5749),
    [anon_sym_PLUS_EQ] = ACTIONS(5749),
    [anon_sym_DASH_EQ] = ACTIONS(5749),
    [anon_sym_LT_LT_EQ] = ACTIONS(5749),
    [anon_sym_GT_GT_EQ] = ACTIONS(5749),
    [anon_sym_AMP_EQ] = ACTIONS(5749),
    [anon_sym_CARET_EQ] = ACTIONS(5749),
    [anon_sym_PIPE_EQ] = ACTIONS(5749),
    [anon_sym_and_eq] = ACTIONS(5747),
    [anon_sym_or_eq] = ACTIONS(5747),
    [anon_sym_xor_eq] = ACTIONS(5747),
    [anon_sym_LT_EQ_GT] = ACTIONS(5749),
    [anon_sym_or] = ACTIONS(5747),
    [anon_sym_and] = ACTIONS(5747),
    [anon_sym_bitor] = ACTIONS(5747),
    [anon_sym_xor] = ACTIONS(5747),
    [anon_sym_bitand] = ACTIONS(5747),
    [anon_sym_not_eq] = ACTIONS(5747),
    [anon_sym_DASH_DASH] = ACTIONS(5749),
    [anon_sym_PLUS_PLUS] = ACTIONS(5749),
    [anon_sym_DOT] = ACTIONS(5747),
    [anon_sym_DOT_STAR] = ACTIONS(5749),
    [anon_sym_DASH_GT] = ACTIONS(5749),
    [sym_comment] = ACTIONS(3),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(5260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5262),
    [anon_sym_COMMA] = ACTIONS(5262),
    [anon_sym_RPAREN] = ACTIONS(5262),
    [anon_sym_LPAREN2] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [anon_sym_STAR] = ACTIONS(5262),
    [anon_sym_PIPE_PIPE] = ACTIONS(5262),
    [anon_sym_AMP_AMP] = ACTIONS(5262),
    [anon_sym_AMP] = ACTIONS(5260),
    [anon_sym_SEMI] = ACTIONS(5262),
    [anon_sym___extension__] = ACTIONS(5260),
    [anon_sym_virtual] = ACTIONS(5260),
    [anon_sym_extern] = ACTIONS(5260),
    [anon_sym___attribute__] = ACTIONS(5260),
    [anon_sym_COLON_COLON] = ACTIONS(5262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5262),
    [anon_sym___declspec] = ACTIONS(5260),
    [anon_sym___based] = ACTIONS(5260),
    [anon_sym___cdecl] = ACTIONS(5260),
    [anon_sym___clrcall] = ACTIONS(5260),
    [anon_sym___stdcall] = ACTIONS(5260),
    [anon_sym___fastcall] = ACTIONS(5260),
    [anon_sym___thiscall] = ACTIONS(5260),
    [anon_sym___vectorcall] = ACTIONS(5260),
    [anon_sym_LBRACE] = ACTIONS(5262),
    [anon_sym_LBRACK] = ACTIONS(5260),
    [anon_sym_static] = ACTIONS(5260),
    [anon_sym_EQ] = ACTIONS(5262),
    [anon_sym_register] = ACTIONS(5260),
    [anon_sym_inline] = ACTIONS(5260),
    [anon_sym___inline] = ACTIONS(5260),
    [anon_sym___inline__] = ACTIONS(5260),
    [anon_sym___forceinline] = ACTIONS(5260),
    [anon_sym_thread_local] = ACTIONS(5260),
    [anon_sym___thread] = ACTIONS(5260),
    [anon_sym_const] = ACTIONS(5260),
    [anon_sym_constexpr] = ACTIONS(5260),
    [anon_sym_volatile] = ACTIONS(5260),
    [anon_sym_restrict] = ACTIONS(5260),
    [anon_sym___restrict__] = ACTIONS(5260),
    [anon_sym__Atomic] = ACTIONS(5260),
    [anon_sym__Noreturn] = ACTIONS(5260),
    [anon_sym_noreturn] = ACTIONS(5260),
    [anon_sym__Nonnull] = ACTIONS(5260),
    [anon_sym_mutable] = ACTIONS(5260),
    [anon_sym_constinit] = ACTIONS(5260),
    [anon_sym_consteval] = ACTIONS(5260),
    [anon_sym_alignas] = ACTIONS(5260),
    [anon_sym__Alignas] = ACTIONS(5260),
    [anon_sym_COLON] = ACTIONS(5260),
    [anon_sym_or] = ACTIONS(5260),
    [anon_sym_and] = ACTIONS(5260),
    [anon_sym_asm] = ACTIONS(5260),
    [anon_sym___asm__] = ACTIONS(5260),
    [anon_sym___asm] = ACTIONS(5260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5260),
    [anon_sym_decltype] = ACTIONS(5260),
    [anon_sym_final] = ACTIONS(5260),
    [anon_sym_override] = ACTIONS(5260),
    [anon_sym_template] = ACTIONS(5260),
    [anon_sym_GT2] = ACTIONS(5262),
    [anon_sym_operator] = ACTIONS(5260),
    [anon_sym_try] = ACTIONS(5260),
    [anon_sym_requires] = ACTIONS(5260),
  },
  [2104] = {
    [sym_ms_based_modifier] = STATE(7592),
    [sym_ms_unaligned_ptr_modifier] = STATE(3994),
    [sym_ms_pointer_modifier] = STATE(3819),
    [sym__declarator] = STATE(5990),
    [sym__abstract_declarator] = STATE(6266),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_function_declarator] = STATE(5841),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5841),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_type_qualifier] = STATE(2608),
    [sym_alignas_qualifier] = STATE(4312),
    [sym_parameter_list] = STATE(3088),
    [sym_decltype] = STATE(8141),
    [sym_reference_declarator] = STATE(5841),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(5841),
    [sym_operator_name] = STATE(5841),
    [aux_sym__type_definition_type_repeat1] = STATE(2608),
    [aux_sym_pointer_declarator_repeat1] = STATE(3819),
    [sym_identifier] = ACTIONS(5602),
    [anon_sym_COMMA] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(5757),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5761),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2884),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2884),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2884),
    [anon_sym__unaligned] = ACTIONS(2886),
    [anon_sym___unaligned] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2890),
    [anon_sym__Alignas] = ACTIONS(2890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(5618),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [2105] = {
    [sym_ms_based_modifier] = STATE(7592),
    [sym_ms_unaligned_ptr_modifier] = STATE(3994),
    [sym_ms_pointer_modifier] = STATE(2104),
    [sym__declarator] = STATE(6018),
    [sym__abstract_declarator] = STATE(6268),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_function_declarator] = STATE(5841),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5841),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_type_qualifier] = STATE(2664),
    [sym_alignas_qualifier] = STATE(4312),
    [sym_parameter_list] = STATE(3088),
    [sym_decltype] = STATE(8141),
    [sym_reference_declarator] = STATE(5841),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(5841),
    [sym_operator_name] = STATE(5841),
    [aux_sym__type_definition_type_repeat1] = STATE(2664),
    [aux_sym_pointer_declarator_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(5602),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(5757),
    [anon_sym_AMP_AMP] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5761),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2884),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2884),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2884),
    [anon_sym__unaligned] = ACTIONS(2886),
    [anon_sym___unaligned] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2890),
    [anon_sym__Alignas] = ACTIONS(2890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_GT2] = ACTIONS(5604),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [aux_sym_preproc_if_token2] = ACTIONS(5336),
    [aux_sym_preproc_else_token1] = ACTIONS(5336),
    [aux_sym_preproc_elif_token1] = ACTIONS(5334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_STAR] = ACTIONS(5334),
    [anon_sym_SLASH] = ACTIONS(5334),
    [anon_sym_PERCENT] = ACTIONS(5334),
    [anon_sym_PIPE_PIPE] = ACTIONS(5336),
    [anon_sym_AMP_AMP] = ACTIONS(5336),
    [anon_sym_PIPE] = ACTIONS(5334),
    [anon_sym_CARET] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(5334),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_GT] = ACTIONS(5334),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5334),
    [anon_sym_LT] = ACTIONS(5334),
    [anon_sym_LT_LT] = ACTIONS(5334),
    [anon_sym_GT_GT] = ACTIONS(5334),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym___attribute__] = ACTIONS(5334),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_RBRACK] = ACTIONS(5336),
    [anon_sym_EQ] = ACTIONS(5334),
    [anon_sym_COLON] = ACTIONS(5334),
    [anon_sym_QMARK] = ACTIONS(5336),
    [anon_sym_STAR_EQ] = ACTIONS(5336),
    [anon_sym_SLASH_EQ] = ACTIONS(5336),
    [anon_sym_PERCENT_EQ] = ACTIONS(5336),
    [anon_sym_PLUS_EQ] = ACTIONS(5336),
    [anon_sym_DASH_EQ] = ACTIONS(5336),
    [anon_sym_LT_LT_EQ] = ACTIONS(5336),
    [anon_sym_GT_GT_EQ] = ACTIONS(5336),
    [anon_sym_AMP_EQ] = ACTIONS(5336),
    [anon_sym_CARET_EQ] = ACTIONS(5336),
    [anon_sym_PIPE_EQ] = ACTIONS(5336),
    [anon_sym_and_eq] = ACTIONS(5334),
    [anon_sym_or_eq] = ACTIONS(5334),
    [anon_sym_xor_eq] = ACTIONS(5334),
    [anon_sym_LT_EQ_GT] = ACTIONS(5336),
    [anon_sym_or] = ACTIONS(5334),
    [anon_sym_and] = ACTIONS(5334),
    [anon_sym_bitor] = ACTIONS(5334),
    [anon_sym_xor] = ACTIONS(5334),
    [anon_sym_bitand] = ACTIONS(5334),
    [anon_sym_not_eq] = ACTIONS(5334),
    [anon_sym_DASH_DASH] = ACTIONS(5336),
    [anon_sym_PLUS_PLUS] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5334),
    [anon_sym_DOT_STAR] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5334),
    [anon_sym_decltype] = ACTIONS(5334),
  },
  [2107] = {
    [sym_attribute_declaration] = STATE(2217),
    [sym_parameter_list] = STATE(2183),
    [aux_sym_attributed_declarator_repeat1] = STATE(2217),
    [sym_identifier] = ACTIONS(5763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5765),
    [anon_sym_COMMA] = ACTIONS(5765),
    [anon_sym_RPAREN] = ACTIONS(5765),
    [aux_sym_preproc_if_token2] = ACTIONS(5765),
    [aux_sym_preproc_else_token1] = ACTIONS(5765),
    [aux_sym_preproc_elif_token1] = ACTIONS(5763),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5765),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5765),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_DASH] = ACTIONS(5763),
    [anon_sym_PLUS] = ACTIONS(5763),
    [anon_sym_STAR] = ACTIONS(5763),
    [anon_sym_SLASH] = ACTIONS(5763),
    [anon_sym_PERCENT] = ACTIONS(5763),
    [anon_sym_PIPE_PIPE] = ACTIONS(5765),
    [anon_sym_AMP_AMP] = ACTIONS(5765),
    [anon_sym_PIPE] = ACTIONS(5763),
    [anon_sym_CARET] = ACTIONS(5763),
    [anon_sym_AMP] = ACTIONS(5763),
    [anon_sym_EQ_EQ] = ACTIONS(5765),
    [anon_sym_BANG_EQ] = ACTIONS(5765),
    [anon_sym_GT] = ACTIONS(5763),
    [anon_sym_GT_EQ] = ACTIONS(5765),
    [anon_sym_LT_EQ] = ACTIONS(5763),
    [anon_sym_LT] = ACTIONS(5763),
    [anon_sym_LT_LT] = ACTIONS(5763),
    [anon_sym_GT_GT] = ACTIONS(5763),
    [anon_sym_SEMI] = ACTIONS(5765),
    [anon_sym___attribute__] = ACTIONS(5763),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5753),
    [anon_sym_RBRACE] = ACTIONS(5765),
    [anon_sym_LBRACK] = ACTIONS(5755),
    [anon_sym_RBRACK] = ACTIONS(5765),
    [anon_sym_EQ] = ACTIONS(5763),
    [anon_sym_COLON] = ACTIONS(5765),
    [anon_sym_QMARK] = ACTIONS(5765),
    [anon_sym_STAR_EQ] = ACTIONS(5765),
    [anon_sym_SLASH_EQ] = ACTIONS(5765),
    [anon_sym_PERCENT_EQ] = ACTIONS(5765),
    [anon_sym_PLUS_EQ] = ACTIONS(5765),
    [anon_sym_DASH_EQ] = ACTIONS(5765),
    [anon_sym_LT_LT_EQ] = ACTIONS(5765),
    [anon_sym_GT_GT_EQ] = ACTIONS(5765),
    [anon_sym_AMP_EQ] = ACTIONS(5765),
    [anon_sym_CARET_EQ] = ACTIONS(5765),
    [anon_sym_PIPE_EQ] = ACTIONS(5765),
    [anon_sym_and_eq] = ACTIONS(5763),
    [anon_sym_or_eq] = ACTIONS(5763),
    [anon_sym_xor_eq] = ACTIONS(5763),
    [anon_sym_LT_EQ_GT] = ACTIONS(5765),
    [anon_sym_or] = ACTIONS(5763),
    [anon_sym_and] = ACTIONS(5763),
    [anon_sym_bitor] = ACTIONS(5763),
    [anon_sym_xor] = ACTIONS(5763),
    [anon_sym_bitand] = ACTIONS(5763),
    [anon_sym_not_eq] = ACTIONS(5763),
    [anon_sym_DASH_DASH] = ACTIONS(5765),
    [anon_sym_PLUS_PLUS] = ACTIONS(5765),
    [anon_sym_DOT] = ACTIONS(5763),
    [anon_sym_DOT_STAR] = ACTIONS(5765),
    [anon_sym_DASH_GT] = ACTIONS(5765),
    [sym_comment] = ACTIONS(3),
  },
  [2108] = {
    [sym_string_literal] = STATE(2124),
    [sym_raw_string_literal] = STATE(2124),
    [aux_sym_concatenated_string_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(5767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5125),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5125),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [anon_sym_L_DQUOTE] = ACTIONS(5769),
    [anon_sym_u_DQUOTE] = ACTIONS(5769),
    [anon_sym_U_DQUOTE] = ACTIONS(5769),
    [anon_sym_u8_DQUOTE] = ACTIONS(5769),
    [anon_sym_DQUOTE] = ACTIONS(5769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5123),
    [anon_sym_R_DQUOTE] = ACTIONS(5771),
    [anon_sym_LR_DQUOTE] = ACTIONS(5771),
    [anon_sym_uR_DQUOTE] = ACTIONS(5771),
    [anon_sym_UR_DQUOTE] = ACTIONS(5771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5771),
    [sym_literal_suffix] = ACTIONS(5125),
  },
  [2109] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(5773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5543),
    [anon_sym_COMMA] = ACTIONS(5543),
    [anon_sym_RPAREN] = ACTIONS(5543),
    [anon_sym_LPAREN2] = ACTIONS(5543),
    [anon_sym_DASH] = ACTIONS(5545),
    [anon_sym_PLUS] = ACTIONS(5545),
    [anon_sym_STAR] = ACTIONS(5545),
    [anon_sym_SLASH] = ACTIONS(5545),
    [anon_sym_PERCENT] = ACTIONS(5545),
    [anon_sym_PIPE_PIPE] = ACTIONS(5543),
    [anon_sym_AMP_AMP] = ACTIONS(5543),
    [anon_sym_PIPE] = ACTIONS(5545),
    [anon_sym_CARET] = ACTIONS(5545),
    [anon_sym_AMP] = ACTIONS(5545),
    [anon_sym_EQ_EQ] = ACTIONS(5543),
    [anon_sym_BANG_EQ] = ACTIONS(5543),
    [anon_sym_GT] = ACTIONS(5545),
    [anon_sym_GT_EQ] = ACTIONS(5543),
    [anon_sym_LT_EQ] = ACTIONS(5545),
    [anon_sym_LT] = ACTIONS(5545),
    [anon_sym_LT_LT] = ACTIONS(5545),
    [anon_sym_GT_GT] = ACTIONS(5545),
    [anon_sym_SEMI] = ACTIONS(5543),
    [anon_sym___attribute__] = ACTIONS(5545),
    [anon_sym_LBRACE] = ACTIONS(5543),
    [anon_sym_RBRACE] = ACTIONS(5543),
    [anon_sym_signed] = ACTIONS(5775),
    [anon_sym_unsigned] = ACTIONS(5775),
    [anon_sym_long] = ACTIONS(5775),
    [anon_sym_short] = ACTIONS(5775),
    [anon_sym_LBRACK] = ACTIONS(5543),
    [anon_sym_RBRACK] = ACTIONS(5543),
    [anon_sym_EQ] = ACTIONS(5545),
    [sym_primitive_type] = ACTIONS(5777),
    [anon_sym_COLON] = ACTIONS(5543),
    [anon_sym_QMARK] = ACTIONS(5543),
    [anon_sym_STAR_EQ] = ACTIONS(5543),
    [anon_sym_SLASH_EQ] = ACTIONS(5543),
    [anon_sym_PERCENT_EQ] = ACTIONS(5543),
    [anon_sym_PLUS_EQ] = ACTIONS(5543),
    [anon_sym_DASH_EQ] = ACTIONS(5543),
    [anon_sym_LT_LT_EQ] = ACTIONS(5543),
    [anon_sym_GT_GT_EQ] = ACTIONS(5543),
    [anon_sym_AMP_EQ] = ACTIONS(5543),
    [anon_sym_CARET_EQ] = ACTIONS(5543),
    [anon_sym_PIPE_EQ] = ACTIONS(5543),
    [anon_sym_and_eq] = ACTIONS(5545),
    [anon_sym_or_eq] = ACTIONS(5545),
    [anon_sym_xor_eq] = ACTIONS(5545),
    [anon_sym_LT_EQ_GT] = ACTIONS(5543),
    [anon_sym_or] = ACTIONS(5545),
    [anon_sym_and] = ACTIONS(5545),
    [anon_sym_bitor] = ACTIONS(5545),
    [anon_sym_xor] = ACTIONS(5545),
    [anon_sym_bitand] = ACTIONS(5545),
    [anon_sym_not_eq] = ACTIONS(5545),
    [anon_sym_DASH_DASH] = ACTIONS(5543),
    [anon_sym_PLUS_PLUS] = ACTIONS(5543),
    [anon_sym_DOT] = ACTIONS(5545),
    [anon_sym_DOT_STAR] = ACTIONS(5543),
    [anon_sym_DASH_GT] = ACTIONS(5543),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5545),
    [anon_sym_decltype] = ACTIONS(5545),
  },
  [2110] = {
    [sym_attribute_specifier] = STATE(2198),
    [sym_identifier] = ACTIONS(5779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5781),
    [anon_sym_COMMA] = ACTIONS(5781),
    [anon_sym_RPAREN] = ACTIONS(5781),
    [aux_sym_preproc_if_token2] = ACTIONS(5781),
    [aux_sym_preproc_else_token1] = ACTIONS(5781),
    [aux_sym_preproc_elif_token1] = ACTIONS(5779),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5781),
    [anon_sym_LPAREN2] = ACTIONS(5781),
    [anon_sym_DASH] = ACTIONS(5779),
    [anon_sym_PLUS] = ACTIONS(5779),
    [anon_sym_STAR] = ACTIONS(5779),
    [anon_sym_SLASH] = ACTIONS(5779),
    [anon_sym_PERCENT] = ACTIONS(5779),
    [anon_sym_PIPE_PIPE] = ACTIONS(5781),
    [anon_sym_AMP_AMP] = ACTIONS(5781),
    [anon_sym_PIPE] = ACTIONS(5779),
    [anon_sym_CARET] = ACTIONS(5779),
    [anon_sym_AMP] = ACTIONS(5779),
    [anon_sym_EQ_EQ] = ACTIONS(5781),
    [anon_sym_BANG_EQ] = ACTIONS(5781),
    [anon_sym_GT] = ACTIONS(5779),
    [anon_sym_GT_EQ] = ACTIONS(5781),
    [anon_sym_LT_EQ] = ACTIONS(5779),
    [anon_sym_LT] = ACTIONS(5779),
    [anon_sym_LT_LT] = ACTIONS(5779),
    [anon_sym_GT_GT] = ACTIONS(5779),
    [anon_sym_SEMI] = ACTIONS(5781),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5781),
    [anon_sym_RBRACE] = ACTIONS(5781),
    [anon_sym_LBRACK] = ACTIONS(5781),
    [anon_sym_RBRACK] = ACTIONS(5781),
    [anon_sym_EQ] = ACTIONS(5779),
    [anon_sym_COLON] = ACTIONS(5781),
    [anon_sym_QMARK] = ACTIONS(5781),
    [anon_sym_STAR_EQ] = ACTIONS(5781),
    [anon_sym_SLASH_EQ] = ACTIONS(5781),
    [anon_sym_PERCENT_EQ] = ACTIONS(5781),
    [anon_sym_PLUS_EQ] = ACTIONS(5781),
    [anon_sym_DASH_EQ] = ACTIONS(5781),
    [anon_sym_LT_LT_EQ] = ACTIONS(5781),
    [anon_sym_GT_GT_EQ] = ACTIONS(5781),
    [anon_sym_AMP_EQ] = ACTIONS(5781),
    [anon_sym_CARET_EQ] = ACTIONS(5781),
    [anon_sym_PIPE_EQ] = ACTIONS(5781),
    [anon_sym_and_eq] = ACTIONS(5779),
    [anon_sym_or_eq] = ACTIONS(5779),
    [anon_sym_xor_eq] = ACTIONS(5779),
    [anon_sym_LT_EQ_GT] = ACTIONS(5781),
    [anon_sym_or] = ACTIONS(5779),
    [anon_sym_and] = ACTIONS(5779),
    [anon_sym_bitor] = ACTIONS(5779),
    [anon_sym_xor] = ACTIONS(5779),
    [anon_sym_bitand] = ACTIONS(5779),
    [anon_sym_not_eq] = ACTIONS(5779),
    [anon_sym_DASH_DASH] = ACTIONS(5781),
    [anon_sym_PLUS_PLUS] = ACTIONS(5781),
    [anon_sym_DOT] = ACTIONS(5779),
    [anon_sym_DOT_STAR] = ACTIONS(5781),
    [anon_sym_DASH_GT] = ACTIONS(5781),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5779),
    [anon_sym_decltype] = ACTIONS(5779),
  },
  [2111] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(5114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5551),
    [anon_sym_COMMA] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5551),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5551),
    [anon_sym_PIPE_PIPE] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5551),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_EQ_EQ] = ACTIONS(5551),
    [anon_sym_BANG_EQ] = ACTIONS(5551),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5554),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5551),
    [anon_sym_GT_GT] = ACTIONS(5554),
    [anon_sym___extension__] = ACTIONS(5554),
    [anon_sym___attribute__] = ACTIONS(5554),
    [anon_sym_LBRACE] = ACTIONS(5551),
    [anon_sym_signed] = ACTIONS(5783),
    [anon_sym_unsigned] = ACTIONS(5783),
    [anon_sym_long] = ACTIONS(5783),
    [anon_sym_short] = ACTIONS(5783),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5554),
    [anon_sym_constexpr] = ACTIONS(5554),
    [anon_sym_volatile] = ACTIONS(5554),
    [anon_sym_restrict] = ACTIONS(5554),
    [anon_sym___restrict__] = ACTIONS(5554),
    [anon_sym__Atomic] = ACTIONS(5554),
    [anon_sym__Noreturn] = ACTIONS(5554),
    [anon_sym_noreturn] = ACTIONS(5554),
    [anon_sym__Nonnull] = ACTIONS(5554),
    [anon_sym_mutable] = ACTIONS(5554),
    [anon_sym_constinit] = ACTIONS(5554),
    [anon_sym_consteval] = ACTIONS(5554),
    [anon_sym_alignas] = ACTIONS(5554),
    [anon_sym__Alignas] = ACTIONS(5554),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_LT_EQ_GT] = ACTIONS(5551),
    [anon_sym_or] = ACTIONS(5554),
    [anon_sym_and] = ACTIONS(5554),
    [anon_sym_bitor] = ACTIONS(5554),
    [anon_sym_xor] = ACTIONS(5554),
    [anon_sym_bitand] = ACTIONS(5554),
    [anon_sym_not_eq] = ACTIONS(5554),
    [anon_sym_DASH_DASH] = ACTIONS(5551),
    [anon_sym_PLUS_PLUS] = ACTIONS(5551),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_DOT_STAR] = ACTIONS(5551),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5554),
    [anon_sym_decltype] = ACTIONS(5554),
    [anon_sym_final] = ACTIONS(5554),
    [anon_sym_override] = ACTIONS(5554),
    [anon_sym_GT2] = ACTIONS(5551),
    [anon_sym_requires] = ACTIONS(5554),
  },
  [2112] = {
    [sym_string_literal] = STATE(2128),
    [sym_template_argument_list] = STATE(3084),
    [sym_raw_string_literal] = STATE(2128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4102),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(5786),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4102),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_and_eq] = ACTIONS(4094),
    [anon_sym_or_eq] = ACTIONS(4094),
    [anon_sym_xor_eq] = ACTIONS(4094),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(5769),
    [anon_sym_u_DQUOTE] = ACTIONS(5769),
    [anon_sym_U_DQUOTE] = ACTIONS(5769),
    [anon_sym_u8_DQUOTE] = ACTIONS(5769),
    [anon_sym_DQUOTE] = ACTIONS(5769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4094),
    [anon_sym_R_DQUOTE] = ACTIONS(5771),
    [anon_sym_LR_DQUOTE] = ACTIONS(5771),
    [anon_sym_uR_DQUOTE] = ACTIONS(5771),
    [anon_sym_UR_DQUOTE] = ACTIONS(5771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5771),
  },
  [2113] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_TILDE] = ACTIONS(5318),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym_SEMI] = ACTIONS(5318),
    [anon_sym___extension__] = ACTIONS(5316),
    [anon_sym_virtual] = ACTIONS(5316),
    [anon_sym_extern] = ACTIONS(5316),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5318),
    [anon_sym___declspec] = ACTIONS(5316),
    [anon_sym___based] = ACTIONS(5316),
    [anon_sym___cdecl] = ACTIONS(5316),
    [anon_sym___clrcall] = ACTIONS(5316),
    [anon_sym___stdcall] = ACTIONS(5316),
    [anon_sym___fastcall] = ACTIONS(5316),
    [anon_sym___thiscall] = ACTIONS(5316),
    [anon_sym___vectorcall] = ACTIONS(5316),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [anon_sym_static] = ACTIONS(5316),
    [anon_sym_EQ] = ACTIONS(5318),
    [anon_sym_register] = ACTIONS(5316),
    [anon_sym_inline] = ACTIONS(5316),
    [anon_sym___inline] = ACTIONS(5316),
    [anon_sym___inline__] = ACTIONS(5316),
    [anon_sym___forceinline] = ACTIONS(5316),
    [anon_sym_thread_local] = ACTIONS(5316),
    [anon_sym___thread] = ACTIONS(5316),
    [anon_sym_const] = ACTIONS(5316),
    [anon_sym_constexpr] = ACTIONS(5316),
    [anon_sym_volatile] = ACTIONS(5316),
    [anon_sym_restrict] = ACTIONS(5316),
    [anon_sym___restrict__] = ACTIONS(5316),
    [anon_sym__Atomic] = ACTIONS(5316),
    [anon_sym__Noreturn] = ACTIONS(5316),
    [anon_sym_noreturn] = ACTIONS(5316),
    [anon_sym__Nonnull] = ACTIONS(5316),
    [anon_sym_mutable] = ACTIONS(5316),
    [anon_sym_constinit] = ACTIONS(5316),
    [anon_sym_consteval] = ACTIONS(5316),
    [anon_sym_alignas] = ACTIONS(5316),
    [anon_sym__Alignas] = ACTIONS(5316),
    [anon_sym_COLON] = ACTIONS(5316),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [anon_sym_asm] = ACTIONS(5316),
    [anon_sym___asm__] = ACTIONS(5316),
    [anon_sym___asm] = ACTIONS(5316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_final] = ACTIONS(5316),
    [anon_sym_override] = ACTIONS(5316),
    [anon_sym_template] = ACTIONS(5316),
    [anon_sym_GT2] = ACTIONS(5318),
    [anon_sym_operator] = ACTIONS(5316),
    [anon_sym_try] = ACTIONS(5316),
    [anon_sym_requires] = ACTIONS(5316),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_TILDE] = ACTIONS(5318),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym_SEMI] = ACTIONS(5318),
    [anon_sym___extension__] = ACTIONS(5316),
    [anon_sym_virtual] = ACTIONS(5316),
    [anon_sym_extern] = ACTIONS(5316),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5318),
    [anon_sym___declspec] = ACTIONS(5316),
    [anon_sym___based] = ACTIONS(5316),
    [anon_sym___cdecl] = ACTIONS(5316),
    [anon_sym___clrcall] = ACTIONS(5316),
    [anon_sym___stdcall] = ACTIONS(5316),
    [anon_sym___fastcall] = ACTIONS(5316),
    [anon_sym___thiscall] = ACTIONS(5316),
    [anon_sym___vectorcall] = ACTIONS(5316),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [anon_sym_static] = ACTIONS(5316),
    [anon_sym_EQ] = ACTIONS(5318),
    [anon_sym_register] = ACTIONS(5316),
    [anon_sym_inline] = ACTIONS(5316),
    [anon_sym___inline] = ACTIONS(5316),
    [anon_sym___inline__] = ACTIONS(5316),
    [anon_sym___forceinline] = ACTIONS(5316),
    [anon_sym_thread_local] = ACTIONS(5316),
    [anon_sym___thread] = ACTIONS(5316),
    [anon_sym_const] = ACTIONS(5316),
    [anon_sym_constexpr] = ACTIONS(5316),
    [anon_sym_volatile] = ACTIONS(5316),
    [anon_sym_restrict] = ACTIONS(5316),
    [anon_sym___restrict__] = ACTIONS(5316),
    [anon_sym__Atomic] = ACTIONS(5316),
    [anon_sym__Noreturn] = ACTIONS(5316),
    [anon_sym_noreturn] = ACTIONS(5316),
    [anon_sym__Nonnull] = ACTIONS(5316),
    [anon_sym_mutable] = ACTIONS(5316),
    [anon_sym_constinit] = ACTIONS(5316),
    [anon_sym_consteval] = ACTIONS(5316),
    [anon_sym_alignas] = ACTIONS(5316),
    [anon_sym__Alignas] = ACTIONS(5316),
    [anon_sym_COLON] = ACTIONS(5316),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [anon_sym_asm] = ACTIONS(5316),
    [anon_sym___asm__] = ACTIONS(5316),
    [anon_sym___asm] = ACTIONS(5316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_final] = ACTIONS(5316),
    [anon_sym_override] = ACTIONS(5316),
    [anon_sym_template] = ACTIONS(5316),
    [anon_sym_GT2] = ACTIONS(5318),
    [anon_sym_operator] = ACTIONS(5316),
    [anon_sym_try] = ACTIONS(5316),
    [anon_sym_requires] = ACTIONS(5316),
  },
  [2115] = {
    [sym_attribute_specifier] = STATE(2156),
    [sym_identifier] = ACTIONS(5789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5791),
    [anon_sym_COMMA] = ACTIONS(5791),
    [anon_sym_RPAREN] = ACTIONS(5791),
    [aux_sym_preproc_if_token2] = ACTIONS(5791),
    [aux_sym_preproc_else_token1] = ACTIONS(5791),
    [aux_sym_preproc_elif_token1] = ACTIONS(5789),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5791),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5791),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(5789),
    [anon_sym_PLUS] = ACTIONS(5789),
    [anon_sym_STAR] = ACTIONS(5789),
    [anon_sym_SLASH] = ACTIONS(5789),
    [anon_sym_PERCENT] = ACTIONS(5789),
    [anon_sym_PIPE_PIPE] = ACTIONS(5791),
    [anon_sym_AMP_AMP] = ACTIONS(5791),
    [anon_sym_PIPE] = ACTIONS(5789),
    [anon_sym_CARET] = ACTIONS(5789),
    [anon_sym_AMP] = ACTIONS(5789),
    [anon_sym_EQ_EQ] = ACTIONS(5791),
    [anon_sym_BANG_EQ] = ACTIONS(5791),
    [anon_sym_GT] = ACTIONS(5789),
    [anon_sym_GT_EQ] = ACTIONS(5791),
    [anon_sym_LT_EQ] = ACTIONS(5789),
    [anon_sym_LT] = ACTIONS(5789),
    [anon_sym_LT_LT] = ACTIONS(5789),
    [anon_sym_GT_GT] = ACTIONS(5789),
    [anon_sym_SEMI] = ACTIONS(5791),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5791),
    [anon_sym_RBRACE] = ACTIONS(5791),
    [anon_sym_LBRACK] = ACTIONS(5791),
    [anon_sym_RBRACK] = ACTIONS(5791),
    [anon_sym_EQ] = ACTIONS(5789),
    [anon_sym_COLON] = ACTIONS(5791),
    [anon_sym_QMARK] = ACTIONS(5791),
    [anon_sym_STAR_EQ] = ACTIONS(5791),
    [anon_sym_SLASH_EQ] = ACTIONS(5791),
    [anon_sym_PERCENT_EQ] = ACTIONS(5791),
    [anon_sym_PLUS_EQ] = ACTIONS(5791),
    [anon_sym_DASH_EQ] = ACTIONS(5791),
    [anon_sym_LT_LT_EQ] = ACTIONS(5791),
    [anon_sym_GT_GT_EQ] = ACTIONS(5791),
    [anon_sym_AMP_EQ] = ACTIONS(5791),
    [anon_sym_CARET_EQ] = ACTIONS(5791),
    [anon_sym_PIPE_EQ] = ACTIONS(5791),
    [anon_sym_and_eq] = ACTIONS(5789),
    [anon_sym_or_eq] = ACTIONS(5789),
    [anon_sym_xor_eq] = ACTIONS(5789),
    [anon_sym_LT_EQ_GT] = ACTIONS(5791),
    [anon_sym_or] = ACTIONS(5789),
    [anon_sym_and] = ACTIONS(5789),
    [anon_sym_bitor] = ACTIONS(5789),
    [anon_sym_xor] = ACTIONS(5789),
    [anon_sym_bitand] = ACTIONS(5789),
    [anon_sym_not_eq] = ACTIONS(5789),
    [anon_sym_DASH_DASH] = ACTIONS(5791),
    [anon_sym_PLUS_PLUS] = ACTIONS(5791),
    [anon_sym_DOT] = ACTIONS(5789),
    [anon_sym_DOT_STAR] = ACTIONS(5791),
    [anon_sym_DASH_GT] = ACTIONS(5791),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5789),
    [anon_sym_decltype] = ACTIONS(5789),
  },
  [2116] = {
    [sym_attribute_declaration] = STATE(2217),
    [sym_parameter_list] = STATE(2183),
    [aux_sym_attributed_declarator_repeat1] = STATE(2217),
    [sym_identifier] = ACTIONS(5793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5795),
    [anon_sym_COMMA] = ACTIONS(5795),
    [anon_sym_RPAREN] = ACTIONS(5795),
    [aux_sym_preproc_if_token2] = ACTIONS(5795),
    [aux_sym_preproc_else_token1] = ACTIONS(5795),
    [aux_sym_preproc_elif_token1] = ACTIONS(5793),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5795),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5795),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_DASH] = ACTIONS(5793),
    [anon_sym_PLUS] = ACTIONS(5793),
    [anon_sym_STAR] = ACTIONS(5793),
    [anon_sym_SLASH] = ACTIONS(5793),
    [anon_sym_PERCENT] = ACTIONS(5793),
    [anon_sym_PIPE_PIPE] = ACTIONS(5795),
    [anon_sym_AMP_AMP] = ACTIONS(5795),
    [anon_sym_PIPE] = ACTIONS(5793),
    [anon_sym_CARET] = ACTIONS(5793),
    [anon_sym_AMP] = ACTIONS(5793),
    [anon_sym_EQ_EQ] = ACTIONS(5795),
    [anon_sym_BANG_EQ] = ACTIONS(5795),
    [anon_sym_GT] = ACTIONS(5793),
    [anon_sym_GT_EQ] = ACTIONS(5795),
    [anon_sym_LT_EQ] = ACTIONS(5793),
    [anon_sym_LT] = ACTIONS(5793),
    [anon_sym_LT_LT] = ACTIONS(5793),
    [anon_sym_GT_GT] = ACTIONS(5793),
    [anon_sym_SEMI] = ACTIONS(5795),
    [anon_sym___attribute__] = ACTIONS(5793),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5753),
    [anon_sym_RBRACE] = ACTIONS(5795),
    [anon_sym_LBRACK] = ACTIONS(5755),
    [anon_sym_RBRACK] = ACTIONS(5795),
    [anon_sym_EQ] = ACTIONS(5793),
    [anon_sym_COLON] = ACTIONS(5795),
    [anon_sym_QMARK] = ACTIONS(5795),
    [anon_sym_STAR_EQ] = ACTIONS(5795),
    [anon_sym_SLASH_EQ] = ACTIONS(5795),
    [anon_sym_PERCENT_EQ] = ACTIONS(5795),
    [anon_sym_PLUS_EQ] = ACTIONS(5795),
    [anon_sym_DASH_EQ] = ACTIONS(5795),
    [anon_sym_LT_LT_EQ] = ACTIONS(5795),
    [anon_sym_GT_GT_EQ] = ACTIONS(5795),
    [anon_sym_AMP_EQ] = ACTIONS(5795),
    [anon_sym_CARET_EQ] = ACTIONS(5795),
    [anon_sym_PIPE_EQ] = ACTIONS(5795),
    [anon_sym_and_eq] = ACTIONS(5793),
    [anon_sym_or_eq] = ACTIONS(5793),
    [anon_sym_xor_eq] = ACTIONS(5793),
    [anon_sym_LT_EQ_GT] = ACTIONS(5795),
    [anon_sym_or] = ACTIONS(5793),
    [anon_sym_and] = ACTIONS(5793),
    [anon_sym_bitor] = ACTIONS(5793),
    [anon_sym_xor] = ACTIONS(5793),
    [anon_sym_bitand] = ACTIONS(5793),
    [anon_sym_not_eq] = ACTIONS(5793),
    [anon_sym_DASH_DASH] = ACTIONS(5795),
    [anon_sym_PLUS_PLUS] = ACTIONS(5795),
    [anon_sym_DOT] = ACTIONS(5793),
    [anon_sym_DOT_STAR] = ACTIONS(5795),
    [anon_sym_DASH_GT] = ACTIONS(5795),
    [sym_comment] = ACTIONS(3),
  },
  [2117] = {
    [sym_ms_based_modifier] = STATE(7592),
    [sym_ms_unaligned_ptr_modifier] = STATE(3994),
    [sym_ms_pointer_modifier] = STATE(2143),
    [sym__declarator] = STATE(6018),
    [sym__abstract_declarator] = STATE(6277),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_function_declarator] = STATE(5841),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5841),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_type_qualifier] = STATE(2617),
    [sym_alignas_qualifier] = STATE(4312),
    [sym_parameter_list] = STATE(3008),
    [sym_decltype] = STATE(8141),
    [sym_reference_declarator] = STATE(5841),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(5841),
    [sym_operator_name] = STATE(5841),
    [aux_sym__type_definition_type_repeat1] = STATE(2617),
    [aux_sym_pointer_declarator_repeat1] = STATE(2143),
    [sym_identifier] = ACTIONS(5602),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(5797),
    [anon_sym_AMP_AMP] = ACTIONS(5799),
    [anon_sym_AMP] = ACTIONS(5801),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2884),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2884),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2884),
    [anon_sym__unaligned] = ACTIONS(2886),
    [anon_sym___unaligned] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2890),
    [anon_sym__Alignas] = ACTIONS(2890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [2118] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_COMMA] = ACTIONS(5186),
    [anon_sym_RPAREN] = ACTIONS(5186),
    [anon_sym_LPAREN2] = ACTIONS(5186),
    [anon_sym_DASH] = ACTIONS(5184),
    [anon_sym_PLUS] = ACTIONS(5184),
    [anon_sym_STAR] = ACTIONS(5184),
    [anon_sym_SLASH] = ACTIONS(5184),
    [anon_sym_PERCENT] = ACTIONS(5184),
    [anon_sym_PIPE_PIPE] = ACTIONS(5186),
    [anon_sym_AMP_AMP] = ACTIONS(5186),
    [anon_sym_PIPE] = ACTIONS(5184),
    [anon_sym_CARET] = ACTIONS(5184),
    [anon_sym_AMP] = ACTIONS(5184),
    [anon_sym_EQ_EQ] = ACTIONS(5186),
    [anon_sym_BANG_EQ] = ACTIONS(5186),
    [anon_sym_GT] = ACTIONS(5184),
    [anon_sym_GT_EQ] = ACTIONS(5186),
    [anon_sym_LT_EQ] = ACTIONS(5184),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_LT_LT] = ACTIONS(5184),
    [anon_sym_GT_GT] = ACTIONS(5184),
    [anon_sym_SEMI] = ACTIONS(5186),
    [anon_sym_RBRACE] = ACTIONS(5186),
    [anon_sym_LBRACK] = ACTIONS(5186),
    [anon_sym_RBRACK] = ACTIONS(5186),
    [anon_sym_EQ] = ACTIONS(5184),
    [anon_sym_COLON] = ACTIONS(5186),
    [anon_sym_QMARK] = ACTIONS(5186),
    [anon_sym_STAR_EQ] = ACTIONS(5186),
    [anon_sym_SLASH_EQ] = ACTIONS(5186),
    [anon_sym_PERCENT_EQ] = ACTIONS(5186),
    [anon_sym_PLUS_EQ] = ACTIONS(5186),
    [anon_sym_DASH_EQ] = ACTIONS(5186),
    [anon_sym_LT_LT_EQ] = ACTIONS(5186),
    [anon_sym_GT_GT_EQ] = ACTIONS(5186),
    [anon_sym_AMP_EQ] = ACTIONS(5186),
    [anon_sym_CARET_EQ] = ACTIONS(5186),
    [anon_sym_PIPE_EQ] = ACTIONS(5186),
    [anon_sym_and_eq] = ACTIONS(5184),
    [anon_sym_or_eq] = ACTIONS(5184),
    [anon_sym_xor_eq] = ACTIONS(5184),
    [anon_sym_LT_EQ_GT] = ACTIONS(5186),
    [anon_sym_or] = ACTIONS(5184),
    [anon_sym_and] = ACTIONS(5184),
    [anon_sym_bitor] = ACTIONS(5184),
    [anon_sym_xor] = ACTIONS(5184),
    [anon_sym_bitand] = ACTIONS(5184),
    [anon_sym_not_eq] = ACTIONS(5184),
    [anon_sym_DASH_DASH] = ACTIONS(5186),
    [anon_sym_PLUS_PLUS] = ACTIONS(5186),
    [anon_sym_DOT] = ACTIONS(5184),
    [anon_sym_DOT_STAR] = ACTIONS(5186),
    [anon_sym_DASH_GT] = ACTIONS(5186),
    [anon_sym_L_DQUOTE] = ACTIONS(5186),
    [anon_sym_u_DQUOTE] = ACTIONS(5186),
    [anon_sym_U_DQUOTE] = ACTIONS(5186),
    [anon_sym_u8_DQUOTE] = ACTIONS(5186),
    [anon_sym_DQUOTE] = ACTIONS(5186),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5186),
    [anon_sym_LR_DQUOTE] = ACTIONS(5186),
    [anon_sym_uR_DQUOTE] = ACTIONS(5186),
    [anon_sym_UR_DQUOTE] = ACTIONS(5186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5186),
    [sym_literal_suffix] = ACTIONS(5184),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_TILDE] = ACTIONS(5318),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym_SEMI] = ACTIONS(5318),
    [anon_sym___extension__] = ACTIONS(5316),
    [anon_sym_virtual] = ACTIONS(5316),
    [anon_sym_extern] = ACTIONS(5316),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5318),
    [anon_sym___declspec] = ACTIONS(5316),
    [anon_sym___based] = ACTIONS(5316),
    [anon_sym___cdecl] = ACTIONS(5316),
    [anon_sym___clrcall] = ACTIONS(5316),
    [anon_sym___stdcall] = ACTIONS(5316),
    [anon_sym___fastcall] = ACTIONS(5316),
    [anon_sym___thiscall] = ACTIONS(5316),
    [anon_sym___vectorcall] = ACTIONS(5316),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [anon_sym_static] = ACTIONS(5316),
    [anon_sym_EQ] = ACTIONS(5318),
    [anon_sym_register] = ACTIONS(5316),
    [anon_sym_inline] = ACTIONS(5316),
    [anon_sym___inline] = ACTIONS(5316),
    [anon_sym___inline__] = ACTIONS(5316),
    [anon_sym___forceinline] = ACTIONS(5316),
    [anon_sym_thread_local] = ACTIONS(5316),
    [anon_sym___thread] = ACTIONS(5316),
    [anon_sym_const] = ACTIONS(5316),
    [anon_sym_constexpr] = ACTIONS(5316),
    [anon_sym_volatile] = ACTIONS(5316),
    [anon_sym_restrict] = ACTIONS(5316),
    [anon_sym___restrict__] = ACTIONS(5316),
    [anon_sym__Atomic] = ACTIONS(5316),
    [anon_sym__Noreturn] = ACTIONS(5316),
    [anon_sym_noreturn] = ACTIONS(5316),
    [anon_sym__Nonnull] = ACTIONS(5316),
    [anon_sym_mutable] = ACTIONS(5316),
    [anon_sym_constinit] = ACTIONS(5316),
    [anon_sym_consteval] = ACTIONS(5316),
    [anon_sym_alignas] = ACTIONS(5316),
    [anon_sym__Alignas] = ACTIONS(5316),
    [anon_sym_COLON] = ACTIONS(5316),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [anon_sym_asm] = ACTIONS(5316),
    [anon_sym___asm__] = ACTIONS(5316),
    [anon_sym___asm] = ACTIONS(5316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_final] = ACTIONS(5316),
    [anon_sym_override] = ACTIONS(5316),
    [anon_sym_template] = ACTIONS(5316),
    [anon_sym_GT2] = ACTIONS(5318),
    [anon_sym_operator] = ACTIONS(5316),
    [anon_sym_try] = ACTIONS(5316),
    [anon_sym_requires] = ACTIONS(5316),
  },
  [2120] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(5803),
    [anon_sym_COLON] = ACTIONS(4102),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(5805),
    [anon_sym_SLASH_EQ] = ACTIONS(5805),
    [anon_sym_PERCENT_EQ] = ACTIONS(5805),
    [anon_sym_PLUS_EQ] = ACTIONS(5805),
    [anon_sym_DASH_EQ] = ACTIONS(5805),
    [anon_sym_LT_LT_EQ] = ACTIONS(5805),
    [anon_sym_GT_GT_EQ] = ACTIONS(5805),
    [anon_sym_AMP_EQ] = ACTIONS(5805),
    [anon_sym_CARET_EQ] = ACTIONS(5805),
    [anon_sym_PIPE_EQ] = ACTIONS(5805),
    [anon_sym_and_eq] = ACTIONS(5805),
    [anon_sym_or_eq] = ACTIONS(5805),
    [anon_sym_xor_eq] = ACTIONS(5805),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2121] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1765),
    [sym_identifier] = ACTIONS(5114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5551),
    [anon_sym_COMMA] = ACTIONS(5551),
    [anon_sym_RPAREN] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5551),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5554),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5554),
    [anon_sym_PIPE_PIPE] = ACTIONS(5551),
    [anon_sym_AMP_AMP] = ACTIONS(5551),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_EQ_EQ] = ACTIONS(5551),
    [anon_sym_BANG_EQ] = ACTIONS(5551),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_GT_EQ] = ACTIONS(5551),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5554),
    [anon_sym_GT_GT] = ACTIONS(5554),
    [anon_sym_SEMI] = ACTIONS(5551),
    [anon_sym___attribute__] = ACTIONS(5554),
    [anon_sym_LBRACE] = ACTIONS(5551),
    [anon_sym_RBRACE] = ACTIONS(5551),
    [anon_sym_signed] = ACTIONS(5389),
    [anon_sym_unsigned] = ACTIONS(5389),
    [anon_sym_long] = ACTIONS(5389),
    [anon_sym_short] = ACTIONS(5389),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_EQ] = ACTIONS(5554),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_COLON] = ACTIONS(5551),
    [anon_sym_QMARK] = ACTIONS(5551),
    [anon_sym_STAR_EQ] = ACTIONS(5551),
    [anon_sym_SLASH_EQ] = ACTIONS(5551),
    [anon_sym_PERCENT_EQ] = ACTIONS(5551),
    [anon_sym_PLUS_EQ] = ACTIONS(5551),
    [anon_sym_DASH_EQ] = ACTIONS(5551),
    [anon_sym_LT_LT_EQ] = ACTIONS(5551),
    [anon_sym_GT_GT_EQ] = ACTIONS(5551),
    [anon_sym_AMP_EQ] = ACTIONS(5551),
    [anon_sym_CARET_EQ] = ACTIONS(5551),
    [anon_sym_PIPE_EQ] = ACTIONS(5551),
    [anon_sym_and_eq] = ACTIONS(5554),
    [anon_sym_or_eq] = ACTIONS(5554),
    [anon_sym_xor_eq] = ACTIONS(5554),
    [anon_sym_LT_EQ_GT] = ACTIONS(5551),
    [anon_sym_or] = ACTIONS(5554),
    [anon_sym_and] = ACTIONS(5554),
    [anon_sym_bitor] = ACTIONS(5554),
    [anon_sym_xor] = ACTIONS(5554),
    [anon_sym_bitand] = ACTIONS(5554),
    [anon_sym_not_eq] = ACTIONS(5554),
    [anon_sym_DASH_DASH] = ACTIONS(5551),
    [anon_sym_PLUS_PLUS] = ACTIONS(5551),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_DOT_STAR] = ACTIONS(5551),
    [anon_sym_DASH_GT] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5554),
    [anon_sym_decltype] = ACTIONS(5554),
  },
  [2122] = {
    [sym_attribute_specifier] = STATE(2230),
    [sym_identifier] = ACTIONS(5807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5809),
    [anon_sym_COMMA] = ACTIONS(5809),
    [anon_sym_RPAREN] = ACTIONS(5809),
    [aux_sym_preproc_if_token2] = ACTIONS(5809),
    [aux_sym_preproc_else_token1] = ACTIONS(5809),
    [aux_sym_preproc_elif_token1] = ACTIONS(5807),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5809),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5809),
    [anon_sym_LPAREN2] = ACTIONS(5809),
    [anon_sym_DASH] = ACTIONS(5807),
    [anon_sym_PLUS] = ACTIONS(5807),
    [anon_sym_STAR] = ACTIONS(5807),
    [anon_sym_SLASH] = ACTIONS(5807),
    [anon_sym_PERCENT] = ACTIONS(5807),
    [anon_sym_PIPE_PIPE] = ACTIONS(5809),
    [anon_sym_AMP_AMP] = ACTIONS(5809),
    [anon_sym_PIPE] = ACTIONS(5807),
    [anon_sym_CARET] = ACTIONS(5807),
    [anon_sym_AMP] = ACTIONS(5807),
    [anon_sym_EQ_EQ] = ACTIONS(5809),
    [anon_sym_BANG_EQ] = ACTIONS(5809),
    [anon_sym_GT] = ACTIONS(5807),
    [anon_sym_GT_EQ] = ACTIONS(5809),
    [anon_sym_LT_EQ] = ACTIONS(5807),
    [anon_sym_LT] = ACTIONS(5807),
    [anon_sym_LT_LT] = ACTIONS(5807),
    [anon_sym_GT_GT] = ACTIONS(5807),
    [anon_sym_SEMI] = ACTIONS(5809),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_RBRACE] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(5809),
    [anon_sym_RBRACK] = ACTIONS(5809),
    [anon_sym_EQ] = ACTIONS(5807),
    [anon_sym_COLON] = ACTIONS(5809),
    [anon_sym_QMARK] = ACTIONS(5809),
    [anon_sym_STAR_EQ] = ACTIONS(5809),
    [anon_sym_SLASH_EQ] = ACTIONS(5809),
    [anon_sym_PERCENT_EQ] = ACTIONS(5809),
    [anon_sym_PLUS_EQ] = ACTIONS(5809),
    [anon_sym_DASH_EQ] = ACTIONS(5809),
    [anon_sym_LT_LT_EQ] = ACTIONS(5809),
    [anon_sym_GT_GT_EQ] = ACTIONS(5809),
    [anon_sym_AMP_EQ] = ACTIONS(5809),
    [anon_sym_CARET_EQ] = ACTIONS(5809),
    [anon_sym_PIPE_EQ] = ACTIONS(5809),
    [anon_sym_and_eq] = ACTIONS(5807),
    [anon_sym_or_eq] = ACTIONS(5807),
    [anon_sym_xor_eq] = ACTIONS(5807),
    [anon_sym_LT_EQ_GT] = ACTIONS(5809),
    [anon_sym_or] = ACTIONS(5807),
    [anon_sym_and] = ACTIONS(5807),
    [anon_sym_bitor] = ACTIONS(5807),
    [anon_sym_xor] = ACTIONS(5807),
    [anon_sym_bitand] = ACTIONS(5807),
    [anon_sym_not_eq] = ACTIONS(5807),
    [anon_sym_DASH_DASH] = ACTIONS(5809),
    [anon_sym_PLUS_PLUS] = ACTIONS(5809),
    [anon_sym_DOT] = ACTIONS(5807),
    [anon_sym_DOT_STAR] = ACTIONS(5809),
    [anon_sym_DASH_GT] = ACTIONS(5809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5807),
    [anon_sym_decltype] = ACTIONS(5807),
  },
  [2123] = {
    [sym_template_argument_list] = STATE(1850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2202),
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4100),
    [anon_sym_COMMA] = ACTIONS(4100),
    [aux_sym_preproc_if_token2] = ACTIONS(4100),
    [aux_sym_preproc_else_token1] = ACTIONS(4100),
    [aux_sym_preproc_elif_token1] = ACTIONS(4092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4100),
    [anon_sym_LPAREN2] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4092),
    [anon_sym_PLUS] = ACTIONS(4092),
    [anon_sym_STAR] = ACTIONS(4092),
    [anon_sym_SLASH] = ACTIONS(4092),
    [anon_sym_PERCENT] = ACTIONS(4092),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_PIPE] = ACTIONS(4092),
    [anon_sym_CARET] = ACTIONS(4092),
    [anon_sym_AMP] = ACTIONS(4092),
    [anon_sym_EQ_EQ] = ACTIONS(4100),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_GT] = ACTIONS(4092),
    [anon_sym_GT_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4092),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(4092),
    [anon_sym_GT_GT] = ACTIONS(4092),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4100),
    [anon_sym_signed] = ACTIONS(5716),
    [anon_sym_unsigned] = ACTIONS(5716),
    [anon_sym_long] = ACTIONS(5716),
    [anon_sym_short] = ACTIONS(5716),
    [anon_sym_LBRACK] = ACTIONS(4100),
    [anon_sym_EQ] = ACTIONS(4092),
    [anon_sym_QMARK] = ACTIONS(4100),
    [anon_sym_STAR_EQ] = ACTIONS(4100),
    [anon_sym_SLASH_EQ] = ACTIONS(4100),
    [anon_sym_PERCENT_EQ] = ACTIONS(4100),
    [anon_sym_PLUS_EQ] = ACTIONS(4100),
    [anon_sym_DASH_EQ] = ACTIONS(4100),
    [anon_sym_LT_LT_EQ] = ACTIONS(4100),
    [anon_sym_GT_GT_EQ] = ACTIONS(4100),
    [anon_sym_AMP_EQ] = ACTIONS(4100),
    [anon_sym_CARET_EQ] = ACTIONS(4100),
    [anon_sym_PIPE_EQ] = ACTIONS(4100),
    [anon_sym_and_eq] = ACTIONS(4092),
    [anon_sym_or_eq] = ACTIONS(4092),
    [anon_sym_xor_eq] = ACTIONS(4092),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_or] = ACTIONS(4092),
    [anon_sym_and] = ACTIONS(4092),
    [anon_sym_bitor] = ACTIONS(4092),
    [anon_sym_xor] = ACTIONS(4092),
    [anon_sym_bitand] = ACTIONS(4092),
    [anon_sym_not_eq] = ACTIONS(4092),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_DOT] = ACTIONS(4092),
    [anon_sym_DOT_STAR] = ACTIONS(4100),
    [anon_sym_DASH_GT] = ACTIONS(4100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4092),
    [anon_sym_decltype] = ACTIONS(4092),
  },
  [2124] = {
    [sym_string_literal] = STATE(2124),
    [sym_raw_string_literal] = STATE(2124),
    [aux_sym_concatenated_string_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5144),
    [anon_sym_COMMA] = ACTIONS(5144),
    [anon_sym_LPAREN2] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(5146),
    [anon_sym_STAR] = ACTIONS(5146),
    [anon_sym_SLASH] = ACTIONS(5146),
    [anon_sym_PERCENT] = ACTIONS(5146),
    [anon_sym_PIPE_PIPE] = ACTIONS(5144),
    [anon_sym_AMP_AMP] = ACTIONS(5144),
    [anon_sym_PIPE] = ACTIONS(5146),
    [anon_sym_CARET] = ACTIONS(5146),
    [anon_sym_AMP] = ACTIONS(5146),
    [anon_sym_EQ_EQ] = ACTIONS(5144),
    [anon_sym_BANG_EQ] = ACTIONS(5144),
    [anon_sym_GT] = ACTIONS(5146),
    [anon_sym_GT_EQ] = ACTIONS(5146),
    [anon_sym_LT_EQ] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(5146),
    [anon_sym_LT_LT] = ACTIONS(5146),
    [anon_sym_GT_GT] = ACTIONS(5146),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [anon_sym_EQ] = ACTIONS(5146),
    [anon_sym_QMARK] = ACTIONS(5144),
    [anon_sym_STAR_EQ] = ACTIONS(5144),
    [anon_sym_SLASH_EQ] = ACTIONS(5144),
    [anon_sym_PERCENT_EQ] = ACTIONS(5144),
    [anon_sym_PLUS_EQ] = ACTIONS(5144),
    [anon_sym_DASH_EQ] = ACTIONS(5144),
    [anon_sym_LT_LT_EQ] = ACTIONS(5144),
    [anon_sym_GT_GT_EQ] = ACTIONS(5146),
    [anon_sym_AMP_EQ] = ACTIONS(5144),
    [anon_sym_CARET_EQ] = ACTIONS(5144),
    [anon_sym_PIPE_EQ] = ACTIONS(5144),
    [anon_sym_and_eq] = ACTIONS(5146),
    [anon_sym_or_eq] = ACTIONS(5146),
    [anon_sym_xor_eq] = ACTIONS(5146),
    [anon_sym_LT_EQ_GT] = ACTIONS(5144),
    [anon_sym_or] = ACTIONS(5146),
    [anon_sym_and] = ACTIONS(5146),
    [anon_sym_bitor] = ACTIONS(5146),
    [anon_sym_xor] = ACTIONS(5146),
    [anon_sym_bitand] = ACTIONS(5146),
    [anon_sym_not_eq] = ACTIONS(5146),
    [anon_sym_DASH_DASH] = ACTIONS(5144),
    [anon_sym_PLUS_PLUS] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5146),
    [anon_sym_DOT_STAR] = ACTIONS(5144),
    [anon_sym_DASH_GT] = ACTIONS(5144),
    [anon_sym_L_DQUOTE] = ACTIONS(5814),
    [anon_sym_u_DQUOTE] = ACTIONS(5814),
    [anon_sym_U_DQUOTE] = ACTIONS(5814),
    [anon_sym_u8_DQUOTE] = ACTIONS(5814),
    [anon_sym_DQUOTE] = ACTIONS(5814),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5144),
    [anon_sym_R_DQUOTE] = ACTIONS(5817),
    [anon_sym_LR_DQUOTE] = ACTIONS(5817),
    [anon_sym_uR_DQUOTE] = ACTIONS(5817),
    [anon_sym_UR_DQUOTE] = ACTIONS(5817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5817),
    [sym_literal_suffix] = ACTIONS(5146),
  },
  [2125] = {
    [sym_attribute_declaration] = STATE(2217),
    [sym_parameter_list] = STATE(2183),
    [aux_sym_attributed_declarator_repeat1] = STATE(2217),
    [sym_identifier] = ACTIONS(5820),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5822),
    [anon_sym_COMMA] = ACTIONS(5822),
    [anon_sym_RPAREN] = ACTIONS(5822),
    [aux_sym_preproc_if_token2] = ACTIONS(5822),
    [aux_sym_preproc_else_token1] = ACTIONS(5822),
    [aux_sym_preproc_elif_token1] = ACTIONS(5820),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5822),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5822),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_STAR] = ACTIONS(5820),
    [anon_sym_SLASH] = ACTIONS(5820),
    [anon_sym_PERCENT] = ACTIONS(5820),
    [anon_sym_PIPE_PIPE] = ACTIONS(5822),
    [anon_sym_AMP_AMP] = ACTIONS(5822),
    [anon_sym_PIPE] = ACTIONS(5820),
    [anon_sym_CARET] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(5820),
    [anon_sym_EQ_EQ] = ACTIONS(5822),
    [anon_sym_BANG_EQ] = ACTIONS(5822),
    [anon_sym_GT] = ACTIONS(5820),
    [anon_sym_GT_EQ] = ACTIONS(5822),
    [anon_sym_LT_EQ] = ACTIONS(5820),
    [anon_sym_LT] = ACTIONS(5820),
    [anon_sym_LT_LT] = ACTIONS(5820),
    [anon_sym_GT_GT] = ACTIONS(5820),
    [anon_sym_SEMI] = ACTIONS(5822),
    [anon_sym___attribute__] = ACTIONS(5820),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5753),
    [anon_sym_RBRACE] = ACTIONS(5822),
    [anon_sym_LBRACK] = ACTIONS(5755),
    [anon_sym_RBRACK] = ACTIONS(5822),
    [anon_sym_EQ] = ACTIONS(5820),
    [anon_sym_COLON] = ACTIONS(5822),
    [anon_sym_QMARK] = ACTIONS(5822),
    [anon_sym_STAR_EQ] = ACTIONS(5822),
    [anon_sym_SLASH_EQ] = ACTIONS(5822),
    [anon_sym_PERCENT_EQ] = ACTIONS(5822),
    [anon_sym_PLUS_EQ] = ACTIONS(5822),
    [anon_sym_DASH_EQ] = ACTIONS(5822),
    [anon_sym_LT_LT_EQ] = ACTIONS(5822),
    [anon_sym_GT_GT_EQ] = ACTIONS(5822),
    [anon_sym_AMP_EQ] = ACTIONS(5822),
    [anon_sym_CARET_EQ] = ACTIONS(5822),
    [anon_sym_PIPE_EQ] = ACTIONS(5822),
    [anon_sym_and_eq] = ACTIONS(5820),
    [anon_sym_or_eq] = ACTIONS(5820),
    [anon_sym_xor_eq] = ACTIONS(5820),
    [anon_sym_LT_EQ_GT] = ACTIONS(5822),
    [anon_sym_or] = ACTIONS(5820),
    [anon_sym_and] = ACTIONS(5820),
    [anon_sym_bitor] = ACTIONS(5820),
    [anon_sym_xor] = ACTIONS(5820),
    [anon_sym_bitand] = ACTIONS(5820),
    [anon_sym_not_eq] = ACTIONS(5820),
    [anon_sym_DASH_DASH] = ACTIONS(5822),
    [anon_sym_PLUS_PLUS] = ACTIONS(5822),
    [anon_sym_DOT] = ACTIONS(5820),
    [anon_sym_DOT_STAR] = ACTIONS(5822),
    [anon_sym_DASH_GT] = ACTIONS(5822),
    [sym_comment] = ACTIONS(3),
  },
  [2126] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2101),
    [sym_identifier] = ACTIONS(5824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5543),
    [anon_sym_COMMA] = ACTIONS(5543),
    [aux_sym_preproc_if_token2] = ACTIONS(5543),
    [aux_sym_preproc_else_token1] = ACTIONS(5543),
    [aux_sym_preproc_elif_token1] = ACTIONS(5545),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5543),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5543),
    [anon_sym_LPAREN2] = ACTIONS(5543),
    [anon_sym_DASH] = ACTIONS(5545),
    [anon_sym_PLUS] = ACTIONS(5545),
    [anon_sym_STAR] = ACTIONS(5545),
    [anon_sym_SLASH] = ACTIONS(5545),
    [anon_sym_PERCENT] = ACTIONS(5545),
    [anon_sym_PIPE_PIPE] = ACTIONS(5543),
    [anon_sym_AMP_AMP] = ACTIONS(5543),
    [anon_sym_PIPE] = ACTIONS(5545),
    [anon_sym_CARET] = ACTIONS(5545),
    [anon_sym_AMP] = ACTIONS(5545),
    [anon_sym_EQ_EQ] = ACTIONS(5543),
    [anon_sym_BANG_EQ] = ACTIONS(5543),
    [anon_sym_GT] = ACTIONS(5545),
    [anon_sym_GT_EQ] = ACTIONS(5543),
    [anon_sym_LT_EQ] = ACTIONS(5545),
    [anon_sym_LT] = ACTIONS(5545),
    [anon_sym_LT_LT] = ACTIONS(5545),
    [anon_sym_GT_GT] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5545),
    [anon_sym_LBRACE] = ACTIONS(5543),
    [anon_sym_signed] = ACTIONS(5827),
    [anon_sym_unsigned] = ACTIONS(5827),
    [anon_sym_long] = ACTIONS(5827),
    [anon_sym_short] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5543),
    [anon_sym_EQ] = ACTIONS(5545),
    [sym_primitive_type] = ACTIONS(5829),
    [anon_sym_QMARK] = ACTIONS(5543),
    [anon_sym_STAR_EQ] = ACTIONS(5543),
    [anon_sym_SLASH_EQ] = ACTIONS(5543),
    [anon_sym_PERCENT_EQ] = ACTIONS(5543),
    [anon_sym_PLUS_EQ] = ACTIONS(5543),
    [anon_sym_DASH_EQ] = ACTIONS(5543),
    [anon_sym_LT_LT_EQ] = ACTIONS(5543),
    [anon_sym_GT_GT_EQ] = ACTIONS(5543),
    [anon_sym_AMP_EQ] = ACTIONS(5543),
    [anon_sym_CARET_EQ] = ACTIONS(5543),
    [anon_sym_PIPE_EQ] = ACTIONS(5543),
    [anon_sym_and_eq] = ACTIONS(5545),
    [anon_sym_or_eq] = ACTIONS(5545),
    [anon_sym_xor_eq] = ACTIONS(5545),
    [anon_sym_LT_EQ_GT] = ACTIONS(5543),
    [anon_sym_or] = ACTIONS(5545),
    [anon_sym_and] = ACTIONS(5545),
    [anon_sym_bitor] = ACTIONS(5545),
    [anon_sym_xor] = ACTIONS(5545),
    [anon_sym_bitand] = ACTIONS(5545),
    [anon_sym_not_eq] = ACTIONS(5545),
    [anon_sym_DASH_DASH] = ACTIONS(5543),
    [anon_sym_PLUS_PLUS] = ACTIONS(5543),
    [anon_sym_DOT] = ACTIONS(5545),
    [anon_sym_DOT_STAR] = ACTIONS(5543),
    [anon_sym_DASH_GT] = ACTIONS(5543),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5545),
    [anon_sym_decltype] = ACTIONS(5545),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(5338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5340),
    [anon_sym_COMMA] = ACTIONS(5340),
    [anon_sym_RPAREN] = ACTIONS(5340),
    [aux_sym_preproc_if_token2] = ACTIONS(5340),
    [aux_sym_preproc_else_token1] = ACTIONS(5340),
    [aux_sym_preproc_elif_token1] = ACTIONS(5338),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5340),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5340),
    [anon_sym_LPAREN2] = ACTIONS(5340),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_STAR] = ACTIONS(5338),
    [anon_sym_SLASH] = ACTIONS(5338),
    [anon_sym_PERCENT] = ACTIONS(5338),
    [anon_sym_PIPE_PIPE] = ACTIONS(5340),
    [anon_sym_AMP_AMP] = ACTIONS(5340),
    [anon_sym_PIPE] = ACTIONS(5338),
    [anon_sym_CARET] = ACTIONS(5338),
    [anon_sym_AMP] = ACTIONS(5338),
    [anon_sym_EQ_EQ] = ACTIONS(5340),
    [anon_sym_BANG_EQ] = ACTIONS(5340),
    [anon_sym_GT] = ACTIONS(5338),
    [anon_sym_GT_EQ] = ACTIONS(5340),
    [anon_sym_LT_EQ] = ACTIONS(5338),
    [anon_sym_LT] = ACTIONS(5338),
    [anon_sym_LT_LT] = ACTIONS(5338),
    [anon_sym_GT_GT] = ACTIONS(5338),
    [anon_sym_SEMI] = ACTIONS(5340),
    [anon_sym___attribute__] = ACTIONS(5338),
    [anon_sym_COLON_COLON] = ACTIONS(5340),
    [anon_sym_LBRACE] = ACTIONS(5340),
    [anon_sym_RBRACE] = ACTIONS(5340),
    [anon_sym_LBRACK] = ACTIONS(5340),
    [anon_sym_RBRACK] = ACTIONS(5340),
    [anon_sym_EQ] = ACTIONS(5338),
    [anon_sym_COLON] = ACTIONS(5338),
    [anon_sym_QMARK] = ACTIONS(5340),
    [anon_sym_STAR_EQ] = ACTIONS(5340),
    [anon_sym_SLASH_EQ] = ACTIONS(5340),
    [anon_sym_PERCENT_EQ] = ACTIONS(5340),
    [anon_sym_PLUS_EQ] = ACTIONS(5340),
    [anon_sym_DASH_EQ] = ACTIONS(5340),
    [anon_sym_LT_LT_EQ] = ACTIONS(5340),
    [anon_sym_GT_GT_EQ] = ACTIONS(5340),
    [anon_sym_AMP_EQ] = ACTIONS(5340),
    [anon_sym_CARET_EQ] = ACTIONS(5340),
    [anon_sym_PIPE_EQ] = ACTIONS(5340),
    [anon_sym_and_eq] = ACTIONS(5338),
    [anon_sym_or_eq] = ACTIONS(5338),
    [anon_sym_xor_eq] = ACTIONS(5338),
    [anon_sym_LT_EQ_GT] = ACTIONS(5340),
    [anon_sym_or] = ACTIONS(5338),
    [anon_sym_and] = ACTIONS(5338),
    [anon_sym_bitor] = ACTIONS(5338),
    [anon_sym_xor] = ACTIONS(5338),
    [anon_sym_bitand] = ACTIONS(5338),
    [anon_sym_not_eq] = ACTIONS(5338),
    [anon_sym_DASH_DASH] = ACTIONS(5340),
    [anon_sym_PLUS_PLUS] = ACTIONS(5340),
    [anon_sym_DOT] = ACTIONS(5338),
    [anon_sym_DOT_STAR] = ACTIONS(5340),
    [anon_sym_DASH_GT] = ACTIONS(5340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5338),
    [anon_sym_decltype] = ACTIONS(5338),
  },
  [2128] = {
    [sym_string_literal] = STATE(2108),
    [sym_raw_string_literal] = STATE(2108),
    [aux_sym_concatenated_string_repeat1] = STATE(2108),
    [sym_identifier] = ACTIONS(5831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5137),
    [anon_sym_COMMA] = ACTIONS(5137),
    [anon_sym_LPAREN2] = ACTIONS(5137),
    [anon_sym_DASH] = ACTIONS(5139),
    [anon_sym_PLUS] = ACTIONS(5139),
    [anon_sym_STAR] = ACTIONS(5139),
    [anon_sym_SLASH] = ACTIONS(5139),
    [anon_sym_PERCENT] = ACTIONS(5139),
    [anon_sym_PIPE_PIPE] = ACTIONS(5137),
    [anon_sym_AMP_AMP] = ACTIONS(5137),
    [anon_sym_PIPE] = ACTIONS(5139),
    [anon_sym_CARET] = ACTIONS(5139),
    [anon_sym_AMP] = ACTIONS(5139),
    [anon_sym_EQ_EQ] = ACTIONS(5137),
    [anon_sym_BANG_EQ] = ACTIONS(5137),
    [anon_sym_GT] = ACTIONS(5139),
    [anon_sym_GT_EQ] = ACTIONS(5139),
    [anon_sym_LT_EQ] = ACTIONS(5139),
    [anon_sym_LT] = ACTIONS(5139),
    [anon_sym_LT_LT] = ACTIONS(5139),
    [anon_sym_GT_GT] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [anon_sym_EQ] = ACTIONS(5139),
    [anon_sym_QMARK] = ACTIONS(5137),
    [anon_sym_STAR_EQ] = ACTIONS(5137),
    [anon_sym_SLASH_EQ] = ACTIONS(5137),
    [anon_sym_PERCENT_EQ] = ACTIONS(5137),
    [anon_sym_PLUS_EQ] = ACTIONS(5137),
    [anon_sym_DASH_EQ] = ACTIONS(5137),
    [anon_sym_LT_LT_EQ] = ACTIONS(5137),
    [anon_sym_GT_GT_EQ] = ACTIONS(5139),
    [anon_sym_AMP_EQ] = ACTIONS(5137),
    [anon_sym_CARET_EQ] = ACTIONS(5137),
    [anon_sym_PIPE_EQ] = ACTIONS(5137),
    [anon_sym_and_eq] = ACTIONS(5139),
    [anon_sym_or_eq] = ACTIONS(5139),
    [anon_sym_xor_eq] = ACTIONS(5139),
    [anon_sym_LT_EQ_GT] = ACTIONS(5137),
    [anon_sym_or] = ACTIONS(5139),
    [anon_sym_and] = ACTIONS(5139),
    [anon_sym_bitor] = ACTIONS(5139),
    [anon_sym_xor] = ACTIONS(5139),
    [anon_sym_bitand] = ACTIONS(5139),
    [anon_sym_not_eq] = ACTIONS(5139),
    [anon_sym_DASH_DASH] = ACTIONS(5137),
    [anon_sym_PLUS_PLUS] = ACTIONS(5137),
    [anon_sym_DOT] = ACTIONS(5139),
    [anon_sym_DOT_STAR] = ACTIONS(5137),
    [anon_sym_DASH_GT] = ACTIONS(5137),
    [anon_sym_L_DQUOTE] = ACTIONS(5769),
    [anon_sym_u_DQUOTE] = ACTIONS(5769),
    [anon_sym_U_DQUOTE] = ACTIONS(5769),
    [anon_sym_u8_DQUOTE] = ACTIONS(5769),
    [anon_sym_DQUOTE] = ACTIONS(5769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5137),
    [anon_sym_R_DQUOTE] = ACTIONS(5771),
    [anon_sym_LR_DQUOTE] = ACTIONS(5771),
    [anon_sym_uR_DQUOTE] = ACTIONS(5771),
    [anon_sym_UR_DQUOTE] = ACTIONS(5771),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5771),
    [sym_literal_suffix] = ACTIONS(5139),
  },
  [2129] = {
    [sym_attribute_specifier] = STATE(2177),
    [sym_identifier] = ACTIONS(5833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5835),
    [anon_sym_COMMA] = ACTIONS(5835),
    [anon_sym_RPAREN] = ACTIONS(5835),
    [aux_sym_preproc_if_token2] = ACTIONS(5835),
    [aux_sym_preproc_else_token1] = ACTIONS(5835),
    [aux_sym_preproc_elif_token1] = ACTIONS(5833),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5835),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5835),
    [anon_sym_LPAREN2] = ACTIONS(5835),
    [anon_sym_DASH] = ACTIONS(5833),
    [anon_sym_PLUS] = ACTIONS(5833),
    [anon_sym_STAR] = ACTIONS(5833),
    [anon_sym_SLASH] = ACTIONS(5833),
    [anon_sym_PERCENT] = ACTIONS(5833),
    [anon_sym_PIPE_PIPE] = ACTIONS(5835),
    [anon_sym_AMP_AMP] = ACTIONS(5835),
    [anon_sym_PIPE] = ACTIONS(5833),
    [anon_sym_CARET] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(5833),
    [anon_sym_EQ_EQ] = ACTIONS(5835),
    [anon_sym_BANG_EQ] = ACTIONS(5835),
    [anon_sym_GT] = ACTIONS(5833),
    [anon_sym_GT_EQ] = ACTIONS(5835),
    [anon_sym_LT_EQ] = ACTIONS(5833),
    [anon_sym_LT] = ACTIONS(5833),
    [anon_sym_LT_LT] = ACTIONS(5833),
    [anon_sym_GT_GT] = ACTIONS(5833),
    [anon_sym_SEMI] = ACTIONS(5835),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5835),
    [anon_sym_RBRACE] = ACTIONS(5835),
    [anon_sym_LBRACK] = ACTIONS(5835),
    [anon_sym_RBRACK] = ACTIONS(5835),
    [anon_sym_EQ] = ACTIONS(5833),
    [anon_sym_COLON] = ACTIONS(5835),
    [anon_sym_QMARK] = ACTIONS(5835),
    [anon_sym_STAR_EQ] = ACTIONS(5835),
    [anon_sym_SLASH_EQ] = ACTIONS(5835),
    [anon_sym_PERCENT_EQ] = ACTIONS(5835),
    [anon_sym_PLUS_EQ] = ACTIONS(5835),
    [anon_sym_DASH_EQ] = ACTIONS(5835),
    [anon_sym_LT_LT_EQ] = ACTIONS(5835),
    [anon_sym_GT_GT_EQ] = ACTIONS(5835),
    [anon_sym_AMP_EQ] = ACTIONS(5835),
    [anon_sym_CARET_EQ] = ACTIONS(5835),
    [anon_sym_PIPE_EQ] = ACTIONS(5835),
    [anon_sym_and_eq] = ACTIONS(5833),
    [anon_sym_or_eq] = ACTIONS(5833),
    [anon_sym_xor_eq] = ACTIONS(5833),
    [anon_sym_LT_EQ_GT] = ACTIONS(5835),
    [anon_sym_or] = ACTIONS(5833),
    [anon_sym_and] = ACTIONS(5833),
    [anon_sym_bitor] = ACTIONS(5833),
    [anon_sym_xor] = ACTIONS(5833),
    [anon_sym_bitand] = ACTIONS(5833),
    [anon_sym_not_eq] = ACTIONS(5833),
    [anon_sym_DASH_DASH] = ACTIONS(5835),
    [anon_sym_PLUS_PLUS] = ACTIONS(5835),
    [anon_sym_DOT] = ACTIONS(5833),
    [anon_sym_DOT_STAR] = ACTIONS(5835),
    [anon_sym_DASH_GT] = ACTIONS(5835),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5833),
    [anon_sym_decltype] = ACTIONS(5833),
  },
  [2130] = {
    [sym_string_literal] = STATE(2470),
    [sym_template_argument_list] = STATE(3637),
    [sym_raw_string_literal] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_RBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(5727),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(5729),
    [anon_sym_SLASH_EQ] = ACTIONS(5729),
    [anon_sym_PERCENT_EQ] = ACTIONS(5729),
    [anon_sym_PLUS_EQ] = ACTIONS(5729),
    [anon_sym_DASH_EQ] = ACTIONS(5729),
    [anon_sym_LT_LT_EQ] = ACTIONS(5729),
    [anon_sym_GT_GT_EQ] = ACTIONS(5729),
    [anon_sym_AMP_EQ] = ACTIONS(5729),
    [anon_sym_CARET_EQ] = ACTIONS(5729),
    [anon_sym_PIPE_EQ] = ACTIONS(5729),
    [anon_sym_and_eq] = ACTIONS(5729),
    [anon_sym_or_eq] = ACTIONS(5729),
    [anon_sym_xor_eq] = ACTIONS(5729),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(3463),
    [anon_sym_u_DQUOTE] = ACTIONS(3463),
    [anon_sym_U_DQUOTE] = ACTIONS(3463),
    [anon_sym_u8_DQUOTE] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3467),
    [anon_sym_LR_DQUOTE] = ACTIONS(3467),
    [anon_sym_uR_DQUOTE] = ACTIONS(3467),
    [anon_sym_UR_DQUOTE] = ACTIONS(3467),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3467),
  },
  [2131] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2131),
    [sym_identifier] = ACTIONS(5114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5116),
    [anon_sym_COMMA] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5116),
    [anon_sym_PIPE_PIPE] = ACTIONS(5116),
    [anon_sym_AMP_AMP] = ACTIONS(5116),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5116),
    [anon_sym_BANG_EQ] = ACTIONS(5116),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5114),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5114),
    [anon_sym_LT_LT] = ACTIONS(5116),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym___extension__] = ACTIONS(5114),
    [anon_sym___attribute__] = ACTIONS(5114),
    [anon_sym_LBRACE] = ACTIONS(5116),
    [anon_sym_signed] = ACTIONS(5783),
    [anon_sym_unsigned] = ACTIONS(5783),
    [anon_sym_long] = ACTIONS(5783),
    [anon_sym_short] = ACTIONS(5783),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [anon_sym_const] = ACTIONS(5114),
    [anon_sym_constexpr] = ACTIONS(5114),
    [anon_sym_volatile] = ACTIONS(5114),
    [anon_sym_restrict] = ACTIONS(5114),
    [anon_sym___restrict__] = ACTIONS(5114),
    [anon_sym__Atomic] = ACTIONS(5114),
    [anon_sym__Noreturn] = ACTIONS(5114),
    [anon_sym_noreturn] = ACTIONS(5114),
    [anon_sym__Nonnull] = ACTIONS(5114),
    [anon_sym_mutable] = ACTIONS(5114),
    [anon_sym_constinit] = ACTIONS(5114),
    [anon_sym_consteval] = ACTIONS(5114),
    [anon_sym_alignas] = ACTIONS(5114),
    [anon_sym__Alignas] = ACTIONS(5114),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_QMARK] = ACTIONS(5116),
    [anon_sym_LT_EQ_GT] = ACTIONS(5116),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5114),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5114),
    [anon_sym_not_eq] = ACTIONS(5114),
    [anon_sym_DASH_DASH] = ACTIONS(5116),
    [anon_sym_PLUS_PLUS] = ACTIONS(5116),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5116),
    [anon_sym_DASH_GT] = ACTIONS(5116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5114),
    [anon_sym_decltype] = ACTIONS(5114),
    [anon_sym_final] = ACTIONS(5114),
    [anon_sym_override] = ACTIONS(5114),
    [anon_sym_GT2] = ACTIONS(5116),
    [anon_sym_requires] = ACTIONS(5114),
  },
  [2132] = {
    [sym_template_argument_list] = STATE(1574),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5714),
    [anon_sym_COMMA] = ACTIONS(5714),
    [anon_sym_RPAREN] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(5714),
    [anon_sym_DASH] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(5712),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5712),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5714),
    [anon_sym_AMP_AMP] = ACTIONS(5714),
    [anon_sym_PIPE] = ACTIONS(5712),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5712),
    [anon_sym_EQ_EQ] = ACTIONS(5714),
    [anon_sym_BANG_EQ] = ACTIONS(5714),
    [anon_sym_GT] = ACTIONS(5712),
    [anon_sym_GT_EQ] = ACTIONS(5714),
    [anon_sym_LT_EQ] = ACTIONS(5712),
    [anon_sym_LT] = ACTIONS(5712),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5714),
    [anon_sym___attribute__] = ACTIONS(5714),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(5714),
    [anon_sym_RBRACE] = ACTIONS(5714),
    [anon_sym_signed] = ACTIONS(5837),
    [anon_sym_unsigned] = ACTIONS(5837),
    [anon_sym_long] = ACTIONS(5837),
    [anon_sym_short] = ACTIONS(5837),
    [anon_sym_LBRACK] = ACTIONS(5714),
    [anon_sym_RBRACK] = ACTIONS(5714),
    [anon_sym_EQ] = ACTIONS(5712),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_QMARK] = ACTIONS(5714),
    [anon_sym_STAR_EQ] = ACTIONS(5714),
    [anon_sym_SLASH_EQ] = ACTIONS(5714),
    [anon_sym_PERCENT_EQ] = ACTIONS(5714),
    [anon_sym_PLUS_EQ] = ACTIONS(5714),
    [anon_sym_DASH_EQ] = ACTIONS(5714),
    [anon_sym_LT_LT_EQ] = ACTIONS(5714),
    [anon_sym_GT_GT_EQ] = ACTIONS(5714),
    [anon_sym_AMP_EQ] = ACTIONS(5714),
    [anon_sym_CARET_EQ] = ACTIONS(5714),
    [anon_sym_PIPE_EQ] = ACTIONS(5714),
    [anon_sym_and_eq] = ACTIONS(5714),
    [anon_sym_or_eq] = ACTIONS(5714),
    [anon_sym_xor_eq] = ACTIONS(5714),
    [anon_sym_LT_EQ_GT] = ACTIONS(5714),
    [anon_sym_or] = ACTIONS(5712),
    [anon_sym_and] = ACTIONS(5712),
    [anon_sym_bitor] = ACTIONS(5714),
    [anon_sym_xor] = ACTIONS(5712),
    [anon_sym_bitand] = ACTIONS(5714),
    [anon_sym_not_eq] = ACTIONS(5714),
    [anon_sym_DASH_DASH] = ACTIONS(5714),
    [anon_sym_PLUS_PLUS] = ACTIONS(5714),
    [anon_sym_DOT] = ACTIONS(5712),
    [anon_sym_DOT_STAR] = ACTIONS(5714),
    [anon_sym_DASH_GT] = ACTIONS(5714),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5714),
    [anon_sym_decltype] = ACTIONS(5714),
  },
  [2133] = {
    [sym_attribute_specifier] = STATE(2220),
    [sym_identifier] = ACTIONS(5839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5841),
    [anon_sym_COMMA] = ACTIONS(5841),
    [anon_sym_RPAREN] = ACTIONS(5841),
    [aux_sym_preproc_if_token2] = ACTIONS(5841),
    [aux_sym_preproc_else_token1] = ACTIONS(5841),
    [aux_sym_preproc_elif_token1] = ACTIONS(5839),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5841),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5841),
    [anon_sym_LPAREN2] = ACTIONS(5841),
    [anon_sym_DASH] = ACTIONS(5839),
    [anon_sym_PLUS] = ACTIONS(5839),
    [anon_sym_STAR] = ACTIONS(5839),
    [anon_sym_SLASH] = ACTIONS(5839),
    [anon_sym_PERCENT] = ACTIONS(5839),
    [anon_sym_PIPE_PIPE] = ACTIONS(5841),
    [anon_sym_AMP_AMP] = ACTIONS(5841),
    [anon_sym_PIPE] = ACTIONS(5839),
    [anon_sym_CARET] = ACTIONS(5839),
    [anon_sym_AMP] = ACTIONS(5839),
    [anon_sym_EQ_EQ] = ACTIONS(5841),
    [anon_sym_BANG_EQ] = ACTIONS(5841),
    [anon_sym_GT] = ACTIONS(5839),
    [anon_sym_GT_EQ] = ACTIONS(5841),
    [anon_sym_LT_EQ] = ACTIONS(5839),
    [anon_sym_LT] = ACTIONS(5839),
    [anon_sym_LT_LT] = ACTIONS(5839),
    [anon_sym_GT_GT] = ACTIONS(5839),
    [anon_sym_SEMI] = ACTIONS(5841),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5841),
    [anon_sym_RBRACE] = ACTIONS(5841),
    [anon_sym_LBRACK] = ACTIONS(5841),
    [anon_sym_RBRACK] = ACTIONS(5841),
    [anon_sym_EQ] = ACTIONS(5839),
    [anon_sym_COLON] = ACTIONS(5841),
    [anon_sym_QMARK] = ACTIONS(5841),
    [anon_sym_STAR_EQ] = ACTIONS(5841),
    [anon_sym_SLASH_EQ] = ACTIONS(5841),
    [anon_sym_PERCENT_EQ] = ACTIONS(5841),
    [anon_sym_PLUS_EQ] = ACTIONS(5841),
    [anon_sym_DASH_EQ] = ACTIONS(5841),
    [anon_sym_LT_LT_EQ] = ACTIONS(5841),
    [anon_sym_GT_GT_EQ] = ACTIONS(5841),
    [anon_sym_AMP_EQ] = ACTIONS(5841),
    [anon_sym_CARET_EQ] = ACTIONS(5841),
    [anon_sym_PIPE_EQ] = ACTIONS(5841),
    [anon_sym_and_eq] = ACTIONS(5839),
    [anon_sym_or_eq] = ACTIONS(5839),
    [anon_sym_xor_eq] = ACTIONS(5839),
    [anon_sym_LT_EQ_GT] = ACTIONS(5841),
    [anon_sym_or] = ACTIONS(5839),
    [anon_sym_and] = ACTIONS(5839),
    [anon_sym_bitor] = ACTIONS(5839),
    [anon_sym_xor] = ACTIONS(5839),
    [anon_sym_bitand] = ACTIONS(5839),
    [anon_sym_not_eq] = ACTIONS(5839),
    [anon_sym_DASH_DASH] = ACTIONS(5841),
    [anon_sym_PLUS_PLUS] = ACTIONS(5841),
    [anon_sym_DOT] = ACTIONS(5839),
    [anon_sym_DOT_STAR] = ACTIONS(5841),
    [anon_sym_DASH_GT] = ACTIONS(5841),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5839),
    [anon_sym_decltype] = ACTIONS(5839),
  },
  [2134] = {
    [sym_attribute_specifier] = STATE(2151),
    [sym_identifier] = ACTIONS(5843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5845),
    [anon_sym_COMMA] = ACTIONS(5845),
    [anon_sym_RPAREN] = ACTIONS(5845),
    [aux_sym_preproc_if_token2] = ACTIONS(5845),
    [aux_sym_preproc_else_token1] = ACTIONS(5845),
    [aux_sym_preproc_elif_token1] = ACTIONS(5843),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5845),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5845),
    [anon_sym_LPAREN2] = ACTIONS(5845),
    [anon_sym_DASH] = ACTIONS(5843),
    [anon_sym_PLUS] = ACTIONS(5843),
    [anon_sym_STAR] = ACTIONS(5843),
    [anon_sym_SLASH] = ACTIONS(5843),
    [anon_sym_PERCENT] = ACTIONS(5843),
    [anon_sym_PIPE_PIPE] = ACTIONS(5845),
    [anon_sym_AMP_AMP] = ACTIONS(5845),
    [anon_sym_PIPE] = ACTIONS(5843),
    [anon_sym_CARET] = ACTIONS(5843),
    [anon_sym_AMP] = ACTIONS(5843),
    [anon_sym_EQ_EQ] = ACTIONS(5845),
    [anon_sym_BANG_EQ] = ACTIONS(5845),
    [anon_sym_GT] = ACTIONS(5843),
    [anon_sym_GT_EQ] = ACTIONS(5845),
    [anon_sym_LT_EQ] = ACTIONS(5843),
    [anon_sym_LT] = ACTIONS(5843),
    [anon_sym_LT_LT] = ACTIONS(5843),
    [anon_sym_GT_GT] = ACTIONS(5843),
    [anon_sym_SEMI] = ACTIONS(5845),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5845),
    [anon_sym_RBRACE] = ACTIONS(5845),
    [anon_sym_LBRACK] = ACTIONS(5845),
    [anon_sym_RBRACK] = ACTIONS(5845),
    [anon_sym_EQ] = ACTIONS(5843),
    [anon_sym_COLON] = ACTIONS(5845),
    [anon_sym_QMARK] = ACTIONS(5845),
    [anon_sym_STAR_EQ] = ACTIONS(5845),
    [anon_sym_SLASH_EQ] = ACTIONS(5845),
    [anon_sym_PERCENT_EQ] = ACTIONS(5845),
    [anon_sym_PLUS_EQ] = ACTIONS(5845),
    [anon_sym_DASH_EQ] = ACTIONS(5845),
    [anon_sym_LT_LT_EQ] = ACTIONS(5845),
    [anon_sym_GT_GT_EQ] = ACTIONS(5845),
    [anon_sym_AMP_EQ] = ACTIONS(5845),
    [anon_sym_CARET_EQ] = ACTIONS(5845),
    [anon_sym_PIPE_EQ] = ACTIONS(5845),
    [anon_sym_and_eq] = ACTIONS(5843),
    [anon_sym_or_eq] = ACTIONS(5843),
    [anon_sym_xor_eq] = ACTIONS(5843),
    [anon_sym_LT_EQ_GT] = ACTIONS(5845),
    [anon_sym_or] = ACTIONS(5843),
    [anon_sym_and] = ACTIONS(5843),
    [anon_sym_bitor] = ACTIONS(5843),
    [anon_sym_xor] = ACTIONS(5843),
    [anon_sym_bitand] = ACTIONS(5843),
    [anon_sym_not_eq] = ACTIONS(5843),
    [anon_sym_DASH_DASH] = ACTIONS(5845),
    [anon_sym_PLUS_PLUS] = ACTIONS(5845),
    [anon_sym_DOT] = ACTIONS(5843),
    [anon_sym_DOT_STAR] = ACTIONS(5845),
    [anon_sym_DASH_GT] = ACTIONS(5845),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5843),
    [anon_sym_decltype] = ACTIONS(5843),
  },
  [2135] = {
    [sym_template_argument_list] = STATE(1850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4100),
    [anon_sym_COMMA] = ACTIONS(4100),
    [anon_sym_RPAREN] = ACTIONS(4100),
    [anon_sym_LPAREN2] = ACTIONS(4100),
    [anon_sym_DASH] = ACTIONS(4092),
    [anon_sym_PLUS] = ACTIONS(4092),
    [anon_sym_STAR] = ACTIONS(4092),
    [anon_sym_SLASH] = ACTIONS(4092),
    [anon_sym_PERCENT] = ACTIONS(4092),
    [anon_sym_PIPE_PIPE] = ACTIONS(4100),
    [anon_sym_AMP_AMP] = ACTIONS(4100),
    [anon_sym_PIPE] = ACTIONS(4092),
    [anon_sym_CARET] = ACTIONS(4092),
    [anon_sym_AMP] = ACTIONS(4092),
    [anon_sym_EQ_EQ] = ACTIONS(4100),
    [anon_sym_BANG_EQ] = ACTIONS(4100),
    [anon_sym_GT] = ACTIONS(4092),
    [anon_sym_GT_EQ] = ACTIONS(4100),
    [anon_sym_LT_EQ] = ACTIONS(4092),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(4092),
    [anon_sym_GT_GT] = ACTIONS(4092),
    [anon_sym_SEMI] = ACTIONS(4100),
    [anon_sym___attribute__] = ACTIONS(4100),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4100),
    [anon_sym_RBRACE] = ACTIONS(4100),
    [anon_sym_signed] = ACTIONS(5837),
    [anon_sym_unsigned] = ACTIONS(5837),
    [anon_sym_long] = ACTIONS(5837),
    [anon_sym_short] = ACTIONS(5837),
    [anon_sym_LBRACK] = ACTIONS(4100),
    [anon_sym_RBRACK] = ACTIONS(4100),
    [anon_sym_EQ] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4092),
    [anon_sym_QMARK] = ACTIONS(4100),
    [anon_sym_STAR_EQ] = ACTIONS(4100),
    [anon_sym_SLASH_EQ] = ACTIONS(4100),
    [anon_sym_PERCENT_EQ] = ACTIONS(4100),
    [anon_sym_PLUS_EQ] = ACTIONS(4100),
    [anon_sym_DASH_EQ] = ACTIONS(4100),
    [anon_sym_LT_LT_EQ] = ACTIONS(4100),
    [anon_sym_GT_GT_EQ] = ACTIONS(4100),
    [anon_sym_AMP_EQ] = ACTIONS(4100),
    [anon_sym_CARET_EQ] = ACTIONS(4100),
    [anon_sym_PIPE_EQ] = ACTIONS(4100),
    [anon_sym_and_eq] = ACTIONS(4100),
    [anon_sym_or_eq] = ACTIONS(4100),
    [anon_sym_xor_eq] = ACTIONS(4100),
    [anon_sym_LT_EQ_GT] = ACTIONS(4100),
    [anon_sym_or] = ACTIONS(4092),
    [anon_sym_and] = ACTIONS(4092),
    [anon_sym_bitor] = ACTIONS(4100),
    [anon_sym_xor] = ACTIONS(4092),
    [anon_sym_bitand] = ACTIONS(4100),
    [anon_sym_not_eq] = ACTIONS(4100),
    [anon_sym_DASH_DASH] = ACTIONS(4100),
    [anon_sym_PLUS_PLUS] = ACTIONS(4100),
    [anon_sym_DOT] = ACTIONS(4092),
    [anon_sym_DOT_STAR] = ACTIONS(4100),
    [anon_sym_DASH_GT] = ACTIONS(4100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4100),
    [anon_sym_decltype] = ACTIONS(4100),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(5350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_TILDE] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym___extension__] = ACTIONS(5350),
    [anon_sym_virtual] = ACTIONS(5350),
    [anon_sym_extern] = ACTIONS(5350),
    [anon_sym___attribute__] = ACTIONS(5350),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5352),
    [anon_sym___declspec] = ACTIONS(5350),
    [anon_sym___based] = ACTIONS(5350),
    [anon_sym___cdecl] = ACTIONS(5350),
    [anon_sym___clrcall] = ACTIONS(5350),
    [anon_sym___stdcall] = ACTIONS(5350),
    [anon_sym___fastcall] = ACTIONS(5350),
    [anon_sym___thiscall] = ACTIONS(5350),
    [anon_sym___vectorcall] = ACTIONS(5350),
    [anon_sym_LBRACE] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_static] = ACTIONS(5350),
    [anon_sym_EQ] = ACTIONS(5352),
    [anon_sym_register] = ACTIONS(5350),
    [anon_sym_inline] = ACTIONS(5350),
    [anon_sym___inline] = ACTIONS(5350),
    [anon_sym___inline__] = ACTIONS(5350),
    [anon_sym___forceinline] = ACTIONS(5350),
    [anon_sym_thread_local] = ACTIONS(5350),
    [anon_sym___thread] = ACTIONS(5350),
    [anon_sym_const] = ACTIONS(5350),
    [anon_sym_constexpr] = ACTIONS(5350),
    [anon_sym_volatile] = ACTIONS(5350),
    [anon_sym_restrict] = ACTIONS(5350),
    [anon_sym___restrict__] = ACTIONS(5350),
    [anon_sym__Atomic] = ACTIONS(5350),
    [anon_sym__Noreturn] = ACTIONS(5350),
    [anon_sym_noreturn] = ACTIONS(5350),
    [anon_sym__Nonnull] = ACTIONS(5350),
    [anon_sym_mutable] = ACTIONS(5350),
    [anon_sym_constinit] = ACTIONS(5350),
    [anon_sym_consteval] = ACTIONS(5350),
    [anon_sym_alignas] = ACTIONS(5350),
    [anon_sym__Alignas] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_asm] = ACTIONS(5350),
    [anon_sym___asm__] = ACTIONS(5350),
    [anon_sym___asm] = ACTIONS(5350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5350),
    [anon_sym_decltype] = ACTIONS(5350),
    [anon_sym_final] = ACTIONS(5350),
    [anon_sym_override] = ACTIONS(5350),
    [anon_sym_template] = ACTIONS(5350),
    [anon_sym_GT2] = ACTIONS(5352),
    [anon_sym_operator] = ACTIONS(5350),
    [anon_sym_try] = ACTIONS(5350),
    [anon_sym_requires] = ACTIONS(5350),
  },
  [2137] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5198),
    [anon_sym_COMMA] = ACTIONS(5198),
    [anon_sym_RPAREN] = ACTIONS(5198),
    [anon_sym_LPAREN2] = ACTIONS(5198),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_STAR] = ACTIONS(5196),
    [anon_sym_SLASH] = ACTIONS(5196),
    [anon_sym_PERCENT] = ACTIONS(5196),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5198),
    [anon_sym_PIPE] = ACTIONS(5196),
    [anon_sym_CARET] = ACTIONS(5196),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym_EQ_EQ] = ACTIONS(5198),
    [anon_sym_BANG_EQ] = ACTIONS(5198),
    [anon_sym_GT] = ACTIONS(5196),
    [anon_sym_GT_EQ] = ACTIONS(5198),
    [anon_sym_LT_EQ] = ACTIONS(5196),
    [anon_sym_LT] = ACTIONS(5196),
    [anon_sym_LT_LT] = ACTIONS(5196),
    [anon_sym_GT_GT] = ACTIONS(5196),
    [anon_sym_SEMI] = ACTIONS(5198),
    [anon_sym_RBRACE] = ACTIONS(5198),
    [anon_sym_LBRACK] = ACTIONS(5198),
    [anon_sym_RBRACK] = ACTIONS(5198),
    [anon_sym_EQ] = ACTIONS(5196),
    [anon_sym_COLON] = ACTIONS(5198),
    [anon_sym_QMARK] = ACTIONS(5198),
    [anon_sym_STAR_EQ] = ACTIONS(5198),
    [anon_sym_SLASH_EQ] = ACTIONS(5198),
    [anon_sym_PERCENT_EQ] = ACTIONS(5198),
    [anon_sym_PLUS_EQ] = ACTIONS(5198),
    [anon_sym_DASH_EQ] = ACTIONS(5198),
    [anon_sym_LT_LT_EQ] = ACTIONS(5198),
    [anon_sym_GT_GT_EQ] = ACTIONS(5198),
    [anon_sym_AMP_EQ] = ACTIONS(5198),
    [anon_sym_CARET_EQ] = ACTIONS(5198),
    [anon_sym_PIPE_EQ] = ACTIONS(5198),
    [anon_sym_and_eq] = ACTIONS(5196),
    [anon_sym_or_eq] = ACTIONS(5196),
    [anon_sym_xor_eq] = ACTIONS(5196),
    [anon_sym_LT_EQ_GT] = ACTIONS(5198),
    [anon_sym_or] = ACTIONS(5196),
    [anon_sym_and] = ACTIONS(5196),
    [anon_sym_bitor] = ACTIONS(5196),
    [anon_sym_xor] = ACTIONS(5196),
    [anon_sym_bitand] = ACTIONS(5196),
    [anon_sym_not_eq] = ACTIONS(5196),
    [anon_sym_DASH_DASH] = ACTIONS(5198),
    [anon_sym_PLUS_PLUS] = ACTIONS(5198),
    [anon_sym_DOT] = ACTIONS(5196),
    [anon_sym_DOT_STAR] = ACTIONS(5198),
    [anon_sym_DASH_GT] = ACTIONS(5198),
    [anon_sym_L_DQUOTE] = ACTIONS(5198),
    [anon_sym_u_DQUOTE] = ACTIONS(5198),
    [anon_sym_U_DQUOTE] = ACTIONS(5198),
    [anon_sym_u8_DQUOTE] = ACTIONS(5198),
    [anon_sym_DQUOTE] = ACTIONS(5198),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5198),
    [anon_sym_LR_DQUOTE] = ACTIONS(5198),
    [anon_sym_uR_DQUOTE] = ACTIONS(5198),
    [anon_sym_UR_DQUOTE] = ACTIONS(5198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5198),
    [sym_literal_suffix] = ACTIONS(5196),
  },
  [2138] = {
    [sym_attribute_specifier] = STATE(2158),
    [sym_identifier] = ACTIONS(5847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5849),
    [anon_sym_COMMA] = ACTIONS(5849),
    [anon_sym_RPAREN] = ACTIONS(5849),
    [aux_sym_preproc_if_token2] = ACTIONS(5849),
    [aux_sym_preproc_else_token1] = ACTIONS(5849),
    [aux_sym_preproc_elif_token1] = ACTIONS(5847),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5849),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5849),
    [anon_sym_LPAREN2] = ACTIONS(5849),
    [anon_sym_DASH] = ACTIONS(5847),
    [anon_sym_PLUS] = ACTIONS(5847),
    [anon_sym_STAR] = ACTIONS(5847),
    [anon_sym_SLASH] = ACTIONS(5847),
    [anon_sym_PERCENT] = ACTIONS(5847),
    [anon_sym_PIPE_PIPE] = ACTIONS(5849),
    [anon_sym_AMP_AMP] = ACTIONS(5849),
    [anon_sym_PIPE] = ACTIONS(5847),
    [anon_sym_CARET] = ACTIONS(5847),
    [anon_sym_AMP] = ACTIONS(5847),
    [anon_sym_EQ_EQ] = ACTIONS(5849),
    [anon_sym_BANG_EQ] = ACTIONS(5849),
    [anon_sym_GT] = ACTIONS(5847),
    [anon_sym_GT_EQ] = ACTIONS(5849),
    [anon_sym_LT_EQ] = ACTIONS(5847),
    [anon_sym_LT] = ACTIONS(5847),
    [anon_sym_LT_LT] = ACTIONS(5847),
    [anon_sym_GT_GT] = ACTIONS(5847),
    [anon_sym_SEMI] = ACTIONS(5849),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5849),
    [anon_sym_RBRACE] = ACTIONS(5849),
    [anon_sym_LBRACK] = ACTIONS(5849),
    [anon_sym_RBRACK] = ACTIONS(5849),
    [anon_sym_EQ] = ACTIONS(5847),
    [anon_sym_COLON] = ACTIONS(5849),
    [anon_sym_QMARK] = ACTIONS(5849),
    [anon_sym_STAR_EQ] = ACTIONS(5849),
    [anon_sym_SLASH_EQ] = ACTIONS(5849),
    [anon_sym_PERCENT_EQ] = ACTIONS(5849),
    [anon_sym_PLUS_EQ] = ACTIONS(5849),
    [anon_sym_DASH_EQ] = ACTIONS(5849),
    [anon_sym_LT_LT_EQ] = ACTIONS(5849),
    [anon_sym_GT_GT_EQ] = ACTIONS(5849),
    [anon_sym_AMP_EQ] = ACTIONS(5849),
    [anon_sym_CARET_EQ] = ACTIONS(5849),
    [anon_sym_PIPE_EQ] = ACTIONS(5849),
    [anon_sym_and_eq] = ACTIONS(5847),
    [anon_sym_or_eq] = ACTIONS(5847),
    [anon_sym_xor_eq] = ACTIONS(5847),
    [anon_sym_LT_EQ_GT] = ACTIONS(5849),
    [anon_sym_or] = ACTIONS(5847),
    [anon_sym_and] = ACTIONS(5847),
    [anon_sym_bitor] = ACTIONS(5847),
    [anon_sym_xor] = ACTIONS(5847),
    [anon_sym_bitand] = ACTIONS(5847),
    [anon_sym_not_eq] = ACTIONS(5847),
    [anon_sym_DASH_DASH] = ACTIONS(5849),
    [anon_sym_PLUS_PLUS] = ACTIONS(5849),
    [anon_sym_DOT] = ACTIONS(5847),
    [anon_sym_DOT_STAR] = ACTIONS(5849),
    [anon_sym_DASH_GT] = ACTIONS(5849),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5847),
    [anon_sym_decltype] = ACTIONS(5847),
  },
  [2139] = {
    [sym_attribute_specifier] = STATE(2171),
    [sym_identifier] = ACTIONS(5851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5853),
    [anon_sym_COMMA] = ACTIONS(5853),
    [anon_sym_RPAREN] = ACTIONS(5853),
    [aux_sym_preproc_if_token2] = ACTIONS(5853),
    [aux_sym_preproc_else_token1] = ACTIONS(5853),
    [aux_sym_preproc_elif_token1] = ACTIONS(5851),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5853),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5853),
    [anon_sym_LPAREN2] = ACTIONS(5853),
    [anon_sym_DASH] = ACTIONS(5851),
    [anon_sym_PLUS] = ACTIONS(5851),
    [anon_sym_STAR] = ACTIONS(5851),
    [anon_sym_SLASH] = ACTIONS(5851),
    [anon_sym_PERCENT] = ACTIONS(5851),
    [anon_sym_PIPE_PIPE] = ACTIONS(5853),
    [anon_sym_AMP_AMP] = ACTIONS(5853),
    [anon_sym_PIPE] = ACTIONS(5851),
    [anon_sym_CARET] = ACTIONS(5851),
    [anon_sym_AMP] = ACTIONS(5851),
    [anon_sym_EQ_EQ] = ACTIONS(5853),
    [anon_sym_BANG_EQ] = ACTIONS(5853),
    [anon_sym_GT] = ACTIONS(5851),
    [anon_sym_GT_EQ] = ACTIONS(5853),
    [anon_sym_LT_EQ] = ACTIONS(5851),
    [anon_sym_LT] = ACTIONS(5851),
    [anon_sym_LT_LT] = ACTIONS(5851),
    [anon_sym_GT_GT] = ACTIONS(5851),
    [anon_sym_SEMI] = ACTIONS(5853),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5853),
    [anon_sym_RBRACE] = ACTIONS(5853),
    [anon_sym_LBRACK] = ACTIONS(5853),
    [anon_sym_RBRACK] = ACTIONS(5853),
    [anon_sym_EQ] = ACTIONS(5851),
    [anon_sym_COLON] = ACTIONS(5853),
    [anon_sym_QMARK] = ACTIONS(5853),
    [anon_sym_STAR_EQ] = ACTIONS(5853),
    [anon_sym_SLASH_EQ] = ACTIONS(5853),
    [anon_sym_PERCENT_EQ] = ACTIONS(5853),
    [anon_sym_PLUS_EQ] = ACTIONS(5853),
    [anon_sym_DASH_EQ] = ACTIONS(5853),
    [anon_sym_LT_LT_EQ] = ACTIONS(5853),
    [anon_sym_GT_GT_EQ] = ACTIONS(5853),
    [anon_sym_AMP_EQ] = ACTIONS(5853),
    [anon_sym_CARET_EQ] = ACTIONS(5853),
    [anon_sym_PIPE_EQ] = ACTIONS(5853),
    [anon_sym_and_eq] = ACTIONS(5851),
    [anon_sym_or_eq] = ACTIONS(5851),
    [anon_sym_xor_eq] = ACTIONS(5851),
    [anon_sym_LT_EQ_GT] = ACTIONS(5853),
    [anon_sym_or] = ACTIONS(5851),
    [anon_sym_and] = ACTIONS(5851),
    [anon_sym_bitor] = ACTIONS(5851),
    [anon_sym_xor] = ACTIONS(5851),
    [anon_sym_bitand] = ACTIONS(5851),
    [anon_sym_not_eq] = ACTIONS(5851),
    [anon_sym_DASH_DASH] = ACTIONS(5853),
    [anon_sym_PLUS_PLUS] = ACTIONS(5853),
    [anon_sym_DOT] = ACTIONS(5851),
    [anon_sym_DOT_STAR] = ACTIONS(5853),
    [anon_sym_DASH_GT] = ACTIONS(5853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5851),
    [anon_sym_decltype] = ACTIONS(5851),
  },
  [2140] = {
    [sym_attribute_specifier] = STATE(2176),
    [sym_identifier] = ACTIONS(5855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5857),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_RPAREN] = ACTIONS(5857),
    [aux_sym_preproc_if_token2] = ACTIONS(5857),
    [aux_sym_preproc_else_token1] = ACTIONS(5857),
    [aux_sym_preproc_elif_token1] = ACTIONS(5855),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5857),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5857),
    [anon_sym_LPAREN2] = ACTIONS(5857),
    [anon_sym_DASH] = ACTIONS(5855),
    [anon_sym_PLUS] = ACTIONS(5855),
    [anon_sym_STAR] = ACTIONS(5855),
    [anon_sym_SLASH] = ACTIONS(5855),
    [anon_sym_PERCENT] = ACTIONS(5855),
    [anon_sym_PIPE_PIPE] = ACTIONS(5857),
    [anon_sym_AMP_AMP] = ACTIONS(5857),
    [anon_sym_PIPE] = ACTIONS(5855),
    [anon_sym_CARET] = ACTIONS(5855),
    [anon_sym_AMP] = ACTIONS(5855),
    [anon_sym_EQ_EQ] = ACTIONS(5857),
    [anon_sym_BANG_EQ] = ACTIONS(5857),
    [anon_sym_GT] = ACTIONS(5855),
    [anon_sym_GT_EQ] = ACTIONS(5857),
    [anon_sym_LT_EQ] = ACTIONS(5855),
    [anon_sym_LT] = ACTIONS(5855),
    [anon_sym_LT_LT] = ACTIONS(5855),
    [anon_sym_GT_GT] = ACTIONS(5855),
    [anon_sym_SEMI] = ACTIONS(5857),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5857),
    [anon_sym_RBRACE] = ACTIONS(5857),
    [anon_sym_LBRACK] = ACTIONS(5857),
    [anon_sym_RBRACK] = ACTIONS(5857),
    [anon_sym_EQ] = ACTIONS(5855),
    [anon_sym_COLON] = ACTIONS(5857),
    [anon_sym_QMARK] = ACTIONS(5857),
    [anon_sym_STAR_EQ] = ACTIONS(5857),
    [anon_sym_SLASH_EQ] = ACTIONS(5857),
    [anon_sym_PERCENT_EQ] = ACTIONS(5857),
    [anon_sym_PLUS_EQ] = ACTIONS(5857),
    [anon_sym_DASH_EQ] = ACTIONS(5857),
    [anon_sym_LT_LT_EQ] = ACTIONS(5857),
    [anon_sym_GT_GT_EQ] = ACTIONS(5857),
    [anon_sym_AMP_EQ] = ACTIONS(5857),
    [anon_sym_CARET_EQ] = ACTIONS(5857),
    [anon_sym_PIPE_EQ] = ACTIONS(5857),
    [anon_sym_and_eq] = ACTIONS(5855),
    [anon_sym_or_eq] = ACTIONS(5855),
    [anon_sym_xor_eq] = ACTIONS(5855),
    [anon_sym_LT_EQ_GT] = ACTIONS(5857),
    [anon_sym_or] = ACTIONS(5855),
    [anon_sym_and] = ACTIONS(5855),
    [anon_sym_bitor] = ACTIONS(5855),
    [anon_sym_xor] = ACTIONS(5855),
    [anon_sym_bitand] = ACTIONS(5855),
    [anon_sym_not_eq] = ACTIONS(5855),
    [anon_sym_DASH_DASH] = ACTIONS(5857),
    [anon_sym_PLUS_PLUS] = ACTIONS(5857),
    [anon_sym_DOT] = ACTIONS(5855),
    [anon_sym_DOT_STAR] = ACTIONS(5857),
    [anon_sym_DASH_GT] = ACTIONS(5857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5855),
    [anon_sym_decltype] = ACTIONS(5855),
  },
  [2141] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5202),
    [anon_sym_COMMA] = ACTIONS(5202),
    [anon_sym_RPAREN] = ACTIONS(5202),
    [anon_sym_LPAREN2] = ACTIONS(5202),
    [anon_sym_DASH] = ACTIONS(5200),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_STAR] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5200),
    [anon_sym_PERCENT] = ACTIONS(5200),
    [anon_sym_PIPE_PIPE] = ACTIONS(5202),
    [anon_sym_AMP_AMP] = ACTIONS(5202),
    [anon_sym_PIPE] = ACTIONS(5200),
    [anon_sym_CARET] = ACTIONS(5200),
    [anon_sym_AMP] = ACTIONS(5200),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_GT] = ACTIONS(5200),
    [anon_sym_GT_EQ] = ACTIONS(5202),
    [anon_sym_LT_EQ] = ACTIONS(5200),
    [anon_sym_LT] = ACTIONS(5200),
    [anon_sym_LT_LT] = ACTIONS(5200),
    [anon_sym_GT_GT] = ACTIONS(5200),
    [anon_sym_SEMI] = ACTIONS(5202),
    [anon_sym_RBRACE] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(5202),
    [anon_sym_RBRACK] = ACTIONS(5202),
    [anon_sym_EQ] = ACTIONS(5200),
    [anon_sym_COLON] = ACTIONS(5202),
    [anon_sym_QMARK] = ACTIONS(5202),
    [anon_sym_STAR_EQ] = ACTIONS(5202),
    [anon_sym_SLASH_EQ] = ACTIONS(5202),
    [anon_sym_PERCENT_EQ] = ACTIONS(5202),
    [anon_sym_PLUS_EQ] = ACTIONS(5202),
    [anon_sym_DASH_EQ] = ACTIONS(5202),
    [anon_sym_LT_LT_EQ] = ACTIONS(5202),
    [anon_sym_GT_GT_EQ] = ACTIONS(5202),
    [anon_sym_AMP_EQ] = ACTIONS(5202),
    [anon_sym_CARET_EQ] = ACTIONS(5202),
    [anon_sym_PIPE_EQ] = ACTIONS(5202),
    [anon_sym_and_eq] = ACTIONS(5200),
    [anon_sym_or_eq] = ACTIONS(5200),
    [anon_sym_xor_eq] = ACTIONS(5200),
    [anon_sym_LT_EQ_GT] = ACTIONS(5202),
    [anon_sym_or] = ACTIONS(5200),
    [anon_sym_and] = ACTIONS(5200),
    [anon_sym_bitor] = ACTIONS(5200),
    [anon_sym_xor] = ACTIONS(5200),
    [anon_sym_bitand] = ACTIONS(5200),
    [anon_sym_not_eq] = ACTIONS(5200),
    [anon_sym_DASH_DASH] = ACTIONS(5202),
    [anon_sym_PLUS_PLUS] = ACTIONS(5202),
    [anon_sym_DOT] = ACTIONS(5200),
    [anon_sym_DOT_STAR] = ACTIONS(5202),
    [anon_sym_DASH_GT] = ACTIONS(5202),
    [anon_sym_L_DQUOTE] = ACTIONS(5202),
    [anon_sym_u_DQUOTE] = ACTIONS(5202),
    [anon_sym_U_DQUOTE] = ACTIONS(5202),
    [anon_sym_u8_DQUOTE] = ACTIONS(5202),
    [anon_sym_DQUOTE] = ACTIONS(5202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5202),
    [anon_sym_LR_DQUOTE] = ACTIONS(5202),
    [anon_sym_uR_DQUOTE] = ACTIONS(5202),
    [anon_sym_UR_DQUOTE] = ACTIONS(5202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5202),
    [sym_literal_suffix] = ACTIONS(5200),
  },
  [2142] = {
    [sym_attribute_declaration] = STATE(2217),
    [sym_parameter_list] = STATE(2183),
    [aux_sym_attributed_declarator_repeat1] = STATE(2217),
    [sym_identifier] = ACTIONS(5859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5861),
    [anon_sym_COMMA] = ACTIONS(5861),
    [anon_sym_RPAREN] = ACTIONS(5861),
    [aux_sym_preproc_if_token2] = ACTIONS(5861),
    [aux_sym_preproc_else_token1] = ACTIONS(5861),
    [aux_sym_preproc_elif_token1] = ACTIONS(5859),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5861),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5861),
    [anon_sym_LPAREN2] = ACTIONS(5751),
    [anon_sym_DASH] = ACTIONS(5859),
    [anon_sym_PLUS] = ACTIONS(5859),
    [anon_sym_STAR] = ACTIONS(5859),
    [anon_sym_SLASH] = ACTIONS(5859),
    [anon_sym_PERCENT] = ACTIONS(5859),
    [anon_sym_PIPE_PIPE] = ACTIONS(5861),
    [anon_sym_AMP_AMP] = ACTIONS(5861),
    [anon_sym_PIPE] = ACTIONS(5859),
    [anon_sym_CARET] = ACTIONS(5859),
    [anon_sym_AMP] = ACTIONS(5859),
    [anon_sym_EQ_EQ] = ACTIONS(5861),
    [anon_sym_BANG_EQ] = ACTIONS(5861),
    [anon_sym_GT] = ACTIONS(5859),
    [anon_sym_GT_EQ] = ACTIONS(5861),
    [anon_sym_LT_EQ] = ACTIONS(5859),
    [anon_sym_LT] = ACTIONS(5859),
    [anon_sym_LT_LT] = ACTIONS(5859),
    [anon_sym_GT_GT] = ACTIONS(5859),
    [anon_sym_SEMI] = ACTIONS(5861),
    [anon_sym___attribute__] = ACTIONS(5859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5753),
    [anon_sym_RBRACE] = ACTIONS(5861),
    [anon_sym_LBRACK] = ACTIONS(5755),
    [anon_sym_RBRACK] = ACTIONS(5861),
    [anon_sym_EQ] = ACTIONS(5859),
    [anon_sym_COLON] = ACTIONS(5861),
    [anon_sym_QMARK] = ACTIONS(5861),
    [anon_sym_STAR_EQ] = ACTIONS(5861),
    [anon_sym_SLASH_EQ] = ACTIONS(5861),
    [anon_sym_PERCENT_EQ] = ACTIONS(5861),
    [anon_sym_PLUS_EQ] = ACTIONS(5861),
    [anon_sym_DASH_EQ] = ACTIONS(5861),
    [anon_sym_LT_LT_EQ] = ACTIONS(5861),
    [anon_sym_GT_GT_EQ] = ACTIONS(5861),
    [anon_sym_AMP_EQ] = ACTIONS(5861),
    [anon_sym_CARET_EQ] = ACTIONS(5861),
    [anon_sym_PIPE_EQ] = ACTIONS(5861),
    [anon_sym_and_eq] = ACTIONS(5859),
    [anon_sym_or_eq] = ACTIONS(5859),
    [anon_sym_xor_eq] = ACTIONS(5859),
    [anon_sym_LT_EQ_GT] = ACTIONS(5861),
    [anon_sym_or] = ACTIONS(5859),
    [anon_sym_and] = ACTIONS(5859),
    [anon_sym_bitor] = ACTIONS(5859),
    [anon_sym_xor] = ACTIONS(5859),
    [anon_sym_bitand] = ACTIONS(5859),
    [anon_sym_not_eq] = ACTIONS(5859),
    [anon_sym_DASH_DASH] = ACTIONS(5861),
    [anon_sym_PLUS_PLUS] = ACTIONS(5861),
    [anon_sym_DOT] = ACTIONS(5859),
    [anon_sym_DOT_STAR] = ACTIONS(5861),
    [anon_sym_DASH_GT] = ACTIONS(5861),
    [sym_comment] = ACTIONS(3),
  },
  [2143] = {
    [sym_ms_based_modifier] = STATE(7592),
    [sym_ms_unaligned_ptr_modifier] = STATE(3994),
    [sym_ms_pointer_modifier] = STATE(3819),
    [sym__declarator] = STATE(5990),
    [sym__abstract_declarator] = STATE(6287),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_function_declarator] = STATE(5841),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5841),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_type_qualifier] = STATE(2619),
    [sym_alignas_qualifier] = STATE(4312),
    [sym_parameter_list] = STATE(3008),
    [sym_decltype] = STATE(8141),
    [sym_reference_declarator] = STATE(5841),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5464),
    [sym_qualified_identifier] = STATE(5841),
    [sym_operator_name] = STATE(5841),
    [aux_sym__type_definition_type_repeat1] = STATE(2619),
    [aux_sym_pointer_declarator_repeat1] = STATE(3819),
    [sym_identifier] = ACTIONS(5602),
    [anon_sym_COMMA] = ACTIONS(5618),
    [anon_sym_RPAREN] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(5797),
    [anon_sym_AMP_AMP] = ACTIONS(5799),
    [anon_sym_AMP] = ACTIONS(5801),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2884),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2884),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2884),
    [anon_sym__unaligned] = ACTIONS(2886),
    [anon_sym___unaligned] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2890),
    [anon_sym__Alignas] = ACTIONS(2890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [2144] = {
    [sym_decltype_auto] = STATE(2195),
    [sym_identifier] = ACTIONS(5322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5324),
    [anon_sym_COMMA] = ACTIONS(5324),
    [anon_sym_RPAREN] = ACTIONS(5324),
    [aux_sym_preproc_if_token2] = ACTIONS(5324),
    [aux_sym_preproc_else_token1] = ACTIONS(5324),
    [aux_sym_preproc_elif_token1] = ACTIONS(5322),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5324),
    [anon_sym_LPAREN2] = ACTIONS(5324),
    [anon_sym_DASH] = ACTIONS(5322),
    [anon_sym_PLUS] = ACTIONS(5322),
    [anon_sym_STAR] = ACTIONS(5322),
    [anon_sym_SLASH] = ACTIONS(5322),
    [anon_sym_PERCENT] = ACTIONS(5322),
    [anon_sym_PIPE_PIPE] = ACTIONS(5324),
    [anon_sym_AMP_AMP] = ACTIONS(5324),
    [anon_sym_PIPE] = ACTIONS(5322),
    [anon_sym_CARET] = ACTIONS(5322),
    [anon_sym_AMP] = ACTIONS(5322),
    [anon_sym_EQ_EQ] = ACTIONS(5324),
    [anon_sym_BANG_EQ] = ACTIONS(5324),
    [anon_sym_GT] = ACTIONS(5322),
    [anon_sym_GT_EQ] = ACTIONS(5324),
    [anon_sym_LT_EQ] = ACTIONS(5322),
    [anon_sym_LT] = ACTIONS(5322),
    [anon_sym_LT_LT] = ACTIONS(5322),
    [anon_sym_GT_GT] = ACTIONS(5322),
    [anon_sym_SEMI] = ACTIONS(5324),
    [anon_sym___attribute__] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(5324),
    [anon_sym_RBRACE] = ACTIONS(5324),
    [anon_sym_LBRACK] = ACTIONS(5324),
    [anon_sym_RBRACK] = ACTIONS(5324),
    [anon_sym_EQ] = ACTIONS(5322),
    [anon_sym_COLON] = ACTIONS(5324),
    [anon_sym_QMARK] = ACTIONS(5324),
    [anon_sym_STAR_EQ] = ACTIONS(5324),
    [anon_sym_SLASH_EQ] = ACTIONS(5324),
    [anon_sym_PERCENT_EQ] = ACTIONS(5324),
    [anon_sym_PLUS_EQ] = ACTIONS(5324),
    [anon_sym_DASH_EQ] = ACTIONS(5324),
    [anon_sym_LT_LT_EQ] = ACTIONS(5324),
    [anon_sym_GT_GT_EQ] = ACTIONS(5324),
    [anon_sym_AMP_EQ] = ACTIONS(5324),
    [anon_sym_CARET_EQ] = ACTIONS(5324),
    [anon_sym_PIPE_EQ] = ACTIONS(5324),
    [anon_sym_and_eq] = ACTIONS(5322),
    [anon_sym_or_eq] = ACTIONS(5322),
    [anon_sym_xor_eq] = ACTIONS(5322),
    [anon_sym_LT_EQ_GT] = ACTIONS(5324),
    [anon_sym_or] = ACTIONS(5322),
    [anon_sym_and] = ACTIONS(5322),
    [anon_sym_bitor] = ACTIONS(5322),
    [anon_sym_xor] = ACTIONS(5322),
    [anon_sym_bitand] = ACTIONS(5322),
    [anon_sym_not_eq] = ACTIONS(5322),
    [anon_sym_DASH_DASH] = ACTIONS(5324),
    [anon_sym_PLUS_PLUS] = ACTIONS(5324),
    [anon_sym_DOT] = ACTIONS(5322),
    [anon_sym_DOT_STAR] = ACTIONS(5324),
    [anon_sym_DASH_GT] = ACTIONS(5324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5571),
  },
  [2145] = {
    [sym_string_literal] = STATE(3256),
    [sym_template_argument_list] = STATE(4282),
    [sym_raw_string_literal] = STATE(3256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4102),
    [anon_sym_PLUS] = ACTIONS(4102),
    [anon_sym_STAR] = ACTIONS(4102),
    [anon_sym_SLASH] = ACTIONS(4102),
    [anon_sym_PERCENT] = ACTIONS(4102),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4102),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_AMP] = ACTIONS(4102),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4102),
    [anon_sym_GT_EQ] = ACTIONS(4102),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4935),
    [anon_sym_LT_LT] = ACTIONS(4102),
    [anon_sym_GT_GT] = ACTIONS(4102),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4942),
    [anon_sym_SLASH_EQ] = ACTIONS(4942),
    [anon_sym_PERCENT_EQ] = ACTIONS(4942),
    [anon_sym_PLUS_EQ] = ACTIONS(4942),
    [anon_sym_DASH_EQ] = ACTIONS(4942),
    [anon_sym_LT_LT_EQ] = ACTIONS(4942),
    [anon_sym_GT_GT_EQ] = ACTIONS(4940),
    [anon_sym_AMP_EQ] = ACTIONS(4942),
    [anon_sym_CARET_EQ] = ACTIONS(4942),
    [anon_sym_PIPE_EQ] = ACTIONS(4942),
    [anon_sym_and_eq] = ACTIONS(4942),
    [anon_sym_or_eq] = ACTIONS(4942),
    [anon_sym_xor_eq] = ACTIONS(4942),
    [anon_sym_LT_EQ_GT] = ACTIONS(4094),
    [anon_sym_or] = ACTIONS(4102),
    [anon_sym_and] = ACTIONS(4102),
    [anon_sym_bitor] = ACTIONS(4094),
    [anon_sym_xor] = ACTIONS(4102),
    [anon_sym_bitand] = ACTIONS(4094),
    [anon_sym_not_eq] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4102),
    [anon_sym_DOT_STAR] = ACTIONS(4094),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [anon_sym_L_DQUOTE] = ACTIONS(4944),
    [anon_sym_u_DQUOTE] = ACTIONS(4944),
    [anon_sym_U_DQUOTE] = ACTIONS(4944),
    [anon_sym_u8_DQUOTE] = ACTIONS(4944),
    [anon_sym_DQUOTE] = ACTIONS(4944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4094),
    [anon_sym_R_DQUOTE] = ACTIONS(4946),
    [anon_sym_LR_DQUOTE] = ACTIONS(4946),
    [anon_sym_uR_DQUOTE] = ACTIONS(4946),
    [anon_sym_UR_DQUOTE] = ACTIONS(4946),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4946),
  },
  [2146] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5192),
    [anon_sym_COMMA] = ACTIONS(5192),
    [anon_sym_RPAREN] = ACTIONS(5192),
    [anon_sym_LPAREN2] = ACTIONS(5192),
    [anon_sym_DASH] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(5190),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_SLASH] = ACTIONS(5190),
    [anon_sym_PERCENT] = ACTIONS(5190),
    [anon_sym_PIPE_PIPE] = ACTIONS(5192),
    [anon_sym_AMP_AMP] = ACTIONS(5192),
    [anon_sym_PIPE] = ACTIONS(5190),
    [anon_sym_CARET] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_EQ_EQ] = ACTIONS(5192),
    [anon_sym_BANG_EQ] = ACTIONS(5192),
    [anon_sym_GT] = ACTIONS(5190),
    [anon_sym_GT_EQ] = ACTIONS(5192),
    [anon_sym_LT_EQ] = ACTIONS(5190),
    [anon_sym_LT] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5190),
    [anon_sym_GT_GT] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(5192),
    [anon_sym_RBRACE] = ACTIONS(5192),
    [anon_sym_LBRACK] = ACTIONS(5192),
    [anon_sym_RBRACK] = ACTIONS(5192),
    [anon_sym_EQ] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5192),
    [anon_sym_QMARK] = ACTIONS(5192),
    [anon_sym_STAR_EQ] = ACTIONS(5192),
    [anon_sym_SLASH_EQ] = ACTIONS(5192),
    [anon_sym_PERCENT_EQ] = ACTIONS(5192),
    [anon_sym_PLUS_EQ] = ACTIONS(5192),
    [anon_sym_DASH_EQ] = ACTIONS(5192),
    [anon_sym_LT_LT_EQ] = ACTIONS(5192),
    [anon_sym_GT_GT_EQ] = ACTIONS(5192),
    [anon_sym_AMP_EQ] = ACTIONS(5192),
    [anon_sym_CARET_EQ] = ACTIONS(5192),
    [anon_sym_PIPE_EQ] = ACTIONS(5192),
    [anon_sym_and_eq] = ACTIONS(5190),
    [anon_sym_or_eq] = ACTIONS(5190),
    [anon_sym_xor_eq] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5192),
    [anon_sym_or] = ACTIONS(5190),
    [anon_sym_and] = ACTIONS(5190),
    [anon_sym_bitor] = ACTIONS(5190),
    [anon_sym_xor] = ACTIONS(5190),
    [anon_sym_bitand] = ACTIONS(5190),
    [anon_sym_not_eq] = ACTIONS(5190),
    [anon_sym_DASH_DASH] = ACTIONS(5192),
    [anon_sym_PLUS_PLUS] = ACTIONS(5192),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_DOT_STAR] = ACTIONS(5192),
    [anon_sym_DASH_GT] = ACTIONS(5192),
    [anon_sym_L_DQUOTE] = ACTIONS(5192),
    [anon_sym_u_DQUOTE] = ACTIONS(5192),
    [anon_sym_U_DQUOTE] = ACTIONS(5192),
    [anon_sym_u8_DQUOTE] = ACTIONS(5192),
    [anon_sym_DQUOTE] = ACTIONS(5192),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5192),
    [anon_sym_LR_DQUOTE] = ACTIONS(5192),
    [anon_sym_uR_DQUOTE] = ACTIONS(5192),
    [anon_sym_UR_DQUOTE] = ACTIONS(5192),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5192),
    [sym_literal_suffix] = ACTIONS(5190),
  },
  [2147] = {
    [sym_attribute_specifier] = STATE(2221),
    [sym_identifier] = ACTIONS(5863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5865),
    [anon_sym_COMMA] = ACTIONS(5865),
    [anon_sym_RPAREN] = ACTIONS(5865),
    [aux_sym_preproc_if_token2] = ACTIONS(5865),
    [aux_sym_preproc_else_token1] = ACTIONS(5865),
    [aux_sym_preproc_elif_token1] = ACTIONS(5863),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5865),
    [anon_sym_LPAREN2] = ACTIONS(5865),
    [anon_sym_DASH] = ACTIONS(5863),
    [anon_sym_PLUS] = ACTIONS(5863),
    [anon_sym_STAR] = ACTIONS(5863),
    [anon_sym_SLASH] = ACTIONS(5863),
    [anon_sym_PERCENT] = ACTIONS(5863),
    [anon_sym_PIPE_PIPE] = ACTIONS(5865),
    [anon_sym_AMP_AMP] = ACTIONS(5865),
    [anon_sym_PIPE] = ACTIONS(5863),
    [anon_sym_CARET] = ACTIONS(5863),
    [anon_sym_AMP] = ACTIONS(5863),
    [anon_sym_EQ_EQ] = ACTIONS(5865),
    [anon_sym_BANG_EQ] = ACTIONS(5865),
    [anon_sym_GT] = ACTIONS(5863),
    [anon_sym_GT_EQ] = ACTIONS(5865),
    [anon_sym_LT_EQ] = ACTIONS(5863),
    [anon_sym_LT] = ACTIONS(5863),
    [anon_sym_LT_LT] = ACTIONS(5863),
    [anon_sym_GT_GT] = ACTIONS(5863),
    [anon_sym_SEMI] = ACTIONS(5865),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5865),
    [anon_sym_RBRACE] = ACTIONS(5865),
    [anon_sym_LBRACK] = ACTIONS(5865),
    [anon_sym_RBRACK] = ACTIONS(5865),
    [anon_sym_EQ] = ACTIONS(5863),
    [anon_sym_COLON] = ACTIONS(5865),
    [anon_sym_QMARK] = ACTIONS(5865),
    [anon_sym_STAR_EQ] = ACTIONS(5865),
    [anon_sym_SLASH_EQ] = ACTIONS(5865),
    [anon_sym_PERCENT_EQ] = ACTIONS(5865),
    [anon_sym_PLUS_EQ] = ACTIONS(5865),
    [anon_sym_DASH_EQ] = ACTIONS(5865),
    [anon_sym_LT_LT_EQ] = ACTIONS(5865),
    [anon_sym_GT_GT_EQ] = ACTIONS(5865),
    [anon_sym_AMP_EQ] = ACTIONS(5865),
    [anon_sym_CARET_EQ] = ACTIONS(5865),
    [anon_sym_PIPE_EQ] = ACTIONS(5865),
    [anon_sym_and_eq] = ACTIONS(5863),
    [anon_sym_or_eq] = ACTIONS(5863),
    [anon_sym_xor_eq] = ACTIONS(5863),
    [anon_sym_LT_EQ_GT] = ACTIONS(5865),
    [anon_sym_or] = ACTIONS(5863),
    [anon_sym_and] = ACTIONS(5863),
    [anon_sym_bitor] = ACTIONS(5863),
    [anon_sym_xor] = ACTIONS(5863),
    [anon_sym_bitand] = ACTIONS(5863),
    [anon_sym_not_eq] = ACTIONS(5863),
    [anon_sym_DASH_DASH] = ACTIONS(5865),
    [anon_sym_PLUS_PLUS] = ACTIONS(5865),
    [anon_sym_DOT] = ACTIONS(5863),
    [anon_sym_DOT_STAR] = ACTIONS(5865),
    [anon_sym_DASH_GT] = ACTIONS(5865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5863),
    [anon_sym_decltype] = ACTIONS(5863),
  },
  [2148] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2111),
    [sym_identifier] = ACTIONS(5867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5543),
    [anon_sym_COMMA] = ACTIONS(5543),
    [anon_sym_LPAREN2] = ACTIONS(5543),
    [anon_sym_DASH] = ACTIONS(5545),
    [anon_sym_PLUS] = ACTIONS(5545),
    [anon_sym_STAR] = ACTIONS(5543),
    [anon_sym_SLASH] = ACTIONS(5545),
    [anon_sym_PERCENT] = ACTIONS(5543),
    [anon_sym_PIPE_PIPE] = ACTIONS(5543),
    [anon_sym_AMP_AMP] = ACTIONS(5543),
    [anon_sym_PIPE] = ACTIONS(5545),
    [anon_sym_CARET] = ACTIONS(5543),
    [anon_sym_AMP] = ACTIONS(5545),
    [anon_sym_EQ_EQ] = ACTIONS(5543),
    [anon_sym_BANG_EQ] = ACTIONS(5543),
    [anon_sym_GT] = ACTIONS(5545),
    [anon_sym_GT_EQ] = ACTIONS(5545),
    [anon_sym_LT_EQ] = ACTIONS(5545),
    [anon_sym_LT] = ACTIONS(5545),
    [anon_sym_LT_LT] = ACTIONS(5543),
    [anon_sym_GT_GT] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5545),
    [anon_sym_LBRACE] = ACTIONS(5543),
    [anon_sym_signed] = ACTIONS(5869),
    [anon_sym_unsigned] = ACTIONS(5869),
    [anon_sym_long] = ACTIONS(5869),
    [anon_sym_short] = ACTIONS(5869),
    [anon_sym_LBRACK] = ACTIONS(5543),
    [anon_sym_const] = ACTIONS(5545),
    [anon_sym_constexpr] = ACTIONS(5545),
    [anon_sym_volatile] = ACTIONS(5545),
    [anon_sym_restrict] = ACTIONS(5545),
    [anon_sym___restrict__] = ACTIONS(5545),
    [anon_sym__Atomic] = ACTIONS(5545),
    [anon_sym__Noreturn] = ACTIONS(5545),
    [anon_sym_noreturn] = ACTIONS(5545),
    [anon_sym__Nonnull] = ACTIONS(5545),
    [anon_sym_mutable] = ACTIONS(5545),
    [anon_sym_constinit] = ACTIONS(5545),
    [anon_sym_consteval] = ACTIONS(5545),
    [anon_sym_alignas] = ACTIONS(5545),
    [anon_sym__Alignas] = ACTIONS(5545),
    [sym_primitive_type] = ACTIONS(5871),
    [anon_sym_QMARK] = ACTIONS(5543),
    [anon_sym_LT_EQ_GT] = ACTIONS(5543),
    [anon_sym_or] = ACTIONS(5545),
    [anon_sym_and] = ACTIONS(5545),
    [anon_sym_bitor] = ACTIONS(5545),
    [anon_sym_xor] = ACTIONS(5545),
    [anon_sym_bitand] = ACTIONS(5545),
    [anon_sym_not_eq] = ACTIONS(5545),
    [anon_sym_DASH_DASH] = ACTIONS(5543),
    [anon_sym_PLUS_PLUS] = ACTIONS(5543),
    [anon_sym_DOT] = ACTIONS(5545),
    [anon_sym_DOT_STAR] = ACTIONS(5543),
    [anon_sym_DASH_GT] = ACTIONS(5543),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5545),
    [anon_sym_decltype] = ACTIONS(5545),
    [anon_sym_final] = ACTIONS(5545),
    [anon_sym_override] = ACTIONS(5545),
    [anon_sym_GT2] = ACTIONS(5543),
    [anon_sym_requires] = ACTIONS(5545),
  },
  [2149] = {
    [sym_attribute_specifier] = STATE(2225),
    [sym_identifier] = ACTIONS(5873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5875),
    [anon_sym_COMMA] = ACTIONS(5875),
    [anon_sym_RPAREN] = ACTIONS(5875),
    [aux_sym_preproc_if_token2] = ACTIONS(5875),
    [aux_sym_preproc_else_token1] = ACTIONS(5875),
    [aux_sym_preproc_elif_token1] = ACTIONS(5873),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5875),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5875),
    [anon_sym_LPAREN2] = ACTIONS(5875),
    [anon_sym_DASH] = ACTIONS(5873),
    [anon_sym_PLUS] = ACTIONS(5873),
    [anon_sym_STAR] = ACTIONS(5873),
    [anon_sym_SLASH] = ACTIONS(5873),
    [anon_sym_PERCENT] = ACTIONS(5873),
    [anon_sym_PIPE_PIPE] = ACTIONS(5875),
    [anon_sym_AMP_AMP] = ACTIONS(5875),
    [anon_sym_PIPE] = ACTIONS(5873),
    [anon_sym_CARET] = ACTIONS(5873),
    [anon_sym_AMP] = ACTIONS(5873),
    [anon_sym_EQ_EQ] = ACTIONS(5875),
    [anon_sym_BANG_EQ] = ACTIONS(5875),
    [anon_sym_GT] = ACTIONS(5873),
    [anon_sym_GT_EQ] = ACTIONS(5875),
    [anon_sym_LT_EQ] = ACTIONS(5873),
    [anon_sym_LT] = ACTIONS(5873),
    [anon_sym_LT_LT] = ACTIONS(5873),
    [anon_sym_GT_GT] = ACTIONS(5873),
    [anon_sym_SEMI] = ACTIONS(5875),
    [anon_sym___attribute__] = ACTIONS(5249),
    [anon_sym_LBRACE] = ACTIONS(5875),
    [anon_sym_RBRACE] = ACTIONS(5875),
    [anon_sym_LBRACK] = ACTIONS(5875),
    [anon_sym_RBRACK] = ACTIONS(5875),
    [anon_sym_EQ] = ACTIONS(5873),
    [anon_sym_COLON] = ACTIONS(5875),
    [anon_sym_QMARK] = ACTIONS(5875),
    [anon_sym_STAR_EQ] = ACTIONS(5875),
    [anon_sym_SLASH_EQ] = ACTIONS(5875),
    [anon_sym_PERCENT_EQ] = ACTIONS(5875),
    [anon_sym_PLUS_EQ] = ACTIONS(5875),
    [anon_sym_DASH_EQ] = ACTIONS(5875),
    [anon_sym_LT_LT_EQ] = ACTIONS(5875),
    [anon_sym_GT_GT_EQ] = ACTIONS(5875),
    [anon_sym_AMP_EQ] = ACTIONS(5875),
    [anon_sym_CARET_EQ] = ACTIONS(5875),
    [anon_sym_PIPE_EQ] = ACTIONS(5875),
    [anon_sym_and_eq] = ACTIONS(5873),
    [anon_sym_or_eq] = ACTIONS(5873),
    [anon_sym_xor_eq] = ACTIONS(5873),
    [anon_sym_LT_EQ_GT] = ACTIONS(5875),
    [anon_sym_or] = ACTIONS(5873),
    [anon_sym_and] = ACTIONS(5873),
    [anon_sym_bitor] = ACTIONS(5873),
    [anon_sym_xor] = ACTIONS(5873),
    [anon_sym_bitand] = ACTIONS(5873),
    [anon_sym_not_eq] = ACTIONS(5873),
    [anon_sym_DASH_DASH] = ACTIONS(5875),
    [anon_sym_PLUS_PLUS] = ACTIONS(5875),
    [anon_sym_DOT] = ACTIONS(5873),
    [anon_sym_DOT_STAR] = ACTIONS(5875),
    [anon_sym_DASH_GT] = ACTIONS(5875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5873),
    [anon_sym_decltype] = ACTIONS(5873),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(5877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(5879),
    [anon_sym_RPAREN] = ACTIONS(5879),
    [aux_sym_preproc_if_token2] = ACTIONS(5879),
    [aux_sym_preproc_else_token1] = ACTIONS(5879),
    [aux_sym_preproc_elif_token1] = ACTIONS(5877),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5879),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5879),
    [anon_sym_LPAREN2] = ACTIONS(5879),
    [anon_sym_DASH] = ACTIONS(5877),
    [anon_sym_PLUS] = ACTIONS(5877),
    [anon_sym_STAR] = ACTIONS(5877),
    [anon_sym_SLASH] = ACTIONS(5877),
    [anon_sym_PERCENT] = ACTIONS(5877),
    [anon_sym_PIPE_PIPE] = ACTIONS(5879),
    [anon_sym_AMP_AMP] = ACTIONS(5879),
    [anon_sym_PIPE] = ACTIONS(5877),
    [anon_sym_CARET] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(5877),
    [anon_sym_EQ_EQ] = ACTIONS(5879),
    [anon_sym_BANG_EQ] = ACTIONS(5879),
    [anon_sym_GT] = ACTIONS(5877),
    [anon_sym_GT_EQ] = ACTIONS(5879),
    [anon_sym_LT_EQ] = ACTIONS(5877),
    [anon_sym_LT] = ACTIONS(5877),
    [anon_sym_LT_LT] = ACTIONS(5877),
    [anon_sym_GT_GT] = ACTIONS(5877),
    [anon_sym_SEMI] = ACTIONS(5879),
    [anon_sym___attribute__] = ACTIONS(5877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5879),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_RBRACE] = ACTIONS(5879),
    [anon_sym_LBRACK] = ACTIONS(5877),
    [anon_sym_RBRACK] = ACTIONS(5879),
    [anon_sym_EQ] = ACTIONS(5877),
    [anon_sym_COLON] = ACTIONS(5879),
    [anon_sym_QMARK] = ACTIONS(5879),
    [anon_sym_STAR_EQ] = ACTIONS(5879),
    [anon_sym_SLASH_EQ] = ACTIONS(5879),
    [anon_sym_PERCENT_EQ] = ACTIONS(5879),
    [anon_sym_PLUS_EQ] = ACTIONS(5879),
    [anon_sym_DASH_EQ] = ACTIONS(5879),
    [anon_sym_LT_LT_EQ] = ACTIONS(5879),
    [anon_sym_GT_GT_EQ] = ACTIONS(5879),
    [anon_sym_AMP_EQ] = ACTIONS(5879),
    [anon_sym_CARET_EQ] = ACTIONS(5879),
    [anon_sym_PIPE_EQ] = ACTIONS(5879),
    [anon_sym_and_eq] = ACTIONS(5877),
    [anon_sym_or_eq] = ACTIONS(5877),
    [anon_sym_xor_eq] = ACTIONS(5877),
    [anon_sym_LT_EQ_GT] = ACTIONS(5879),
    [anon_sym_or] = ACTIONS(5877),
    [anon_sym_and] = ACTIONS(5877),
    [anon_sym_bitor] = ACTIONS(5877),
    [anon_sym_xor] = ACTIONS(5877),
    [anon_sym_bitand] = ACTIONS(5877),
    [anon_sym_not_eq] = ACTIONS(5877),
    [anon_sym_DASH_DASH] = ACTIONS(5879),
    [anon_sym_PLUS_PLUS] = ACTIONS(5879),
    [anon_sym_DOT] = ACTIONS(5877),
    [anon_sym_DOT_STAR] = ACTIONS(5879),
    [anon_sym_DASH_GT] = ACTIONS(5879),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5877),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(5557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5559),
    [anon_sym_COMMA] = ACTIONS(5559),
    [anon_sym_RPAREN] = ACTIONS(5559),
    [aux_sym_preproc_if_token2] = ACTIONS(5559),
    [aux_sym_preproc_else_token1] = ACTIONS(5559),
    [aux_sym_preproc_elif_token1] = ACTIONS(5557),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5559),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5559),
    [anon_sym_DASH] = ACTIONS(5557),
    [anon_sym_PLUS] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_SLASH] = ACTIONS(5557),
    [anon_sym_PERCENT] = ACTIONS(5557),
    [anon_sym_PIPE_PIPE] = ACTIONS(5559),
    [anon_sym_AMP_AMP] = ACTIONS(5559),
    [anon_sym_PIPE] = ACTIONS(5557),
    [anon_sym_CARET] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5557),
    [anon_sym_EQ_EQ] = ACTIONS(5559),
    [anon_sym_BANG_EQ] = ACTIONS(5559),
    [anon_sym_GT] = ACTIONS(5557),
    [anon_sym_GT_EQ] = ACTIONS(5559),
    [anon_sym_LT_EQ] = ACTIONS(5557),
    [anon_sym_LT] = ACTIONS(5557),
    [anon_sym_LT_LT] = ACTIONS(5557),
    [anon_sym_GT_GT] = ACTIONS(5557),
    [anon_sym_SEMI] = ACTIONS(5559),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5559),
    [anon_sym_RBRACE] = ACTIONS(5559),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_RBRACK] = ACTIONS(5559),
    [anon_sym_EQ] = ACTIONS(5557),
    [anon_sym_COLON] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_STAR_EQ] = ACTIONS(5559),
    [anon_sym_SLASH_EQ] = ACTIONS(5559),
    [anon_sym_PERCENT_EQ] = ACTIONS(5559),
    [anon_sym_PLUS_EQ] = ACTIONS(5559),
    [anon_sym_DASH_EQ] = ACTIONS(5559),
    [anon_sym_LT_LT_EQ] = ACTIONS(5559),
    [anon_sym_GT_GT_EQ] = ACTIONS(5559),
    [anon_sym_AMP_EQ] = ACTIONS(5559),
    [anon_sym_CARET_EQ] = ACTIONS(5559),
    [anon_sym_PIPE_EQ] = ACTIONS(5559),
    [anon_sym_and_eq] = ACTIONS(5557),
    [anon_sym_or_eq] = ACTIONS(5557),
    [anon_sym_xor_eq] = ACTIONS(5557),
    [anon_sym_LT_EQ_GT] = ACTIONS(5559),
    [anon_sym_or] = ACTIONS(5557),
    [anon_sym_and] = ACTIONS(5557),
    [anon_sym_bitor] = ACTIONS(5557),
    [anon_sym_xor] = ACTIONS(5557),
    [anon_sym_bitand] = ACTIONS(5557),
    [anon_sym_not_eq] = ACTIONS(5557),
    [anon_sym_DASH_DASH] = ACTIONS(5559),
    [anon_sym_PLUS_PLUS] = ACTIONS(5559),
    [anon_sym_DOT] = ACTIONS(5557),
    [anon_sym_DOT_STAR] = ACTIONS(5559),
    [anon_sym_DASH_GT] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5557),
    [anon_sym_decltype] = ACTIONS(5557),
  },
  [2152] = {
    [sym_argument_list] = STATE(2385),
    [sym_initializer_list] = STATE(2385),
    [sym_identifier] = ACTIONS(5881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5883),
    [anon_sym_COMMA] = ACTIONS(5883),
    [anon_sym_RPAREN] = ACTIONS(5883),
    [aux_sym_preproc_if_token2] = ACTIONS(5883),
    [aux_sym_preproc_else_token1] = ACTIONS(5883),
    [aux_sym_preproc_elif_token1] = ACTIONS(5881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5883),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5881),
    [anon_sym_PLUS] = ACTIONS(5881),
    [anon_sym_STAR] = ACTIONS(5881),
    [anon_sym_SLASH] = ACTIONS(5881),
    [anon_sym_PERCENT] = ACTIONS(5881),
    [anon_sym_PIPE_PIPE] = ACTIONS(5883),
    [anon_sym_AMP_AMP] = ACTIONS(5883),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_CARET] = ACTIONS(5881),
    [anon_sym_AMP] = ACTIONS(5881),
    [anon_sym_EQ_EQ] = ACTIONS(5883),
    [anon_sym_BANG_EQ] = ACTIONS(5883),
    [anon_sym_GT] = ACTIONS(5881),
    [anon_sym_GT_EQ] = ACTIONS(5883),
    [anon_sym_LT_EQ] = ACTIONS(5881),
    [anon_sym_LT] = ACTIONS(5881),
    [anon_sym_LT_LT] = ACTIONS(5881),
    [anon_sym_GT_GT] = ACTIONS(5881),
    [anon_sym_SEMI] = ACTIONS(5883),
    [anon_sym___attribute__] = ACTIONS(5881),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5883),
    [anon_sym_LBRACK] = ACTIONS(5883),
    [anon_sym_RBRACK] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_COLON] = ACTIONS(5883),
    [anon_sym_QMARK] = ACTIONS(5883),
    [anon_sym_STAR_EQ] = ACTIONS(5883),
    [anon_sym_SLASH_EQ] = ACTIONS(5883),
    [anon_sym_PERCENT_EQ] = ACTIONS(5883),
    [anon_sym_PLUS_EQ] = ACTIONS(5883),
    [anon_sym_DASH_EQ] = ACTIONS(5883),
    [anon_sym_LT_LT_EQ] = ACTIONS(5883),
    [anon_sym_GT_GT_EQ] = ACTIONS(5883),
    [anon_sym_AMP_EQ] = ACTIONS(5883),
    [anon_sym_CARET_EQ] = ACTIONS(5883),
    [anon_sym_PIPE_EQ] = ACTIONS(5883),
    [anon_sym_and_eq] = ACTIONS(5881),
    [anon_sym_or_eq] = ACTIONS(5881),
    [anon_sym_xor_eq] = ACTIONS(5881),
    [anon_sym_LT_EQ_GT] = ACTIONS(5883),
    [anon_sym_or] = ACTIONS(5881),
    [anon_sym_and] = ACTIONS(5881),
    [anon_sym_bitor] = ACTIONS(5881),
    [anon_sym_xor] = ACTIONS(5881),
    [anon_sym_bitand] = ACTIONS(5881),
    [anon_sym_not_eq] = ACTIONS(5881),
    [anon_sym_DASH_DASH] = ACTIONS(5883),
    [anon_sym_PLUS_PLUS] = ACTIONS(5883),
    [anon_sym_DOT] = ACTIONS(5881),
    [anon_sym_DOT_STAR] = ACTIONS(5883),
    [anon_sym_DASH_GT] = ACTIONS(5883),
    [sym_comment] = ACTIONS(3),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(5396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5398),
    [anon_sym_COMMA] = ACTIONS(5398),
    [anon_sym_RPAREN] = ACTIONS(5398),
    [aux_sym_preproc_if_token2] = ACTIONS(5398),
    [aux_sym_preproc_else_token1] = ACTIONS(5398),
    [aux_sym_preproc_elif_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5398),
    [anon_sym_LPAREN2] = ACTIONS(5398),
    [anon_sym_DASH] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(5396),
    [anon_sym_STAR] = ACTIONS(5396),
    [anon_sym_SLASH] = ACTIONS(5396),
    [anon_sym_PERCENT] = ACTIONS(5396),
    [anon_sym_PIPE_PIPE] = ACTIONS(5398),
    [anon_sym_AMP_AMP] = ACTIONS(5398),
    [anon_sym_PIPE] = ACTIONS(5396),
    [anon_sym_CARET] = ACTIONS(5396),
    [anon_sym_AMP] = ACTIONS(5396),
    [anon_sym_EQ_EQ] = ACTIONS(5398),
    [anon_sym_BANG_EQ] = ACTIONS(5398),
    [anon_sym_GT] = ACTIONS(5396),
    [anon_sym_GT_EQ] = ACTIONS(5398),
    [anon_sym_LT_EQ] = ACTIONS(5396),
    [anon_sym_LT] = ACTIONS(5396),
    [anon_sym_LT_LT] = ACTIONS(5396),
    [anon_sym_GT_GT] = ACTIONS(5396),
    [anon_sym_SEMI] = ACTIONS(5398),
    [anon_sym___attribute__] = ACTIONS(5396),
    [anon_sym_LBRACE] = ACTIONS(5398),
    [anon_sym_RBRACE] = ACTIONS(5398),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5398),
    [anon_sym_EQ] = ACTIONS(5396),
    [anon_sym_COLON] = ACTIONS(5398),
    [anon_sym_QMARK] = ACTIONS(5398),
    [anon_sym_STAR_EQ] = ACTIONS(5398),
    [anon_sym_SLASH_EQ] = ACTIONS(5398),
    [anon_sym_PERCENT_EQ] = ACTIONS(5398),
    [anon_sym_PLUS_EQ] = ACTIONS(5398),
    [anon_sym_DASH_EQ] = ACTIONS(5398),
    [anon_sym_LT_LT_EQ] = ACTIONS(5398),
    [anon_sym_GT_GT_EQ] = ACTIONS(5398),
    [anon_sym_AMP_EQ] = ACTIONS(5398),
    [anon_sym_CARET_EQ] = ACTIONS(5398),
    [anon_sym_PIPE_EQ] = ACTIONS(5398),
    [anon_sym_and_eq] = ACTIONS(5396),
    [anon_sym_or_eq] = ACTIONS(5396),
    [anon_sym_xor_eq] = ACTIONS(5396),
    [anon_sym_LT_EQ_GT] = ACTIONS(5398),
    [anon_sym_or] = ACTIONS(5396),
    [anon_sym_and] = ACTIONS(5396),
    [anon_sym_bitor] = ACTIONS(5396),
    [anon_sym_xor] = ACTIONS(5396),
    [anon_sym_bitand] = ACTIONS(5396),
    [anon_sym_not_eq] = ACTIONS(5396),
    [anon_sym_DASH_DASH] = ACTIONS(5398),
    [anon_sym_PLUS_PLUS] = ACTIONS(5398),
    [anon_sym_DOT] = ACTIONS(5396),
    [anon_sym_DOT_STAR] = ACTIONS(5398),
    [anon_sym_DASH_GT] = ACTIONS(5398),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5396),
    [anon_sym_decltype] = ACTIONS(5396),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(5506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5508),
    [anon_sym_COMMA] = ACTIONS(5508),
    [anon_sym_RPAREN] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5506),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_DASH] = ACTIONS(5506),
    [anon_sym_PLUS] = ACTIONS(5506),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_SLASH] = ACTIONS(5506),
    [anon_sym_PERCENT] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE] = ACTIONS(5508),
    [anon_sym_AMP_AMP] = ACTIONS(5508),
    [anon_sym_PIPE] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5506),
    [anon_sym_EQ_EQ] = ACTIONS(5508),
    [anon_sym_BANG_EQ] = ACTIONS(5508),
    [anon_sym_GT] = ACTIONS(5506),
    [anon_sym_GT_EQ] = ACTIONS(5508),
    [anon_sym_LT_EQ] = ACTIONS(5506),
    [anon_sym_LT] = ACTIONS(5506),
    [anon_sym_LT_LT] = ACTIONS(5506),
    [anon_sym_GT_GT] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5508),
    [anon_sym___attribute__] = ACTIONS(5506),
    [anon_sym_LBRACE] = ACTIONS(5508),
    [anon_sym_RBRACE] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5508),
    [anon_sym_RBRACK] = ACTIONS(5508),
    [anon_sym_EQ] = ACTIONS(5506),
    [anon_sym_COLON] = ACTIONS(5508),
    [anon_sym_QMARK] = ACTIONS(5508),
    [anon_sym_STAR_EQ] = ACTIONS(5508),
    [anon_sym_SLASH_EQ] = ACTIONS(5508),
    [anon_sym_PERCENT_EQ] = ACTIONS(5508),
    [anon_sym_PLUS_EQ] = ACTIONS(5508),
    [anon_sym_DASH_EQ] = ACTIONS(5508),
    [anon_sym_LT_LT_EQ] = ACTIONS(5508),
    [anon_sym_GT_GT_EQ] = ACTIONS(5508),
    [anon_sym_AMP_EQ] = ACTIONS(5508),
    [anon_sym_CARET_EQ] = ACTIONS(5508),
    [anon_sym_PIPE_EQ] = ACTIONS(5508),
    [anon_sym_and_eq] = ACTIONS(5506),
    [anon_sym_or_eq] = ACTIONS(5506),
    [anon_sym_xor_eq] = ACTIONS(5506),
    [anon_sym_LT_EQ_GT] = ACTIONS(5508),
    [anon_sym_or] = ACTIONS(5506),
    [anon_sym_and] = ACTIONS(5506),
    [anon_sym_bitor] = ACTIONS(5506),
    [anon_sym_xor] = ACTIONS(5506),
    [anon_sym_bitand] = ACTIONS(5506),
    [anon_sym_not_eq] = ACTIONS(5506),
    [anon_sym_DASH_DASH] = ACTIONS(5508),
    [anon_sym_PLUS_PLUS] = ACTIONS(5508),
    [anon_sym_DOT] = ACTIONS(5506),
    [anon_sym_DOT_STAR] = ACTIONS(5508),
    [anon_sym_DASH_GT] = ACTIONS(5508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5506),
    [anon_sym_decltype] = ACTIONS(5506),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(5510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5512),
    [anon_sym_COMMA] = ACTIONS(5512),
    [anon_sym_RPAREN] = ACTIONS(5512),
    [aux_sym_preproc_if_token2] = ACTIONS(5512),
    [aux_sym_preproc_else_token1] = ACTIONS(5512),
    [aux_sym_preproc_elif_token1] = ACTIONS(5510),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5512),
    [anon_sym_LPAREN2] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5510),
    [anon_sym_PLUS] = ACTIONS(5510),
    [anon_sym_STAR] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5510),
    [anon_sym_PERCENT] = ACTIONS(5510),
    [anon_sym_PIPE_PIPE] = ACTIONS(5512),
    [anon_sym_AMP_AMP] = ACTIONS(5512),
    [anon_sym_PIPE] = ACTIONS(5510),
    [anon_sym_CARET] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(5510),
    [anon_sym_EQ_EQ] = ACTIONS(5512),
    [anon_sym_BANG_EQ] = ACTIONS(5512),
    [anon_sym_GT] = ACTIONS(5510),
    [anon_sym_GT_EQ] = ACTIONS(5512),
    [anon_sym_LT_EQ] = ACTIONS(5510),
    [anon_sym_LT] = ACTIONS(5510),
    [anon_sym_LT_LT] = ACTIONS(5510),
    [anon_sym_GT_GT] = ACTIONS(5510),
    [anon_sym_SEMI] = ACTIONS(5512),
    [anon_sym___attribute__] = ACTIONS(5510),
    [anon_sym_LBRACE] = ACTIONS(5512),
    [anon_sym_RBRACE] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [anon_sym_RBRACK] = ACTIONS(5512),
    [anon_sym_EQ] = ACTIONS(5510),
    [anon_sym_COLON] = ACTIONS(5512),
    [anon_sym_QMARK] = ACTIONS(5512),
    [anon_sym_STAR_EQ] = ACTIONS(5512),
    [anon_sym_SLASH_EQ] = ACTIONS(5512),
    [anon_sym_PERCENT_EQ] = ACTIONS(5512),
    [anon_sym_PLUS_EQ] = ACTIONS(5512),
    [anon_sym_DASH_EQ] = ACTIONS(5512),
    [anon_sym_LT_LT_EQ] = ACTIONS(5512),
    [anon_sym_GT_GT_EQ] = ACTIONS(5512),
    [anon_sym_AMP_EQ] = ACTIONS(5512),
    [anon_sym_CARET_EQ] = ACTIONS(5512),
    [anon_sym_PIPE_EQ] = ACTIONS(5512),
    [anon_sym_and_eq] = ACTIONS(5510),
    [anon_sym_or_eq] = ACTIONS(5510),
    [anon_sym_xor_eq] = ACTIONS(5510),
    [anon_sym_LT_EQ_GT] = ACTIONS(5512),
    [anon_sym_or] = ACTIONS(5510),
    [anon_sym_and] = ACTIONS(5510),
    [anon_sym_bitor] = ACTIONS(5510),
    [anon_sym_xor] = ACTIONS(5510),
    [anon_sym_bitand] = ACTIONS(5510),
    [anon_sym_not_eq] = ACTIONS(5510),
    [anon_sym_DASH_DASH] = ACTIONS(5512),
    [anon_sym_PLUS_PLUS] = ACTIONS(5512),
    [anon_sym_DOT] = ACTIONS(5510),
    [anon_sym_DOT_STAR] = ACTIONS(5512),
    [anon_sym_DASH_GT] = ACTIONS(5512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5510),
    [anon_sym_decltype] = ACTIONS(5510),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(5537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5539),
    [anon_sym_COMMA] = ACTIONS(5539),
    [anon_sym_RPAREN] = ACTIONS(5539),
    [aux_sym_preproc_if_token2] = ACTIONS(5539),
    [aux_sym_preproc_else_token1] = ACTIONS(5539),
    [aux_sym_preproc_elif_token1] = ACTIONS(5537),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5539),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5539),
    [anon_sym_LPAREN2] = ACTIONS(5539),
    [anon_sym_DASH] = ACTIONS(5537),
    [anon_sym_PLUS] = ACTIONS(5537),
    [anon_sym_STAR] = ACTIONS(5537),
    [anon_sym_SLASH] = ACTIONS(5537),
    [anon_sym_PERCENT] = ACTIONS(5537),
    [anon_sym_PIPE_PIPE] = ACTIONS(5539),
    [anon_sym_AMP_AMP] = ACTIONS(5539),
    [anon_sym_PIPE] = ACTIONS(5537),
    [anon_sym_CARET] = ACTIONS(5537),
    [anon_sym_AMP] = ACTIONS(5537),
    [anon_sym_EQ_EQ] = ACTIONS(5539),
    [anon_sym_BANG_EQ] = ACTIONS(5539),
    [anon_sym_GT] = ACTIONS(5537),
    [anon_sym_GT_EQ] = ACTIONS(5539),
    [anon_sym_LT_EQ] = ACTIONS(5537),
    [anon_sym_LT] = ACTIONS(5537),
    [anon_sym_LT_LT] = ACTIONS(5537),
    [anon_sym_GT_GT] = ACTIONS(5537),
    [anon_sym_SEMI] = ACTIONS(5539),
    [anon_sym___attribute__] = ACTIONS(5537),
    [anon_sym_LBRACE] = ACTIONS(5539),
    [anon_sym_RBRACE] = ACTIONS(5539),
    [anon_sym_LBRACK] = ACTIONS(5539),
    [anon_sym_RBRACK] = ACTIONS(5539),
    [anon_sym_EQ] = ACTIONS(5537),
    [anon_sym_COLON] = ACTIONS(5539),
    [anon_sym_QMARK] = ACTIONS(5539),
    [anon_sym_STAR_EQ] = ACTIONS(5539),
    [anon_sym_SLASH_EQ] = ACTIONS(5539),
    [anon_sym_PERCENT_EQ] = ACTIONS(5539),
    [anon_sym_PLUS_EQ] = ACTIONS(5539),
    [anon_sym_DASH_EQ] = ACTIONS(5539),
    [anon_sym_LT_LT_EQ] = ACTIONS(5539),
    [anon_sym_GT_GT_EQ] = ACTIONS(5539),
    [anon_sym_AMP_EQ] = ACTIONS(5539),
    [anon_sym_CARET_EQ] = ACTIONS(5539),
    [anon_sym_PIPE_EQ] = ACTIONS(5539),
    [anon_sym_and_eq] = ACTIONS(5537),
    [anon_sym_or_eq] = ACTIONS(5537),
    [anon_sym_xor_eq] = ACTIONS(5537),
    [anon_sym_LT_EQ_GT] = ACTIONS(5539),
    [anon_sym_or] = ACTIONS(5537),
    [anon_sym_and] = ACTIONS(5537),
    [anon_sym_bitor] = ACTIONS(5537),
    [anon_sym_xor] = ACTIONS(5537),
    [anon_sym_bitand] = ACTIONS(5537),
    [anon_sym_not_eq] = ACTIONS(5537),
    [anon_sym_DASH_DASH] = ACTIONS(5539),
    [anon_sym_PLUS_PLUS] = ACTIONS(5539),
    [anon_sym_DOT] = ACTIONS(5537),
    [anon_sym_DOT_STAR] = ACTIONS(5539),
    [anon_sym_DASH_GT] = ACTIONS(5539),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5537),
    [anon_sym_decltype] = ACTIONS(5537),
  },
  [2157] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5643),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5641),
    [anon_sym_COMMA] = ACTIONS(5641),
    [aux_sym_preproc_if_token2] = ACTIONS(5641),
    [aux_sym_preproc_else_token1] = ACTIONS(5641),
    [aux_sym_preproc_elif_token1] = ACTIONS(5643),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5641),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5641),
    [anon_sym_LPAREN2] = ACTIONS(5641),
    [anon_sym_DASH] = ACTIONS(5643),
    [anon_sym_PLUS] = ACTIONS(5643),
    [anon_sym_STAR] = ACTIONS(5643),
    [anon_sym_SLASH] = ACTIONS(5643),
    [anon_sym_PERCENT] = ACTIONS(5643),
    [anon_sym_PIPE_PIPE] = ACTIONS(5641),
    [anon_sym_AMP_AMP] = ACTIONS(5641),
    [anon_sym_PIPE] = ACTIONS(5643),
    [anon_sym_CARET] = ACTIONS(5643),
    [anon_sym_AMP] = ACTIONS(5643),
    [anon_sym_EQ_EQ] = ACTIONS(5641),
    [anon_sym_BANG_EQ] = ACTIONS(5641),
    [anon_sym_GT] = ACTIONS(5643),
    [anon_sym_GT_EQ] = ACTIONS(5641),
    [anon_sym_LT_EQ] = ACTIONS(5643),
    [anon_sym_LT] = ACTIONS(5643),
    [anon_sym_LT_LT] = ACTIONS(5643),
    [anon_sym_GT_GT] = ACTIONS(5643),
    [anon_sym___attribute__] = ACTIONS(5643),
    [anon_sym_LBRACE] = ACTIONS(5641),
    [anon_sym_signed] = ACTIONS(5885),
    [anon_sym_unsigned] = ACTIONS(5885),
    [anon_sym_long] = ACTIONS(5885),
    [anon_sym_short] = ACTIONS(5885),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_EQ] = ACTIONS(5643),
    [anon_sym_QMARK] = ACTIONS(5641),
    [anon_sym_STAR_EQ] = ACTIONS(5641),
    [anon_sym_SLASH_EQ] = ACTIONS(5641),
    [anon_sym_PERCENT_EQ] = ACTIONS(5641),
    [anon_sym_PLUS_EQ] = ACTIONS(5641),
    [anon_sym_DASH_EQ] = ACTIONS(5641),
    [anon_sym_LT_LT_EQ] = ACTIONS(5641),
    [anon_sym_GT_GT_EQ] = ACTIONS(5641),
    [anon_sym_AMP_EQ] = ACTIONS(5641),
    [anon_sym_CARET_EQ] = ACTIONS(5641),
    [anon_sym_PIPE_EQ] = ACTIONS(5641),
    [anon_sym_and_eq] = ACTIONS(5643),
    [anon_sym_or_eq] = ACTIONS(5643),
    [anon_sym_xor_eq] = ACTIONS(5643),
    [anon_sym_LT_EQ_GT] = ACTIONS(5641),
    [anon_sym_or] = ACTIONS(5643),
    [anon_sym_and] = ACTIONS(5643),
    [anon_sym_bitor] = ACTIONS(5643),
    [anon_sym_xor] = ACTIONS(5643),
    [anon_sym_bitand] = ACTIONS(5643),
    [anon_sym_not_eq] = ACTIONS(5643),
    [anon_sym_DASH_DASH] = ACTIONS(5641),
    [anon_sym_PLUS_PLUS] = ACTIONS(5641),
    [anon_sym_DOT] = ACTIONS(5643),
    [anon_sym_DOT_STAR] = ACTIONS(5641),
    [anon_sym_DASH_GT] = ACTIONS(5641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5643),
    [anon_sym_decltype] = ACTIONS(5643),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(5459),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5461),
    [anon_sym_COMMA] = ACTIONS(5461),
    [anon_sym_RPAREN] = ACTIONS(5461),
    [aux_sym_preproc_if_token2] = ACTIONS(5461),
    [aux_sym_preproc_else_token1] = ACTIONS(5461),
    [aux_sym_preproc_elif_token1] = ACTIONS(5459),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5461),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5461),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5459),
    [anon_sym_PLUS] = ACTIONS(5459),
    [anon_sym_STAR] = ACTIONS(5459),
    [anon_sym_SLASH] = ACTIONS(5459),
    [anon_sym_PERCENT] = ACTIONS(5459),
    [anon_sym_PIPE_PIPE] = ACTIONS(5461),
    [anon_sym_AMP_AMP] = ACTIONS(5461),
    [anon_sym_PIPE] = ACTIONS(5459),
    [anon_sym_CARET] = ACTIONS(5459),
    [anon_sym_AMP] = ACTIONS(5459),
    [anon_sym_EQ_EQ] = ACTIONS(5461),
    [anon_sym_BANG_EQ] = ACTIONS(5461),
    [anon_sym_GT] = ACTIONS(5459),
    [anon_sym_GT_EQ] = ACTIONS(5461),
    [anon_sym_LT_EQ] = ACTIONS(5459),
    [anon_sym_LT] = ACTIONS(5459),
    [anon_sym_LT_LT] = ACTIONS(5459),
    [anon_sym_GT_GT] = ACTIONS(5459),
    [anon_sym_SEMI] = ACTIONS(5461),
    [anon_sym___attribute__] = ACTIONS(5459),
    [anon_sym_LBRACE] = ACTIONS(5461),
    [anon_sym_RBRACE] = ACTIONS(5461),
    [anon_sym_LBRACK] = ACTIONS(5461),
    [anon_sym_RBRACK] = ACTIONS(5461),
    [anon_sym_EQ] = ACTIONS(5459),
    [anon_sym_COLON] = ACTIONS(5461),
    [anon_sym_QMARK] = ACTIONS(5461),
    [anon_sym_STAR_EQ] = ACTIONS(5461),
    [anon_sym_SLASH_EQ] = ACTIONS(5461),
    [anon_sym_PERCENT_EQ] = ACTIONS(5461),
    [anon_sym_PLUS_EQ] = ACTIONS(5461),
    [anon_sym_DASH_EQ] = ACTIONS(5461),
    [anon_sym_LT_LT_EQ] = ACTIONS(5461),
    [anon_sym_GT_GT_EQ] = ACTIONS(5461),
    [anon_sym_AMP_EQ] = ACTIONS(5461),
    [anon_sym_CARET_EQ] = ACTIONS(5461),
    [anon_sym_PIPE_EQ] = ACTIONS(5461),
    [anon_sym_and_eq] = ACTIONS(5459),
    [anon_sym_or_eq] = ACTIONS(5459),
    [anon_sym_xor_eq] = ACTIONS(5459),
    [anon_sym_LT_EQ_GT] = ACTIONS(5461),
    [anon_sym_or] = ACTIONS(5459),
    [anon_sym_and] = ACTIONS(5459),
    [anon_sym_bitor] = ACTIONS(5459),
    [anon_sym_xor] = ACTIONS(5459),
    [anon_sym_bitand] = ACTIONS(5459),
    [anon_sym_not_eq] = ACTIONS(5459),
    [anon_sym_DASH_DASH] = ACTIONS(5461),
    [anon_sym_PLUS_PLUS] = ACTIONS(5461),
    [anon_sym_DOT] = ACTIONS(5459),
    [anon_sym_DOT_STAR] = ACTIONS(5461),
    [anon_sym_DASH_GT] = ACTIONS(5461),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5459),
    [anon_sym_decltype] = ACTIONS(5459),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [aux_sym_preproc_if_token2] = ACTIONS(5414),
    [aux_sym_preproc_else_token1] = ACTIONS(5414),
    [aux_sym_preproc_elif_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5412),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5412),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5412),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5412),
    [anon_sym_GT_GT] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_EQ] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_STAR_EQ] = ACTIONS(5414),
    [anon_sym_SLASH_EQ] = ACTIONS(5414),
    [anon_sym_PERCENT_EQ] = ACTIONS(5414),
    [anon_sym_PLUS_EQ] = ACTIONS(5414),
    [anon_sym_DASH_EQ] = ACTIONS(5414),
    [anon_sym_LT_LT_EQ] = ACTIONS(5414),
    [anon_sym_GT_GT_EQ] = ACTIONS(5414),
    [anon_sym_AMP_EQ] = ACTIONS(5414),
    [anon_sym_CARET_EQ] = ACTIONS(5414),
    [anon_sym_PIPE_EQ] = ACTIONS(5414),
    [anon_sym_and_eq] = ACTIONS(5412),
    [anon_sym_or_eq] = ACTIONS(5412),
    [anon_sym_xor_eq] = ACTIONS(5412),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5468),
    [anon_sym_COMMA] = ACTIONS(5468),
    [anon_sym_RPAREN] = ACTIONS(5468),
    [aux_sym_preproc_if_token2] = ACTIONS(5468),
    [aux_sym_preproc_else_token1] = ACTIONS(5468),
    [aux_sym_preproc_elif_token1] = ACTIONS(5466),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [anon_sym_DASH] = ACTIONS(5466),
    [anon_sym_PLUS] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_SLASH] = ACTIONS(5466),
    [anon_sym_PERCENT] = ACTIONS(5466),
    [anon_sym_PIPE_PIPE] = ACTIONS(5468),
    [anon_sym_AMP_AMP] = ACTIONS(5468),
    [anon_sym_PIPE] = ACTIONS(5466),
    [anon_sym_CARET] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5466),
    [anon_sym_EQ_EQ] = ACTIONS(5468),
    [anon_sym_BANG_EQ] = ACTIONS(5468),
    [anon_sym_GT] = ACTIONS(5466),
    [anon_sym_GT_EQ] = ACTIONS(5468),
    [anon_sym_LT_EQ] = ACTIONS(5466),
    [anon_sym_LT] = ACTIONS(5466),
    [anon_sym_LT_LT] = ACTIONS(5466),
    [anon_sym_GT_GT] = ACTIONS(5466),
    [anon_sym_SEMI] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5466),
    [anon_sym_LBRACE] = ACTIONS(5468),
    [anon_sym_RBRACE] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_RBRACK] = ACTIONS(5468),
    [anon_sym_EQ] = ACTIONS(5466),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5468),
    [anon_sym_STAR_EQ] = ACTIONS(5468),
    [anon_sym_SLASH_EQ] = ACTIONS(5468),
    [anon_sym_PERCENT_EQ] = ACTIONS(5468),
    [anon_sym_PLUS_EQ] = ACTIONS(5468),
    [anon_sym_DASH_EQ] = ACTIONS(5468),
    [anon_sym_LT_LT_EQ] = ACTIONS(5468),
    [anon_sym_GT_GT_EQ] = ACTIONS(5468),
    [anon_sym_AMP_EQ] = ACTIONS(5468),
    [anon_sym_CARET_EQ] = ACTIONS(5468),
    [anon_sym_PIPE_EQ] = ACTIONS(5468),
    [anon_sym_and_eq] = ACTIONS(5466),
    [anon_sym_or_eq] = ACTIONS(5466),
    [anon_sym_xor_eq] = ACTIONS(5466),
    [anon_sym_LT_EQ_GT] = ACTIONS(5468),
    [anon_sym_or] = ACTIONS(5466),
    [anon_sym_and] = ACTIONS(5466),
    [anon_sym_bitor] = ACTIONS(5466),
    [anon_sym_xor] = ACTIONS(5466),
    [anon_sym_bitand] = ACTIONS(5466),
    [anon_sym_not_eq] = ACTIONS(5466),
    [anon_sym_DASH_DASH] = ACTIONS(5468),
    [anon_sym_PLUS_PLUS] = ACTIONS(5468),
    [anon_sym_DOT] = ACTIONS(5466),
    [anon_sym_DOT_STAR] = ACTIONS(5468),
    [anon_sym_DASH_GT] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5466),
    [anon_sym_decltype] = ACTIONS(5466),
  },
  [2161] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5598),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [aux_sym_preproc_if_token2] = ACTIONS(5596),
    [aux_sym_preproc_else_token1] = ACTIONS(5596),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5596),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5596),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5598),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5598),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_CARET] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5598),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5598),
    [anon_sym_GT_GT] = ACTIONS(5598),
    [anon_sym___attribute__] = ACTIONS(5598),
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_signed] = ACTIONS(5885),
    [anon_sym_unsigned] = ACTIONS(5885),
    [anon_sym_long] = ACTIONS(5885),
    [anon_sym_short] = ACTIONS(5885),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_EQ] = ACTIONS(5598),
    [anon_sym_QMARK] = ACTIONS(5596),
    [anon_sym_STAR_EQ] = ACTIONS(5596),
    [anon_sym_SLASH_EQ] = ACTIONS(5596),
    [anon_sym_PERCENT_EQ] = ACTIONS(5596),
    [anon_sym_PLUS_EQ] = ACTIONS(5596),
    [anon_sym_DASH_EQ] = ACTIONS(5596),
    [anon_sym_LT_LT_EQ] = ACTIONS(5596),
    [anon_sym_GT_GT_EQ] = ACTIONS(5596),
    [anon_sym_AMP_EQ] = ACTIONS(5596),
    [anon_sym_CARET_EQ] = ACTIONS(5596),
    [anon_sym_PIPE_EQ] = ACTIONS(5596),
    [anon_sym_and_eq] = ACTIONS(5598),
    [anon_sym_or_eq] = ACTIONS(5598),
    [anon_sym_xor_eq] = ACTIONS(5598),
    [anon_sym_LT_EQ_GT] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5598),
    [anon_sym_and] = ACTIONS(5598),
    [anon_sym_bitor] = ACTIONS(5598),
    [anon_sym_xor] = ACTIONS(5598),
    [anon_sym_bitand] = ACTIONS(5598),
    [anon_sym_not_eq] = ACTIONS(5598),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_DOT_STAR] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5598),
    [anon_sym_decltype] = ACTIONS(5598),
  },
  [2162] = {
    [sym_attribute_specifier] = STATE(1821),
    [sym_enumerator_list] = STATE(2272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5720),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5720),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5720),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5720),
    [anon_sym_GT_GT] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___extension__] = ACTIONS(5720),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5887),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_RBRACK] = ACTIONS(5720),
    [anon_sym_const] = ACTIONS(5718),
    [anon_sym_constexpr] = ACTIONS(5720),
    [anon_sym_volatile] = ACTIONS(5720),
    [anon_sym_restrict] = ACTIONS(5720),
    [anon_sym___restrict__] = ACTIONS(5720),
    [anon_sym__Atomic] = ACTIONS(5720),
    [anon_sym__Noreturn] = ACTIONS(5720),
    [anon_sym_noreturn] = ACTIONS(5720),
    [anon_sym__Nonnull] = ACTIONS(5720),
    [anon_sym_mutable] = ACTIONS(5720),
    [anon_sym_constinit] = ACTIONS(5720),
    [anon_sym_consteval] = ACTIONS(5720),
    [anon_sym_alignas] = ACTIONS(5720),
    [anon_sym__Alignas] = ACTIONS(5720),
    [anon_sym_COLON] = ACTIONS(5720),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5720),
    [anon_sym_and] = ACTIONS(5720),
    [anon_sym_bitor] = ACTIONS(5720),
    [anon_sym_xor] = ACTIONS(5720),
    [anon_sym_bitand] = ACTIONS(5720),
    [anon_sym_not_eq] = ACTIONS(5720),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5720),
    [anon_sym_decltype] = ACTIONS(5720),
    [anon_sym_final] = ACTIONS(5720),
    [anon_sym_override] = ACTIONS(5720),
    [anon_sym_requires] = ACTIONS(5720),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(5889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5891),
    [anon_sym_COMMA] = ACTIONS(5891),
    [anon_sym_RPAREN] = ACTIONS(5891),
    [aux_sym_preproc_if_token2] = ACTIONS(5891),
    [aux_sym_preproc_else_token1] = ACTIONS(5891),
    [aux_sym_preproc_elif_token1] = ACTIONS(5889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5891),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5891),
    [anon_sym_LPAREN2] = ACTIONS(5891),
    [anon_sym_DASH] = ACTIONS(5889),
    [anon_sym_PLUS] = ACTIONS(5889),
    [anon_sym_STAR] = ACTIONS(5889),
    [anon_sym_SLASH] = ACTIONS(5889),
    [anon_sym_PERCENT] = ACTIONS(5889),
    [anon_sym_PIPE_PIPE] = ACTIONS(5891),
    [anon_sym_AMP_AMP] = ACTIONS(5891),
    [anon_sym_PIPE] = ACTIONS(5889),
    [anon_sym_CARET] = ACTIONS(5889),
    [anon_sym_AMP] = ACTIONS(5889),
    [anon_sym_EQ_EQ] = ACTIONS(5891),
    [anon_sym_BANG_EQ] = ACTIONS(5891),
    [anon_sym_GT] = ACTIONS(5889),
    [anon_sym_GT_EQ] = ACTIONS(5891),
    [anon_sym_LT_EQ] = ACTIONS(5889),
    [anon_sym_LT] = ACTIONS(5889),
    [anon_sym_LT_LT] = ACTIONS(5889),
    [anon_sym_GT_GT] = ACTIONS(5889),
    [anon_sym_SEMI] = ACTIONS(5891),
    [anon_sym___attribute__] = ACTIONS(5889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5891),
    [anon_sym_LBRACE] = ACTIONS(5891),
    [anon_sym_RBRACE] = ACTIONS(5891),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5891),
    [anon_sym_EQ] = ACTIONS(5889),
    [anon_sym_COLON] = ACTIONS(5891),
    [anon_sym_QMARK] = ACTIONS(5891),
    [anon_sym_STAR_EQ] = ACTIONS(5891),
    [anon_sym_SLASH_EQ] = ACTIONS(5891),
    [anon_sym_PERCENT_EQ] = ACTIONS(5891),
    [anon_sym_PLUS_EQ] = ACTIONS(5891),
    [anon_sym_DASH_EQ] = ACTIONS(5891),
    [anon_sym_LT_LT_EQ] = ACTIONS(5891),
    [anon_sym_GT_GT_EQ] = ACTIONS(5891),
    [anon_sym_AMP_EQ] = ACTIONS(5891),
    [anon_sym_CARET_EQ] = ACTIONS(5891),
    [anon_sym_PIPE_EQ] = ACTIONS(5891),
    [anon_sym_and_eq] = ACTIONS(5889),
    [anon_sym_or_eq] = ACTIONS(5889),
    [anon_sym_xor_eq] = ACTIONS(5889),
    [anon_sym_LT_EQ_GT] = ACTIONS(5891),
    [anon_sym_or] = ACTIONS(5889),
    [anon_sym_and] = ACTIONS(5889),
    [anon_sym_bitor] = ACTIONS(5889),
    [anon_sym_xor] = ACTIONS(5889),
    [anon_sym_bitand] = ACTIONS(5889),
    [anon_sym_not_eq] = ACTIONS(5889),
    [anon_sym_DASH_DASH] = ACTIONS(5891),
    [anon_sym_PLUS_PLUS] = ACTIONS(5891),
    [anon_sym_DOT] = ACTIONS(5889),
    [anon_sym_DOT_STAR] = ACTIONS(5891),
    [anon_sym_DASH_GT] = ACTIONS(5891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5889),
  },
  [2164] = {
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_unaligned_ptr_modifier] = STATE(3994),
    [sym_ms_pointer_modifier] = STATE(3819),
    [sym__declarator] = STATE(6059),
    [sym__abstract_declarator] = STATE(6287),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_function_declarator] = STATE(5841),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5841),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_type_qualifier] = STATE(2741),
    [sym_alignas_qualifier] = STATE(4312),
    [sym_parameter_list] = STATE(3008),
    [sym_decltype] = STATE(8141),
    [sym_reference_declarator] = STATE(5841),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5470),
    [sym_qualified_identifier] = STATE(5841),
    [sym_operator_name] = STATE(5841),
    [aux_sym__type_definition_type_repeat1] = STATE(2741),
    [aux_sym_pointer_declarator_repeat1] = STATE(3819),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_RPAREN] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(4150),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_AMP] = ACTIONS(4154),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(5893),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2884),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2884),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2884),
    [anon_sym__unaligned] = ACTIONS(2886),
    [anon_sym___unaligned] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2890),
    [anon_sym__Alignas] = ACTIONS(2890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [2165] = {
    [sym_identifier] = ACTIONS(5895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5897),
    [anon_sym_COMMA] = ACTIONS(5897),
    [anon_sym_RPAREN] = ACTIONS(5897),
    [aux_sym_preproc_if_token2] = ACTIONS(5897),
    [aux_sym_preproc_else_token1] = ACTIONS(5897),
    [aux_sym_preproc_elif_token1] = ACTIONS(5895),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5897),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5897),
    [anon_sym_LPAREN2] = ACTIONS(5897),
    [anon_sym_DASH] = ACTIONS(5895),
    [anon_sym_PLUS] = ACTIONS(5895),
    [anon_sym_STAR] = ACTIONS(5895),
    [anon_sym_SLASH] = ACTIONS(5895),
    [anon_sym_PERCENT] = ACTIONS(5895),
    [anon_sym_PIPE_PIPE] = ACTIONS(5897),
    [anon_sym_AMP_AMP] = ACTIONS(5897),
    [anon_sym_PIPE] = ACTIONS(5895),
    [anon_sym_CARET] = ACTIONS(5895),
    [anon_sym_AMP] = ACTIONS(5895),
    [anon_sym_EQ_EQ] = ACTIONS(5897),
    [anon_sym_BANG_EQ] = ACTIONS(5897),
    [anon_sym_GT] = ACTIONS(5895),
    [anon_sym_GT_EQ] = ACTIONS(5897),
    [anon_sym_LT_EQ] = ACTIONS(5895),
    [anon_sym_LT] = ACTIONS(5895),
    [anon_sym_LT_LT] = ACTIONS(5895),
    [anon_sym_GT_GT] = ACTIONS(5895),
    [anon_sym_SEMI] = ACTIONS(5897),
    [anon_sym___attribute__] = ACTIONS(5895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5897),
    [anon_sym_LBRACE] = ACTIONS(5897),
    [anon_sym_RBRACE] = ACTIONS(5897),
    [anon_sym_LBRACK] = ACTIONS(5895),
    [anon_sym_RBRACK] = ACTIONS(5897),
    [anon_sym_EQ] = ACTIONS(5895),
    [anon_sym_COLON] = ACTIONS(5897),
    [anon_sym_QMARK] = ACTIONS(5897),
    [anon_sym_STAR_EQ] = ACTIONS(5897),
    [anon_sym_SLASH_EQ] = ACTIONS(5897),
    [anon_sym_PERCENT_EQ] = ACTIONS(5897),
    [anon_sym_PLUS_EQ] = ACTIONS(5897),
    [anon_sym_DASH_EQ] = ACTIONS(5897),
    [anon_sym_LT_LT_EQ] = ACTIONS(5897),
    [anon_sym_GT_GT_EQ] = ACTIONS(5897),
    [anon_sym_AMP_EQ] = ACTIONS(5897),
    [anon_sym_CARET_EQ] = ACTIONS(5897),
    [anon_sym_PIPE_EQ] = ACTIONS(5897),
    [anon_sym_and_eq] = ACTIONS(5895),
    [anon_sym_or_eq] = ACTIONS(5895),
    [anon_sym_xor_eq] = ACTIONS(5895),
    [anon_sym_LT_EQ_GT] = ACTIONS(5897),
    [anon_sym_or] = ACTIONS(5895),
    [anon_sym_and] = ACTIONS(5895),
    [anon_sym_bitor] = ACTIONS(5895),
    [anon_sym_xor] = ACTIONS(5895),
    [anon_sym_bitand] = ACTIONS(5895),
    [anon_sym_not_eq] = ACTIONS(5895),
    [anon_sym_DASH_DASH] = ACTIONS(5897),
    [anon_sym_PLUS_PLUS] = ACTIONS(5897),
    [anon_sym_DOT] = ACTIONS(5895),
    [anon_sym_DOT_STAR] = ACTIONS(5897),
    [anon_sym_DASH_GT] = ACTIONS(5897),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5895),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(5899),
    [anon_sym_LPAREN2] = ACTIONS(5901),
    [anon_sym_TILDE] = ACTIONS(5901),
    [anon_sym_STAR] = ACTIONS(5901),
    [anon_sym_PIPE_PIPE] = ACTIONS(5903),
    [anon_sym_AMP_AMP] = ACTIONS(5905),
    [anon_sym_AMP] = ACTIONS(5899),
    [anon_sym___extension__] = ACTIONS(5899),
    [anon_sym_virtual] = ACTIONS(5899),
    [anon_sym_extern] = ACTIONS(5899),
    [anon_sym___attribute__] = ACTIONS(5899),
    [anon_sym_COLON_COLON] = ACTIONS(5901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5901),
    [anon_sym___declspec] = ACTIONS(5899),
    [anon_sym___based] = ACTIONS(5899),
    [anon_sym___cdecl] = ACTIONS(5899),
    [anon_sym___clrcall] = ACTIONS(5899),
    [anon_sym___stdcall] = ACTIONS(5899),
    [anon_sym___fastcall] = ACTIONS(5899),
    [anon_sym___thiscall] = ACTIONS(5899),
    [anon_sym___vectorcall] = ACTIONS(5899),
    [anon_sym_signed] = ACTIONS(5899),
    [anon_sym_unsigned] = ACTIONS(5899),
    [anon_sym_long] = ACTIONS(5899),
    [anon_sym_short] = ACTIONS(5899),
    [anon_sym_LBRACK] = ACTIONS(5899),
    [anon_sym_static] = ACTIONS(5899),
    [anon_sym_register] = ACTIONS(5899),
    [anon_sym_inline] = ACTIONS(5899),
    [anon_sym___inline] = ACTIONS(5899),
    [anon_sym___inline__] = ACTIONS(5899),
    [anon_sym___forceinline] = ACTIONS(5899),
    [anon_sym_thread_local] = ACTIONS(5899),
    [anon_sym___thread] = ACTIONS(5899),
    [anon_sym_const] = ACTIONS(5899),
    [anon_sym_constexpr] = ACTIONS(5899),
    [anon_sym_volatile] = ACTIONS(5899),
    [anon_sym_restrict] = ACTIONS(5899),
    [anon_sym___restrict__] = ACTIONS(5899),
    [anon_sym__Atomic] = ACTIONS(5899),
    [anon_sym__Noreturn] = ACTIONS(5899),
    [anon_sym_noreturn] = ACTIONS(5899),
    [anon_sym__Nonnull] = ACTIONS(5899),
    [anon_sym_mutable] = ACTIONS(5899),
    [anon_sym_constinit] = ACTIONS(5899),
    [anon_sym_consteval] = ACTIONS(5899),
    [anon_sym_alignas] = ACTIONS(5899),
    [anon_sym__Alignas] = ACTIONS(5899),
    [sym_primitive_type] = ACTIONS(5899),
    [anon_sym_enum] = ACTIONS(5899),
    [anon_sym_class] = ACTIONS(5899),
    [anon_sym_struct] = ACTIONS(5899),
    [anon_sym_union] = ACTIONS(5899),
    [anon_sym_or] = ACTIONS(5907),
    [anon_sym_and] = ACTIONS(5909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5899),
    [anon_sym_decltype] = ACTIONS(5899),
    [anon_sym_explicit] = ACTIONS(5899),
    [anon_sym_typename] = ACTIONS(5899),
    [anon_sym_template] = ACTIONS(5899),
    [anon_sym_operator] = ACTIONS(5899),
    [anon_sym_friend] = ACTIONS(5899),
    [anon_sym_using] = ACTIONS(5899),
    [anon_sym_concept] = ACTIONS(5899),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(5911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5913),
    [anon_sym_COMMA] = ACTIONS(5913),
    [anon_sym_RPAREN] = ACTIONS(5913),
    [aux_sym_preproc_if_token2] = ACTIONS(5913),
    [aux_sym_preproc_else_token1] = ACTIONS(5913),
    [aux_sym_preproc_elif_token1] = ACTIONS(5911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5913),
    [anon_sym_LPAREN2] = ACTIONS(5913),
    [anon_sym_DASH] = ACTIONS(5911),
    [anon_sym_PLUS] = ACTIONS(5911),
    [anon_sym_STAR] = ACTIONS(5911),
    [anon_sym_SLASH] = ACTIONS(5911),
    [anon_sym_PERCENT] = ACTIONS(5911),
    [anon_sym_PIPE_PIPE] = ACTIONS(5913),
    [anon_sym_AMP_AMP] = ACTIONS(5913),
    [anon_sym_PIPE] = ACTIONS(5911),
    [anon_sym_CARET] = ACTIONS(5911),
    [anon_sym_AMP] = ACTIONS(5911),
    [anon_sym_EQ_EQ] = ACTIONS(5913),
    [anon_sym_BANG_EQ] = ACTIONS(5913),
    [anon_sym_GT] = ACTIONS(5911),
    [anon_sym_GT_EQ] = ACTIONS(5913),
    [anon_sym_LT_EQ] = ACTIONS(5911),
    [anon_sym_LT] = ACTIONS(5911),
    [anon_sym_LT_LT] = ACTIONS(5911),
    [anon_sym_GT_GT] = ACTIONS(5911),
    [anon_sym_SEMI] = ACTIONS(5913),
    [anon_sym___attribute__] = ACTIONS(5911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5913),
    [anon_sym_LBRACE] = ACTIONS(5913),
    [anon_sym_RBRACE] = ACTIONS(5913),
    [anon_sym_LBRACK] = ACTIONS(5911),
    [anon_sym_RBRACK] = ACTIONS(5913),
    [anon_sym_EQ] = ACTIONS(5911),
    [anon_sym_COLON] = ACTIONS(5913),
    [anon_sym_QMARK] = ACTIONS(5913),
    [anon_sym_STAR_EQ] = ACTIONS(5913),
    [anon_sym_SLASH_EQ] = ACTIONS(5913),
    [anon_sym_PERCENT_EQ] = ACTIONS(5913),
    [anon_sym_PLUS_EQ] = ACTIONS(5913),
    [anon_sym_DASH_EQ] = ACTIONS(5913),
    [anon_sym_LT_LT_EQ] = ACTIONS(5913),
    [anon_sym_GT_GT_EQ] = ACTIONS(5913),
    [anon_sym_AMP_EQ] = ACTIONS(5913),
    [anon_sym_CARET_EQ] = ACTIONS(5913),
    [anon_sym_PIPE_EQ] = ACTIONS(5913),
    [anon_sym_and_eq] = ACTIONS(5911),
    [anon_sym_or_eq] = ACTIONS(5911),
    [anon_sym_xor_eq] = ACTIONS(5911),
    [anon_sym_LT_EQ_GT] = ACTIONS(5913),
    [anon_sym_or] = ACTIONS(5911),
    [anon_sym_and] = ACTIONS(5911),
    [anon_sym_bitor] = ACTIONS(5911),
    [anon_sym_xor] = ACTIONS(5911),
    [anon_sym_bitand] = ACTIONS(5911),
    [anon_sym_not_eq] = ACTIONS(5911),
    [anon_sym_DASH_DASH] = ACTIONS(5913),
    [anon_sym_PLUS_PLUS] = ACTIONS(5913),
    [anon_sym_DOT] = ACTIONS(5911),
    [anon_sym_DOT_STAR] = ACTIONS(5913),
    [anon_sym_DASH_GT] = ACTIONS(5913),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5911),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(5915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5917),
    [anon_sym_COMMA] = ACTIONS(5917),
    [anon_sym_RPAREN] = ACTIONS(5917),
    [aux_sym_preproc_if_token2] = ACTIONS(5917),
    [aux_sym_preproc_else_token1] = ACTIONS(5917),
    [aux_sym_preproc_elif_token1] = ACTIONS(5915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5917),
    [anon_sym_LPAREN2] = ACTIONS(5917),
    [anon_sym_DASH] = ACTIONS(5915),
    [anon_sym_PLUS] = ACTIONS(5915),
    [anon_sym_STAR] = ACTIONS(5915),
    [anon_sym_SLASH] = ACTIONS(5915),
    [anon_sym_PERCENT] = ACTIONS(5915),
    [anon_sym_PIPE_PIPE] = ACTIONS(5917),
    [anon_sym_AMP_AMP] = ACTIONS(5917),
    [anon_sym_PIPE] = ACTIONS(5915),
    [anon_sym_CARET] = ACTIONS(5915),
    [anon_sym_AMP] = ACTIONS(5915),
    [anon_sym_EQ_EQ] = ACTIONS(5917),
    [anon_sym_BANG_EQ] = ACTIONS(5917),
    [anon_sym_GT] = ACTIONS(5915),
    [anon_sym_GT_EQ] = ACTIONS(5917),
    [anon_sym_LT_EQ] = ACTIONS(5915),
    [anon_sym_LT] = ACTIONS(5915),
    [anon_sym_LT_LT] = ACTIONS(5915),
    [anon_sym_GT_GT] = ACTIONS(5915),
    [anon_sym_SEMI] = ACTIONS(5917),
    [anon_sym___attribute__] = ACTIONS(5915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5917),
    [anon_sym_LBRACE] = ACTIONS(5917),
    [anon_sym_RBRACE] = ACTIONS(5917),
    [anon_sym_LBRACK] = ACTIONS(5915),
    [anon_sym_RBRACK] = ACTIONS(5917),
    [anon_sym_EQ] = ACTIONS(5915),
    [anon_sym_COLON] = ACTIONS(5917),
    [anon_sym_QMARK] = ACTIONS(5917),
    [anon_sym_STAR_EQ] = ACTIONS(5917),
    [anon_sym_SLASH_EQ] = ACTIONS(5917),
    [anon_sym_PERCENT_EQ] = ACTIONS(5917),
    [anon_sym_PLUS_EQ] = ACTIONS(5917),
    [anon_sym_DASH_EQ] = ACTIONS(5917),
    [anon_sym_LT_LT_EQ] = ACTIONS(5917),
    [anon_sym_GT_GT_EQ] = ACTIONS(5917),
    [anon_sym_AMP_EQ] = ACTIONS(5917),
    [anon_sym_CARET_EQ] = ACTIONS(5917),
    [anon_sym_PIPE_EQ] = ACTIONS(5917),
    [anon_sym_and_eq] = ACTIONS(5915),
    [anon_sym_or_eq] = ACTIONS(5915),
    [anon_sym_xor_eq] = ACTIONS(5915),
    [anon_sym_LT_EQ_GT] = ACTIONS(5917),
    [anon_sym_or] = ACTIONS(5915),
    [anon_sym_and] = ACTIONS(5915),
    [anon_sym_bitor] = ACTIONS(5915),
    [anon_sym_xor] = ACTIONS(5915),
    [anon_sym_bitand] = ACTIONS(5915),
    [anon_sym_not_eq] = ACTIONS(5915),
    [anon_sym_DASH_DASH] = ACTIONS(5917),
    [anon_sym_PLUS_PLUS] = ACTIONS(5917),
    [anon_sym_DOT] = ACTIONS(5915),
    [anon_sym_DOT_STAR] = ACTIONS(5917),
    [anon_sym_DASH_GT] = ACTIONS(5917),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5915),
  },
  [2169] = {
    [sym_argument_list] = STATE(2345),
    [sym_initializer_list] = STATE(2345),
    [sym_identifier] = ACTIONS(5919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5921),
    [anon_sym_COMMA] = ACTIONS(5921),
    [anon_sym_RPAREN] = ACTIONS(5921),
    [aux_sym_preproc_if_token2] = ACTIONS(5921),
    [aux_sym_preproc_else_token1] = ACTIONS(5921),
    [aux_sym_preproc_elif_token1] = ACTIONS(5919),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5921),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5919),
    [anon_sym_PLUS] = ACTIONS(5919),
    [anon_sym_STAR] = ACTIONS(5919),
    [anon_sym_SLASH] = ACTIONS(5919),
    [anon_sym_PERCENT] = ACTIONS(5919),
    [anon_sym_PIPE_PIPE] = ACTIONS(5921),
    [anon_sym_AMP_AMP] = ACTIONS(5921),
    [anon_sym_PIPE] = ACTIONS(5919),
    [anon_sym_CARET] = ACTIONS(5919),
    [anon_sym_AMP] = ACTIONS(5919),
    [anon_sym_EQ_EQ] = ACTIONS(5921),
    [anon_sym_BANG_EQ] = ACTIONS(5921),
    [anon_sym_GT] = ACTIONS(5919),
    [anon_sym_GT_EQ] = ACTIONS(5921),
    [anon_sym_LT_EQ] = ACTIONS(5919),
    [anon_sym_LT] = ACTIONS(5919),
    [anon_sym_LT_LT] = ACTIONS(5919),
    [anon_sym_GT_GT] = ACTIONS(5919),
    [anon_sym_SEMI] = ACTIONS(5921),
    [anon_sym___attribute__] = ACTIONS(5919),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5921),
    [anon_sym_LBRACK] = ACTIONS(5921),
    [anon_sym_RBRACK] = ACTIONS(5921),
    [anon_sym_EQ] = ACTIONS(5919),
    [anon_sym_COLON] = ACTIONS(5921),
    [anon_sym_QMARK] = ACTIONS(5921),
    [anon_sym_STAR_EQ] = ACTIONS(5921),
    [anon_sym_SLASH_EQ] = ACTIONS(5921),
    [anon_sym_PERCENT_EQ] = ACTIONS(5921),
    [anon_sym_PLUS_EQ] = ACTIONS(5921),
    [anon_sym_DASH_EQ] = ACTIONS(5921),
    [anon_sym_LT_LT_EQ] = ACTIONS(5921),
    [anon_sym_GT_GT_EQ] = ACTIONS(5921),
    [anon_sym_AMP_EQ] = ACTIONS(5921),
    [anon_sym_CARET_EQ] = ACTIONS(5921),
    [anon_sym_PIPE_EQ] = ACTIONS(5921),
    [anon_sym_and_eq] = ACTIONS(5919),
    [anon_sym_or_eq] = ACTIONS(5919),
    [anon_sym_xor_eq] = ACTIONS(5919),
    [anon_sym_LT_EQ_GT] = ACTIONS(5921),
    [anon_sym_or] = ACTIONS(5919),
    [anon_sym_and] = ACTIONS(5919),
    [anon_sym_bitor] = ACTIONS(5919),
    [anon_sym_xor] = ACTIONS(5919),
    [anon_sym_bitand] = ACTIONS(5919),
    [anon_sym_not_eq] = ACTIONS(5919),
    [anon_sym_DASH_DASH] = ACTIONS(5921),
    [anon_sym_PLUS_PLUS] = ACTIONS(5921),
    [anon_sym_DOT] = ACTIONS(5919),
    [anon_sym_DOT_STAR] = ACTIONS(5921),
    [anon_sym_DASH_GT] = ACTIONS(5921),
    [sym_comment] = ACTIONS(3),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [aux_sym_preproc_if_token2] = ACTIONS(5336),
    [aux_sym_preproc_else_token1] = ACTIONS(5336),
    [aux_sym_preproc_elif_token1] = ACTIONS(5334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_STAR] = ACTIONS(5334),
    [anon_sym_SLASH] = ACTIONS(5334),
    [anon_sym_PERCENT] = ACTIONS(5334),
    [anon_sym_PIPE_PIPE] = ACTIONS(5336),
    [anon_sym_AMP_AMP] = ACTIONS(5336),
    [anon_sym_PIPE] = ACTIONS(5334),
    [anon_sym_CARET] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(5334),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_GT] = ACTIONS(5334),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5334),
    [anon_sym_LT] = ACTIONS(5334),
    [anon_sym_LT_LT] = ACTIONS(5334),
    [anon_sym_GT_GT] = ACTIONS(5334),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym___attribute__] = ACTIONS(5334),
    [anon_sym_LBRACE] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_RBRACK] = ACTIONS(5336),
    [anon_sym_EQ] = ACTIONS(5334),
    [anon_sym_COLON] = ACTIONS(5336),
    [anon_sym_QMARK] = ACTIONS(5336),
    [anon_sym_STAR_EQ] = ACTIONS(5336),
    [anon_sym_SLASH_EQ] = ACTIONS(5336),
    [anon_sym_PERCENT_EQ] = ACTIONS(5336),
    [anon_sym_PLUS_EQ] = ACTIONS(5336),
    [anon_sym_DASH_EQ] = ACTIONS(5336),
    [anon_sym_LT_LT_EQ] = ACTIONS(5336),
    [anon_sym_GT_GT_EQ] = ACTIONS(5336),
    [anon_sym_AMP_EQ] = ACTIONS(5336),
    [anon_sym_CARET_EQ] = ACTIONS(5336),
    [anon_sym_PIPE_EQ] = ACTIONS(5336),
    [anon_sym_and_eq] = ACTIONS(5334),
    [anon_sym_or_eq] = ACTIONS(5334),
    [anon_sym_xor_eq] = ACTIONS(5334),
    [anon_sym_LT_EQ_GT] = ACTIONS(5336),
    [anon_sym_or] = ACTIONS(5334),
    [anon_sym_and] = ACTIONS(5334),
    [anon_sym_bitor] = ACTIONS(5334),
    [anon_sym_xor] = ACTIONS(5334),
    [anon_sym_bitand] = ACTIONS(5334),
    [anon_sym_not_eq] = ACTIONS(5334),
    [anon_sym_DASH_DASH] = ACTIONS(5336),
    [anon_sym_PLUS_PLUS] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5334),
    [anon_sym_DOT_STAR] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5334),
    [anon_sym_decltype] = ACTIONS(5334),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(5428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5430),
    [anon_sym_COMMA] = ACTIONS(5430),
    [anon_sym_RPAREN] = ACTIONS(5430),
    [aux_sym_preproc_if_token2] = ACTIONS(5430),
    [aux_sym_preproc_else_token1] = ACTIONS(5430),
    [aux_sym_preproc_elif_token1] = ACTIONS(5428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5430),
    [anon_sym_LPAREN2] = ACTIONS(5430),
    [anon_sym_DASH] = ACTIONS(5428),
    [anon_sym_PLUS] = ACTIONS(5428),
    [anon_sym_STAR] = ACTIONS(5428),
    [anon_sym_SLASH] = ACTIONS(5428),
    [anon_sym_PERCENT] = ACTIONS(5428),
    [anon_sym_PIPE_PIPE] = ACTIONS(5430),
    [anon_sym_AMP_AMP] = ACTIONS(5430),
    [anon_sym_PIPE] = ACTIONS(5428),
    [anon_sym_CARET] = ACTIONS(5428),
    [anon_sym_AMP] = ACTIONS(5428),
    [anon_sym_EQ_EQ] = ACTIONS(5430),
    [anon_sym_BANG_EQ] = ACTIONS(5430),
    [anon_sym_GT] = ACTIONS(5428),
    [anon_sym_GT_EQ] = ACTIONS(5430),
    [anon_sym_LT_EQ] = ACTIONS(5428),
    [anon_sym_LT] = ACTIONS(5428),
    [anon_sym_LT_LT] = ACTIONS(5428),
    [anon_sym_GT_GT] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(5430),
    [anon_sym___attribute__] = ACTIONS(5428),
    [anon_sym_LBRACE] = ACTIONS(5430),
    [anon_sym_RBRACE] = ACTIONS(5430),
    [anon_sym_LBRACK] = ACTIONS(5430),
    [anon_sym_RBRACK] = ACTIONS(5430),
    [anon_sym_EQ] = ACTIONS(5428),
    [anon_sym_COLON] = ACTIONS(5430),
    [anon_sym_QMARK] = ACTIONS(5430),
    [anon_sym_STAR_EQ] = ACTIONS(5430),
    [anon_sym_SLASH_EQ] = ACTIONS(5430),
    [anon_sym_PERCENT_EQ] = ACTIONS(5430),
    [anon_sym_PLUS_EQ] = ACTIONS(5430),
    [anon_sym_DASH_EQ] = ACTIONS(5430),
    [anon_sym_LT_LT_EQ] = ACTIONS(5430),
    [anon_sym_GT_GT_EQ] = ACTIONS(5430),
    [anon_sym_AMP_EQ] = ACTIONS(5430),
    [anon_sym_CARET_EQ] = ACTIONS(5430),
    [anon_sym_PIPE_EQ] = ACTIONS(5430),
    [anon_sym_and_eq] = ACTIONS(5428),
    [anon_sym_or_eq] = ACTIONS(5428),
    [anon_sym_xor_eq] = ACTIONS(5428),
    [anon_sym_LT_EQ_GT] = ACTIONS(5430),
    [anon_sym_or] = ACTIONS(5428),
    [anon_sym_and] = ACTIONS(5428),
    [anon_sym_bitor] = ACTIONS(5428),
    [anon_sym_xor] = ACTIONS(5428),
    [anon_sym_bitand] = ACTIONS(5428),
    [anon_sym_not_eq] = ACTIONS(5428),
    [anon_sym_DASH_DASH] = ACTIONS(5430),
    [anon_sym_PLUS_PLUS] = ACTIONS(5430),
    [anon_sym_DOT] = ACTIONS(5428),
    [anon_sym_DOT_STAR] = ACTIONS(5430),
    [anon_sym_DASH_GT] = ACTIONS(5430),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5428),
    [anon_sym_decltype] = ACTIONS(5428),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(5444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5446),
    [anon_sym_COMMA] = ACTIONS(5446),
    [anon_sym_RPAREN] = ACTIONS(5446),
    [aux_sym_preproc_if_token2] = ACTIONS(5446),
    [aux_sym_preproc_else_token1] = ACTIONS(5446),
    [aux_sym_preproc_elif_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5446),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5446),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_DASH] = ACTIONS(5444),
    [anon_sym_PLUS] = ACTIONS(5444),
    [anon_sym_STAR] = ACTIONS(5444),
    [anon_sym_SLASH] = ACTIONS(5444),
    [anon_sym_PERCENT] = ACTIONS(5444),
    [anon_sym_PIPE_PIPE] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_PIPE] = ACTIONS(5444),
    [anon_sym_CARET] = ACTIONS(5444),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_EQ_EQ] = ACTIONS(5446),
    [anon_sym_BANG_EQ] = ACTIONS(5446),
    [anon_sym_GT] = ACTIONS(5444),
    [anon_sym_GT_EQ] = ACTIONS(5446),
    [anon_sym_LT_EQ] = ACTIONS(5444),
    [anon_sym_LT] = ACTIONS(5444),
    [anon_sym_LT_LT] = ACTIONS(5444),
    [anon_sym_GT_GT] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym_LBRACE] = ACTIONS(5446),
    [anon_sym_RBRACE] = ACTIONS(5446),
    [anon_sym_LBRACK] = ACTIONS(5446),
    [anon_sym_RBRACK] = ACTIONS(5446),
    [anon_sym_EQ] = ACTIONS(5444),
    [anon_sym_COLON] = ACTIONS(5446),
    [anon_sym_QMARK] = ACTIONS(5446),
    [anon_sym_STAR_EQ] = ACTIONS(5446),
    [anon_sym_SLASH_EQ] = ACTIONS(5446),
    [anon_sym_PERCENT_EQ] = ACTIONS(5446),
    [anon_sym_PLUS_EQ] = ACTIONS(5446),
    [anon_sym_DASH_EQ] = ACTIONS(5446),
    [anon_sym_LT_LT_EQ] = ACTIONS(5446),
    [anon_sym_GT_GT_EQ] = ACTIONS(5446),
    [anon_sym_AMP_EQ] = ACTIONS(5446),
    [anon_sym_CARET_EQ] = ACTIONS(5446),
    [anon_sym_PIPE_EQ] = ACTIONS(5446),
    [anon_sym_and_eq] = ACTIONS(5444),
    [anon_sym_or_eq] = ACTIONS(5444),
    [anon_sym_xor_eq] = ACTIONS(5444),
    [anon_sym_LT_EQ_GT] = ACTIONS(5446),
    [anon_sym_or] = ACTIONS(5444),
    [anon_sym_and] = ACTIONS(5444),
    [anon_sym_bitor] = ACTIONS(5444),
    [anon_sym_xor] = ACTIONS(5444),
    [anon_sym_bitand] = ACTIONS(5444),
    [anon_sym_not_eq] = ACTIONS(5444),
    [anon_sym_DASH_DASH] = ACTIONS(5446),
    [anon_sym_PLUS_PLUS] = ACTIONS(5446),
    [anon_sym_DOT] = ACTIONS(5444),
    [anon_sym_DOT_STAR] = ACTIONS(5446),
    [anon_sym_DASH_GT] = ACTIONS(5446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(5474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5476),
    [anon_sym_COMMA] = ACTIONS(5476),
    [anon_sym_RPAREN] = ACTIONS(5476),
    [aux_sym_preproc_if_token2] = ACTIONS(5476),
    [aux_sym_preproc_else_token1] = ACTIONS(5476),
    [aux_sym_preproc_elif_token1] = ACTIONS(5474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5476),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5474),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5476),
    [anon_sym_AMP_AMP] = ACTIONS(5476),
    [anon_sym_PIPE] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5476),
    [anon_sym_BANG_EQ] = ACTIONS(5476),
    [anon_sym_GT] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5476),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5474),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym_SEMI] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym_LBRACE] = ACTIONS(5476),
    [anon_sym_RBRACE] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_RBRACK] = ACTIONS(5476),
    [anon_sym_EQ] = ACTIONS(5474),
    [anon_sym_COLON] = ACTIONS(5476),
    [anon_sym_QMARK] = ACTIONS(5476),
    [anon_sym_STAR_EQ] = ACTIONS(5476),
    [anon_sym_SLASH_EQ] = ACTIONS(5476),
    [anon_sym_PERCENT_EQ] = ACTIONS(5476),
    [anon_sym_PLUS_EQ] = ACTIONS(5476),
    [anon_sym_DASH_EQ] = ACTIONS(5476),
    [anon_sym_LT_LT_EQ] = ACTIONS(5476),
    [anon_sym_GT_GT_EQ] = ACTIONS(5476),
    [anon_sym_AMP_EQ] = ACTIONS(5476),
    [anon_sym_CARET_EQ] = ACTIONS(5476),
    [anon_sym_PIPE_EQ] = ACTIONS(5476),
    [anon_sym_and_eq] = ACTIONS(5474),
    [anon_sym_or_eq] = ACTIONS(5474),
    [anon_sym_xor_eq] = ACTIONS(5474),
    [anon_sym_LT_EQ_GT] = ACTIONS(5476),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_bitor] = ACTIONS(5474),
    [anon_sym_xor] = ACTIONS(5474),
    [anon_sym_bitand] = ACTIONS(5474),
    [anon_sym_not_eq] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5476),
    [anon_sym_PLUS_PLUS] = ACTIONS(5476),
    [anon_sym_DOT] = ACTIONS(5474),
    [anon_sym_DOT_STAR] = ACTIONS(5476),
    [anon_sym_DASH_GT] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(5474),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_LPAREN2] = ACTIONS(1950),
    [anon_sym_TILDE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_PIPE_PIPE] = ACTIONS(1950),
    [anon_sym_AMP_AMP] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1952),
    [anon_sym___extension__] = ACTIONS(1952),
    [anon_sym_virtual] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym___attribute__] = ACTIONS(1952),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1950),
    [anon_sym___declspec] = ACTIONS(1952),
    [anon_sym___based] = ACTIONS(1952),
    [anon_sym___cdecl] = ACTIONS(1952),
    [anon_sym___clrcall] = ACTIONS(1952),
    [anon_sym___stdcall] = ACTIONS(1952),
    [anon_sym___fastcall] = ACTIONS(1952),
    [anon_sym___thiscall] = ACTIONS(1952),
    [anon_sym___vectorcall] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(1952),
    [anon_sym_unsigned] = ACTIONS(1952),
    [anon_sym_long] = ACTIONS(1952),
    [anon_sym_short] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_register] = ACTIONS(1952),
    [anon_sym_inline] = ACTIONS(1952),
    [anon_sym___inline] = ACTIONS(1952),
    [anon_sym___inline__] = ACTIONS(1952),
    [anon_sym___forceinline] = ACTIONS(1952),
    [anon_sym_thread_local] = ACTIONS(1952),
    [anon_sym___thread] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_constexpr] = ACTIONS(1952),
    [anon_sym_volatile] = ACTIONS(1952),
    [anon_sym_restrict] = ACTIONS(1952),
    [anon_sym___restrict__] = ACTIONS(1952),
    [anon_sym__Atomic] = ACTIONS(1952),
    [anon_sym__Noreturn] = ACTIONS(1952),
    [anon_sym_noreturn] = ACTIONS(1952),
    [anon_sym__Nonnull] = ACTIONS(1952),
    [anon_sym_mutable] = ACTIONS(1952),
    [anon_sym_constinit] = ACTIONS(1952),
    [anon_sym_consteval] = ACTIONS(1952),
    [anon_sym_alignas] = ACTIONS(1952),
    [anon_sym__Alignas] = ACTIONS(1952),
    [sym_primitive_type] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_or] = ACTIONS(1952),
    [anon_sym_and] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1952),
    [anon_sym_decltype] = ACTIONS(1952),
    [anon_sym_explicit] = ACTIONS(1952),
    [anon_sym_typename] = ACTIONS(1952),
    [anon_sym_template] = ACTIONS(1952),
    [anon_sym_operator] = ACTIONS(1952),
    [anon_sym_friend] = ACTIONS(1952),
    [anon_sym_using] = ACTIONS(1952),
    [anon_sym_concept] = ACTIONS(1952),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(5478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5480),
    [anon_sym_COMMA] = ACTIONS(5480),
    [anon_sym_RPAREN] = ACTIONS(5480),
    [aux_sym_preproc_if_token2] = ACTIONS(5480),
    [aux_sym_preproc_else_token1] = ACTIONS(5480),
    [aux_sym_preproc_elif_token1] = ACTIONS(5478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5480),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(5480),
    [anon_sym_DASH] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_SLASH] = ACTIONS(5478),
    [anon_sym_PERCENT] = ACTIONS(5478),
    [anon_sym_PIPE_PIPE] = ACTIONS(5480),
    [anon_sym_AMP_AMP] = ACTIONS(5480),
    [anon_sym_PIPE] = ACTIONS(5478),
    [anon_sym_CARET] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5478),
    [anon_sym_EQ_EQ] = ACTIONS(5480),
    [anon_sym_BANG_EQ] = ACTIONS(5480),
    [anon_sym_GT] = ACTIONS(5478),
    [anon_sym_GT_EQ] = ACTIONS(5480),
    [anon_sym_LT_EQ] = ACTIONS(5478),
    [anon_sym_LT] = ACTIONS(5478),
    [anon_sym_LT_LT] = ACTIONS(5478),
    [anon_sym_GT_GT] = ACTIONS(5478),
    [anon_sym_SEMI] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5478),
    [anon_sym_LBRACE] = ACTIONS(5480),
    [anon_sym_RBRACE] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_RBRACK] = ACTIONS(5480),
    [anon_sym_EQ] = ACTIONS(5478),
    [anon_sym_COLON] = ACTIONS(5480),
    [anon_sym_QMARK] = ACTIONS(5480),
    [anon_sym_STAR_EQ] = ACTIONS(5480),
    [anon_sym_SLASH_EQ] = ACTIONS(5480),
    [anon_sym_PERCENT_EQ] = ACTIONS(5480),
    [anon_sym_PLUS_EQ] = ACTIONS(5480),
    [anon_sym_DASH_EQ] = ACTIONS(5480),
    [anon_sym_LT_LT_EQ] = ACTIONS(5480),
    [anon_sym_GT_GT_EQ] = ACTIONS(5480),
    [anon_sym_AMP_EQ] = ACTIONS(5480),
    [anon_sym_CARET_EQ] = ACTIONS(5480),
    [anon_sym_PIPE_EQ] = ACTIONS(5480),
    [anon_sym_and_eq] = ACTIONS(5478),
    [anon_sym_or_eq] = ACTIONS(5478),
    [anon_sym_xor_eq] = ACTIONS(5478),
    [anon_sym_LT_EQ_GT] = ACTIONS(5480),
    [anon_sym_or] = ACTIONS(5478),
    [anon_sym_and] = ACTIONS(5478),
    [anon_sym_bitor] = ACTIONS(5478),
    [anon_sym_xor] = ACTIONS(5478),
    [anon_sym_bitand] = ACTIONS(5478),
    [anon_sym_not_eq] = ACTIONS(5478),
    [anon_sym_DASH_DASH] = ACTIONS(5480),
    [anon_sym_PLUS_PLUS] = ACTIONS(5480),
    [anon_sym_DOT] = ACTIONS(5478),
    [anon_sym_DOT_STAR] = ACTIONS(5480),
    [anon_sym_DASH_GT] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5478),
    [anon_sym_decltype] = ACTIONS(5478),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5484),
    [anon_sym_COMMA] = ACTIONS(5484),
    [anon_sym_RPAREN] = ACTIONS(5484),
    [aux_sym_preproc_if_token2] = ACTIONS(5484),
    [aux_sym_preproc_else_token1] = ACTIONS(5484),
    [aux_sym_preproc_elif_token1] = ACTIONS(5482),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5484),
    [anon_sym_LPAREN2] = ACTIONS(5484),
    [anon_sym_DASH] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(5482),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_SLASH] = ACTIONS(5482),
    [anon_sym_PERCENT] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_PIPE] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5482),
    [anon_sym_EQ_EQ] = ACTIONS(5484),
    [anon_sym_BANG_EQ] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5482),
    [anon_sym_GT_EQ] = ACTIONS(5484),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5482),
    [anon_sym_LT_LT] = ACTIONS(5482),
    [anon_sym_GT_GT] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5482),
    [anon_sym_LBRACE] = ACTIONS(5484),
    [anon_sym_RBRACE] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5484),
    [anon_sym_RBRACK] = ACTIONS(5484),
    [anon_sym_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_QMARK] = ACTIONS(5484),
    [anon_sym_STAR_EQ] = ACTIONS(5484),
    [anon_sym_SLASH_EQ] = ACTIONS(5484),
    [anon_sym_PERCENT_EQ] = ACTIONS(5484),
    [anon_sym_PLUS_EQ] = ACTIONS(5484),
    [anon_sym_DASH_EQ] = ACTIONS(5484),
    [anon_sym_LT_LT_EQ] = ACTIONS(5484),
    [anon_sym_GT_GT_EQ] = ACTIONS(5484),
    [anon_sym_AMP_EQ] = ACTIONS(5484),
    [anon_sym_CARET_EQ] = ACTIONS(5484),
    [anon_sym_PIPE_EQ] = ACTIONS(5484),
    [anon_sym_and_eq] = ACTIONS(5482),
    [anon_sym_or_eq] = ACTIONS(5482),
    [anon_sym_xor_eq] = ACTIONS(5482),
    [anon_sym_LT_EQ_GT] = ACTIONS(5484),
    [anon_sym_or] = ACTIONS(5482),
    [anon_sym_and] = ACTIONS(5482),
    [anon_sym_bitor] = ACTIONS(5482),
    [anon_sym_xor] = ACTIONS(5482),
    [anon_sym_bitand] = ACTIONS(5482),
    [anon_sym_not_eq] = ACTIONS(5482),
    [anon_sym_DASH_DASH] = ACTIONS(5484),
    [anon_sym_PLUS_PLUS] = ACTIONS(5484),
    [anon_sym_DOT] = ACTIONS(5482),
    [anon_sym_DOT_STAR] = ACTIONS(5484),
    [anon_sym_DASH_GT] = ACTIONS(5484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5482),
    [anon_sym_decltype] = ACTIONS(5482),
  },
  [2177] = {
    [sym_identifier] = ACTIONS(5486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5488),
    [anon_sym_COMMA] = ACTIONS(5488),
    [anon_sym_RPAREN] = ACTIONS(5488),
    [aux_sym_preproc_if_token2] = ACTIONS(5488),
    [aux_sym_preproc_else_token1] = ACTIONS(5488),
    [aux_sym_preproc_elif_token1] = ACTIONS(5486),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5488),
    [anon_sym_DASH] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(5486),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE] = ACTIONS(5488),
    [anon_sym_AMP_AMP] = ACTIONS(5488),
    [anon_sym_PIPE] = ACTIONS(5486),
    [anon_sym_CARET] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5486),
    [anon_sym_EQ_EQ] = ACTIONS(5488),
    [anon_sym_BANG_EQ] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5486),
    [anon_sym_GT_EQ] = ACTIONS(5488),
    [anon_sym_LT_EQ] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5486),
    [anon_sym_LT_LT] = ACTIONS(5486),
    [anon_sym_GT_GT] = ACTIONS(5486),
    [anon_sym_SEMI] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5486),
    [anon_sym_LBRACE] = ACTIONS(5488),
    [anon_sym_RBRACE] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5488),
    [anon_sym_RBRACK] = ACTIONS(5488),
    [anon_sym_EQ] = ACTIONS(5486),
    [anon_sym_COLON] = ACTIONS(5488),
    [anon_sym_QMARK] = ACTIONS(5488),
    [anon_sym_STAR_EQ] = ACTIONS(5488),
    [anon_sym_SLASH_EQ] = ACTIONS(5488),
    [anon_sym_PERCENT_EQ] = ACTIONS(5488),
    [anon_sym_PLUS_EQ] = ACTIONS(5488),
    [anon_sym_DASH_EQ] = ACTIONS(5488),
    [anon_sym_LT_LT_EQ] = ACTIONS(5488),
    [anon_sym_GT_GT_EQ] = ACTIONS(5488),
    [anon_sym_AMP_EQ] = ACTIONS(5488),
    [anon_sym_CARET_EQ] = ACTIONS(5488),
    [anon_sym_PIPE_EQ] = ACTIONS(5488),
    [anon_sym_and_eq] = ACTIONS(5486),
    [anon_sym_or_eq] = ACTIONS(5486),
    [anon_sym_xor_eq] = ACTIONS(5486),
    [anon_sym_LT_EQ_GT] = ACTIONS(5488),
    [anon_sym_or] = ACTIONS(5486),
    [anon_sym_and] = ACTIONS(5486),
    [anon_sym_bitor] = ACTIONS(5486),
    [anon_sym_xor] = ACTIONS(5486),
    [anon_sym_bitand] = ACTIONS(5486),
    [anon_sym_not_eq] = ACTIONS(5486),
    [anon_sym_DASH_DASH] = ACTIONS(5488),
    [anon_sym_PLUS_PLUS] = ACTIONS(5488),
    [anon_sym_DOT] = ACTIONS(5486),
    [anon_sym_DOT_STAR] = ACTIONS(5488),
    [anon_sym_DASH_GT] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5486),
    [anon_sym_decltype] = ACTIONS(5486),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(5923),
    [anon_sym_LPAREN2] = ACTIONS(5925),
    [anon_sym_TILDE] = ACTIONS(5925),
    [anon_sym_STAR] = ACTIONS(5925),
    [anon_sym_PIPE_PIPE] = ACTIONS(5925),
    [anon_sym_AMP_AMP] = ACTIONS(5905),
    [anon_sym_AMP] = ACTIONS(5923),
    [anon_sym___extension__] = ACTIONS(5923),
    [anon_sym_virtual] = ACTIONS(5923),
    [anon_sym_extern] = ACTIONS(5923),
    [anon_sym___attribute__] = ACTIONS(5923),
    [anon_sym_COLON_COLON] = ACTIONS(5925),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5925),
    [anon_sym___declspec] = ACTIONS(5923),
    [anon_sym___based] = ACTIONS(5923),
    [anon_sym___cdecl] = ACTIONS(5923),
    [anon_sym___clrcall] = ACTIONS(5923),
    [anon_sym___stdcall] = ACTIONS(5923),
    [anon_sym___fastcall] = ACTIONS(5923),
    [anon_sym___thiscall] = ACTIONS(5923),
    [anon_sym___vectorcall] = ACTIONS(5923),
    [anon_sym_signed] = ACTIONS(5923),
    [anon_sym_unsigned] = ACTIONS(5923),
    [anon_sym_long] = ACTIONS(5923),
    [anon_sym_short] = ACTIONS(5923),
    [anon_sym_LBRACK] = ACTIONS(5923),
    [anon_sym_static] = ACTIONS(5923),
    [anon_sym_register] = ACTIONS(5923),
    [anon_sym_inline] = ACTIONS(5923),
    [anon_sym___inline] = ACTIONS(5923),
    [anon_sym___inline__] = ACTIONS(5923),
    [anon_sym___forceinline] = ACTIONS(5923),
    [anon_sym_thread_local] = ACTIONS(5923),
    [anon_sym___thread] = ACTIONS(5923),
    [anon_sym_const] = ACTIONS(5923),
    [anon_sym_constexpr] = ACTIONS(5923),
    [anon_sym_volatile] = ACTIONS(5923),
    [anon_sym_restrict] = ACTIONS(5923),
    [anon_sym___restrict__] = ACTIONS(5923),
    [anon_sym__Atomic] = ACTIONS(5923),
    [anon_sym__Noreturn] = ACTIONS(5923),
    [anon_sym_noreturn] = ACTIONS(5923),
    [anon_sym__Nonnull] = ACTIONS(5923),
    [anon_sym_mutable] = ACTIONS(5923),
    [anon_sym_constinit] = ACTIONS(5923),
    [anon_sym_consteval] = ACTIONS(5923),
    [anon_sym_alignas] = ACTIONS(5923),
    [anon_sym__Alignas] = ACTIONS(5923),
    [sym_primitive_type] = ACTIONS(5923),
    [anon_sym_enum] = ACTIONS(5923),
    [anon_sym_class] = ACTIONS(5923),
    [anon_sym_struct] = ACTIONS(5923),
    [anon_sym_union] = ACTIONS(5923),
    [anon_sym_or] = ACTIONS(5923),
    [anon_sym_and] = ACTIONS(5909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5923),
    [anon_sym_decltype] = ACTIONS(5923),
    [anon_sym_explicit] = ACTIONS(5923),
    [anon_sym_typename] = ACTIONS(5923),
    [anon_sym_template] = ACTIONS(5923),
    [anon_sym_operator] = ACTIONS(5923),
    [anon_sym_friend] = ACTIONS(5923),
    [anon_sym_using] = ACTIONS(5923),
    [anon_sym_concept] = ACTIONS(5923),
  },
  [2179] = {
    [sym_identifier] = ACTIONS(5432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5434),
    [anon_sym_COMMA] = ACTIONS(5434),
    [anon_sym_RPAREN] = ACTIONS(5434),
    [aux_sym_preproc_if_token2] = ACTIONS(5434),
    [aux_sym_preproc_else_token1] = ACTIONS(5434),
    [aux_sym_preproc_elif_token1] = ACTIONS(5432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5432),
    [anon_sym_PLUS] = ACTIONS(5432),
    [anon_sym_STAR] = ACTIONS(5432),
    [anon_sym_SLASH] = ACTIONS(5432),
    [anon_sym_PERCENT] = ACTIONS(5432),
    [anon_sym_PIPE_PIPE] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_PIPE] = ACTIONS(5432),
    [anon_sym_CARET] = ACTIONS(5432),
    [anon_sym_AMP] = ACTIONS(5432),
    [anon_sym_EQ_EQ] = ACTIONS(5434),
    [anon_sym_BANG_EQ] = ACTIONS(5434),
    [anon_sym_GT] = ACTIONS(5432),
    [anon_sym_GT_EQ] = ACTIONS(5434),
    [anon_sym_LT_EQ] = ACTIONS(5432),
    [anon_sym_LT] = ACTIONS(5432),
    [anon_sym_LT_LT] = ACTIONS(5432),
    [anon_sym_GT_GT] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___attribute__] = ACTIONS(5432),
    [anon_sym_LBRACE] = ACTIONS(5434),
    [anon_sym_RBRACE] = ACTIONS(5434),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_RBRACK] = ACTIONS(5434),
    [anon_sym_EQ] = ACTIONS(5432),
    [anon_sym_COLON] = ACTIONS(5434),
    [anon_sym_QMARK] = ACTIONS(5434),
    [anon_sym_STAR_EQ] = ACTIONS(5434),
    [anon_sym_SLASH_EQ] = ACTIONS(5434),
    [anon_sym_PERCENT_EQ] = ACTIONS(5434),
    [anon_sym_PLUS_EQ] = ACTIONS(5434),
    [anon_sym_DASH_EQ] = ACTIONS(5434),
    [anon_sym_LT_LT_EQ] = ACTIONS(5434),
    [anon_sym_GT_GT_EQ] = ACTIONS(5434),
    [anon_sym_AMP_EQ] = ACTIONS(5434),
    [anon_sym_CARET_EQ] = ACTIONS(5434),
    [anon_sym_PIPE_EQ] = ACTIONS(5434),
    [anon_sym_and_eq] = ACTIONS(5432),
    [anon_sym_or_eq] = ACTIONS(5432),
    [anon_sym_xor_eq] = ACTIONS(5432),
    [anon_sym_LT_EQ_GT] = ACTIONS(5434),
    [anon_sym_or] = ACTIONS(5432),
    [anon_sym_and] = ACTIONS(5432),
    [anon_sym_bitor] = ACTIONS(5432),
    [anon_sym_xor] = ACTIONS(5432),
    [anon_sym_bitand] = ACTIONS(5432),
    [anon_sym_not_eq] = ACTIONS(5432),
    [anon_sym_DASH_DASH] = ACTIONS(5434),
    [anon_sym_PLUS_PLUS] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5432),
    [anon_sym_DOT_STAR] = ACTIONS(5434),
    [anon_sym_DASH_GT] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5432),
    [anon_sym_decltype] = ACTIONS(5432),
  },
  [2180] = {
    [sym_ms_based_modifier] = STATE(8152),
    [sym_ms_unaligned_ptr_modifier] = STATE(3994),
    [sym_ms_pointer_modifier] = STATE(2164),
    [sym__declarator] = STATE(6071),
    [sym__abstract_declarator] = STATE(6277),
    [sym_parenthesized_declarator] = STATE(5841),
    [sym_abstract_parenthesized_declarator] = STATE(5801),
    [sym_attributed_declarator] = STATE(5841),
    [sym_pointer_declarator] = STATE(5841),
    [sym_abstract_pointer_declarator] = STATE(5801),
    [sym_function_declarator] = STATE(5841),
    [sym_abstract_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5841),
    [sym_abstract_array_declarator] = STATE(5801),
    [sym_type_qualifier] = STATE(2746),
    [sym_alignas_qualifier] = STATE(4312),
    [sym_parameter_list] = STATE(3008),
    [sym_decltype] = STATE(8141),
    [sym_reference_declarator] = STATE(5841),
    [sym_abstract_reference_declarator] = STATE(5801),
    [sym_structured_binding_declarator] = STATE(5841),
    [sym__function_declarator_seq] = STATE(5791),
    [sym_template_type] = STATE(8141),
    [sym_template_function] = STATE(5841),
    [sym_destructor_name] = STATE(5841),
    [sym_dependent_type_identifier] = STATE(8141),
    [sym__scope_resolution] = STATE(5470),
    [sym_qualified_identifier] = STATE(5841),
    [sym_operator_name] = STATE(5841),
    [aux_sym__type_definition_type_repeat1] = STATE(2746),
    [aux_sym_pointer_declarator_repeat1] = STATE(2164),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(4148),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(4150),
    [anon_sym_AMP_AMP] = ACTIONS(4152),
    [anon_sym_AMP] = ACTIONS(4154),
    [anon_sym___extension__] = ACTIONS(2888),
    [anon_sym_COLON_COLON] = ACTIONS(5893),
    [anon_sym___based] = ACTIONS(49),
    [sym_ms_restrict_modifier] = ACTIONS(2884),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(2884),
    [sym_ms_signed_ptr_modifier] = ACTIONS(2884),
    [anon_sym__unaligned] = ACTIONS(2886),
    [anon_sym___unaligned] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_const] = ACTIONS(2888),
    [anon_sym_constexpr] = ACTIONS(2888),
    [anon_sym_volatile] = ACTIONS(2888),
    [anon_sym_restrict] = ACTIONS(2888),
    [anon_sym___restrict__] = ACTIONS(2888),
    [anon_sym__Atomic] = ACTIONS(2888),
    [anon_sym__Noreturn] = ACTIONS(2888),
    [anon_sym_noreturn] = ACTIONS(2888),
    [anon_sym__Nonnull] = ACTIONS(2888),
    [anon_sym_mutable] = ACTIONS(2888),
    [anon_sym_constinit] = ACTIONS(2888),
    [anon_sym_consteval] = ACTIONS(2888),
    [anon_sym_alignas] = ACTIONS(2890),
    [anon_sym__Alignas] = ACTIONS(2890),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1938),
    [anon_sym_template] = ACTIONS(1230),
    [anon_sym_operator] = ACTIONS(1818),
  },
  [2181] = {
    [sym_attribute_declaration] = STATE(2181),
    [aux_sym_attributed_declarator_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(5927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5929),
    [anon_sym_COMMA] = ACTIONS(5929),
    [anon_sym_RPAREN] = ACTIONS(5929),
    [aux_sym_preproc_if_token2] = ACTIONS(5929),
    [aux_sym_preproc_else_token1] = ACTIONS(5929),
    [aux_sym_preproc_elif_token1] = ACTIONS(5927),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5929),
    [anon_sym_LPAREN2] = ACTIONS(5929),
    [anon_sym_DASH] = ACTIONS(5927),
    [anon_sym_PLUS] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_SLASH] = ACTIONS(5927),
    [anon_sym_PERCENT] = ACTIONS(5927),
    [anon_sym_PIPE_PIPE] = ACTIONS(5929),
    [anon_sym_AMP_AMP] = ACTIONS(5929),
    [anon_sym_PIPE] = ACTIONS(5927),
    [anon_sym_CARET] = ACTIONS(5927),
    [anon_sym_AMP] = ACTIONS(5927),
    [anon_sym_EQ_EQ] = ACTIONS(5929),
    [anon_sym_BANG_EQ] = ACTIONS(5929),
    [anon_sym_GT] = ACTIONS(5927),
    [anon_sym_GT_EQ] = ACTIONS(5929),
    [anon_sym_LT_EQ] = ACTIONS(5927),
    [anon_sym_LT] = ACTIONS(5927),
    [anon_sym_LT_LT] = ACTIONS(5927),
    [anon_sym_GT_GT] = ACTIONS(5927),
    [anon_sym_SEMI] = ACTIONS(5929),
    [anon_sym___attribute__] = ACTIONS(5927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5931),
    [anon_sym_RBRACE] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5927),
    [anon_sym_RBRACK] = ACTIONS(5929),
    [anon_sym_EQ] = ACTIONS(5927),
    [anon_sym_COLON] = ACTIONS(5929),
    [anon_sym_QMARK] = ACTIONS(5929),
    [anon_sym_STAR_EQ] = ACTIONS(5929),
    [anon_sym_SLASH_EQ] = ACTIONS(5929),
    [anon_sym_PERCENT_EQ] = ACTIONS(5929),
    [anon_sym_PLUS_EQ] = ACTIONS(5929),
    [anon_sym_DASH_EQ] = ACTIONS(5929),
    [anon_sym_LT_LT_EQ] = ACTIONS(5929),
    [anon_sym_GT_GT_EQ] = ACTIONS(5929),
    [anon_sym_AMP_EQ] = ACTIONS(5929),
    [anon_sym_CARET_EQ] = ACTIONS(5929),
    [anon_sym_PIPE_EQ] = ACTIONS(5929),
    [anon_sym_and_eq] = ACTIONS(5927),
    [anon_sym_or_eq] = ACTIONS(5927),
    [anon_sym_xor_eq] = ACTIONS(5927),
    [anon_sym_LT_EQ_GT] = ACTIONS(5929),
    [anon_sym_or] = ACTIONS(5927),
    [anon_sym_and] = ACTIONS(5927),
    [anon_sym_bitor] = ACTIONS(5927),
    [anon_sym_xor] = ACTIONS(5927),
    [anon_sym_bitand] = ACTIONS(5927),
    [anon_sym_not_eq] = ACTIONS(5927),
    [anon_sym_DASH_DASH] = ACTIONS(5929),
    [anon_sym_PLUS_PLUS] = ACTIONS(5929),
    [anon_sym_DOT] = ACTIONS(5927),
    [anon_sym_DOT_STAR] = ACTIONS(5929),
    [anon_sym_DASH_GT] = ACTIONS(5929),
    [sym_comment] = ACTIONS(3),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(5408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5410),
    [anon_sym_COMMA] = ACTIONS(5410),
    [anon_sym_RPAREN] = ACTIONS(5410),
    [aux_sym_preproc_if_token2] = ACTIONS(5410),
    [aux_sym_preproc_else_token1] = ACTIONS(5410),
    [aux_sym_preproc_elif_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5410),
    [anon_sym_LPAREN2] = ACTIONS(5410),
    [anon_sym_DASH] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(5408),
    [anon_sym_STAR] = ACTIONS(5408),
    [anon_sym_SLASH] = ACTIONS(5408),
    [anon_sym_PERCENT] = ACTIONS(5408),
    [anon_sym_PIPE_PIPE] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_PIPE] = ACTIONS(5408),
    [anon_sym_CARET] = ACTIONS(5408),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5410),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_GT] = ACTIONS(5408),
    [anon_sym_GT_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5408),
    [anon_sym_LT] = ACTIONS(5408),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym_LBRACE] = ACTIONS(5410),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [anon_sym_RBRACK] = ACTIONS(5410),
    [anon_sym_EQ] = ACTIONS(5408),
    [anon_sym_COLON] = ACTIONS(5410),
    [anon_sym_QMARK] = ACTIONS(5410),
    [anon_sym_STAR_EQ] = ACTIONS(5410),
    [anon_sym_SLASH_EQ] = ACTIONS(5410),
    [anon_sym_PERCENT_EQ] = ACTIONS(5410),
    [anon_sym_PLUS_EQ] = ACTIONS(5410),
    [anon_sym_DASH_EQ] = ACTIONS(5410),
    [anon_sym_LT_LT_EQ] = ACTIONS(5410),
    [anon_sym_GT_GT_EQ] = ACTIONS(5410),
    [anon_sym_AMP_EQ] = ACTIONS(5410),
    [anon_sym_CARET_EQ] = ACTIONS(5410),
    [anon_sym_PIPE_EQ] = ACTIONS(5410),
    [anon_sym_and_eq] = ACTIONS(5408),
    [anon_sym_or_eq] = ACTIONS(5408),
    [anon_sym_xor_eq] = ACTIONS(5408),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_or] = ACTIONS(5408),
    [anon_sym_and] = ACTIONS(5408),
    [anon_sym_bitor] = ACTIONS(5408),
    [anon_sym_xor] = ACTIONS(5408),
    [anon_sym_bitand] = ACTIONS(5408),
    [anon_sym_not_eq] = ACTIONS(5408),
    [anon_sym_DASH_DASH] = ACTIONS(5410),
    [anon_sym_PLUS_PLUS] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5408),
    [anon_sym_DOT_STAR] = ACTIONS(5410),
    [anon_sym_DASH_GT] = ACTIONS(5410),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5408),
    [anon_sym_decltype] = ACTIONS(5408),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(5934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5936),
    [anon_sym_COMMA] = ACTIONS(5936),
    [anon_sym_RPAREN] = ACTIONS(5936),
    [aux_sym_preproc_if_token2] = ACTIONS(5936),
    [aux_sym_preproc_else_token1] = ACTIONS(5936),
    [aux_sym_preproc_elif_token1] = ACTIONS(5934),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5936),
    [anon_sym_LPAREN2] = ACTIONS(5936),
    [anon_sym_DASH] = ACTIONS(5934),
    [anon_sym_PLUS] = ACTIONS(5934),
    [anon_sym_STAR] = ACTIONS(5934),
    [anon_sym_SLASH] = ACTIONS(5934),
    [anon_sym_PERCENT] = ACTIONS(5934),
    [anon_sym_PIPE_PIPE] = ACTIONS(5936),
    [anon_sym_AMP_AMP] = ACTIONS(5936),
    [anon_sym_PIPE] = ACTIONS(5934),
    [anon_sym_CARET] = ACTIONS(5934),
    [anon_sym_AMP] = ACTIONS(5934),
    [anon_sym_EQ_EQ] = ACTIONS(5936),
    [anon_sym_BANG_EQ] = ACTIONS(5936),
    [anon_sym_GT] = ACTIONS(5934),
    [anon_sym_GT_EQ] = ACTIONS(5936),
    [anon_sym_LT_EQ] = ACTIONS(5934),
    [anon_sym_LT] = ACTIONS(5934),
    [anon_sym_LT_LT] = ACTIONS(5934),
    [anon_sym_GT_GT] = ACTIONS(5934),
    [anon_sym_SEMI] = ACTIONS(5936),
    [anon_sym___attribute__] = ACTIONS(5934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5936),
    [anon_sym_LBRACE] = ACTIONS(5936),
    [anon_sym_RBRACE] = ACTIONS(5936),
    [anon_sym_LBRACK] = ACTIONS(5934),
    [anon_sym_RBRACK] = ACTIONS(5936),
    [anon_sym_EQ] = ACTIONS(5934),
    [anon_sym_COLON] = ACTIONS(5936),
    [anon_sym_QMARK] = ACTIONS(5936),
    [anon_sym_STAR_EQ] = ACTIONS(5936),
    [anon_sym_SLASH_EQ] = ACTIONS(5936),
    [anon_sym_PERCENT_EQ] = ACTIONS(5936),
    [anon_sym_PLUS_EQ] = ACTIONS(5936),
    [anon_sym_DASH_EQ] = ACTIONS(5936),
    [anon_sym_LT_LT_EQ] = ACTIONS(5936),
    [anon_sym_GT_GT_EQ] = ACTIONS(5936),
    [anon_sym_AMP_EQ] = ACTIONS(5936),
    [anon_sym_CARET_EQ] = ACTIONS(5936),
    [anon_sym_PIPE_EQ] = ACTIONS(5936),
    [anon_sym_and_eq] = ACTIONS(5934),
    [anon_sym_or_eq] = ACTIONS(5934),
    [anon_sym_xor_eq] = ACTIONS(5934),
    [anon_sym_LT_EQ_GT] = ACTIONS(5936),
    [anon_sym_or] = ACTIONS(5934),
    [anon_sym_and] = ACTIONS(5934),
    [anon_sym_bitor] = ACTIONS(5934),
    [anon_sym_xor] = ACTIONS(5934),
    [anon_sym_bitand] = ACTIONS(5934),
    [anon_sym_not_eq] = ACTIONS(5934),
    [anon_sym_DASH_DASH] = ACTIONS(5936),
    [anon_sym_PLUS_PLUS] = ACTIONS(5936),
    [anon_sym_DOT] = ACTIONS(5934),
    [anon_sym_DOT_STAR] = ACTIONS(5936),
    [anon_sym_DASH_GT] = ACTIONS(5936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5934),
  },
  [2184] = {
    [sym_identifier] = ACTIONS(5938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5940),
    [anon_sym_COMMA] = ACTIONS(5940),
    [anon_sym_RPAREN] = ACTIONS(5940),
    [aux_sym_preproc_if_token2] = ACTIONS(5940),
    [aux_sym_preproc_else_token1] = ACTIONS(5940),
    [aux_sym_preproc_elif_token1] = ACTIONS(5938),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5940),
    [anon_sym_LPAREN2] = ACTIONS(5940),
    [anon_sym_DASH] = ACTIONS(5938),
    [anon_sym_PLUS] = ACTIONS(5938),
    [anon_sym_STAR] = ACTIONS(5938),
    [anon_sym_SLASH] = ACTIONS(5938),
    [anon_sym_PERCENT] = ACTIONS(5938),
    [anon_sym_PIPE_PIPE] = ACTIONS(5940),
    [anon_sym_AMP_AMP] = ACTIONS(5940),
    [anon_sym_PIPE] = ACTIONS(5938),
    [anon_sym_CARET] = ACTIONS(5938),
    [anon_sym_AMP] = ACTIONS(5938),
    [anon_sym_EQ_EQ] = ACTIONS(5940),
    [anon_sym_BANG_EQ] = ACTIONS(5940),
    [anon_sym_GT] = ACTIONS(5938),
    [anon_sym_GT_EQ] = ACTIONS(5940),
    [anon_sym_LT_EQ] = ACTIONS(5938),
    [anon_sym_LT] = ACTIONS(5938),
    [anon_sym_LT_LT] = ACTIONS(5938),
    [anon_sym_GT_GT] = ACTIONS(5938),
    [anon_sym_SEMI] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5940),
    [anon_sym_LBRACE] = ACTIONS(5940),
    [anon_sym_RBRACE] = ACTIONS(5940),
    [anon_sym_LBRACK] = ACTIONS(5938),
    [anon_sym_RBRACK] = ACTIONS(5940),
    [anon_sym_EQ] = ACTIONS(5938),
    [anon_sym_COLON] = ACTIONS(5940),
    [anon_sym_QMARK] = ACTIONS(5940),
    [anon_sym_STAR_EQ] = ACTIONS(5940),
    [anon_sym_SLASH_EQ] = ACTIONS(5940),
    [anon_sym_PERCENT_EQ] = ACTIONS(5940),
    [anon_sym_PLUS_EQ] = ACTIONS(5940),
    [anon_sym_DASH_EQ] = ACTIONS(5940),
    [anon_sym_LT_LT_EQ] = ACTIONS(5940),
    [anon_sym_GT_GT_EQ] = ACTIONS(5940),
    [anon_sym_AMP_EQ] = ACTIONS(5940),
    [anon_sym_CARET_EQ] = ACTIONS(5940),
    [anon_sym_PIPE_EQ] = ACTIONS(5940),
    [anon_sym_and_eq] = ACTIONS(5938),
    [anon_sym_or_eq] = ACTIONS(5938),
    [anon_sym_xor_eq] = ACTIONS(5938),
    [anon_sym_LT_EQ_GT] = ACTIONS(5940),
    [anon_sym_or] = ACTIONS(5938),
    [anon_sym_and] = ACTIONS(5938),
    [anon_sym_bitor] = ACTIONS(5938),
    [anon_sym_xor] = ACTIONS(5938),
    [anon_sym_bitand] = ACTIONS(5938),
    [anon_sym_not_eq] = ACTIONS(5938),
    [anon_sym_DASH_DASH] = ACTIONS(5940),
    [anon_sym_PLUS_PLUS] = ACTIONS(5940),
    [anon_sym_DOT] = ACTIONS(5938),
    [anon_sym_DOT_STAR] = ACTIONS(5940),
    [anon_sym_DASH_GT] = ACTIONS(5940),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5938),
  },
  [2185] = {
    [sym_identifier] = ACTIONS(5350),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_TILDE] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym___extension__] = ACTIONS(5350),
    [anon_sym_virtual] = ACTIONS(5350),
    [anon_sym_extern] = ACTIONS(5350),
    [anon_sym___attribute__] = ACTIONS(5350),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5352),
    [anon_sym___declspec] = ACTIONS(5350),
    [anon_sym___based] = ACTIONS(5350),
    [anon_sym___cdecl] = ACTIONS(5350),
    [anon_sym___clrcall] = ACTIONS(5350),
    [anon_sym___stdcall] = ACTIONS(5350),
    [anon_sym___fastcall] = ACTIONS(5350),
    [anon_sym___thiscall] = ACTIONS(5350),
    [anon_sym___vectorcall] = ACTIONS(5350),
    [anon_sym_signed] = ACTIONS(5350),
    [anon_sym_unsigned] = ACTIONS(5350),
    [anon_sym_long] = ACTIONS(5350),
    [anon_sym_short] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_static] = ACTIONS(5350),
    [anon_sym_register] = ACTIONS(5350),
    [anon_sym_inline] = ACTIONS(5350),
    [anon_sym___inline] = ACTIONS(5350),
    [anon_sym___inline__] = ACTIONS(5350),
    [anon_sym___forceinline] = ACTIONS(5350),
    [anon_sym_thread_local] = ACTIONS(5350),
    [anon_sym___thread] = ACTIONS(5350),
    [anon_sym_const] = ACTIONS(5350),
    [anon_sym_constexpr] = ACTIONS(5350),
    [anon_sym_volatile] = ACTIONS(5350),
    [anon_sym_restrict] = ACTIONS(5350),
    [anon_sym___restrict__] = ACTIONS(5350),
    [anon_sym__Atomic] = ACTIONS(5350),
    [anon_sym__Noreturn] = ACTIONS(5350),
    [anon_sym_noreturn] = ACTIONS(5350),
    [anon_sym__Nonnull] = ACTIONS(5350),
    [anon_sym_mutable] = ACTIONS(5350),
    [anon_sym_constinit] = ACTIONS(5350),
    [anon_sym_consteval] = ACTIONS(5350),
    [anon_sym_alignas] = ACTIONS(5350),
    [anon_sym__Alignas] = ACTIONS(5350),
    [sym_primitive_type] = ACTIONS(5350),
    [anon_sym_enum] = ACTIONS(5350),
    [anon_sym_class] = ACTIONS(5350),
    [anon_sym_struct] = ACTIONS(5350),
    [anon_sym_union] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5350),
    [anon_sym_decltype] = ACTIONS(5350),
    [anon_sym_explicit] = ACTIONS(5350),
    [anon_sym_typename] = ACTIONS(5350),
    [anon_sym_template] = ACTIONS(5350),
    [anon_sym_operator] = ACTIONS(5350),
    [anon_sym_friend] = ACTIONS(5350),
    [anon_sym_using] = ACTIONS(5350),
    [anon_sym_concept] = ACTIONS(5350),
  },
  [2186] = {
    [sym_identifier] = ACTIONS(5942),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5944),
    [anon_sym_COMMA] = ACTIONS(5944),
    [anon_sym_RPAREN] = ACTIONS(5944),
    [aux_sym_preproc_if_token2] = ACTIONS(5944),
    [aux_sym_preproc_else_token1] = ACTIONS(5944),
    [aux_sym_preproc_elif_token1] = ACTIONS(5942),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5944),
    [anon_sym_LPAREN2] = ACTIONS(5944),
    [anon_sym_DASH] = ACTIONS(5942),
    [anon_sym_PLUS] = ACTIONS(5942),
    [anon_sym_STAR] = ACTIONS(5942),
    [anon_sym_SLASH] = ACTIONS(5942),
    [anon_sym_PERCENT] = ACTIONS(5942),
    [anon_sym_PIPE_PIPE] = ACTIONS(5944),
    [anon_sym_AMP_AMP] = ACTIONS(5944),
    [anon_sym_PIPE] = ACTIONS(5942),
    [anon_sym_CARET] = ACTIONS(5942),
    [anon_sym_AMP] = ACTIONS(5942),
    [anon_sym_EQ_EQ] = ACTIONS(5944),
    [anon_sym_BANG_EQ] = ACTIONS(5944),
    [anon_sym_GT] = ACTIONS(5942),
    [anon_sym_GT_EQ] = ACTIONS(5944),
    [anon_sym_LT_EQ] = ACTIONS(5942),
    [anon_sym_LT] = ACTIONS(5942),
    [anon_sym_LT_LT] = ACTIONS(5942),
    [anon_sym_GT_GT] = ACTIONS(5942),
    [anon_sym_SEMI] = ACTIONS(5944),
    [anon_sym___attribute__] = ACTIONS(5942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5944),
    [anon_sym_LBRACE] = ACTIONS(5944),
    [anon_sym_RBRACE] = ACTIONS(5944),
    [anon_sym_LBRACK] = ACTIONS(5942),
    [anon_sym_RBRACK] = ACTIONS(5944),
    [anon_sym_EQ] = ACTIONS(5942),
    [anon_sym_COLON] = ACTIONS(5944),
    [anon_sym_QMARK] = ACTIONS(5944),
    [anon_sym_STAR_EQ] = ACTIONS(5944),
    [anon_sym_SLASH_EQ] = ACTIONS(5944),
    [anon_sym_PERCENT_EQ] = ACTIONS(5944),
    [anon_sym_PLUS_EQ] = ACTIONS(5944),
    [anon_sym_DASH_EQ] = ACTIONS(5944),
    [anon_sym_LT_LT_EQ] = ACTIONS(5944),
    [anon_sym_GT_GT_EQ] = ACTIONS(5944),
    [anon_sym_AMP_EQ] = ACTIONS(5944),
    [anon_sym_CARET_EQ] = ACTIONS(5944),
    [anon_sym_PIPE_EQ] = ACTIONS(5944),
    [anon_sym_and_eq] = ACTIONS(5942),
    [anon_sym_or_eq] = ACTIONS(5942),
    [anon_sym_xor_eq] = ACTIONS(5942),
    [anon_sym_LT_EQ_GT] = ACTIONS(5944),
    [anon_sym_or] = ACTIONS(5942),
    [anon_sym_and] = ACTIONS(5942),
    [anon_sym_bitor] = ACTIONS(5942),
    [anon_sym_xor] = ACTIONS(5942),
    [anon_sym_bitand] = ACTIONS(5942),
    [anon_sym_not_eq] = ACTIONS(5942),
    [anon_sym_DASH_DASH] = ACTIONS(5944),
    [anon_sym_PLUS_PLUS] = ACTIONS(5944),
    [anon_sym_DOT] = ACTIONS(5942),
    [anon_sym_DOT_STAR] = ACTIONS(5944),
    [anon_sym_DASH_GT] = ACTIONS(5944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5942),
  },
  [2187] = {
    [sym_identifier] = ACTIONS(5946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5948),
    [anon_sym_COMMA] = ACTIONS(5948),
    [anon_sym_RPAREN] = ACTIONS(5948),
    [aux_sym_preproc_if_token2] = ACTIONS(5948),
    [aux_sym_preproc_else_token1] = ACTIONS(5948),
    [aux_sym_preproc_elif_token1] = ACTIONS(5946),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5948),
    [anon_sym_LPAREN2] = ACTIONS(5948),
    [anon_sym_DASH] = ACTIONS(5946),
    [anon_sym_PLUS] = ACTIONS(5946),
    [anon_sym_STAR] = ACTIONS(5946),
    [anon_sym_SLASH] = ACTIONS(5946),
    [anon_sym_PERCENT] = ACTIONS(5946),
    [anon_sym_PIPE_PIPE] = ACTIONS(5948),
    [anon_sym_AMP_AMP] = ACTIONS(5948),
    [anon_sym_PIPE] = ACTIONS(5946),
    [anon_sym_CARET] = ACTIONS(5946),
    [anon_sym_AMP] = ACTIONS(5946),
    [anon_sym_EQ_EQ] = ACTIONS(5948),
    [anon_sym_BANG_EQ] = ACTIONS(5948),
    [anon_sym_GT] = ACTIONS(5946),
    [anon_sym_GT_EQ] = ACTIONS(5948),
    [anon_sym_LT_EQ] = ACTIONS(5946),
    [anon_sym_LT] = ACTIONS(5946),
    [anon_sym_LT_LT] = ACTIONS(5946),
    [anon_sym_GT_GT] = ACTIONS(5946),
    [anon_sym_SEMI] = ACTIONS(5948),
    [anon_sym___attribute__] = ACTIONS(5946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5948),
    [anon_sym_LBRACE] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(5948),
    [anon_sym_LBRACK] = ACTIONS(5946),
    [anon_sym_RBRACK] = ACTIONS(5948),
    [anon_sym_EQ] = ACTIONS(5946),
    [anon_sym_COLON] = ACTIONS(5948),
    [anon_sym_QMARK] = ACTIONS(5948),
    [anon_sym_STAR_EQ] = ACTIONS(5948),
    [anon_sym_SLASH_EQ] = ACTIONS(5948),
    [anon_sym_PERCENT_EQ] = ACTIONS(5948),
    [anon_sym_PLUS_EQ] = ACTIONS(5948),
    [anon_sym_DASH_EQ] = ACTIONS(5948),
    [anon_sym_LT_LT_EQ] = ACTIONS(5948),
    [anon_sym_GT_GT_EQ] = ACTIONS(5948),
    [anon_sym_AMP_EQ] = ACTIONS(5948),
    [anon_sym_CARET_EQ] = ACTIONS(5948),
    [anon_sym_PIPE_EQ] = ACTIONS(5948),
    [anon_sym_and_eq] = ACTIONS(5946),
    [anon_sym_or_eq] = ACTIONS(5946),
    [anon_sym_xor_eq] = ACTIONS(5946),
    [anon_sym_LT_EQ_GT] = ACTIONS(5948),
    [anon_sym_or] = ACTIONS(5946),
    [anon_sym_and] = ACTIONS(5946),
    [anon_sym_bitor] = ACTIONS(5946),
    [anon_sym_xor] = ACTIONS(5946),
    [anon_sym_bitand] = ACTIONS(5946),
    [anon_sym_not_eq] = ACTIONS(5946),
    [anon_sym_DASH_DASH] = ACTIONS(5948),
    [anon_sym_PLUS_PLUS] = ACTIONS(5948),
    [anon_sym_DOT] = ACTIONS(5946),
    [anon_sym_DOT_STAR] = ACTIONS(5948),
    [anon_sym_DASH_GT] = ACTIONS(5948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5946),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(5260),
    [anon_sym_LPAREN2] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [anon_sym_STAR] = ACTIONS(5262),
    [anon_sym_PIPE_PIPE] = ACTIONS(5262),
    [anon_sym_AMP_AMP] = ACTIONS(5262),
    [anon_sym_AMP] = ACTIONS(5260),
    [anon_sym___extension__] = ACTIONS(5260),
    [anon_sym_virtual] = ACTIONS(5260),
    [anon_sym_extern] = ACTIONS(5260),
    [anon_sym___attribute__] = ACTIONS(5260),
    [anon_sym_COLON_COLON] = ACTIONS(5262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5262),
    [anon_sym___declspec] = ACTIONS(5260),
    [anon_sym___based] = ACTIONS(5260),
    [anon_sym___cdecl] = ACTIONS(5260),
    [anon_sym___clrcall] = ACTIONS(5260),
    [anon_sym___stdcall] = ACTIONS(5260),
    [anon_sym___fastcall] = ACTIONS(5260),
    [anon_sym___thiscall] = ACTIONS(5260),
    [anon_sym___vectorcall] = ACTIONS(5260),
    [anon_sym_signed] = ACTIONS(5260),
    [anon_sym_unsigned] = ACTIONS(5260),
    [anon_sym_long] = ACTIONS(5260),
    [anon_sym_short] = ACTIONS(5260),
    [anon_sym_LBRACK] = ACTIONS(5260),
    [anon_sym_static] = ACTIONS(5260),
    [anon_sym_register] = ACTIONS(5260),
    [anon_sym_inline] = ACTIONS(5260),
    [anon_sym___inline] = ACTIONS(5260),
    [anon_sym___inline__] = ACTIONS(5260),
    [anon_sym___forceinline] = ACTIONS(5260),
    [anon_sym_thread_local] = ACTIONS(5260),
    [anon_sym___thread] = ACTIONS(5260),
    [anon_sym_const] = ACTIONS(5260),
    [anon_sym_constexpr] = ACTIONS(5260),
    [anon_sym_volatile] = ACTIONS(5260),
    [anon_sym_restrict] = ACTIONS(5260),
    [anon_sym___restrict__] = ACTIONS(5260),
    [anon_sym__Atomic] = ACTIONS(5260),
    [anon_sym__Noreturn] = ACTIONS(5260),
    [anon_sym_noreturn] = ACTIONS(5260),
    [anon_sym__Nonnull] = ACTIONS(5260),
    [anon_sym_mutable] = ACTIONS(5260),
    [anon_sym_constinit] = ACTIONS(5260),
    [anon_sym_consteval] = ACTIONS(5260),
    [anon_sym_alignas] = ACTIONS(5260),
    [anon_sym__Alignas] = ACTIONS(5260),
    [sym_primitive_type] = ACTIONS(5260),
    [anon_sym_enum] = ACTIONS(5260),
    [anon_sym_class] = ACTIONS(5260),
    [anon_sym_struct] = ACTIONS(5260),
    [anon_sym_union] = ACTIONS(5260),
    [anon_sym_or] = ACTIONS(5260),
    [anon_sym_and] = ACTIONS(5260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5260),
    [anon_sym_decltype] = ACTIONS(5260),
    [anon_sym_explicit] = ACTIONS(5260),
    [anon_sym_typename] = ACTIONS(5260),
    [anon_sym_template] = ACTIONS(5260),
    [anon_sym_operator] = ACTIONS(5260),
    [anon_sym_friend] = ACTIONS(5260),
    [anon_sym_using] = ACTIONS(5260),
    [anon_sym_concept] = ACTIONS(5260),
  },
  [2189] = {
    [sym_string_literal] = STATE(2006),
    [sym_raw_string_literal] = STATE(2006),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(5590),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5590),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_and_eq] = ACTIONS(5588),
    [anon_sym_or_eq] = ACTIONS(5588),
    [anon_sym_xor_eq] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5590),
    [anon_sym_L_DQUOTE] = ACTIONS(5684),
    [anon_sym_u_DQUOTE] = ACTIONS(5684),
    [anon_sym_U_DQUOTE] = ACTIONS(5684),
    [anon_sym_u8_DQUOTE] = ACTIONS(5684),
    [anon_sym_DQUOTE] = ACTIONS(5684),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5686),
    [anon_sym_LR_DQUOTE] = ACTIONS(5686),
    [anon_sym_uR_DQUOTE] = ACTIONS(5686),
    [anon_sym_UR_DQUOTE] = ACTIONS(5686),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5686),
    [sym_literal_suffix] = ACTIONS(5588),
  },
  [2190] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2157),
    [sym_identifier] = ACTIONS(5637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5635),
    [anon_sym_COMMA] = ACTIONS(5635),
    [aux_sym_preproc_if_token2] = ACTIONS(5635),
    [aux_sym_preproc_else_token1] = ACTIONS(5635),
    [aux_sym_preproc_elif_token1] = ACTIONS(5637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5635),
    [anon_sym_DASH] = ACTIONS(5637),
    [anon_sym_PLUS] = ACTIONS(5637),
    [anon_sym_STAR] = ACTIONS(5637),
    [anon_sym_SLASH] = ACTIONS(5637),
    [anon_sym_PERCENT] = ACTIONS(5637),
    [anon_sym_PIPE_PIPE] = ACTIONS(5635),
    [anon_sym_AMP_AMP] = ACTIONS(5635),
    [anon_sym_PIPE] = ACTIONS(5637),
    [anon_sym_CARET] = ACTIONS(5637),
    [anon_sym_AMP] = ACTIONS(5637),
    [anon_sym_EQ_EQ] = ACTIONS(5635),
    [anon_sym_BANG_EQ] = ACTIONS(5635),
    [anon_sym_GT] = ACTIONS(5637),
    [anon_sym_GT_EQ] = ACTIONS(5635),
    [anon_sym_LT_EQ] = ACTIONS(5637),
    [anon_sym_LT] = ACTIONS(5637),
    [anon_sym_LT_LT] = ACTIONS(5637),
    [anon_sym_GT_GT] = ACTIONS(5637),
    [anon_sym___attribute__] = ACTIONS(5637),
    [anon_sym_LBRACE] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5950),
    [anon_sym_unsigned] = ACTIONS(5950),
    [anon_sym_long] = ACTIONS(5950),
    [anon_sym_short] = ACTIONS(5950),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_EQ] = ACTIONS(5637),
    [anon_sym_QMARK] = ACTIONS(5635),
    [anon_sym_STAR_EQ] = ACTIONS(5635),
    [anon_sym_SLASH_EQ] = ACTIONS(5635),
    [anon_sym_PERCENT_EQ] = ACTIONS(5635),
    [anon_sym_PLUS_EQ] = ACTIONS(5635),
    [anon_sym_DASH_EQ] = ACTIONS(5635),
    [anon_sym_LT_LT_EQ] = ACTIONS(5635),
    [anon_sym_GT_GT_EQ] = ACTIONS(5635),
    [anon_sym_AMP_EQ] = ACTIONS(5635),
    [anon_sym_CARET_EQ] = ACTIONS(5635),
    [anon_sym_PIPE_EQ] = ACTIONS(5635),
    [anon_sym_and_eq] = ACTIONS(5637),
    [anon_sym_or_eq] = ACTIONS(5637),
    [anon_sym_xor_eq] = ACTIONS(5637),
    [anon_sym_LT_EQ_GT] = ACTIONS(5635),
    [anon_sym_or] = ACTIONS(5637),
    [anon_sym_and] = ACTIONS(5637),
    [anon_sym_bitor] = ACTIONS(5637),
    [anon_sym_xor] = ACTIONS(5637),
    [anon_sym_bitand] = ACTIONS(5637),
    [anon_sym_not_eq] = ACTIONS(5637),
    [anon_sym_DASH_DASH] = ACTIONS(5635),
    [anon_sym_PLUS_PLUS] = ACTIONS(5635),
    [anon_sym_DOT] = ACTIONS(5637),
    [anon_sym_DOT_STAR] = ACTIONS(5635),
    [anon_sym_DASH_GT] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5637),
    [anon_sym_decltype] = ACTIONS(5637),
  },
  [2191] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2161),
    [sym_identifier] = ACTIONS(5654),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [aux_sym_preproc_if_token2] = ACTIONS(5652),
    [aux_sym_preproc_else_token1] = ACTIONS(5652),
    [aux_sym_preproc_elif_token1] = ACTIONS(5654),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5652),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5652),
    [anon_sym_LPAREN2] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5654),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5654),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_CARET] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5654),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5654),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5652),
    [anon_sym_signed] = ACTIONS(5952),
    [anon_sym_unsigned] = ACTIONS(5952),
    [anon_sym_long] = ACTIONS(5952),
    [anon_sym_short] = ACTIONS(5952),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_EQ] = ACTIONS(5654),
    [anon_sym_QMARK] = ACTIONS(5652),
    [anon_sym_STAR_EQ] = ACTIONS(5652),
    [anon_sym_SLASH_EQ] = ACTIONS(5652),
    [anon_sym_PERCENT_EQ] = ACTIONS(5652),
    [anon_sym_PLUS_EQ] = ACTIONS(5652),
    [anon_sym_DASH_EQ] = ACTIONS(5652),
    [anon_sym_LT_LT_EQ] = ACTIONS(5652),
    [anon_sym_GT_GT_EQ] = ACTIONS(5652),
    [anon_sym_AMP_EQ] = ACTIONS(5652),
    [anon_sym_CARET_EQ] = ACTIONS(5652),
    [anon_sym_PIPE_EQ] = ACTIONS(5652),
    [anon_sym_and_eq] = ACTIONS(5654),
    [anon_sym_or_eq] = ACTIONS(5654),
    [anon_sym_xor_eq] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5654),
    [anon_sym_and] = ACTIONS(5654),
    [anon_sym_bitor] = ACTIONS(5654),
    [anon_sym_xor] = ACTIONS(5654),
    [anon_sym_bitand] = ACTIONS(5654),
    [anon_sym_not_eq] = ACTIONS(5654),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_DOT_STAR] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5654),
    [anon_sym_decltype] = ACTIONS(5654),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [aux_sym_preproc_if_token2] = ACTIONS(5414),
    [aux_sym_preproc_else_token1] = ACTIONS(5414),
    [aux_sym_preproc_elif_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5412),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5412),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5412),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5412),
    [anon_sym_GT_GT] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_EQ] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_STAR_EQ] = ACTIONS(5414),
    [anon_sym_SLASH_EQ] = ACTIONS(5414),
    [anon_sym_PERCENT_EQ] = ACTIONS(5414),
    [anon_sym_PLUS_EQ] = ACTIONS(5414),
    [anon_sym_DASH_EQ] = ACTIONS(5414),
    [anon_sym_LT_LT_EQ] = ACTIONS(5414),
    [anon_sym_GT_GT_EQ] = ACTIONS(5414),
    [anon_sym_AMP_EQ] = ACTIONS(5414),
    [anon_sym_CARET_EQ] = ACTIONS(5414),
    [anon_sym_PIPE_EQ] = ACTIONS(5414),
    [anon_sym_and_eq] = ACTIONS(5412),
    [anon_sym_or_eq] = ACTIONS(5412),
    [anon_sym_xor_eq] = ACTIONS(5412),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_TILDE] = ACTIONS(5318),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym___extension__] = ACTIONS(5316),
    [anon_sym_virtual] = ACTIONS(5316),
    [anon_sym_extern] = ACTIONS(5316),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5318),
    [anon_sym___declspec] = ACTIONS(5316),
    [anon_sym___based] = ACTIONS(5316),
    [anon_sym___cdecl] = ACTIONS(5316),
    [anon_sym___clrcall] = ACTIONS(5316),
    [anon_sym___stdcall] = ACTIONS(5316),
    [anon_sym___fastcall] = ACTIONS(5316),
    [anon_sym___thiscall] = ACTIONS(5316),
    [anon_sym___vectorcall] = ACTIONS(5316),
    [anon_sym_signed] = ACTIONS(5316),
    [anon_sym_unsigned] = ACTIONS(5316),
    [anon_sym_long] = ACTIONS(5316),
    [anon_sym_short] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [anon_sym_static] = ACTIONS(5316),
    [anon_sym_register] = ACTIONS(5316),
    [anon_sym_inline] = ACTIONS(5316),
    [anon_sym___inline] = ACTIONS(5316),
    [anon_sym___inline__] = ACTIONS(5316),
    [anon_sym___forceinline] = ACTIONS(5316),
    [anon_sym_thread_local] = ACTIONS(5316),
    [anon_sym___thread] = ACTIONS(5316),
    [anon_sym_const] = ACTIONS(5316),
    [anon_sym_constexpr] = ACTIONS(5316),
    [anon_sym_volatile] = ACTIONS(5316),
    [anon_sym_restrict] = ACTIONS(5316),
    [anon_sym___restrict__] = ACTIONS(5316),
    [anon_sym__Atomic] = ACTIONS(5316),
    [anon_sym__Noreturn] = ACTIONS(5316),
    [anon_sym_noreturn] = ACTIONS(5316),
    [anon_sym__Nonnull] = ACTIONS(5316),
    [anon_sym_mutable] = ACTIONS(5316),
    [anon_sym_constinit] = ACTIONS(5316),
    [anon_sym_consteval] = ACTIONS(5316),
    [anon_sym_alignas] = ACTIONS(5316),
    [anon_sym__Alignas] = ACTIONS(5316),
    [sym_primitive_type] = ACTIONS(5316),
    [anon_sym_enum] = ACTIONS(5316),
    [anon_sym_class] = ACTIONS(5316),
    [anon_sym_struct] = ACTIONS(5316),
    [anon_sym_union] = ACTIONS(5316),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_explicit] = ACTIONS(5316),
    [anon_sym_typename] = ACTIONS(5316),
    [anon_sym_template] = ACTIONS(5316),
    [anon_sym_operator] = ACTIONS(5316),
    [anon_sym_friend] = ACTIONS(5316),
    [anon_sym_using] = ACTIONS(5316),
    [anon_sym_concept] = ACTIONS(5316),
  },
  [2194] = {
    [sym_identifier] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(5442),
    [anon_sym_RPAREN] = ACTIONS(5442),
    [aux_sym_preproc_if_token2] = ACTIONS(5442),
    [aux_sym_preproc_else_token1] = ACTIONS(5442),
    [aux_sym_preproc_elif_token1] = ACTIONS(5440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5442),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5442),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_DASH] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5440),
    [anon_sym_STAR] = ACTIONS(5440),
    [anon_sym_SLASH] = ACTIONS(5440),
    [anon_sym_PERCENT] = ACTIONS(5440),
    [anon_sym_PIPE_PIPE] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_CARET] = ACTIONS(5440),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ_EQ] = ACTIONS(5442),
    [anon_sym_BANG_EQ] = ACTIONS(5442),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5442),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_LT_LT] = ACTIONS(5440),
    [anon_sym_GT_GT] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___attribute__] = ACTIONS(5440),
    [anon_sym_LBRACE] = ACTIONS(5442),
    [anon_sym_RBRACE] = ACTIONS(5442),
    [anon_sym_LBRACK] = ACTIONS(5442),
    [anon_sym_RBRACK] = ACTIONS(5442),
    [anon_sym_EQ] = ACTIONS(5440),
    [anon_sym_COLON] = ACTIONS(5442),
    [anon_sym_QMARK] = ACTIONS(5442),
    [anon_sym_STAR_EQ] = ACTIONS(5442),
    [anon_sym_SLASH_EQ] = ACTIONS(5442),
    [anon_sym_PERCENT_EQ] = ACTIONS(5442),
    [anon_sym_PLUS_EQ] = ACTIONS(5442),
    [anon_sym_DASH_EQ] = ACTIONS(5442),
    [anon_sym_LT_LT_EQ] = ACTIONS(5442),
    [anon_sym_GT_GT_EQ] = ACTIONS(5442),
    [anon_sym_AMP_EQ] = ACTIONS(5442),
    [anon_sym_CARET_EQ] = ACTIONS(5442),
    [anon_sym_PIPE_EQ] = ACTIONS(5442),
    [anon_sym_and_eq] = ACTIONS(5440),
    [anon_sym_or_eq] = ACTIONS(5440),
    [anon_sym_xor_eq] = ACTIONS(5440),
    [anon_sym_LT_EQ_GT] = ACTIONS(5442),
    [anon_sym_or] = ACTIONS(5440),
    [anon_sym_and] = ACTIONS(5440),
    [anon_sym_bitor] = ACTIONS(5440),
    [anon_sym_xor] = ACTIONS(5440),
    [anon_sym_bitand] = ACTIONS(5440),
    [anon_sym_not_eq] = ACTIONS(5440),
    [anon_sym_DASH_DASH] = ACTIONS(5442),
    [anon_sym_PLUS_PLUS] = ACTIONS(5442),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_DOT_STAR] = ACTIONS(5442),
    [anon_sym_DASH_GT] = ACTIONS(5442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
  },
  [2195] = {
    [sym_identifier] = ACTIONS(5470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5472),
    [anon_sym_COMMA] = ACTIONS(5472),
    [anon_sym_RPAREN] = ACTIONS(5472),
    [aux_sym_preproc_if_token2] = ACTIONS(5472),
    [aux_sym_preproc_else_token1] = ACTIONS(5472),
    [aux_sym_preproc_elif_token1] = ACTIONS(5470),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5472),
    [anon_sym_DASH] = ACTIONS(5470),
    [anon_sym_PLUS] = ACTIONS(5470),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_SLASH] = ACTIONS(5470),
    [anon_sym_PERCENT] = ACTIONS(5470),
    [anon_sym_PIPE_PIPE] = ACTIONS(5472),
    [anon_sym_AMP_AMP] = ACTIONS(5472),
    [anon_sym_PIPE] = ACTIONS(5470),
    [anon_sym_CARET] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5470),
    [anon_sym_EQ_EQ] = ACTIONS(5472),
    [anon_sym_BANG_EQ] = ACTIONS(5472),
    [anon_sym_GT] = ACTIONS(5470),
    [anon_sym_GT_EQ] = ACTIONS(5472),
    [anon_sym_LT_EQ] = ACTIONS(5470),
    [anon_sym_LT] = ACTIONS(5470),
    [anon_sym_LT_LT] = ACTIONS(5470),
    [anon_sym_GT_GT] = ACTIONS(5470),
    [anon_sym_SEMI] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5470),
    [anon_sym_LBRACE] = ACTIONS(5472),
    [anon_sym_RBRACE] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_RBRACK] = ACTIONS(5472),
    [anon_sym_EQ] = ACTIONS(5470),
    [anon_sym_COLON] = ACTIONS(5472),
    [anon_sym_QMARK] = ACTIONS(5472),
    [anon_sym_STAR_EQ] = ACTIONS(5472),
    [anon_sym_SLASH_EQ] = ACTIONS(5472),
    [anon_sym_PERCENT_EQ] = ACTIONS(5472),
    [anon_sym_PLUS_EQ] = ACTIONS(5472),
    [anon_sym_DASH_EQ] = ACTIONS(5472),
    [anon_sym_LT_LT_EQ] = ACTIONS(5472),
    [anon_sym_GT_GT_EQ] = ACTIONS(5472),
    [anon_sym_AMP_EQ] = ACTIONS(5472),
    [anon_sym_CARET_EQ] = ACTIONS(5472),
    [anon_sym_PIPE_EQ] = ACTIONS(5472),
    [anon_sym_and_eq] = ACTIONS(5470),
    [anon_sym_or_eq] = ACTIONS(5470),
    [anon_sym_xor_eq] = ACTIONS(5470),
    [anon_sym_LT_EQ_GT] = ACTIONS(5472),
    [anon_sym_or] = ACTIONS(5470),
    [anon_sym_and] = ACTIONS(5470),
    [anon_sym_bitor] = ACTIONS(5470),
    [anon_sym_xor] = ACTIONS(5470),
    [anon_sym_bitand] = ACTIONS(5470),
    [anon_sym_not_eq] = ACTIONS(5470),
    [anon_sym_DASH_DASH] = ACTIONS(5472),
    [anon_sym_PLUS_PLUS] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5470),
    [anon_sym_DOT_STAR] = ACTIONS(5472),
    [anon_sym_DASH_GT] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5470),
    [anon_sym_decltype] = ACTIONS(5470),
  },
  [2196] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_TILDE] = ACTIONS(5318),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym___extension__] = ACTIONS(5316),
    [anon_sym_virtual] = ACTIONS(5316),
    [anon_sym_extern] = ACTIONS(5316),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5318),
    [anon_sym___declspec] = ACTIONS(5316),
    [anon_sym___based] = ACTIONS(5316),
    [anon_sym___cdecl] = ACTIONS(5316),
    [anon_sym___clrcall] = ACTIONS(5316),
    [anon_sym___stdcall] = ACTIONS(5316),
    [anon_sym___fastcall] = ACTIONS(5316),
    [anon_sym___thiscall] = ACTIONS(5316),
    [anon_sym___vectorcall] = ACTIONS(5316),
    [anon_sym_signed] = ACTIONS(5316),
    [anon_sym_unsigned] = ACTIONS(5316),
    [anon_sym_long] = ACTIONS(5316),
    [anon_sym_short] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [anon_sym_static] = ACTIONS(5316),
    [anon_sym_register] = ACTIONS(5316),
    [anon_sym_inline] = ACTIONS(5316),
    [anon_sym___inline] = ACTIONS(5316),
    [anon_sym___inline__] = ACTIONS(5316),
    [anon_sym___forceinline] = ACTIONS(5316),
    [anon_sym_thread_local] = ACTIONS(5316),
    [anon_sym___thread] = ACTIONS(5316),
    [anon_sym_const] = ACTIONS(5316),
    [anon_sym_constexpr] = ACTIONS(5316),
    [anon_sym_volatile] = ACTIONS(5316),
    [anon_sym_restrict] = ACTIONS(5316),
    [anon_sym___restrict__] = ACTIONS(5316),
    [anon_sym__Atomic] = ACTIONS(5316),
    [anon_sym__Noreturn] = ACTIONS(5316),
    [anon_sym_noreturn] = ACTIONS(5316),
    [anon_sym__Nonnull] = ACTIONS(5316),
    [anon_sym_mutable] = ACTIONS(5316),
    [anon_sym_constinit] = ACTIONS(5316),
    [anon_sym_consteval] = ACTIONS(5316),
    [anon_sym_alignas] = ACTIONS(5316),
    [anon_sym__Alignas] = ACTIONS(5316),
    [sym_primitive_type] = ACTIONS(5316),
    [anon_sym_enum] = ACTIONS(5316),
    [anon_sym_class] = ACTIONS(5316),
    [anon_sym_struct] = ACTIONS(5316),
    [anon_sym_union] = ACTIONS(5316),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_explicit] = ACTIONS(5316),
    [anon_sym_typename] = ACTIONS(5316),
    [anon_sym_template] = ACTIONS(5316),
    [anon_sym_operator] = ACTIONS(5316),
    [anon_sym_friend] = ACTIONS(5316),
    [anon_sym_using] = ACTIONS(5316),
    [anon_sym_concept] = ACTIONS(5316),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(5490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5492),
    [anon_sym_COMMA] = ACTIONS(5492),
    [anon_sym_RPAREN] = ACTIONS(5492),
    [aux_sym_preproc_if_token2] = ACTIONS(5492),
    [aux_sym_preproc_else_token1] = ACTIONS(5492),
    [aux_sym_preproc_elif_token1] = ACTIONS(5490),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5492),
    [anon_sym_DASH] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_SLASH] = ACTIONS(5490),
    [anon_sym_PERCENT] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE] = ACTIONS(5492),
    [anon_sym_AMP_AMP] = ACTIONS(5492),
    [anon_sym_PIPE] = ACTIONS(5490),
    [anon_sym_CARET] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5490),
    [anon_sym_EQ_EQ] = ACTIONS(5492),
    [anon_sym_BANG_EQ] = ACTIONS(5492),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5492),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_LT_LT] = ACTIONS(5490),
    [anon_sym_GT_GT] = ACTIONS(5490),
    [anon_sym_SEMI] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5490),
    [anon_sym_LBRACE] = ACTIONS(5492),
    [anon_sym_RBRACE] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_RBRACK] = ACTIONS(5492),
    [anon_sym_EQ] = ACTIONS(5490),
    [anon_sym_COLON] = ACTIONS(5492),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_STAR_EQ] = ACTIONS(5492),
    [anon_sym_SLASH_EQ] = ACTIONS(5492),
    [anon_sym_PERCENT_EQ] = ACTIONS(5492),
    [anon_sym_PLUS_EQ] = ACTIONS(5492),
    [anon_sym_DASH_EQ] = ACTIONS(5492),
    [anon_sym_LT_LT_EQ] = ACTIONS(5492),
    [anon_sym_GT_GT_EQ] = ACTIONS(5492),
    [anon_sym_AMP_EQ] = ACTIONS(5492),
    [anon_sym_CARET_EQ] = ACTIONS(5492),
    [anon_sym_PIPE_EQ] = ACTIONS(5492),
    [anon_sym_and_eq] = ACTIONS(5490),
    [anon_sym_or_eq] = ACTIONS(5490),
    [anon_sym_xor_eq] = ACTIONS(5490),
    [anon_sym_LT_EQ_GT] = ACTIONS(5492),
    [anon_sym_or] = ACTIONS(5490),
    [anon_sym_and] = ACTIONS(5490),
    [anon_sym_bitor] = ACTIONS(5490),
    [anon_sym_xor] = ACTIONS(5490),
    [anon_sym_bitand] = ACTIONS(5490),
    [anon_sym_not_eq] = ACTIONS(5490),
    [anon_sym_DASH_DASH] = ACTIONS(5492),
    [anon_sym_PLUS_PLUS] = ACTIONS(5492),
    [anon_sym_DOT] = ACTIONS(5490),
    [anon_sym_DOT_STAR] = ACTIONS(5492),
    [anon_sym_DASH_GT] = ACTIONS(5492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5490),
    [anon_sym_decltype] = ACTIONS(5490),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(5502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5504),
    [anon_sym_COMMA] = ACTIONS(5504),
    [anon_sym_RPAREN] = ACTIONS(5504),
    [aux_sym_preproc_if_token2] = ACTIONS(5504),
    [aux_sym_preproc_else_token1] = ACTIONS(5504),
    [aux_sym_preproc_elif_token1] = ACTIONS(5502),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5504),
    [anon_sym_LPAREN2] = ACTIONS(5504),
    [anon_sym_DASH] = ACTIONS(5502),
    [anon_sym_PLUS] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_SLASH] = ACTIONS(5502),
    [anon_sym_PERCENT] = ACTIONS(5502),
    [anon_sym_PIPE_PIPE] = ACTIONS(5504),
    [anon_sym_AMP_AMP] = ACTIONS(5504),
    [anon_sym_PIPE] = ACTIONS(5502),
    [anon_sym_CARET] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5504),
    [anon_sym_BANG_EQ] = ACTIONS(5504),
    [anon_sym_GT] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5502),
    [anon_sym_LT] = ACTIONS(5502),
    [anon_sym_LT_LT] = ACTIONS(5502),
    [anon_sym_GT_GT] = ACTIONS(5502),
    [anon_sym_SEMI] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5502),
    [anon_sym_LBRACE] = ACTIONS(5504),
    [anon_sym_RBRACE] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5504),
    [anon_sym_RBRACK] = ACTIONS(5504),
    [anon_sym_EQ] = ACTIONS(5502),
    [anon_sym_COLON] = ACTIONS(5504),
    [anon_sym_QMARK] = ACTIONS(5504),
    [anon_sym_STAR_EQ] = ACTIONS(5504),
    [anon_sym_SLASH_EQ] = ACTIONS(5504),
    [anon_sym_PERCENT_EQ] = ACTIONS(5504),
    [anon_sym_PLUS_EQ] = ACTIONS(5504),
    [anon_sym_DASH_EQ] = ACTIONS(5504),
    [anon_sym_LT_LT_EQ] = ACTIONS(5504),
    [anon_sym_GT_GT_EQ] = ACTIONS(5504),
    [anon_sym_AMP_EQ] = ACTIONS(5504),
    [anon_sym_CARET_EQ] = ACTIONS(5504),
    [anon_sym_PIPE_EQ] = ACTIONS(5504),
    [anon_sym_and_eq] = ACTIONS(5502),
    [anon_sym_or_eq] = ACTIONS(5502),
    [anon_sym_xor_eq] = ACTIONS(5502),
    [anon_sym_LT_EQ_GT] = ACTIONS(5504),
    [anon_sym_or] = ACTIONS(5502),
    [anon_sym_and] = ACTIONS(5502),
    [anon_sym_bitor] = ACTIONS(5502),
    [anon_sym_xor] = ACTIONS(5502),
    [anon_sym_bitand] = ACTIONS(5502),
    [anon_sym_not_eq] = ACTIONS(5502),
    [anon_sym_DASH_DASH] = ACTIONS(5504),
    [anon_sym_PLUS_PLUS] = ACTIONS(5504),
    [anon_sym_DOT] = ACTIONS(5502),
    [anon_sym_DOT_STAR] = ACTIONS(5504),
    [anon_sym_DASH_GT] = ACTIONS(5504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5502),
    [anon_sym_decltype] = ACTIONS(5502),
  },
  [2199] = {
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [aux_sym_preproc_if_token2] = ACTIONS(5336),
    [aux_sym_preproc_else_token1] = ACTIONS(5336),
    [aux_sym_preproc_elif_token1] = ACTIONS(5334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5336),
    [anon_sym_DASH] = ACTIONS(5334),
    [anon_sym_PLUS] = ACTIONS(5334),
    [anon_sym_STAR] = ACTIONS(5334),
    [anon_sym_SLASH] = ACTIONS(5334),
    [anon_sym_PERCENT] = ACTIONS(5334),
    [anon_sym_PIPE_PIPE] = ACTIONS(5336),
    [anon_sym_AMP_AMP] = ACTIONS(5336),
    [anon_sym_PIPE] = ACTIONS(5334),
    [anon_sym_CARET] = ACTIONS(5334),
    [anon_sym_AMP] = ACTIONS(5334),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_GT] = ACTIONS(5334),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5334),
    [anon_sym_LT] = ACTIONS(5334),
    [anon_sym_LT_LT] = ACTIONS(5334),
    [anon_sym_GT_GT] = ACTIONS(5334),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym___attribute__] = ACTIONS(5334),
    [anon_sym_LBRACE] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_RBRACK] = ACTIONS(5336),
    [anon_sym_EQ] = ACTIONS(5334),
    [anon_sym_COLON] = ACTIONS(5336),
    [anon_sym_QMARK] = ACTIONS(5336),
    [anon_sym_STAR_EQ] = ACTIONS(5336),
    [anon_sym_SLASH_EQ] = ACTIONS(5336),
    [anon_sym_PERCENT_EQ] = ACTIONS(5336),
    [anon_sym_PLUS_EQ] = ACTIONS(5336),
    [anon_sym_DASH_EQ] = ACTIONS(5336),
    [anon_sym_LT_LT_EQ] = ACTIONS(5336),
    [anon_sym_GT_GT_EQ] = ACTIONS(5336),
    [anon_sym_AMP_EQ] = ACTIONS(5336),
    [anon_sym_CARET_EQ] = ACTIONS(5336),
    [anon_sym_PIPE_EQ] = ACTIONS(5336),
    [anon_sym_and_eq] = ACTIONS(5334),
    [anon_sym_or_eq] = ACTIONS(5334),
    [anon_sym_xor_eq] = ACTIONS(5334),
    [anon_sym_LT_EQ_GT] = ACTIONS(5336),
    [anon_sym_or] = ACTIONS(5334),
    [anon_sym_and] = ACTIONS(5334),
    [anon_sym_bitor] = ACTIONS(5334),
    [anon_sym_xor] = ACTIONS(5334),
    [anon_sym_bitand] = ACTIONS(5334),
    [anon_sym_not_eq] = ACTIONS(5334),
    [anon_sym_DASH_DASH] = ACTIONS(5336),
    [anon_sym_PLUS_PLUS] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5334),
    [anon_sym_DOT_STAR] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5334),
    [anon_sym_decltype] = ACTIONS(5334),
  },
  [2200] = {
    [sym_identifier] = ACTIONS(5316),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_TILDE] = ACTIONS(5318),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5316),
    [anon_sym___extension__] = ACTIONS(5316),
    [anon_sym_virtual] = ACTIONS(5316),
    [anon_sym_extern] = ACTIONS(5316),
    [anon_sym___attribute__] = ACTIONS(5316),
    [anon_sym_COLON_COLON] = ACTIONS(5318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5318),
    [anon_sym___declspec] = ACTIONS(5316),
    [anon_sym___based] = ACTIONS(5316),
    [anon_sym___cdecl] = ACTIONS(5316),
    [anon_sym___clrcall] = ACTIONS(5316),
    [anon_sym___stdcall] = ACTIONS(5316),
    [anon_sym___fastcall] = ACTIONS(5316),
    [anon_sym___thiscall] = ACTIONS(5316),
    [anon_sym___vectorcall] = ACTIONS(5316),
    [anon_sym_signed] = ACTIONS(5316),
    [anon_sym_unsigned] = ACTIONS(5316),
    [anon_sym_long] = ACTIONS(5316),
    [anon_sym_short] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5316),
    [anon_sym_static] = ACTIONS(5316),
    [anon_sym_register] = ACTIONS(5316),
    [anon_sym_inline] = ACTIONS(5316),
    [anon_sym___inline] = ACTIONS(5316),
    [anon_sym___inline__] = ACTIONS(5316),
    [anon_sym___forceinline] = ACTIONS(5316),
    [anon_sym_thread_local] = ACTIONS(5316),
    [anon_sym___thread] = ACTIONS(5316),
    [anon_sym_const] = ACTIONS(5316),
    [anon_sym_constexpr] = ACTIONS(5316),
    [anon_sym_volatile] = ACTIONS(5316),
    [anon_sym_restrict] = ACTIONS(5316),
    [anon_sym___restrict__] = ACTIONS(5316),
    [anon_sym__Atomic] = ACTIONS(5316),
    [anon_sym__Noreturn] = ACTIONS(5316),
    [anon_sym_noreturn] = ACTIONS(5316),
    [anon_sym__Nonnull] = ACTIONS(5316),
    [anon_sym_mutable] = ACTIONS(5316),
    [anon_sym_constinit] = ACTIONS(5316),
    [anon_sym_consteval] = ACTIONS(5316),
    [anon_sym_alignas] = ACTIONS(5316),
    [anon_sym__Alignas] = ACTIONS(5316),
    [sym_primitive_type] = ACTIONS(5316),
    [anon_sym_enum] = ACTIONS(5316),
    [anon_sym_class] = ACTIONS(5316),
    [anon_sym_struct] = ACTIONS(5316),
    [anon_sym_union] = ACTIONS(5316),
    [anon_sym_or] = ACTIONS(5316),
    [anon_sym_and] = ACTIONS(5316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5316),
    [anon_sym_decltype] = ACTIONS(5316),
    [anon_sym_explicit] = ACTIONS(5316),
    [anon_sym_typename] = ACTIONS(5316),
    [anon_sym_template] = ACTIONS(5316),
    [anon_sym_operator] = ACTIONS(5316),
    [anon_sym_friend] = ACTIONS(5316),
    [anon_sym_using] = ACTIONS(5316),
    [anon_sym_concept] = ACTIONS(5316),
  },
  [2201] = {
    [sym_attribute_specifier] = STATE(1802),
    [sym_enumerator_list] = STATE(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5700),
    [anon_sym_COMMA] = ACTIONS(5700),
    [anon_sym_RPAREN] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_STAR] = ACTIONS(5700),
    [anon_sym_SLASH] = ACTIONS(5698),
    [anon_sym_PERCENT] = ACTIONS(5700),
    [anon_sym_PIPE_PIPE] = ACTIONS(5700),
    [anon_sym_AMP_AMP] = ACTIONS(5700),
    [anon_sym_PIPE] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym_AMP] = ACTIONS(5698),
    [anon_sym_EQ_EQ] = ACTIONS(5700),
    [anon_sym_BANG_EQ] = ACTIONS(5700),
    [anon_sym_GT] = ACTIONS(5698),
    [anon_sym_GT_EQ] = ACTIONS(5700),
    [anon_sym_LT_EQ] = ACTIONS(5698),
    [anon_sym_LT] = ACTIONS(5698),
    [anon_sym_LT_LT] = ACTIONS(5700),
    [anon_sym_GT_GT] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(5700),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5887),
    [anon_sym_RBRACE] = ACTIONS(5700),
    [anon_sym_LBRACK] = ACTIONS(5700),
    [anon_sym_RBRACK] = ACTIONS(5700),
    [anon_sym_const] = ACTIONS(5698),
    [anon_sym_constexpr] = ACTIONS(5700),
    [anon_sym_volatile] = ACTIONS(5700),
    [anon_sym_restrict] = ACTIONS(5700),
    [anon_sym___restrict__] = ACTIONS(5700),
    [anon_sym__Atomic] = ACTIONS(5700),
    [anon_sym__Noreturn] = ACTIONS(5700),
    [anon_sym_noreturn] = ACTIONS(5700),
    [anon_sym__Nonnull] = ACTIONS(5700),
    [anon_sym_mutable] = ACTIONS(5700),
    [anon_sym_constinit] = ACTIONS(5700),
    [anon_sym_consteval] = ACTIONS(5700),
    [anon_sym_alignas] = ACTIONS(5700),
    [anon_sym__Alignas] = ACTIONS(5700),
    [anon_sym_COLON] = ACTIONS(5700),
    [anon_sym_QMARK] = ACTIONS(5700),
    [anon_sym_LT_EQ_GT] = ACTIONS(5700),
    [anon_sym_or] = ACTIONS(5700),
    [anon_sym_and] = ACTIONS(5700),
    [anon_sym_bitor] = ACTIONS(5700),
    [anon_sym_xor] = ACTIONS(5700),
    [anon_sym_bitand] = ACTIONS(5700),
    [anon_sym_not_eq] = ACTIONS(5700),
    [anon_sym_DASH_DASH] = ACTIONS(5700),
    [anon_sym_PLUS_PLUS] = ACTIONS(5700),
    [anon_sym_DOT] = ACTIONS(5698),
    [anon_sym_DOT_STAR] = ACTIONS(5700),
    [anon_sym_DASH_GT] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5700),
    [anon_sym_decltype] = ACTIONS(5700),
    [anon_sym_final] = ACTIONS(5700),
    [anon_sym_override] = ACTIONS(5700),
    [anon_sym_requires] = ACTIONS(5700),
  },
  [2202] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5658),
    [anon_sym_COMMA] = ACTIONS(5658),
    [aux_sym_preproc_if_token2] = ACTIONS(5658),
    [aux_sym_preproc_else_token1] = ACTIONS(5658),
    [aux_sym_preproc_elif_token1] = ACTIONS(5660),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5658),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5658),
    [anon_sym_LPAREN2] = ACTIONS(5658),
    [anon_sym_DASH] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5660),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5660),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5658),
    [anon_sym_AMP_AMP] = ACTIONS(5658),
    [anon_sym_PIPE] = ACTIONS(5660),
    [anon_sym_CARET] = ACTIONS(5660),
    [anon_sym_AMP] = ACTIONS(5660),
    [anon_sym_EQ_EQ] = ACTIONS(5658),
    [anon_sym_BANG_EQ] = ACTIONS(5658),
    [anon_sym_GT] = ACTIONS(5660),
    [anon_sym_GT_EQ] = ACTIONS(5658),
    [anon_sym_LT_EQ] = ACTIONS(5660),
    [anon_sym_LT] = ACTIONS(5660),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5660),
    [anon_sym___attribute__] = ACTIONS(5660),
    [anon_sym_LBRACE] = ACTIONS(5658),
    [anon_sym_signed] = ACTIONS(5885),
    [anon_sym_unsigned] = ACTIONS(5885),
    [anon_sym_long] = ACTIONS(5885),
    [anon_sym_short] = ACTIONS(5885),
    [anon_sym_LBRACK] = ACTIONS(5658),
    [anon_sym_EQ] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5658),
    [anon_sym_STAR_EQ] = ACTIONS(5658),
    [anon_sym_SLASH_EQ] = ACTIONS(5658),
    [anon_sym_PERCENT_EQ] = ACTIONS(5658),
    [anon_sym_PLUS_EQ] = ACTIONS(5658),
    [anon_sym_DASH_EQ] = ACTIONS(5658),
    [anon_sym_LT_LT_EQ] = ACTIONS(5658),
    [anon_sym_GT_GT_EQ] = ACTIONS(5658),
    [anon_sym_AMP_EQ] = ACTIONS(5658),
    [anon_sym_CARET_EQ] = ACTIONS(5658),
    [anon_sym_PIPE_EQ] = ACTIONS(5658),
    [anon_sym_and_eq] = ACTIONS(5660),
    [anon_sym_or_eq] = ACTIONS(5660),
    [anon_sym_xor_eq] = ACTIONS(5660),
    [anon_sym_LT_EQ_GT] = ACTIONS(5658),
    [anon_sym_or] = ACTIONS(5660),
    [anon_sym_and] = ACTIONS(5660),
    [anon_sym_bitor] = ACTIONS(5660),
    [anon_sym_xor] = ACTIONS(5660),
    [anon_sym_bitand] = ACTIONS(5660),
    [anon_sym_not_eq] = ACTIONS(5660),
    [anon_sym_DASH_DASH] = ACTIONS(5658),
    [anon_sym_PLUS_PLUS] = ACTIONS(5658),
    [anon_sym_DOT] = ACTIONS(5660),
    [anon_sym_DOT_STAR] = ACTIONS(5658),
    [anon_sym_DASH_GT] = ACTIONS(5658),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5660),
    [anon_sym_decltype] = ACTIONS(5660),
  },
  [2203] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5647),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5645),
    [anon_sym_COMMA] = ACTIONS(5645),
    [aux_sym_preproc_if_token2] = ACTIONS(5645),
    [aux_sym_preproc_else_token1] = ACTIONS(5645),
    [aux_sym_preproc_elif_token1] = ACTIONS(5647),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5645),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5645),
    [anon_sym_LPAREN2] = ACTIONS(5645),
    [anon_sym_DASH] = ACTIONS(5647),
    [anon_sym_PLUS] = ACTIONS(5647),
    [anon_sym_STAR] = ACTIONS(5647),
    [anon_sym_SLASH] = ACTIONS(5647),
    [anon_sym_PERCENT] = ACTIONS(5647),
    [anon_sym_PIPE_PIPE] = ACTIONS(5645),
    [anon_sym_AMP_AMP] = ACTIONS(5645),
    [anon_sym_PIPE] = ACTIONS(5647),
    [anon_sym_CARET] = ACTIONS(5647),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym_EQ_EQ] = ACTIONS(5645),
    [anon_sym_BANG_EQ] = ACTIONS(5645),
    [anon_sym_GT] = ACTIONS(5647),
    [anon_sym_GT_EQ] = ACTIONS(5645),
    [anon_sym_LT_EQ] = ACTIONS(5647),
    [anon_sym_LT] = ACTIONS(5647),
    [anon_sym_LT_LT] = ACTIONS(5647),
    [anon_sym_GT_GT] = ACTIONS(5647),
    [anon_sym___attribute__] = ACTIONS(5647),
    [anon_sym_LBRACE] = ACTIONS(5645),
    [anon_sym_signed] = ACTIONS(5885),
    [anon_sym_unsigned] = ACTIONS(5885),
    [anon_sym_long] = ACTIONS(5885),
    [anon_sym_short] = ACTIONS(5885),
    [anon_sym_LBRACK] = ACTIONS(5645),
    [anon_sym_EQ] = ACTIONS(5647),
    [anon_sym_QMARK] = ACTIONS(5645),
    [anon_sym_STAR_EQ] = ACTIONS(5645),
    [anon_sym_SLASH_EQ] = ACTIONS(5645),
    [anon_sym_PERCENT_EQ] = ACTIONS(5645),
    [anon_sym_PLUS_EQ] = ACTIONS(5645),
    [anon_sym_DASH_EQ] = ACTIONS(5645),
    [anon_sym_LT_LT_EQ] = ACTIONS(5645),
    [anon_sym_GT_GT_EQ] = ACTIONS(5645),
    [anon_sym_AMP_EQ] = ACTIONS(5645),
    [anon_sym_CARET_EQ] = ACTIONS(5645),
    [anon_sym_PIPE_EQ] = ACTIONS(5645),
    [anon_sym_and_eq] = ACTIONS(5647),
    [anon_sym_or_eq] = ACTIONS(5647),
    [anon_sym_xor_eq] = ACTIONS(5647),
    [anon_sym_LT_EQ_GT] = ACTIONS(5645),
    [anon_sym_or] = ACTIONS(5647),
    [anon_sym_and] = ACTIONS(5647),
    [anon_sym_bitor] = ACTIONS(5647),
    [anon_sym_xor] = ACTIONS(5647),
    [anon_sym_bitand] = ACTIONS(5647),
    [anon_sym_not_eq] = ACTIONS(5647),
    [anon_sym_DASH_DASH] = ACTIONS(5645),
    [anon_sym_PLUS_PLUS] = ACTIONS(5645),
    [anon_sym_DOT] = ACTIONS(5647),
    [anon_sym_DOT_STAR] = ACTIONS(5645),
    [anon_sym_DASH_GT] = ACTIONS(5645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5647),
    [anon_sym_decltype] = ACTIONS(5647),
  },
  [2204] = {
    [sym_string_literal] = STATE(2055),
    [sym_raw_string_literal] = STATE(2055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_RPAREN] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5590),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_and_eq] = ACTIONS(5588),
    [anon_sym_or_eq] = ACTIONS(5588),
    [anon_sym_xor_eq] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5588),
    [anon_sym_L_DQUOTE] = ACTIONS(4928),
    [anon_sym_u_DQUOTE] = ACTIONS(4928),
    [anon_sym_U_DQUOTE] = ACTIONS(4928),
    [anon_sym_u8_DQUOTE] = ACTIONS(4928),
    [anon_sym_DQUOTE] = ACTIONS(4928),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4930),
    [anon_sym_LR_DQUOTE] = ACTIONS(4930),
    [anon_sym_uR_DQUOTE] = ACTIONS(4930),
    [anon_sym_UR_DQUOTE] = ACTIONS(4930),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4930),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5590),
    [sym_literal_suffix] = ACTIONS(5588),
  },
  [2205] = {
    [sym_argument_list] = STATE(2349),
    [sym_initializer_list] = STATE(2349),
    [sym_identifier] = ACTIONS(5954),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5956),
    [anon_sym_COMMA] = ACTIONS(5956),
    [anon_sym_RPAREN] = ACTIONS(5956),
    [aux_sym_preproc_if_token2] = ACTIONS(5956),
    [aux_sym_preproc_else_token1] = ACTIONS(5956),
    [aux_sym_preproc_elif_token1] = ACTIONS(5954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5956),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5954),
    [anon_sym_PLUS] = ACTIONS(5954),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_SLASH] = ACTIONS(5954),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5956),
    [anon_sym_AMP_AMP] = ACTIONS(5956),
    [anon_sym_PIPE] = ACTIONS(5954),
    [anon_sym_CARET] = ACTIONS(5954),
    [anon_sym_AMP] = ACTIONS(5954),
    [anon_sym_EQ_EQ] = ACTIONS(5956),
    [anon_sym_BANG_EQ] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5954),
    [anon_sym_GT_EQ] = ACTIONS(5956),
    [anon_sym_LT_EQ] = ACTIONS(5954),
    [anon_sym_LT] = ACTIONS(5954),
    [anon_sym_LT_LT] = ACTIONS(5954),
    [anon_sym_GT_GT] = ACTIONS(5954),
    [anon_sym_SEMI] = ACTIONS(5956),
    [anon_sym___attribute__] = ACTIONS(5954),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5956),
    [anon_sym_RBRACK] = ACTIONS(5956),
    [anon_sym_EQ] = ACTIONS(5954),
    [anon_sym_COLON] = ACTIONS(5956),
    [anon_sym_QMARK] = ACTIONS(5956),
    [anon_sym_STAR_EQ] = ACTIONS(5956),
    [anon_sym_SLASH_EQ] = ACTIONS(5956),
    [anon_sym_PERCENT_EQ] = ACTIONS(5956),
    [anon_sym_PLUS_EQ] = ACTIONS(5956),
    [anon_sym_DASH_EQ] = ACTIONS(5956),
    [anon_sym_LT_LT_EQ] = ACTIONS(5956),
    [anon_sym_GT_GT_EQ] = ACTIONS(5956),
    [anon_sym_AMP_EQ] = ACTIONS(5956),
    [anon_sym_CARET_EQ] = ACTIONS(5956),
    [anon_sym_PIPE_EQ] = ACTIONS(5956),
    [anon_sym_and_eq] = ACTIONS(5954),
    [anon_sym_or_eq] = ACTIONS(5954),
    [anon_sym_xor_eq] = ACTIONS(5954),
    [anon_sym_LT_EQ_GT] = ACTIONS(5956),
    [anon_sym_or] = ACTIONS(5954),
    [anon_sym_and] = ACTIONS(5954),
    [anon_sym_bitor] = ACTIONS(5954),
    [anon_sym_xor] = ACTIONS(5954),
    [anon_sym_bitand] = ACTIONS(5954),
    [anon_sym_not_eq] = ACTIONS(5954),
    [anon_sym_DASH_DASH] = ACTIONS(5956),
    [anon_sym_PLUS_PLUS] = ACTIONS(5956),
    [anon_sym_DOT] = ACTIONS(5954),
    [anon_sym_DOT_STAR] = ACTIONS(5956),
    [anon_sym_DASH_GT] = ACTIONS(5956),
    [sym_comment] = ACTIONS(3),
  },
  [2206] = {
    [sym_identifier] = ACTIONS(5958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [aux_sym_preproc_if_token2] = ACTIONS(5960),
    [aux_sym_preproc_else_token1] = ACTIONS(5960),
    [aux_sym_preproc_elif_token1] = ACTIONS(5958),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5960),
    [anon_sym_LPAREN2] = ACTIONS(5960),
    [anon_sym_DASH] = ACTIONS(5958),
    [anon_sym_PLUS] = ACTIONS(5958),
    [anon_sym_STAR] = ACTIONS(5958),
    [anon_sym_SLASH] = ACTIONS(5958),
    [anon_sym_PERCENT] = ACTIONS(5958),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5958),
    [anon_sym_CARET] = ACTIONS(5958),
    [anon_sym_AMP] = ACTIONS(5958),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5958),
    [anon_sym_LT] = ACTIONS(5958),
    [anon_sym_LT_LT] = ACTIONS(5958),
    [anon_sym_GT_GT] = ACTIONS(5958),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym___attribute__] = ACTIONS(5958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5960),
    [anon_sym_LBRACE] = ACTIONS(5960),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5958),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_EQ] = ACTIONS(5958),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5960),
    [anon_sym_STAR_EQ] = ACTIONS(5960),
    [anon_sym_SLASH_EQ] = ACTIONS(5960),
    [anon_sym_PERCENT_EQ] = ACTIONS(5960),
    [anon_sym_PLUS_EQ] = ACTIONS(5960),
    [anon_sym_DASH_EQ] = ACTIONS(5960),
    [anon_sym_LT_LT_EQ] = ACTIONS(5960),
    [anon_sym_GT_GT_EQ] = ACTIONS(5960),
    [anon_sym_AMP_EQ] = ACTIONS(5960),
    [anon_sym_CARET_EQ] = ACTIONS(5960),
    [anon_sym_PIPE_EQ] = ACTIONS(5960),
    [anon_sym_and_eq] = ACTIONS(5958),
    [anon_sym_or_eq] = ACTIONS(5958),
    [anon_sym_xor_eq] = ACTIONS(5958),
    [anon_sym_LT_EQ_GT] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5958),
    [anon_sym_and] = ACTIONS(5958),
    [anon_sym_bitor] = ACTIONS(5958),
    [anon_sym_xor] = ACTIONS(5958),
    [anon_sym_bitand] = ACTIONS(5958),
    [anon_sym_not_eq] = ACTIONS(5958),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5958),
    [anon_sym_DOT_STAR] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5958),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(5962),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(5964),
    [anon_sym_RPAREN] = ACTIONS(5964),
    [aux_sym_preproc_if_token2] = ACTIONS(5964),
    [aux_sym_preproc_else_token1] = ACTIONS(5964),
    [aux_sym_preproc_elif_token1] = ACTIONS(5962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5964),
    [anon_sym_LPAREN2] = ACTIONS(5964),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5962),
    [anon_sym_SLASH] = ACTIONS(5962),
    [anon_sym_PERCENT] = ACTIONS(5962),
    [anon_sym_PIPE_PIPE] = ACTIONS(5964),
    [anon_sym_AMP_AMP] = ACTIONS(5964),
    [anon_sym_PIPE] = ACTIONS(5962),
    [anon_sym_CARET] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_EQ_EQ] = ACTIONS(5964),
    [anon_sym_BANG_EQ] = ACTIONS(5964),
    [anon_sym_GT] = ACTIONS(5962),
    [anon_sym_GT_EQ] = ACTIONS(5964),
    [anon_sym_LT_EQ] = ACTIONS(5962),
    [anon_sym_LT] = ACTIONS(5962),
    [anon_sym_LT_LT] = ACTIONS(5962),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym_SEMI] = ACTIONS(5964),
    [anon_sym___attribute__] = ACTIONS(5962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5964),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_RBRACE] = ACTIONS(5964),
    [anon_sym_LBRACK] = ACTIONS(5962),
    [anon_sym_RBRACK] = ACTIONS(5964),
    [anon_sym_EQ] = ACTIONS(5962),
    [anon_sym_COLON] = ACTIONS(5964),
    [anon_sym_QMARK] = ACTIONS(5964),
    [anon_sym_STAR_EQ] = ACTIONS(5964),
    [anon_sym_SLASH_EQ] = ACTIONS(5964),
    [anon_sym_PERCENT_EQ] = ACTIONS(5964),
    [anon_sym_PLUS_EQ] = ACTIONS(5964),
    [anon_sym_DASH_EQ] = ACTIONS(5964),
    [anon_sym_LT_LT_EQ] = ACTIONS(5964),
    [anon_sym_GT_GT_EQ] = ACTIONS(5964),
    [anon_sym_AMP_EQ] = ACTIONS(5964),
    [anon_sym_CARET_EQ] = ACTIONS(5964),
    [anon_sym_PIPE_EQ] = ACTIONS(5964),
    [anon_sym_and_eq] = ACTIONS(5962),
    [anon_sym_or_eq] = ACTIONS(5962),
    [anon_sym_xor_eq] = ACTIONS(5962),
    [anon_sym_LT_EQ_GT] = ACTIONS(5964),
    [anon_sym_or] = ACTIONS(5962),
    [anon_sym_and] = ACTIONS(5962),
    [anon_sym_bitor] = ACTIONS(5962),
    [anon_sym_xor] = ACTIONS(5962),
    [anon_sym_bitand] = ACTIONS(5962),
    [anon_sym_not_eq] = ACTIONS(5962),
    [anon_sym_DASH_DASH] = ACTIONS(5964),
    [anon_sym_PLUS_PLUS] = ACTIONS(5964),
    [anon_sym_DOT] = ACTIONS(5962),
    [anon_sym_DOT_STAR] = ACTIONS(5964),
    [anon_sym_DASH_GT] = ACTIONS(5964),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5962),
  },
  [2208] = {
    [sym_identifier] = ACTIONS(5451),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5453),
    [anon_sym_COMMA] = ACTIONS(5453),
    [anon_sym_RPAREN] = ACTIONS(5453),
    [aux_sym_preproc_if_token2] = ACTIONS(5453),
    [aux_sym_preproc_else_token1] = ACTIONS(5453),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5453),
    [anon_sym_LPAREN2] = ACTIONS(5453),
    [anon_sym_DASH] = ACTIONS(5451),
    [anon_sym_PLUS] = ACTIONS(5451),
    [anon_sym_STAR] = ACTIONS(5451),
    [anon_sym_SLASH] = ACTIONS(5451),
    [anon_sym_PERCENT] = ACTIONS(5451),
    [anon_sym_PIPE_PIPE] = ACTIONS(5453),
    [anon_sym_AMP_AMP] = ACTIONS(5453),
    [anon_sym_PIPE] = ACTIONS(5451),
    [anon_sym_CARET] = ACTIONS(5451),
    [anon_sym_AMP] = ACTIONS(5451),
    [anon_sym_EQ_EQ] = ACTIONS(5453),
    [anon_sym_BANG_EQ] = ACTIONS(5453),
    [anon_sym_GT] = ACTIONS(5451),
    [anon_sym_GT_EQ] = ACTIONS(5453),
    [anon_sym_LT_EQ] = ACTIONS(5451),
    [anon_sym_LT] = ACTIONS(5451),
    [anon_sym_LT_LT] = ACTIONS(5451),
    [anon_sym_GT_GT] = ACTIONS(5451),
    [anon_sym_SEMI] = ACTIONS(5453),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym_LBRACE] = ACTIONS(5453),
    [anon_sym_RBRACE] = ACTIONS(5453),
    [anon_sym_LBRACK] = ACTIONS(5453),
    [anon_sym_RBRACK] = ACTIONS(5453),
    [anon_sym_EQ] = ACTIONS(5451),
    [anon_sym_COLON] = ACTIONS(5453),
    [anon_sym_QMARK] = ACTIONS(5453),
    [anon_sym_STAR_EQ] = ACTIONS(5453),
    [anon_sym_SLASH_EQ] = ACTIONS(5453),
    [anon_sym_PERCENT_EQ] = ACTIONS(5453),
    [anon_sym_PLUS_EQ] = ACTIONS(5453),
    [anon_sym_DASH_EQ] = ACTIONS(5453),
    [anon_sym_LT_LT_EQ] = ACTIONS(5453),
    [anon_sym_GT_GT_EQ] = ACTIONS(5453),
    [anon_sym_AMP_EQ] = ACTIONS(5453),
    [anon_sym_CARET_EQ] = ACTIONS(5453),
    [anon_sym_PIPE_EQ] = ACTIONS(5453),
    [anon_sym_and_eq] = ACTIONS(5451),
    [anon_sym_or_eq] = ACTIONS(5451),
    [anon_sym_xor_eq] = ACTIONS(5451),
    [anon_sym_LT_EQ_GT] = ACTIONS(5453),
    [anon_sym_or] = ACTIONS(5451),
    [anon_sym_and] = ACTIONS(5451),
    [anon_sym_bitor] = ACTIONS(5451),
    [anon_sym_xor] = ACTIONS(5451),
    [anon_sym_bitand] = ACTIONS(5451),
    [anon_sym_not_eq] = ACTIONS(5451),
    [anon_sym_DASH_DASH] = ACTIONS(5453),
    [anon_sym_PLUS_PLUS] = ACTIONS(5453),
    [anon_sym_DOT] = ACTIONS(5451),
    [anon_sym_DOT_STAR] = ACTIONS(5453),
    [anon_sym_DASH_GT] = ACTIONS(5453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5451),
    [anon_sym_decltype] = ACTIONS(5451),
  },
  [2209] = {
    [sym_identifier] = ACTIONS(5436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5438),
    [anon_sym_COMMA] = ACTIONS(5438),
    [anon_sym_RPAREN] = ACTIONS(5438),
    [aux_sym_preproc_if_token2] = ACTIONS(5438),
    [aux_sym_preproc_else_token1] = ACTIONS(5438),
    [aux_sym_preproc_elif_token1] = ACTIONS(5436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5438),
    [anon_sym_LPAREN2] = ACTIONS(5438),
    [anon_sym_DASH] = ACTIONS(5436),
    [anon_sym_PLUS] = ACTIONS(5436),
    [anon_sym_STAR] = ACTIONS(5436),
    [anon_sym_SLASH] = ACTIONS(5436),
    [anon_sym_PERCENT] = ACTIONS(5436),
    [anon_sym_PIPE_PIPE] = ACTIONS(5438),
    [anon_sym_AMP_AMP] = ACTIONS(5438),
    [anon_sym_PIPE] = ACTIONS(5436),
    [anon_sym_CARET] = ACTIONS(5436),
    [anon_sym_AMP] = ACTIONS(5436),
    [anon_sym_EQ_EQ] = ACTIONS(5438),
    [anon_sym_BANG_EQ] = ACTIONS(5438),
    [anon_sym_GT] = ACTIONS(5436),
    [anon_sym_GT_EQ] = ACTIONS(5438),
    [anon_sym_LT_EQ] = ACTIONS(5436),
    [anon_sym_LT] = ACTIONS(5436),
    [anon_sym_LT_LT] = ACTIONS(5436),
    [anon_sym_GT_GT] = ACTIONS(5436),
    [anon_sym_SEMI] = ACTIONS(5438),
    [anon_sym___attribute__] = ACTIONS(5436),
    [anon_sym_LBRACE] = ACTIONS(5438),
    [anon_sym_RBRACE] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5438),
    [anon_sym_RBRACK] = ACTIONS(5438),
    [anon_sym_EQ] = ACTIONS(5436),
    [anon_sym_COLON] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5438),
    [anon_sym_STAR_EQ] = ACTIONS(5438),
    [anon_sym_SLASH_EQ] = ACTIONS(5438),
    [anon_sym_PERCENT_EQ] = ACTIONS(5438),
    [anon_sym_PLUS_EQ] = ACTIONS(5438),
    [anon_sym_DASH_EQ] = ACTIONS(5438),
    [anon_sym_LT_LT_EQ] = ACTIONS(5438),
    [anon_sym_GT_GT_EQ] = ACTIONS(5438),
    [anon_sym_AMP_EQ] = ACTIONS(5438),
    [anon_sym_CARET_EQ] = ACTIONS(5438),
    [anon_sym_PIPE_EQ] = ACTIONS(5438),
    [anon_sym_and_eq] = ACTIONS(5436),
    [anon_sym_or_eq] = ACTIONS(5436),
    [anon_sym_xor_eq] = ACTIONS(5436),
    [anon_sym_LT_EQ_GT] = ACTIONS(5438),
    [anon_sym_or] = ACTIONS(5436),
    [anon_sym_and] = ACTIONS(5436),
    [anon_sym_bitor] = ACTIONS(5436),
    [anon_sym_xor] = ACTIONS(5436),
    [anon_sym_bitand] = ACTIONS(5436),
    [anon_sym_not_eq] = ACTIONS(5436),
    [anon_sym_DASH_DASH] = ACTIONS(5438),
    [anon_sym_PLUS_PLUS] = ACTIONS(5438),
    [anon_sym_DOT] = ACTIONS(5436),
    [anon_sym_DOT_STAR] = ACTIONS(5438),
    [anon_sym_DASH_GT] = ACTIONS(5438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5436),
    [anon_sym_decltype] = ACTIONS(5436),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(4843),
    [anon_sym_LPAREN2] = ACTIONS(4845),
    [anon_sym_TILDE] = ACTIONS(4845),
    [anon_sym_STAR] = ACTIONS(4845),
    [anon_sym_PIPE_PIPE] = ACTIONS(4845),
    [anon_sym_AMP_AMP] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(4843),
    [anon_sym___extension__] = ACTIONS(4843),
    [anon_sym_virtual] = ACTIONS(4843),
    [anon_sym_extern] = ACTIONS(4843),
    [anon_sym___attribute__] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(4845),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4845),
    [anon_sym___declspec] = ACTIONS(4843),
    [anon_sym___based] = ACTIONS(4843),
    [anon_sym___cdecl] = ACTIONS(4843),
    [anon_sym___clrcall] = ACTIONS(4843),
    [anon_sym___stdcall] = ACTIONS(4843),
    [anon_sym___fastcall] = ACTIONS(4843),
    [anon_sym___thiscall] = ACTIONS(4843),
    [anon_sym___vectorcall] = ACTIONS(4843),
    [anon_sym_signed] = ACTIONS(4843),
    [anon_sym_unsigned] = ACTIONS(4843),
    [anon_sym_long] = ACTIONS(4843),
    [anon_sym_short] = ACTIONS(4843),
    [anon_sym_LBRACK] = ACTIONS(4843),
    [anon_sym_static] = ACTIONS(4843),
    [anon_sym_register] = ACTIONS(4843),
    [anon_sym_inline] = ACTIONS(4843),
    [anon_sym___inline] = ACTIONS(4843),
    [anon_sym___inline__] = ACTIONS(4843),
    [anon_sym___forceinline] = ACTIONS(4843),
    [anon_sym_thread_local] = ACTIONS(4843),
    [anon_sym___thread] = ACTIONS(4843),
    [anon_sym_const] = ACTIONS(4843),
    [anon_sym_constexpr] = ACTIONS(4843),
    [anon_sym_volatile] = ACTIONS(4843),
    [anon_sym_restrict] = ACTIONS(4843),
    [anon_sym___restrict__] = ACTIONS(4843),
    [anon_sym__Atomic] = ACTIONS(4843),
    [anon_sym__Noreturn] = ACTIONS(4843),
    [anon_sym_noreturn] = ACTIONS(4843),
    [anon_sym__Nonnull] = ACTIONS(4843),
    [anon_sym_mutable] = ACTIONS(4843),
    [anon_sym_constinit] = ACTIONS(4843),
    [anon_sym_consteval] = ACTIONS(4843),
    [anon_sym_alignas] = ACTIONS(4843),
    [anon_sym__Alignas] = ACTIONS(4843),
    [sym_primitive_type] = ACTIONS(4843),
    [anon_sym_enum] = ACTIONS(4843),
    [anon_sym_class] = ACTIONS(4843),
    [anon_sym_struct] = ACTIONS(4843),
    [anon_sym_union] = ACTIONS(4843),
    [anon_sym_or] = ACTIONS(4843),
    [anon_sym_and] = ACTIONS(4843),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4843),
    [anon_sym_decltype] = ACTIONS(4843),
    [anon_sym_explicit] = ACTIONS(4843),
    [anon_sym_typename] = ACTIONS(4843),
    [anon_sym_template] = ACTIONS(4843),
    [anon_sym_operator] = ACTIONS(4843),
    [anon_sym_friend] = ACTIONS(4843),
    [anon_sym_using] = ACTIONS(4843),
    [anon_sym_concept] = ACTIONS(4843),
  },
  [2211] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(5114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5116),
    [anon_sym_COMMA] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [aux_sym_preproc_else_token1] = ACTIONS(5116),
    [aux_sym_preproc_elif_token1] = ACTIONS(5114),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5114),
    [anon_sym_PERCENT] = ACTIONS(5114),
    [anon_sym_PIPE_PIPE] = ACTIONS(5116),
    [anon_sym_AMP_AMP] = ACTIONS(5116),
    [anon_sym_PIPE] = ACTIONS(5114),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5116),
    [anon_sym_BANG_EQ] = ACTIONS(5116),
    [anon_sym_GT] = ACTIONS(5114),
    [anon_sym_GT_EQ] = ACTIONS(5116),
    [anon_sym_LT_EQ] = ACTIONS(5114),
    [anon_sym_LT] = ACTIONS(5114),
    [anon_sym_LT_LT] = ACTIONS(5114),
    [anon_sym_GT_GT] = ACTIONS(5114),
    [anon_sym___attribute__] = ACTIONS(5114),
    [anon_sym_LBRACE] = ACTIONS(5116),
    [anon_sym_signed] = ACTIONS(5966),
    [anon_sym_unsigned] = ACTIONS(5966),
    [anon_sym_long] = ACTIONS(5966),
    [anon_sym_short] = ACTIONS(5966),
    [anon_sym_LBRACK] = ACTIONS(5116),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_QMARK] = ACTIONS(5116),
    [anon_sym_STAR_EQ] = ACTIONS(5116),
    [anon_sym_SLASH_EQ] = ACTIONS(5116),
    [anon_sym_PERCENT_EQ] = ACTIONS(5116),
    [anon_sym_PLUS_EQ] = ACTIONS(5116),
    [anon_sym_DASH_EQ] = ACTIONS(5116),
    [anon_sym_LT_LT_EQ] = ACTIONS(5116),
    [anon_sym_GT_GT_EQ] = ACTIONS(5116),
    [anon_sym_AMP_EQ] = ACTIONS(5116),
    [anon_sym_CARET_EQ] = ACTIONS(5116),
    [anon_sym_PIPE_EQ] = ACTIONS(5116),
    [anon_sym_and_eq] = ACTIONS(5114),
    [anon_sym_or_eq] = ACTIONS(5114),
    [anon_sym_xor_eq] = ACTIONS(5114),
    [anon_sym_LT_EQ_GT] = ACTIONS(5116),
    [anon_sym_or] = ACTIONS(5114),
    [anon_sym_and] = ACTIONS(5114),
    [anon_sym_bitor] = ACTIONS(5114),
    [anon_sym_xor] = ACTIONS(5114),
    [anon_sym_bitand] = ACTIONS(5114),
    [anon_sym_not_eq] = ACTIONS(5114),
    [anon_sym_DASH_DASH] = ACTIONS(5116),
    [anon_sym_PLUS_PLUS] = ACTIONS(5116),
    [anon_sym_DOT] = ACTIONS(5114),
    [anon_sym_DOT_STAR] = ACTIONS(5116),
    [anon_sym_DASH_GT] = ACTIONS(5116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5114),
    [anon_sym_decltype] = ACTIONS(5114),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [aux_sym_preproc_if_token2] = ACTIONS(5414),
    [aux_sym_preproc_else_token1] = ACTIONS(5414),
    [aux_sym_preproc_elif_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5412),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5412),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5412),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5412),
    [anon_sym_GT_GT] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___attribute__] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_EQ] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_STAR_EQ] = ACTIONS(5414),
    [anon_sym_SLASH_EQ] = ACTIONS(5414),
    [anon_sym_PERCENT_EQ] = ACTIONS(5414),
    [anon_sym_PLUS_EQ] = ACTIONS(5414),
    [anon_sym_DASH_EQ] = ACTIONS(5414),
    [anon_sym_LT_LT_EQ] = ACTIONS(5414),
    [anon_sym_GT_GT_EQ] = ACTIONS(5414),
    [anon_sym_AMP_EQ] = ACTIONS(5414),
    [anon_sym_CARET_EQ] = ACTIONS(5414),
    [anon_sym_PIPE_EQ] = ACTIONS(5414),
    [anon_sym_and_eq] = ACTIONS(5412),
    [anon_sym_or_eq] = ACTIONS(5412),
    [anon_sym_xor_eq] = ACTIONS(5412),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(5533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5535),
    [anon_sym_COMMA] = ACTIONS(5535),
    [anon_sym_RPAREN] = ACTIONS(5535),
    [aux_sym_preproc_if_token2] = ACTIONS(5535),
    [aux_sym_preproc_else_token1] = ACTIONS(5535),
    [aux_sym_preproc_elif_token1] = ACTIONS(5533),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5535),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5535),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_DASH] = ACTIONS(5533),
    [anon_sym_PLUS] = ACTIONS(5533),
    [anon_sym_STAR] = ACTIONS(5533),
    [anon_sym_SLASH] = ACTIONS(5533),
    [anon_sym_PERCENT] = ACTIONS(5533),
    [anon_sym_PIPE_PIPE] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_PIPE] = ACTIONS(5533),
    [anon_sym_CARET] = ACTIONS(5533),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym_EQ_EQ] = ACTIONS(5535),
    [anon_sym_BANG_EQ] = ACTIONS(5535),
    [anon_sym_GT] = ACTIONS(5533),
    [anon_sym_GT_EQ] = ACTIONS(5535),
    [anon_sym_LT_EQ] = ACTIONS(5533),
    [anon_sym_LT] = ACTIONS(5533),
    [anon_sym_LT_LT] = ACTIONS(5533),
    [anon_sym_GT_GT] = ACTIONS(5533),
    [anon_sym_SEMI] = ACTIONS(5535),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_LBRACE] = ACTIONS(5535),
    [anon_sym_RBRACE] = ACTIONS(5535),
    [anon_sym_LBRACK] = ACTIONS(5535),
    [anon_sym_RBRACK] = ACTIONS(5535),
    [anon_sym_EQ] = ACTIONS(5533),
    [anon_sym_COLON] = ACTIONS(5535),
    [anon_sym_QMARK] = ACTIONS(5535),
    [anon_sym_STAR_EQ] = ACTIONS(5535),
    [anon_sym_SLASH_EQ] = ACTIONS(5535),
    [anon_sym_PERCENT_EQ] = ACTIONS(5535),
    [anon_sym_PLUS_EQ] = ACTIONS(5535),
    [anon_sym_DASH_EQ] = ACTIONS(5535),
    [anon_sym_LT_LT_EQ] = ACTIONS(5535),
    [anon_sym_GT_GT_EQ] = ACTIONS(5535),
    [anon_sym_AMP_EQ] = ACTIONS(5535),
    [anon_sym_CARET_EQ] = ACTIONS(5535),
    [anon_sym_PIPE_EQ] = ACTIONS(5535),
    [anon_sym_and_eq] = ACTIONS(5533),
    [anon_sym_or_eq] = ACTIONS(5533),
    [anon_sym_xor_eq] = ACTIONS(5533),
    [anon_sym_LT_EQ_GT] = ACTIONS(5535),
    [anon_sym_or] = ACTIONS(5533),
    [anon_sym_and] = ACTIONS(5533),
    [anon_sym_bitor] = ACTIONS(5533),
    [anon_sym_xor] = ACTIONS(5533),
    [anon_sym_bitand] = ACTIONS(5533),
    [anon_sym_not_eq] = ACTIONS(5533),
    [anon_sym_DASH_DASH] = ACTIONS(5535),
    [anon_sym_PLUS_PLUS] = ACTIONS(5535),
    [anon_sym_DOT] = ACTIONS(5533),
    [anon_sym_DOT_STAR] = ACTIONS(5535),
    [anon_sym_DASH_GT] = ACTIONS(5535),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5533),
    [anon_sym_decltype] = ACTIONS(5533),
  },
  [2214] = {
    [sym_template_argument_list] = STATE(2248),
    [sym_identifier] = ACTIONS(4864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_COMMA] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [aux_sym_preproc_if_token2] = ACTIONS(4857),
    [aux_sym_preproc_else_token1] = ACTIONS(4857),
    [aux_sym_preproc_elif_token1] = ACTIONS(4864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4857),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_DASH] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4864),
    [anon_sym_STAR] = ACTIONS(4864),
    [anon_sym_SLASH] = ACTIONS(4864),
    [anon_sym_PERCENT] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE] = ACTIONS(4857),
    [anon_sym_AMP_AMP] = ACTIONS(4857),
    [anon_sym_PIPE] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4864),
    [anon_sym_AMP] = ACTIONS(4864),
    [anon_sym_EQ_EQ] = ACTIONS(4857),
    [anon_sym_BANG_EQ] = ACTIONS(4857),
    [anon_sym_GT] = ACTIONS(4864),
    [anon_sym_GT_EQ] = ACTIONS(4857),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(5448),
    [anon_sym_LT_LT] = ACTIONS(4864),
    [anon_sym_GT_GT] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4857),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4113),
    [anon_sym_LBRACE] = ACTIONS(4862),
    [anon_sym_RBRACE] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4857),
    [anon_sym_RBRACK] = ACTIONS(4857),
    [anon_sym_EQ] = ACTIONS(4864),
    [anon_sym_COLON] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4857),
    [anon_sym_STAR_EQ] = ACTIONS(4857),
    [anon_sym_SLASH_EQ] = ACTIONS(4857),
    [anon_sym_PERCENT_EQ] = ACTIONS(4857),
    [anon_sym_PLUS_EQ] = ACTIONS(4857),
    [anon_sym_DASH_EQ] = ACTIONS(4857),
    [anon_sym_LT_LT_EQ] = ACTIONS(4857),
    [anon_sym_GT_GT_EQ] = ACTIONS(4857),
    [anon_sym_AMP_EQ] = ACTIONS(4857),
    [anon_sym_CARET_EQ] = ACTIONS(4857),
    [anon_sym_PIPE_EQ] = ACTIONS(4857),
    [anon_sym_and_eq] = ACTIONS(4864),
    [anon_sym_or_eq] = ACTIONS(4864),
    [anon_sym_xor_eq] = ACTIONS(4864),
    [anon_sym_LT_EQ_GT] = ACTIONS(4857),
    [anon_sym_or] = ACTIONS(4864),
    [anon_sym_and] = ACTIONS(4864),
    [anon_sym_bitor] = ACTIONS(4864),
    [anon_sym_xor] = ACTIONS(4864),
    [anon_sym_bitand] = ACTIONS(4864),
    [anon_sym_not_eq] = ACTIONS(4864),
    [anon_sym_DASH_DASH] = ACTIONS(4857),
    [anon_sym_PLUS_PLUS] = ACTIONS(4857),
    [anon_sym_DOT] = ACTIONS(4864),
    [anon_sym_DOT_STAR] = ACTIONS(4857),
    [anon_sym_DASH_GT] = ACTIONS(4857),
    [sym_comment] = ACTIONS(3),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_COMMA] = ACTIONS(5496),
    [anon_sym_RPAREN] = ACTIONS(5496),
    [aux_sym_preproc_if_token2] = ACTIONS(5496),
    [aux_sym_preproc_else_token1] = ACTIONS(5496),
    [aux_sym_preproc_elif_token1] = ACTIONS(5494),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5496),
    [anon_sym_LPAREN2] = ACTIONS(5496),
    [anon_sym_DASH] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5494),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_SLASH] = ACTIONS(5494),
    [anon_sym_PERCENT] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5496),
    [anon_sym_PIPE] = ACTIONS(5494),
    [anon_sym_CARET] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5494),
    [anon_sym_EQ_EQ] = ACTIONS(5496),
    [anon_sym_BANG_EQ] = ACTIONS(5496),
    [anon_sym_GT] = ACTIONS(5494),
    [anon_sym_GT_EQ] = ACTIONS(5496),
    [anon_sym_LT_EQ] = ACTIONS(5494),
    [anon_sym_LT] = ACTIONS(5494),
    [anon_sym_LT_LT] = ACTIONS(5494),
    [anon_sym_GT_GT] = ACTIONS(5494),
    [anon_sym_SEMI] = ACTIONS(5496),
    [anon_sym___attribute__] = ACTIONS(5494),
    [anon_sym_LBRACE] = ACTIONS(5496),
    [anon_sym_RBRACE] = ACTIONS(5496),
    [anon_sym_LBRACK] = ACTIONS(5496),
    [anon_sym_RBRACK] = ACTIONS(5496),
    [anon_sym_EQ] = ACTIONS(5494),
    [anon_sym_COLON] = ACTIONS(5496),
    [anon_sym_QMARK] = ACTIONS(5496),
    [anon_sym_STAR_EQ] = ACTIONS(5496),
    [anon_sym_SLASH_EQ] = ACTIONS(5496),
    [anon_sym_PERCENT_EQ] = ACTIONS(5496),
    [anon_sym_PLUS_EQ] = ACTIONS(5496),
    [anon_sym_DASH_EQ] = ACTIONS(5496),
    [anon_sym_LT_LT_EQ] = ACTIONS(5496),
    [anon_sym_GT_GT_EQ] = ACTIONS(5496),
    [anon_sym_AMP_EQ] = ACTIONS(5496),
    [anon_sym_CARET_EQ] = ACTIONS(5496),
    [anon_sym_PIPE_EQ] = ACTIONS(5496),
    [anon_sym_and_eq] = ACTIONS(5494),
    [anon_sym_or_eq] = ACTIONS(5494),
    [anon_sym_xor_eq] = ACTIONS(5494),
    [anon_sym_LT_EQ_GT] = ACTIONS(5496),
    [anon_sym_or] = ACTIONS(5494),
    [anon_sym_and] = ACTIONS(5494),
    [anon_sym_bitor] = ACTIONS(5494),
    [anon_sym_xor] = ACTIONS(5494),
    [anon_sym_bitand] = ACTIONS(5494),
    [anon_sym_not_eq] = ACTIONS(5494),
    [anon_sym_DASH_DASH] = ACTIONS(5496),
    [anon_sym_PLUS_PLUS] = ACTIONS(5496),
    [anon_sym_DOT] = ACTIONS(5494),
    [anon_sym_DOT_STAR] = ACTIONS(5496),
    [anon_sym_DASH_GT] = ACTIONS(5496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5494),
    [anon_sym_decltype] = ACTIONS(5494),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(5478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5480),
    [anon_sym_COMMA] = ACTIONS(5480),
    [anon_sym_RPAREN] = ACTIONS(5480),
    [aux_sym_preproc_if_token2] = ACTIONS(5480),
    [aux_sym_preproc_else_token1] = ACTIONS(5480),
    [aux_sym_preproc_elif_token1] = ACTIONS(5478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5480),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(5480),
    [anon_sym_DASH] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_SLASH] = ACTIONS(5478),
    [anon_sym_PERCENT] = ACTIONS(5478),
    [anon_sym_PIPE_PIPE] = ACTIONS(5480),
    [anon_sym_AMP_AMP] = ACTIONS(5480),
    [anon_sym_PIPE] = ACTIONS(5478),
    [anon_sym_CARET] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5478),
    [anon_sym_EQ_EQ] = ACTIONS(5480),
    [anon_sym_BANG_EQ] = ACTIONS(5480),
    [anon_sym_GT] = ACTIONS(5478),
    [anon_sym_GT_EQ] = ACTIONS(5480),
    [anon_sym_LT_EQ] = ACTIONS(5478),
    [anon_sym_LT] = ACTIONS(5478),
    [anon_sym_LT_LT] = ACTIONS(5478),
    [anon_sym_GT_GT] = ACTIONS(5478),
    [anon_sym_SEMI] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5478),
    [anon_sym_LBRACE] = ACTIONS(5480),
    [anon_sym_RBRACE] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_RBRACK] = ACTIONS(5480),
    [anon_sym_EQ] = ACTIONS(5478),
    [anon_sym_COLON] = ACTIONS(5480),
    [anon_sym_QMARK] = ACTIONS(5480),
    [anon_sym_STAR_EQ] = ACTIONS(5480),
    [anon_sym_SLASH_EQ] = ACTIONS(5480),
    [anon_sym_PERCENT_EQ] = ACTIONS(5480),
    [anon_sym_PLUS_EQ] = ACTIONS(5480),
    [anon_sym_DASH_EQ] = ACTIONS(5480),
    [anon_sym_LT_LT_EQ] = ACTIONS(5480),
    [anon_sym_GT_GT_EQ] = ACTIONS(5480),
    [anon_sym_AMP_EQ] = ACTIONS(5480),
    [anon_sym_CARET_EQ] = ACTIONS(5480),
    [anon_sym_PIPE_EQ] = ACTIONS(5480),
    [anon_sym_and_eq] = ACTIONS(5478),
    [anon_sym_or_eq] = ACTIONS(5478),
    [anon_sym_xor_eq] = ACTIONS(5478),
    [anon_sym_LT_EQ_GT] = ACTIONS(5480),
    [anon_sym_or] = ACTIONS(5478),
    [anon_sym_and] = ACTIONS(5478),
    [anon_sym_bitor] = ACTIONS(5478),
    [anon_sym_xor] = ACTIONS(5478),
    [anon_sym_bitand] = ACTIONS(5478),
    [anon_sym_not_eq] = ACTIONS(5478),
    [anon_sym_DASH_DASH] = ACTIONS(5480),
    [anon_sym_PLUS_PLUS] = ACTIONS(5480),
    [anon_sym_DOT] = ACTIONS(5478),
    [anon_sym_DOT_STAR] = ACTIONS(5480),
    [anon_sym_DASH_GT] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5478),
    [anon_sym_decltype] = ACTIONS(5478),
  },
  [2217] = {
    [sym_attribute_declaration] = STATE(2181),
    [aux_sym_attributed_declarator_repeat1] = STATE(2181),
    [sym_identifier] = ACTIONS(5969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5971),
    [anon_sym_COMMA] = ACTIONS(5971),
    [anon_sym_RPAREN] = ACTIONS(5971),
    [aux_sym_preproc_if_token2] = ACTIONS(5971),
    [aux_sym_preproc_else_token1] = ACTIONS(5971),
    [aux_sym_preproc_elif_token1] = ACTIONS(5969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5971),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5971),
    [anon_sym_LPAREN2] = ACTIONS(5971),
    [anon_sym_DASH] = ACTIONS(5969),
    [anon_sym_PLUS] = ACTIONS(5969),
    [anon_sym_STAR] = ACTIONS(5969),
    [anon_sym_SLASH] = ACTIONS(5969),
    [anon_sym_PERCENT] = ACTIONS(5969),
    [anon_sym_PIPE_PIPE] = ACTIONS(5971),
    [anon_sym_AMP_AMP] = ACTIONS(5971),
    [anon_sym_PIPE] = ACTIONS(5969),
    [anon_sym_CARET] = ACTIONS(5969),
    [anon_sym_AMP] = ACTIONS(5969),
    [anon_sym_EQ_EQ] = ACTIONS(5971),
    [anon_sym_BANG_EQ] = ACTIONS(5971),
    [anon_sym_GT] = ACTIONS(5969),
    [anon_sym_GT_EQ] = ACTIONS(5971),
    [anon_sym_LT_EQ] = ACTIONS(5969),
    [anon_sym_LT] = ACTIONS(5969),
    [anon_sym_LT_LT] = ACTIONS(5969),
    [anon_sym_GT_GT] = ACTIONS(5969),
    [anon_sym_SEMI] = ACTIONS(5971),
    [anon_sym___attribute__] = ACTIONS(5969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5753),
    [anon_sym_RBRACE] = ACTIONS(5971),
    [anon_sym_LBRACK] = ACTIONS(5969),
    [anon_sym_RBRACK] = ACTIONS(5971),
    [anon_sym_EQ] = ACTIONS(5969),
    [anon_sym_COLON] = ACTIONS(5971),
    [anon_sym_QMARK] = ACTIONS(5971),
    [anon_sym_STAR_EQ] = ACTIONS(5971),
    [anon_sym_SLASH_EQ] = ACTIONS(5971),
    [anon_sym_PERCENT_EQ] = ACTIONS(5971),
    [anon_sym_PLUS_EQ] = ACTIONS(5971),
    [anon_sym_DASH_EQ] = ACTIONS(5971),
    [anon_sym_LT_LT_EQ] = ACTIONS(5971),
    [anon_sym_GT_GT_EQ] = ACTIONS(5971),
    [anon_sym_AMP_EQ] = ACTIONS(5971),
    [anon_sym_CARET_EQ] = ACTIONS(5971),
    [anon_sym_PIPE_EQ] = ACTIONS(5971),
    [anon_sym_and_eq] = ACTIONS(5969),
    [anon_sym_or_eq] = ACTIONS(5969),
    [anon_sym_xor_eq] = ACTIONS(5969),
    [anon_sym_LT_EQ_GT] = ACTIONS(5971),
    [anon_sym_or] = ACTIONS(5969),
    [anon_sym_and] = ACTIONS(5969),
    [anon_sym_bitor] = ACTIONS(5969),
    [anon_sym_xor] = ACTIONS(5969),
    [anon_sym_bitand] = ACTIONS(5969),
    [anon_sym_not_eq] = ACTIONS(5969),
    [anon_sym_DASH_DASH] = ACTIONS(5971),
    [anon_sym_PLUS_PLUS] = ACTIONS(5971),
    [anon_sym_DOT] = ACTIONS(5969),
    [anon_sym_DOT_STAR] = ACTIONS(5971),
    [anon_sym_DASH_GT] = ACTIONS(5971),
    [sym_comment] = ACTIONS(3),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(5498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5500),
    [anon_sym_COMMA] = ACTIONS(5500),
    [anon_sym_RPAREN] = ACTIONS(5500),
    [aux_sym_preproc_if_token2] = ACTIONS(5500),
    [aux_sym_preproc_else_token1] = ACTIONS(5500),
    [aux_sym_preproc_elif_token1] = ACTIONS(5498),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5500),
    [anon_sym_DASH] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5498),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_SLASH] = ACTIONS(5498),
    [anon_sym_PERCENT] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5500),
    [anon_sym_PIPE] = ACTIONS(5498),
    [anon_sym_CARET] = ACTIONS(5498),
    [anon_sym_AMP] = ACTIONS(5498),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_GT] = ACTIONS(5498),
    [anon_sym_GT_EQ] = ACTIONS(5500),
    [anon_sym_LT_EQ] = ACTIONS(5498),
    [anon_sym_LT] = ACTIONS(5498),
    [anon_sym_LT_LT] = ACTIONS(5498),
    [anon_sym_GT_GT] = ACTIONS(5498),
    [anon_sym_SEMI] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5498),
    [anon_sym_LBRACE] = ACTIONS(5500),
    [anon_sym_RBRACE] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_RBRACK] = ACTIONS(5500),
    [anon_sym_EQ] = ACTIONS(5498),
    [anon_sym_COLON] = ACTIONS(5500),
    [anon_sym_QMARK] = ACTIONS(5500),
    [anon_sym_STAR_EQ] = ACTIONS(5500),
    [anon_sym_SLASH_EQ] = ACTIONS(5500),
    [anon_sym_PERCENT_EQ] = ACTIONS(5500),
    [anon_sym_PLUS_EQ] = ACTIONS(5500),
    [anon_sym_DASH_EQ] = ACTIONS(5500),
    [anon_sym_LT_LT_EQ] = ACTIONS(5500),
    [anon_sym_GT_GT_EQ] = ACTIONS(5500),
    [anon_sym_AMP_EQ] = ACTIONS(5500),
    [anon_sym_CARET_EQ] = ACTIONS(5500),
    [anon_sym_PIPE_EQ] = ACTIONS(5500),
    [anon_sym_and_eq] = ACTIONS(5498),
    [anon_sym_or_eq] = ACTIONS(5498),
    [anon_sym_xor_eq] = ACTIONS(5498),
    [anon_sym_LT_EQ_GT] = ACTIONS(5500),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_bitor] = ACTIONS(5498),
    [anon_sym_xor] = ACTIONS(5498),
    [anon_sym_bitand] = ACTIONS(5498),
    [anon_sym_not_eq] = ACTIONS(5498),
    [anon_sym_DASH_DASH] = ACTIONS(5500),
    [anon_sym_PLUS_PLUS] = ACTIONS(5500),
    [anon_sym_DOT] = ACTIONS(5498),
    [anon_sym_DOT_STAR] = ACTIONS(5500),
    [anon_sym_DASH_GT] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5498),
    [anon_sym_decltype] = ACTIONS(5498),
  },
  [2219] = {
    [sym_identifier] = ACTIONS(5424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5426),
    [anon_sym_COMMA] = ACTIONS(5426),
    [anon_sym_RPAREN] = ACTIONS(5426),
    [aux_sym_preproc_if_token2] = ACTIONS(5426),
    [aux_sym_preproc_else_token1] = ACTIONS(5426),
    [aux_sym_preproc_elif_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5426),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5426),
    [anon_sym_LPAREN2] = ACTIONS(5426),
    [anon_sym_DASH] = ACTIONS(5424),
    [anon_sym_PLUS] = ACTIONS(5424),
    [anon_sym_STAR] = ACTIONS(5424),
    [anon_sym_SLASH] = ACTIONS(5424),
    [anon_sym_PERCENT] = ACTIONS(5424),
    [anon_sym_PIPE_PIPE] = ACTIONS(5426),
    [anon_sym_AMP_AMP] = ACTIONS(5426),
    [anon_sym_PIPE] = ACTIONS(5424),
    [anon_sym_CARET] = ACTIONS(5424),
    [anon_sym_AMP] = ACTIONS(5424),
    [anon_sym_EQ_EQ] = ACTIONS(5426),
    [anon_sym_BANG_EQ] = ACTIONS(5426),
    [anon_sym_GT] = ACTIONS(5424),
    [anon_sym_GT_EQ] = ACTIONS(5426),
    [anon_sym_LT_EQ] = ACTIONS(5424),
    [anon_sym_LT] = ACTIONS(5424),
    [anon_sym_LT_LT] = ACTIONS(5424),
    [anon_sym_GT_GT] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5426),
    [anon_sym___attribute__] = ACTIONS(5424),
    [anon_sym_LBRACE] = ACTIONS(5426),
    [anon_sym_RBRACE] = ACTIONS(5426),
    [anon_sym_LBRACK] = ACTIONS(5426),
    [anon_sym_RBRACK] = ACTIONS(5426),
    [anon_sym_EQ] = ACTIONS(5424),
    [anon_sym_COLON] = ACTIONS(5426),
    [anon_sym_QMARK] = ACTIONS(5426),
    [anon_sym_STAR_EQ] = ACTIONS(5426),
    [anon_sym_SLASH_EQ] = ACTIONS(5426),
    [anon_sym_PERCENT_EQ] = ACTIONS(5426),
    [anon_sym_PLUS_EQ] = ACTIONS(5426),
    [anon_sym_DASH_EQ] = ACTIONS(5426),
    [anon_sym_LT_LT_EQ] = ACTIONS(5426),
    [anon_sym_GT_GT_EQ] = ACTIONS(5426),
    [anon_sym_AMP_EQ] = ACTIONS(5426),
    [anon_sym_CARET_EQ] = ACTIONS(5426),
    [anon_sym_PIPE_EQ] = ACTIONS(5426),
    [anon_sym_and_eq] = ACTIONS(5424),
    [anon_sym_or_eq] = ACTIONS(5424),
    [anon_sym_xor_eq] = ACTIONS(5424),
    [anon_sym_LT_EQ_GT] = ACTIONS(5426),
    [anon_sym_or] = ACTIONS(5424),
    [anon_sym_and] = ACTIONS(5424),
    [anon_sym_bitor] = ACTIONS(5424),
    [anon_sym_xor] = ACTIONS(5424),
    [anon_sym_bitand] = ACTIONS(5424),
    [anon_sym_not_eq] = ACTIONS(5424),
    [anon_sym_DASH_DASH] = ACTIONS(5426),
    [anon_sym_PLUS_PLUS] = ACTIONS(5426),
    [anon_sym_DOT] = ACTIONS(5424),
    [anon_sym_DOT_STAR] = ACTIONS(5426),
    [anon_sym_DASH_GT] = ACTIONS(5426),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5424),
    [anon_sym_decltype] = ACTIONS(5424),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(5404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [anon_sym_RPAREN] = ACTIONS(5406),
    [aux_sym_preproc_if_token2] = ACTIONS(5406),
    [aux_sym_preproc_else_token1] = ACTIONS(5406),
    [aux_sym_preproc_elif_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5404),
    [anon_sym_SLASH] = ACTIONS(5404),
    [anon_sym_PERCENT] = ACTIONS(5404),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5404),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5404),
    [anon_sym_GT_EQ] = ACTIONS(5406),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(5404),
    [anon_sym_GT_GT] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___attribute__] = ACTIONS(5404),
    [anon_sym_LBRACE] = ACTIONS(5406),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5406),
    [anon_sym_EQ] = ACTIONS(5404),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5406),
    [anon_sym_STAR_EQ] = ACTIONS(5406),
    [anon_sym_SLASH_EQ] = ACTIONS(5406),
    [anon_sym_PERCENT_EQ] = ACTIONS(5406),
    [anon_sym_PLUS_EQ] = ACTIONS(5406),
    [anon_sym_DASH_EQ] = ACTIONS(5406),
    [anon_sym_LT_LT_EQ] = ACTIONS(5406),
    [anon_sym_GT_GT_EQ] = ACTIONS(5406),
    [anon_sym_AMP_EQ] = ACTIONS(5406),
    [anon_sym_CARET_EQ] = ACTIONS(5406),
    [anon_sym_PIPE_EQ] = ACTIONS(5406),
    [anon_sym_and_eq] = ACTIONS(5404),
    [anon_sym_or_eq] = ACTIONS(5404),
    [anon_sym_xor_eq] = ACTIONS(5404),
    [anon_sym_LT_EQ_GT] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5404),
    [anon_sym_bitor] = ACTIONS(5404),
    [anon_sym_xor] = ACTIONS(5404),
    [anon_sym_bitand] = ACTIONS(5404),
    [anon_sym_not_eq] = ACTIONS(5404),
    [anon_sym_DASH_DASH] = ACTIONS(5406),
    [anon_sym_PLUS_PLUS] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_DOT_STAR] = ACTIONS(5406),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(5400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5402),
    [anon_sym_COMMA] = ACTIONS(5402),
    [anon_sym_RPAREN] = ACTIONS(5402),
    [aux_sym_preproc_if_token2] = ACTIONS(5402),
    [aux_sym_preproc_else_token1] = ACTIONS(5402),
    [aux_sym_preproc_elif_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5402),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5400),
    [anon_sym_STAR] = ACTIONS(5400),
    [anon_sym_SLASH] = ACTIONS(5400),
    [anon_sym_PERCENT] = ACTIONS(5400),
    [anon_sym_PIPE_PIPE] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_PIPE] = ACTIONS(5400),
    [anon_sym_CARET] = ACTIONS(5400),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_EQ_EQ] = ACTIONS(5402),
    [anon_sym_BANG_EQ] = ACTIONS(5402),
    [anon_sym_GT] = ACTIONS(5400),
    [anon_sym_GT_EQ] = ACTIONS(5402),
    [anon_sym_LT_EQ] = ACTIONS(5400),
    [anon_sym_LT] = ACTIONS(5400),
    [anon_sym_LT_LT] = ACTIONS(5400),
    [anon_sym_GT_GT] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___attribute__] = ACTIONS(5400),
    [anon_sym_LBRACE] = ACTIONS(5402),
    [anon_sym_RBRACE] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [anon_sym_RBRACK] = ACTIONS(5402),
    [anon_sym_EQ] = ACTIONS(5400),
    [anon_sym_COLON] = ACTIONS(5402),
    [anon_sym_QMARK] = ACTIONS(5402),
    [anon_sym_STAR_EQ] = ACTIONS(5402),
    [anon_sym_SLASH_EQ] = ACTIONS(5402),
    [anon_sym_PERCENT_EQ] = ACTIONS(5402),
    [anon_sym_PLUS_EQ] = ACTIONS(5402),
    [anon_sym_DASH_EQ] = ACTIONS(5402),
    [anon_sym_LT_LT_EQ] = ACTIONS(5402),
    [anon_sym_GT_GT_EQ] = ACTIONS(5402),
    [anon_sym_AMP_EQ] = ACTIONS(5402),
    [anon_sym_CARET_EQ] = ACTIONS(5402),
    [anon_sym_PIPE_EQ] = ACTIONS(5402),
    [anon_sym_and_eq] = ACTIONS(5400),
    [anon_sym_or_eq] = ACTIONS(5400),
    [anon_sym_xor_eq] = ACTIONS(5400),
    [anon_sym_LT_EQ_GT] = ACTIONS(5402),
    [anon_sym_or] = ACTIONS(5400),
    [anon_sym_and] = ACTIONS(5400),
    [anon_sym_bitor] = ACTIONS(5400),
    [anon_sym_xor] = ACTIONS(5400),
    [anon_sym_bitand] = ACTIONS(5400),
    [anon_sym_not_eq] = ACTIONS(5400),
    [anon_sym_DASH_DASH] = ACTIONS(5402),
    [anon_sym_PLUS_PLUS] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5400),
    [anon_sym_DOT_STAR] = ACTIONS(5402),
    [anon_sym_DASH_GT] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
  },
  [2222] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2203),
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [aux_sym_preproc_if_token2] = ACTIONS(5457),
    [aux_sym_preproc_else_token1] = ACTIONS(5457),
    [aux_sym_preproc_elif_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5455),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5455),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5455),
    [anon_sym_GT_GT] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_signed] = ACTIONS(5973),
    [anon_sym_unsigned] = ACTIONS(5973),
    [anon_sym_long] = ACTIONS(5973),
    [anon_sym_short] = ACTIONS(5973),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_EQ] = ACTIONS(5455),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_STAR_EQ] = ACTIONS(5457),
    [anon_sym_SLASH_EQ] = ACTIONS(5457),
    [anon_sym_PERCENT_EQ] = ACTIONS(5457),
    [anon_sym_PLUS_EQ] = ACTIONS(5457),
    [anon_sym_DASH_EQ] = ACTIONS(5457),
    [anon_sym_LT_LT_EQ] = ACTIONS(5457),
    [anon_sym_GT_GT_EQ] = ACTIONS(5457),
    [anon_sym_AMP_EQ] = ACTIONS(5457),
    [anon_sym_CARET_EQ] = ACTIONS(5457),
    [anon_sym_PIPE_EQ] = ACTIONS(5457),
    [anon_sym_and_eq] = ACTIONS(5455),
    [anon_sym_or_eq] = ACTIONS(5455),
    [anon_sym_xor_eq] = ACTIONS(5455),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [aux_sym_preproc_if_token2] = ACTIONS(5457),
    [aux_sym_preproc_else_token1] = ACTIONS(5457),
    [aux_sym_preproc_elif_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5455),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5455),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5455),
    [anon_sym_GT_GT] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(5457),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_LBRACK] = ACTIONS(5457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_EQ] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_STAR_EQ] = ACTIONS(5457),
    [anon_sym_SLASH_EQ] = ACTIONS(5457),
    [anon_sym_PERCENT_EQ] = ACTIONS(5457),
    [anon_sym_PLUS_EQ] = ACTIONS(5457),
    [anon_sym_DASH_EQ] = ACTIONS(5457),
    [anon_sym_LT_LT_EQ] = ACTIONS(5457),
    [anon_sym_GT_GT_EQ] = ACTIONS(5457),
    [anon_sym_AMP_EQ] = ACTIONS(5457),
    [anon_sym_CARET_EQ] = ACTIONS(5457),
    [anon_sym_PIPE_EQ] = ACTIONS(5457),
    [anon_sym_and_eq] = ACTIONS(5455),
    [anon_sym_or_eq] = ACTIONS(5455),
    [anon_sym_xor_eq] = ACTIONS(5455),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5455),
    [anon_sym_decltype] = ACTIONS(5455),
  },
  [2224] = {
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_PIPE_PIPE] = ACTIONS(1954),
    [anon_sym_AMP_AMP] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1956),
    [anon_sym___extension__] = ACTIONS(1956),
    [anon_sym_virtual] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym___attribute__] = ACTIONS(1956),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1954),
    [anon_sym___declspec] = ACTIONS(1956),
    [anon_sym___based] = ACTIONS(1956),
    [anon_sym___cdecl] = ACTIONS(1956),
    [anon_sym___clrcall] = ACTIONS(1956),
    [anon_sym___stdcall] = ACTIONS(1956),
    [anon_sym___fastcall] = ACTIONS(1956),
    [anon_sym___thiscall] = ACTIONS(1956),
    [anon_sym___vectorcall] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(1956),
    [anon_sym_unsigned] = ACTIONS(1956),
    [anon_sym_long] = ACTIONS(1956),
    [anon_sym_short] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_register] = ACTIONS(1956),
    [anon_sym_inline] = ACTIONS(1956),
    [anon_sym___inline] = ACTIONS(1956),
    [anon_sym___inline__] = ACTIONS(1956),
    [anon_sym___forceinline] = ACTIONS(1956),
    [anon_sym_thread_local] = ACTIONS(1956),
    [anon_sym___thread] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_constexpr] = ACTIONS(1956),
    [anon_sym_volatile] = ACTIONS(1956),
    [anon_sym_restrict] = ACTIONS(1956),
    [anon_sym___restrict__] = ACTIONS(1956),
    [anon_sym__Atomic] = ACTIONS(1956),
    [anon_sym__Noreturn] = ACTIONS(1956),
    [anon_sym_noreturn] = ACTIONS(1956),
    [anon_sym__Nonnull] = ACTIONS(1956),
    [anon_sym_mutable] = ACTIONS(1956),
    [anon_sym_constinit] = ACTIONS(1956),
    [anon_sym_consteval] = ACTIONS(1956),
    [anon_sym_alignas] = ACTIONS(1956),
    [anon_sym__Alignas] = ACTIONS(1956),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_or] = ACTIONS(1956),
    [anon_sym_and] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1956),
    [anon_sym_decltype] = ACTIONS(1956),
    [anon_sym_explicit] = ACTIONS(1956),
    [anon_sym_typename] = ACTIONS(1956),
    [anon_sym_template] = ACTIONS(1956),
    [anon_sym_operator] = ACTIONS(1956),
    [anon_sym_friend] = ACTIONS(1956),
    [anon_sym_using] = ACTIONS(1956),
    [anon_sym_concept] = ACTIONS(1956),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(5514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5516),
    [anon_sym_COMMA] = ACTIONS(5516),
    [anon_sym_RPAREN] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5516),
    [anon_sym_DASH] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(5514),
    [anon_sym_STAR] = ACTIONS(5514),
    [anon_sym_SLASH] = ACTIONS(5514),
    [anon_sym_PERCENT] = ACTIONS(5514),
    [anon_sym_PIPE_PIPE] = ACTIONS(5516),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_PIPE] = ACTIONS(5514),
    [anon_sym_CARET] = ACTIONS(5514),
    [anon_sym_AMP] = ACTIONS(5514),
    [anon_sym_EQ_EQ] = ACTIONS(5516),
    [anon_sym_BANG_EQ] = ACTIONS(5516),
    [anon_sym_GT] = ACTIONS(5514),
    [anon_sym_GT_EQ] = ACTIONS(5516),
    [anon_sym_LT_EQ] = ACTIONS(5514),
    [anon_sym_LT] = ACTIONS(5514),
    [anon_sym_LT_LT] = ACTIONS(5514),
    [anon_sym_GT_GT] = ACTIONS(5514),
    [anon_sym_SEMI] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5514),
    [anon_sym_LBRACE] = ACTIONS(5516),
    [anon_sym_RBRACE] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_RBRACK] = ACTIONS(5516),
    [anon_sym_EQ] = ACTIONS(5514),
    [anon_sym_COLON] = ACTIONS(5516),
    [anon_sym_QMARK] = ACTIONS(5516),
    [anon_sym_STAR_EQ] = ACTIONS(5516),
    [anon_sym_SLASH_EQ] = ACTIONS(5516),
    [anon_sym_PERCENT_EQ] = ACTIONS(5516),
    [anon_sym_PLUS_EQ] = ACTIONS(5516),
    [anon_sym_DASH_EQ] = ACTIONS(5516),
    [anon_sym_LT_LT_EQ] = ACTIONS(5516),
    [anon_sym_GT_GT_EQ] = ACTIONS(5516),
    [anon_sym_AMP_EQ] = ACTIONS(5516),
    [anon_sym_CARET_EQ] = ACTIONS(5516),
    [anon_sym_PIPE_EQ] = ACTIONS(5516),
    [anon_sym_and_eq] = ACTIONS(5514),
    [anon_sym_or_eq] = ACTIONS(5514),
    [anon_sym_xor_eq] = ACTIONS(5514),
    [anon_sym_LT_EQ_GT] = ACTIONS(5516),
    [anon_sym_or] = ACTIONS(5514),
    [anon_sym_and] = ACTIONS(5514),
    [anon_sym_bitor] = ACTIONS(5514),
    [anon_sym_xor] = ACTIONS(5514),
    [anon_sym_bitand] = ACTIONS(5514),
    [anon_sym_not_eq] = ACTIONS(5514),
    [anon_sym_DASH_DASH] = ACTIONS(5516),
    [anon_sym_PLUS_PLUS] = ACTIONS(5516),
    [anon_sym_DOT] = ACTIONS(5514),
    [anon_sym_DOT_STAR] = ACTIONS(5516),
    [anon_sym_DASH_GT] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5514),
    [anon_sym_decltype] = ACTIONS(5514),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(4847),
    [anon_sym_LPAREN2] = ACTIONS(4849),
    [anon_sym_TILDE] = ACTIONS(4849),
    [anon_sym_STAR] = ACTIONS(4849),
    [anon_sym_PIPE_PIPE] = ACTIONS(4849),
    [anon_sym_AMP_AMP] = ACTIONS(4849),
    [anon_sym_AMP] = ACTIONS(4847),
    [anon_sym___extension__] = ACTIONS(4847),
    [anon_sym_virtual] = ACTIONS(4847),
    [anon_sym_extern] = ACTIONS(4847),
    [anon_sym___attribute__] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(4849),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4849),
    [anon_sym___declspec] = ACTIONS(4847),
    [anon_sym___based] = ACTIONS(4847),
    [anon_sym___cdecl] = ACTIONS(4847),
    [anon_sym___clrcall] = ACTIONS(4847),
    [anon_sym___stdcall] = ACTIONS(4847),
    [anon_sym___fastcall] = ACTIONS(4847),
    [anon_sym___thiscall] = ACTIONS(4847),
    [anon_sym___vectorcall] = ACTIONS(4847),
    [anon_sym_signed] = ACTIONS(4847),
    [anon_sym_unsigned] = ACTIONS(4847),
    [anon_sym_long] = ACTIONS(4847),
    [anon_sym_short] = ACTIONS(4847),
    [anon_sym_LBRACK] = ACTIONS(4847),
    [anon_sym_static] = ACTIONS(4847),
    [anon_sym_register] = ACTIONS(4847),
    [anon_sym_inline] = ACTIONS(4847),
    [anon_sym___inline] = ACTIONS(4847),
    [anon_sym___inline__] = ACTIONS(4847),
    [anon_sym___forceinline] = ACTIONS(4847),
    [anon_sym_thread_local] = ACTIONS(4847),
    [anon_sym___thread] = ACTIONS(4847),
    [anon_sym_const] = ACTIONS(4847),
    [anon_sym_constexpr] = ACTIONS(4847),
    [anon_sym_volatile] = ACTIONS(4847),
    [anon_sym_restrict] = ACTIONS(4847),
    [anon_sym___restrict__] = ACTIONS(4847),
    [anon_sym__Atomic] = ACTIONS(4847),
    [anon_sym__Noreturn] = ACTIONS(4847),
    [anon_sym_noreturn] = ACTIONS(4847),
    [anon_sym__Nonnull] = ACTIONS(4847),
    [anon_sym_mutable] = ACTIONS(4847),
    [anon_sym_constinit] = ACTIONS(4847),
    [anon_sym_consteval] = ACTIONS(4847),
    [anon_sym_alignas] = ACTIONS(4847),
    [anon_sym__Alignas] = ACTIONS(4847),
    [sym_primitive_type] = ACTIONS(4847),
    [anon_sym_enum] = ACTIONS(4847),
    [anon_sym_class] = ACTIONS(4847),
    [anon_sym_struct] = ACTIONS(4847),
    [anon_sym_union] = ACTIONS(4847),
    [anon_sym_or] = ACTIONS(4847),
    [anon_sym_and] = ACTIONS(4847),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(4847),
    [anon_sym_explicit] = ACTIONS(4847),
    [anon_sym_typename] = ACTIONS(4847),
    [anon_sym_template] = ACTIONS(4847),
    [anon_sym_operator] = ACTIONS(4847),
    [anon_sym_friend] = ACTIONS(4847),
    [anon_sym_using] = ACTIONS(4847),
    [anon_sym_concept] = ACTIONS(4847),
  },
  [2227] = {
    [sym_identifier] = ACTIONS(5420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5422),
    [anon_sym_COMMA] = ACTIONS(5422),
    [anon_sym_RPAREN] = ACTIONS(5422),
    [aux_sym_preproc_if_token2] = ACTIONS(5422),
    [aux_sym_preproc_else_token1] = ACTIONS(5422),
    [aux_sym_preproc_elif_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5422),
    [anon_sym_LPAREN2] = ACTIONS(5422),
    [anon_sym_DASH] = ACTIONS(5420),
    [anon_sym_PLUS] = ACTIONS(5420),
    [anon_sym_STAR] = ACTIONS(5420),
    [anon_sym_SLASH] = ACTIONS(5420),
    [anon_sym_PERCENT] = ACTIONS(5420),
    [anon_sym_PIPE_PIPE] = ACTIONS(5422),
    [anon_sym_AMP_AMP] = ACTIONS(5422),
    [anon_sym_PIPE] = ACTIONS(5420),
    [anon_sym_CARET] = ACTIONS(5420),
    [anon_sym_AMP] = ACTIONS(5420),
    [anon_sym_EQ_EQ] = ACTIONS(5422),
    [anon_sym_BANG_EQ] = ACTIONS(5422),
    [anon_sym_GT] = ACTIONS(5420),
    [anon_sym_GT_EQ] = ACTIONS(5422),
    [anon_sym_LT_EQ] = ACTIONS(5420),
    [anon_sym_LT] = ACTIONS(5420),
    [anon_sym_LT_LT] = ACTIONS(5420),
    [anon_sym_GT_GT] = ACTIONS(5420),
    [anon_sym_SEMI] = ACTIONS(5422),
    [anon_sym___attribute__] = ACTIONS(5420),
    [anon_sym_LBRACE] = ACTIONS(5422),
    [anon_sym_RBRACE] = ACTIONS(5422),
    [anon_sym_LBRACK] = ACTIONS(5422),
    [anon_sym_RBRACK] = ACTIONS(5422),
    [anon_sym_EQ] = ACTIONS(5420),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5422),
    [anon_sym_STAR_EQ] = ACTIONS(5422),
    [anon_sym_SLASH_EQ] = ACTIONS(5422),
    [anon_sym_PERCENT_EQ] = ACTIONS(5422),
    [anon_sym_PLUS_EQ] = ACTIONS(5422),
    [anon_sym_DASH_EQ] = ACTIONS(5422),
    [anon_sym_LT_LT_EQ] = ACTIONS(5422),
    [anon_sym_GT_GT_EQ] = ACTIONS(5422),
    [anon_sym_AMP_EQ] = ACTIONS(5422),
    [anon_sym_CARET_EQ] = ACTIONS(5422),
    [anon_sym_PIPE_EQ] = ACTIONS(5422),
    [anon_sym_and_eq] = ACTIONS(5420),
    [anon_sym_or_eq] = ACTIONS(5420),
    [anon_sym_xor_eq] = ACTIONS(5420),
    [anon_sym_LT_EQ_GT] = ACTIONS(5422),
    [anon_sym_or] = ACTIONS(5420),
    [anon_sym_and] = ACTIONS(5420),
    [anon_sym_bitor] = ACTIONS(5420),
    [anon_sym_xor] = ACTIONS(5420),
    [anon_sym_bitand] = ACTIONS(5420),
    [anon_sym_not_eq] = ACTIONS(5420),
    [anon_sym_DASH_DASH] = ACTIONS(5422),
    [anon_sym_PLUS_PLUS] = ACTIONS(5422),
    [anon_sym_DOT] = ACTIONS(5420),
    [anon_sym_DOT_STAR] = ACTIONS(5422),
    [anon_sym_DASH_GT] = ACTIONS(5422),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5420),
    [anon_sym_decltype] = ACTIONS(5420),
  },
  [2228] = {
    [sym_identifier] = ACTIONS(4872),
    [anon_sym_LPAREN2] = ACTIONS(4874),
    [anon_sym_TILDE] = ACTIONS(4874),
    [anon_sym_STAR] = ACTIONS(4874),
    [anon_sym_PIPE_PIPE] = ACTIONS(4874),
    [anon_sym_AMP_AMP] = ACTIONS(4874),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(4872),
    [anon_sym_virtual] = ACTIONS(4872),
    [anon_sym_extern] = ACTIONS(4872),
    [anon_sym___attribute__] = ACTIONS(4872),
    [anon_sym_COLON_COLON] = ACTIONS(4874),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4874),
    [anon_sym___declspec] = ACTIONS(4872),
    [anon_sym___based] = ACTIONS(4872),
    [anon_sym___cdecl] = ACTIONS(4872),
    [anon_sym___clrcall] = ACTIONS(4872),
    [anon_sym___stdcall] = ACTIONS(4872),
    [anon_sym___fastcall] = ACTIONS(4872),
    [anon_sym___thiscall] = ACTIONS(4872),
    [anon_sym___vectorcall] = ACTIONS(4872),
    [anon_sym_signed] = ACTIONS(4872),
    [anon_sym_unsigned] = ACTIONS(4872),
    [anon_sym_long] = ACTIONS(4872),
    [anon_sym_short] = ACTIONS(4872),
    [anon_sym_LBRACK] = ACTIONS(4872),
    [anon_sym_static] = ACTIONS(4872),
    [anon_sym_register] = ACTIONS(4872),
    [anon_sym_inline] = ACTIONS(4872),
    [anon_sym___inline] = ACTIONS(4872),
    [anon_sym___inline__] = ACTIONS(4872),
    [anon_sym___forceinline] = ACTIONS(4872),
    [anon_sym_thread_local] = ACTIONS(4872),
    [anon_sym___thread] = ACTIONS(4872),
    [anon_sym_const] = ACTIONS(4872),
    [anon_sym_constexpr] = ACTIONS(4872),
    [anon_sym_volatile] = ACTIONS(4872),
    [anon_sym_restrict] = ACTIONS(4872),
    [anon_sym___restrict__] = ACTIONS(4872),
    [anon_sym__Atomic] = ACTIONS(4872),
    [anon_sym__Noreturn] = ACTIONS(4872),
    [anon_sym_noreturn] = ACTIONS(4872),
    [anon_sym__Nonnull] = ACTIONS(4872),
    [anon_sym_mutable] = ACTIONS(4872),
    [anon_sym_constinit] = ACTIONS(4872),
    [anon_sym_consteval] = ACTIONS(4872),
    [anon_sym_alignas] = ACTIONS(4872),
    [anon_sym__Alignas] = ACTIONS(4872),
    [sym_primitive_type] = ACTIONS(4872),
    [anon_sym_enum] = ACTIONS(4872),
    [anon_sym_class] = ACTIONS(4872),
    [anon_sym_struct] = ACTIONS(4872),
    [anon_sym_union] = ACTIONS(4872),
    [anon_sym_or] = ACTIONS(4872),
    [anon_sym_and] = ACTIONS(4872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4872),
    [anon_sym_decltype] = ACTIONS(4872),
    [anon_sym_explicit] = ACTIONS(4872),
    [anon_sym_typename] = ACTIONS(4872),
    [anon_sym_template] = ACTIONS(4872),
    [anon_sym_operator] = ACTIONS(4872),
    [anon_sym_friend] = ACTIONS(4872),
    [anon_sym_using] = ACTIONS(4872),
    [anon_sym_concept] = ACTIONS(4872),
  },
  [2229] = {
    [sym_identifier] = ACTIONS(5521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5523),
    [anon_sym_COMMA] = ACTIONS(5523),
    [anon_sym_RPAREN] = ACTIONS(5523),
    [aux_sym_preproc_if_token2] = ACTIONS(5523),
    [aux_sym_preproc_else_token1] = ACTIONS(5523),
    [aux_sym_preproc_elif_token1] = ACTIONS(5521),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5523),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5523),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_DASH] = ACTIONS(5521),
    [anon_sym_PLUS] = ACTIONS(5521),
    [anon_sym_STAR] = ACTIONS(5521),
    [anon_sym_SLASH] = ACTIONS(5521),
    [anon_sym_PERCENT] = ACTIONS(5521),
    [anon_sym_PIPE_PIPE] = ACTIONS(5523),
    [anon_sym_AMP_AMP] = ACTIONS(5523),
    [anon_sym_PIPE] = ACTIONS(5521),
    [anon_sym_CARET] = ACTIONS(5521),
    [anon_sym_AMP] = ACTIONS(5521),
    [anon_sym_EQ_EQ] = ACTIONS(5523),
    [anon_sym_BANG_EQ] = ACTIONS(5523),
    [anon_sym_GT] = ACTIONS(5521),
    [anon_sym_GT_EQ] = ACTIONS(5523),
    [anon_sym_LT_EQ] = ACTIONS(5521),
    [anon_sym_LT] = ACTIONS(5521),
    [anon_sym_LT_LT] = ACTIONS(5521),
    [anon_sym_GT_GT] = ACTIONS(5521),
    [anon_sym_SEMI] = ACTIONS(5523),
    [anon_sym___attribute__] = ACTIONS(5521),
    [anon_sym_LBRACE] = ACTIONS(5523),
    [anon_sym_RBRACE] = ACTIONS(5523),
    [anon_sym_LBRACK] = ACTIONS(5523),
    [anon_sym_RBRACK] = ACTIONS(5523),
    [anon_sym_EQ] = ACTIONS(5521),
    [anon_sym_COLON] = ACTIONS(5523),
    [anon_sym_QMARK] = ACTIONS(5523),
    [anon_sym_STAR_EQ] = ACTIONS(5523),
    [anon_sym_SLASH_EQ] = ACTIONS(5523),
    [anon_sym_PERCENT_EQ] = ACTIONS(5523),
    [anon_sym_PLUS_EQ] = ACTIONS(5523),
    [anon_sym_DASH_EQ] = ACTIONS(5523),
    [anon_sym_LT_LT_EQ] = ACTIONS(5523),
    [anon_sym_GT_GT_EQ] = ACTIONS(5523),
    [anon_sym_AMP_EQ] = ACTIONS(5523),
    [anon_sym_CARET_EQ] = ACTIONS(5523),
    [anon_sym_PIPE_EQ] = ACTIONS(5523),
    [anon_sym_and_eq] = ACTIONS(5521),
    [anon_sym_or_eq] = ACTIONS(5521),
    [anon_sym_xor_eq] = ACTIONS(5521),
    [anon_sym_LT_EQ_GT] = ACTIONS(5523),
    [anon_sym_or] = ACTIONS(5521),
    [anon_sym_and] = ACTIONS(5521),
    [anon_sym_bitor] = ACTIONS(5521),
    [anon_sym_xor] = ACTIONS(5521),
    [anon_sym_bitand] = ACTIONS(5521),
    [anon_sym_not_eq] = ACTIONS(5521),
    [anon_sym_DASH_DASH] = ACTIONS(5523),
    [anon_sym_PLUS_PLUS] = ACTIONS(5523),
    [anon_sym_DOT] = ACTIONS(5521),
    [anon_sym_DOT_STAR] = ACTIONS(5523),
    [anon_sym_DASH_GT] = ACTIONS(5523),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5521),
    [anon_sym_decltype] = ACTIONS(5521),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(5525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5527),
    [anon_sym_COMMA] = ACTIONS(5527),
    [anon_sym_RPAREN] = ACTIONS(5527),
    [aux_sym_preproc_if_token2] = ACTIONS(5527),
    [aux_sym_preproc_else_token1] = ACTIONS(5527),
    [aux_sym_preproc_elif_token1] = ACTIONS(5525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5527),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5527),
    [anon_sym_LPAREN2] = ACTIONS(5527),
    [anon_sym_DASH] = ACTIONS(5525),
    [anon_sym_PLUS] = ACTIONS(5525),
    [anon_sym_STAR] = ACTIONS(5525),
    [anon_sym_SLASH] = ACTIONS(5525),
    [anon_sym_PERCENT] = ACTIONS(5525),
    [anon_sym_PIPE_PIPE] = ACTIONS(5527),
    [anon_sym_AMP_AMP] = ACTIONS(5527),
    [anon_sym_PIPE] = ACTIONS(5525),
    [anon_sym_CARET] = ACTIONS(5525),
    [anon_sym_AMP] = ACTIONS(5525),
    [anon_sym_EQ_EQ] = ACTIONS(5527),
    [anon_sym_BANG_EQ] = ACTIONS(5527),
    [anon_sym_GT] = ACTIONS(5525),
    [anon_sym_GT_EQ] = ACTIONS(5527),
    [anon_sym_LT_EQ] = ACTIONS(5525),
    [anon_sym_LT] = ACTIONS(5525),
    [anon_sym_LT_LT] = ACTIONS(5525),
    [anon_sym_GT_GT] = ACTIONS(5525),
    [anon_sym_SEMI] = ACTIONS(5527),
    [anon_sym___attribute__] = ACTIONS(5525),
    [anon_sym_LBRACE] = ACTIONS(5527),
    [anon_sym_RBRACE] = ACTIONS(5527),
    [anon_sym_LBRACK] = ACTIONS(5527),
    [anon_sym_RBRACK] = ACTIONS(5527),
    [anon_sym_EQ] = ACTIONS(5525),
    [anon_sym_COLON] = ACTIONS(5527),
    [anon_sym_QMARK] = ACTIONS(5527),
    [anon_sym_STAR_EQ] = ACTIONS(5527),
    [anon_sym_SLASH_EQ] = ACTIONS(5527),
    [anon_sym_PERCENT_EQ] = ACTIONS(5527),
    [anon_sym_PLUS_EQ] = ACTIONS(5527),
    [anon_sym_DASH_EQ] = ACTIONS(5527),
    [anon_sym_LT_LT_EQ] = ACTIONS(5527),
    [anon_sym_GT_GT_EQ] = ACTIONS(5527),
    [anon_sym_AMP_EQ] = ACTIONS(5527),
    [anon_sym_CARET_EQ] = ACTIONS(5527),
    [anon_sym_PIPE_EQ] = ACTIONS(5527),
    [anon_sym_and_eq] = ACTIONS(5525),
    [anon_sym_or_eq] = ACTIONS(5525),
    [anon_sym_xor_eq] = ACTIONS(5525),
    [anon_sym_LT_EQ_GT] = ACTIONS(5527),
    [anon_sym_or] = ACTIONS(5525),
    [anon_sym_and] = ACTIONS(5525),
    [anon_sym_bitor] = ACTIONS(5525),
    [anon_sym_xor] = ACTIONS(5525),
    [anon_sym_bitand] = ACTIONS(5525),
    [anon_sym_not_eq] = ACTIONS(5525),
    [anon_sym_DASH_DASH] = ACTIONS(5527),
    [anon_sym_PLUS_PLUS] = ACTIONS(5527),
    [anon_sym_DOT] = ACTIONS(5525),
    [anon_sym_DOT_STAR] = ACTIONS(5527),
    [anon_sym_DASH_GT] = ACTIONS(5527),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5525),
    [anon_sym_decltype] = ACTIONS(5525),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(4880),
    [anon_sym_LPAREN2] = ACTIONS(4882),
    [anon_sym_TILDE] = ACTIONS(4882),
    [anon_sym_STAR] = ACTIONS(4882),
    [anon_sym_PIPE_PIPE] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4882),
    [anon_sym_AMP] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(4880),
    [anon_sym_virtual] = ACTIONS(4880),
    [anon_sym_extern] = ACTIONS(4880),
    [anon_sym___attribute__] = ACTIONS(4880),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4882),
    [anon_sym___declspec] = ACTIONS(4880),
    [anon_sym___based] = ACTIONS(4880),
    [anon_sym___cdecl] = ACTIONS(4880),
    [anon_sym___clrcall] = ACTIONS(4880),
    [anon_sym___stdcall] = ACTIONS(4880),
    [anon_sym___fastcall] = ACTIONS(4880),
    [anon_sym___thiscall] = ACTIONS(4880),
    [anon_sym___vectorcall] = ACTIONS(4880),
    [anon_sym_signed] = ACTIONS(4880),
    [anon_sym_unsigned] = ACTIONS(4880),
    [anon_sym_long] = ACTIONS(4880),
    [anon_sym_short] = ACTIONS(4880),
    [anon_sym_LBRACK] = ACTIONS(4880),
    [anon_sym_static] = ACTIONS(4880),
    [anon_sym_register] = ACTIONS(4880),
    [anon_sym_inline] = ACTIONS(4880),
    [anon_sym___inline] = ACTIONS(4880),
    [anon_sym___inline__] = ACTIONS(4880),
    [anon_sym___forceinline] = ACTIONS(4880),
    [anon_sym_thread_local] = ACTIONS(4880),
    [anon_sym___thread] = ACTIONS(4880),
    [anon_sym_const] = ACTIONS(4880),
    [anon_sym_constexpr] = ACTIONS(4880),
    [anon_sym_volatile] = ACTIONS(4880),
    [anon_sym_restrict] = ACTIONS(4880),
    [anon_sym___restrict__] = ACTIONS(4880),
    [anon_sym__Atomic] = ACTIONS(4880),
    [anon_sym__Noreturn] = ACTIONS(4880),
    [anon_sym_noreturn] = ACTIONS(4880),
    [anon_sym__Nonnull] = ACTIONS(4880),
    [anon_sym_mutable] = ACTIONS(4880),
    [anon_sym_constinit] = ACTIONS(4880),
    [anon_sym_consteval] = ACTIONS(4880),
    [anon_sym_alignas] = ACTIONS(4880),
    [anon_sym__Alignas] = ACTIONS(4880),
    [sym_primitive_type] = ACTIONS(4880),
    [anon_sym_enum] = ACTIONS(4880),
    [anon_sym_class] = ACTIONS(4880),
    [anon_sym_struct] = ACTIONS(4880),
    [anon_sym_union] = ACTIONS(4880),
    [anon_sym_or] = ACTIONS(4880),
    [anon_sym_and] = ACTIONS(4880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4880),
    [anon_sym_decltype] = ACTIONS(4880),
    [anon_sym_explicit] = ACTIONS(4880),
    [anon_sym_typename] = ACTIONS(4880),
    [anon_sym_template] = ACTIONS(4880),
    [anon_sym_operator] = ACTIONS(4880),
    [anon_sym_friend] = ACTIONS(4880),
    [anon_sym_using] = ACTIONS(4880),
    [anon_sym_concept] = ACTIONS(4880),
  },
  [2232] = {
    [sym_identifier] = ACTIONS(5529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5531),
    [anon_sym_COMMA] = ACTIONS(5531),
    [anon_sym_RPAREN] = ACTIONS(5531),
    [aux_sym_preproc_if_token2] = ACTIONS(5531),
    [aux_sym_preproc_else_token1] = ACTIONS(5531),
    [aux_sym_preproc_elif_token1] = ACTIONS(5529),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5531),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5531),
    [anon_sym_LPAREN2] = ACTIONS(5531),
    [anon_sym_DASH] = ACTIONS(5529),
    [anon_sym_PLUS] = ACTIONS(5529),
    [anon_sym_STAR] = ACTIONS(5529),
    [anon_sym_SLASH] = ACTIONS(5529),
    [anon_sym_PERCENT] = ACTIONS(5529),
    [anon_sym_PIPE_PIPE] = ACTIONS(5531),
    [anon_sym_AMP_AMP] = ACTIONS(5531),
    [anon_sym_PIPE] = ACTIONS(5529),
    [anon_sym_CARET] = ACTIONS(5529),
    [anon_sym_AMP] = ACTIONS(5529),
    [anon_sym_EQ_EQ] = ACTIONS(5531),
    [anon_sym_BANG_EQ] = ACTIONS(5531),
    [anon_sym_GT] = ACTIONS(5529),
    [anon_sym_GT_EQ] = ACTIONS(5531),
    [anon_sym_LT_EQ] = ACTIONS(5529),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(5529),
    [anon_sym_GT_GT] = ACTIONS(5529),
    [anon_sym_SEMI] = ACTIONS(5531),
    [anon_sym___attribute__] = ACTIONS(5529),
    [anon_sym_LBRACE] = ACTIONS(5531),
    [anon_sym_RBRACE] = ACTIONS(5531),
    [anon_sym_LBRACK] = ACTIONS(5531),
    [anon_sym_RBRACK] = ACTIONS(5531),
    [anon_sym_EQ] = ACTIONS(5529),
    [anon_sym_COLON] = ACTIONS(5531),
    [anon_sym_QMARK] = ACTIONS(5531),
    [anon_sym_STAR_EQ] = ACTIONS(5531),
    [anon_sym_SLASH_EQ] = ACTIONS(5531),
    [anon_sym_PERCENT_EQ] = ACTIONS(5531),
    [anon_sym_PLUS_EQ] = ACTIONS(5531),
    [anon_sym_DASH_EQ] = ACTIONS(5531),
    [anon_sym_LT_LT_EQ] = ACTIONS(5531),
    [anon_sym_GT_GT_EQ] = ACTIONS(5531),
    [anon_sym_AMP_EQ] = ACTIONS(5531),
    [anon_sym_CARET_EQ] = ACTIONS(5531),
    [anon_sym_PIPE_EQ] = ACTIONS(5531),
    [anon_sym_and_eq] = ACTIONS(5529),
    [anon_sym_or_eq] = ACTIONS(5529),
    [anon_sym_xor_eq] = ACTIONS(5529),
    [anon_sym_LT_EQ_GT] = ACTIONS(5531),
    [anon_sym_or] = ACTIONS(5529),
    [anon_sym_and] = ACTIONS(5529),
    [anon_sym_bitor] = ACTIONS(5529),
    [anon_sym_xor] = ACTIONS(5529),
    [anon_sym_bitand] = ACTIONS(5529),
    [anon_sym_not_eq] = ACTIONS(5529),
    [anon_sym_DASH_DASH] = ACTIONS(5531),
    [anon_sym_PLUS_PLUS] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(5529),
    [anon_sym_DOT_STAR] = ACTIONS(5531),
    [anon_sym_DASH_GT] = ACTIONS(5531),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5529),
    [anon_sym_decltype] = ACTIONS(5529),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(4851),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_STAR] = ACTIONS(4853),
    [anon_sym_PIPE_PIPE] = ACTIONS(4853),
    [anon_sym_AMP_AMP] = ACTIONS(4853),
    [anon_sym_AMP] = ACTIONS(4851),
    [anon_sym___extension__] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym___attribute__] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(4853),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4853),
    [anon_sym___declspec] = ACTIONS(4851),
    [anon_sym___based] = ACTIONS(4851),
    [anon_sym___cdecl] = ACTIONS(4851),
    [anon_sym___clrcall] = ACTIONS(4851),
    [anon_sym___stdcall] = ACTIONS(4851),
    [anon_sym___fastcall] = ACTIONS(4851),
    [anon_sym___thiscall] = ACTIONS(4851),
    [anon_sym___vectorcall] = ACTIONS(4851),
    [anon_sym_signed] = ACTIONS(4851),
    [anon_sym_unsigned] = ACTIONS(4851),
    [anon_sym_long] = ACTIONS(4851),
    [anon_sym_short] = ACTIONS(4851),
    [anon_sym_LBRACK] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_register] = ACTIONS(4851),
    [anon_sym_inline] = ACTIONS(4851),
    [anon_sym___inline] = ACTIONS(4851),
    [anon_sym___inline__] = ACTIONS(4851),
    [anon_sym___forceinline] = ACTIONS(4851),
    [anon_sym_thread_local] = ACTIONS(4851),
    [anon_sym___thread] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_constexpr] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_restrict] = ACTIONS(4851),
    [anon_sym___restrict__] = ACTIONS(4851),
    [anon_sym__Atomic] = ACTIONS(4851),
    [anon_sym__Noreturn] = ACTIONS(4851),
    [anon_sym_noreturn] = ACTIONS(4851),
    [anon_sym__Nonnull] = ACTIONS(4851),
    [anon_sym_mutable] = ACTIONS(4851),
    [anon_sym_constinit] = ACTIONS(4851),
    [anon_sym_consteval] = ACTIONS(4851),
    [anon_sym_alignas] = ACTIONS(4851),
    [anon_sym__Alignas] = ACTIONS(4851),
    [sym_primitive_type] = ACTIONS(4851),
    [anon_sym_enum] = ACTIONS(4851),
    [anon_sym_class] = ACTIONS(4851),
    [anon_sym_struct] = ACTIONS(4851),
    [anon_sym_union] = ACTIONS(4851),
    [anon_sym_or] = ACTIONS(4851),
    [anon_sym_and] = ACTIONS(4851),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4851),
    [anon_sym_decltype] = ACTIONS(4851),
    [anon_sym_explicit] = ACTIONS(4851),
    [anon_sym_typename] = ACTIONS(4851),
    [anon_sym_template] = ACTIONS(4851),
    [anon_sym_operator] = ACTIONS(4851),
    [anon_sym_friend] = ACTIONS(4851),
    [anon_sym_using] = ACTIONS(4851),
    [anon_sym_concept] = ACTIONS(4851),
  },
  [2234] = {
    [sym_argument_list] = STATE(2356),
    [sym_initializer_list] = STATE(2356),
    [sym_identifier] = ACTIONS(5975),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5977),
    [anon_sym_COMMA] = ACTIONS(5977),
    [anon_sym_RPAREN] = ACTIONS(5977),
    [aux_sym_preproc_if_token2] = ACTIONS(5977),
    [aux_sym_preproc_else_token1] = ACTIONS(5977),
    [aux_sym_preproc_elif_token1] = ACTIONS(5975),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5977),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5977),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_DASH] = ACTIONS(5975),
    [anon_sym_PLUS] = ACTIONS(5975),
    [anon_sym_STAR] = ACTIONS(5975),
    [anon_sym_SLASH] = ACTIONS(5975),
    [anon_sym_PERCENT] = ACTIONS(5975),
    [anon_sym_PIPE_PIPE] = ACTIONS(5977),
    [anon_sym_AMP_AMP] = ACTIONS(5977),
    [anon_sym_PIPE] = ACTIONS(5975),
    [anon_sym_CARET] = ACTIONS(5975),
    [anon_sym_AMP] = ACTIONS(5975),
    [anon_sym_EQ_EQ] = ACTIONS(5977),
    [anon_sym_BANG_EQ] = ACTIONS(5977),
    [anon_sym_GT] = ACTIONS(5975),
    [anon_sym_GT_EQ] = ACTIONS(5977),
    [anon_sym_LT_EQ] = ACTIONS(5975),
    [anon_sym_LT] = ACTIONS(5975),
    [anon_sym_LT_LT] = ACTIONS(5975),
    [anon_sym_GT_GT] = ACTIONS(5975),
    [anon_sym_SEMI] = ACTIONS(5977),
    [anon_sym___attribute__] = ACTIONS(5975),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(5977),
    [anon_sym_LBRACK] = ACTIONS(5977),
    [anon_sym_RBRACK] = ACTIONS(5977),
    [anon_sym_EQ] = ACTIONS(5975),
    [anon_sym_COLON] = ACTIONS(5977),
    [anon_sym_QMARK] = ACTIONS(5977),
    [anon_sym_STAR_EQ] = ACTIONS(5977),
    [anon_sym_SLASH_EQ] = ACTIONS(5977),
    [anon_sym_PERCENT_EQ] = ACTIONS(5977),
    [anon_sym_PLUS_EQ] = ACTIONS(5977),
    [anon_sym_DASH_EQ] = ACTIONS(5977),
    [anon_sym_LT_LT_EQ] = ACTIONS(5977),
    [anon_sym_GT_GT_EQ] = ACTIONS(5977),
    [anon_sym_AMP_EQ] = ACTIONS(5977),
    [anon_sym_CARET_EQ] = ACTIONS(5977),
    [anon_sym_PIPE_EQ] = ACTIONS(5977),
    [anon_sym_and_eq] = ACTIONS(5975),
    [anon_sym_or_eq] = ACTIONS(5975),
    [anon_sym_xor_eq] = ACTIONS(5975),
    [anon_sym_LT_EQ_GT] = ACTIONS(5977),
    [anon_sym_or] = ACTIONS(5975),
    [anon_sym_and] = ACTIONS(5975),
    [anon_sym_bitor] = ACTIONS(5975),
    [anon_sym_xor] = ACTIONS(5975),
    [anon_sym_bitand] = ACTIONS(5975),
    [anon_sym_not_eq] = ACTIONS(5975),
    [anon_sym_DASH_DASH] = ACTIONS(5977),
    [anon_sym_PLUS_PLUS] = ACTIONS(5977),
    [anon_sym_DOT] = ACTIONS(5975),
    [anon_sym_DOT_STAR] = ACTIONS(5977),
    [anon_sym_DASH_GT] = ACTIONS(5977),
    [sym_comment] = ACTIONS(3),
  },
  [2235] = {
    [sym_identifier] = ACTIONS(4839),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_TILDE] = ACTIONS(4841),
    [anon_sym_STAR] = ACTIONS(4841),
    [anon_sym_PIPE_PIPE] = ACTIONS(4841),
    [anon_sym_AMP_AMP] = ACTIONS(4841),
    [anon_sym_AMP] = ACTIONS(4839),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_virtual] = ACTIONS(4839),
    [anon_sym_extern] = ACTIONS(4839),
    [anon_sym___attribute__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4841),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4841),
    [anon_sym___declspec] = ACTIONS(4839),
    [anon_sym___based] = ACTIONS(4839),
    [anon_sym___cdecl] = ACTIONS(4839),
    [anon_sym___clrcall] = ACTIONS(4839),
    [anon_sym___stdcall] = ACTIONS(4839),
    [anon_sym___fastcall] = ACTIONS(4839),
    [anon_sym___thiscall] = ACTIONS(4839),
    [anon_sym___vectorcall] = ACTIONS(4839),
    [anon_sym_signed] = ACTIONS(4839),
    [anon_sym_unsigned] = ACTIONS(4839),
    [anon_sym_long] = ACTIONS(4839),
    [anon_sym_short] = ACTIONS(4839),
    [anon_sym_LBRACK] = ACTIONS(4839),
    [anon_sym_static] = ACTIONS(4839),
    [anon_sym_register] = ACTIONS(4839),
    [anon_sym_inline] = ACTIONS(4839),
    [anon_sym___inline] = ACTIONS(4839),
    [anon_sym___inline__] = ACTIONS(4839),
    [anon_sym___forceinline] = ACTIONS(4839),
    [anon_sym_thread_local] = ACTIONS(4839),
    [anon_sym___thread] = ACTIONS(4839),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym__Nonnull] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4839),
    [anon_sym__Alignas] = ACTIONS(4839),
    [sym_primitive_type] = ACTIONS(4839),
    [anon_sym_enum] = ACTIONS(4839),
    [anon_sym_class] = ACTIONS(4839),
    [anon_sym_struct] = ACTIONS(4839),
    [anon_sym_union] = ACTIONS(4839),
    [anon_sym_or] = ACTIONS(4839),
    [anon_sym_and] = ACTIONS(4839),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4839),
    [anon_sym_decltype] = ACTIONS(4839),
    [anon_sym_explicit] = ACTIONS(4839),
    [anon_sym_typename] = ACTIONS(4839),
    [anon_sym_template] = ACTIONS(4839),
    [anon_sym_operator] = ACTIONS(4839),
    [anon_sym_friend] = ACTIONS(4839),
    [anon_sym_using] = ACTIONS(4839),
    [anon_sym_concept] = ACTIONS(4839),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(4876),
    [anon_sym_LPAREN2] = ACTIONS(4878),
    [anon_sym_TILDE] = ACTIONS(4878),
    [anon_sym_STAR] = ACTIONS(4878),
    [anon_sym_PIPE_PIPE] = ACTIONS(4878),
    [anon_sym_AMP_AMP] = ACTIONS(4878),
    [anon_sym_AMP] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(4876),
    [anon_sym_virtual] = ACTIONS(4876),
    [anon_sym_extern] = ACTIONS(4876),
    [anon_sym___attribute__] = ACTIONS(4876),
    [anon_sym_COLON_COLON] = ACTIONS(4878),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4878),
    [anon_sym___declspec] = ACTIONS(4876),
    [anon_sym___based] = ACTIONS(4876),
    [anon_sym___cdecl] = ACTIONS(4876),
    [anon_sym___clrcall] = ACTIONS(4876),
    [anon_sym___stdcall] = ACTIONS(4876),
    [anon_sym___fastcall] = ACTIONS(4876),
    [anon_sym___thiscall] = ACTIONS(4876),
    [anon_sym___vectorcall] = ACTIONS(4876),
    [anon_sym_signed] = ACTIONS(4876),
    [anon_sym_unsigned] = ACTIONS(4876),
    [anon_sym_long] = ACTIONS(4876),
    [anon_sym_short] = ACTIONS(4876),
    [anon_sym_LBRACK] = ACTIONS(4876),
    [anon_sym_static] = ACTIONS(4876),
    [anon_sym_register] = ACTIONS(4876),
    [anon_sym_inline] = ACTIONS(4876),
    [anon_sym___inline] = ACTIONS(4876),
    [anon_sym___inline__] = ACTIONS(4876),
    [anon_sym___forceinline] = ACTIONS(4876),
    [anon_sym_thread_local] = ACTIONS(4876),
    [anon_sym___thread] = ACTIONS(4876),
    [anon_sym_const] = ACTIONS(4876),
    [anon_sym_constexpr] = ACTIONS(4876),
    [anon_sym_volatile] = ACTIONS(4876),
    [anon_sym_restrict] = ACTIONS(4876),
    [anon_sym___restrict__] = ACTIONS(4876),
    [anon_sym__Atomic] = ACTIONS(4876),
    [anon_sym__Noreturn] = ACTIONS(4876),
    [anon_sym_noreturn] = ACTIONS(4876),
    [anon_sym__Nonnull] = ACTIONS(4876),
    [anon_sym_mutable] = ACTIONS(4876),
    [anon_sym_constinit] = ACTIONS(4876),
    [anon_sym_consteval] = ACTIONS(4876),
    [anon_sym_alignas] = ACTIONS(4876),
    [anon_sym__Alignas] = ACTIONS(4876),
    [sym_primitive_type] = ACTIONS(4876),
    [anon_sym_enum] = ACTIONS(4876),
    [anon_sym_class] = ACTIONS(4876),
    [anon_sym_struct] = ACTIONS(4876),
    [anon_sym_union] = ACTIONS(4876),
    [anon_sym_or] = ACTIONS(4876),
    [anon_sym_and] = ACTIONS(4876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4876),
    [anon_sym_decltype] = ACTIONS(4876),
    [anon_sym_explicit] = ACTIONS(4876),
    [anon_sym_typename] = ACTIONS(4876),
    [anon_sym_template] = ACTIONS(4876),
    [anon_sym_operator] = ACTIONS(4876),
    [anon_sym_friend] = ACTIONS(4876),
    [anon_sym_using] = ACTIONS(4876),
    [anon_sym_concept] = ACTIONS(4876),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2241), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5457), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [75] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1790), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5853), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1826), 1,
      sym_attribute_specifier,
    ACTIONS(5789), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5791), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1822), 1,
      sym_attribute_specifier,
    ACTIONS(5807), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5809), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5981), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5647), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5645), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [446] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5983), 1,
      sym_identifier,
    STATE(2246), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4349), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4351), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5125), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5123), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2128), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5769), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5771), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5590), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5588), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5989), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
    ACTIONS(5985), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5987), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [679] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5992), 1,
      sym_identifier,
    STATE(2246), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5995), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5998), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5146), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5144), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6005), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
    ACTIONS(6001), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6003), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4886), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1811), 1,
      sym_attribute_specifier,
    ACTIONS(5743), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5745), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5202), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5192), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2273), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6008), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5637), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5635), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [1200] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    STATE(2519), 1,
      sym_field_declaration_list,
    STATE(2679), 1,
      sym_attribute_specifier,
    STATE(6445), 1,
      sym_virtual_specifier,
    STATE(7408), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5245), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5247), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [1287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1765), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6014), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5596), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6016), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6018), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1813), 1,
      sym_attribute_specifier,
    ACTIONS(5779), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5781), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [1510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2263), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6020), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5652), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [1585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1782), 1,
      sym_attribute_specifier,
    ACTIONS(5863), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5865), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [1660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1765), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6014), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5643), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5641), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5202), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2267), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6022), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5457), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5981), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5596), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [2027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5192), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2267), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6022), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5334), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5336), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5198), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1765), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6014), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5647), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5645), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2203), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5973), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5334), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5336), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2394] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      sym_identifier,
    STATE(2243), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4349), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4351), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5139), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5137), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1765), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6014), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5660), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5658), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1818), 1,
      sym_attribute_specifier,
    ACTIONS(5873), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5875), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1783), 1,
      sym_attribute_specifier,
    ACTIONS(5839), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5841), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5981), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5643), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5641), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [2773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2131), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5981), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5660), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5658), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [2848] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym___attribute__,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(6030), 1,
      anon_sym_COLON,
    STATE(2078), 1,
      sym__enum_base_clause,
    STATE(2122), 1,
      sym_enumerator_list,
    STATE(2179), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6028), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1831), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5845), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [3006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1807), 1,
      sym_attribute_specifier,
    ACTIONS(5833), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5835), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [3081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    STATE(2329), 1,
      sym_new_declarator,
    ACTIONS(6032), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6034), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1806), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5857), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [3231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5198), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2254), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6036), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5652), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [3377] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym___attribute__,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(6030), 1,
      anon_sym_COLON,
    STATE(2021), 1,
      sym__enum_base_clause,
    STATE(2138), 1,
      sym_enumerator_list,
    STATE(2197), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6040), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    STATE(1799), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5849), 51,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [3535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2259), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6042), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5637), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5635), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [3610] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6044), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6046), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [3694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5202), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3811), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      sym_auto,
    ACTIONS(6058), 1,
      anon_sym_decltype,
    STATE(2375), 1,
      sym_decltype_auto,
    ACTIONS(5324), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5322), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3910] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6060), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6062), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [3992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6064), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [4132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6072), 1,
      anon_sym_LT,
    STATE(2248), 1,
      sym_template_argument_list,
    ACTIONS(6068), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6070), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4206] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [4360] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6079), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6081), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5202), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [4514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4584] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6056), 1,
      sym_auto,
    ACTIONS(6058), 1,
      anon_sym_decltype,
    ACTIONS(6087), 1,
      anon_sym_virtual,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2465), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6085), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6083), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [4678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6091), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2241), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5334), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5336), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [4822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6095), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4892] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6056), 1,
      sym_auto,
    ACTIONS(6058), 1,
      anon_sym_decltype,
    ACTIONS(6101), 1,
      anon_sym_virtual,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2473), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6099), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6097), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [4986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5192), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6105), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5334), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [5198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6107), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [5268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5116), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5114), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [5342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5192), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3815), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5482] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      sym_identifier,
    ACTIONS(6118), 1,
      sym_primitive_type,
    STATE(2330), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6116), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5543), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5545), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [5560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5198), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6105), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6105), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5770] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6120), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6122), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [5854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6124), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6126), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5924] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2471), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6128), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5714), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [6002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6130), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6132), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5198), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6142] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6134), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6136), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [6226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6138), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6140), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6298] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    STATE(2708), 1,
      sym_field_declaration_list,
    STATE(2864), 1,
      sym_attribute_specifier,
    STATE(6505), 1,
      sym_virtual_specifier,
    STATE(7251), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5245), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5247), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [6384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6148), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6150), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [6466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5202), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6152), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [6606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6156), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6158), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5192), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5198), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5338), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [6886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6162), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5114), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5554), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [7032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6166), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6170), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5478), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6174), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6178), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7379] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2506), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5714), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [7456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4094), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6184), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6188), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7663] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    STATE(2799), 1,
      sym_field_declaration_list,
    STATE(2964), 1,
      sym_attribute_specifier,
    STATE(6685), 1,
      sym_virtual_specifier,
    STATE(7199), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5245), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5247), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [7748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5398), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5396), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [7817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4094), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6196), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6200), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6204), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5334), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [8162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6208), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6212), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6216), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4965), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6220), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6222), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6224), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5085), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5622), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6228), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6232), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5198), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5440), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5438), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5436), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9128] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [9213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5424), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6240), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6242), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6244), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5420), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [9489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6248), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6250), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6252), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6254), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6256), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6260), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6140), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6264), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6268), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6272), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6276), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5470), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [10179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6280), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5025), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1950), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6284), 1,
      anon_sym_and,
    ACTIONS(5923), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5925), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5053), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6220), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6288), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5049), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6292), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6296), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6300), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6304), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5057), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11080] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6284), 1,
      anon_sym_and,
    ACTIONS(6306), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6308), 1,
      anon_sym_or,
    ACTIONS(5899), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5901), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5192), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5186), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5559), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5557), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5404), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1954), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3741), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5498), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [11640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6312), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6316), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5202), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6320), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6324), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6328), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2403), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6330), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5116), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5114), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [12127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5506), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5502), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5490), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6335), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5444), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5412), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5537), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6339), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5510), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [12748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5095), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5005), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5099), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5494), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [13093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5402), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5400), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [13369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5514), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [13507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5412), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [13645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5521), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [13714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5525), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [13783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5412), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [13852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5531), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5529), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [13921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2403), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5114), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6330), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5554), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [13996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6341), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6343), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4989), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5045), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6347), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6351), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5535), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5533), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5486), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5029), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5029), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5029), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5482), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5478), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5474), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [14893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6355), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5466), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5461), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5459), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5457), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5455), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4120), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5714), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5712), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [15248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5434), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5432), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5430), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5428), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15386] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6359), 1,
      sym_identifier,
    ACTIONS(6363), 1,
      sym_primitive_type,
    STATE(2430), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6361), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5543), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5545), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [15463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5408), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2269), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4349), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4351), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5588), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5590), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [15607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6365), 1,
      anon_sym_LT,
    STATE(2471), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2514), 1,
      sym_template_argument_list,
    ACTIONS(6128), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4100), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15686] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(6367), 1,
      anon_sym___attribute__,
    ACTIONS(6369), 1,
      anon_sym_COLON,
    STATE(2021), 1,
      sym__enum_base_clause,
    STATE(2138), 1,
      sym_enumerator_list,
    STATE(2197), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6040), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [15767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2694), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6373), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(6367), 1,
      anon_sym___attribute__,
    ACTIONS(6369), 1,
      anon_sym_COLON,
    STATE(2078), 1,
      sym__enum_base_clause,
    STATE(2122), 1,
      sym_enumerator_list,
    STATE(2179), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6028), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [15986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6377), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5318), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5262), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [16193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(6379), 1,
      anon_sym_LPAREN2,
    STATE(2352), 1,
      sym_argument_list,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3768), 1,
      sym_initializer_list,
    ACTIONS(6382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5336), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5334), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16273] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      sym_identifier,
    ACTIONS(6389), 1,
      sym_primitive_type,
    STATE(2484), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6387), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5543), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5545), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6391), 1,
      anon_sym_LT,
    STATE(2562), 1,
      sym_template_argument_list,
    ACTIONS(4118), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5592), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [16423] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6397), 1,
      anon_sym_virtual,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6395), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6393), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [16509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2483), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6399), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5637), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5635), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2480), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6401), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5652), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16653] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 1,
      anon_sym_virtual,
    ACTIONS(6416), 1,
      anon_sym___attribute__,
    ACTIONS(6419), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6422), 1,
      anon_sym___declspec,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(6425), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6413), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6405), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6403), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(6407), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [16739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 1,
      sym_identifier,
    STATE(2485), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3463), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3467), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5139), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5137), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6430), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5660), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5658), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5202), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [17023] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6397), 1,
      anon_sym_virtual,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2468), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6434), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6432), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [17109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6430), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5647), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5645), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4845), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4849), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4853), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6365), 1,
      anon_sym_LT,
    STATE(2514), 1,
      sym_template_argument_list,
    ACTIONS(5592), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4118), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [17459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5350), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5352), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6430), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5596), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5192), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [17669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5198), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [17737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2307), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6430), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5643), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5641), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      sym_primitive_type,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5554), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [17883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      sym_identifier,
    STATE(2495), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3463), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3467), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5125), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5123), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2474), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6438), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4878), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4841), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18167] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6440), 1,
      anon_sym_LT,
    STATE(2506), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2588), 1,
      sym_template_argument_list,
    ACTIONS(6180), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4100), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [18245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4882), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6442), 1,
      anon_sym_LT,
    STATE(2514), 1,
      sym_template_argument_list,
    ACTIONS(4855), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [18387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4874), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6391), 1,
      anon_sym_LT,
    STATE(2562), 1,
      sym_template_argument_list,
    ACTIONS(4862), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4855), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [18529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    STATE(2509), 1,
      sym_enumerator_list,
    STATE(2611), 1,
      sym_attribute_specifier,
    ACTIONS(5718), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5720), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 1,
      sym_identifier,
    STATE(2495), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6450), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6453), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5146), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5144), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5318), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18751] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    STATE(2526), 1,
      sym_enumerator_list,
    STATE(2647), 1,
      sym_attribute_specifier,
    ACTIONS(5698), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5700), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4891), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4853), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4851), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4849), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4847), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5457), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5455), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2403), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6456), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5647), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5645), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6440), 1,
      anon_sym_LT,
    STATE(2588), 1,
      sym_template_argument_list,
    ACTIONS(5592), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4118), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [19244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5192), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2666), 1,
      sym_attribute_specifier,
    ACTIONS(5833), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5835), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2403), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6456), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5660), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5658), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19453] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(6460), 1,
      anon_sym_COLON,
    STATE(2620), 1,
      sym__enum_base_clause,
    STATE(2739), 1,
      sym_enumerator_list,
    STATE(2914), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6028), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19532] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2630), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6462), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5714), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2682), 1,
      sym_attribute_specifier,
    ACTIONS(5839), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5841), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2510), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6464), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5116), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5114), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5350), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5352), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19818] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(2931), 1,
      sym_field_declaration_list,
    STATE(3324), 1,
      sym_attribute_specifier,
    STATE(6617), 1,
      sym_virtual_specifier,
    STATE(7330), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5245), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5247), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2674), 1,
      sym_attribute_specifier,
    ACTIONS(5789), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5791), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4891), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5114), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6471), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5554), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5551), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [20112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2613), 1,
      sym_attribute_specifier,
    ACTIONS(5807), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5809), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4882), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4880), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5262), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [20317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2660), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5857), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5316), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5318), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4841), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4839), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4878), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4876), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2537), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6474), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5652), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [20660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2536), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6476), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5637), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5635), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [20731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4845), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4843), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2622), 1,
      sym_attribute_specifier,
    ACTIONS(5873), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5875), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2651), 1,
      sym_attribute_specifier,
    ACTIONS(5779), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5781), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [20940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2510), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6478), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5596), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5598), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [21011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2502), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6480), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5457), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2669), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5849), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6471), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5114), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5116), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21224] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(6460), 1,
      anon_sym_COLON,
    STATE(2654), 1,
      sym__enum_base_clause,
    STATE(2721), 1,
      sym_enumerator_list,
    STATE(2875), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6040), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21303] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 1,
      sym_identifier,
    ACTIONS(6486), 1,
      sym_primitive_type,
    STATE(2515), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6484), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5545), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5543), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2474), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6438), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5334), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6488), 1,
      anon_sym_LT,
    STATE(2588), 1,
      sym_template_argument_list,
    ACTIONS(4855), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4862), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [21522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2403), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6456), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5643), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5641), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2403), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6456), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5596), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2652), 1,
      sym_attribute_specifier,
    ACTIONS(5743), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5745), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2544), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6491), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5635), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5637), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [21806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5318), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [21875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2510), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6478), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5645), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5647), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [21946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5198), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [22013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2625), 1,
      sym_attribute_specifier,
    ACTIONS(5863), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5865), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2510), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6478), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5641), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5643), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [22155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6493), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5652), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5654), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [22226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5202), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [22293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5318), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4872), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2510), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6478), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5660), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [22500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2616), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5845), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5186), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [22638] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5606), 1,
      anon_sym_STAR,
    ACTIONS(5608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5610), 1,
      anon_sym_AMP,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5986), 1,
      sym__declarator,
    STATE(6108), 1,
      sym__abstract_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6495), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [22753] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5606), 1,
      anon_sym_STAR,
    ACTIONS(5608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5610), 1,
      anon_sym_AMP,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5990), 1,
      sym__declarator,
    STATE(6073), 1,
      sym__abstract_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5618), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [22868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    STATE(2689), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5853), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22939] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6499), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      sym_auto,
    ACTIONS(6503), 1,
      anon_sym_decltype,
    STATE(2867), 1,
      sym_new_declarator,
    STATE(2915), 1,
      sym_decltype_auto,
    STATE(3212), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5573), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5575), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [23021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5508), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6505), 1,
      sym_auto,
    ACTIONS(6507), 1,
      anon_sym_decltype,
    STATE(2614), 1,
      sym_decltype_auto,
    ACTIONS(5322), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5324), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5410), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5336), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5334), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [23295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2758), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6509), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4884), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23493] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    ACTIONS(6513), 1,
      anon_sym_LBRACE,
    ACTIONS(6515), 1,
      anon_sym_COLON,
    STATE(2692), 1,
      sym__enum_base_clause,
    STATE(2840), 1,
      sym_enumerator_list,
    STATE(2936), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6028), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5476), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6517), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5350), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5316), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5318), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [23837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1578), 1,
      sym_string_literal,
    ACTIONS(6525), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6521), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [23907] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6527), 1,
      anon_sym_LT,
    STATE(2593), 1,
      sym_template_argument_list,
    STATE(2630), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6462), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4100), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5457), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1575), 1,
      sym_string_literal,
    ACTIONS(6525), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6521), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [24119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5352), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5350), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4872), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5336), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1576), 1,
      sym_string_literal,
    ACTIONS(6525), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6521), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [24391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5446), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    ACTIONS(6513), 1,
      anon_sym_LBRACE,
    ACTIONS(6515), 1,
      anon_sym_COLON,
    STATE(2738), 1,
      sym__enum_base_clause,
    STATE(2786), 1,
      sym_enumerator_list,
    STATE(2998), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6040), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24535] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6499), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      sym_auto,
    ACTIONS(6503), 1,
      anon_sym_decltype,
    STATE(2877), 1,
      sym_new_declarator,
    STATE(2915), 1,
      sym_decltype_auto,
    STATE(3309), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5581), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5583), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [24617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5318), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [24685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5318), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [24753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4882), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4880), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5451), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [24885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5316), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [24951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4841), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4839), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4878), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4876), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25083] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6499), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      sym_auto,
    ACTIONS(6503), 1,
      anon_sym_decltype,
    STATE(2905), 1,
      sym_new_declarator,
    STATE(2915), 1,
      sym_decltype_auto,
    STATE(3332), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5577), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5579), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [25165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4853), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4851), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4891), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5262), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1577), 1,
      sym_string_literal,
    ACTIONS(6525), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6521), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [25433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4849), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4847), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(2580), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4891), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [25631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6529), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2502), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6480), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5334), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5336), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [25767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4845), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4843), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5262), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5260), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25899] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6499), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      sym_auto,
    ACTIONS(6503), 1,
      anon_sym_decltype,
    STATE(2903), 1,
      sym_new_declarator,
    STATE(2915), 1,
      sym_decltype_auto,
    STATE(3358), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5563), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [25981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5318), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5316), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [26049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6533), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [26115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6537), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [26181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5531), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5318), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5316), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [26315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5338), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5340), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26381] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6551), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6569), 1,
      anon_sym_or,
    ACTIONS(6571), 1,
      anon_sym_and,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6553), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6541), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6543), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26490] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6056), 1,
      sym_auto,
    ACTIONS(6058), 1,
      anon_sym_decltype,
    ACTIONS(6101), 1,
      anon_sym_virtual,
    ACTIONS(6575), 1,
      anon_sym_SEMI,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6099), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2473), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6097), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2661), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6577), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26650] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5757), 1,
      anon_sym_STAR,
    ACTIONS(5759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5761), 1,
      anon_sym_AMP,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5986), 1,
      sym__declarator,
    STATE(6270), 1,
      sym__abstract_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6495), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5453), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6579), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5643), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5641), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5523), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5202), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [27027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5527), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5472), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27157] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [27238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5559), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27303] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5797), 1,
      anon_sym_STAR,
    ACTIONS(5799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5801), 1,
      anon_sym_AMP,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5990), 1,
      sym__declarator,
    STATE(6287), 1,
      sym__abstract_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5618), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [27416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6579), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5596), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27485] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5797), 1,
      anon_sym_STAR,
    ACTIONS(5799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5801), 1,
      anon_sym_AMP,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5986), 1,
      sym__declarator,
    STATE(6308), 1,
      sym__abstract_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6495), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [27598] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(2698), 1,
      sym_enumerator_list,
    STATE(2849), 1,
      sym_attribute_specifier,
    ACTIONS(5718), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2610), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6581), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5637), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5635), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5516), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5378), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [27870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2618), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6583), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5652), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5402), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6587), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6585), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [28069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5414), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5316), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5318), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [28199] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6056), 1,
      sym_auto,
    ACTIONS(6058), 1,
      anon_sym_decltype,
    ACTIONS(6101), 1,
      anon_sym_virtual,
    ACTIONS(6589), 1,
      anon_sym_SEMI,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6099), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2473), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6097), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [28290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6579), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5660), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5658), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5192), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [28424] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6551), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6569), 1,
      anon_sym_or,
    ACTIONS(6571), 1,
      anon_sym_and,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6553), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6591), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6593), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28533] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6551), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6569), 1,
      anon_sym_or,
    ACTIONS(6571), 1,
      anon_sym_and,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6597), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6553), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6353), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6355), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28646] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6551), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_and,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6553), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6077), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28751] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(6601), 1,
      anon_sym_LBRACK,
    ACTIONS(6603), 1,
      sym_auto,
    ACTIONS(6605), 1,
      anon_sym_decltype,
    STATE(2946), 1,
      sym_decltype_auto,
    STATE(3004), 1,
      sym_new_declarator,
    STATE(3418), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5573), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5575), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [28832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6553), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28933] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(6601), 1,
      anon_sym_LBRACK,
    ACTIONS(6603), 1,
      sym_auto,
    ACTIONS(6605), 1,
      anon_sym_decltype,
    STATE(2946), 1,
      sym_decltype_auto,
    STATE(3035), 1,
      sym_new_declarator,
    STATE(3505), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5577), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5579), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [29014] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29113] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29210] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29305] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5414), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5198), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29526] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(6601), 1,
      anon_sym_LBRACK,
    ACTIONS(6603), 1,
      sym_auto,
    ACTIONS(6605), 1,
      anon_sym_decltype,
    STATE(2939), 1,
      sym_new_declarator,
    STATE(2946), 1,
      sym_decltype_auto,
    STATE(3527), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5563), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [29607] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6527), 1,
      anon_sym_LT,
    STATE(2593), 1,
      sym_template_argument_list,
    ACTIONS(5592), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4118), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29678] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5468), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29830] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6551), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6569), 1,
      anon_sym_or,
    ACTIONS(6571), 1,
      anon_sym_and,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6553), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6607), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6609), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29939] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(6601), 1,
      anon_sym_LBRACK,
    ACTIONS(6603), 1,
      sym_auto,
    ACTIONS(6605), 1,
      anon_sym_decltype,
    STATE(2946), 1,
      sym_decltype_auto,
    STATE(2957), 1,
      sym_new_declarator,
    STATE(3501), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5581), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5583), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [30020] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6551), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6569), 1,
      anon_sym_or,
    ACTIONS(6571), 1,
      anon_sym_and,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6597), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6553), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6611), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6613), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5504), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5500), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5398), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    STATE(2727), 1,
      sym_enumerator_list,
    STATE(2926), 1,
      sym_attribute_specifier,
    ACTIONS(5698), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5700), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5535), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30466] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [30549] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6056), 1,
      sym_auto,
    ACTIONS(6058), 1,
      anon_sym_decltype,
    ACTIONS(6101), 1,
      anon_sym_virtual,
    ACTIONS(6615), 1,
      anon_sym_SEMI,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6099), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2473), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6097), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [30640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5492), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5480), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5484), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6579), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5647), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5645), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5336), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30969] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6551), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6569), 1,
      anon_sym_or,
    ACTIONS(6571), 1,
      anon_sym_and,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6597), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6553), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6617), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6619), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31082] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5757), 1,
      anon_sym_STAR,
    ACTIONS(5759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5761), 1,
      anon_sym_AMP,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5990), 1,
      sym__declarator,
    STATE(6266), 1,
      sym__abstract_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5618), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5422), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5488), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31325] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6056), 1,
      sym_auto,
    ACTIONS(6058), 1,
      anon_sym_decltype,
    ACTIONS(6101), 1,
      anon_sym_virtual,
    ACTIONS(6621), 1,
      anon_sym_SEMI,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6099), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2473), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6097), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5426), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5461), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5336), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31611] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6551), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6569), 1,
      anon_sym_or,
    ACTIONS(6571), 1,
      anon_sym_and,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6553), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6623), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6625), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5438), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5414), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5539), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6627), 1,
      anon_sym_LT,
    STATE(2593), 1,
      sym_template_argument_list,
    ACTIONS(4855), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [31986] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6551), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6563), 1,
      anon_sym_GT_EQ,
    ACTIONS(6567), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6569), 1,
      anon_sym_or,
    ACTIONS(6571), 1,
      anon_sym_and,
    ACTIONS(6573), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6553), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6555), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6557), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6559), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6561), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6630), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6632), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5496), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5442), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5512), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32290] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6056), 1,
      sym_auto,
    ACTIONS(6058), 1,
      anon_sym_decltype,
    ACTIONS(6101), 1,
      anon_sym_virtual,
    ACTIONS(6634), 1,
      anon_sym_SEMI,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6099), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2473), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6097), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4884), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [32446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5406), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5480), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32576] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6056), 1,
      sym_auto,
    ACTIONS(6058), 1,
      anon_sym_decltype,
    ACTIONS(6101), 1,
      anon_sym_virtual,
    ACTIONS(6636), 1,
      anon_sym_SEMI,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6099), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2473), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6097), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6056), 1,
      sym_auto,
    ACTIONS(6058), 1,
      anon_sym_decltype,
    ACTIONS(6101), 1,
      anon_sym_virtual,
    ACTIONS(6638), 1,
      anon_sym_SEMI,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6099), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2473), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5213), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6097), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5209), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [32823] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6545), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6565), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6547), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [32908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5432), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5434), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5430), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33038] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6667), 1,
      anon_sym_requires,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4498), 1,
      sym__function_attributes_start,
    STATE(4668), 1,
      sym_ref_qualifier,
    STATE(5548), 1,
      sym__function_attributes_end,
    STATE(5627), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5810), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4984), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [33154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4841), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    ACTIONS(6513), 1,
      anon_sym_LBRACE,
    STATE(2841), 1,
      sym_enumerator_list,
    STATE(2937), 1,
      sym_attribute_specifier,
    ACTIONS(5718), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5720), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [33290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2861), 1,
      sym_attribute_specifier,
    ACTIONS(5863), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5865), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2862), 1,
      sym_attribute_specifier,
    ACTIONS(5743), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5745), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33426] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6672), 1,
      anon_sym_requires,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4373), 1,
      sym__function_attributes_start,
    STATE(4666), 1,
      sym_ref_qualifier,
    STATE(5517), 1,
      sym__function_attributes_end,
    STATE(5644), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5810), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5022), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [33542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4886), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    STATE(2426), 1,
      sym_attribute_specifier,
    STATE(2892), 1,
      sym_enumerator_list,
    ACTIONS(5720), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5718), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2887), 1,
      sym_attribute_specifier,
    ACTIONS(5839), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5841), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      sym_literal_suffix,
    ACTIONS(4102), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4094), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4845), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4849), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4853), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34006] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6678), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34088] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6680), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [34234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2909), 1,
      sym_attribute_specifier,
    ACTIONS(5833), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5835), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4878), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2930), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5857), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2865), 1,
      sym_attribute_specifier,
    ACTIONS(5789), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5791), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2876), 1,
      sym_attribute_specifier,
    ACTIONS(5779), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5781), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2891), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5845), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5262), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [34766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5334), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [34830] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6682), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5318), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34978] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6684), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35060] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6686), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35142] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      anon_sym_COLON,
    STATE(2880), 1,
      sym__enum_base_clause,
    STATE(3038), 1,
      sym_enumerator_list,
    STATE(3318), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6040), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35218] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6692), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2922), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35368] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6694), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4882), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35514] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6696), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35596] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6698), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4874), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2852), 1,
      sym_attribute_specifier,
    ACTIONS(5873), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5875), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2913), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5853), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6339), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35942] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6700), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [36024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5318), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [36154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [36218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [36282] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6702), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [36364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [36428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [36492] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    ACTIONS(6513), 1,
      anon_sym_LBRACE,
    STATE(2842), 1,
      sym_enumerator_list,
    STATE(2941), 1,
      sym_attribute_specifier,
    ACTIONS(5698), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5700), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym___attribute__,
    STATE(2848), 1,
      sym_attribute_specifier,
    ACTIONS(5807), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5809), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6212), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6210), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [36696] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(4150), 1,
      anon_sym_STAR,
    ACTIONS(4152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4154), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6495), 1,
      anon_sym_RPAREN,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6060), 1,
      sym__declarator,
    STATE(6308), 1,
      sym__abstract_declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36808] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      anon_sym_COLON,
    STATE(2889), 1,
      sym__enum_base_clause,
    STATE(3071), 1,
      sym_enumerator_list,
    STATE(3387), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6028), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36884] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6704), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [36966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    STATE(2445), 1,
      sym_attribute_specifier,
    STATE(2855), 1,
      sym_enumerator_list,
    ACTIONS(5700), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5698), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [37038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5350), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5352), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [37104] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(4150), 1,
      anon_sym_STAR,
    ACTIONS(4152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4154), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5618), 1,
      anon_sym_RPAREN,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6059), 1,
      sym__declarator,
    STATE(6287), 1,
      sym__abstract_declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37216] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6706), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [37298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6377), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6375), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [37362] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5714), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [37436] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6710), 1,
      anon_sym_SEMI,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [37518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2661), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6577), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5334), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6714), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37650] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [37751] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6077), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [37848] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6060), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37957] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_and,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38062] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [38157] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6611), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_and,
    ACTIONS(6756), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6758), 1,
      anon_sym_QMARK,
    ACTIONS(6760), 1,
      anon_sym_or,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6613), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38270] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [38361] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6762), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6764), 1,
      anon_sym_COMMA,
    ACTIONS(6766), 1,
      anon_sym_RPAREN,
    ACTIONS(6768), 1,
      anon_sym_DASH,
    ACTIONS(6770), 1,
      anon_sym_PLUS,
    ACTIONS(6772), 1,
      anon_sym_STAR,
    ACTIONS(6774), 1,
      anon_sym_SLASH,
    ACTIONS(6776), 1,
      anon_sym_PERCENT,
    ACTIONS(6778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_PIPE,
    ACTIONS(6784), 1,
      anon_sym_CARET,
    ACTIONS(6786), 1,
      anon_sym_AMP,
    ACTIONS(6788), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6790), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6792), 1,
      anon_sym_GT,
    ACTIONS(6794), 1,
      anon_sym_GT_EQ,
    ACTIONS(6796), 1,
      anon_sym_LT_EQ,
    ACTIONS(6798), 1,
      anon_sym_LT,
    ACTIONS(6800), 1,
      anon_sym_LT_LT,
    ACTIONS(6802), 1,
      anon_sym_GT_GT,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_EQ,
    ACTIONS(6808), 1,
      anon_sym_QMARK,
    ACTIONS(6810), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6812), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6814), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6816), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6818), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6820), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6822), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6824), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6826), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6828), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_bitor,
    ACTIONS(6840), 1,
      anon_sym_xor,
    ACTIONS(6842), 1,
      anon_sym_bitand,
    ACTIONS(6844), 1,
      anon_sym_not_eq,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6830), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38522] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [38611] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [38696] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [38777] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym_LPAREN2,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      sym_auto,
    ACTIONS(6860), 1,
      anon_sym_decltype,
    STATE(3273), 1,
      sym_decltype_auto,
    STATE(3368), 1,
      sym_new_declarator,
    STATE(3701), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5581), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5583), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38856] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6059), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2755), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3787), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [38965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5387), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4094), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4102), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [39032] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6059), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3787), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39141] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_STAR,
    ACTIONS(6864), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6866), 1,
      anon_sym_AMP,
    ACTIONS(6868), 1,
      anon_sym_COLON_COLON,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(5712), 1,
      sym__declarator,
    STATE(7515), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2776), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3780), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39250] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_STAR,
    ACTIONS(6872), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(6018), 1,
      sym__declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3772), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39359] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6762), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6764), 1,
      anon_sym_COMMA,
    ACTIONS(6768), 1,
      anon_sym_DASH,
    ACTIONS(6770), 1,
      anon_sym_PLUS,
    ACTIONS(6772), 1,
      anon_sym_STAR,
    ACTIONS(6774), 1,
      anon_sym_SLASH,
    ACTIONS(6776), 1,
      anon_sym_PERCENT,
    ACTIONS(6778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_PIPE,
    ACTIONS(6784), 1,
      anon_sym_CARET,
    ACTIONS(6786), 1,
      anon_sym_AMP,
    ACTIONS(6788), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6790), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6792), 1,
      anon_sym_GT,
    ACTIONS(6794), 1,
      anon_sym_GT_EQ,
    ACTIONS(6796), 1,
      anon_sym_LT_EQ,
    ACTIONS(6798), 1,
      anon_sym_LT,
    ACTIONS(6800), 1,
      anon_sym_LT_LT,
    ACTIONS(6802), 1,
      anon_sym_GT_GT,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_EQ,
    ACTIONS(6808), 1,
      anon_sym_QMARK,
    ACTIONS(6810), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6812), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6814), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6816), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6818), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6820), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6822), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6824), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6826), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6828), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_bitor,
    ACTIONS(6840), 1,
      anon_sym_xor,
    ACTIONS(6842), 1,
      anon_sym_bitand,
    ACTIONS(6844), 1,
      anon_sym_not_eq,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6876), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6830), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39520] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_and,
    ACTIONS(6756), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6760), 1,
      anon_sym_or,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39629] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [39712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_LPAREN2,
    ACTIONS(6880), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    STATE(3161), 1,
      sym_parameter_list,
    STATE(2911), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5793), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5795), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [39785] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6623), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_and,
    ACTIONS(6756), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6760), 1,
      anon_sym_or,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6625), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39894] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(6884), 1,
      anon_sym_LBRACK,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3698), 1,
      sym_template_argument_list,
    ACTIONS(4115), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4100), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4120), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [39971] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_STAR,
    ACTIONS(6864), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6866), 1,
      anon_sym_AMP,
    ACTIONS(6868), 1,
      anon_sym_COLON_COLON,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(5759), 1,
      sym__declarator,
    STATE(7515), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3765), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(2934), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5853), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40147] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym_LPAREN2,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      sym_auto,
    ACTIONS(6860), 1,
      anon_sym_decltype,
    STATE(3273), 1,
      sym_decltype_auto,
    STATE(3382), 1,
      sym_new_declarator,
    STATE(3683), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5563), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40226] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6060), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3781), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40335] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_STAR,
    ACTIONS(6872), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5990), 1,
      sym__declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3801), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40444] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_STAR,
    ACTIONS(6889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6891), 1,
      anon_sym_AMP,
    ACTIONS(6893), 1,
      anon_sym_COLON_COLON,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5502), 1,
      sym__scope_resolution,
    STATE(6245), 1,
      sym__declarator,
    STATE(7645), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3802), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40553] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6059), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3756), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40662] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6071), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2782), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3810), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5410), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6071), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2767), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3795), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [40943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(2940), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5849), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41010] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6617), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_and,
    ACTIONS(6756), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6758), 1,
      anon_sym_QMARK,
    ACTIONS(6760), 1,
      anon_sym_or,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(2947), 1,
      sym_attribute_specifier,
    ACTIONS(5743), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5745), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41190] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_LPAREN2,
    ACTIONS(6880), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    STATE(3161), 1,
      sym_parameter_list,
    STATE(2911), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5820), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5822), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(2945), 1,
      sym_attribute_specifier,
    ACTIONS(5863), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5865), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41393] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6897), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4580), 1,
      sym__function_attributes_start,
    STATE(4711), 1,
      sym_ref_qualifier,
    STATE(5309), 1,
      sym_trailing_return_type,
    STATE(5483), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5041), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [41508] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5700), 1,
      sym__declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [41617] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [41696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5446), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41759] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_STAR,
    ACTIONS(6889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6891), 1,
      anon_sym_AMP,
    ACTIONS(6893), 1,
      anon_sym_COLON_COLON,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5502), 1,
      sym__scope_resolution,
    STATE(6219), 1,
      sym__declarator,
    STATE(7645), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2781), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [41868] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym_LPAREN2,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      sym_auto,
    ACTIONS(6860), 1,
      anon_sym_decltype,
    STATE(3273), 1,
      sym_decltype_auto,
    STATE(3374), 1,
      sym_new_declarator,
    STATE(3658), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5577), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5579), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5508), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(2979), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5857), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42077] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_STAR,
    ACTIONS(6864), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6866), 1,
      anon_sym_AMP,
    ACTIONS(6868), 1,
      anon_sym_COLON_COLON,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(5759), 1,
      sym__declarator,
    STATE(7515), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2803), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3765), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [42186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(2986), 1,
      sym_attribute_specifier,
    ACTIONS(5833), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5835), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5316), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [42316] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_STAR,
    ACTIONS(6864), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6866), 1,
      anon_sym_AMP,
    ACTIONS(6868), 1,
      anon_sym_COLON_COLON,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(5701), 1,
      sym__declarator,
    STATE(7515), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3788), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [42425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(3020), 1,
      sym_attribute_specifier,
    ACTIONS(5779), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5781), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5476), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_LPAREN2,
    ACTIONS(6880), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    STATE(3161), 1,
      sym_parameter_list,
    STATE(2911), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5763), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5765), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6714), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42691] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6541), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_and,
    ACTIONS(6756), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6760), 1,
      anon_sym_or,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6543), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(2970), 1,
      sym_attribute_specifier,
    ACTIONS(5789), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5791), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42867] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym_LPAREN2,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      sym_auto,
    ACTIONS(6860), 1,
      anon_sym_decltype,
    STATE(3273), 1,
      sym_decltype_auto,
    STATE(3353), 1,
      sym_new_declarator,
    STATE(3719), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5573), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5575), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42946] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 1,
      sym_identifier,
    ACTIONS(6921), 1,
      sym_primitive_type,
    STATE(2834), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5543), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5545), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [43017] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2681), 1,
      sym_template_argument_list,
    ACTIONS(4120), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4092), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [43090] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_STAR,
    ACTIONS(6889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6891), 1,
      anon_sym_AMP,
    ACTIONS(6893), 1,
      anon_sym_COLON_COLON,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5502), 1,
      sym__scope_resolution,
    STATE(6237), 1,
      sym__declarator,
    STATE(7645), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3753), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43199] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_LPAREN2,
    ACTIONS(6880), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    STATE(3161), 1,
      sym_parameter_list,
    STATE(2911), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5859), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5861), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43272] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_STAR,
    ACTIONS(6889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6891), 1,
      anon_sym_AMP,
    ACTIONS(6893), 1,
      anon_sym_COLON_COLON,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5502), 1,
      sym__scope_resolution,
    STATE(6245), 1,
      sym__declarator,
    STATE(7645), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2813), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3802), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43381] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_STAR,
    ACTIONS(6872), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5990), 1,
      sym__declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2818), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3801), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43490] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_and,
    ACTIONS(6756), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6760), 1,
      anon_sym_or,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6632), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [43599] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_STAR,
    ACTIONS(6872), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5986), 1,
      sym__declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3792), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      sym_literal_suffix,
    ACTIONS(4102), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4094), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43773] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5736), 1,
      sym__declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3785), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 1,
      sym_auto,
    ACTIONS(6503), 1,
      anon_sym_decltype,
    STATE(2915), 1,
      sym_decltype_auto,
    ACTIONS(5322), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5324), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43951] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4118), 1,
      anon_sym_SEMI,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2681), 1,
      sym_template_argument_list,
    ACTIONS(4120), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4092), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [44026] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6353), 1,
      anon_sym_EQ,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_and,
    ACTIONS(6756), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6758), 1,
      anon_sym_QMARK,
    ACTIONS(6760), 1,
      anon_sym_or,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(3045), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5845), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44206] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4862), 1,
      anon_sym_LBRACE,
    ACTIONS(4918), 1,
      anon_sym_LT,
    STATE(2916), 1,
      sym_template_argument_list,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44277] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6607), 1,
      anon_sym_EQ,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_and,
    ACTIONS(6756), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6760), 1,
      anon_sym_or,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6609), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [44386] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6897), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6926), 1,
      anon_sym_requires,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4570), 1,
      sym__function_attributes_start,
    STATE(4704), 1,
      sym_ref_qualifier,
    STATE(5386), 1,
      sym_trailing_return_type,
    STATE(5507), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6923), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5047), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5338), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5340), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44564] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_LPAREN2,
    ACTIONS(6880), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6882), 1,
      anon_sym_LBRACK,
    STATE(3161), 1,
      sym_parameter_list,
    STATE(2911), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5747), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5749), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44637] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_const,
    ACTIONS(4895), 1,
      anon_sym_AMP,
    ACTIONS(4888), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4893), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4886), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4891), 18,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [44708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5531), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44771] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5700), 1,
      sym__declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2820), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4862), 1,
      anon_sym_LBRACE,
    ACTIONS(4869), 1,
      anon_sym_LT,
    STATE(2696), 1,
      sym_template_argument_list,
    ACTIONS(4864), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5114), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5554), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [45020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45085] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6762), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6764), 1,
      anon_sym_COMMA,
    ACTIONS(6768), 1,
      anon_sym_DASH,
    ACTIONS(6770), 1,
      anon_sym_PLUS,
    ACTIONS(6772), 1,
      anon_sym_STAR,
    ACTIONS(6774), 1,
      anon_sym_SLASH,
    ACTIONS(6776), 1,
      anon_sym_PERCENT,
    ACTIONS(6778), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6780), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6782), 1,
      anon_sym_PIPE,
    ACTIONS(6784), 1,
      anon_sym_CARET,
    ACTIONS(6786), 1,
      anon_sym_AMP,
    ACTIONS(6788), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6790), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6792), 1,
      anon_sym_GT,
    ACTIONS(6794), 1,
      anon_sym_GT_EQ,
    ACTIONS(6796), 1,
      anon_sym_LT_EQ,
    ACTIONS(6798), 1,
      anon_sym_LT,
    ACTIONS(6800), 1,
      anon_sym_LT_LT,
    ACTIONS(6802), 1,
      anon_sym_GT_GT,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6806), 1,
      anon_sym_EQ,
    ACTIONS(6808), 1,
      anon_sym_QMARK,
    ACTIONS(6810), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6812), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6814), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6816), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6818), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6820), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6822), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6824), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6826), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6828), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6834), 1,
      anon_sym_or,
    ACTIONS(6836), 1,
      anon_sym_and,
    ACTIONS(6838), 1,
      anon_sym_bitor,
    ACTIONS(6840), 1,
      anon_sym_xor,
    ACTIONS(6842), 1,
      anon_sym_bitand,
    ACTIONS(6844), 1,
      anon_sym_not_eq,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6929), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6830), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [45246] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6059), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2779), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3756), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5316), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5318), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [45418] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5727), 1,
      sym__declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2793), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3784), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(2933), 1,
      sym_attribute_specifier,
    ACTIONS(5807), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5809), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(3036), 1,
      sym_attribute_specifier,
    ACTIONS(5839), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5841), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym___attribute__,
    STATE(2943), 1,
      sym_attribute_specifier,
    ACTIONS(5873), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5875), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2681), 1,
      sym_template_argument_list,
    ACTIONS(4118), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5592), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [45796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5480), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5398), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5535), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5422), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5527), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5523), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5338), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5340), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2427), 1,
      sym_attribute_specifier,
    ACTIONS(5809), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5807), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [46296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46358] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_LPAREN2,
    ACTIONS(6933), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6935), 1,
      anon_sym_LBRACK,
    STATE(3373), 1,
      sym_parameter_list,
    STATE(3029), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5820), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5822), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [46430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2423), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5873), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [46558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6943), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6941), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6939), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6937), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [46624] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6950), 1,
      anon_sym___asm,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4648), 1,
      sym__function_attributes_start,
    STATE(4746), 1,
      sym_ref_qualifier,
    STATE(5309), 1,
      sym_trailing_return_type,
    STATE(5424), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6947), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5075), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46738] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(6926), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6950), 1,
      anon_sym___asm,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4656), 1,
      sym__function_attributes_start,
    STATE(4723), 1,
      sym_ref_qualifier,
    STATE(5325), 1,
      sym__function_attributes_end,
    STATE(5386), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6923), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6947), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5071), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46852] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6603), 1,
      sym_auto,
    ACTIONS(6605), 1,
      anon_sym_decltype,
    STATE(2946), 1,
      sym_decltype_auto,
    ACTIONS(5322), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5324), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [46920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5402), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5500), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47106] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_LPAREN2,
    ACTIONS(6933), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6935), 1,
      anon_sym_LBRACK,
    STATE(3373), 1,
      sym_parameter_list,
    STATE(3029), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5793), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5795), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [47178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5512), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5539), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5496), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    STATE(3352), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5881), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5883), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2421), 1,
      sym_attribute_specifier,
    ACTIONS(5865), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5863), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [47498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2396), 1,
      sym_attribute_specifier,
    ACTIONS(5745), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5743), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [47626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6959), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6957), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6955), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [47692] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6950), 1,
      anon_sym___asm,
    ACTIONS(6963), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4654), 1,
      sym__function_attributes_start,
    STATE(4764), 1,
      sym_ref_qualifier,
    STATE(5366), 1,
      sym_trailing_return_type,
    STATE(5427), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6947), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5067), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47806] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_const,
    ACTIONS(4895), 1,
      anon_sym_AMP,
    ACTIONS(4888), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
    ACTIONS(4893), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4891), 18,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4886), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2681), 1,
      sym_template_argument_list,
    ACTIONS(4862), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4855), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [47944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5492), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5504), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    STATE(3357), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5975), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5977), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3795), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6970), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3791), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3789), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [48202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2410), 1,
      sym_attribute_specifier,
    ACTIONS(5791), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5789), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [48268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(3002), 1,
      sym_enumerator_list,
    STATE(3370), 1,
      sym_attribute_specifier,
    ACTIONS(5698), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5700), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5426), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48400] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_LPAREN2,
    ACTIONS(6933), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6935), 1,
      anon_sym_LBRACK,
    STATE(3373), 1,
      sym_parameter_list,
    STATE(3029), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5747), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5749), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [48472] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6950), 1,
      anon_sym___asm,
    ACTIONS(6963), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6972), 1,
      anon_sym_requires,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4642), 1,
      sym__function_attributes_start,
    STATE(4775), 1,
      sym_ref_qualifier,
    STATE(5363), 1,
      sym__function_attributes_end,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6923), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6947), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5050), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6977), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6975), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [48648] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6963), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4647), 1,
      sym__function_attributes_start,
    STATE(4749), 1,
      sym_ref_qualifier,
    STATE(5366), 1,
      sym_trailing_return_type,
    STATE(5584), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5068), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5453), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5406), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2470), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3463), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3467), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5588), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5590), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48954] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(3034), 1,
      sym_enumerator_list,
    STATE(3366), 1,
      sym_attribute_specifier,
    ACTIONS(5718), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5559), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2393), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5839), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49214] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6963), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6972), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4650), 1,
      sym__function_attributes_start,
    STATE(4747), 1,
      sym_ref_qualifier,
    STATE(5391), 1,
      sym_trailing_return_type,
    STATE(5561), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6923), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5061), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [49328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2392), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5843), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2437), 1,
      sym_attribute_specifier,
    ACTIONS(5835), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5833), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6985), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6983), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6981), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [49588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2441), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5855), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5480), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5508), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2446), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5847), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2450), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5851), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [49910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    STATE(3393), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5954), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5956), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49978] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_LPAREN2,
    ACTIONS(6933), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6935), 1,
      anon_sym_LBRACK,
    STATE(3373), 1,
      sym_parameter_list,
    STATE(3029), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5763), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5765), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    STATE(3258), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5919), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5921), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5336), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_LPAREN2,
    ACTIONS(6933), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6935), 1,
      anon_sym_LBRACK,
    STATE(3373), 1,
      sym_parameter_list,
    STATE(3029), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5859), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5861), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50254] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(6926), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4652), 1,
      sym__function_attributes_start,
    STATE(4786), 1,
      sym_ref_qualifier,
    STATE(5386), 1,
      sym_trailing_return_type,
    STATE(5573), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6923), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5054), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5488), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6995), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6993), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6991), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [50496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6880), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2923), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5969), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5971), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5438), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5430), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5432), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5434), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5472), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4886), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5446), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50936] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4638), 1,
      sym__function_attributes_start,
    STATE(4755), 1,
      sym_ref_qualifier,
    STATE(5309), 1,
      sym_trailing_return_type,
    STATE(5585), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5059), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5410), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51112] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4862), 1,
      anon_sym_LBRACE,
    ACTIONS(5204), 1,
      anon_sym_LT,
    STATE(3010), 1,
      sym_template_argument_list,
    ACTIONS(4864), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    STATE(2405), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5779), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [51248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5461), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2923), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5927), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5929), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5531), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5442), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5468), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5476), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5457), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7002), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3765), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3763), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [51752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5484), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3377), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5857), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [51879] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 1,
      anon_sym_EQ,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6762), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_QMARK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7008), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7012), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7026), 1,
      anon_sym_or,
    ACTIONS(7028), 1,
      anon_sym_and,
    ACTIONS(7030), 1,
      anon_sym_bitor,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [51990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5527), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5430), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6521), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [52173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5432), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5434), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5523), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7036), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5660), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5658), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [52360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    STATE(3469), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5954), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5956), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [52427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5461), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5468), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52549] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6134), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6136), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [52624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5516), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52685] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6541), 1,
      anon_sym_EQ,
    ACTIONS(7042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_PIPE,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7062), 1,
      anon_sym_or,
    ACTIONS(7064), 1,
      anon_sym_and,
    ACTIONS(7066), 1,
      anon_sym_bitor,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6543), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [52792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5402), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5472), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5500), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5496), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(2696), 1,
      sym_template_argument_list,
    ACTIONS(6068), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6070), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7073), 1,
      anon_sym_namespace,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6521), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [53164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 1,
      anon_sym_LT,
    STATE(1641), 1,
      sym_template_argument_list,
    ACTIONS(6068), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6070), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53229] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6120), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6122), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [53304] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6623), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7008), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7012), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7026), 1,
      anon_sym_or,
    ACTIONS(7028), 1,
      anon_sym_and,
    ACTIONS(7030), 1,
      anon_sym_bitor,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6625), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [53411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5334), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [53472] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6353), 1,
      anon_sym_EQ,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_PIPE,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7062), 1,
      anon_sym_or,
    ACTIONS(7064), 1,
      anon_sym_and,
    ACTIONS(7066), 1,
      anon_sym_bitor,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7080), 1,
      anon_sym_typedef,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [53646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    STATE(3460), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5975), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5977), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [53713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5414), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5414), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53835] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(7082), 1,
      anon_sym_COLON,
    STATE(2406), 1,
      sym_attribute_specifier,
    STATE(2744), 1,
      sym__enum_base_clause,
    STATE(2901), 1,
      sym_enumerator_list,
    ACTIONS(6040), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6038), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [53908] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2681), 1,
      sym_template_argument_list,
    ACTIONS(4120), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4092), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [53979] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6044), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6046), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [54054] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6079), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6081), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [54129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5512), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5480), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5422), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5426), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54373] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7088), 1,
      anon_sym_requires,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4677), 1,
      sym__function_attributes_start,
    STATE(4800), 1,
      sym_ref_qualifier,
    STATE(5739), 1,
      sym__function_attributes_end,
    STATE(5788), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5810), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5076), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [54486] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [54565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5539), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 1,
      anon_sym_LT,
    STATE(2916), 1,
      sym_template_argument_list,
    ACTIONS(6068), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6070), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54691] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_PIPE,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7064), 1,
      anon_sym_and,
    ACTIONS(7066), 1,
      anon_sym_bitor,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54794] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4862), 1,
      anon_sym_LBRACE,
    ACTIONS(5257), 1,
      anon_sym_LT,
    STATE(3084), 1,
      sym_template_argument_list,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [54863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5414), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54924] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6963), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7093), 1,
      anon_sym_requires,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4678), 1,
      sym__function_attributes_start,
    STATE(4818), 1,
      sym_ref_qualifier,
    STATE(5626), 1,
      sym__function_attributes_end,
    STATE(5777), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6923), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5088), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [55037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6138), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6140), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55100] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6623), 1,
      anon_sym_EQ,
    ACTIONS(7042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_PIPE,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7062), 1,
      anon_sym_or,
    ACTIONS(7064), 1,
      anon_sym_and,
    ACTIONS(7066), 1,
      anon_sym_bitor,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6625), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55207] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7046), 1,
      anon_sym_PIPE,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7066), 1,
      anon_sym_bitor,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5484), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55367] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(7042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_PIPE,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7062), 1,
      anon_sym_or,
    ACTIONS(7064), 1,
      anon_sym_and,
    ACTIONS(7066), 1,
      anon_sym_bitor,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6632), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55474] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [55569] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [55662] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [55751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3317), 1,
      sym_attribute_specifier,
    ACTIONS(5779), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5781), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55816] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6611), 1,
      anon_sym_EQ,
    ACTIONS(6762), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_QMARK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7008), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7012), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7026), 1,
      anon_sym_or,
    ACTIONS(7028), 1,
      anon_sym_and,
    ACTIONS(7030), 1,
      anon_sym_bitor,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6613), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [55927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5488), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55988] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7008), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7012), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7026), 1,
      anon_sym_or,
    ACTIONS(7028), 1,
      anon_sym_and,
    ACTIONS(7030), 1,
      anon_sym_bitor,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6632), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56095] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6963), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4671), 1,
      sym__function_attributes_start,
    STATE(4811), 1,
      sym_ref_qualifier,
    STATE(5668), 1,
      sym__function_attributes_end,
    STATE(5795), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5085), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [56208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5480), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3323), 1,
      sym_attribute_specifier,
    ACTIONS(5789), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5791), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56334] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56411] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5336), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56559] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6060), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6062), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [56715] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(3633), 1,
      sym_field_declaration_list,
    STATE(6667), 1,
      sym_virtual_specifier,
    STATE(7154), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5245), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5247), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [56792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5438), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5492), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7100), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6138), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6140), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5442), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5453), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3364), 1,
      sym_attribute_specifier,
    ACTIONS(5873), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5875), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57164] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [57245] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    STATE(3528), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5881), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5883), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7102), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [57375] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [57462] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6075), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [57537] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4672), 1,
      sym__function_attributes_start,
    STATE(4798), 1,
      sym_ref_qualifier,
    STATE(5754), 1,
      sym__function_attributes_end,
    STATE(5809), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5810), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5086), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [57650] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7012), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7028), 1,
      anon_sym_and,
    ACTIONS(7030), 1,
      anon_sym_bitor,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6075), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [57753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4886), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [57816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5535), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7036), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5596), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [57942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7036), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5643), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5641), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [58007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7106), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [58070] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6607), 1,
      anon_sym_EQ,
    ACTIONS(7042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_PIPE,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7062), 1,
      anon_sym_or,
    ACTIONS(7064), 1,
      anon_sym_and,
    ACTIONS(7066), 1,
      anon_sym_bitor,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6609), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58177] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7008), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7012), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7026), 1,
      anon_sym_or,
    ACTIONS(7028), 1,
      anon_sym_and,
    ACTIONS(7030), 1,
      anon_sym_bitor,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2531), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [58345] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7012), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7030), 1,
      anon_sym_bitor,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7108), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [58507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5504), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7110), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [58631] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [58708] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6541), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7008), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7012), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7026), 1,
      anon_sym_or,
    ACTIONS(7028), 1,
      anon_sym_and,
    ACTIONS(7030), 1,
      anon_sym_bitor,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6543), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58815] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6607), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7008), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7012), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7026), 1,
      anon_sym_or,
    ACTIONS(7028), 1,
      anon_sym_and,
    ACTIONS(7030), 1,
      anon_sym_bitor,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6609), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(1524), 1,
      sym_template_argument_list,
    ACTIONS(6068), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6070), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58987] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6617), 1,
      anon_sym_EQ,
    ACTIONS(7042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_PIPE,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7062), 1,
      anon_sym_or,
    ACTIONS(7064), 1,
      anon_sym_and,
    ACTIONS(7066), 1,
      anon_sym_bitor,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7112), 1,
      anon_sym_namespace,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6521), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [59161] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [59256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3046), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5969), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5971), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [59321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3342), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5845), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    ACTIONS(7114), 1,
      anon_sym_LPAREN2,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3260), 1,
      sym_argument_list,
    STATE(3685), 1,
      sym_initializer_list,
    ACTIONS(6382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5336), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5334), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [59459] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [59552] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(7082), 1,
      anon_sym_COLON,
    STATE(2449), 1,
      sym_attribute_specifier,
    STATE(2697), 1,
      sym__enum_base_clause,
    STATE(2851), 1,
      sym_enumerator_list,
    ACTIONS(6028), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6026), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [59625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3347), 1,
      sym_attribute_specifier,
    ACTIONS(5839), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5841), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    STATE(3503), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5919), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5921), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [59757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5406), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3386), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5853), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3209), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59948] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [60037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      anon_sym_typedef,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [60100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7119), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [60163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7121), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [60226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(1537), 1,
      sym_template_argument_list,
    ACTIONS(6068), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6070), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3379), 1,
      sym_attribute_specifier,
    ACTIONS(5833), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5835), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5559), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7123), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3046), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5927), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5929), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [60482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7126), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_template_argument_list,
    ACTIONS(6001), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6003), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7129), 1,
      anon_sym_namespace,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6521), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [60612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3073), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7131), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5457), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [60677] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6148), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6150), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [60750] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [60833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 1,
      anon_sym_typedef,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [60896] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [60975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 1,
      anon_sym_friend,
    ACTIONS(2521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2531), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [61038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2470), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3463), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3467), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5588), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5590), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym_namespace,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6521), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [61168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5336), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5334), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [61233] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6617), 1,
      anon_sym_EQ,
    ACTIONS(6762), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_QMARK,
    ACTIONS(6832), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7008), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7012), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_EQ,
    ACTIONS(7026), 1,
      anon_sym_or,
    ACTIONS(7028), 1,
      anon_sym_and,
    ACTIONS(7030), 1,
      anon_sym_bitor,
    ACTIONS(7032), 1,
      anon_sym_bitand,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7014), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7018), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7020), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [61344] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7139), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_template_argument_list,
    ACTIONS(5985), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3013), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7142), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5637), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5635), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [61476] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6611), 1,
      anon_sym_EQ,
    ACTIONS(7042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_PIPE,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7062), 1,
      anon_sym_or,
    ACTIONS(7064), 1,
      anon_sym_and,
    ACTIONS(7066), 1,
      anon_sym_bitor,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    ACTIONS(7078), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6613), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [61587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LBRACK,
    STATE(3166), 1,
      sym_new_declarator,
    ACTIONS(6032), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6034), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5336), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5398), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3360), 1,
      sym_attribute_specifier,
    ACTIONS(5743), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5745), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3073), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7131), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5334), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5336), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [61904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3361), 1,
      sym_attribute_specifier,
    ACTIONS(5863), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5865), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5336), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5334), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [62032] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(7042), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_PIPE,
    ACTIONS(7050), 1,
      anon_sym_AMP,
    ACTIONS(7056), 1,
      anon_sym_GT_EQ,
    ACTIONS(7060), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7062), 1,
      anon_sym_or,
    ACTIONS(7064), 1,
      anon_sym_and,
    ACTIONS(7066), 1,
      anon_sym_bitor,
    ACTIONS(7068), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7038), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7058), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7040), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7052), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7054), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3012), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7144), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5652), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [62204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3367), 1,
      sym_attribute_specifier,
    ACTIONS(5807), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5809), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62269] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6846), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7004), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7024), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7006), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [62350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7036), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5647), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5645), 43,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [62415] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7150), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7154), 1,
      anon_sym_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7170), 1,
      anon_sym_or,
    ACTIONS(7172), 1,
      anon_sym_and,
    ACTIONS(7174), 1,
      anon_sym_bitor,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6623), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6625), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [62519] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [62601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5629), 1,
      anon_sym_LBRACK,
    ACTIONS(5626), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4102), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4094), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62667] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [62745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(3534), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7184), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5714), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62813] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7188), 1,
      anon_sym_COMMA,
    ACTIONS(7190), 1,
      anon_sym_RPAREN,
    ACTIONS(7192), 1,
      anon_sym_DASH,
    ACTIONS(7194), 1,
      anon_sym_PLUS,
    ACTIONS(7196), 1,
      anon_sym_STAR,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    ACTIONS(7200), 1,
      anon_sym_PERCENT,
    ACTIONS(7202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7204), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_CARET,
    ACTIONS(7210), 1,
      anon_sym_AMP,
    ACTIONS(7212), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7214), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7216), 1,
      anon_sym_GT,
    ACTIONS(7218), 1,
      anon_sym_GT_EQ,
    ACTIONS(7220), 1,
      anon_sym_LT_EQ,
    ACTIONS(7222), 1,
      anon_sym_LT,
    ACTIONS(7224), 1,
      anon_sym_LT_LT,
    ACTIONS(7226), 1,
      anon_sym_GT_GT,
    ACTIONS(7228), 1,
      anon_sym_EQ,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7232), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7234), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7236), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7238), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7240), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7246), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7248), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7250), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7254), 1,
      anon_sym_or,
    ACTIONS(7256), 1,
      anon_sym_and,
    ACTIONS(7258), 1,
      anon_sym_bitor,
    ACTIONS(7260), 1,
      anon_sym_xor,
    ACTIONS(7262), 1,
      anon_sym_bitand,
    ACTIONS(7264), 1,
      anon_sym_not_eq,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [62969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7268), 1,
      sym_literal_suffix,
    ACTIONS(4102), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4094), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6148), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6150), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [63163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5338), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5340), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4886), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [63285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5476), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63345] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6623), 1,
      anon_sym_EQ,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7298), 1,
      anon_sym_or,
    ACTIONS(7300), 1,
      anon_sym_and,
    ACTIONS(7302), 1,
      anon_sym_bitor,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6625), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [63451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5410), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63511] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4707), 1,
      sym__function_attributes_start,
    STATE(4854), 1,
      sym_ref_qualifier,
    STATE(5885), 1,
      sym__function_attributes_end,
    STATE(6023), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5810), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5095), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [63623] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6044), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6046), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [63697] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6079), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6081), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [63771] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7298), 1,
      anon_sym_or,
    ACTIONS(7300), 1,
      anon_sym_and,
    ACTIONS(7302), 1,
      anon_sym_bitor,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6632), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [63877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63937] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7310), 1,
      anon_sym_requires,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(4714), 1,
      sym__function_attributes_start,
    STATE(4888), 1,
      sym_ref_qualifier,
    STATE(5906), 1,
      sym__function_attributes_end,
    STATE(6013), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3886), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5810), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5094), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6640), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [64049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      anon_sym_LT,
    STATE(3010), 1,
      sym_template_argument_list,
    ACTIONS(6068), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6070), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3813), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [64233] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6720), 1,
      anon_sym_PIPE,
    ACTIONS(6724), 1,
      anon_sym_AMP,
    ACTIONS(6730), 1,
      anon_sym_GT_EQ,
    ACTIONS(6734), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6736), 1,
      anon_sym_bitor,
    ACTIONS(6738), 1,
      anon_sym_bitand,
    ACTIONS(6752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6754), 1,
      anon_sym_and,
    ACTIONS(6756), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6758), 1,
      anon_sym_QMARK,
    ACTIONS(6760), 1,
      anon_sym_or,
    ACTIONS(6766), 1,
      anon_sym_RPAREN,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7318), 1,
      anon_sym_EQ,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6722), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6732), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6718), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6726), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6728), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6830), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [64347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3815), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      sym_literal_suffix,
    ACTIONS(4102), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4094), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64529] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7188), 1,
      anon_sym_COMMA,
    ACTIONS(7192), 1,
      anon_sym_DASH,
    ACTIONS(7194), 1,
      anon_sym_PLUS,
    ACTIONS(7196), 1,
      anon_sym_STAR,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    ACTIONS(7200), 1,
      anon_sym_PERCENT,
    ACTIONS(7202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7204), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_CARET,
    ACTIONS(7210), 1,
      anon_sym_AMP,
    ACTIONS(7212), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7214), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7216), 1,
      anon_sym_GT,
    ACTIONS(7218), 1,
      anon_sym_GT_EQ,
    ACTIONS(7220), 1,
      anon_sym_LT_EQ,
    ACTIONS(7222), 1,
      anon_sym_LT,
    ACTIONS(7224), 1,
      anon_sym_LT_LT,
    ACTIONS(7226), 1,
      anon_sym_GT_GT,
    ACTIONS(7228), 1,
      anon_sym_EQ,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7232), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7234), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7236), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7238), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7240), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7246), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7248), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7250), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7254), 1,
      anon_sym_or,
    ACTIONS(7256), 1,
      anon_sym_and,
    ACTIONS(7258), 1,
      anon_sym_bitor,
    ACTIONS(7260), 1,
      anon_sym_xor,
    ACTIONS(7262), 1,
      anon_sym_bitand,
    ACTIONS(7264), 1,
      anon_sym_not_eq,
    ACTIONS(7320), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [64685] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6060), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6062), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [64757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5962), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5964), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 1,
      anon_sym_LT,
    STATE(1539), 1,
      sym_template_argument_list,
    ACTIONS(6068), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6070), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7322), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_template_argument_list,
    ACTIONS(5985), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5987), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [65007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6188), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65067] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6120), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6122), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [65141] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(2681), 1,
      sym_template_argument_list,
    ACTIONS(4118), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5592), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [65207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7328), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7330), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7335), 11,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7325), 30,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [65333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65393] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [65477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7337), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_template_argument_list,
    ACTIONS(6001), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6003), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [65543] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6134), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6136), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [65617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [65703] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7298), 1,
      anon_sym_or,
    ACTIONS(7300), 1,
      anon_sym_and,
    ACTIONS(7302), 1,
      anon_sym_bitor,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [65809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5446), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65869] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7340), 1,
      sym_identifier,
    STATE(3119), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7346), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5146), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5144), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65937] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_EQ,
    ACTIONS(4924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5626), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      anon_sym_LBRACK,
    ACTIONS(4130), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4102), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4094), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5629), 1,
      anon_sym_LBRACK,
    ACTIONS(5626), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4102), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4094), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5917), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5946), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5948), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66193] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [66283] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [66375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5508), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5942), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5944), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66495] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6353), 1,
      anon_sym_EQ,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7298), 1,
      anon_sym_or,
    ACTIONS(7300), 1,
      anon_sym_and,
    ACTIONS(7302), 1,
      anon_sym_bitor,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    ACTIONS(7349), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [66605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5531), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3811), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3809), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [66725] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7154), 1,
      anon_sym_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7174), 1,
      anon_sym_bitor,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6075), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [66821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6170), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5622), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5879), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5940), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5626), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      anon_sym_LBRACK,
    ACTIONS(4102), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4094), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5911), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5913), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6016), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6018), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5897), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67309] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    STATE(3830), 1,
      sym_field_declaration_list,
    STATE(3911), 1,
      sym_attribute_specifier,
    STATE(6572), 1,
      sym_virtual_specifier,
    STATE(7143), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5245), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5247), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67385] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      sym_identifier,
    STATE(3179), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5680), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5682), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5139), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5137), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67527] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7188), 1,
      anon_sym_COMMA,
    ACTIONS(7192), 1,
      anon_sym_DASH,
    ACTIONS(7194), 1,
      anon_sym_PLUS,
    ACTIONS(7196), 1,
      anon_sym_STAR,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    ACTIONS(7200), 1,
      anon_sym_PERCENT,
    ACTIONS(7202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7204), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_CARET,
    ACTIONS(7210), 1,
      anon_sym_AMP,
    ACTIONS(7212), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7214), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7216), 1,
      anon_sym_GT,
    ACTIONS(7218), 1,
      anon_sym_GT_EQ,
    ACTIONS(7220), 1,
      anon_sym_LT_EQ,
    ACTIONS(7222), 1,
      anon_sym_LT,
    ACTIONS(7224), 1,
      anon_sym_LT_LT,
    ACTIONS(7226), 1,
      anon_sym_GT_GT,
    ACTIONS(7228), 1,
      anon_sym_EQ,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7232), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7234), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7236), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7238), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7240), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7246), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7248), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7250), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7254), 1,
      anon_sym_or,
    ACTIONS(7256), 1,
      anon_sym_and,
    ACTIONS(7258), 1,
      anon_sym_bitor,
    ACTIONS(7260), 1,
      anon_sym_xor,
    ACTIONS(7262), 1,
      anon_sym_bitand,
    ACTIONS(7264), 1,
      anon_sym_not_eq,
    ACTIONS(7357), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [67683] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7150), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7154), 1,
      anon_sym_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7170), 1,
      anon_sym_or,
    ACTIONS(7172), 1,
      anon_sym_and,
    ACTIONS(7174), 1,
      anon_sym_bitor,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(7359), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7361), 1,
      anon_sym_QMARK,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6617), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [67791] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7300), 1,
      anon_sym_and,
    ACTIONS(7302), 1,
      anon_sym_bitor,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6075), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [67893] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6120), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6122), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67967] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7188), 1,
      anon_sym_COMMA,
    ACTIONS(7192), 1,
      anon_sym_DASH,
    ACTIONS(7194), 1,
      anon_sym_PLUS,
    ACTIONS(7196), 1,
      anon_sym_STAR,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    ACTIONS(7200), 1,
      anon_sym_PERCENT,
    ACTIONS(7202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7204), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_CARET,
    ACTIONS(7210), 1,
      anon_sym_AMP,
    ACTIONS(7212), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7214), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7216), 1,
      anon_sym_GT,
    ACTIONS(7218), 1,
      anon_sym_GT_EQ,
    ACTIONS(7220), 1,
      anon_sym_LT_EQ,
    ACTIONS(7222), 1,
      anon_sym_LT,
    ACTIONS(7224), 1,
      anon_sym_LT_LT,
    ACTIONS(7226), 1,
      anon_sym_GT_GT,
    ACTIONS(7228), 1,
      anon_sym_EQ,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7232), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7234), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7236), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7238), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7240), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7246), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7248), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7250), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7254), 1,
      anon_sym_or,
    ACTIONS(7256), 1,
      anon_sym_and,
    ACTIONS(7258), 1,
      anon_sym_bitor,
    ACTIONS(7260), 1,
      anon_sym_xor,
    ACTIONS(7262), 1,
      anon_sym_bitand,
    ACTIONS(7264), 1,
      anon_sym_not_eq,
    ACTIONS(7363), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [68123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      anon_sym_LT,
    STATE(1701), 1,
      sym_template_argument_list,
    ACTIONS(6068), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6070), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6601), 1,
      anon_sym_LBRACK,
    STATE(3236), 1,
      sym_new_declarator,
    ACTIONS(6032), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6034), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68251] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7188), 1,
      anon_sym_COMMA,
    ACTIONS(7192), 1,
      anon_sym_DASH,
    ACTIONS(7194), 1,
      anon_sym_PLUS,
    ACTIONS(7196), 1,
      anon_sym_STAR,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    ACTIONS(7200), 1,
      anon_sym_PERCENT,
    ACTIONS(7202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7204), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_CARET,
    ACTIONS(7210), 1,
      anon_sym_AMP,
    ACTIONS(7212), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7214), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7216), 1,
      anon_sym_GT,
    ACTIONS(7218), 1,
      anon_sym_GT_EQ,
    ACTIONS(7220), 1,
      anon_sym_LT_EQ,
    ACTIONS(7222), 1,
      anon_sym_LT,
    ACTIONS(7224), 1,
      anon_sym_LT_LT,
    ACTIONS(7226), 1,
      anon_sym_GT_GT,
    ACTIONS(7228), 1,
      anon_sym_EQ,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7232), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7234), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7236), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7238), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7240), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7246), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7248), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7250), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7254), 1,
      anon_sym_or,
    ACTIONS(7256), 1,
      anon_sym_and,
    ACTIONS(7258), 1,
      anon_sym_bitor,
    ACTIONS(7260), 1,
      anon_sym_xor,
    ACTIONS(7262), 1,
      anon_sym_bitand,
    ACTIONS(7264), 1,
      anon_sym_not_eq,
    ACTIONS(7365), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [68407] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7154), 1,
      anon_sym_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7172), 1,
      anon_sym_and,
    ACTIONS(7174), 1,
      anon_sym_bitor,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [68507] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7302), 1,
      anon_sym_bitor,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68605] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    ACTIONS(7369), 1,
      anon_sym_EQ,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2681), 1,
      sym_template_argument_list,
    ACTIONS(7367), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4120), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4092), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [68679] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6077), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [68773] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [68847] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [68923] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6148), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6150), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [68995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6188), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6140), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      sym_auto,
    ACTIONS(6860), 1,
      anon_sym_decltype,
    STATE(3273), 1,
      sym_decltype_auto,
    ACTIONS(5322), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5324), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5936), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69241] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7150), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7154), 1,
      anon_sym_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7170), 1,
      anon_sym_or,
    ACTIONS(7172), 1,
      anon_sym_and,
    ACTIONS(7174), 1,
      anon_sym_bitor,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(7359), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7361), 1,
      anon_sym_QMARK,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6353), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [69349] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7188), 1,
      anon_sym_COMMA,
    ACTIONS(7192), 1,
      anon_sym_DASH,
    ACTIONS(7194), 1,
      anon_sym_PLUS,
    ACTIONS(7196), 1,
      anon_sym_STAR,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    ACTIONS(7200), 1,
      anon_sym_PERCENT,
    ACTIONS(7202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7204), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_CARET,
    ACTIONS(7210), 1,
      anon_sym_AMP,
    ACTIONS(7212), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7214), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7216), 1,
      anon_sym_GT,
    ACTIONS(7218), 1,
      anon_sym_GT_EQ,
    ACTIONS(7220), 1,
      anon_sym_LT_EQ,
    ACTIONS(7222), 1,
      anon_sym_LT,
    ACTIONS(7224), 1,
      anon_sym_LT_LT,
    ACTIONS(7226), 1,
      anon_sym_GT_GT,
    ACTIONS(7228), 1,
      anon_sym_EQ,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7232), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7234), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7236), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7238), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7240), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7246), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7248), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7250), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7254), 1,
      anon_sym_or,
    ACTIONS(7256), 1,
      anon_sym_and,
    ACTIONS(7258), 1,
      anon_sym_bitor,
    ACTIONS(7260), 1,
      anon_sym_xor,
    ACTIONS(7262), 1,
      anon_sym_bitand,
    ACTIONS(7264), 1,
      anon_sym_not_eq,
    ACTIONS(7371), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [69505] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7188), 1,
      anon_sym_COMMA,
    ACTIONS(7192), 1,
      anon_sym_DASH,
    ACTIONS(7194), 1,
      anon_sym_PLUS,
    ACTIONS(7196), 1,
      anon_sym_STAR,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    ACTIONS(7200), 1,
      anon_sym_PERCENT,
    ACTIONS(7202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7204), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_CARET,
    ACTIONS(7210), 1,
      anon_sym_AMP,
    ACTIONS(7212), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7214), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7216), 1,
      anon_sym_GT,
    ACTIONS(7218), 1,
      anon_sym_GT_EQ,
    ACTIONS(7220), 1,
      anon_sym_LT_EQ,
    ACTIONS(7222), 1,
      anon_sym_LT,
    ACTIONS(7224), 1,
      anon_sym_LT_LT,
    ACTIONS(7226), 1,
      anon_sym_GT_GT,
    ACTIONS(7228), 1,
      anon_sym_EQ,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7232), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7234), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7236), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7238), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7240), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7246), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7248), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7250), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7254), 1,
      anon_sym_or,
    ACTIONS(7256), 1,
      anon_sym_and,
    ACTIONS(7258), 1,
      anon_sym_bitor,
    ACTIONS(7260), 1,
      anon_sym_xor,
    ACTIONS(7262), 1,
      anon_sym_bitand,
    ACTIONS(7264), 1,
      anon_sym_not_eq,
    ACTIONS(7373), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [69661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6166), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6162), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6339), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69841] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [69933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3811), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69993] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6044), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6046), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [70067] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6079), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6081), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [70141] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5626), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      anon_sym_LBRACK,
    ACTIONS(4102), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4094), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5958), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5960), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70267] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [70347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6140), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70407] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7188), 1,
      anon_sym_COMMA,
    ACTIONS(7192), 1,
      anon_sym_DASH,
    ACTIONS(7194), 1,
      anon_sym_PLUS,
    ACTIONS(7196), 1,
      anon_sym_STAR,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    ACTIONS(7200), 1,
      anon_sym_PERCENT,
    ACTIONS(7202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7204), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_CARET,
    ACTIONS(7210), 1,
      anon_sym_AMP,
    ACTIONS(7212), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7214), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7216), 1,
      anon_sym_GT,
    ACTIONS(7218), 1,
      anon_sym_GT_EQ,
    ACTIONS(7220), 1,
      anon_sym_LT_EQ,
    ACTIONS(7222), 1,
      anon_sym_LT,
    ACTIONS(7224), 1,
      anon_sym_LT_LT,
    ACTIONS(7226), 1,
      anon_sym_GT_GT,
    ACTIONS(7228), 1,
      anon_sym_EQ,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7232), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7234), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7236), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7238), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7240), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7246), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7248), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7250), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7254), 1,
      anon_sym_or,
    ACTIONS(7256), 1,
      anon_sym_and,
    ACTIONS(7258), 1,
      anon_sym_bitor,
    ACTIONS(7260), 1,
      anon_sym_xor,
    ACTIONS(7262), 1,
      anon_sym_bitand,
    ACTIONS(7264), 1,
      anon_sym_not_eq,
    ACTIONS(7375), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [70563] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [70651] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7150), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7154), 1,
      anon_sym_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7170), 1,
      anon_sym_or,
    ACTIONS(7172), 1,
      anon_sym_and,
    ACTIONS(7174), 1,
      anon_sym_bitor,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6630), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6632), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [70755] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7377), 1,
      sym_identifier,
    STATE(3119), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5680), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5682), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5125), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5123), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6060), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6062), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [70895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(2681), 1,
      sym_template_argument_list,
    ACTIONS(4862), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4855), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [70961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6124), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6126), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6587), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6585), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [71081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6714), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71141] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71227] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71309] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7150), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7154), 1,
      anon_sym_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7170), 1,
      anon_sym_or,
    ACTIONS(7172), 1,
      anon_sym_and,
    ACTIONS(7174), 1,
      anon_sym_bitor,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6541), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6543), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [71413] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71553] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7150), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7154), 1,
      anon_sym_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7170), 1,
      anon_sym_or,
    ACTIONS(7172), 1,
      anon_sym_and,
    ACTIONS(7174), 1,
      anon_sym_bitor,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(7359), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7361), 1,
      anon_sym_QMARK,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6611), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6613), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [71661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5889), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5891), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5622), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7379), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6138), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6140), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71843] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71923] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(6850), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7188), 1,
      anon_sym_COMMA,
    ACTIONS(7192), 1,
      anon_sym_DASH,
    ACTIONS(7194), 1,
      anon_sym_PLUS,
    ACTIONS(7196), 1,
      anon_sym_STAR,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    ACTIONS(7200), 1,
      anon_sym_PERCENT,
    ACTIONS(7202), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7204), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    ACTIONS(7208), 1,
      anon_sym_CARET,
    ACTIONS(7210), 1,
      anon_sym_AMP,
    ACTIONS(7212), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7214), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7216), 1,
      anon_sym_GT,
    ACTIONS(7218), 1,
      anon_sym_GT_EQ,
    ACTIONS(7220), 1,
      anon_sym_LT_EQ,
    ACTIONS(7222), 1,
      anon_sym_LT,
    ACTIONS(7224), 1,
      anon_sym_LT_LT,
    ACTIONS(7226), 1,
      anon_sym_GT_GT,
    ACTIONS(7228), 1,
      anon_sym_EQ,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7232), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7234), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7236), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7238), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7240), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7242), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7246), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7248), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7250), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7254), 1,
      anon_sym_or,
    ACTIONS(7256), 1,
      anon_sym_and,
    ACTIONS(7258), 1,
      anon_sym_bitor,
    ACTIONS(7260), 1,
      anon_sym_xor,
    ACTIONS(7262), 1,
      anon_sym_bitand,
    ACTIONS(7264), 1,
      anon_sym_not_eq,
    ACTIONS(7381), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym__binary_fold_operator,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    STATE(7631), 1,
      sym__fold_operator,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [72079] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7150), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7154), 1,
      anon_sym_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7170), 1,
      anon_sym_or,
    ACTIONS(7172), 1,
      anon_sym_and,
    ACTIONS(7174), 1,
      anon_sym_bitor,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6591), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [72183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6521), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [72243] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6134), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6136), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [72317] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [72393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6714), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72453] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6607), 1,
      anon_sym_EQ,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7298), 1,
      anon_sym_or,
    ACTIONS(7300), 1,
      anon_sym_and,
    ACTIONS(7302), 1,
      anon_sym_bitor,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6609), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72559] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7150), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7154), 1,
      anon_sym_PIPE,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7170), 1,
      anon_sym_or,
    ACTIONS(7172), 1,
      anon_sym_and,
    ACTIONS(7174), 1,
      anon_sym_bitor,
    ACTIONS(7176), 1,
      anon_sym_bitand,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6607), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7156), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7164), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7178), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7148), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7160), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7162), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6609), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [72663] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6611), 1,
      anon_sym_EQ,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7298), 1,
      anon_sym_or,
    ACTIONS(7300), 1,
      anon_sym_and,
    ACTIONS(7302), 1,
      anon_sym_bitor,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    ACTIONS(7349), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6613), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72773] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6541), 1,
      anon_sym_EQ,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7298), 1,
      anon_sym_or,
    ACTIONS(7300), 1,
      anon_sym_and,
    ACTIONS(7302), 1,
      anon_sym_bitor,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6543), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72879] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6595), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6617), 1,
      anon_sym_EQ,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    ACTIONS(7286), 1,
      anon_sym_AMP,
    ACTIONS(7292), 1,
      anon_sym_GT_EQ,
    ACTIONS(7296), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7298), 1,
      anon_sym_or,
    ACTIONS(7300), 1,
      anon_sym_and,
    ACTIONS(7302), 1,
      anon_sym_bitor,
    ACTIONS(7304), 1,
      anon_sym_bitand,
    ACTIONS(7349), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6050), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7274), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7284), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7294), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7276), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7288), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7290), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72989] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6884), 1,
      anon_sym_LBRACK,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3838), 1,
      sym_template_argument_list,
    ACTIONS(4115), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4120), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4092), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [73063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_EQ,
    ACTIONS(4130), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4102), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4094), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5461), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4989), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6351), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5398), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5958), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5960), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6355), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4965), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2694), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5085), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73835] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7390), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7387), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7385), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7383), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [73902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6188), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6130), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6132), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6373), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4102), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4094), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5940), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5942), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5944), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5946), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5948), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6156), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6158), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74612] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7393), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
    STATE(1882), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4926), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4100), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [74681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4094), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1954), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6162), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1954), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6016), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6018), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5005), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6091), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6170), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6341), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6343), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5442), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5438), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6288), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5426), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5422), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6220), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6335), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3741), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6174), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7399), 1,
      anon_sym_or,
    ACTIONS(7401), 1,
      anon_sym_and,
    ACTIONS(5899), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5901), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5057), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6248), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5099), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      sym_identifier,
    STATE(3343), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4944), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4946), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5139), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5137), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6222), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6224), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6204), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6220), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5095), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6377), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6208), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      sym_primitive_type,
    STATE(1617), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5118), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5554), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5551), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6138), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6140), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      anon_sym_LT,
    STATE(1556), 1,
      sym_template_argument_list,
    ACTIONS(6068), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6070), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6347), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76835] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    ACTIONS(7369), 1,
      anon_sym_EQ,
    STATE(2681), 1,
      sym_template_argument_list,
    ACTIONS(7367), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4118), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5592), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
  [76904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5192), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [76963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5472), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6276), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7407), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
    STATE(3534), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7184), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4100), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77209] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7409), 1,
      sym_identifier,
    ACTIONS(7414), 1,
      sym_primitive_type,
    STATE(3264), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7412), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5545), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5543), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_LT,
    STATE(1833), 1,
      sym_template_argument_list,
    ACTIONS(6068), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6070), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5202), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [77398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5453), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6272), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5917), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5057), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5879), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(7419), 1,
      anon_sym_COLON,
    STATE(2449), 1,
      sym_attribute_specifier,
    STATE(2697), 1,
      sym__enum_base_clause,
    STATE(2851), 1,
      sym_enumerator_list,
    ACTIONS(6028), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6026), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [78059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5911), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5913), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5049), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6268), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5897), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3811), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78354] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(5592), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4118), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [78419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5053), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(4855), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4862), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [78543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4094), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(7419), 1,
      anon_sym_COLON,
    STATE(2406), 1,
      sym_attribute_specifier,
    STATE(2744), 1,
      sym__enum_base_clause,
    STATE(2901), 1,
      sym_enumerator_list,
    ACTIONS(6040), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6038), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [78673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6140), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5095), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5025), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6328), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5099), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6264), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5005), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6196), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 1,
      anon_sym_EQ,
    ACTIONS(5678), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4102), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4094), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6200), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79267] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7424), 1,
      anon_sym_virtual,
    ACTIONS(7430), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7436), 1,
      anon_sym___declspec,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(7439), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3310), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7427), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7421), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6403), 14,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [79344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1950), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6260), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6712), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [79580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5889), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5891), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1950), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5504), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5492), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79816] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7444), 1,
      anon_sym_STAR,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7448), 1,
      anon_sym_AMP,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7458), 1,
      anon_sym___asm,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5690), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3340), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3977), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5604), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [79913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5962), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5964), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6254), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6256), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5539), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5512), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80208] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7460), 1,
      anon_sym_STAR,
    ACTIONS(7462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5625), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3966), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [80305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6166), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3815), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6178), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80600] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7475), 1,
      anon_sym_virtual,
    ACTIONS(7481), 1,
      anon_sym___attribute__,
    ACTIONS(7484), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7487), 1,
      anon_sym___declspec,
    ACTIONS(7493), 1,
      anon_sym_explicit,
    STATE(3017), 1,
      sym_alignas_qualifier,
    ACTIONS(7490), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7470), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7468), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7478), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3331), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7472), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [80679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6324), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6320), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7496), 1,
      sym_literal_suffix,
    ACTIONS(4094), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4102), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [80858] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7458), 1,
      anon_sym___asm,
    ACTIONS(7460), 1,
      anon_sym_STAR,
    ACTIONS(7462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5638), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3325), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5604), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [80955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5085), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5029), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5029), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6212), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81191] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7444), 1,
      anon_sym_STAR,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7448), 1,
      anon_sym_AMP,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym___asm,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5679), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3969), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5029), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5559), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81406] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7498), 1,
      sym_identifier,
    STATE(3389), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4944), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4946), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5125), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5123), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_LT,
    STATE(3084), 1,
      sym_template_argument_list,
    ACTIONS(6068), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6070), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4989), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5406), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6312), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5045), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6304), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6300), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6296), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym_LPAREN2,
    STATE(3681), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5881), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5883), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6242), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6244), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6240), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6232), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6228), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6292), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5496), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5500), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5402), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5049), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6124), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6126), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5516), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5053), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5523), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5527), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym_LPAREN2,
    STATE(3725), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5975), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5977), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7401), 1,
      anon_sym_and,
    ACTIONS(5923), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5925), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5468), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5622), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5186), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [83204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5936), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym_LPAREN2,
    STATE(3700), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5919), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5921), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5480), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5484), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5025), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5488), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6095), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5198), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [83741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      anon_sym_LPAREN2,
    STATE(3720), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5954), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5956), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5480), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6339), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6250), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6252), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5430), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5432), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5434), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6316), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      sym_identifier,
    STATE(3389), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7503), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7506), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5146), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5144), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5535), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6184), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(1882), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4926), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5714), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [84412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6216), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84471] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [84549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6286), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6288), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84607] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_EQ,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_bitor,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [84707] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_EQ,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_bitor,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [84805] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [84899] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [84989] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6077), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [85075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6077), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85159] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85239] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6355), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3430), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7535), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5455), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5457), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6212), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4882), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4841), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85609] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4092), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 38,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [85677] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4804), 1,
      sym__function_attributes_start,
    STATE(5048), 1,
      sym_ref_qualifier,
    STATE(5918), 1,
      sym__function_attributes_end,
    STATE(6086), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6640), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85787] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6075), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4878), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4853), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85975] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6134), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6136), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [86047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4849), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7541), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
    ACTIONS(4855), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2694), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6351), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86285] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6591), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_bitor,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7544), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [86387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5045), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5029), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4845), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5029), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6268), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1954), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6272), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6280), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6196), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6316), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3497), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5647), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5645), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5029), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87087] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6900), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7548), 1,
      anon_sym_requires,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4805), 1,
      sym__function_attributes_start,
    STATE(5039), 1,
      sym_ref_qualifier,
    STATE(5961), 1,
      sym__function_attributes_end,
    STATE(6111), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6640), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6923), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5543), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5115), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5803), 1,
      anon_sym_EQ,
    ACTIONS(5805), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4102), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4094), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6184), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87317] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7553), 1,
      anon_sym_RPAREN,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(6818), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4989), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6091), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87539] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6148), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6150), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [87609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3142), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5680), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5682), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5588), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5590), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87673] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6623), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_bitor,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7544), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6625), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [87775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6130), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6132), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6156), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6158), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6276), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87949] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_EQ,
    ACTIONS(4138), 1,
      anon_sym_SEMI,
    ACTIONS(4924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5626), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      anon_sym_LBRACK,
    ACTIONS(4130), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4094), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4102), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [88019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1950), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88077] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6607), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_bitor,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7544), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6609), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [88179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6264), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6341), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6343), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6373), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6105), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6105), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6105), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6240), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88643] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    STATE(2426), 1,
      sym_attribute_specifier,
    STATE(3597), 1,
      sym_enumerator_list,
    ACTIONS(5718), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5720), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [88709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6220), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6232), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6174), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6228), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6208), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89289] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6611), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_bitor,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7544), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6613), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [89395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6377), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6216), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89569] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6044), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6046), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3497), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5643), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5641), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89703] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6079), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6081), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [89775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6220), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5190), 47,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [89891] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6541), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_bitor,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7544), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6543), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [89993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6188), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5005), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90109] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6075), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6077), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [90183] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7559), 1,
      anon_sym_STAR,
    ACTIONS(7561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7563), 1,
      anon_sym_AMP,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5744), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3488), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4009), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5604), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6335), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3497), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5596), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6320), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90455] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(3698), 1,
      sym_template_argument_list,
    ACTIONS(4859), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4855), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [90523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 1,
      anon_sym_EQ,
    ACTIONS(5729), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4102), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4094), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6347), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3741), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7407), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
    ACTIONS(5592), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4118), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90765] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7559), 1,
      anon_sym_STAR,
    ACTIONS(7561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7563), 1,
      anon_sym_AMP,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5752), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4010), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5196), 47,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [90917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4874), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6248), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5057), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5622), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4886), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_and,
    ACTIONS(5923), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5925), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5099), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3497), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7569), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5114), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5116), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6178), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5095), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6339), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6200), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6260), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6204), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6328), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6324), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6242), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6244), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6254), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6256), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91971] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6630), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_bitor,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7544), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6632), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [92073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym_LBRACK,
    STATE(3545), 1,
      sym_new_declarator,
    ACTIONS(6032), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6034), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(4942), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4094), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4102), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [92197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4965), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5085), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6300), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6222), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6224), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6312), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6250), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6252), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92545] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7567), 1,
      anon_sym_and,
    ACTIONS(7572), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7574), 1,
      anon_sym_or,
    ACTIONS(5899), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5901), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92611] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6617), 1,
      anon_sym_EQ,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_bitor,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7544), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [92717] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    STATE(2445), 1,
      sym_attribute_specifier,
    STATE(3613), 1,
      sym_enumerator_list,
    ACTIONS(5698), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5700), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [92783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4094), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4094), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92899] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 1,
      anon_sym_EQ,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7230), 1,
      anon_sym_QMARK,
    ACTIONS(7252), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_PIPE,
    ACTIONS(7519), 1,
      anon_sym_CARET,
    ACTIONS(7521), 1,
      anon_sym_AMP,
    ACTIONS(7527), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_bitor,
    ACTIONS(7531), 1,
      anon_sym_xor,
    ACTIONS(7533), 1,
      anon_sym_bitand,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7266), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7509), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7513), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7515), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7544), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7511), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7523), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7525), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [93005] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7088), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4803), 1,
      sym__function_attributes_start,
    STATE(5042), 1,
      sym_ref_qualifier,
    STATE(5788), 1,
      sym_trailing_return_type,
    STATE(6014), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6640), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6660), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5810), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5120), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6095), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5053), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    ACTIONS(6804), 1,
      anon_sym_LBRACK,
    ACTIONS(7034), 1,
      anon_sym_DOT_STAR,
    STATE(3245), 1,
      sym_subscript_argument_list,
    STATE(3248), 1,
      sym_argument_list,
    ACTIONS(6848), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6060), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6062), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [93301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6292), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6296), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3471), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7580), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5637), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5635), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6072), 1,
      anon_sym_LT,
    STATE(1840), 1,
      sym_template_argument_list,
    ACTIONS(6068), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6070), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3481), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7582), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5652), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6140), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93661] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4806), 1,
      sym__function_attributes_start,
    STATE(5044), 1,
      sym_ref_qualifier,
    STATE(5809), 1,
      sym_trailing_return_type,
    STATE(5977), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6640), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3983), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5810), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5114), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3497), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5660), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5658), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6304), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5025), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5049), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94007] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5438), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94110] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5332), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94213] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7608), 1,
      sym_primitive_type,
    ACTIONS(7610), 1,
      anon_sym_enum,
    ACTIONS(7612), 1,
      anon_sym_class,
    ACTIONS(7614), 1,
      anon_sym_struct,
    ACTIONS(7616), 1,
      anon_sym_union,
    ACTIONS(7618), 1,
      sym_auto,
    ACTIONS(7620), 1,
      anon_sym_decltype,
    ACTIONS(7622), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4000), 1,
      sym_type_specifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5538), 1,
      sym_type_descriptor,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(3687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4588), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94316] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7848), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94419] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7436), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94522] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7558), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94625] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7559), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6162), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5318), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94844] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5375), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94947] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5399), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95050] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5326), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4874), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95210] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7548), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4882), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95370] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5342), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4841), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4878), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95587] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7590), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4853), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95747] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95850] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7963), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95953] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7487), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96056] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7643), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96159] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5404), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4849), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96319] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7608), 1,
      sym_primitive_type,
    ACTIONS(7618), 1,
      sym_auto,
    ACTIONS(7620), 1,
      anon_sym_decltype,
    ACTIONS(7624), 1,
      sym_identifier,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7628), 1,
      anon_sym_enum,
    ACTIONS(7630), 1,
      anon_sym_class,
    ACTIONS(7632), 1,
      anon_sym_struct,
    ACTIONS(7634), 1,
      anon_sym_union,
    ACTIONS(7636), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4188), 1,
      sym_type_specifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5538), 1,
      sym_type_descriptor,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(3679), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4588), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96422] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7833), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96525] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7845), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96628] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7504), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96731] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7947), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7972), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5318), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5262), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97053] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4924), 1,
      anon_sym_SEMI,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(6884), 1,
      anon_sym_LBRACK,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3838), 1,
      sym_template_argument_list,
    ACTIONS(4115), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4100), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4120), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [97126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4845), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97183] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8098), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97286] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8103), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97389] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5337), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97492] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7557), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97595] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5322), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97698] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4649), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(8169), 1,
      sym_type_descriptor,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3430), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7535), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5334), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5336), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97862] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3773), 1,
      sym_primitive_type,
    ACTIONS(7638), 1,
      sym_identifier,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7642), 1,
      anon_sym_enum,
    ACTIONS(7644), 1,
      anon_sym_class,
    ACTIONS(7646), 1,
      anon_sym_struct,
    ACTIONS(7648), 1,
      anon_sym_union,
    ACTIONS(7650), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3982), 1,
      sym_type_specifier,
    STATE(5538), 1,
      sym_type_descriptor,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(3716), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97965] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7850), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [98125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5202), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [98182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5192), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [98239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3256), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4944), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4946), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5588), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5590), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98302] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4649), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7816), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98405] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5316), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6714), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5198), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [98622] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5344), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98725] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7908), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98828] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7670), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98931] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5443), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99034] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7517), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2392), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5845), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [99198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2393), 1,
      sym_attribute_specifier,
    ACTIONS(5839), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5841), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [99259] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7608), 1,
      sym_primitive_type,
    ACTIONS(7610), 1,
      anon_sym_enum,
    ACTIONS(7612), 1,
      anon_sym_class,
    ACTIONS(7614), 1,
      anon_sym_struct,
    ACTIONS(7616), 1,
      anon_sym_union,
    ACTIONS(7618), 1,
      sym_auto,
    ACTIONS(7620), 1,
      anon_sym_decltype,
    ACTIONS(7622), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(3848), 1,
      sym_type_specifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5538), 1,
      sym_type_descriptor,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(3671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4588), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    ACTIONS(7652), 1,
      anon_sym_LBRACE,
    ACTIONS(7654), 1,
      anon_sym_COLON,
    STATE(3793), 1,
      sym__enum_base_clause,
    STATE(3840), 1,
      sym_enumerator_list,
    STATE(3908), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6028), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2396), 1,
      sym_attribute_specifier,
    ACTIONS(5743), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5745), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [99492] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4252), 1,
      sym_type_specifier,
    STATE(5790), 1,
      sym_type_descriptor,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3696), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99595] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2421), 1,
      sym_attribute_specifier,
    ACTIONS(5863), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5865), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [99656] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7895), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99759] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5400), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99862] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    ACTIONS(7652), 1,
      anon_sym_LBRACE,
    ACTIONS(7654), 1,
      anon_sym_COLON,
    STATE(3797), 1,
      sym__enum_base_clause,
    STATE(3839), 1,
      sym_enumerator_list,
    STATE(3914), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6040), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99931] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5412), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100034] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5444), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100137] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5425), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100240] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7608), 1,
      sym_primitive_type,
    ACTIONS(7610), 1,
      anon_sym_enum,
    ACTIONS(7612), 1,
      anon_sym_class,
    ACTIONS(7614), 1,
      anon_sym_struct,
    ACTIONS(7616), 1,
      anon_sym_union,
    ACTIONS(7618), 1,
      sym_auto,
    ACTIONS(7620), 1,
      anon_sym_decltype,
    ACTIONS(7622), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(3815), 1,
      sym_type_specifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5538), 1,
      sym_type_descriptor,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(3730), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4588), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100343] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7826), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    STATE(3656), 1,
      sym_new_declarator,
    ACTIONS(6032), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6034), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100507] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7691), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2423), 1,
      sym_attribute_specifier,
    ACTIONS(5873), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5875), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [100671] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4649), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8045), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100774] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7738), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100877] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4649), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7418), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100980] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5377), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2427), 1,
      sym_attribute_specifier,
    ACTIONS(5807), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5809), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [101144] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(5538), 1,
      sym_type_descriptor,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101247] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4789), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5373), 1,
      sym__type_definition_type,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2405), 1,
      sym_attribute_specifier,
    ACTIONS(5779), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5781), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [101411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2437), 1,
      sym_attribute_specifier,
    ACTIONS(5833), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5835), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [101472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7268), 1,
      sym_literal_suffix,
    ACTIONS(4102), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4094), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_EQ,
    ACTIONS(4138), 1,
      anon_sym_SEMI,
    ACTIONS(4130), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4094), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4102), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [101594] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7658), 1,
      sym_identifier,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7664), 1,
      sym_primitive_type,
    ACTIONS(7666), 1,
      anon_sym_enum,
    ACTIONS(7668), 1,
      anon_sym_class,
    ACTIONS(7670), 1,
      anon_sym_struct,
    ACTIONS(7672), 1,
      anon_sym_union,
    ACTIONS(7674), 1,
      sym_auto,
    ACTIONS(7676), 1,
      anon_sym_decltype,
    ACTIONS(7678), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(3891), 1,
      sym_type_specifier,
    STATE(4071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4745), 1,
      sym_decltype_auto,
    STATE(4748), 1,
      sym_qualified_type_identifier,
    STATE(5790), 1,
      sym_type_descriptor,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4702), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4778), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101697] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7979), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101800] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7680), 1,
      anon_sym_STAR,
    ACTIONS(7682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5870), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4055), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101893] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4649), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7984), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5350), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5352), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102055] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2602), 1,
      anon_sym_enum,
    ACTIONS(2604), 1,
      anon_sym_class,
    ACTIONS(2606), 1,
      anon_sym_struct,
    ACTIONS(2608), 1,
      anon_sym_union,
    ACTIONS(2632), 1,
      sym_auto,
    ACTIONS(2634), 1,
      anon_sym_decltype,
    ACTIONS(2636), 1,
      anon_sym_typename,
    ACTIONS(7696), 1,
      sym_identifier,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7700), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2653), 1,
      sym_decltype_auto,
    STATE(2670), 1,
      sym_qualified_type_identifier,
    STATE(4061), 1,
      sym_type_specifier,
    STATE(5790), 1,
      sym_type_descriptor,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    STATE(3673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2662), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102158] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4058), 1,
      sym_type_specifier,
    STATE(5790), 1,
      sym_type_descriptor,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3718), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8001), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2441), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5857), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [102425] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3761), 1,
      sym_identifier,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3773), 1,
      sym_primitive_type,
    ACTIONS(3775), 1,
      anon_sym_enum,
    ACTIONS(3777), 1,
      anon_sym_class,
    ACTIONS(3779), 1,
      anon_sym_struct,
    ACTIONS(3781), 1,
      anon_sym_union,
    ACTIONS(3783), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4021), 1,
      sym_type_specifier,
    STATE(5538), 1,
      sym_type_descriptor,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2410), 1,
      sym_attribute_specifier,
    ACTIONS(5789), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5791), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [102589] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4649), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8006), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4886), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102751] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3773), 1,
      sym_primitive_type,
    ACTIONS(7638), 1,
      sym_identifier,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7642), 1,
      anon_sym_enum,
    ACTIONS(7644), 1,
      anon_sym_class,
    ACTIONS(7646), 1,
      anon_sym_struct,
    ACTIONS(7648), 1,
      anon_sym_union,
    ACTIONS(7650), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3845), 1,
      sym_type_specifier,
    STATE(5538), 1,
      sym_type_descriptor,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(3704), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102854] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(7164), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102957] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8021), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103060] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4649), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8026), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103163] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7680), 1,
      anon_sym_STAR,
    ACTIONS(7682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5879), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3627), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4048), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5604), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2450), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5853), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [103317] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4453), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8040), 1,
      sym_type_descriptor,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(2446), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5849), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [103481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6250), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6252), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5099), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5095), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103705] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7704), 1,
      sym_auto,
    ACTIONS(7706), 1,
      anon_sym_decltype,
    STATE(3829), 1,
      sym_new_declarator,
    STATE(3917), 1,
      sym_decltype_auto,
    STATE(3775), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5563), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5352), 1,
      anon_sym_SEMI,
    ACTIONS(5336), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5334), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [103837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7710), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7708), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [103893] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2602), 1,
      anon_sym_enum,
    ACTIONS(2604), 1,
      anon_sym_class,
    ACTIONS(2606), 1,
      anon_sym_struct,
    ACTIONS(2608), 1,
      anon_sym_union,
    ACTIONS(2632), 1,
      sym_auto,
    ACTIONS(2634), 1,
      anon_sym_decltype,
    ACTIONS(2636), 1,
      anon_sym_typename,
    ACTIONS(7696), 1,
      sym_identifier,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7700), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2653), 1,
      sym_decltype_auto,
    STATE(2670), 1,
      sym_qualified_type_identifier,
    STATE(4471), 1,
      sym_type_specifier,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2662), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6328), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6178), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6162), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 1,
      anon_sym_SEMI,
    ACTIONS(5336), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5334), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [104219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6324), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6320), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6312), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5186), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [104499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6208), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104555] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6134), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6136), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [104625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5202), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [104737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4094), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104793] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7704), 1,
      sym_auto,
    ACTIONS(7706), 1,
      anon_sym_decltype,
    STATE(3843), 1,
      sym_new_declarator,
    STATE(3917), 1,
      sym_decltype_auto,
    STATE(3757), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5581), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5583), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7714), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
    ACTIONS(4855), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4862), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [104927] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7704), 1,
      sym_auto,
    ACTIONS(7706), 1,
      anon_sym_decltype,
    STATE(3831), 1,
      sym_new_declarator,
    STATE(3917), 1,
      sym_decltype_auto,
    STATE(3796), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5577), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5579), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104999] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7608), 1,
      sym_primitive_type,
    ACTIONS(7610), 1,
      anon_sym_enum,
    ACTIONS(7612), 1,
      anon_sym_class,
    ACTIONS(7614), 1,
      anon_sym_struct,
    ACTIONS(7616), 1,
      anon_sym_union,
    ACTIONS(7618), 1,
      sym_auto,
    ACTIONS(7620), 1,
      anon_sym_decltype,
    ACTIONS(7622), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(3847), 1,
      sym_type_specifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4588), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5057), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105155] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2602), 1,
      anon_sym_enum,
    ACTIONS(2604), 1,
      anon_sym_class,
    ACTIONS(2606), 1,
      anon_sym_struct,
    ACTIONS(2608), 1,
      anon_sym_union,
    ACTIONS(2632), 1,
      sym_auto,
    ACTIONS(2634), 1,
      anon_sym_decltype,
    ACTIONS(2636), 1,
      anon_sym_typename,
    ACTIONS(7696), 1,
      sym_identifier,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7700), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2653), 1,
      sym_decltype_auto,
    STATE(2670), 1,
      sym_qualified_type_identifier,
    STATE(4091), 1,
      sym_type_specifier,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2662), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105255] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6060), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6062), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [105323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6304), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6300), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105435] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7704), 1,
      sym_auto,
    ACTIONS(7706), 1,
      anon_sym_decltype,
    STATE(3818), 1,
      sym_new_declarator,
    STATE(3917), 1,
      sym_decltype_auto,
    STATE(3786), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5573), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5575), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6232), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105563] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7608), 1,
      sym_primitive_type,
    ACTIONS(7618), 1,
      sym_auto,
    ACTIONS(7620), 1,
      anon_sym_decltype,
    ACTIONS(7624), 1,
      sym_identifier,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7628), 1,
      anon_sym_enum,
    ACTIONS(7630), 1,
      anon_sym_class,
    ACTIONS(7632), 1,
      anon_sym_struct,
    ACTIONS(7634), 1,
      anon_sym_union,
    ACTIONS(7636), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4198), 1,
      sym_type_specifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4588), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2694), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6296), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7719), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5899), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5901), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6292), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5053), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6222), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6224), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5192), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106059] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7608), 1,
      sym_primitive_type,
    ACTIONS(7610), 1,
      anon_sym_enum,
    ACTIONS(7612), 1,
      anon_sym_class,
    ACTIONS(7614), 1,
      anon_sym_struct,
    ACTIONS(7616), 1,
      anon_sym_union,
    ACTIONS(7618), 1,
      sym_auto,
    ACTIONS(7620), 1,
      anon_sym_decltype,
    ACTIONS(7622), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(3939), 1,
      sym_type_specifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4588), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106159] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_STAR,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_AMP,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5919), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3706), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5604), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5005), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106307] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6075), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [106377] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4451), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106477] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4643), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5316), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5318), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106633] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7658), 1,
      sym_identifier,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7664), 1,
      sym_primitive_type,
    ACTIONS(7666), 1,
      anon_sym_enum,
    ACTIONS(7668), 1,
      anon_sym_class,
    ACTIONS(7670), 1,
      anon_sym_struct,
    ACTIONS(7672), 1,
      anon_sym_union,
    ACTIONS(7674), 1,
      sym_auto,
    ACTIONS(7676), 1,
      anon_sym_decltype,
    ACTIONS(7678), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(3916), 1,
      sym_type_specifier,
    STATE(4071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4745), 1,
      sym_decltype_auto,
    STATE(4748), 1,
      sym_qualified_type_identifier,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4702), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4778), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5085), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106789] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4302), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106889] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6148), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6150), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [106957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_LBRACK,
    ACTIONS(4888), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4891), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4884), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [107017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4965), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6204), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6200), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6377), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6178), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107297] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3773), 1,
      sym_primitive_type,
    ACTIONS(7638), 1,
      sym_identifier,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7642), 1,
      anon_sym_enum,
    ACTIONS(7644), 1,
      anon_sym_class,
    ACTIONS(7646), 1,
      anon_sym_struct,
    ACTIONS(7648), 1,
      anon_sym_union,
    ACTIONS(7650), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3817), 1,
      sym_type_specifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107397] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_STAR,
    ACTIONS(7729), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7731), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5948), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3742), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5604), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107489] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_STAR,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_AMP,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5938), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4081), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4989), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5198), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6335), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7393), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
    ACTIONS(5592), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4118), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [107811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6347), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6196), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6184), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1954), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108091] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3773), 1,
      sym_primitive_type,
    ACTIONS(7638), 1,
      sym_identifier,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7642), 1,
      anon_sym_enum,
    ACTIONS(7644), 1,
      anon_sym_class,
    ACTIONS(7646), 1,
      anon_sym_struct,
    ACTIONS(7648), 1,
      anon_sym_union,
    ACTIONS(7650), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3968), 1,
      sym_type_specifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3741), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108247] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(4042), 1,
      sym_type_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6351), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6216), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108459] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4794), 1,
      sym_type_specifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1950), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6312), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6228), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6212), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6232), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7735), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7733), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [108951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5198), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109007] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7608), 1,
      sym_primitive_type,
    ACTIONS(7610), 1,
      anon_sym_enum,
    ACTIONS(7612), 1,
      anon_sym_class,
    ACTIONS(7614), 1,
      anon_sym_struct,
    ACTIONS(7616), 1,
      anon_sym_union,
    ACTIONS(7618), 1,
      sym_auto,
    ACTIONS(7620), 1,
      anon_sym_decltype,
    ACTIONS(7622), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(3828), 1,
      sym_type_specifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4588), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6355), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5192), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6242), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6244), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5049), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6280), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6276), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109443] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6079), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6081), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [109513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6272), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109569] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6044), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6046), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [109639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6268), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5202), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109751] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_STAR,
    ACTIONS(7729), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7731), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5909), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5186), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6264), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6240), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7719), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5923), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5925), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5025), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7739), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7737), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [110181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6260), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6254), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6256), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110293] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3761), 1,
      sym_identifier,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3773), 1,
      sym_primitive_type,
    ACTIONS(3775), 1,
      anon_sym_enum,
    ACTIONS(3777), 1,
      anon_sym_class,
    ACTIONS(3779), 1,
      anon_sym_struct,
    ACTIONS(3781), 1,
      anon_sym_union,
    ACTIONS(3783), 1,
      anon_sym_typename,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4023), 1,
      sym_type_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2694), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110449] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_STAR,
    ACTIONS(6889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6891), 1,
      anon_sym_AMP,
    ACTIONS(6893), 1,
      anon_sym_COLON_COLON,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5502), 1,
      sym__scope_resolution,
    STATE(6216), 1,
      sym__declarator,
    STATE(7645), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6328), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6242), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6244), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110652] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6060), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6200), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110800] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5736), 1,
      sym__declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6280), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(7741), 1,
      anon_sym_COLON,
    STATE(1808), 1,
      sym_attribute_specifier,
    STATE(2201), 1,
      sym__enum_base_clause,
    STATE(2283), 1,
      sym_enumerator_list,
    ACTIONS(6038), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6040), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [111015] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(7741), 1,
      anon_sym_COLON,
    STATE(1791), 1,
      sym_attribute_specifier,
    STATE(2162), 1,
      sym__enum_base_clause,
    STATE(2240), 1,
      sym_enumerator_list,
    ACTIONS(6026), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6028), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [111082] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6039), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6300), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6355), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111285] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_STAR,
    ACTIONS(6864), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6866), 1,
      anon_sym_AMP,
    ACTIONS(6868), 1,
      anon_sym_COLON_COLON,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(5701), 1,
      sym__declarator,
    STATE(7515), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5198), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [111433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6250), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6252), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6222), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6224), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6228), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5202), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [111653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6272), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111708] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_STAR,
    ACTIONS(6872), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5990), 1,
      sym__declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6268), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111856] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_STAR,
    ACTIONS(6889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6891), 1,
      anon_sym_AMP,
    ACTIONS(6893), 1,
      anon_sym_COLON_COLON,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5502), 1,
      sym__scope_resolution,
    STATE(6245), 1,
      sym__declarator,
    STATE(7645), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6292), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3741), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6208), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112114] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(3838), 1,
      sym_template_argument_list,
    ACTIONS(4859), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4855), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [112179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6296), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112234] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_STAR,
    ACTIONS(6864), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6866), 1,
      anon_sym_AMP,
    ACTIONS(6868), 1,
      anon_sym_COLON_COLON,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(5759), 1,
      sym__declarator,
    STATE(7515), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112327] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6039), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6335), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6240), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112530] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5700), 1,
      sym__declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112623] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5743), 1,
      sym__declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6351), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112771] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6060), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112864] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_STAR,
    ACTIONS(6864), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6866), 1,
      anon_sym_AMP,
    ACTIONS(6868), 1,
      anon_sym_COLON_COLON,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(5765), 1,
      sym__declarator,
    STATE(7515), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6264), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6304), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4094), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113122] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_STAR,
    ACTIONS(6872), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(6007), 1,
      sym__declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    ACTIONS(7652), 1,
      anon_sym_LBRACE,
    STATE(3821), 1,
      sym_enumerator_list,
    STATE(3894), 1,
      sym_attribute_specifier,
    ACTIONS(5718), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5720), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5192), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [113333] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6059), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6324), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113481] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    ACTIONS(7652), 1,
      anon_sym_LBRACE,
    STATE(3823), 1,
      sym_enumerator_list,
    STATE(3906), 1,
      sym_attribute_specifier,
    ACTIONS(5698), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5700), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6347), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113599] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4072), 1,
      sym_template_argument_list,
    ACTIONS(4115), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4100), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4120), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [113668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6196), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113723] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_STAR,
    ACTIONS(6872), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5986), 1,
      sym__declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113816] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_STAR,
    ACTIONS(6889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6891), 1,
      anon_sym_AMP,
    ACTIONS(6893), 1,
      anon_sym_COLON_COLON,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5502), 1,
      sym__scope_resolution,
    STATE(6237), 1,
      sym__declarator,
    STATE(7645), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113909] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2274), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4938), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5714), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [113972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6254), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6256), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6184), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6260), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114137] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_STAR,
    ACTIONS(7747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7749), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5987), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4151), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5604), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6276), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114283] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_STAR,
    ACTIONS(7747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7749), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5980), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4174), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114374] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6059), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6216), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5186), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6204), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3903), 1,
      sym_attribute_specifier,
    ACTIONS(5833), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5835), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114690] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7460), 1,
      anon_sym_STAR,
    ACTIONS(7462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7753), 1,
      anon_sym___asm,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4586), 1,
      sym_decltype_auto,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5639), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3942), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114778] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(2412), 1,
      sym_attribute_specifier,
    STATE(2898), 1,
      sym_field_declaration_list,
    STATE(6528), 1,
      sym_virtual_specifier,
    STATE(7406), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5245), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [114848] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7444), 1,
      anon_sym_STAR,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7448), 1,
      anon_sym_AMP,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7761), 1,
      anon_sym___asm,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5680), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3976), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7759), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    STATE(3779), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5881), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5883), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7770), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7767), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7385), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7383), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [115058] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(7773), 1,
      anon_sym_COLON,
    STATE(2406), 1,
      sym_attribute_specifier,
    STATE(3519), 1,
      sym__enum_base_clause,
    STATE(3645), 1,
      sym_enumerator_list,
    ACTIONS(6038), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6040), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [115124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3898), 1,
      sym_attribute_specifier,
    ACTIONS(5839), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5841), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3899), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5845), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3926), 1,
      sym_attribute_specifier,
    ACTIONS(5873), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5875), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115298] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(4024), 1,
      sym_new_declarator,
    STATE(3796), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5577), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5579), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115368] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(4013), 1,
      sym_new_declarator,
    STATE(3775), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5563), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3892), 1,
      sym_attribute_specifier,
    ACTIONS(5863), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5865), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3896), 1,
      sym_attribute_specifier,
    ACTIONS(5743), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5745), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115554] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7460), 1,
      anon_sym_STAR,
    ACTIONS(7462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    ACTIONS(7761), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4586), 1,
      sym_decltype_auto,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5628), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4005), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7759), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    STATE(3811), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5954), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5956), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3904), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5857), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    STATE(3813), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5919), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5921), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115820] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7781), 1,
      anon_sym_STAR,
    ACTIONS(7783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7785), 1,
      anon_sym_AMP,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6117), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4212), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7787), 1,
      anon_sym_LT,
    STATE(2274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2498), 1,
      sym_template_argument_list,
    ACTIONS(4938), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4100), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [115974] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(4019), 1,
      sym_new_declarator,
    STATE(3786), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5573), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5575), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3915), 1,
      sym_attribute_specifier,
    ACTIONS(5779), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5781), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3912), 1,
      sym_attribute_specifier,
    ACTIONS(5789), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5791), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116160] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(7773), 1,
      anon_sym_COLON,
    STATE(2449), 1,
      sym_attribute_specifier,
    STATE(3455), 1,
      sym__enum_base_clause,
    STATE(3618), 1,
      sym_enumerator_list,
    ACTIONS(6026), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6028), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [116226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_SEMI,
    ACTIONS(4895), 1,
      anon_sym_LBRACK,
    ACTIONS(4888), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4891), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(4884), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [116286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3907), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5849), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3895), 1,
      sym_attribute_specifier,
    ACTIONS(5807), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5809), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116402] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(4007), 1,
      sym_new_declarator,
    STATE(3757), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5581), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5583), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116472] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7781), 1,
      anon_sym_STAR,
    ACTIONS(7783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7785), 1,
      anon_sym_AMP,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6084), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3832), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5604), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    STATE(3769), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5975), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5977), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym___attribute__,
    STATE(3909), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5853), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116680] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7444), 1,
      anon_sym_STAR,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7448), 1,
      anon_sym_AMP,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7753), 1,
      anon_sym___asm,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5693), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3992), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116768] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6296), 1,
      sym__type_declarator,
    STATE(7976), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4414), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116857] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7559), 1,
      anon_sym_STAR,
    ACTIONS(7561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7563), 1,
      anon_sym_AMP,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4586), 1,
      sym_decltype_auto,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5750), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4008), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7759), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116942] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7559), 1,
      anon_sym_STAR,
    ACTIONS(7561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7563), 1,
      anon_sym_AMP,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4586), 1,
      sym_decltype_auto,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5740), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4012), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5336), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117082] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6159), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4389), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5410), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6301), 1,
      sym__type_declarator,
    STATE(7976), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4376), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117313] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2142), 1,
      sym__type_declarator,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7781), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3889), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4462), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117402] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7821), 1,
      anon_sym_STAR,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5671), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7791), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3869), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4427), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117491] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6296), 1,
      sym__type_declarator,
    STATE(7976), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3852), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4414), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117580] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6028), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4456), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117669] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7821), 1,
      anon_sym_STAR,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5669), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7791), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4424), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5508), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5457), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5446), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7787), 1,
      anon_sym_LT,
    STATE(2498), 1,
      sym_template_argument_list,
    ACTIONS(5592), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4118), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [117976] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7829), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5812), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7534), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3875), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4501), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118065] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      anon_sym_LT,
    STATE(2498), 1,
      sym_template_argument_list,
    ACTIONS(4855), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4862), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [118124] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5988), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3856), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4425), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118213] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7821), 1,
      anon_sym_STAR,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5677), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7791), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3857), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4458), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118302] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6148), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3850), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4382), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5604), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      sym_auto,
    ACTIONS(7706), 1,
      anon_sym_decltype,
    STATE(3917), 1,
      sym_decltype_auto,
    ACTIONS(5322), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5324), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118450] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7846), 1,
      sym_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN2,
    ACTIONS(7850), 1,
      anon_sym_STAR,
    ACTIONS(7852), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7854), 1,
      anon_sym_AMP,
    ACTIONS(7858), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2882), 1,
      sym__type_declarator,
    STATE(3293), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7594), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3288), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118539] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7821), 1,
      anon_sym_STAR,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5677), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7791), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4458), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118628] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7846), 1,
      sym_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN2,
    ACTIONS(7850), 1,
      anon_sym_STAR,
    ACTIONS(7852), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7854), 1,
      anon_sym_AMP,
    ACTIONS(7858), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2882), 1,
      sym__type_declarator,
    STATE(3293), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7594), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3885), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3288), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118717] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7829), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5776), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7534), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4524), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118806] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7829), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5770), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7534), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3871), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4531), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118895] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6285), 1,
      sym__type_declarator,
    STATE(7976), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3846), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4486), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118984] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5994), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3877), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4419), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119073] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7829), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5770), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7534), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4531), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119162] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7860), 1,
      sym_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN2,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(7866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7868), 1,
      anon_sym_AMP,
    ACTIONS(7872), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2814), 1,
      sym__type_declarator,
    STATE(3139), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8023), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3881), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4490), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7870), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3134), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119251] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5988), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4425), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119340] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7846), 1,
      sym_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN2,
    ACTIONS(7850), 1,
      anon_sym_STAR,
    ACTIONS(7852), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7854), 1,
      anon_sym_AMP,
    ACTIONS(7858), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2907), 1,
      sym__type_declarator,
    STATE(3293), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7594), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3868), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4395), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3288), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5338), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5340), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119482] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2102), 1,
      sym__type_declarator,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7781), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3883), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119571] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7860), 1,
      sym_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN2,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(7866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7868), 1,
      anon_sym_AMP,
    ACTIONS(7872), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2829), 1,
      sym__type_declarator,
    STATE(3139), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8023), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4385), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7870), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3134), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119660] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7860), 1,
      sym_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN2,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(7866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7868), 1,
      anon_sym_AMP,
    ACTIONS(7872), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2829), 1,
      sym__type_declarator,
    STATE(3139), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8023), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3887), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4385), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7870), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3134), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119749] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2116), 1,
      sym__type_declarator,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7781), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4403), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5531), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119891] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7846), 1,
      sym_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN2,
    ACTIONS(7850), 1,
      anon_sym_STAR,
    ACTIONS(7852), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7854), 1,
      anon_sym_AMP,
    ACTIONS(7858), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2863), 1,
      sym__type_declarator,
    STATE(3293), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7594), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3288), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119980] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4029), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5307), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7876), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7874), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [120047] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7860), 1,
      sym_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN2,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(7866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7868), 1,
      anon_sym_AMP,
    ACTIONS(7872), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2773), 1,
      sym__type_declarator,
    STATE(3139), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8023), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4478), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7870), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3134), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5476), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120189] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2102), 1,
      sym__type_declarator,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7781), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7799), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4383), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7450), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5414), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120330] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7680), 1,
      anon_sym_STAR,
    ACTIONS(7682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(4788), 1,
      sym_decltype_auto,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5830), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4031), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5402), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120466] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(3843), 1,
      sym_new_declarator,
    STATE(3757), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5581), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5583), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5523), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5527), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5500), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5496), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5406), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5559), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4050), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7882), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5712), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(5714), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [120908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5535), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5480), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5488), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5484), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5480), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5468), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5461), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5432), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5434), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5430), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5414), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5512), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5539), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5414), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5492), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5504), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121688] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7680), 1,
      anon_sym_STAR,
    ACTIONS(7682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(4788), 1,
      sym_decltype_auto,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5820), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4051), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7759), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5472), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5422), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5426), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5438), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5442), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(5592), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4118), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5336), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5398), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122194] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2938), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4092), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5516), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122308] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    ACTIONS(7884), 1,
      anon_sym_virtual,
    ACTIONS(7888), 1,
      anon_sym___declspec,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2375), 1,
      sym_decltype_auto,
    ACTIONS(6083), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6085), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4053), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7886), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122388] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    ACTIONS(7888), 1,
      anon_sym___declspec,
    ACTIONS(7890), 1,
      anon_sym_virtual,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2375), 1,
      sym_decltype_auto,
    ACTIONS(6097), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6099), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4054), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7886), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(3829), 1,
      sym_new_declarator,
    STATE(3775), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5563), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122536] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(6186), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3933), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4590), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5604), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4857), 1,
      anon_sym_SEMI,
    ACTIONS(4866), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(3838), 1,
      sym_template_argument_list,
    ACTIONS(4859), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4855), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [122688] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(4855), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4862), 36,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [122746] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7450), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(3748), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(6198), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7452), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7454), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3220), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4550), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5618), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_COLON,
    STATE(2494), 1,
      sym__enum_base_clause,
    STATE(2516), 1,
      sym_enumerator_list,
    STATE(2688), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6028), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [122898] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_COLON,
    STATE(2497), 1,
      sym__enum_base_clause,
    STATE(2530), 1,
      sym_enumerator_list,
    STATE(2658), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6040), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [122962] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(3818), 1,
      sym_new_declarator,
    STATE(3786), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5573), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5575), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4050), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7882), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4100), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [123092] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_LBRACK,
    ACTIONS(7702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(3831), 1,
      sym_new_declarator,
    STATE(3796), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5577), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5579), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123160] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_STAR,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_AMP,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4586), 1,
      sym_decltype_auto,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5913), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4078), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7759), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123243] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_STAR,
    ACTIONS(7902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7904), 1,
      anon_sym_AMP,
    ACTIONS(7908), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7914), 1,
      anon_sym_const,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5003), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6233), 1,
      sym__abstract_declarator,
    ACTIONS(7910), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7912), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4651), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4721), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(5618), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123330] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5797), 1,
      anon_sym_STAR,
    ACTIONS(7918), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7922), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7926), 1,
      anon_sym_EQ,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6150), 1,
      sym__declarator,
    STATE(6362), 1,
      sym__abstract_declarator,
    STATE(6369), 1,
      sym_abstract_reference_declarator,
    STATE(6927), 1,
      sym_variadic_declarator,
    STATE(7018), 1,
      sym_variadic_reference_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(7920), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [123431] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7460), 1,
      anon_sym_STAR,
    ACTIONS(7462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5634), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7928), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123510] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      sym_auto,
    ACTIONS(6507), 1,
      anon_sym_decltype,
    ACTIONS(7932), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(2614), 1,
      sym_decltype_auto,
    STATE(4144), 1,
      sym_new_declarator,
    STATE(4621), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5573), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5575), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [123577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7936), 1,
      sym_identifier,
    ACTIONS(7940), 1,
      sym_primitive_type,
    STATE(3950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7938), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5543), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5545), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [123636] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7942), 1,
      anon_sym_STAR,
    ACTIONS(7944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7946), 1,
      anon_sym_AMP,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6073), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4640), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5618), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2924), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [123774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2696), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [123825] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      sym_auto,
    ACTIONS(6507), 1,
      anon_sym_decltype,
    ACTIONS(7932), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(2614), 1,
      sym_decltype_auto,
    STATE(4121), 1,
      sym_new_declarator,
    STATE(4625), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5577), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5579), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [123892] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7974), 1,
      anon_sym_QMARK,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7978), 1,
      anon_sym_or,
    ACTIONS(7980), 1,
      anon_sym_and,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6353), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6355), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [123995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3958), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5114), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(7986), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5554), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [124052] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7978), 1,
      anon_sym_or,
    ACTIONS(7980), 1,
      anon_sym_and,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6591), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [124151] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5901), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4636), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124236] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5901), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3965), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4636), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124321] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      sym_auto,
    ACTIONS(6507), 1,
      anon_sym_decltype,
    ACTIONS(7932), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(2614), 1,
      sym_decltype_auto,
    STATE(4141), 1,
      sym_new_declarator,
    STATE(4577), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5561), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5563), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [124388] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5606), 1,
      anon_sym_STAR,
    ACTIONS(5608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5610), 1,
      anon_sym_AMP,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(7918), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6017), 1,
      sym__declarator,
    STATE(6056), 1,
      sym__abstract_declarator,
    STATE(7048), 1,
      sym_variadic_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7999), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [124483] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7974), 1,
      anon_sym_QMARK,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7978), 1,
      anon_sym_or,
    ACTIONS(7980), 1,
      anon_sym_and,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6611), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6613), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [124586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3131), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [124637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3958), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7986), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5116), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5114), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [124692] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7978), 1,
      anon_sym_or,
    ACTIONS(7980), 1,
      anon_sym_and,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6623), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6625), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [124791] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_STAR,
    ACTIONS(7902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7904), 1,
      anon_sym_AMP,
    ACTIONS(7908), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7914), 1,
      anon_sym_const,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5003), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6223), 1,
      sym__abstract_declarator,
    ACTIONS(7910), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7912), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3940), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5604), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3172), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3167), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [124929] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5799), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4653), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6320), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2796), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [125116] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5878), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4645), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7460), 1,
      anon_sym_STAR,
    ACTIONS(7462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(8001), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5624), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6495), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125280] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7974), 1,
      anon_sym_QMARK,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7978), 1,
      anon_sym_or,
    ACTIONS(7980), 1,
      anon_sym_and,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8005), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [125383] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_STAR,
    ACTIONS(7729), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7731), 1,
      anon_sym_AMP,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5945), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7759), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125466] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7444), 1,
      anon_sym_STAR,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7448), 1,
      anon_sym_AMP,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(8001), 1,
      anon_sym___asm,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5675), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6495), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125545] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7978), 1,
      anon_sym_or,
    ACTIONS(7980), 1,
      anon_sym_and,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6607), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6609), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [125644] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7942), 1,
      anon_sym_STAR,
    ACTIONS(7944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7946), 1,
      anon_sym_AMP,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6057), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3945), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4661), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5604), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125731] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7978), 1,
      anon_sym_or,
    ACTIONS(7980), 1,
      anon_sym_and,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6630), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6632), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [125830] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(6240), 1,
      sym__field_declarator,
    STATE(6332), 1,
      sym_operator_name,
    STATE(8002), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125915] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(6240), 1,
      sym__field_declarator,
    STATE(6332), 1,
      sym_operator_name,
    STATE(8002), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3986), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126000] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6075), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [126069] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7444), 1,
      anon_sym_STAR,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7448), 1,
      anon_sym_AMP,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(8017), 1,
      anon_sym___asm,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5676), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8015), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126148] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7444), 1,
      anon_sym_STAR,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7448), 1,
      anon_sym_AMP,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7466), 1,
      anon_sym___asm,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5679), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126227] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7980), 1,
      anon_sym_and,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [126322] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6077), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [126413] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6077), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [126502] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6077), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [126587] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_STAR,
    ACTIONS(7729), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7731), 1,
      anon_sym_AMP,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5950), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4093), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126670] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    STATE(4465), 1,
      sym_alignas_qualifier,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4201), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5459), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7876), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7874), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [126735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(8019), 1,
      anon_sym_COLON,
    STATE(2449), 1,
      sym_attribute_specifier,
    STATE(2697), 1,
      sym__enum_base_clause,
    STATE(2851), 1,
      sym_enumerator_list,
    ACTIONS(6028), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6026), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [126798] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(6260), 1,
      sym__field_declarator,
    STATE(6332), 1,
      sym_operator_name,
    STATE(8002), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3973), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4639), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126883] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(6236), 1,
      sym__field_declarator,
    STATE(6332), 1,
      sym_operator_name,
    STATE(8002), 1,
      sym_ms_based_modifier,
    ACTIONS(2886), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2884), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6212), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127019] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      sym_auto,
    ACTIONS(6507), 1,
      anon_sym_decltype,
    ACTIONS(7932), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(2614), 1,
      sym_decltype_auto,
    STATE(4173), 1,
      sym_new_declarator,
    STATE(4563), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5581), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5583), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [127086] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6077), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [127169] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [127242] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6075), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [127321] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7444), 1,
      anon_sym_STAR,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7448), 1,
      anon_sym_AMP,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym___asm,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5681), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7928), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7735), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7733), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [127451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7739), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7737), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [127502] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5757), 1,
      anon_sym_STAR,
    ACTIONS(7918), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7922), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(8021), 1,
      anon_sym_EQ,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6129), 1,
      sym__declarator,
    STATE(6322), 1,
      sym__abstract_declarator,
    STATE(6409), 1,
      sym_abstract_reference_declarator,
    STATE(6927), 1,
      sym_variadic_declarator,
    STATE(7018), 1,
      sym_variadic_reference_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(7920), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [127603] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(8019), 1,
      anon_sym_COLON,
    STATE(2406), 1,
      sym_attribute_specifier,
    STATE(2744), 1,
      sym__enum_base_clause,
    STATE(2901), 1,
      sym_enumerator_list,
    ACTIONS(6040), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6038), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [127666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2770), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [127717] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [127792] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6075), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6077), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [127863] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_STAR,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_AMP,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4586), 1,
      sym_decltype_auto,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5921), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4064), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127946] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7978), 1,
      anon_sym_or,
    ACTIONS(7980), 1,
      anon_sym_and,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6541), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6543), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [128045] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7954), 1,
      anon_sym_SLASH,
    ACTIONS(7956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7962), 1,
      anon_sym_CARET,
    ACTIONS(7970), 1,
      anon_sym_GT_EQ,
    ACTIONS(7974), 1,
      anon_sym_QMARK,
    ACTIONS(7976), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7978), 1,
      anon_sym_or,
    ACTIONS(7980), 1,
      anon_sym_and,
    ACTIONS(7982), 1,
      anon_sym_xor,
    ACTIONS(7984), 1,
      anon_sym_not_eq,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6617), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7950), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7952), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7960), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7964), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7972), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7968), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6619), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [128148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2774), 41,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [128199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6377), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128250] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7460), 1,
      anon_sym_STAR,
    ACTIONS(7462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(8017), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5609), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8015), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128329] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7460), 1,
      anon_sym_STAR,
    ACTIONS(7462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7466), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5625), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128408] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(3769), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5975), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5977), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128464] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7559), 1,
      anon_sym_STAR,
    ACTIONS(7561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7563), 1,
      anon_sym_AMP,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5755), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8015), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128540] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7559), 1,
      anon_sym_STAR,
    ACTIONS(7561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7563), 1,
      anon_sym_AMP,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5752), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128616] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7559), 1,
      anon_sym_STAR,
    ACTIONS(7561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7563), 1,
      anon_sym_AMP,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5756), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6495), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128692] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6268), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4016), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4697), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5604), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128778] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7559), 1,
      anon_sym_STAR,
    ACTIONS(7561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7563), 1,
      anon_sym_AMP,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5747), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7928), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(3811), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5954), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5956), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      sym_literal_suffix,
    ACTIONS(4102), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4094), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6714), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129012] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4676), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5618), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129098] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(4072), 1,
      sym_template_argument_list,
    ACTIONS(4859), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4862), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4855), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [129158] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6277), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4020), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4673), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5604), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(3779), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5881), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5883), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129300] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3994), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6287), 1,
      sym__abstract_declarator,
    ACTIONS(7688), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7690), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5618), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129386] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_STAR,
    ACTIONS(7747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7749), 1,
      anon_sym_AMP,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5993), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4131), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129468] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8036), 1,
      anon_sym_const,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(8039), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8031), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8033), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8029), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [129528] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_STAR,
    ACTIONS(7747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7749), 1,
      anon_sym_AMP,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2375), 1,
      sym_decltype_auto,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5982), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4185), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7759), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(3813), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5919), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5921), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129666] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8068), 1,
      anon_sym_SEMI,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6417), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7655), 1,
      sym_attribute_specifier,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3958), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5643), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8078), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5641), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129822] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(8080), 1,
      anon_sym_COLON,
    STATE(2449), 1,
      sym_attribute_specifier,
    STATE(3455), 1,
      sym__enum_base_clause,
    STATE(3618), 1,
      sym_enumerator_list,
    ACTIONS(6026), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6028), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [129883] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(8080), 1,
      anon_sym_COLON,
    STATE(2406), 1,
      sym_attribute_specifier,
    STATE(3519), 1,
      sym__enum_base_clause,
    STATE(3645), 1,
      sym_enumerator_list,
    ACTIONS(6038), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6040), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [129944] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8084), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8082), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [130003] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    ACTIONS(8086), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6411), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7883), 1,
      sym_attribute_specifier,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130106] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7680), 1,
      anon_sym_STAR,
    ACTIONS(7682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5907), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7928), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6714), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8088), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5923), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5925), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8092), 1,
      anon_sym_LPAREN2,
    ACTIONS(8094), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8090), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [130332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4044), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5455), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8096), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5457), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5334), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [130436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8100), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8098), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [130485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4044), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5334), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8096), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5336), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      sym_literal_suffix,
    ACTIONS(4102), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4094), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130589] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    ACTIONS(8102), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6378), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8071), 1,
      sym_attribute_specifier,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3958), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5598), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8078), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5596), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130745] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    ACTIONS(7781), 1,
      anon_sym_STAR,
    ACTIONS(7783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7785), 1,
      anon_sym_AMP,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6093), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4287), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7759), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4026), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5637), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8104), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5635), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3958), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5647), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8078), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5645), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4041), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5654), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8106), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5652), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130985] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7421), 1,
      anon_sym_const,
    ACTIONS(7427), 1,
      anon_sym___inline,
    ACTIONS(8111), 1,
      anon_sym_virtual,
    ACTIONS(8117), 1,
      anon_sym___attribute__,
    ACTIONS(8120), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8123), 1,
      anon_sym___declspec,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(6403), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(8126), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6405), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4046), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8114), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(8108), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131056] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4320), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5712), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8129), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5714), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131115] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7680), 1,
      anon_sym_STAR,
    ACTIONS(7682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5870), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131190] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8135), 1,
      anon_sym_or,
    ACTIONS(8137), 1,
      anon_sym_and,
    ACTIONS(5899), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5901), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3958), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5660), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8078), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [131300] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7680), 1,
      anon_sym_STAR,
    ACTIONS(7682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5829), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8015), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131375] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5606), 1,
      anon_sym_STAR,
    ACTIONS(5608), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5610), 1,
      anon_sym_AMP,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6017), 1,
      sym__declarator,
    STATE(6056), 1,
      sym__abstract_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7999), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [131464] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7888), 1,
      anon_sym___declspec,
    ACTIONS(8139), 1,
      anon_sym_virtual,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(6393), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6395), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4046), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7886), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131535] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(59), 1,
      anon_sym___inline,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7888), 1,
      anon_sym___declspec,
    ACTIONS(8139), 1,
      anon_sym_virtual,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(6432), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6434), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4046), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7886), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131606] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7680), 1,
      anon_sym_STAR,
    ACTIONS(7682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5837), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6495), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8088), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8141), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5899), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5901), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8133), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8137), 1,
      anon_sym_and,
    ACTIONS(5923), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5925), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131787] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    ACTIONS(7781), 1,
      anon_sym_STAR,
    ACTIONS(7783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7785), 1,
      anon_sym_AMP,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6045), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4286), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131868] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7876), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7874), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [131927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_STAR,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_AMP,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5938), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132001] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(6505), 1,
      sym_auto,
    ACTIONS(6507), 1,
      anon_sym_decltype,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(2614), 1,
      sym_decltype_auto,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6145), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4446), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7751), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132081] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [132153] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [132229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_STAR,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_AMP,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5916), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7928), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8157), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5116), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5114), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132355] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6609), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [132445] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [132513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8180), 1,
      anon_sym___attribute__,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8178), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8176), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [132565] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6077), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [132643] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(5604), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7908), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7914), 1,
      anon_sym_const,
    ACTIONS(8183), 1,
      anon_sym_STAR,
    ACTIONS(8185), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8187), 1,
      anon_sym_AMP,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5003), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6398), 1,
      sym__abstract_declarator,
    ACTIONS(7910), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7912), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4096), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4754), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132727] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8189), 1,
      sym_identifier,
    ACTIONS(8193), 1,
      sym_primitive_type,
    STATE(4074), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5543), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5545), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4888), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4891), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4884), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_virtual,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_operator,
  [132835] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6613), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [132929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5114), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8157), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5551), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5554), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [132983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8197), 1,
      anon_sym_LT,
    STATE(4355), 1,
      sym_template_argument_list,
    ACTIONS(5592), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4118), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133037] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [133107] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_STAR,
    ACTIONS(7729), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7731), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5943), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8015), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_STAR,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_AMP,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5944), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8015), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133255] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8199), 1,
      anon_sym_COMMA,
    ACTIONS(8201), 1,
      anon_sym_SEMI,
    ACTIONS(8203), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6708), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [133355] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_STAR,
    ACTIONS(7729), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7731), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5909), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_STAR,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_AMP,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5963), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6495), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133503] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8197), 1,
      anon_sym_LT,
    STATE(4320), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4355), 1,
      sym_template_argument_list,
    ACTIONS(4092), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8129), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133561] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8208), 1,
      anon_sym_const,
    STATE(4465), 1,
      sym_alignas_qualifier,
    ACTIONS(8211), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8031), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8205), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8029), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [133619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8197), 1,
      anon_sym_LT,
    STATE(4355), 1,
      sym_template_argument_list,
    ACTIONS(4855), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4862), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133673] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6077), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [133757] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6543), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [133847] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6619), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [133941] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6625), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [134031] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6355), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [134125] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    STATE(4500), 1,
      sym_field_declaration_list,
    STATE(4539), 1,
      sym_attribute_specifier,
    STATE(6556), 1,
      sym_virtual_specifier,
    STATE(7254), 1,
      sym_base_class_clause,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5245), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5247), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [134189] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(6505), 1,
      sym_auto,
    ACTIONS(6507), 1,
      anon_sym_decltype,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(2614), 1,
      sym_decltype_auto,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6158), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4388), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7759), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134269] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6077), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [134355] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_STAR,
    ACTIONS(7729), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7731), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5946), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7928), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134429] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6077), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [134517] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_STAR,
    ACTIONS(7729), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7731), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5939), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6495), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134591] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(5618), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7908), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7914), 1,
      anon_sym_const,
    ACTIONS(8183), 1,
      anon_sym_STAR,
    ACTIONS(8185), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8187), 1,
      anon_sym_AMP,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5003), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6404), 1,
      sym__abstract_declarator,
    ACTIONS(7910), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7912), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4721), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134675] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6593), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [134765] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6077), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [134847] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6075), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [134913] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6632), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [135003] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8242), 1,
      anon_sym_RBRACK,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(7056), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135100] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8252), 1,
      anon_sym_RPAREN,
    ACTIONS(8254), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [135197] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6075), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [135262] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [135349] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8294), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6739), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135446] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6856), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [135543] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8300), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6802), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135640] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8302), 1,
      anon_sym_COMMA,
    ACTIONS(8304), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6846), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [135737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1954), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5095), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135831] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [135916] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8306), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6813), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [136013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5099), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136060] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6619), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136153] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8308), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [136250] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8310), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6875), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136347] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5757), 1,
      anon_sym_STAR,
    ACTIONS(5759), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5761), 1,
      anon_sym_AMP,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6017), 1,
      sym__declarator,
    STATE(6273), 1,
      sym__abstract_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(7999), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [136434] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8312), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6825), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136531] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8314), 1,
      anon_sym_COMMA,
    ACTIONS(8317), 1,
      anon_sym_SEMI,
    ACTIONS(8319), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [136628] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [136711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_LPAREN2,
    STATE(4565), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5919), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5921), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [136764] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8321), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6898), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136861] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6543), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [136950] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(8323), 1,
      anon_sym_LBRACE,
    ACTIONS(8325), 1,
      anon_sym_COLON,
    STATE(4253), 1,
      sym__enum_base_clause,
    STATE(4516), 1,
      sym_enumerator_list,
    STATE(4552), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6040), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [137009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1950), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137056] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8327), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6849), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137153] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(8323), 1,
      anon_sym_LBRACE,
    ACTIONS(8325), 1,
      anon_sym_COLON,
    STATE(4246), 1,
      sym__enum_base_clause,
    STATE(4457), 1,
      sym_enumerator_list,
    STATE(4578), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6028), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [137212] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [137293] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [137370] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(8331), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6988), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [137467] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_STAR,
    ACTIONS(7747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7749), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5984), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7928), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137540] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8333), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6920), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137637] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [137726] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [137801] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(1882), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5712), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4926), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5714), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [137858] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8335), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6993), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137955] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8317), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [138050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4989), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138097] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138168] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8337), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6930), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_LPAREN2,
    STATE(4556), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5954), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5956), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [138318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5045), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138365] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6613), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_LPAREN2,
    STATE(4592), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5881), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5883), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [138511] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(8339), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6907), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [138608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5049), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138655] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8341), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6913), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [138752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6124), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6126), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [138799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5053), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138846] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8343), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6942), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138943] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_STAR,
    ACTIONS(7747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7749), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5980), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139016] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8345), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6931), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139113] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8347), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6962), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139210] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8349), 1,
      anon_sym_COMMA,
    ACTIONS(8351), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6883), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [139307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5025), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5453), 35,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [139401] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8353), 1,
      anon_sym_COMMA,
    ACTIONS(8355), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6886), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139498] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6625), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [139587] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8357), 1,
      anon_sym_COMMA,
    ACTIONS(8359), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6891), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [139684] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(8361), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6744), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [139781] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8363), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [139874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1423), 1,
      sym__fold_operator,
    ACTIONS(8367), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8365), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [139923] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8369), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6712), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140020] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8353), 1,
      anon_sym_COMMA,
    ACTIONS(8371), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6967), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140117] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140184] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8373), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6903), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [140281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5029), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5029), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5085), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5029), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140469] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8375), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6801), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4965), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(7932), 1,
      anon_sym_LPAREN2,
    STATE(4540), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5975), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5977), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [140666] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_STAR,
    ACTIONS(7747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7749), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5975), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6495), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140739] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [140808] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8377), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(7014), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [140905] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8381), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(7071), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141002] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(8383), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6698), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [141099] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8203), 1,
      anon_sym_RBRACE,
    ACTIONS(8385), 1,
      anon_sym_COMMA,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6708), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [141196] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    STATE(4465), 1,
      sym_alignas_qualifier,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7876), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7874), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [141253] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8387), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6986), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [141350] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8389), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6982), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5021), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5005), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141541] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_STAR,
    ACTIONS(7747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7749), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5979), 1,
      sym__abstract_declarator,
    ACTIONS(6652), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4022), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8015), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6646), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141614] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6609), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [141703] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(8391), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6929), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [141800] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4586), 1,
      sym_decltype_auto,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(6190), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4623), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7751), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6170), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [141926] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6632), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [142015] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8353), 1,
      anon_sym_COMMA,
    ACTIONS(8393), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8395), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6967), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142112] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8397), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(7001), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5057), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142256] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8399), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6755), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142353] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    ACTIONS(8401), 1,
      anon_sym_GT2,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    STATE(6789), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142450] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8403), 1,
      anon_sym_COMMA,
    ACTIONS(8405), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6998), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [142547] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8407), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [142640] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(4586), 1,
      sym_decltype_auto,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(6164), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4569), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7759), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142719] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8409), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(7017), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [142816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6166), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [142863] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    STATE(4465), 1,
      sym_alignas_qualifier,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8084), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8082), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [142920] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8048), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_PIPE,
    ACTIONS(8058), 1,
      anon_sym_AMP,
    ACTIONS(8064), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_bitor,
    ACTIONS(8076), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8046), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8050), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8052), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8056), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8066), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6355), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8060), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8062), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143013] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5797), 1,
      anon_sym_STAR,
    ACTIONS(5799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5801), 1,
      anon_sym_AMP,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6017), 1,
      sym__declarator,
    STATE(6267), 1,
      sym__abstract_declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    ACTIONS(7999), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [143100] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(8411), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    STATE(6989), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [143197] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8415), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8413), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [143292] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8201), 1,
      anon_sym_SEMI,
    ACTIONS(8417), 1,
      anon_sym_COMMA,
    ACTIONS(8420), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [143389] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8422), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [143483] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8424), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [143577] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8254), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [143671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      sym_literal_suffix,
    ACTIONS(4102), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4094), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143719] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6079), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6081), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [143779] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7781), 1,
      anon_sym_STAR,
    ACTIONS(7783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7785), 1,
      anon_sym_AMP,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6114), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6495), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143851] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6625), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143939] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6148), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [143997] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [144091] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [144179] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6355), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144271] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6075), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144335] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(8460), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8029), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(8036), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8031), 16,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [144389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8463), 1,
      anon_sym___attribute__,
    STATE(4220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8178), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(8176), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [144439] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [144525] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8466), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [144619] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6632), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144707] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [144791] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8468), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [144885] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_COMMA,
    ACTIONS(8472), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [144979] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [145061] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [145141] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8476), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145235] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [145311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6060), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6062), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [145369] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145443] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145513] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145579] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145647] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8478), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145739] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8480), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [145833] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8482), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [145927] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6609), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [146015] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6613), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146107] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6543), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [146195] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6619), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146287] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8484), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146381] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6625), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [146469] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6632), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [146557] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(8323), 1,
      anon_sym_LBRACE,
    STATE(4377), 1,
      sym_enumerator_list,
    STATE(4615), 1,
      sym_attribute_specifier,
    ACTIONS(5718), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5720), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [146611] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8486), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146703] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8486), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146795] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8201), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [146889] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
    STATE(1882), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4092), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4926), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [146945] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8490), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147039] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    ACTIONS(7900), 1,
      anon_sym_STAR,
    ACTIONS(7902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7904), 1,
      anon_sym_AMP,
    ACTIONS(7914), 1,
      anon_sym_const,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6217), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4658), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7751), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147117] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(8323), 1,
      anon_sym_LBRACE,
    STATE(4452), 1,
      sym_enumerator_list,
    STATE(4596), 1,
      sym_attribute_specifier,
    ACTIONS(5698), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5700), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [147171] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6044), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6046), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [147231] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8492), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147325] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8494), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [147417] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(2274), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5712), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4938), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5714), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [147473] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8496), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [147567] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    ACTIONS(8500), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [147661] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8502), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [147755] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8504), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147849] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6148), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [147907] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8506), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148001] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6044), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6046), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [148061] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6593), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148149] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6079), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6081), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [148209] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6060), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6062), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [148267] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8508), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148361] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8005), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148453] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6619), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148545] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8510), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148639] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8512), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148733] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [148825] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8514), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148919] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6543), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [149007] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149099] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8516), 1,
      anon_sym_COMMA,
    ACTIONS(8518), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149193] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8520), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149287] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8522), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149381] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6613), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149473] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6609), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [149561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4893), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4886), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149609] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8524), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149703] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8526), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149797] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8528), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [149889] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7781), 1,
      anon_sym_STAR,
    ACTIONS(7783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7785), 1,
      anon_sym_AMP,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6090), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7928), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7781), 1,
      anon_sym_STAR,
    ACTIONS(7783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7785), 1,
      anon_sym_AMP,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6116), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8015), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150033] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8530), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150125] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8532), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [150219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6714), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150265] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8534), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [150359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4845), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4849), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4853), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150497] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [150583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4878), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4841), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4882), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4874), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [150767] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8317), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150861] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [150929] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    ACTIONS(7900), 1,
      anon_sym_STAR,
    ACTIONS(7902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7904), 1,
      anon_sym_AMP,
    ACTIONS(7914), 1,
      anon_sym_const,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6226), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4637), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7759), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151007] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8538), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151101] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8540), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151195] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151261] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6075), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151331] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [151423] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6593), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [151511] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151585] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [151661] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [151741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(2531), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [151787] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [151869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4322), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5455), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5457), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5643), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5641), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [151969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5598), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5596), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [152019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7781), 1,
      anon_sym_STAR,
    ACTIONS(7783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7785), 1,
      anon_sym_AMP,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6117), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4315), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5637), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8548), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5635), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [152141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4316), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5654), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8550), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5652), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [152191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5660), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5658), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [152241] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8413), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [152333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5647), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5645), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [152383] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8552), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152475] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6619), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152567] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6609), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152655] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6075), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6077), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [152719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(4537), 1,
      sym_new_declarator,
    ACTIONS(6032), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6034), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [152769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5626), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      anon_sym_LBRACK,
    ACTIONS(4102), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4094), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152821] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6075), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [152881] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(4150), 1,
      anon_sym_STAR,
    ACTIONS(4152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4154), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7999), 1,
      anon_sym_RPAREN,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6091), 1,
      sym__declarator,
    STATE(6267), 1,
      sym__abstract_declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [152967] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8554), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153061] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6134), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6136), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153121] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [153205] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [153291] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8556), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153385] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6075), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153445] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6543), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5262), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [153579] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8558), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5318), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [153719] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8552), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [153811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5316), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5318), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [153859] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6613), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153951] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    ACTIONS(8560), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154045] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8562), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [154139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5350), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5352), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [154187] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6075), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [154251] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8486), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [154343] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8486), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [154435] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8564), 1,
      anon_sym_COMMA,
    ACTIONS(8566), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [154529] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8256), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8284), 1,
      anon_sym_QMARK,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6355), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8266), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8268), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154621] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154713] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_PIPE,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitor,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [154797] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6625), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [154885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4891), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [154931] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6632), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [155019] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8272), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [155101] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8274), 1,
      anon_sym_AMP,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8290), 1,
      anon_sym_bitand,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [155181] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6134), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6136), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [155241] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8568), 1,
      anon_sym_COMMA,
    ACTIONS(8570), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [155335] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8572), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [155429] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8276), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [155505] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    STATE(4698), 1,
      sym_field_declaration_list,
    STATE(4759), 1,
      sym_attribute_specifier,
    STATE(6619), 1,
      sym_virtual_specifier,
    STATE(7168), 1,
      sym_base_class_clause,
    ACTIONS(5245), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155567] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_COMMA,
    ACTIONS(8580), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [155661] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8582), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [155755] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(6075), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8278), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [155829] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    ACTIONS(8286), 1,
      anon_sym_LT_EQ_GT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6075), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [155901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5378), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [155947] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7316), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8584), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [156041] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6075), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6077), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [156107] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_DOT,
    ACTIONS(8264), 1,
      anon_sym_SLASH,
    ACTIONS(8280), 1,
      anon_sym_LT_LT,
    ACTIONS(8282), 1,
      anon_sym_GT_GT,
    STATE(3395), 1,
      sym_subscript_argument_list,
    STATE(3473), 1,
      sym_argument_list,
    ACTIONS(7182), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8260), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8262), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8292), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6075), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6077), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [156177] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8586), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [156268] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(4669), 1,
      sym_ref_qualifier,
    STATE(5525), 1,
      sym__function_attributes_end,
    STATE(5682), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5023), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [156353] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8592), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [156444] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8594), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [156535] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6264), 1,
      sym__type_declarator,
    STATE(7976), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4628), 1,
      sym_attribute_specifier,
    ACTIONS(5839), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5841), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156657] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8596), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [156748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7496), 1,
      sym_literal_suffix,
    ACTIONS(4102), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4094), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156795] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4683), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156886] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8598), 1,
      anon_sym_COMMA,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [156977] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6159), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5618), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157048] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2116), 1,
      sym__type_declarator,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(7781), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157121] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8600), 1,
      anon_sym_COMMA,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [157212] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7860), 1,
      sym_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN2,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(7866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7868), 1,
      anon_sym_AMP,
    ACTIONS(7872), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2773), 1,
      sym__type_declarator,
    STATE(3139), 1,
      sym_pointer_type_declarator,
    STATE(8023), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7870), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3134), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157285] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8602), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [157376] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8604), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [157467] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6122), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8015), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157538] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6144), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6495), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157609] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4771), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157700] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4751), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157791] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8606), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [157882] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4773), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157973] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8608), 1,
      anon_sym_COMMA,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [158064] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7846), 1,
      sym_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN2,
    ACTIONS(7850), 1,
      anon_sym_STAR,
    ACTIONS(7852), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7854), 1,
      anon_sym_AMP,
    ACTIONS(7858), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2882), 1,
      sym__type_declarator,
    STATE(3293), 1,
      sym_pointer_type_declarator,
    STATE(7594), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3288), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158137] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8610), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [158228] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8612), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [158319] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8614), 1,
      anon_sym_COMMA,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [158410] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8616), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [158501] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5378), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5380), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [158637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5019), 1,
      sym_ms_call_modifier,
    STATE(5231), 1,
      sym__declarator,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [158718] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym__type_declarator,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(7781), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
    ACTIONS(4855), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4862), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [158842] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158933] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8618), 1,
      anon_sym_COMMA,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [159024] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159115] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159206] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8620), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [159297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4630), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5845), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [159346] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(4997), 1,
      sym_ms_call_modifier,
    STATE(5278), 1,
      sym__declarator,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(6863), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [159427] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8393), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8622), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159518] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8624), 1,
      anon_sym_LT,
    STATE(2498), 1,
      sym_template_argument_list,
    ACTIONS(5592), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4118), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [159569] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6301), 1,
      sym__type_declarator,
    STATE(7976), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159642] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8626), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [159733] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8628), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [159824] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159915] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8632), 1,
      anon_sym_COMMA,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [160006] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(5988), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160079] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8634), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [160170] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4735), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8636), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [160352] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4767), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160443] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7821), 1,
      anon_sym_STAR,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(5660), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7791), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160516] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6028), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160589] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8638), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [160680] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7821), 1,
      anon_sym_STAR,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(5677), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7791), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160753] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8640), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [160844] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8642), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160935] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8644), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [161026] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8646), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [161117] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8648), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [161208] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8650), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161299] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161390] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8652), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4622), 1,
      sym_attribute_specifier,
    ACTIONS(5743), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5745), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161530] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8654), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [161621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4620), 1,
      sym_attribute_specifier,
    ACTIONS(5863), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5865), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161670] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8656), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [161761] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8658), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161852] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8660), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [161943] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8662), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162034] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8664), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [162125] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8666), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [162216] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8668), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [162307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6156), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7928), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8670), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8672), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [162560] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5030), 1,
      sym_ms_call_modifier,
    STATE(5181), 1,
      sym__declarator,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(6729), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [162641] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8674), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [162732] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6275), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4681), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7759), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4619), 1,
      sym_attribute_specifier,
    ACTIONS(5873), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5875), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162858] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6303), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7751), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162935] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8676), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [163026] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8678), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [163117] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6003), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4613), 1,
      sym_attribute_specifier,
    ACTIONS(5807), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5809), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163239] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7821), 1,
      anon_sym_STAR,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(5669), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7791), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163312] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163403] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163494] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163585] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2102), 1,
      sym__type_declarator,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(7781), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163658] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8680), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163749] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8682), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [163840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(2521), 33,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [163885] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5029), 1,
      sym_ms_call_modifier,
    STATE(5187), 1,
      sym__declarator,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(7015), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [163966] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8415), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [164057] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8684), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [164148] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8686), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [164239] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(6505), 1,
      sym_auto,
    ACTIONS(6507), 1,
      anon_sym_decltype,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(2614), 1,
      sym_decltype_auto,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6263), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4665), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7751), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164316] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(6505), 1,
      sym_auto,
    ACTIONS(6507), 1,
      anon_sym_decltype,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(2614), 1,
      sym_decltype_auto,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6292), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7759), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164393] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8688), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [164484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4554), 1,
      sym_attribute_specifier,
    ACTIONS(5779), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5781), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164533] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8690), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4558), 1,
      sym_attribute_specifier,
    ACTIONS(5789), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5791), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164673] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    ACTIONS(8692), 1,
      anon_sym_LBRACE,
    ACTIONS(8694), 1,
      anon_sym_COLON,
    STATE(4655), 1,
      sym__enum_base_clause,
    STATE(4689), 1,
      sym_enumerator_list,
    STATE(4782), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6040), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164730] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164821] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7860), 1,
      sym_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN2,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(7866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7868), 1,
      anon_sym_AMP,
    ACTIONS(7872), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2789), 1,
      sym__type_declarator,
    STATE(3139), 1,
      sym_pointer_type_declarator,
    STATE(8023), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7870), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3134), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164894] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8696), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [164985] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8698), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [165076] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8700), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [165167] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(4993), 1,
      sym_ms_call_modifier,
    STATE(5233), 1,
      sym__declarator,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(6857), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(4990), 1,
      sym_ms_call_modifier,
    STATE(5235), 1,
      sym__declarator,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165329] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(1816), 1,
      sym_attribute_specifier,
    STATE(4915), 1,
      sym_field_declaration_list,
    STATE(6522), 1,
      sym_virtual_specifier,
    STATE(7202), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5247), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5245), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [165390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6714), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [165435] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6296), 1,
      sym__type_declarator,
    STATE(7976), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165508] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8702), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [165599] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4727), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165690] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7846), 1,
      sym_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN2,
    ACTIONS(7850), 1,
      anon_sym_STAR,
    ACTIONS(7852), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7854), 1,
      anon_sym_AMP,
    ACTIONS(7858), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2863), 1,
      sym__type_declarator,
    STATE(3293), 1,
      sym_pointer_type_declarator,
    STATE(7594), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3288), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165763] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7860), 1,
      sym_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN2,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(7866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7868), 1,
      anon_sym_AMP,
    ACTIONS(7872), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2829), 1,
      sym__type_declarator,
    STATE(3139), 1,
      sym_pointer_type_declarator,
    STATE(8023), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7870), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3134), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165836] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    ACTIONS(8692), 1,
      anon_sym_LBRACE,
    ACTIONS(8694), 1,
      anon_sym_COLON,
    STATE(4659), 1,
      sym__enum_base_clause,
    STATE(4679), 1,
      sym_enumerator_list,
    STATE(4729), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6028), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165893] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8704), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [165984] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8706), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166075] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8708), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4602), 1,
      sym_attribute_specifier,
    ACTIONS(5833), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5835), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166215] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166306] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166397] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8717), 1,
      anon_sym_requires,
    STATE(4670), 1,
      sym_ref_qualifier,
    STATE(5552), 1,
      sym__function_attributes_end,
    STATE(5621), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4985), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [166482] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8720), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4600), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5857), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166622] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7829), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(5770), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7534), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166695] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8722), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166786] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8724), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166877] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8726), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [166968] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8728), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167059] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8730), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167150] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5020), 1,
      sym_ms_call_modifier,
    STATE(5184), 1,
      sym__declarator,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(7068), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [167231] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8732), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167322] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8734), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167413] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4731), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167504] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167595] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_RBRACK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167686] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8738), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167777] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8740), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167868] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8742), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [167959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4595), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5849), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168008] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_RPAREN,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168099] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8746), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168190] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8748), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168281] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4148), 1,
      anon_sym_LPAREN2,
    ACTIONS(4150), 1,
      anon_sym_STAR,
    ACTIONS(4152), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4154), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5614), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6239), 1,
      sym__declarator,
    STATE(6420), 1,
      sym__abstract_declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [168364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5316), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5318), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    STATE(4591), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5853), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168458] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8750), 1,
      anon_sym_RBRACE,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168549] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7829), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(5856), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7534), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
    ACTIONS(5592), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4118), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [168673] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168764] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8752), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      sym_auto,
    ACTIONS(7757), 1,
      anon_sym_decltype,
    STATE(4586), 1,
      sym_decltype_auto,
    ACTIONS(5322), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5324), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168906] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8754), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [168997] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7846), 1,
      sym_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN2,
    ACTIONS(7850), 1,
      anon_sym_STAR,
    ACTIONS(7852), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7854), 1,
      anon_sym_AMP,
    ACTIONS(7858), 1,
      sym_primitive_type,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(2853), 1,
      sym__type_declarator,
    STATE(3293), 1,
      sym_pointer_type_declarator,
    STATE(7594), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3288), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169070] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7829), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(1819), 1,
      sym_alignas_qualifier,
    STATE(5776), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7534), 1,
      sym_ms_based_modifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169143] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(7270), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8432), 1,
      anon_sym_SLASH,
    ACTIONS(8438), 1,
      anon_sym_PIPE,
    ACTIONS(8442), 1,
      anon_sym_AMP,
    ACTIONS(8448), 1,
      anon_sym_GT_EQ,
    ACTIONS(8452), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8454), 1,
      anon_sym_bitor,
    ACTIONS(8456), 1,
      anon_sym_bitand,
    ACTIONS(8458), 1,
      anon_sym_QMARK,
    ACTIONS(8756), 1,
      anon_sym_COLON,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(7272), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8434), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8436), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8440), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8444), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8446), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169234] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8758), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [169325] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4749), 1,
      anon_sym_RBRACK,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8222), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE,
    ACTIONS(8232), 1,
      anon_sym_AMP,
    ACTIONS(8238), 1,
      anon_sym_GT_EQ,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8248), 1,
      anon_sym_bitor,
    ACTIONS(8250), 1,
      anon_sym_bitand,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8218), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8220), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8224), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8226), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8230), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8234), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8236), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8624), 1,
      anon_sym_LT,
    STATE(2498), 1,
      sym_template_argument_list,
    ACTIONS(4855), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4862), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169467] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    ACTIONS(8760), 1,
      anon_sym_SEMI,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [169558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6162), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4322), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5334), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8544), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5336), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5512), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6228), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6345), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6347), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5508), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5446), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5414), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6232), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6196), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5422), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5426), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6240), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170136] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(6191), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6495), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6242), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6244), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5492), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6250), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6252), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5504), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6184), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6214), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6216), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6178), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5539), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6254), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6256), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8762), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6164), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(6166), 30,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [170648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6260), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170692] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8624), 1,
      anon_sym_LT,
    STATE(2274), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2498), 1,
      sym_template_argument_list,
    ACTIONS(4092), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4938), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [170746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6200), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170790] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(4862), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4855), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [170840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6204), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6264), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170928] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5002), 1,
      sym_ms_call_modifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6081), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5438), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171050] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(6212), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8015), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171120] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8765), 1,
      anon_sym___attribute__,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    STATE(4715), 1,
      sym_ref_qualifier,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5511), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5037), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [171204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6268), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5414), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171292] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5031), 1,
      sym_ms_call_modifier,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6261), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6320), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5414), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171458] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5012), 1,
      sym_ms_call_modifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6075), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6292), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5432), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5434), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6353), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6355), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171668] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8765), 1,
      anon_sym___attribute__,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4708), 1,
      sym_ref_qualifier,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5498), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5046), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [171752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6272), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6276), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6377), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6280), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5923), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5925), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5472), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172018] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(4982), 1,
      sym_ms_call_modifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6064), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [172096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5336), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5410), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172184] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(6198), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5618), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5430), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6296), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6222), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6224), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5457), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5461), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5468), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5476), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2694), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5480), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5484), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5398), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5488), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6300), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5480), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6333), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6335), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5535), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172958] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5032), 1,
      sym_ms_call_modifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6047), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3741), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6304), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6312), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4138), 1,
      anon_sym_SEMI,
    ACTIONS(6676), 1,
      sym_literal_suffix,
    ACTIONS(4102), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4094), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5531), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5527), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173304] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4138), 1,
      anon_sym_SEMI,
    ACTIONS(4924), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5626), 1,
      anon_sym_LPAREN2,
    ACTIONS(5629), 1,
      anon_sym_LBRACK,
    ACTIONS(4102), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4094), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5523), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8779), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5899), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5901), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173448] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5005), 1,
      sym_ms_call_modifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6065), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173526] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    ACTIONS(6048), 1,
      anon_sym_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DOT,
    ACTIONS(7948), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8147), 1,
      anon_sym_SLASH,
    ACTIONS(8151), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8155), 1,
      anon_sym_GT_EQ,
    ACTIONS(8164), 1,
      anon_sym_PIPE,
    ACTIONS(8168), 1,
      anon_sym_AMP,
    ACTIONS(8172), 1,
      anon_sym_bitor,
    ACTIONS(8174), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_QMARK,
    STATE(2381), 1,
      sym_argument_list,
    STATE(2382), 1,
      sym_subscript_argument_list,
    ACTIONS(6054), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8143), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8145), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8149), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8162), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8166), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8153), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8170), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
  [173614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5516), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5402), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6351), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5500), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173790] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      anon_sym_const,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(4465), 1,
      sym_alignas_qualifier,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(6200), 1,
      sym__abstract_declarator,
    ACTIONS(6905), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4083), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6895), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5496), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6324), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [173948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    ACTIONS(4118), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5592), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [173998] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(4995), 1,
      sym_ms_call_modifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6058), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5406), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6328), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5559), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym___asm,
    ACTIONS(5442), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6212), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174296] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5014), 1,
      sym_ms_call_modifier,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6102), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [174374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6208), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4094), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [174462] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5878), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_STAR,
    ACTIONS(7902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7904), 1,
      anon_sym_AMP,
    ACTIONS(7914), 1,
      anon_sym_const,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6234), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8015), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174600] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4724), 1,
      sym_ref_qualifier,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5576), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5066), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [174683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(6240), 1,
      sym__field_declarator,
    STATE(6332), 1,
      sym_operator_name,
    STATE(8002), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174752] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7942), 1,
      anon_sym_STAR,
    ACTIONS(7944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7946), 1,
      anon_sym_AMP,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6108), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6495), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174821] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(6236), 1,
      sym__field_declarator,
    STATE(6332), 1,
      sym_operator_name,
    STATE(8002), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174890] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8787), 1,
      anon_sym___asm,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(4763), 1,
      sym_ref_qualifier,
    STATE(5356), 1,
      sym__function_attributes_end,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5070), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [174973] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7759), 1,
      anon_sym_COLON,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    ACTIONS(7914), 1,
      anon_sym_const,
    ACTIONS(8183), 1,
      anon_sym_STAR,
    ACTIONS(8185), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8187), 1,
      anon_sym_AMP,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6403), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4787), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175048] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4050), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4092), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7882), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4100), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [175101] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5832), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175170] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(6244), 1,
      sym__field_declarator,
    STATE(6332), 1,
      sym_operator_name,
    STATE(8002), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175239] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4769), 1,
      sym_ref_qualifier,
    STATE(5403), 1,
      sym_trailing_return_type,
    STATE(5581), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5073), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [175322] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8787), 1,
      anon_sym___asm,
    STATE(4785), 1,
      sym_ref_qualifier,
    STATE(5407), 1,
      sym__function_attributes_end,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5060), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [175405] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7751), 1,
      anon_sym_COLON,
    ACTIONS(7777), 1,
      sym_auto,
    ACTIONS(7779), 1,
      anon_sym_decltype,
    ACTIONS(7914), 1,
      anon_sym_const,
    ACTIONS(8183), 1,
      anon_sym_STAR,
    ACTIONS(8185), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8187), 1,
      anon_sym_AMP,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6371), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4727), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175480] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(4738), 1,
      sym_ref_qualifier,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(5603), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5058), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [175563] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_STAR,
    ACTIONS(7902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7904), 1,
      anon_sym_AMP,
    ACTIONS(7914), 1,
      anon_sym_const,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6235), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6495), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175632] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    STATE(4734), 1,
      sym_ref_qualifier,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5063), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [175715] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5901), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(2890), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(2888), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175784] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8787), 1,
      anon_sym___asm,
    STATE(4776), 1,
      sym_ref_qualifier,
    STATE(5353), 1,
      sym__function_attributes_end,
    STATE(5403), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5057), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [175867] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    ACTIONS(8692), 1,
      anon_sym_LBRACE,
    STATE(4682), 1,
      sym_enumerator_list,
    STATE(4737), 1,
      sym_attribute_specifier,
    ACTIONS(5698), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5700), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [175918] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    ACTIONS(8787), 1,
      anon_sym___asm,
    STATE(4752), 1,
      sym_ref_qualifier,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5374), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5074), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [176001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4138), 1,
      anon_sym_SEMI,
    ACTIONS(4102), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4094), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176046] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_STAR,
    ACTIONS(7902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7904), 1,
      anon_sym_AMP,
    ACTIONS(7914), 1,
      anon_sym_const,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6225), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    ACTIONS(8692), 1,
      anon_sym_LBRACE,
    STATE(4687), 1,
      sym_enumerator_list,
    STATE(4777), 1,
      sym_attribute_specifier,
    ACTIONS(5718), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5720), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [176166] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_STAR,
    ACTIONS(7902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7904), 1,
      anon_sym_AMP,
    ACTIONS(7914), 1,
      anon_sym_const,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6233), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5618), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7942), 1,
      anon_sym_STAR,
    ACTIONS(7944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7946), 1,
      anon_sym_AMP,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6073), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5618), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176304] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8793), 1,
      sym_identifier,
    ACTIONS(8795), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8799), 1,
      anon_sym_EQ,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5247), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8797), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5251), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5027), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [176394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4767), 1,
      sym_attribute_specifier,
    ACTIONS(5789), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5791), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [176440] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6308), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6495), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176508] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6288), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176576] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5525), 1,
      sym__function_attributes_end,
    STATE(5682), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5023), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [176652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(8801), 1,
      anon_sym_COLON,
    STATE(1791), 1,
      sym_attribute_specifier,
    STATE(4743), 1,
      sym__enum_base_clause,
    STATE(4884), 1,
      sym_enumerator_list,
    ACTIONS(6028), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6026), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [176706] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8717), 1,
      anon_sym_requires,
    STATE(5552), 1,
      sym__function_attributes_end,
    STATE(5621), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4985), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [176782] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5531), 1,
      sym__function_attributes_end,
    STATE(5670), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5026), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [176858] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8810), 1,
      anon_sym_requires,
    STATE(5551), 1,
      sym__function_attributes_end,
    STATE(5618), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4992), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [176934] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4807), 1,
      sym_ref_qualifier,
    STATE(5685), 1,
      sym__function_attributes_end,
    STATE(5850), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5081), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [177016] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(4799), 1,
      sym_ref_qualifier,
    STATE(5762), 1,
      sym__function_attributes_end,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5091), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [177098] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6287), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5618), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177166] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(8813), 1,
      anon_sym_COLON,
    STATE(1808), 1,
      sym_attribute_specifier,
    STATE(2201), 1,
      sym__enum_base_clause,
    STATE(2283), 1,
      sym_enumerator_list,
    ACTIONS(6038), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6040), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [177220] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6271), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177288] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6270), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6495), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177356] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8815), 1,
      anon_sym_requires,
    STATE(4813), 1,
      sym_ref_qualifier,
    STATE(5738), 1,
      sym__function_attributes_end,
    STATE(5789), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5082), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [177438] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8818), 1,
      anon_sym_requires,
    STATE(4796), 1,
      sym_ref_qualifier,
    STATE(5637), 1,
      sym__function_attributes_end,
    STATE(5793), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5077), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [177520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4772), 1,
      sym_attribute_specifier,
    ACTIONS(5807), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5809), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4795), 1,
      sym_attribute_specifier,
    ACTIONS(5843), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5845), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177612] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6312), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8015), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4781), 1,
      sym_attribute_specifier,
    ACTIONS(5873), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5875), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177726] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym___attribute__,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(8813), 1,
      anon_sym_COLON,
    STATE(1791), 1,
      sym_attribute_specifier,
    STATE(2162), 1,
      sym__enum_base_clause,
    STATE(2240), 1,
      sym_enumerator_list,
    ACTIONS(6026), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6028), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [177780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4726), 1,
      sym_attribute_specifier,
    ACTIONS(5851), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5853), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177826] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    STATE(2494), 1,
      sym__enum_base_clause,
    STATE(2516), 1,
      sym_enumerator_list,
    STATE(2688), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6028), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [177880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4312), 1,
      sym_alignas_qualifier,
    ACTIONS(8826), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8031), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(8029), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8823), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4762), 1,
      sym_attribute_specifier,
    ACTIONS(5839), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5841), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [177976] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4809), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5714), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5712), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [178026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4730), 1,
      sym_attribute_specifier,
    ACTIONS(5847), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5849), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178072] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1852), 1,
      anon_sym_enum,
    ACTIONS(1854), 1,
      anon_sym_class,
    ACTIONS(1856), 1,
      anon_sym_struct,
    ACTIONS(1858), 1,
      anon_sym_union,
    ACTIONS(1882), 1,
      anon_sym_typename,
    ACTIONS(3229), 1,
      sym_primitive_type,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8795), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8799), 1,
      anon_sym_EQ,
    ACTIONS(8829), 1,
      sym_identifier,
    STATE(2288), 1,
      sym_type_specifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2463), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2954), 1,
      sym_qualified_type_identifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    ACTIONS(8797), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [178156] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym___attribute__,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    STATE(2497), 1,
      sym__enum_base_clause,
    STATE(2530), 1,
      sym_enumerator_list,
    STATE(2658), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6040), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [178210] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6286), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8015), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178278] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8031), 1,
      anon_sym_AMP,
    ACTIONS(8823), 1,
      anon_sym_const,
    STATE(4312), 1,
      sym_alignas_qualifier,
    ACTIONS(8834), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8831), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8029), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4791), 1,
      sym_attribute_specifier,
    ACTIONS(5743), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5745), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178376] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(8801), 1,
      anon_sym_COLON,
    STATE(1808), 1,
      sym_attribute_specifier,
    STATE(4720), 1,
      sym__enum_base_clause,
    STATE(4949), 1,
      sym_enumerator_list,
    ACTIONS(6040), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6038), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [178430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4780), 1,
      sym_attribute_specifier,
    ACTIONS(5863), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5865), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178476] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_const,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(4312), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6266), 1,
      sym__abstract_declarator,
    ACTIONS(7694), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4693), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5618), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7686), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4751), 1,
      sym_attribute_specifier,
    ACTIONS(5855), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5857), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4783), 1,
      sym_attribute_specifier,
    ACTIONS(5779), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5781), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8574), 1,
      anon_sym___attribute__,
    STATE(4758), 1,
      sym_attribute_specifier,
    ACTIONS(5833), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5835), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5444), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5446), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5334), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5336), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5476), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178807] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8765), 1,
      anon_sym___attribute__,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5511), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5037), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [178882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5529), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5531), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5508), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178964] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(4821), 1,
      sym_ref_qualifier,
    STATE(5886), 1,
      sym__function_attributes_end,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5093), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [179045] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      anon_sym___attribute__,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5320), 1,
      sym_trailing_return_type,
    STATE(5485), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5049), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [179120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5338), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5340), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(8843), 1,
      anon_sym_LPAREN2,
    STATE(2241), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3456), 1,
      sym_argument_list,
    STATE(4593), 1,
      sym_initializer_list,
    ACTIONS(5334), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5979), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5336), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [179214] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8765), 1,
      anon_sym___attribute__,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5498), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5046), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [179289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7878), 1,
      sym_auto,
    ACTIONS(7880), 1,
      anon_sym_decltype,
    STATE(4788), 1,
      sym_decltype_auto,
    ACTIONS(5322), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5324), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5457), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179377] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_requires,
    STATE(4893), 1,
      sym_ref_qualifier,
    STATE(5833), 1,
      sym__function_attributes_end,
    STATE(6010), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5100), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [179458] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      anon_sym___attribute__,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5367), 1,
      sym_trailing_return_type,
    STATE(5448), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5036), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [179533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5410), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179574] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8861), 1,
      sym_primitive_type,
    ACTIONS(8863), 1,
      anon_sym_enum,
    ACTIONS(8865), 1,
      anon_sym_class,
    ACTIONS(8867), 1,
      anon_sym_struct,
    ACTIONS(8869), 1,
      anon_sym_union,
    ACTIONS(8871), 1,
      sym_auto,
    ACTIONS(8873), 1,
      anon_sym_decltype,
    ACTIONS(8875), 1,
      anon_sym_typename,
    STATE(2310), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2555), 1,
      sym_type_specifier,
    STATE(2845), 1,
      sym_decltype_auto,
    STATE(2894), 1,
      sym_qualified_type_identifier,
    STATE(4820), 1,
      sym_argument_list,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2835), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8859), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2890), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179654] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2632), 1,
      sym_auto,
    ACTIONS(2634), 1,
      anon_sym_decltype,
    ACTIONS(7700), 1,
      sym_primitive_type,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8877), 1,
      sym_identifier,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8881), 1,
      anon_sym_enum,
    ACTIONS(8883), 1,
      anon_sym_class,
    ACTIONS(8885), 1,
      anon_sym_struct,
    ACTIONS(8887), 1,
      anon_sym_union,
    ACTIONS(8889), 1,
      anon_sym_typename,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2653), 1,
      sym_decltype_auto,
    STATE(2670), 1,
      sym_qualified_type_identifier,
    STATE(3948), 1,
      sym_type_specifier,
    STATE(4975), 1,
      sym_argument_list,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2662), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5414), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179774] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    STATE(1802), 1,
      sym_attribute_specifier,
    STATE(4879), 1,
      sym_enumerator_list,
    ACTIONS(5700), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5698), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [179822] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8891), 1,
      sym_ms_restrict_modifier,
    STATE(5003), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7383), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8894), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8897), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4721), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7385), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [179872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5438), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179912] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    ACTIONS(8787), 1,
      anon_sym___asm,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5374), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5074), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [179986] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5320), 1,
      sym_trailing_return_type,
    STATE(5595), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5055), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [180060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5453), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5430), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180140] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7914), 1,
      anon_sym_const,
    ACTIONS(7928), 1,
      anon_sym_COLON,
    ACTIONS(8183), 1,
      anon_sym_STAR,
    ACTIONS(8185), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8187), 1,
      anon_sym_AMP,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6401), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180206] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8900), 1,
      sym_identifier,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8906), 1,
      sym_primitive_type,
    ACTIONS(8908), 1,
      anon_sym_enum,
    ACTIONS(8910), 1,
      anon_sym_class,
    ACTIONS(8912), 1,
      anon_sym_struct,
    ACTIONS(8914), 1,
      anon_sym_union,
    ACTIONS(8916), 1,
      sym_auto,
    ACTIONS(8918), 1,
      anon_sym_decltype,
    ACTIONS(8920), 1,
      anon_sym_typename,
    STATE(1839), 1,
      sym_type_specifier,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2153), 1,
      sym_decltype_auto,
    STATE(2170), 1,
      sym_qualified_type_identifier,
    STATE(4916), 1,
      sym_argument_list,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8904), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2199), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5432), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5434), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5461), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180366] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7557), 1,
      sym_primitive_type,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8926), 1,
      anon_sym_enum,
    ACTIONS(8928), 1,
      anon_sym_class,
    ACTIONS(8930), 1,
      anon_sym_struct,
    ACTIONS(8932), 1,
      anon_sym_union,
    ACTIONS(8934), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3938), 1,
      sym_type_specifier,
    STATE(4826), 1,
      sym_argument_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180446] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(6495), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7914), 1,
      anon_sym_const,
    ACTIONS(8183), 1,
      anon_sym_STAR,
    ACTIONS(8185), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8187), 1,
      anon_sym_AMP,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6405), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180512] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8936), 1,
      sym_identifier,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8942), 1,
      sym_primitive_type,
    ACTIONS(8944), 1,
      anon_sym_enum,
    ACTIONS(8946), 1,
      anon_sym_class,
    ACTIONS(8948), 1,
      anon_sym_struct,
    ACTIONS(8950), 1,
      anon_sym_union,
    ACTIONS(8952), 1,
      sym_auto,
    ACTIONS(8954), 1,
      anon_sym_decltype,
    ACTIONS(8956), 1,
      anon_sym_typename,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2810), 1,
      sym_type_specifier,
    STATE(3213), 1,
      sym_decltype_auto,
    STATE(3232), 1,
      sym_qualified_type_identifier,
    STATE(4869), 1,
      sym_argument_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(3189), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8940), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3217), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180592] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5367), 1,
      sym_trailing_return_type,
    STATE(5568), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5072), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [180666] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(8323), 1,
      anon_sym_LBRACE,
    ACTIONS(8958), 1,
      anon_sym_COLON,
    STATE(4253), 1,
      sym__enum_base_clause,
    STATE(4516), 1,
      sym_enumerator_list,
    STATE(4552), 1,
      sym_attribute_specifier,
    ACTIONS(6038), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6040), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [180718] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8900), 1,
      sym_identifier,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8906), 1,
      sym_primitive_type,
    ACTIONS(8908), 1,
      anon_sym_enum,
    ACTIONS(8910), 1,
      anon_sym_class,
    ACTIONS(8912), 1,
      anon_sym_struct,
    ACTIONS(8914), 1,
      anon_sym_union,
    ACTIONS(8916), 1,
      sym_auto,
    ACTIONS(8918), 1,
      anon_sym_decltype,
    ACTIONS(8920), 1,
      anon_sym_typename,
    STATE(1838), 1,
      sym_type_specifier,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2153), 1,
      sym_decltype_auto,
    STATE(2170), 1,
      sym_qualified_type_identifier,
    STATE(4902), 1,
      sym_argument_list,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8904), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2199), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5468), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180838] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8963), 1,
      anon_sym_requires,
    STATE(5394), 1,
      sym_trailing_return_type,
    STATE(5602), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5056), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [180912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5426), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180952] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7557), 1,
      sym_primitive_type,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8926), 1,
      anon_sym_enum,
    ACTIONS(8928), 1,
      anon_sym_class,
    ACTIONS(8930), 1,
      anon_sym_struct,
    ACTIONS(8932), 1,
      anon_sym_union,
    ACTIONS(8934), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3936), 1,
      sym_type_specifier,
    STATE(4908), 1,
      sym_argument_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5442), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181072] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8861), 1,
      sym_primitive_type,
    ACTIONS(8863), 1,
      anon_sym_enum,
    ACTIONS(8865), 1,
      anon_sym_class,
    ACTIONS(8867), 1,
      anon_sym_struct,
    ACTIONS(8869), 1,
      anon_sym_union,
    ACTIONS(8871), 1,
      sym_auto,
    ACTIONS(8873), 1,
      anon_sym_decltype,
    ACTIONS(8875), 1,
      anon_sym_typename,
    STATE(2310), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2586), 1,
      sym_type_specifier,
    STATE(2845), 1,
      sym_decltype_auto,
    STATE(2894), 1,
      sym_qualified_type_identifier,
    STATE(4852), 1,
      sym_argument_list,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2835), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8859), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2890), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181152] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    STATE(1821), 1,
      sym_attribute_specifier,
    STATE(4863), 1,
      sym_enumerator_list,
    ACTIONS(5720), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5718), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [181200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5480), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5398), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181280] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8787), 1,
      anon_sym___asm,
    STATE(5407), 1,
      sym__function_attributes_end,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5060), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [181354] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(5603), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5058), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [181428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5336), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181468] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5403), 1,
      sym_trailing_return_type,
    STATE(5581), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5073), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [181542] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2632), 1,
      sym_auto,
    ACTIONS(2634), 1,
      anon_sym_decltype,
    ACTIONS(7700), 1,
      sym_primitive_type,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8877), 1,
      sym_identifier,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8881), 1,
      anon_sym_enum,
    ACTIONS(8883), 1,
      anon_sym_class,
    ACTIONS(8885), 1,
      anon_sym_struct,
    ACTIONS(8887), 1,
      anon_sym_union,
    ACTIONS(8889), 1,
      anon_sym_typename,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2653), 1,
      sym_decltype_auto,
    STATE(2670), 1,
      sym_qualified_type_identifier,
    STATE(3943), 1,
      sym_type_specifier,
    STATE(4874), 1,
      sym_argument_list,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2662), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5484), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181662] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    ACTIONS(8969), 1,
      anon_sym___asm,
    STATE(5290), 1,
      sym__function_attributes_end,
    STATE(5367), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8966), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5065), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [181736] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8972), 1,
      sym_identifier,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8978), 1,
      sym_primitive_type,
    ACTIONS(8980), 1,
      anon_sym_enum,
    ACTIONS(8982), 1,
      anon_sym_class,
    ACTIONS(8984), 1,
      anon_sym_struct,
    ACTIONS(8986), 1,
      anon_sym_union,
    ACTIONS(8988), 1,
      sym_auto,
    ACTIONS(8990), 1,
      anon_sym_decltype,
    ACTIONS(8992), 1,
      anon_sym_typename,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3276), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3670), 1,
      sym_type_specifier,
    STATE(3924), 1,
      sym_decltype_auto,
    STATE(4824), 1,
      sym_argument_list,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(3849), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3923), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181816] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(5618), 1,
      anon_sym_COLON,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7914), 1,
      anon_sym_const,
    ACTIONS(8183), 1,
      anon_sym_STAR,
    ACTIONS(8185), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8187), 1,
      anon_sym_AMP,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6404), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181882] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5576), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5066), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [181956] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8994), 1,
      sym_identifier,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9000), 1,
      sym_primitive_type,
    ACTIONS(9002), 1,
      anon_sym_enum,
    ACTIONS(9004), 1,
      anon_sym_class,
    ACTIONS(9006), 1,
      anon_sym_struct,
    ACTIONS(9008), 1,
      anon_sym_union,
    ACTIONS(9010), 1,
      sym_auto,
    ACTIONS(9012), 1,
      anon_sym_decltype,
    ACTIONS(9014), 1,
      anon_sym_typename,
    STATE(2451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2635), 1,
      sym_type_specifier,
    STATE(2993), 1,
      sym_qualified_type_identifier,
    STATE(3064), 1,
      sym_decltype_auto,
    STATE(4970), 1,
      sym_argument_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2906), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3063), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182036] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8936), 1,
      sym_identifier,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8942), 1,
      sym_primitive_type,
    ACTIONS(8944), 1,
      anon_sym_enum,
    ACTIONS(8946), 1,
      anon_sym_class,
    ACTIONS(8948), 1,
      anon_sym_struct,
    ACTIONS(8950), 1,
      anon_sym_union,
    ACTIONS(8952), 1,
      sym_auto,
    ACTIONS(8954), 1,
      anon_sym_decltype,
    ACTIONS(8956), 1,
      anon_sym_typename,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2797), 1,
      sym_type_specifier,
    STATE(3213), 1,
      sym_decltype_auto,
    STATE(3232), 1,
      sym_qualified_type_identifier,
    STATE(4858), 1,
      sym_argument_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(3189), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8940), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3217), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5488), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5512), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5480), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182236] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8994), 1,
      sym_identifier,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9000), 1,
      sym_primitive_type,
    ACTIONS(9002), 1,
      anon_sym_enum,
    ACTIONS(9004), 1,
      anon_sym_class,
    ACTIONS(9006), 1,
      anon_sym_struct,
    ACTIONS(9008), 1,
      anon_sym_union,
    ACTIONS(9010), 1,
      sym_auto,
    ACTIONS(9012), 1,
      anon_sym_decltype,
    ACTIONS(9014), 1,
      anon_sym_typename,
    STATE(2451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2637), 1,
      sym_type_specifier,
    STATE(2993), 1,
      sym_qualified_type_identifier,
    STATE(3064), 1,
      sym_decltype_auto,
    STATE(4957), 1,
      sym_argument_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2906), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3063), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5406), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182356] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8963), 1,
      anon_sym_requires,
    ACTIONS(8969), 1,
      anon_sym___asm,
    STATE(5354), 1,
      sym__function_attributes_end,
    STATE(5394), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8966), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5052), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [182430] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8787), 1,
      anon_sym___asm,
    STATE(5353), 1,
      sym__function_attributes_end,
    STATE(5403), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5057), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [182504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5535), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182544] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(8323), 1,
      anon_sym_LBRACE,
    ACTIONS(8958), 1,
      anon_sym_COLON,
    STATE(4246), 1,
      sym__enum_base_clause,
    STATE(4457), 1,
      sym_enumerator_list,
    STATE(4578), 1,
      sym_attribute_specifier,
    ACTIONS(6026), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6028), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [182596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5537), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5539), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5414), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182676] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5371), 1,
      sym_trailing_return_type,
    STATE(5578), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5069), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [182750] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7557), 1,
      sym_primitive_type,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8926), 1,
      anon_sym_enum,
    ACTIONS(8928), 1,
      anon_sym_class,
    ACTIONS(8930), 1,
      anon_sym_struct,
    ACTIONS(8932), 1,
      anon_sym_union,
    ACTIONS(8934), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3824), 1,
      sym_type_specifier,
    STATE(4914), 1,
      sym_argument_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5412), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5414), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5527), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182910] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7557), 1,
      sym_primitive_type,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8926), 1,
      anon_sym_enum,
    ACTIONS(8928), 1,
      anon_sym_class,
    ACTIONS(8930), 1,
      anon_sym_struct,
    ACTIONS(8932), 1,
      anon_sym_union,
    ACTIONS(8934), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3834), 1,
      sym_type_specifier,
    STATE(4822), 1,
      sym_argument_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182990] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(4809), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4100), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9016), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4092), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [183040] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8787), 1,
      anon_sym___asm,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5356), 1,
      sym__function_attributes_end,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5070), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [183114] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8969), 1,
      anon_sym___asm,
    STATE(5371), 1,
      sym_trailing_return_type,
    STATE(5446), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8966), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5064), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [183188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5523), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5336), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183268] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8972), 1,
      sym_identifier,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8978), 1,
      sym_primitive_type,
    ACTIONS(8980), 1,
      anon_sym_enum,
    ACTIONS(8982), 1,
      anon_sym_class,
    ACTIONS(8984), 1,
      anon_sym_struct,
    ACTIONS(8986), 1,
      anon_sym_union,
    ACTIONS(8988), 1,
      sym_auto,
    ACTIONS(8990), 1,
      anon_sym_decltype,
    ACTIONS(8992), 1,
      anon_sym_typename,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3276), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3677), 1,
      sym_type_specifier,
    STATE(3924), 1,
      sym_decltype_auto,
    STATE(4819), 1,
      sym_argument_list,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(3849), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3923), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5402), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5516), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5492), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5504), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5422), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183548] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8969), 1,
      anon_sym___asm,
    STATE(5320), 1,
      sym_trailing_return_type,
    STATE(5384), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8966), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5051), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [183622] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5063), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [183696] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7914), 1,
      anon_sym_const,
    ACTIONS(8015), 1,
      anon_sym_COLON,
    ACTIONS(8183), 1,
      anon_sym_STAR,
    ACTIONS(8185), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8187), 1,
      anon_sym_AMP,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5110), 1,
      sym_alignas_qualifier,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6393), 1,
      sym__abstract_declarator,
    ACTIONS(7916), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7906), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5472), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183802] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5326), 1,
      sym_auto,
    ACTIONS(5328), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4999), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9020), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9018), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183856] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8910), 1,
      anon_sym_class,
    ACTIONS(8912), 1,
      anon_sym_struct,
    ACTIONS(8914), 1,
      anon_sym_union,
    ACTIONS(8916), 1,
      sym_auto,
    ACTIONS(8918), 1,
      anon_sym_decltype,
    ACTIONS(9022), 1,
      sym_identifier,
    ACTIONS(9026), 1,
      sym_primitive_type,
    ACTIONS(9028), 1,
      anon_sym_enum,
    ACTIONS(9030), 1,
      anon_sym_typename,
    STATE(1838), 1,
      sym_type_specifier,
    STATE(2109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2153), 1,
      sym_decltype_auto,
    STATE(2170), 1,
      sym_qualified_type_identifier,
    STATE(4834), 1,
      sym_argument_list,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9024), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2199), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [183936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5500), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5496), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184016] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8910), 1,
      anon_sym_class,
    ACTIONS(8912), 1,
      anon_sym_struct,
    ACTIONS(8914), 1,
      anon_sym_union,
    ACTIONS(8916), 1,
      sym_auto,
    ACTIONS(8918), 1,
      anon_sym_decltype,
    ACTIONS(9022), 1,
      sym_identifier,
    ACTIONS(9026), 1,
      sym_primitive_type,
    ACTIONS(9028), 1,
      anon_sym_enum,
    ACTIONS(9030), 1,
      anon_sym_typename,
    STATE(1839), 1,
      sym_type_specifier,
    STATE(2109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2153), 1,
      sym_decltype_auto,
    STATE(2170), 1,
      sym_qualified_type_identifier,
    STATE(4866), 1,
      sym_argument_list,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9024), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2199), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [184096] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5326), 1,
      sym_auto,
    ACTIONS(5328), 1,
      anon_sym_decltype,
    STATE(1803), 1,
      sym_decltype_auto,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4987), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9034), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9032), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5559), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184190] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_requires,
    STATE(5642), 1,
      sym__function_attributes_end,
    STATE(5804), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5083), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [184263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5641), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9039), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5643), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184306] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5762), 1,
      sym__function_attributes_end,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5091), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [184379] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5760), 1,
      sym__function_attributes_end,
    STATE(5772), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5078), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [184452] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8815), 1,
      anon_sym_requires,
    STATE(5738), 1,
      sym__function_attributes_end,
    STATE(5789), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5082), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [184525] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9042), 1,
      sym_identifier,
    ACTIONS(9048), 1,
      sym_primitive_type,
    STATE(4815), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5543), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9045), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5545), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [184572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5596), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9051), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5598), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184615] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8815), 1,
      anon_sym_requires,
    STATE(5043), 1,
      sym_ref_qualifier,
    STATE(5789), 1,
      sym_trailing_return_type,
    STATE(6011), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5126), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [184694] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5045), 1,
      sym_ref_qualifier,
    STATE(5922), 1,
      sym__function_attributes_end,
    STATE(6055), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5128), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [184773] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(5038), 1,
      sym_ref_qualifier,
    STATE(5953), 1,
      sym__function_attributes_end,
    STATE(6109), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5121), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [184852] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6644), 1,
      anon_sym_AMP,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5040), 1,
      sym_ref_qualifier,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(5997), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5111), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [184931] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5656), 1,
      sym__function_attributes_end,
    STATE(5859), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5080), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [185004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5645), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9057), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5647), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5658), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9060), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5660), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4802), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5652), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9063), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5654), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185133] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5685), 1,
      sym__function_attributes_end,
    STATE(5850), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5081), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [185206] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(6379), 1,
      anon_sym_LPAREN2,
    STATE(1870), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2352), 1,
      sym_argument_list,
    STATE(3768), 1,
      sym_initializer_list,
    ACTIONS(5334), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5620), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5336), 20,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [185257] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_requires,
    STATE(5731), 1,
      sym__function_attributes_end,
    STATE(5794), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5079), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [185330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4797), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5635), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9069), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5637), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1861), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5551), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5554), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4808), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5457), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5455), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    ACTIONS(7114), 1,
      anon_sym_LPAREN2,
    STATE(1870), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3257), 1,
      sym_initializer_list,
    STATE(3260), 1,
      sym_argument_list,
    ACTIONS(5334), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5620), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5336), 20,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [185508] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8818), 1,
      anon_sym_requires,
    STATE(5637), 1,
      sym__function_attributes_end,
    STATE(5793), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5077), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [185581] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8972), 1,
      sym_identifier,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8978), 1,
      sym_primitive_type,
    ACTIONS(8980), 1,
      anon_sym_enum,
    ACTIONS(8982), 1,
      anon_sym_class,
    ACTIONS(8984), 1,
      anon_sym_struct,
    ACTIONS(8986), 1,
      anon_sym_union,
    ACTIONS(8988), 1,
      sym_auto,
    ACTIONS(8990), 1,
      anon_sym_decltype,
    ACTIONS(8992), 1,
      anon_sym_typename,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3276), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3650), 1,
      sym_type_specifier,
    STATE(3924), 1,
      sym_decltype_auto,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(3849), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3923), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185655] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8861), 1,
      sym_primitive_type,
    ACTIONS(8863), 1,
      anon_sym_enum,
    ACTIONS(8865), 1,
      anon_sym_class,
    ACTIONS(8867), 1,
      anon_sym_struct,
    ACTIONS(8869), 1,
      anon_sym_union,
    ACTIONS(8871), 1,
      sym_auto,
    ACTIONS(8873), 1,
      anon_sym_decltype,
    ACTIONS(8875), 1,
      anon_sym_typename,
    STATE(2310), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2598), 1,
      sym_type_specifier,
    STATE(2845), 1,
      sym_decltype_auto,
    STATE(2894), 1,
      sym_qualified_type_identifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2835), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8859), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2890), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185729] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5890), 1,
      sym__function_attributes_end,
    STATE(5996), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5106), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [185801] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7557), 1,
      sym_primitive_type,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8926), 1,
      anon_sym_enum,
    ACTIONS(8928), 1,
      anon_sym_class,
    ACTIONS(8930), 1,
      anon_sym_struct,
    ACTIONS(8932), 1,
      anon_sym_union,
    ACTIONS(8934), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3825), 1,
      sym_type_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185875] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3773), 1,
      sym_primitive_type,
    ACTIONS(7638), 1,
      sym_identifier,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7642), 1,
      anon_sym_enum,
    ACTIONS(7644), 1,
      anon_sym_class,
    ACTIONS(7646), 1,
      anon_sym_struct,
    ACTIONS(7648), 1,
      anon_sym_union,
    ACTIONS(7650), 1,
      anon_sym_typename,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6419), 1,
      sym_type_specifier,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185949] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8972), 1,
      sym_identifier,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8978), 1,
      sym_primitive_type,
    ACTIONS(8980), 1,
      anon_sym_enum,
    ACTIONS(8982), 1,
      anon_sym_class,
    ACTIONS(8984), 1,
      anon_sym_struct,
    ACTIONS(8986), 1,
      anon_sym_union,
    ACTIONS(8988), 1,
      sym_auto,
    ACTIONS(8990), 1,
      anon_sym_decltype,
    ACTIONS(8992), 1,
      anon_sym_typename,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3276), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3668), 1,
      sym_type_specifier,
    STATE(3924), 1,
      sym_decltype_auto,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(3849), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3923), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186023] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5523), 1,
      sym__declarator,
    STATE(6829), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186093] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7557), 1,
      sym_primitive_type,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8926), 1,
      anon_sym_enum,
    ACTIONS(8928), 1,
      anon_sym_class,
    ACTIONS(8930), 1,
      anon_sym_struct,
    ACTIONS(8932), 1,
      anon_sym_union,
    ACTIONS(8934), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3893), 1,
      sym_type_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186167] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2672), 1,
      sym__class_declaration_item,
    STATE(2678), 1,
      sym__class_declaration,
    STATE(5260), 1,
      sym_ms_declspec_modifier,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5259), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5010), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186247] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(2672), 1,
      sym__class_declaration_item,
    STATE(5260), 1,
      sym_ms_declspec_modifier,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5259), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5010), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186327] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5515), 1,
      sym__declarator,
    STATE(7068), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186397] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2665), 1,
      sym__class_declaration,
    STATE(2672), 1,
      sym__class_declaration_item,
    STATE(5260), 1,
      sym_ms_declspec_modifier,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5259), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5010), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186477] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2809), 1,
      sym_field_declaration_list,
    STATE(2966), 1,
      sym__class_declaration,
    STATE(2997), 1,
      sym__class_declaration_item,
    STATE(5190), 1,
      sym_ms_declspec_modifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6661), 1,
      sym_virtual_specifier,
    STATE(7209), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5016), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186557] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2809), 1,
      sym_field_declaration_list,
    STATE(2967), 1,
      sym__class_declaration,
    STATE(2997), 1,
      sym__class_declaration_item,
    STATE(5190), 1,
      sym_ms_declspec_modifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6661), 1,
      sym_virtual_specifier,
    STATE(7209), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5016), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186637] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2809), 1,
      sym_field_declaration_list,
    STATE(2997), 1,
      sym__class_declaration_item,
    STATE(3000), 1,
      sym__class_declaration,
    STATE(5190), 1,
      sym_ms_declspec_modifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6661), 1,
      sym_virtual_specifier,
    STATE(7209), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5016), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186717] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8910), 1,
      anon_sym_class,
    ACTIONS(8912), 1,
      anon_sym_struct,
    ACTIONS(8914), 1,
      anon_sym_union,
    ACTIONS(8916), 1,
      sym_auto,
    ACTIONS(8918), 1,
      anon_sym_decltype,
    ACTIONS(9022), 1,
      sym_identifier,
    ACTIONS(9026), 1,
      sym_primitive_type,
    ACTIONS(9028), 1,
      anon_sym_enum,
    ACTIONS(9030), 1,
      anon_sym_typename,
    STATE(1836), 1,
      sym_type_specifier,
    STATE(2109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2153), 1,
      sym_decltype_auto,
    STATE(2170), 1,
      sym_qualified_type_identifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9024), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2199), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186791] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2715), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186871] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7608), 1,
      sym_primitive_type,
    ACTIONS(7618), 1,
      sym_auto,
    ACTIONS(7620), 1,
      anon_sym_decltype,
    ACTIONS(7624), 1,
      sym_identifier,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7628), 1,
      anon_sym_enum,
    ACTIONS(7630), 1,
      anon_sym_class,
    ACTIONS(7632), 1,
      anon_sym_struct,
    ACTIONS(7634), 1,
      anon_sym_union,
    ACTIONS(7636), 1,
      anon_sym_typename,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4528), 1,
      sym_type_specifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4588), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186945] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2715), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187025] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2115), 1,
      sym_field_declaration_list,
    STATE(2209), 1,
      sym__class_declaration_item,
    STATE(2227), 1,
      sym__class_declaration,
    STATE(5258), 1,
      sym_ms_declspec_modifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym_virtual_specifier,
    STATE(7312), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1673), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5256), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5004), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187105] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2115), 1,
      sym_field_declaration_list,
    STATE(2209), 1,
      sym__class_declaration_item,
    STATE(2219), 1,
      sym__class_declaration,
    STATE(5258), 1,
      sym_ms_declspec_modifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym_virtual_specifier,
    STATE(7312), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1673), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5256), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5004), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187185] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2115), 1,
      sym_field_declaration_list,
    STATE(2194), 1,
      sym__class_declaration,
    STATE(2209), 1,
      sym__class_declaration_item,
    STATE(5258), 1,
      sym_ms_declspec_modifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym_virtual_specifier,
    STATE(7312), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1673), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5256), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5004), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187265] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7602), 1,
      sym_identifier,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7608), 1,
      sym_primitive_type,
    ACTIONS(7610), 1,
      anon_sym_enum,
    ACTIONS(7612), 1,
      anon_sym_class,
    ACTIONS(7614), 1,
      anon_sym_struct,
    ACTIONS(7616), 1,
      anon_sym_union,
    ACTIONS(7618), 1,
      sym_auto,
    ACTIONS(7620), 1,
      anon_sym_decltype,
    ACTIONS(7622), 1,
      anon_sym_typename,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4528), 1,
      sym_type_specifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4588), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187339] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(5221), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5223), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5008), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187419] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4547), 1,
      sym__class_declaration,
    STATE(4568), 1,
      sym__class_declaration_item,
    STATE(5205), 1,
      sym_ms_declspec_modifier,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5200), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5028), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187499] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(5221), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5223), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5008), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1831), 1,
      sym_attribute_specifier,
    ACTIONS(5845), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5843), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [187621] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3836), 1,
      sym_field_declaration_list,
    STATE(3918), 1,
      sym__class_declaration,
    STATE(3920), 1,
      sym__class_declaration_item,
    STATE(5201), 1,
      sym_ms_declspec_modifier,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(6581), 1,
      sym_virtual_specifier,
    STATE(7149), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3140), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5203), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4994), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187701] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187781] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7584), 1,
      sym_identifier,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7590), 1,
      sym_primitive_type,
    ACTIONS(7592), 1,
      anon_sym_enum,
    ACTIONS(7594), 1,
      anon_sym_class,
    ACTIONS(7596), 1,
      anon_sym_struct,
    ACTIONS(7598), 1,
      anon_sym_union,
    ACTIONS(7600), 1,
      anon_sym_typename,
    STATE(1718), 1,
      sym_type_specifier,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187855] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5540), 1,
      sym__declarator,
    STATE(6760), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187925] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8936), 1,
      sym_identifier,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8942), 1,
      sym_primitive_type,
    ACTIONS(8944), 1,
      anon_sym_enum,
    ACTIONS(8946), 1,
      anon_sym_class,
    ACTIONS(8948), 1,
      anon_sym_struct,
    ACTIONS(8950), 1,
      anon_sym_union,
    ACTIONS(8952), 1,
      sym_auto,
    ACTIONS(8954), 1,
      anon_sym_decltype,
    ACTIONS(8956), 1,
      anon_sym_typename,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3160), 1,
      sym_type_specifier,
    STATE(3213), 1,
      sym_decltype_auto,
    STATE(3232), 1,
      sym_qualified_type_identifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(3189), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8940), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3217), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187999] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4548), 1,
      sym__class_declaration,
    STATE(4568), 1,
      sym__class_declaration_item,
    STATE(5205), 1,
      sym_ms_declspec_modifier,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5200), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5028), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188079] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8861), 1,
      sym_primitive_type,
    ACTIONS(8863), 1,
      anon_sym_enum,
    ACTIONS(8865), 1,
      anon_sym_class,
    ACTIONS(8867), 1,
      anon_sym_struct,
    ACTIONS(8869), 1,
      anon_sym_union,
    ACTIONS(8871), 1,
      sym_auto,
    ACTIONS(8873), 1,
      anon_sym_decltype,
    ACTIONS(8875), 1,
      anon_sym_typename,
    STATE(2310), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2578), 1,
      sym_type_specifier,
    STATE(2845), 1,
      sym_decltype_auto,
    STATE(2894), 1,
      sym_qualified_type_identifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2835), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8859), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2890), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188153] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3836), 1,
      sym_field_declaration_list,
    STATE(3919), 1,
      sym__class_declaration,
    STATE(3920), 1,
      sym__class_declaration_item,
    STATE(5201), 1,
      sym_ms_declspec_modifier,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(6581), 1,
      sym_virtual_specifier,
    STATE(7149), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3140), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5203), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4994), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188233] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5886), 1,
      sym__function_attributes_end,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5093), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [188305] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3229), 1,
      sym_primitive_type,
    ACTIONS(3231), 1,
      anon_sym_enum,
    ACTIONS(3233), 1,
      anon_sym_class,
    ACTIONS(3235), 1,
      anon_sym_struct,
    ACTIONS(3237), 1,
      anon_sym_union,
    ACTIONS(3239), 1,
      anon_sym_typename,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    STATE(2288), 1,
      sym_type_specifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2463), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2954), 1,
      sym_qualified_type_identifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188379] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3836), 1,
      sym_field_declaration_list,
    STATE(3920), 1,
      sym__class_declaration_item,
    STATE(3921), 1,
      sym__class_declaration,
    STATE(5201), 1,
      sym_ms_declspec_modifier,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(6581), 1,
      sym_virtual_specifier,
    STATE(7149), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3140), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5203), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4994), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188459] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1788), 1,
      sym__class_declaration,
    STATE(1792), 1,
      sym__class_declaration_item,
    STATE(4880), 1,
      sym_field_declaration_list,
    STATE(5204), 1,
      sym_ms_declspec_modifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6426), 1,
      sym_virtual_specifier,
    STATE(7203), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4484), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5202), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4991), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188539] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8936), 1,
      sym_identifier,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8942), 1,
      sym_primitive_type,
    ACTIONS(8944), 1,
      anon_sym_enum,
    ACTIONS(8946), 1,
      anon_sym_class,
    ACTIONS(8948), 1,
      anon_sym_struct,
    ACTIONS(8950), 1,
      anon_sym_union,
    ACTIONS(8952), 1,
      sym_auto,
    ACTIONS(8954), 1,
      anon_sym_decltype,
    ACTIONS(8956), 1,
      anon_sym_typename,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2764), 1,
      sym_type_specifier,
    STATE(3213), 1,
      sym_decltype_auto,
    STATE(3232), 1,
      sym_qualified_type_identifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(3189), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8940), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3217), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188613] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1789), 1,
      sym__class_declaration,
    STATE(1792), 1,
      sym__class_declaration_item,
    STATE(4880), 1,
      sym_field_declaration_list,
    STATE(5204), 1,
      sym_ms_declspec_modifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6426), 1,
      sym_virtual_specifier,
    STATE(7203), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4484), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5202), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4991), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188693] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5522), 1,
      sym__declarator,
    STATE(6729), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188763] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2722), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188843] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2735), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1783), 1,
      sym_attribute_specifier,
    ACTIONS(5841), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5839), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188965] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2735), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189045] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1792), 1,
      sym__class_declaration_item,
    STATE(1793), 1,
      sym__class_declaration,
    STATE(4880), 1,
      sym_field_declaration_list,
    STATE(5204), 1,
      sym_ms_declspec_modifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6426), 1,
      sym_virtual_specifier,
    STATE(7203), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4484), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5202), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4991), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189125] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8910), 1,
      anon_sym_class,
    ACTIONS(8912), 1,
      anon_sym_struct,
    ACTIONS(8914), 1,
      anon_sym_union,
    ACTIONS(8916), 1,
      sym_auto,
    ACTIONS(8918), 1,
      anon_sym_decltype,
    ACTIONS(9022), 1,
      sym_identifier,
    ACTIONS(9026), 1,
      sym_primitive_type,
    ACTIONS(9028), 1,
      anon_sym_enum,
    ACTIONS(9030), 1,
      anon_sym_typename,
    STATE(1841), 1,
      sym_type_specifier,
    STATE(2109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2153), 1,
      sym_decltype_auto,
    STATE(2170), 1,
      sym_qualified_type_identifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9024), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2199), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1813), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5779), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189241] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189321] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8936), 1,
      sym_identifier,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8942), 1,
      sym_primitive_type,
    ACTIONS(8944), 1,
      anon_sym_enum,
    ACTIONS(8946), 1,
      anon_sym_class,
    ACTIONS(8948), 1,
      anon_sym_struct,
    ACTIONS(8950), 1,
      anon_sym_union,
    ACTIONS(8952), 1,
      sym_auto,
    ACTIONS(8954), 1,
      anon_sym_decltype,
    ACTIONS(8956), 1,
      anon_sym_typename,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2778), 1,
      sym_type_specifier,
    STATE(3213), 1,
      sym_decltype_auto,
    STATE(3232), 1,
      sym_qualified_type_identifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(3189), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8940), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3217), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189395] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189475] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2724), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189555] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2718), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1811), 1,
      sym_attribute_specifier,
    ACTIONS(5745), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5743), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189677] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2632), 1,
      sym_auto,
    ACTIONS(2634), 1,
      anon_sym_decltype,
    ACTIONS(7700), 1,
      sym_primitive_type,
    ACTIONS(8877), 1,
      sym_identifier,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8881), 1,
      anon_sym_enum,
    ACTIONS(8883), 1,
      anon_sym_class,
    ACTIONS(8885), 1,
      anon_sym_struct,
    ACTIONS(8887), 1,
      anon_sym_union,
    ACTIONS(8889), 1,
      anon_sym_typename,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2653), 1,
      sym_decltype_auto,
    STATE(2670), 1,
      sym_qualified_type_identifier,
    STATE(3954), 1,
      sym_type_specifier,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2662), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189751] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1782), 1,
      sym_attribute_specifier,
    ACTIONS(5865), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5863), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [189873] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189953] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1818), 1,
      sym_attribute_specifier,
    ACTIONS(5875), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5873), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [190075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1826), 1,
      sym_attribute_specifier,
    ACTIONS(5791), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5789), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [190117] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190197] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_STAR,
    ACTIONS(6864), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6866), 1,
      anon_sym_AMP,
    ACTIONS(6868), 1,
      anon_sym_COLON_COLON,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(5496), 1,
      sym__declarator,
    STATE(6760), 1,
      sym_init_declarator,
    STATE(7515), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190267] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1852), 1,
      anon_sym_enum,
    ACTIONS(1854), 1,
      anon_sym_class,
    ACTIONS(1856), 1,
      anon_sym_struct,
    ACTIONS(1858), 1,
      anon_sym_union,
    ACTIONS(1882), 1,
      anon_sym_typename,
    ACTIONS(3229), 1,
      sym_primitive_type,
    ACTIONS(4898), 1,
      sym_identifier,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    STATE(2288), 1,
      sym_type_specifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2463), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2954), 1,
      sym_qualified_type_identifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1822), 1,
      sym_attribute_specifier,
    ACTIONS(5809), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5807), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [190383] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5222), 1,
      sym_ms_declspec_modifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5220), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5006), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190463] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5533), 1,
      sym__declarator,
    STATE(6857), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190533] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5222), 1,
      sym_ms_declspec_modifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5220), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5006), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190613] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_requires,
    STATE(5833), 1,
      sym__function_attributes_end,
    STATE(6010), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5100), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8588), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [190685] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5222), 1,
      sym_ms_declspec_modifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5220), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5006), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190765] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7557), 1,
      sym_primitive_type,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8926), 1,
      anon_sym_enum,
    ACTIONS(8928), 1,
      anon_sym_class,
    ACTIONS(8930), 1,
      anon_sym_struct,
    ACTIONS(8932), 1,
      anon_sym_union,
    ACTIONS(8934), 1,
      anon_sym_typename,
    STATE(1718), 1,
      sym_type_specifier,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190839] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5572), 1,
      sym__declarator,
    STATE(7320), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [190909] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2632), 1,
      sym_auto,
    ACTIONS(2634), 1,
      anon_sym_decltype,
    ACTIONS(7700), 1,
      sym_primitive_type,
    ACTIONS(8877), 1,
      sym_identifier,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8881), 1,
      anon_sym_enum,
    ACTIONS(8883), 1,
      anon_sym_class,
    ACTIONS(8885), 1,
      anon_sym_struct,
    ACTIONS(8887), 1,
      anon_sym_union,
    ACTIONS(8889), 1,
      anon_sym_typename,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2557), 1,
      sym_type_specifier,
    STATE(2653), 1,
      sym_decltype_auto,
    STATE(2670), 1,
      sym_qualified_type_identifier,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2662), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190983] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(9094), 1,
      anon_sym_requires,
    STATE(5869), 1,
      sym__function_attributes_end,
    STATE(6005), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5103), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8803), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [191055] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(5221), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5223), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5008), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191135] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3773), 1,
      sym_primitive_type,
    ACTIONS(7638), 1,
      sym_identifier,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7642), 1,
      anon_sym_enum,
    ACTIONS(7644), 1,
      anon_sym_class,
    ACTIONS(7646), 1,
      anon_sym_struct,
    ACTIONS(7648), 1,
      anon_sym_union,
    ACTIONS(7650), 1,
      anon_sym_typename,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6421), 1,
      sym_type_specifier,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191209] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2718), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191289] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8900), 1,
      sym_identifier,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8906), 1,
      sym_primitive_type,
    ACTIONS(8908), 1,
      anon_sym_enum,
    ACTIONS(8910), 1,
      anon_sym_class,
    ACTIONS(8912), 1,
      anon_sym_struct,
    ACTIONS(8914), 1,
      anon_sym_union,
    ACTIONS(8916), 1,
      sym_auto,
    ACTIONS(8918), 1,
      anon_sym_decltype,
    ACTIONS(8920), 1,
      anon_sym_typename,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2144), 1,
      sym_type_specifier,
    STATE(2153), 1,
      sym_decltype_auto,
    STATE(2170), 1,
      sym_qualified_type_identifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8904), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2199), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191363] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1782), 1,
      anon_sym_enum,
    ACTIONS(1784), 1,
      anon_sym_class,
    ACTIONS(1786), 1,
      anon_sym_struct,
    ACTIONS(1788), 1,
      anon_sym_union,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(1816), 1,
      anon_sym_typename,
    ACTIONS(7551), 1,
      sym_identifier,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7557), 1,
      sym_primitive_type,
    STATE(1718), 1,
      sym_type_specifier,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191437] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2709), 1,
      sym_field_declaration_list,
    STATE(2912), 1,
      sym__class_declaration_item,
    STATE(2925), 1,
      sym__class_declaration,
    STATE(5246), 1,
      sym_ms_declspec_modifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2321), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5244), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5034), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191517] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2602), 1,
      anon_sym_enum,
    ACTIONS(2604), 1,
      anon_sym_class,
    ACTIONS(2606), 1,
      anon_sym_struct,
    ACTIONS(2608), 1,
      anon_sym_union,
    ACTIONS(2632), 1,
      sym_auto,
    ACTIONS(2634), 1,
      anon_sym_decltype,
    ACTIONS(2636), 1,
      anon_sym_typename,
    ACTIONS(7696), 1,
      sym_identifier,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7700), 1,
      sym_primitive_type,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2557), 1,
      sym_type_specifier,
    STATE(2653), 1,
      sym_decltype_auto,
    STATE(2670), 1,
      sym_qualified_type_identifier,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2662), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191591] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2709), 1,
      sym_field_declaration_list,
    STATE(2881), 1,
      sym__class_declaration,
    STATE(2912), 1,
      sym__class_declaration_item,
    STATE(5246), 1,
      sym_ms_declspec_modifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2321), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5244), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5034), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191671] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8900), 1,
      sym_identifier,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8906), 1,
      sym_primitive_type,
    ACTIONS(8908), 1,
      anon_sym_enum,
    ACTIONS(8910), 1,
      anon_sym_class,
    ACTIONS(8912), 1,
      anon_sym_struct,
    ACTIONS(8914), 1,
      anon_sym_union,
    ACTIONS(8916), 1,
      sym_auto,
    ACTIONS(8918), 1,
      anon_sym_decltype,
    ACTIONS(8920), 1,
      anon_sym_typename,
    STATE(1836), 1,
      sym_type_specifier,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2153), 1,
      sym_decltype_auto,
    STATE(2170), 1,
      sym_qualified_type_identifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8904), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2199), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191745] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4568), 1,
      sym__class_declaration_item,
    STATE(4631), 1,
      sym__class_declaration,
    STATE(5224), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4980), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191825] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3773), 1,
      sym_primitive_type,
    ACTIONS(7638), 1,
      sym_identifier,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7642), 1,
      anon_sym_enum,
    ACTIONS(7644), 1,
      anon_sym_class,
    ACTIONS(7646), 1,
      anon_sym_struct,
    ACTIONS(7648), 1,
      anon_sym_union,
    ACTIONS(7650), 1,
      anon_sym_typename,
    STATE(2288), 1,
      sym_type_specifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191899] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2709), 1,
      sym_field_declaration_list,
    STATE(2847), 1,
      sym__class_declaration,
    STATE(2912), 1,
      sym__class_declaration_item,
    STATE(5246), 1,
      sym_ms_declspec_modifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2321), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5244), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5034), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191979] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2724), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192059] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(7658), 1,
      sym_identifier,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7664), 1,
      sym_primitive_type,
    ACTIONS(7666), 1,
      anon_sym_enum,
    ACTIONS(7668), 1,
      anon_sym_class,
    ACTIONS(7670), 1,
      anon_sym_struct,
    ACTIONS(7672), 1,
      anon_sym_union,
    ACTIONS(7674), 1,
      sym_auto,
    ACTIONS(7676), 1,
      anon_sym_decltype,
    ACTIONS(7678), 1,
      anon_sym_typename,
    STATE(4071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4712), 1,
      sym_type_specifier,
    STATE(4745), 1,
      sym_decltype_auto,
    STATE(4748), 1,
      sym_qualified_type_identifier,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(4702), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4778), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192133] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7557), 1,
      sym_primitive_type,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8926), 1,
      anon_sym_enum,
    ACTIONS(8928), 1,
      anon_sym_class,
    ACTIONS(8930), 1,
      anon_sym_struct,
    ACTIONS(8932), 1,
      anon_sym_union,
    ACTIONS(8934), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3929), 1,
      sym_type_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192207] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4548), 1,
      sym__class_declaration,
    STATE(4568), 1,
      sym__class_declaration_item,
    STATE(5224), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4980), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1807), 1,
      sym_attribute_specifier,
    ACTIONS(5835), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5833), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192329] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4663), 1,
      sym_field_declaration_list,
    STATE(4722), 1,
      sym__class_declaration_item,
    STATE(4784), 1,
      sym__class_declaration,
    STATE(5227), 1,
      sym_ms_declspec_modifier,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6638), 1,
      sym_virtual_specifier,
    STATE(7177), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5011), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192409] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2735), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192489] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4663), 1,
      sym_field_declaration_list,
    STATE(4722), 1,
      sym__class_declaration_item,
    STATE(4739), 1,
      sym__class_declaration,
    STATE(5227), 1,
      sym_ms_declspec_modifier,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6638), 1,
      sym_virtual_specifier,
    STATE(7177), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5011), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192569] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1812), 1,
      sym_auto,
    ACTIONS(1814), 1,
      anon_sym_decltype,
    ACTIONS(7557), 1,
      sym_primitive_type,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8926), 1,
      anon_sym_enum,
    ACTIONS(8928), 1,
      anon_sym_class,
    ACTIONS(8930), 1,
      anon_sym_struct,
    ACTIONS(8932), 1,
      anon_sym_union,
    ACTIONS(8934), 1,
      anon_sym_typename,
    STATE(1781), 1,
      sym_decltype_auto,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3841), 1,
      sym_type_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(1723), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1832), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1806), 1,
      sym_attribute_specifier,
    ACTIONS(5857), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5855), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192685] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8900), 1,
      sym_identifier,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8906), 1,
      sym_primitive_type,
    ACTIONS(8908), 1,
      anon_sym_enum,
    ACTIONS(8910), 1,
      anon_sym_class,
    ACTIONS(8912), 1,
      anon_sym_struct,
    ACTIONS(8914), 1,
      anon_sym_union,
    ACTIONS(8916), 1,
      sym_auto,
    ACTIONS(8918), 1,
      anon_sym_decltype,
    ACTIONS(8920), 1,
      anon_sym_typename,
    STATE(1841), 1,
      sym_type_specifier,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2153), 1,
      sym_decltype_auto,
    STATE(2170), 1,
      sym_qualified_type_identifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8904), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2199), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192759] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(5192), 1,
      sym_ms_declspec_modifier,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4988), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2747), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192919] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2715), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192999] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2747), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193079] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2725), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193159] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2730), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193239] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2704), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193319] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4547), 1,
      sym__class_declaration,
    STATE(4568), 1,
      sym__class_declaration_item,
    STATE(5224), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4980), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193399] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5247), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5251), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5027), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193479] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3761), 1,
      sym_identifier,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3773), 1,
      sym_primitive_type,
    ACTIONS(3775), 1,
      anon_sym_enum,
    ACTIONS(3777), 1,
      anon_sym_class,
    ACTIONS(3779), 1,
      anon_sym_struct,
    ACTIONS(3781), 1,
      anon_sym_union,
    ACTIONS(3783), 1,
      anon_sym_typename,
    STATE(2288), 1,
      sym_type_specifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2714), 1,
      sym_qualified_type_identifier,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193553] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2730), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193633] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(5192), 1,
      sym_ms_declspec_modifier,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4988), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193713] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2747), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193793] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4663), 1,
      sym_field_declaration_list,
    STATE(4722), 1,
      sym__class_declaration_item,
    STATE(4741), 1,
      sym__class_declaration,
    STATE(5227), 1,
      sym_ms_declspec_modifier,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6638), 1,
      sym_virtual_specifier,
    STATE(7177), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5011), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193873] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2730), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193953] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194033] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2725), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194113] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1788), 1,
      sym__class_declaration,
    STATE(1792), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5248), 1,
      sym_ms_declspec_modifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5249), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194193] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1789), 1,
      sym__class_declaration,
    STATE(1792), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5248), 1,
      sym_ms_declspec_modifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5249), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194273] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1792), 1,
      sym__class_declaration_item,
    STATE(1793), 1,
      sym__class_declaration,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5248), 1,
      sym_ms_declspec_modifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5249), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194353] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2720), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194433] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2718), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194513] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8910), 1,
      anon_sym_class,
    ACTIONS(8912), 1,
      anon_sym_struct,
    ACTIONS(8914), 1,
      anon_sym_union,
    ACTIONS(8916), 1,
      sym_auto,
    ACTIONS(8918), 1,
      anon_sym_decltype,
    ACTIONS(9022), 1,
      sym_identifier,
    ACTIONS(9026), 1,
      sym_primitive_type,
    ACTIONS(9028), 1,
      anon_sym_enum,
    ACTIONS(9030), 1,
      anon_sym_typename,
    STATE(2109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2144), 1,
      sym_type_specifier,
    STATE(2153), 1,
      sym_decltype_auto,
    STATE(2170), 1,
      sym_qualified_type_identifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2106), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9024), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2199), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194587] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194667] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(2990), 1,
      sym_field_declaration_list,
    STATE(3243), 1,
      sym__class_declaration,
    STATE(3244), 1,
      sym__class_declaration_item,
    STATE(5217), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6486), 1,
      sym_virtual_specifier,
    STATE(7298), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5215), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5000), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194747] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2704), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194827] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8972), 1,
      sym_identifier,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8978), 1,
      sym_primitive_type,
    ACTIONS(8980), 1,
      anon_sym_enum,
    ACTIONS(8982), 1,
      anon_sym_class,
    ACTIONS(8984), 1,
      anon_sym_struct,
    ACTIONS(8986), 1,
      anon_sym_union,
    ACTIONS(8988), 1,
      sym_auto,
    ACTIONS(8990), 1,
      anon_sym_decltype,
    ACTIONS(8992), 1,
      anon_sym_typename,
    STATE(1837), 1,
      sym_qualified_type_identifier,
    STATE(3276), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3867), 1,
      sym_type_specifier,
    STATE(3924), 1,
      sym_decltype_auto,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(3849), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3923), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194901] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2720), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194981] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195061] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(2990), 1,
      sym_field_declaration_list,
    STATE(3244), 1,
      sym__class_declaration_item,
    STATE(3246), 1,
      sym__class_declaration,
    STATE(5217), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6486), 1,
      sym_virtual_specifier,
    STATE(7298), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5215), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5000), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195141] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(5192), 1,
      sym_ms_declspec_modifier,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4988), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195221] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2743), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1799), 1,
      sym_attribute_specifier,
    ACTIONS(5849), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5847), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195343] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2720), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195423] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8994), 1,
      sym_identifier,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9000), 1,
      sym_primitive_type,
    ACTIONS(9002), 1,
      anon_sym_enum,
    ACTIONS(9004), 1,
      anon_sym_class,
    ACTIONS(9006), 1,
      anon_sym_struct,
    ACTIONS(9008), 1,
      anon_sym_union,
    ACTIONS(9010), 1,
      sym_auto,
    ACTIONS(9012), 1,
      anon_sym_decltype,
    ACTIONS(9014), 1,
      anon_sym_typename,
    STATE(2451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2859), 1,
      sym_type_specifier,
    STATE(2993), 1,
      sym_qualified_type_identifier,
    STATE(3064), 1,
      sym_decltype_auto,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2906), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3063), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195497] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2704), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    STATE(1790), 1,
      sym_attribute_specifier,
    ACTIONS(5853), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5851), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195619] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2725), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195699] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5542), 1,
      sym__declarator,
    STATE(6760), 1,
      sym_init_declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [195769] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2743), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195849] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8994), 1,
      sym_identifier,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9000), 1,
      sym_primitive_type,
    ACTIONS(9002), 1,
      anon_sym_enum,
    ACTIONS(9004), 1,
      anon_sym_class,
    ACTIONS(9006), 1,
      anon_sym_struct,
    ACTIONS(9008), 1,
      anon_sym_union,
    ACTIONS(9010), 1,
      sym_auto,
    ACTIONS(9012), 1,
      anon_sym_decltype,
    ACTIONS(9014), 1,
      anon_sym_typename,
    STATE(2451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2649), 1,
      sym_type_specifier,
    STATE(2993), 1,
      sym_qualified_type_identifier,
    STATE(3064), 1,
      sym_decltype_auto,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2906), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3063), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195923] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2743), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196003] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1792), 1,
      sym__class_declaration_item,
    STATE(1793), 1,
      sym__class_declaration,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5186), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5185), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196083] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5247), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5251), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5027), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196163] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_enum,
    ACTIONS(71), 1,
      anon_sym_class,
    ACTIONS(73), 1,
      anon_sym_struct,
    ACTIONS(75), 1,
      anon_sym_union,
    ACTIONS(121), 1,
      sym_auto,
    ACTIONS(123), 1,
      anon_sym_decltype,
    ACTIONS(127), 1,
      anon_sym_typename,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(3229), 1,
      sym_primitive_type,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    STATE(2288), 1,
      sym_type_specifier,
    STATE(2341), 1,
      sym_decltype_auto,
    STATE(2463), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2954), 1,
      sym_qualified_type_identifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2305), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2346), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196237] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1789), 1,
      sym__class_declaration,
    STATE(1792), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5186), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5185), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196317] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2722), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196397] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8861), 1,
      sym_primitive_type,
    ACTIONS(8863), 1,
      anon_sym_enum,
    ACTIONS(8865), 1,
      anon_sym_class,
    ACTIONS(8867), 1,
      anon_sym_struct,
    ACTIONS(8869), 1,
      anon_sym_union,
    ACTIONS(8871), 1,
      sym_auto,
    ACTIONS(8873), 1,
      anon_sym_decltype,
    ACTIONS(8875), 1,
      anon_sym_typename,
    STATE(2310), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2821), 1,
      sym_type_specifier,
    STATE(2845), 1,
      sym_decltype_auto,
    STATE(2894), 1,
      sym_qualified_type_identifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2835), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8859), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2890), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196471] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2672), 1,
      sym__class_declaration_item,
    STATE(2678), 1,
      sym__class_declaration,
    STATE(5266), 1,
      sym_ms_declspec_modifier,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5270), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5015), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196551] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1788), 1,
      sym__class_declaration,
    STATE(1792), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5186), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5185), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196631] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(2990), 1,
      sym_field_declaration_list,
    STATE(3244), 1,
      sym__class_declaration_item,
    STATE(3247), 1,
      sym__class_declaration,
    STATE(5217), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6486), 1,
      sym_virtual_specifier,
    STATE(7298), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5215), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5000), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196711] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2668), 1,
      sym__class_declaration,
    STATE(2672), 1,
      sym__class_declaration_item,
    STATE(5266), 1,
      sym_ms_declspec_modifier,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5270), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5015), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196791] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2665), 1,
      sym__class_declaration,
    STATE(2672), 1,
      sym__class_declaration_item,
    STATE(5266), 1,
      sym_ms_declspec_modifier,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5270), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5015), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196871] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(8994), 1,
      sym_identifier,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9000), 1,
      sym_primitive_type,
    ACTIONS(9002), 1,
      anon_sym_enum,
    ACTIONS(9004), 1,
      anon_sym_class,
    ACTIONS(9006), 1,
      anon_sym_struct,
    ACTIONS(9008), 1,
      anon_sym_union,
    ACTIONS(9010), 1,
      sym_auto,
    ACTIONS(9012), 1,
      anon_sym_decltype,
    ACTIONS(9014), 1,
      anon_sym_typename,
    STATE(2451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2644), 1,
      sym_type_specifier,
    STATE(2993), 1,
      sym_qualified_type_identifier,
    STATE(3064), 1,
      sym_decltype_auto,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2906), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3063), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [196945] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2722), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197025] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2365), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197105] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2724), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197185] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2362), 1,
      sym__class_declaration,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5247), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5251), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5027), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197265] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(2632), 1,
      sym_auto,
    ACTIONS(2634), 1,
      anon_sym_decltype,
    ACTIONS(7700), 1,
      sym_primitive_type,
    ACTIONS(8877), 1,
      sym_identifier,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8881), 1,
      anon_sym_enum,
    ACTIONS(8883), 1,
      anon_sym_class,
    ACTIONS(8885), 1,
      anon_sym_struct,
    ACTIONS(8887), 1,
      anon_sym_union,
    ACTIONS(8889), 1,
      anon_sym_typename,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2653), 1,
      sym_decltype_auto,
    STATE(2670), 1,
      sym_qualified_type_identifier,
    STATE(3988), 1,
      sym_type_specifier,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2662), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [197339] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4568), 1,
      sym__class_declaration_item,
    STATE(4631), 1,
      sym__class_declaration,
    STATE(5205), 1,
      sym_ms_declspec_modifier,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5200), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5028), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197419] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2359), 1,
      sym__class_declaration,
    STATE(2360), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5277), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5284), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4981), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197499] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1815), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5189), 1,
      sym_ms_declspec_modifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5188), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197576] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_STAR,
    ACTIONS(6913), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6915), 1,
      anon_sym_AMP,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5726), 1,
      sym__declarator,
    STATE(8257), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197643] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4575), 1,
      sym__class_declaration_item,
    STATE(5279), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197720] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2428), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5255), 1,
      sym_ms_declspec_modifier,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197797] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6037), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197864] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6091), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197931] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8717), 1,
      anon_sym_requires,
    STATE(5552), 1,
      sym__function_attributes_end,
    STATE(5621), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [197996] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8810), 1,
      anon_sym_requires,
    STATE(5551), 1,
      sym__function_attributes_end,
    STATE(5618), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [198061] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6862), 1,
      anon_sym_STAR,
    ACTIONS(6864), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6866), 1,
      anon_sym_AMP,
    ACTIONS(6868), 1,
      anon_sym_COLON_COLON,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(5715), 1,
      sym__declarator,
    STATE(7515), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198128] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9113), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9111), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198173] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2428), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(5237), 1,
      sym_ms_declspec_modifier,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5234), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198250] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_STAR,
    ACTIONS(6872), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(6017), 1,
      sym__declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198317] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6115), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198384] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1815), 1,
      sym__class_declaration_item,
    STATE(4880), 1,
      sym_field_declaration_list,
    STATE(5182), 1,
      sym_ms_declspec_modifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6426), 1,
      sym_virtual_specifier,
    STATE(7203), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4484), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5180), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198461] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9122), 1,
      anon_sym_requires,
    STATE(5549), 1,
      sym__function_attributes_end,
    STATE(5617), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [198526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6062), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198593] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3836), 1,
      sym_field_declaration_list,
    STATE(3910), 1,
      sym__class_declaration_item,
    STATE(5213), 1,
      sym_ms_declspec_modifier,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(6581), 1,
      sym_virtual_specifier,
    STATE(7149), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3140), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5212), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198670] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6069), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5929), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5927), 16,
      anon_sym_virtual,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [198778] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6061), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198845] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6870), 1,
      anon_sym_STAR,
    ACTIONS(6872), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(6157), 1,
      sym__declarator,
    STATE(7592), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198912] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1819), 1,
      sym_alignas_qualifier,
    ACTIONS(65), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9130), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9128), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(63), 13,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198957] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(2990), 1,
      sym_field_declaration_list,
    STATE(3329), 1,
      sym__class_declaration_item,
    STATE(5211), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6486), 1,
      sym_virtual_specifier,
    STATE(7298), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5214), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199034] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_STAR,
    ACTIONS(6889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6891), 1,
      anon_sym_AMP,
    ACTIONS(6893), 1,
      anon_sym_COLON_COLON,
    STATE(5502), 1,
      sym__scope_resolution,
    STATE(6215), 1,
      sym__declarator,
    STATE(7645), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199101] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6118), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7737), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7739), 26,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [199205] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2115), 1,
      sym_field_declaration_list,
    STATE(2192), 1,
      sym__class_declaration_item,
    STATE(5241), 1,
      sym_ms_declspec_modifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym_virtual_specifier,
    STATE(7312), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1673), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5242), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199282] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6072), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199349] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2428), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5229), 1,
      sym_ms_declspec_modifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5226), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7733), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7735), 26,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [199463] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2428), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(5264), 1,
      sym_ms_declspec_modifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5262), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199540] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6222), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199607] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2642), 1,
      sym__class_declaration_item,
    STATE(5253), 1,
      sym_ms_declspec_modifier,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199684] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4663), 1,
      sym_field_declaration_list,
    STATE(4719), 1,
      sym__class_declaration_item,
    STATE(5281), 1,
      sym_ms_declspec_modifier,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6638), 1,
      sym_virtual_specifier,
    STATE(7177), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199761] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6066), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199828] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1815), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(5269), 1,
      sym_ms_declspec_modifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5268), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199905] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6068), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199972] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2642), 1,
      sym__class_declaration_item,
    STATE(5272), 1,
      sym_ms_declspec_modifier,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5271), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200049] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2809), 1,
      sym_field_declaration_list,
    STATE(2958), 1,
      sym__class_declaration_item,
    STATE(5196), 1,
      sym_ms_declspec_modifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6661), 1,
      sym_virtual_specifier,
    STATE(7209), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5194), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4808), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5336), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5334), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [200167] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6253), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200234] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6097), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200301] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6079), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200368] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6091), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200435] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5525), 1,
      sym__function_attributes_end,
    STATE(5682), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200500] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5531), 1,
      sym__function_attributes_end,
    STATE(5670), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200565] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6259), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200632] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6257), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200699] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      sym__function_attributes_end,
    STATE(5662), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200764] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2428), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(5197), 1,
      sym_ms_declspec_modifier,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5195), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200841] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4575), 1,
      sym__class_declaration_item,
    STATE(5218), 1,
      sym_ms_declspec_modifier,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5206), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [200918] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6104), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200985] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6080), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201052] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3213), 1,
      anon_sym_STAR,
    ACTIONS(3215), 1,
      anon_sym_AMP,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(6239), 1,
      sym__declarator,
    STATE(8152), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201119] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6740), 1,
      sym_identifier,
    ACTIONS(6742), 1,
      anon_sym_STAR,
    ACTIONS(6744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6746), 1,
      anon_sym_AMP,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(6094), 1,
      sym__declarator,
    STATE(7490), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201186] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3209), 1,
      anon_sym_LPAREN2,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5207), 1,
      sym_identifier,
    ACTIONS(6750), 1,
      anon_sym_LBRACK,
    ACTIONS(6887), 1,
      anon_sym_STAR,
    ACTIONS(6889), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6891), 1,
      anon_sym_AMP,
    ACTIONS(6893), 1,
      anon_sym_COLON_COLON,
    STATE(5502), 1,
      sym__scope_resolution,
    STATE(6220), 1,
      sym__declarator,
    STATE(7645), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5841), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201253] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5215), 1,
      anon_sym___attribute__,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5221), 1,
      anon_sym___declspec,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2709), 1,
      sym_field_declaration_list,
    STATE(2854), 1,
      sym__class_declaration_item,
    STATE(5238), 1,
      sym_ms_declspec_modifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(5223), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2321), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5239), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [201330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5336), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [201370] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9135), 1,
      anon_sym___attribute__,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5368), 1,
      sym_trailing_return_type,
    STATE(5449), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201434] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      anon_sym___attribute__,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5367), 1,
      sym_trailing_return_type,
    STATE(5448), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201498] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_requires,
    STATE(5965), 1,
      sym__function_attributes_end,
    STATE(6103), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8803), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5122), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201568] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym__function_attributes_end,
    STATE(6109), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5121), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201638] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5772), 1,
      sym_trailing_return_type,
    STATE(6029), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8803), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5125), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201708] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8765), 1,
      anon_sym___attribute__,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5498), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201772] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8815), 1,
      anon_sym_requires,
    STATE(5789), 1,
      sym_trailing_return_type,
    STATE(6011), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5126), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201842] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_requires,
    STATE(5794), 1,
      sym_trailing_return_type,
    STATE(6009), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8803), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5127), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201912] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(5997), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5111), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201982] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5970), 1,
      sym__function_attributes_end,
    STATE(6051), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8803), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5116), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [202052] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      anon_sym___attribute__,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5320), 1,
      sym_trailing_return_type,
    STATE(5485), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202116] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8765), 1,
      anon_sym___attribute__,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5511), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202180] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6663), 1,
      anon_sym_noexcept,
    ACTIONS(6665), 1,
      anon_sym_throw,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5922), 1,
      sym__function_attributes_end,
    STATE(6055), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5128), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [202250] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9135), 1,
      anon_sym___attribute__,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5286), 1,
      sym_trailing_return_type,
    STATE(5458), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202314] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8787), 1,
      anon_sym___asm,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5356), 1,
      sym__function_attributes_end,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202377] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9153), 1,
      anon_sym___asm,
    STATE(5286), 1,
      sym_trailing_return_type,
    STATE(5357), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9150), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202440] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9153), 1,
      anon_sym___asm,
    ACTIONS(9156), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9159), 1,
      anon_sym_requires,
    STATE(5346), 1,
      sym__function_attributes_end,
    STATE(5395), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9150), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202503] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8031), 1,
      anon_sym_AMP,
    ACTIONS(9165), 1,
      anon_sym_const,
    STATE(5110), 1,
      sym_alignas_qualifier,
    ACTIONS(9168), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5053), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8029), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(9162), 12,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [202548] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202611] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5286), 1,
      sym_trailing_return_type,
    STATE(5605), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202674] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9156), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9159), 1,
      anon_sym_requires,
    STATE(5395), 1,
      sym_trailing_return_type,
    STATE(5587), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [202737] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8969), 1,
      anon_sym___asm,
    STATE(5371), 1,
      sym_trailing_return_type,
    STATE(5446), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8966), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202800] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8963), 1,
      anon_sym_requires,
    STATE(5394), 1,
      sym_trailing_return_type,
    STATE(5602), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [202863] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(5576), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202926] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8969), 1,
      anon_sym___asm,
    STATE(5320), 1,
      sym_trailing_return_type,
    STATE(5384), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8966), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202989] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5392), 1,
      sym_trailing_return_type,
    STATE(5603), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [203052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 1,
      anon_sym_LBRACE,
    ACTIONS(5334), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5336), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [203089] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5367), 1,
      sym_trailing_return_type,
    STATE(5568), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203152] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9153), 1,
      anon_sym___asm,
    ACTIONS(9156), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5358), 1,
      sym_trailing_return_type,
    STATE(5408), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9150), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203215] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    ACTIONS(9153), 1,
      anon_sym___asm,
    STATE(5292), 1,
      sym__function_attributes_end,
    STATE(5368), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9150), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203278] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5320), 1,
      sym_trailing_return_type,
    STATE(5595), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203341] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8787), 1,
      anon_sym___asm,
    STATE(5353), 1,
      sym__function_attributes_end,
    STATE(5403), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203404] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5403), 1,
      sym_trailing_return_type,
    STATE(5581), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [203467] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9156), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5358), 1,
      sym_trailing_return_type,
    STATE(5577), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [203530] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8963), 1,
      anon_sym_requires,
    ACTIONS(8969), 1,
      anon_sym___asm,
    STATE(5354), 1,
      sym__function_attributes_end,
    STATE(5394), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8966), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203593] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    ACTIONS(8787), 1,
      anon_sym___asm,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5374), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5368), 1,
      sym_trailing_return_type,
    STATE(5556), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203719] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5371), 1,
      sym_trailing_return_type,
    STATE(5578), 1,
      sym__function_attributes_end,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [203782] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    ACTIONS(8969), 1,
      anon_sym___asm,
    STATE(5290), 1,
      sym__function_attributes_end,
    STATE(5367), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8966), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203845] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8787), 1,
      anon_sym___asm,
    STATE(5407), 1,
      sym__function_attributes_end,
    STATE(5426), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8784), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203908] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8815), 1,
      anon_sym_requires,
    STATE(5738), 1,
      sym__function_attributes_end,
    STATE(5789), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203970] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_requires,
    STATE(5642), 1,
      sym__function_attributes_end,
    STATE(5804), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204032] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    STATE(5749), 1,
      sym__function_attributes_end,
    STATE(5817), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204094] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9171), 1,
      anon_sym_requires,
    STATE(5725), 1,
      sym__function_attributes_end,
    STATE(5800), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204156] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9156), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5661), 1,
      sym__function_attributes_end,
    STATE(5862), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204218] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5656), 1,
      sym__function_attributes_end,
    STATE(5859), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204280] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_requires,
    STATE(5731), 1,
      sym__function_attributes_end,
    STATE(5794), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204342] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9156), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9174), 1,
      anon_sym_requires,
    STATE(5640), 1,
      sym__function_attributes_end,
    STATE(5815), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204404] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(5475), 1,
      sym_ms_call_modifier,
    STATE(6300), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [204462] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5685), 1,
      sym__function_attributes_end,
    STATE(5850), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204524] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5762), 1,
      sym__function_attributes_end,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204586] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(5452), 1,
      sym_ms_call_modifier,
    STATE(6290), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [204644] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8818), 1,
      anon_sym_requires,
    STATE(5637), 1,
      sym__function_attributes_end,
    STATE(5793), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204706] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(5492), 1,
      sym_ms_call_modifier,
    STATE(6313), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [204764] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(5455), 1,
      sym_ms_call_modifier,
    STATE(6265), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(51), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [204822] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5760), 1,
      sym__function_attributes_end,
    STATE(5772), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204884] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7460), 1,
      anon_sym_STAR,
    ACTIONS(7462), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(9177), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5636), 1,
      sym__abstract_declarator,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [204935] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5890), 1,
      sym__function_attributes_end,
    STATE(5996), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204996] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_requires,
    STATE(5833), 1,
      sym__function_attributes_end,
    STATE(6010), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [205057] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5886), 1,
      sym__function_attributes_end,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [205118] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9179), 1,
      anon_sym_LPAREN2,
    ACTIONS(9181), 1,
      anon_sym_LBRACE,
    ACTIONS(9185), 1,
      anon_sym_requires,
    STATE(2479), 1,
      sym_template_type,
    STATE(4193), 1,
      sym_requirement_seq,
    STATE(5569), 1,
      sym_lambda_capture_specifier,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(7319), 1,
      sym_requires_parameter_list,
    ACTIONS(9183), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4616), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205179] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    ACTIONS(9187), 1,
      anon_sym_LPAREN2,
    ACTIONS(9189), 1,
      anon_sym_LBRACE,
    ACTIONS(9193), 1,
      anon_sym_requires,
    STATE(2511), 1,
      sym_template_type,
    STATE(3253), 1,
      sym_requirement_seq,
    STATE(5564), 1,
      sym_lambda_capture_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(7165), 1,
      sym_requires_parameter_list,
    ACTIONS(9191), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3252), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205240] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9197), 1,
      anon_sym_LBRACE,
    ACTIONS(9201), 1,
      anon_sym_requires,
    STATE(1740), 1,
      sym_template_type,
    STATE(3286), 1,
      sym_requirement_seq,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(7233), 1,
      sym_requires_parameter_list,
    ACTIONS(9199), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4056), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205301] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_LPAREN2,
    ACTIONS(9197), 1,
      anon_sym_LBRACE,
    ACTIONS(9201), 1,
      anon_sym_requires,
    STATE(3286), 1,
      sym_requirement_seq,
    STATE(3629), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(7233), 1,
      sym_requires_parameter_list,
    ACTIONS(9203), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4049), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205362] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(9094), 1,
      anon_sym_requires,
    STATE(5869), 1,
      sym__function_attributes_end,
    STATE(6005), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [205423] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    ACTIONS(9205), 1,
      anon_sym_LPAREN2,
    ACTIONS(9207), 1,
      anon_sym_LBRACE,
    ACTIONS(9211), 1,
      anon_sym_requires,
    STATE(1858), 1,
      sym_template_type,
    STATE(2388), 1,
      sym_requirement_seq,
    STATE(5580), 1,
      sym_lambda_capture_specifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(7243), 1,
      sym_requires_parameter_list,
    ACTIONS(9209), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2389), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205484] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7444), 1,
      anon_sym_STAR,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7448), 1,
      anon_sym_AMP,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(9177), 1,
      anon_sym___asm,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5686), 1,
      sym__abstract_declarator,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205535] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9213), 1,
      anon_sym_requires,
    STATE(5867), 1,
      sym__function_attributes_end,
    STATE(6001), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [205596] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    ACTIONS(9216), 1,
      anon_sym_LPAREN2,
    ACTIONS(9218), 1,
      anon_sym_LBRACE,
    ACTIONS(9222), 1,
      anon_sym_requires,
    STATE(2745), 1,
      sym_template_type,
    STATE(3672), 1,
      sym_requirement_seq,
    STATE(5608), 1,
      sym_lambda_capture_specifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7079), 1,
      sym_requires_parameter_list,
    ACTIONS(9220), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3682), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205657] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    ACTIONS(9224), 1,
      anon_sym_LPAREN2,
    ACTIONS(9226), 1,
      anon_sym_LBRACE,
    ACTIONS(9230), 1,
      anon_sym_requires,
    STATE(2566), 1,
      sym_template_type,
    STATE(3492), 1,
      sym_requirement_seq,
    STATE(5600), 1,
      sym_lambda_capture_specifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(7341), 1,
      sym_requires_parameter_list,
    ACTIONS(9228), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3517), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205718] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    STATE(5893), 1,
      sym__function_attributes_end,
    STATE(5983), 1,
      sym_trailing_return_type,
    STATE(6329), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5119), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [205779] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(5596), 1,
      sym_ms_call_modifier,
    STATE(6227), 1,
      sym__field_declarator,
    STATE(6332), 1,
      sym_operator_name,
    STATE(8002), 1,
      sym_ms_based_modifier,
    ACTIONS(1774), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [205833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5378), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5380), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [205865] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7559), 1,
      anon_sym_STAR,
    ACTIONS(7561), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7563), 1,
      anon_sym_AMP,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5745), 1,
      sym__abstract_declarator,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(2521), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [205945] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5772), 1,
      sym_trailing_return_type,
    STATE(6029), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8803), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206004] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9234), 1,
      anon_sym_SEMI,
    ACTIONS(9236), 1,
      anon_sym_LBRACE,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(9240), 1,
      anon_sym_EQ,
    ACTIONS(9242), 1,
      anon_sym_COLON,
    ACTIONS(9244), 1,
      anon_sym_try,
    STATE(1971), 1,
      sym_try_statement,
    STATE(1972), 1,
      sym_pure_virtual_clause,
    STATE(1973), 1,
      sym_delete_method_clause,
    STATE(1974), 1,
      sym_default_method_clause,
    STATE(1980), 1,
      sym_compound_statement,
    STATE(2792), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6382), 1,
      sym_bitfield_clause,
    STATE(6383), 1,
      sym_initializer_list,
    STATE(6386), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7673), 1,
      sym_attribute_specifier,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [206075] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7680), 1,
      anon_sym_STAR,
    ACTIONS(7682), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(5896), 1,
      sym__abstract_declarator,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206122] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(5997), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206181] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(5953), 1,
      sym__function_attributes_end,
    STATE(6109), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206240] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5964), 1,
      sym__function_attributes_end,
    STATE(6048), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9115), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206299] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8768), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5922), 1,
      sym__function_attributes_end,
    STATE(6055), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206358] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(9248), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5388), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9246), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206397] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(9252), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5307), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9250), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206436] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8815), 1,
      anon_sym_requires,
    STATE(5789), 1,
      sym_trailing_return_type,
    STATE(6011), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8588), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206495] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_requires,
    STATE(5965), 1,
      sym__function_attributes_end,
    STATE(6103), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8803), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206554] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9254), 1,
      anon_sym_requires,
    STATE(5949), 1,
      sym__function_attributes_end,
    STATE(6101), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9115), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206613] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_COLON,
    ACTIONS(9257), 1,
      anon_sym_SEMI,
    ACTIONS(9259), 1,
      anon_sym_LBRACE,
    ACTIONS(9261), 1,
      anon_sym_EQ,
    ACTIONS(9263), 1,
      anon_sym_try,
    STATE(1680), 1,
      sym_try_statement,
    STATE(1682), 1,
      sym_pure_virtual_clause,
    STATE(1683), 1,
      sym_delete_method_clause,
    STATE(1684), 1,
      sym_default_method_clause,
    STATE(1685), 1,
      sym_compound_statement,
    STATE(2792), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6368), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6370), 1,
      sym_bitfield_clause,
    STATE(6418), 1,
      sym_initializer_list,
    STATE(7898), 1,
      sym_attribute_specifier,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [206684] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_COLON,
    ACTIONS(9265), 1,
      anon_sym_SEMI,
    ACTIONS(9267), 1,
      anon_sym_LBRACE,
    ACTIONS(9269), 1,
      anon_sym_EQ,
    ACTIONS(9271), 1,
      anon_sym_try,
    STATE(2017), 1,
      sym_default_method_clause,
    STATE(2024), 1,
      sym_delete_method_clause,
    STATE(2029), 1,
      sym_pure_virtual_clause,
    STATE(2036), 1,
      sym_try_statement,
    STATE(2072), 1,
      sym_compound_statement,
    STATE(2792), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6376), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6385), 1,
      sym_initializer_list,
    STATE(6388), 1,
      sym_bitfield_clause,
    STATE(7792), 1,
      sym_attribute_specifier,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [206755] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    STATE(5817), 1,
      sym_trailing_return_type,
    STATE(6008), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9115), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206814] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_requires,
    STATE(5794), 1,
      sym_trailing_return_type,
    STATE(6009), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8803), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206873] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9171), 1,
      anon_sym_requires,
    STATE(5800), 1,
      sym_trailing_return_type,
    STATE(6000), 1,
      sym__function_attributes_end,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9115), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206932] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      anon_sym___asm,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5970), 1,
      sym__function_attributes_end,
    STATE(6051), 1,
      sym_trailing_return_type,
    STATE(6336), 1,
      sym_gnu_asm_expression,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6654), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8803), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5219), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5508), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206991] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    ACTIONS(9222), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    STATE(2745), 1,
      sym_template_type,
    STATE(5608), 1,
      sym_lambda_capture_specifier,
    STATE(6173), 1,
      sym__scope_resolution,
    ACTIONS(9275), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3747), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207043] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    ACTIONS(9185), 1,
      anon_sym_requires,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    STATE(2479), 1,
      sym_template_type,
    STATE(5569), 1,
      sym_lambda_capture_specifier,
    STATE(6199), 1,
      sym__scope_resolution,
    ACTIONS(9279), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4155), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207095] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9185), 1,
      anon_sym_requires,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    STATE(2479), 1,
      sym_template_type,
    STATE(5569), 1,
      sym_lambda_capture_specifier,
    STATE(6185), 1,
      sym__scope_resolution,
    ACTIONS(9279), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4155), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207147] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9201), 1,
      anon_sym_requires,
    ACTIONS(9281), 1,
      anon_sym_LPAREN2,
    STATE(1740), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    ACTIONS(9283), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3302), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207199] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9289), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2185), 1,
      sym_template_type,
    STATE(5560), 1,
      sym_lambda_capture_specifier,
    STATE(6177), 1,
      sym__scope_resolution,
    ACTIONS(9291), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1590), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207251] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    ACTIONS(9295), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5838), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207303] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    ACTIONS(9291), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1590), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207355] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_LPAREN2,
    ACTIONS(9301), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5591), 1,
      sym_lambda_capture_specifier,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(9299), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6046), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207407] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    ACTIONS(9211), 1,
      anon_sym_requires,
    ACTIONS(9303), 1,
      anon_sym_LPAREN2,
    STATE(1858), 1,
      sym_template_type,
    STATE(5580), 1,
      sym_lambda_capture_specifier,
    STATE(6194), 1,
      sym__scope_resolution,
    ACTIONS(9305), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2377), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207459] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    ACTIONS(9211), 1,
      anon_sym_requires,
    ACTIONS(9303), 1,
      anon_sym_LPAREN2,
    STATE(1858), 1,
      sym_template_type,
    STATE(5580), 1,
      sym_lambda_capture_specifier,
    STATE(6194), 1,
      sym__scope_resolution,
    ACTIONS(9307), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2379), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207511] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    ACTIONS(9201), 1,
      anon_sym_requires,
    ACTIONS(9281), 1,
      anon_sym_LPAREN2,
    STATE(1740), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    ACTIONS(9283), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3302), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207563] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    ACTIONS(9185), 1,
      anon_sym_requires,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    STATE(2479), 1,
      sym_template_type,
    STATE(5569), 1,
      sym_lambda_capture_specifier,
    STATE(6199), 1,
      sym__scope_resolution,
    ACTIONS(9309), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5973), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207615] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    ACTIONS(9201), 1,
      anon_sym_requires,
    ACTIONS(9281), 1,
      anon_sym_LPAREN2,
    STATE(1740), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    ACTIONS(9311), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6161), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207667] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9099), 1,
      sym_identifier,
    ACTIONS(9313), 1,
      anon_sym_LPAREN2,
    ACTIONS(9317), 1,
      anon_sym_requires,
    STATE(4346), 1,
      sym_template_type,
    STATE(5599), 1,
      sym_lambda_capture_specifier,
    STATE(6176), 1,
      sym__scope_resolution,
    ACTIONS(9315), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5653), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207719] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    ACTIONS(9201), 1,
      anon_sym_requires,
    ACTIONS(9281), 1,
      anon_sym_LPAREN2,
    STATE(1740), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6196), 1,
      sym__scope_resolution,
    ACTIONS(9319), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6213), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207771] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    ACTIONS(9201), 1,
      anon_sym_requires,
    ACTIONS(9281), 1,
      anon_sym_LPAREN2,
    STATE(3629), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6180), 1,
      sym__scope_resolution,
    ACTIONS(9283), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3302), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207823] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    ACTIONS(9201), 1,
      anon_sym_requires,
    ACTIONS(9281), 1,
      anon_sym_LPAREN2,
    STATE(3629), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6180), 1,
      sym__scope_resolution,
    ACTIONS(9321), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4057), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207875] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9185), 1,
      anon_sym_requires,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    STATE(2479), 1,
      sym_template_type,
    STATE(5569), 1,
      sym_lambda_capture_specifier,
    STATE(6185), 1,
      sym__scope_resolution,
    ACTIONS(9323), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4585), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207927] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9099), 1,
      sym_identifier,
    ACTIONS(9313), 1,
      anon_sym_LPAREN2,
    ACTIONS(9317), 1,
      anon_sym_requires,
    STATE(4346), 1,
      sym_template_type,
    STATE(5599), 1,
      sym_lambda_capture_specifier,
    STATE(6176), 1,
      sym__scope_resolution,
    ACTIONS(9325), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5641), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9329), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9327), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [208009] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_LPAREN2,
    ACTIONS(9301), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5591), 1,
      sym_lambda_capture_specifier,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(9331), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6085), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208061] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_LPAREN2,
    ACTIONS(9301), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5591), 1,
      sym_lambda_capture_specifier,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(9333), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5331), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208113] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_requires,
    ACTIONS(9281), 1,
      anon_sym_LPAREN2,
    ACTIONS(9335), 1,
      sym_identifier,
    ACTIONS(9337), 1,
      anon_sym_COLON_COLON,
    STATE(1740), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6163), 1,
      sym__scope_resolution,
    ACTIONS(9339), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5849), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208165] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6172), 1,
      sym__scope_resolution,
    ACTIONS(9341), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5414), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208217] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    ACTIONS(9185), 1,
      anon_sym_requires,
    ACTIONS(9277), 1,
      anon_sym_LPAREN2,
    STATE(2479), 1,
      sym_template_type,
    STATE(5569), 1,
      sym_lambda_capture_specifier,
    STATE(6199), 1,
      sym__scope_resolution,
    ACTIONS(9343), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6004), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208269] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    ACTIONS(9201), 1,
      anon_sym_requires,
    ACTIONS(9281), 1,
      anon_sym_LPAREN2,
    STATE(1740), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6203), 1,
      sym__scope_resolution,
    ACTIONS(9345), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4033), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208321] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3223), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5155), 1,
      sym__scope_resolution,
    STATE(6490), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6548), 1,
      sym_operator_cast,
    STATE(7814), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [208391] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    ACTIONS(9230), 1,
      anon_sym_requires,
    ACTIONS(9351), 1,
      anon_sym_LPAREN2,
    STATE(2566), 1,
      sym_template_type,
    STATE(5600), 1,
      sym_lambda_capture_specifier,
    STATE(6187), 1,
      sym__scope_resolution,
    ACTIONS(9353), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3495), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208443] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9289), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2185), 1,
      sym_template_type,
    STATE(5560), 1,
      sym_lambda_capture_specifier,
    STATE(6177), 1,
      sym__scope_resolution,
    ACTIONS(9355), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2178), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208495] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7727), 1,
      anon_sym_STAR,
    ACTIONS(7729), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7731), 1,
      anon_sym_AMP,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5947), 1,
      sym__abstract_declarator,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [208541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9359), 1,
      anon_sym_LPAREN2,
    STATE(5411), 1,
      sym_preproc_argument_list,
    ACTIONS(9361), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9357), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [208575] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6172), 1,
      sym__scope_resolution,
    ACTIONS(9363), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5321), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208627] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    ACTIONS(9230), 1,
      anon_sym_requires,
    ACTIONS(9351), 1,
      anon_sym_LPAREN2,
    STATE(2566), 1,
      sym_template_type,
    STATE(5600), 1,
      sym_lambda_capture_specifier,
    STATE(6187), 1,
      sym__scope_resolution,
    ACTIONS(9365), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3536), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208679] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9285), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9289), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2185), 1,
      sym_template_type,
    STATE(5560), 1,
      sym_lambda_capture_specifier,
    STATE(6177), 1,
      sym__scope_resolution,
    ACTIONS(9367), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2166), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208731] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7721), 1,
      anon_sym_STAR,
    ACTIONS(7723), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7725), 1,
      anon_sym_AMP,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(5917), 1,
      sym__abstract_declarator,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208777] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6172), 1,
      sym__scope_resolution,
    ACTIONS(9291), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1590), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208829] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(9287), 1,
      anon_sym_LPAREN2,
    ACTIONS(9293), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5593), 1,
      sym_lambda_capture_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    ACTIONS(9369), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5826), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208881] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    ACTIONS(9222), 1,
      anon_sym_requires,
    ACTIONS(9273), 1,
      anon_sym_LPAREN2,
    STATE(2745), 1,
      sym_template_type,
    STATE(5608), 1,
      sym_lambda_capture_specifier,
    STATE(6173), 1,
      sym__scope_resolution,
    ACTIONS(9371), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3746), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208933] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_LPAREN2,
    ACTIONS(9301), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5591), 1,
      sym_lambda_capture_specifier,
    STATE(6166), 1,
      sym__scope_resolution,
    ACTIONS(9373), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5360), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208985] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9099), 1,
      sym_identifier,
    ACTIONS(9313), 1,
      anon_sym_LPAREN2,
    ACTIONS(9317), 1,
      anon_sym_requires,
    STATE(4346), 1,
      sym_template_type,
    STATE(5599), 1,
      sym_lambda_capture_specifier,
    STATE(6176), 1,
      sym__scope_resolution,
    ACTIONS(9375), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5684), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209037] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_TILDE,
    ACTIONS(9381), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9383), 1,
      anon_sym_template,
    ACTIONS(9385), 1,
      anon_sym_operator,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5169), 1,
      sym__scope_resolution,
    STATE(6490), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6548), 1,
      sym_operator_cast,
    STATE(7781), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [209107] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_LPAREN2,
    ACTIONS(9301), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5591), 1,
      sym_lambda_capture_specifier,
    STATE(6166), 1,
      sym__scope_resolution,
    ACTIONS(9333), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5331), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209159] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_requires,
    ACTIONS(9281), 1,
      anon_sym_LPAREN2,
    ACTIONS(9335), 1,
      sym_identifier,
    ACTIONS(9337), 1,
      anon_sym_COLON_COLON,
    STATE(1740), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6163), 1,
      sym__scope_resolution,
    ACTIONS(9387), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5818), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209211] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_requires,
    ACTIONS(9281), 1,
      anon_sym_LPAREN2,
    ACTIONS(9335), 1,
      sym_identifier,
    ACTIONS(9337), 1,
      anon_sym_COLON_COLON,
    STATE(1740), 1,
      sym_template_type,
    STATE(5588), 1,
      sym_lambda_capture_specifier,
    STATE(6163), 1,
      sym__scope_resolution,
    ACTIONS(9283), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3302), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209263] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    ACTIONS(9297), 1,
      anon_sym_LPAREN2,
    ACTIONS(9301), 1,
      anon_sym_requires,
    STATE(2136), 1,
      sym_template_type,
    STATE(5591), 1,
      sym_lambda_capture_specifier,
    STATE(6166), 1,
      sym__scope_resolution,
    ACTIONS(9389), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5328), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209315] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(3819), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9393), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5174), 1,
      sym__scope_resolution,
    STATE(6490), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6548), 1,
      sym_operator_cast,
    STATE(7814), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [209385] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    ACTIONS(9193), 1,
      anon_sym_requires,
    ACTIONS(9395), 1,
      anon_sym_LPAREN2,
    STATE(2511), 1,
      sym_template_type,
    STATE(5564), 1,
      sym_lambda_capture_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    ACTIONS(9397), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3369), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209437] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    ACTIONS(9193), 1,
      anon_sym_requires,
    ACTIONS(9395), 1,
      anon_sym_LPAREN2,
    STATE(2511), 1,
      sym_template_type,
    STATE(5564), 1,
      sym_lambda_capture_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    ACTIONS(9399), 2,
      sym_true,
      sym_false,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3378), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [209489] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(2990), 1,
      sym_field_declaration_list,
    STATE(3359), 1,
      sym__class_declaration_item,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6486), 1,
      sym_virtual_specifier,
    STATE(7298), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209548] = 5,
    ACTIONS(9357), 1,
      anon_sym_LF,
    ACTIONS(9401), 1,
      anon_sym_LPAREN2,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(5465), 1,
      sym_preproc_argument_list,
    ACTIONS(9361), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [209581] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7745), 1,
      anon_sym_STAR,
    ACTIONS(7747), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7749), 1,
      anon_sym_AMP,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(6026), 1,
      sym__abstract_declarator,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209626] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1805), 1,
      sym__class_declaration_item,
    STATE(4880), 1,
      sym_field_declaration_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6426), 1,
      sym_virtual_specifier,
    STATE(7203), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4484), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209685] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9409), 1,
      anon_sym_SEMI,
    ACTIONS(9411), 1,
      anon_sym_LBRACE,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9419), 1,
      anon_sym_try,
    STATE(340), 1,
      sym_try_statement,
    STATE(341), 1,
      sym_compound_statement,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(6939), 1,
      sym_gnu_asm_expression,
    STATE(6945), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [209746] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1812), 1,
      sym__class_declaration_item,
    STATE(4880), 1,
      sym_field_declaration_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6426), 1,
      sym_virtual_specifier,
    STATE(7203), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4484), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5183), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209805] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1810), 1,
      sym__class_declaration_item,
    STATE(4880), 1,
      sym_field_declaration_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6426), 1,
      sym_virtual_specifier,
    STATE(7203), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4484), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209864] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9421), 1,
      anon_sym_SEMI,
    ACTIONS(9423), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_try,
    STATE(543), 1,
      sym_compound_statement,
    STATE(554), 1,
      sym_try_statement,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(6894), 1,
      aux_sym_declaration_repeat1,
    STATE(6905), 1,
      sym_gnu_asm_expression,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [209925] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1797), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209984] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5188), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210043] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9427), 1,
      anon_sym_SEMI,
    ACTIONS(9429), 1,
      anon_sym_LBRACE,
    STATE(2018), 1,
      sym_try_statement,
    STATE(2020), 1,
      sym_compound_statement,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(7034), 1,
      aux_sym_declaration_repeat1,
    STATE(7035), 1,
      sym_gnu_asm_expression,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [210104] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1805), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210163] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1812), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5210), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210222] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2809), 1,
      sym_field_declaration_list,
    STATE(2974), 1,
      sym__class_declaration_item,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6661), 1,
      sym_virtual_specifier,
    STATE(7209), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5194), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210281] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2809), 1,
      sym_field_declaration_list,
    STATE(2959), 1,
      sym__class_declaration_item,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6661), 1,
      sym_virtual_specifier,
    STATE(7209), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210340] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2409), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5234), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210399] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9433), 1,
      anon_sym_RPAREN,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9443), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5243), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [210442] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2809), 1,
      sym_field_declaration_list,
    STATE(2965), 1,
      sym__class_declaration_item,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6661), 1,
      sym_virtual_specifier,
    STATE(7209), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210501] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2442), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210560] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2809), 1,
      sym_field_declaration_list,
    STATE(2989), 1,
      sym__class_declaration_item,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6661), 1,
      sym_virtual_specifier,
    STATE(7209), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5198), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210619] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5216), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210678] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2809), 1,
      sym_field_declaration_list,
    STATE(2948), 1,
      sym__class_declaration_item,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(6661), 1,
      sym_virtual_specifier,
    STATE(7209), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210737] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2425), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210796] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4572), 1,
      sym__class_declaration_item,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210855] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3836), 1,
      sym_field_declaration_list,
    STATE(3913), 1,
      sym__class_declaration_item,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(6581), 1,
      sym_virtual_specifier,
    STATE(7149), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3140), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5212), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210914] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1797), 1,
      sym__class_declaration_item,
    STATE(4880), 1,
      sym_field_declaration_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6426), 1,
      sym_virtual_specifier,
    STATE(7203), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4484), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210973] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3836), 1,
      sym_field_declaration_list,
    STATE(3890), 1,
      sym__class_declaration_item,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(6581), 1,
      sym_virtual_specifier,
    STATE(7149), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3140), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211032] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(4880), 1,
      sym_field_declaration_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(6426), 1,
      sym_virtual_specifier,
    STATE(7203), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4484), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5180), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211091] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4544), 1,
      sym__class_declaration_item,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5206), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211150] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4599), 1,
      sym__class_declaration_item,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211209] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9248), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5463), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9246), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211246] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1810), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211305] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2417), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211364] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1810), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211423] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(2990), 1,
      sym_field_declaration_list,
    STATE(3383), 1,
      sym__class_declaration_item,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6486), 1,
      sym_virtual_specifier,
    STATE(7298), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5177), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211482] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3836), 1,
      sym_field_declaration_list,
    STATE(3905), 1,
      sym__class_declaration_item,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(6581), 1,
      sym_virtual_specifier,
    STATE(7149), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3140), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211541] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3836), 1,
      sym_field_declaration_list,
    STATE(3902), 1,
      sym__class_declaration_item,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(6581), 1,
      sym_virtual_specifier,
    STATE(7149), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3140), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211600] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(2990), 1,
      sym_field_declaration_list,
    STATE(3376), 1,
      sym__class_declaration_item,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6486), 1,
      sym_virtual_specifier,
    STATE(7298), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211659] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(2990), 1,
      sym_field_declaration_list,
    STATE(3327), 1,
      sym__class_declaration_item,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6486), 1,
      sym_virtual_specifier,
    STATE(7298), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211718] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2417), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211777] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(2990), 1,
      sym_field_declaration_list,
    STATE(3322), 1,
      sym__class_declaration_item,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6486), 1,
      sym_virtual_specifier,
    STATE(7298), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2512), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5214), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211836] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4604), 1,
      sym__class_declaration_item,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5282), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211895] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9252), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5459), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9250), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211932] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2425), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211991] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2409), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5262), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212050] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2409), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5226), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212109] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2425), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212168] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4544), 1,
      sym__class_declaration_item,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3836), 1,
      sym_field_declaration_list,
    STATE(3897), 1,
      sym__class_declaration_item,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(6581), 1,
      sym_virtual_specifier,
    STATE(7149), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3140), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212286] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2442), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212345] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4663), 1,
      sym_field_declaration_list,
    STATE(4771), 1,
      sym__class_declaration_item,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6638), 1,
      sym_virtual_specifier,
    STATE(7177), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212404] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9449), 1,
      anon_sym_template,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5228), 1,
      sym__scope_resolution,
    STATE(6490), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6548), 1,
      sym_operator_cast,
    STATE(7814), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [212467] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5261), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212526] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9451), 1,
      anon_sym_COMMA,
    ACTIONS(9453), 1,
      anon_sym_RPAREN,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9465), 1,
      anon_sym_PIPE,
    ACTIONS(9467), 1,
      anon_sym_CARET,
    ACTIONS(9469), 1,
      anon_sym_AMP,
    STATE(6971), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212581] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(1900), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9479), 1,
      anon_sym_SEMI,
    ACTIONS(9481), 1,
      anon_sym_try,
    STATE(688), 1,
      sym_compound_statement,
    STATE(691), 1,
      sym_try_statement,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(7076), 1,
      aux_sym_declaration_repeat1,
    STATE(7077), 1,
      sym_gnu_asm_expression,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [212642] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9483), 1,
      anon_sym_RPAREN,
    ACTIONS(9485), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5230), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [212685] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9487), 1,
      anon_sym_SEMI,
    ACTIONS(9489), 1,
      anon_sym_LBRACE,
    ACTIONS(9491), 1,
      anon_sym_try,
    STATE(536), 1,
      sym_try_statement,
    STATE(660), 1,
      sym_compound_statement,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(7038), 1,
      sym_gnu_asm_expression,
    STATE(7039), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [212746] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2442), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212805] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9244), 1,
      anon_sym_try,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9493), 1,
      anon_sym_SEMI,
    ACTIONS(9495), 1,
      anon_sym_LBRACE,
    STATE(2039), 1,
      sym_try_statement,
    STATE(2040), 1,
      sym_compound_statement,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(6699), 1,
      sym_gnu_asm_expression,
    STATE(6700), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [212866] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2709), 1,
      sym_field_declaration_list,
    STATE(2866), 1,
      sym__class_declaration_item,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2321), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212925] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5254), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212984] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2709), 1,
      sym_field_declaration_list,
    STATE(2899), 1,
      sym__class_declaration_item,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2321), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5236), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213043] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2709), 1,
      sym_field_declaration_list,
    STATE(2844), 1,
      sym__class_declaration_item,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2321), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213102] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2115), 1,
      sym_field_declaration_list,
    STATE(2215), 1,
      sym__class_declaration_item,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym_virtual_specifier,
    STATE(7312), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1673), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213161] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2115), 1,
      sym_field_declaration_list,
    STATE(2216), 1,
      sym__class_declaration_item,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym_virtual_specifier,
    STATE(7312), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1673), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5240), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213220] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2115), 1,
      sym_field_declaration_list,
    STATE(2175), 1,
      sym__class_declaration_item,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym_virtual_specifier,
    STATE(7312), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1673), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9451), 1,
      anon_sym_COMMA,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9465), 1,
      anon_sym_PIPE,
    ACTIONS(9467), 1,
      anon_sym_CARET,
    ACTIONS(9469), 1,
      anon_sym_AMP,
    ACTIONS(9497), 1,
      anon_sym_RPAREN,
    STATE(7052), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [213334] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2709), 1,
      sym_field_declaration_list,
    STATE(2860), 1,
      sym__class_declaration_item,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2321), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213393] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2442), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213452] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2709), 1,
      sym_field_declaration_list,
    STATE(2869), 1,
      sym__class_declaration_item,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6627), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2321), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5239), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213511] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2409), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5195), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213570] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1785), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5268), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213629] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1797), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213688] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9499), 1,
      anon_sym_RPAREN,
    ACTIONS(9501), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5276), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [213731] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2425), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213790] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2677), 1,
      sym__class_declaration_item,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213849] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2683), 1,
      sym__class_declaration_item,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5252), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213908] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2417), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213967] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5209), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214026] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2115), 1,
      sym_field_declaration_list,
    STATE(2212), 1,
      sym__class_declaration_item,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym_virtual_specifier,
    STATE(7312), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1673), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214085] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2659), 1,
      sym__class_declaration_item,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214144] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2115), 1,
      sym_field_declaration_list,
    STATE(2159), 1,
      sym__class_declaration_item,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym_virtual_specifier,
    STATE(7312), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1673), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5242), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214203] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2627), 1,
      sym__class_declaration_item,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214262] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2673), 1,
      sym__class_declaration_item,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214321] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2417), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214380] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2442), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214439] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4624), 1,
      sym__class_declaration_item,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214498] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5274), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214557] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4572), 1,
      sym__class_declaration_item,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214616] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2673), 1,
      sym__class_declaration_item,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5271), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214675] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4663), 1,
      sym_field_declaration_list,
    STATE(4768), 1,
      sym__class_declaration_item,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6638), 1,
      sym_virtual_specifier,
    STATE(7177), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214734] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1805), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214793] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(1812), 1,
      sym__class_declaration_item,
    STATE(2239), 1,
      sym_field_declaration_list,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(6613), 1,
      sym_virtual_specifier,
    STATE(7158), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2073), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5208), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214852] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2627), 1,
      sym__class_declaration_item,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214911] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2659), 1,
      sym__class_declaration_item,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214970] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2683), 1,
      sym__class_declaration_item,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5273), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215029] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2513), 1,
      sym_field_declaration_list,
    STATE(2677), 1,
      sym__class_declaration_item,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(6518), 1,
      sym_virtual_specifier,
    STATE(7394), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2253), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215088] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2417), 1,
      sym__class_declaration_item,
    STATE(3635), 1,
      sym_field_declaration_list,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6652), 1,
      sym_virtual_specifier,
    STATE(7155), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215147] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4599), 1,
      sym__class_declaration_item,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215206] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9451), 1,
      anon_sym_COMMA,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9465), 1,
      anon_sym_PIPE,
    ACTIONS(9467), 1,
      anon_sym_CARET,
    ACTIONS(9469), 1,
      anon_sym_AMP,
    ACTIONS(9503), 1,
      anon_sym_RPAREN,
    STATE(6834), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215261] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2409), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215320] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(9263), 1,
      anon_sym_try,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9505), 1,
      anon_sym_SEMI,
    ACTIONS(9507), 1,
      anon_sym_LBRACE,
    STATE(1728), 1,
      sym_compound_statement,
    STATE(1731), 1,
      sym_try_statement,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(6836), 1,
      aux_sym_declaration_repeat1,
    STATE(6837), 1,
      sym_gnu_asm_expression,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [215381] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4604), 1,
      sym__class_declaration_item,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5263), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215440] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4663), 1,
      sym_field_declaration_list,
    STATE(4744), 1,
      sym__class_declaration_item,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6638), 1,
      sym_virtual_specifier,
    STATE(7177), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215499] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4663), 1,
      sym_field_declaration_list,
    STATE(4760), 1,
      sym__class_declaration_item,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6638), 1,
      sym_virtual_specifier,
    STATE(7177), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5283), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215558] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4475), 1,
      sym_field_declaration_list,
    STATE(4624), 1,
      sym__class_declaration_item,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(6517), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215617] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4663), 1,
      sym_field_declaration_list,
    STATE(4792), 1,
      sym__class_declaration_item,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6638), 1,
      sym_virtual_specifier,
    STATE(7177), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215676] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    ACTIONS(6236), 1,
      anon_sym_COLON,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2425), 1,
      sym__class_declaration_item,
    STATE(2879), 1,
      sym_field_declaration_list,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(6555), 1,
      sym_virtual_specifier,
    STATE(7194), 1,
      sym_base_class_clause,
    ACTIONS(5255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2361), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [215735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9509), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5347), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215775] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9513), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [215811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9515), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5339), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215851] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9517), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5340), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215891] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9519), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5341), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215931] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5368), 1,
      sym_trailing_return_type,
    ACTIONS(9117), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [215971] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9521), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5345), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(9526), 1,
      anon_sym_requires,
    STATE(5364), 1,
      sym_trailing_return_type,
    ACTIONS(9513), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [216051] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9539), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5490), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216091] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(9543), 1,
      sym_identifier,
    ACTIONS(9545), 1,
      anon_sym_TILDE,
    ACTIONS(9547), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9549), 1,
      anon_sym_template,
    ACTIONS(9551), 1,
      anon_sym_operator,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(3092), 1,
      sym_operator_name,
    STATE(3095), 1,
      sym_qualified_identifier,
    STATE(3100), 1,
      sym_dependent_identifier,
    STATE(3103), 1,
      sym_destructor_name,
    STATE(3110), 1,
      sym_template_function,
    STATE(3112), 1,
      sym_pointer_type_declarator,
    STATE(5294), 1,
      sym__scope_resolution,
    STATE(8023), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [216155] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9553), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5348), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9557), 1,
      anon_sym_LPAREN2,
    ACTIONS(9559), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9555), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216225] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9561), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5349), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9563), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5491), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216305] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9565), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5350), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9252), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9250), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216377] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9567), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5505), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216417] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9569), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5468), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9571), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5503), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216497] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9573), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5494), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216537] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    ACTIONS(9575), 1,
      anon_sym_SEMI,
    STATE(5123), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    STATE(7924), 1,
      sym_attribute_specifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [216589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9577), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5450), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9248), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9246), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216661] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9579), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5467), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216701] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8590), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [216737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5049), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216765] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9581), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5499), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9585), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9583), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1950), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9589), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9587), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9593), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9591), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216917] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6542), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9597), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9595), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(1954), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9599), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5336), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217063] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9117), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [217099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9601), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5925), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217129] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6434), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217179] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9603), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5338), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217219] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9605), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5489), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217259] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8774), 1,
      anon_sym_requires,
    STATE(5370), 1,
      sym_trailing_return_type,
    ACTIONS(8590), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [217299] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6651), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217349] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9609), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5554), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [217385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9611), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5925), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217415] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(9379), 1,
      anon_sym_TILDE,
    ACTIONS(9613), 1,
      sym_identifier,
    ACTIONS(9615), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9617), 1,
      anon_sym_template,
    ACTIONS(9619), 1,
      anon_sym_operator,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5329), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [217479] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9621), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5479), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5025), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217547] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6550), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217597] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9623), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5469), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9627), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9625), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6714), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9631), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9629), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217725] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6427), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9631), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9629), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217803] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9465), 1,
      anon_sym_PIPE,
    ACTIONS(9467), 1,
      anon_sym_CARET,
    ACTIONS(9469), 1,
      anon_sym_AMP,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9629), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [217851] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9465), 1,
      anon_sym_PIPE,
    ACTIONS(9467), 1,
      anon_sym_CARET,
    ACTIONS(9469), 1,
      anon_sym_AMP,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9629), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [217897] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9467), 1,
      anon_sym_CARET,
    ACTIONS(9469), 1,
      anon_sym_AMP,
    ACTIONS(9631), 1,
      anon_sym_PIPE,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9629), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [217943] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6521), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9633), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5512), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218033] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6588), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218083] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9469), 1,
      anon_sym_AMP,
    ACTIONS(9631), 1,
      anon_sym_PIPE,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9629), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [218127] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(9635), 1,
      anon_sym_requires,
    STATE(5397), 1,
      sym_trailing_return_type,
    ACTIONS(9513), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [218167] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9631), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9629), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [218209] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9631), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9629), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [218249] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9631), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9629), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [218285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9631), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9629), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [218319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9638), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5481), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9642), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9640), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218387] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    STATE(5371), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8805), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [218427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_requires,
    STATE(5395), 1,
      sym_trailing_return_type,
    ACTIONS(9117), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [218467] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7850), 1,
      anon_sym_STAR,
    ACTIONS(9644), 1,
      sym_identifier,
    ACTIONS(9646), 1,
      anon_sym_TILDE,
    ACTIONS(9648), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9650), 1,
      anon_sym_template,
    ACTIONS(9652), 1,
      anon_sym_operator,
    STATE(2460), 1,
      sym_template_type,
    STATE(2496), 1,
      sym_dependent_type_identifier,
    STATE(2520), 1,
      sym_qualified_type_identifier,
    STATE(3448), 1,
      sym_operator_name,
    STATE(3457), 1,
      sym_qualified_identifier,
    STATE(3462), 1,
      sym_dependent_identifier,
    STATE(3463), 1,
      sym_destructor_name,
    STATE(3464), 1,
      sym_template_function,
    STATE(3468), 1,
      sym_pointer_type_declarator,
    STATE(5355), 1,
      sym__scope_resolution,
    STATE(7594), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [218531] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8963), 1,
      anon_sym_requires,
    STATE(5394), 1,
      sym_trailing_return_type,
    ACTIONS(8805), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [218571] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    STATE(5396), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9513), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [218611] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9513), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [218647] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9654), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5376), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9611), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9656), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5901), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9658), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5476), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218759] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9660), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5460), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218799] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5392), 1,
      sym_trailing_return_type,
    ACTIONS(8590), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [218839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9665), 1,
      anon_sym_requires,
    ACTIONS(9609), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5554), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [218875] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(9668), 1,
      sym_identifier,
    ACTIONS(9670), 1,
      anon_sym_TILDE,
    ACTIONS(9672), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9674), 1,
      anon_sym_template,
    ACTIONS(9676), 1,
      anon_sym_operator,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2416), 1,
      sym_pointer_type_declarator,
    STATE(2418), 1,
      sym_template_function,
    STATE(2419), 1,
      sym_destructor_name,
    STATE(2420), 1,
      sym_dependent_identifier,
    STATE(2422), 1,
      sym_qualified_identifier,
    STATE(2424), 1,
      sym_operator_name,
    STATE(5365), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [218939] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8590), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [218975] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9144), 1,
      anon_sym_requires,
    ACTIONS(9117), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219011] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9526), 1,
      anon_sym_requires,
    ACTIONS(9513), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219047] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(9678), 1,
      sym_identifier,
    ACTIONS(9680), 1,
      anon_sym_TILDE,
    ACTIONS(9682), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9684), 1,
      anon_sym_template,
    ACTIONS(9686), 1,
      anon_sym_operator,
    STATE(1714), 1,
      sym_dependent_type_identifier,
    STATE(1722), 1,
      sym_template_type,
    STATE(1834), 1,
      sym_qualified_type_identifier,
    STATE(3208), 1,
      sym_operator_name,
    STATE(3281), 1,
      sym_pointer_type_declarator,
    STATE(3283), 1,
      sym_template_function,
    STATE(3284), 1,
      sym_destructor_name,
    STATE(3285), 1,
      sym_dependent_identifier,
    STATE(3287), 1,
      sym_qualified_identifier,
    STATE(5369), 1,
      sym__scope_resolution,
    STATE(8023), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [219111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8852), 1,
      anon_sym_requires,
    ACTIONS(8805), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219147] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9117), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [219183] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9688), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5453), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [219223] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6449), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219273] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5367), 1,
      sym_trailing_return_type,
    ACTIONS(8805), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [219313] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6464), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219363] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9465), 1,
      anon_sym_PIPE,
    ACTIONS(9467), 1,
      anon_sym_CARET,
    ACTIONS(9469), 1,
      anon_sym_AMP,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9690), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [219413] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6481), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5057), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5005), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5029), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5029), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9694), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9692), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [219603] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(9680), 1,
      anon_sym_TILDE,
    ACTIONS(9686), 1,
      anon_sym_operator,
    ACTIONS(9696), 1,
      sym_identifier,
    ACTIONS(9698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9700), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(3208), 1,
      sym_operator_name,
    STATE(3281), 1,
      sym_pointer_type_declarator,
    STATE(3283), 1,
      sym_template_function,
    STATE(3284), 1,
      sym_destructor_name,
    STATE(3285), 1,
      sym_dependent_identifier,
    STATE(3287), 1,
      sym_qualified_identifier,
    STATE(5383), 1,
      sym__scope_resolution,
    STATE(8023), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [219667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    STATE(5286), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9117), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [219707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5029), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8774), 1,
      anon_sym_requires,
    ACTIONS(8590), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9702), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5486), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [219811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9706), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9704), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5045), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4989), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8790), 1,
      anon_sym_requires,
    ACTIONS(8590), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [219935] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8963), 1,
      anon_sym_requires,
    ACTIONS(8805), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [219971] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7850), 1,
      anon_sym_STAR,
    ACTIONS(9646), 1,
      anon_sym_TILDE,
    ACTIONS(9652), 1,
      anon_sym_operator,
    ACTIONS(9708), 1,
      sym_identifier,
    ACTIONS(9710), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9712), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(3448), 1,
      sym_operator_name,
    STATE(3457), 1,
      sym_qualified_identifier,
    STATE(3462), 1,
      sym_dependent_identifier,
    STATE(3463), 1,
      sym_destructor_name,
    STATE(3464), 1,
      sym_template_function,
    STATE(3468), 1,
      sym_pointer_type_declarator,
    STATE(5393), 1,
      sym__scope_resolution,
    STATE(7594), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [220035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9159), 1,
      anon_sym_requires,
    ACTIONS(9117), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [220071] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9635), 1,
      anon_sym_requires,
    ACTIONS(9513), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [220107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9609), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5554), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220143] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9714), 1,
      anon_sym_requires,
    ACTIONS(9609), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5554), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [220179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9719), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9717), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220207] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6622), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220257] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6678), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5099), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220335] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(9670), 1,
      anon_sym_TILDE,
    ACTIONS(9676), 1,
      anon_sym_operator,
    ACTIONS(9721), 1,
      sym_identifier,
    ACTIONS(9723), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9725), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2416), 1,
      sym_pointer_type_declarator,
    STATE(2418), 1,
      sym_template_function,
    STATE(2419), 1,
      sym_destructor_name,
    STATE(2420), 1,
      sym_dependent_identifier,
    STATE(2422), 1,
      sym_qualified_identifier,
    STATE(2424), 1,
      sym_operator_name,
    STATE(5402), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [220399] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8805), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [220435] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6596), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220485] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9727), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5509), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [220525] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(9680), 1,
      anon_sym_TILDE,
    ACTIONS(9686), 1,
      anon_sym_operator,
    ACTIONS(9729), 1,
      sym_identifier,
    ACTIONS(9731), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9733), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(3208), 1,
      sym_operator_name,
    STATE(3281), 1,
      sym_pointer_type_declarator,
    STATE(3283), 1,
      sym_template_function,
    STATE(3284), 1,
      sym_destructor_name,
    STATE(3285), 1,
      sym_dependent_identifier,
    STATE(3287), 1,
      sym_qualified_identifier,
    STATE(5406), 1,
      sym__scope_resolution,
    STATE(8023), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [220589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    STATE(5320), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8805), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [220629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    STATE(5327), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9513), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5095), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220697] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9735), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5510), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [220737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9739), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9737), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [220765] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6669), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220815] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(9741), 1,
      sym_identifier,
    ACTIONS(9743), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5413), 1,
      sym__scope_resolution,
    STATE(7814), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [220879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9601), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9745), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5901), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220911] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9747), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5495), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [220951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9751), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5447), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9749), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9755), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9753), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221011] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7781), 1,
      anon_sym_STAR,
    ACTIONS(7783), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7785), 1,
      anon_sym_AMP,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6087), 1,
      sym__abstract_declarator,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [221055] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9757), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5480), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5053), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5085), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221151] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    ACTIONS(9759), 1,
      anon_sym_SEMI,
    STATE(5112), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    STATE(7701), 1,
      sym_attribute_specifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [221203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4965), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6953), 1,
      anon_sym_DASH_GT,
    STATE(5426), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8590), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [221271] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6607), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [221321] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8805), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [221357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    STATE(5403), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8590), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [221397] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(9545), 1,
      anon_sym_TILDE,
    ACTIONS(9551), 1,
      anon_sym_operator,
    ACTIONS(9761), 1,
      sym_identifier,
    ACTIONS(9763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9765), 1,
      anon_sym_template,
    STATE(1714), 1,
      sym_dependent_type_identifier,
    STATE(1722), 1,
      sym_template_type,
    STATE(1834), 1,
      sym_qualified_type_identifier,
    STATE(3092), 1,
      sym_operator_name,
    STATE(3095), 1,
      sym_qualified_identifier,
    STATE(3100), 1,
      sym_dependent_identifier,
    STATE(3103), 1,
      sym_destructor_name,
    STATE(3110), 1,
      sym_template_function,
    STATE(3112), 1,
      sym_pointer_type_declarator,
    STATE(5428), 1,
      sym__scope_resolution,
    STATE(8023), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [221461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9769), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9767), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221489] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      anon_sym_defined,
    ACTIONS(9771), 1,
      sym_number_literal,
    ACTIONS(9439), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9441), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9445), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5314), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221529] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9773), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5497), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221569] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9775), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5493), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221609] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9777), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5484), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221649] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9779), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5462), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221689] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(4916), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(9781), 1,
      sym_identifier,
    ACTIONS(9783), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5435), 1,
      sym__scope_resolution,
    STATE(7814), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [221753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9787), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9785), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221781] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(9670), 1,
      anon_sym_TILDE,
    ACTIONS(9676), 1,
      anon_sym_operator,
    ACTIONS(9789), 1,
      sym_identifier,
    ACTIONS(9791), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9793), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2416), 1,
      sym_pointer_type_declarator,
    STATE(2418), 1,
      sym_template_function,
    STATE(2419), 1,
      sym_destructor_name,
    STATE(2420), 1,
      sym_dependent_identifier,
    STATE(2422), 1,
      sym_qualified_identifier,
    STATE(2424), 1,
      sym_operator_name,
    STATE(5437), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [221845] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6533), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [221895] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(9670), 1,
      anon_sym_TILDE,
    ACTIONS(9676), 1,
      anon_sym_operator,
    ACTIONS(9795), 1,
      sym_identifier,
    ACTIONS(9797), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9799), 1,
      anon_sym_template,
    STATE(1714), 1,
      sym_dependent_type_identifier,
    STATE(1722), 1,
      sym_template_type,
    STATE(1834), 1,
      sym_qualified_type_identifier,
    STATE(2416), 1,
      sym_pointer_type_declarator,
    STATE(2418), 1,
      sym_template_function,
    STATE(2419), 1,
      sym_destructor_name,
    STATE(2420), 1,
      sym_dependent_identifier,
    STATE(2422), 1,
      sym_qualified_identifier,
    STATE(2424), 1,
      sym_operator_name,
    STATE(5439), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_ms_based_modifier,
    STATE(8141), 1,
      sym_decltype,
  [221959] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(9531), 1,
      anon_sym_LPAREN2,
    ACTIONS(9533), 1,
      anon_sym_defined,
    ACTIONS(9801), 1,
      sym_number_literal,
    ACTIONS(9535), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9537), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9541), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5478), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [221999] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym___attribute__,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    ACTIONS(9803), 1,
      anon_sym_SEMI,
    STATE(5124), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7431), 1,
      sym_attribute_specifier,
    STATE(7432), 1,
      sym_ms_based_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [222051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5021), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222079] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6639), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222129] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6123), 1,
      sym__type_declarator,
    STATE(6623), 1,
      sym__type_definition_declarators,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9807), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9805), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222207] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    STATE(5358), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9117), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9811), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9813), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5447), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9809), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222279] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5368), 1,
      sym_trailing_return_type,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [222318] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    ACTIONS(9526), 1,
      anon_sym_requires,
    STATE(5364), 1,
      sym_trailing_return_type,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [222357] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9816), 1,
      anon_sym_LF,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222402] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      anon_sym_STAR,
    ACTIONS(7807), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7809), 1,
      anon_sym_AMP,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6155), 1,
      sym__abstract_declarator,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7999), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [222445] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6298), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222492] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9838), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222537] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6195), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222584] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6302), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222631] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(9840), 1,
      sym_identifier,
    ACTIONS(9842), 1,
      anon_sym_template,
    STATE(5456), 1,
      sym__scope_resolution,
    STATE(5773), 1,
      sym_qualified_identifier,
    STATE(5779), 1,
      sym_operator_name,
    STATE(5806), 1,
      sym_destructor_name,
    STATE(5822), 1,
      sym_template_function,
    STATE(5827), 1,
      sym_pointer_type_declarator,
    STATE(5882), 1,
      sym_dependent_identifier,
    STATE(7534), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [222688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9844), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5927), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5929), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    STATE(5396), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [222758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9248), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9246), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222789] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9847), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222834] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7821), 1,
      anon_sym_STAR,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      sym_primitive_type,
    STATE(5678), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7791), 1,
      sym_ms_based_modifier,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222881] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9849), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9706), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9704), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222957] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5612), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7821), 1,
      anon_sym_STAR,
    ACTIONS(9840), 1,
      sym_identifier,
    ACTIONS(9842), 1,
      anon_sym_template,
    STATE(5464), 1,
      sym__scope_resolution,
    STATE(5773), 1,
      sym_qualified_identifier,
    STATE(5779), 1,
      sym_operator_name,
    STATE(5806), 1,
      sym_destructor_name,
    STATE(5822), 1,
      sym_template_function,
    STATE(5827), 1,
      sym_pointer_type_declarator,
    STATE(5882), 1,
      sym_dependent_identifier,
    STATE(7791), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [223014] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LF,
    ACTIONS(9739), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223041] = 3,
    ACTIONS(6714), 1,
      anon_sym_LF,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(6712), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223068] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9851), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223113] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9853), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223158] = 9,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_LF,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9631), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223197] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(5893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9449), 1,
      anon_sym_template,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5470), 1,
      sym__scope_resolution,
    STATE(7814), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [223254] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9625), 1,
      anon_sym_LF,
    ACTIONS(9627), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223281] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7860), 1,
      sym_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN2,
    ACTIONS(7864), 1,
      anon_sym_STAR,
    ACTIONS(7866), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7868), 1,
      anon_sym_AMP,
    ACTIONS(7872), 1,
      sym_primitive_type,
    STATE(2806), 1,
      sym__type_declarator,
    STATE(3139), 1,
      sym_pointer_type_declarator,
    STATE(8023), 1,
      sym_ms_based_modifier,
    ACTIONS(7870), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3134), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [223328] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(9855), 1,
      sym_identifier,
    ACTIONS(9857), 1,
      anon_sym_template,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5473), 1,
      sym__scope_resolution,
    STATE(7814), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [223385] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9805), 1,
      anon_sym_LF,
    ACTIONS(9807), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223412] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6281), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [223459] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_LF,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9631), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223488] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7817), 1,
      sym_identifier,
    ACTIONS(7819), 1,
      anon_sym_LPAREN2,
    ACTIONS(7829), 1,
      sym_primitive_type,
    ACTIONS(7837), 1,
      anon_sym_STAR,
    ACTIONS(7839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    STATE(5769), 1,
      sym__type_declarator,
    STATE(5857), 1,
      sym_pointer_type_declarator,
    STATE(7534), 1,
      sym_ms_based_modifier,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5853), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [223535] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9859), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223580] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9861), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223625] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9465), 1,
      anon_sym_PIPE,
    ACTIONS(9467), 1,
      anon_sym_CARET,
    ACTIONS(9469), 1,
      anon_sym_AMP,
    ACTIONS(9863), 1,
      anon_sym_RPAREN,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223674] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_LF,
    ACTIONS(9631), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223701] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9692), 1,
      anon_sym_LF,
    ACTIONS(9694), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223728] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5426), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [223767] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9865), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223812] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    STATE(5286), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [223851] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9867), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223896] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(5995), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [223943] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(9869), 1,
      sym_identifier,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9873), 1,
      anon_sym_template,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7814), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [224000] = 11,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_LF,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9631), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224043] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9875), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224088] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9631), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224119] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7831), 1,
      anon_sym_STAR,
    ACTIONS(7833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7835), 1,
      anon_sym_AMP,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6269), 1,
      sym__type_declarator,
    STATE(7814), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224166] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9877), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224211] = 10,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_LF,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9631), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224252] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_LF,
    ACTIONS(9589), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224279] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9879), 1,
      anon_sym_SEMI,
    ACTIONS(9881), 1,
      anon_sym_COLON,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(6819), 1,
      sym_gnu_asm_expression,
    STATE(6820), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [224334] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9883), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224379] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5320), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224418] = 8,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9631), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [224455] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7803), 1,
      sym_primitive_type,
    ACTIONS(7811), 1,
      anon_sym_STAR,
    ACTIONS(7813), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7815), 1,
      anon_sym_AMP,
    STATE(2107), 1,
      sym__type_declarator,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(7781), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224502] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9583), 1,
      anon_sym_LF,
    ACTIONS(9585), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224529] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3211), 1,
      anon_sym_TILDE,
    ACTIONS(6893), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9449), 1,
      anon_sym_template,
    STATE(2713), 1,
      sym_pointer_type_declarator,
    STATE(2732), 1,
      sym_template_function,
    STATE(2733), 1,
      sym_destructor_name,
    STATE(2734), 1,
      sym_dependent_identifier,
    STATE(2736), 1,
      sym_qualified_identifier,
    STATE(2737), 1,
      sym_operator_name,
    STATE(5502), 1,
      sym__scope_resolution,
    STATE(7976), 1,
      sym_ms_based_modifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [224586] = 7,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9631), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [224621] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LF,
    ACTIONS(9787), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224648] = 6,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9631), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224681] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7789), 1,
      sym_identifier,
    ACTIONS(7791), 1,
      anon_sym_LPAREN2,
    ACTIONS(7793), 1,
      anon_sym_STAR,
    ACTIONS(7795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7797), 1,
      anon_sym_AMP,
    ACTIONS(7803), 1,
      sym_primitive_type,
    STATE(2165), 1,
      sym_pointer_type_declarator,
    STATE(6294), 1,
      sym__type_declarator,
    STATE(7976), 1,
      sym_ms_based_modifier,
    ACTIONS(7801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2150), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [224728] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    STATE(5370), 1,
      sym_trailing_return_type,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9252), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9250), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224798] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9885), 1,
      anon_sym_LF,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224843] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_SLASH,
    ACTIONS(9461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9465), 1,
      anon_sym_PIPE,
    ACTIONS(9467), 1,
      anon_sym_CARET,
    ACTIONS(9469), 1,
      anon_sym_AMP,
    ACTIONS(9887), 1,
      anon_sym_RPAREN,
    ACTIONS(9455), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9471), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9473), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9475), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9477), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [224892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5367), 1,
      sym_trailing_return_type,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224931] = 12,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_LF,
    ACTIONS(9631), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9826), 1,
      anon_sym_PIPE,
    ACTIONS(9828), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_AMP,
    ACTIONS(9818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9832), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9836), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9820), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9834), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [224976] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9767), 1,
      anon_sym_LF,
    ACTIONS(9769), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [225003] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(7846), 1,
      sym_identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN2,
    ACTIONS(7850), 1,
      anon_sym_STAR,
    ACTIONS(7852), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7854), 1,
      anon_sym_AMP,
    ACTIONS(7858), 1,
      sym_primitive_type,
    STATE(2904), 1,
      sym__type_declarator,
    STATE(3293), 1,
      sym_pointer_type_declarator,
    STATE(7594), 1,
      sym_ms_based_modifier,
    ACTIONS(7856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3288), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [225050] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9421), 1,
      anon_sym_SEMI,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(6894), 1,
      aux_sym_declaration_repeat1,
    STATE(6905), 1,
      sym_gnu_asm_expression,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [225102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9891), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9889), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6672), 1,
      anon_sym_requires,
    STATE(5682), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9895), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9893), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9899), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9897), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9903), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9901), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9907), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9905), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225268] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9409), 1,
      anon_sym_SEMI,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(6939), 1,
      sym_gnu_asm_expression,
    STATE(6945), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [225320] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9479), 1,
      anon_sym_SEMI,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(7076), 1,
      aux_sym_declaration_repeat1,
    STATE(7077), 1,
      sym_gnu_asm_expression,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [225372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9911), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9909), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225398] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6672), 1,
      anon_sym_requires,
    STATE(5670), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9913), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225460] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(9917), 1,
      anon_sym_virtual,
    STATE(2136), 1,
      sym_template_type,
    STATE(6050), 1,
      sym_access_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9919), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [225508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9923), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9921), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9927), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9925), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9931), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9929), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6672), 1,
      anon_sym_requires,
    STATE(5662), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9609), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9607), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225648] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9487), 1,
      anon_sym_SEMI,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(7038), 1,
      sym_gnu_asm_expression,
    STATE(7039), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [225700] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(6672), 1,
      anon_sym_requires,
    STATE(5657), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [225736] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(9933), 1,
      anon_sym_virtual,
    STATE(2136), 1,
      sym_template_type,
    STATE(6119), 1,
      sym_access_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(4996), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6564), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9919), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [225784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9937), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9935), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9117), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9115), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9939), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225862] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_virtual,
    STATE(2136), 1,
      sym_template_type,
    STATE(6105), 1,
      sym_access_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(5535), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6458), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9919), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [225910] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9879), 1,
      anon_sym_SEMI,
    ACTIONS(9945), 1,
      anon_sym_EQ,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(6703), 1,
      sym_initializer_list,
    STATE(6819), 1,
      sym_gnu_asm_expression,
    STATE(6820), 1,
      aux_sym_declaration_repeat1,
    STATE(7102), 1,
      sym_argument_list,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [225964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9513), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9511), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225990] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    ACTIONS(9879), 1,
      anon_sym_SEMI,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(6819), 1,
      sym_gnu_asm_expression,
    STATE(6820), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [226042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8590), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8588), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9949), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9947), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226094] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_LPAREN2,
    ACTIONS(7456), 1,
      anon_sym_LBRACK,
    ACTIONS(7892), 1,
      anon_sym_STAR,
    ACTIONS(7894), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7896), 1,
      anon_sym_AMP,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(5530), 1,
      sym__function_declarator_seq,
    STATE(6183), 1,
      sym__abstract_declarator,
    ACTIONS(7999), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5528), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9953), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9951), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8805), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(8803), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226188] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(8717), 1,
      anon_sym_requires,
    STATE(5621), 1,
      sym_trailing_return_type,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226224] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(9958), 1,
      anon_sym_requires,
    STATE(5612), 1,
      sym_trailing_return_type,
    ACTIONS(9955), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226260] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(9961), 1,
      anon_sym_virtual,
    STATE(2136), 1,
      sym_template_type,
    STATE(6092), 1,
      sym_access_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(5527), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6733), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9919), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [226308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(9122), 1,
      anon_sym_requires,
    STATE(5617), 1,
      sym_trailing_return_type,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226344] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6658), 1,
      anon_sym_DASH_GT,
    ACTIONS(8810), 1,
      anon_sym_requires,
    STATE(5618), 1,
      sym_trailing_return_type,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [226380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9965), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9963), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9969), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(9967), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226432] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_requires,
    STATE(1606), 1,
      sym_compound_statement,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5746), 1,
      sym_requires_clause,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6609), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226481] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    ACTIONS(9526), 1,
      anon_sym_requires,
    STATE(5364), 1,
      sym_trailing_return_type,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226518] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_requires,
    ACTIONS(9973), 1,
      anon_sym_LBRACE,
    STATE(2413), 1,
      sym_compound_statement,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5697), 1,
      sym_requires_clause,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6468), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226567] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_requires,
    ACTIONS(9975), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3261), 1,
      sym_compound_statement,
    STATE(5735), 1,
      sym_requires_clause,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6672), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6138), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6140), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [226643] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_LT,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(1586), 1,
      sym_compound_statement,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5606), 1,
      sym_template_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6535), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226692] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8790), 1,
      anon_sym_requires,
    STATE(5392), 1,
      sym_trailing_return_type,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [226729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9983), 1,
      sym_identifier,
    ACTIONS(5123), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5567), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9985), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9987), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [226760] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8852), 1,
      anon_sym_requires,
    STATE(5367), 1,
      sym_trailing_return_type,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226797] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LBRACE,
    ACTIONS(9979), 1,
      anon_sym_LT,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3239), 1,
      sym_compound_statement,
    STATE(5558), 1,
      sym_template_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6500), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226846] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7900), 1,
      anon_sym_STAR,
    ACTIONS(7902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7904), 1,
      anon_sym_AMP,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6224), 1,
      sym__abstract_declarator,
    ACTIONS(7999), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 1,
      sym_identifier,
    ACTIONS(5137), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5562), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9985), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9987), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [226918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9991), 1,
      sym_identifier,
    ACTIONS(5144), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5567), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9994), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9997), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [226949] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5368), 1,
      sym_trailing_return_type,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226986] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_LT,
    ACTIONS(10000), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4184), 1,
      sym_compound_statement,
    STATE(5597), 1,
      sym_template_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6655), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227035] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_requires,
    ACTIONS(10002), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3649), 1,
      sym_compound_statement,
    STATE(5710), 1,
      sym_requires_clause,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6514), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3811), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [227109] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(109), 1,
      anon_sym___asm,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9407), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_EQ,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(7224), 1,
      sym_gnu_asm_expression,
    ACTIONS(9417), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(10004), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7102), 2,
      sym_argument_list,
      sym_initializer_list,
  [227156] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8774), 1,
      anon_sym_requires,
    STATE(5370), 1,
      sym_trailing_return_type,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4855), 1,
      anon_sym_COLON,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(2593), 1,
      sym_template_argument_list,
    ACTIONS(4862), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [227224] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7942), 1,
      anon_sym_STAR,
    ACTIONS(7944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7946), 1,
      anon_sym_AMP,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6056), 1,
      sym__abstract_declarator,
    ACTIONS(7999), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5320), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    STATE(5327), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227339] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    STATE(5358), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5592), 1,
      anon_sym_COLON,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(2593), 1,
      sym_template_argument_list,
    ACTIONS(4118), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [227407] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACE,
    ACTIONS(9979), 1,
      anon_sym_LT,
    STATE(2414), 1,
      sym_compound_statement,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5557), 1,
      sym_template_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6595), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227456] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5371), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227493] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    STATE(5719), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [227536] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_requires,
    ACTIONS(10006), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5659), 1,
      sym_compound_statement,
    STATE(5695), 1,
      sym_requires_clause,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6553), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227585] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5403), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227622] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5426), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227659] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(6262), 1,
      sym__field_declarator,
    STATE(6332), 1,
      sym_operator_name,
    STATE(8002), 1,
      sym_ms_based_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [227702] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    ACTIONS(9635), 1,
      anon_sym_requires,
    STATE(5397), 1,
      sym_trailing_return_type,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227739] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_LT,
    ACTIONS(10008), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3306), 1,
      sym_compound_statement,
    STATE(5601), 1,
      sym_template_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6583), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(5751), 1,
      sym_template_argument_list,
    ACTIONS(7743), 3,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4924), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [227819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    ACTIONS(10012), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6677), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [227852] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_LT,
    ACTIONS(10014), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5379), 1,
      sym_compound_statement,
    STATE(5607), 1,
      sym_template_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6674), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(5751), 1,
      sym_template_argument_list,
    ACTIONS(4864), 3,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4857), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [227932] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_LT,
    STATE(1586), 1,
      sym_compound_statement,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5555), 1,
      sym_template_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6624), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3815), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    STATE(5286), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [228043] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(8007), 1,
      sym_identifier,
    ACTIONS(8009), 1,
      anon_sym_STAR,
    ACTIONS(8011), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8013), 1,
      anon_sym_AMP,
    STATE(6258), 1,
      sym__field_declarator,
    STATE(6332), 1,
      sym_operator_name,
    STATE(8002), 1,
      sym_ms_based_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [228086] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_requires,
    ACTIONS(10000), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4110), 1,
      sym_compound_statement,
    STATE(5713), 1,
      sym_requires_clause,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6551), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228135] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym___based,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(7989), 1,
      sym_identifier,
    ACTIONS(7991), 1,
      anon_sym_LPAREN2,
    ACTIONS(7993), 1,
      anon_sym_STAR,
    ACTIONS(7995), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_AMP,
    STATE(5816), 1,
      sym__field_declarator,
    STATE(6030), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    STATE(6110), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [228178] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_LT,
    ACTIONS(10006), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5583), 1,
      sym_template_parameter_list,
    STATE(5687), 1,
      sym_compound_statement,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6578), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228227] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_LT,
    ACTIONS(10016), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3477), 1,
      sym_compound_statement,
    STATE(5604), 1,
      sym_template_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6428), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228276] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_requires,
    ACTIONS(10008), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3301), 1,
      sym_compound_statement,
    STATE(5761), 1,
      sym_requires_clause,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6573), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228325] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9159), 1,
      anon_sym_requires,
    STATE(5395), 1,
      sym_trailing_return_type,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [228362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(8963), 1,
      anon_sym_requires,
    STATE(5394), 1,
      sym_trailing_return_type,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [228399] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_requires,
    ACTIONS(10016), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3499), 1,
      sym_compound_statement,
    STATE(5729), 1,
      sym_requires_clause,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6429), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228448] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6909), 1,
      anon_sym_requires,
    ACTIONS(6989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    STATE(5396), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [228485] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_requires,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(1606), 1,
      sym_compound_statement,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5717), 1,
      sym_requires_clause,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228534] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9971), 1,
      anon_sym_requires,
    ACTIONS(10014), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5409), 1,
      sym_compound_statement,
    STATE(5733), 1,
      sym_requires_clause,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6676), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228583] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_LT,
    ACTIONS(10002), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3689), 1,
      sym_compound_statement,
    STATE(5570), 1,
      sym_template_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6658), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228632] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10022), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [228664] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10024), 1,
      sym_identifier,
    ACTIONS(10026), 1,
      sym_primitive_type,
    STATE(2533), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(3080), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8940), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228704] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10028), 1,
      sym_identifier,
    ACTIONS(10030), 1,
      sym_primitive_type,
    STATE(2451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(2928), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8998), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10035), 1,
      anon_sym_requires,
    ACTIONS(10032), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5846), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228774] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10038), 1,
      sym_identifier,
    ACTIONS(10040), 1,
      sym_primitive_type,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(4594), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228814] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10042), 1,
      sym_identifier,
    ACTIONS(10044), 1,
      sym_primitive_type,
    STATE(4071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(4713), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228854] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10046), 1,
      sym_identifier,
    ACTIONS(10048), 1,
      sym_primitive_type,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(2447), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228894] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10050), 1,
      sym_identifier,
    ACTIONS(10052), 1,
      sym_primitive_type,
    STATE(4801), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(1798), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_requires,
    ACTIONS(9955), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9122), 1,
      anon_sym_requires,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228994] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(8023), 1,
      anon_sym_STAR,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6273), 1,
      sym__abstract_declarator,
    ACTIONS(7999), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6186), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6188), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8810), 1,
      anon_sym_requires,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229088] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6267), 1,
      sym__abstract_declarator,
    ACTIONS(7999), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229128] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10054), 1,
      sym_identifier,
    ACTIONS(10056), 1,
      sym_primitive_type,
    STATE(2126), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(2223), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8904), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229168] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10060), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229200] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10064), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8818), 1,
      anon_sym_requires,
    STATE(5793), 1,
      sym_trailing_return_type,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229268] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8717), 1,
      anon_sym_requires,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229374] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10070), 1,
      sym_identifier,
    ACTIONS(10072), 1,
      sym_primitive_type,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(1798), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5646), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9749), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229440] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10074), 1,
      sym_identifier,
    ACTIONS(10076), 1,
      sym_primitive_type,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(2570), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229480] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10080), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(5751), 1,
      sym_template_argument_list,
    ACTIONS(6068), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6070), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10084), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229572] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_requires,
    STATE(5804), 1,
      sym_trailing_return_type,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10088), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10092), 1,
      anon_sym___asm,
    STATE(2858), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229672] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_requires,
    STATE(5823), 1,
      sym_trailing_return_type,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5925), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229732] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym_requires,
    STATE(5815), 1,
      sym_trailing_return_type,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229768] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10038), 1,
      sym_identifier,
    ACTIONS(10040), 1,
      sym_primitive_type,
    STATE(3944), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(4594), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10099), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5927), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5929), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10102), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5646), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9809), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229892] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10105), 1,
      sym_identifier,
    ACTIONS(10107), 1,
      sym_primitive_type,
    STATE(2463), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(2447), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229932] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10046), 1,
      sym_identifier,
    ACTIONS(10048), 1,
      sym_primitive_type,
    STATE(2811), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(2447), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3771), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229994] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10109), 1,
      sym_identifier,
    ACTIONS(10111), 1,
      sym_primitive_type,
    STATE(2109), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(2223), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9024), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5025), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230100] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10105), 1,
      sym_identifier,
    ACTIONS(10107), 1,
      sym_primitive_type,
    STATE(2463), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(2447), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(55), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230162] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    STATE(5862), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [230198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5846), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5820), 1,
      anon_sym___asm,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    STATE(5897), 1,
      sym_parameter_list,
    STATE(5698), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5822), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230306] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    STATE(5865), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [230342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10117), 1,
      anon_sym___attribute__,
    ACTIONS(10122), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(10120), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(5665), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10115), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [230446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5045), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10125), 1,
      sym_identifier,
    ACTIONS(10127), 1,
      sym_primitive_type,
    STATE(2310), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(2791), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8859), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(5850), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [230544] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5793), 1,
      anon_sym___asm,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    STATE(5897), 1,
      sym_parameter_list,
    STATE(5698), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5795), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [230608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5859), 1,
      anon_sym___asm,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    STATE(5897), 1,
      sym_parameter_list,
    STATE(5698), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5861), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230642] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10076), 1,
      sym_primitive_type,
    ACTIONS(10129), 1,
      sym_identifier,
    STATE(2148), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(2570), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230682] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9680), 1,
      anon_sym_TILDE,
    ACTIONS(10131), 1,
      sym_identifier,
    ACTIONS(10133), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10136), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10138), 1,
      anon_sym_template,
    STATE(5954), 1,
      sym__scope_resolution,
    STATE(7264), 1,
      sym_operator_name,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3251), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [230724] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10072), 1,
      sym_primitive_type,
    ACTIONS(10140), 1,
      sym_identifier,
    STATE(1829), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(1798), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [230764] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10060), 1,
      anon_sym___asm,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10022), 1,
      anon_sym___asm,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230828] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5747), 1,
      anon_sym___asm,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    STATE(5897), 1,
      sym_parameter_list,
    STATE(5698), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5749), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230862] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5763), 1,
      anon_sym___asm,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    STATE(5897), 1,
      sym_parameter_list,
    STATE(5698), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5765), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230896] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10064), 1,
      anon_sym___asm,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230928] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10068), 1,
      anon_sym___asm,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230960] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10080), 1,
      anon_sym___asm,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230992] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6672), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [231022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5057), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10097), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10142), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5901), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      anon_sym_DASH_GT,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(5859), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [231106] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10084), 1,
      anon_sym___asm,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6140), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5029), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231206] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10088), 1,
      anon_sym___asm,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231238] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10144), 1,
      sym_identifier,
    ACTIONS(10146), 1,
      sym_primitive_type,
    STATE(3276), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(3859), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [231278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5029), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231300] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    ACTIONS(10092), 1,
      anon_sym___asm,
    STATE(2883), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5029), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231354] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(10006), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5651), 1,
      sym_compound_statement,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6546), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7471), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231426] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACE,
    STATE(2351), 1,
      sym_compound_statement,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6647), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5969), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5971), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6926), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231525] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10150), 1,
      anon_sym___asm,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10148), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231560] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10154), 1,
      anon_sym___asm,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10152), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [231595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7572), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231624] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9680), 1,
      anon_sym_TILDE,
    ACTIONS(10131), 1,
      sym_identifier,
    ACTIONS(10136), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10138), 1,
      anon_sym_template,
    STATE(5954), 1,
      sym__scope_resolution,
    STATE(7264), 1,
      sym_operator_name,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3251), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [231663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7851), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231692] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10158), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10160), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10162), 1,
      aux_sym_preproc_elif_token1,
    STATE(6088), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6089), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6284), 1,
      sym_enumerator,
    ACTIONS(10164), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7869), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7870), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [231731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7635), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6768), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231789] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10160), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10162), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10166), 1,
      aux_sym_preproc_if_token2,
    STATE(6070), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6112), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6284), 1,
      sym_enumerator,
    ACTIONS(10164), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8022), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(8042), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [231828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6803), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231857] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(10002), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3699), 1,
      sym_compound_statement,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6641), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231900] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10160), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10162), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10168), 1,
      aux_sym_preproc_if_token2,
    STATE(6049), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6052), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6284), 1,
      sym_enumerator,
    ACTIONS(10164), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8148), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8149), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [231939] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10172), 1,
      anon_sym___asm,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10170), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [231974] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(10000), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(4172), 1,
      sym_compound_statement,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6536), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7686), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232046] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10176), 1,
      anon_sym___asm,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10174), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [232081] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6843), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232110] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(1579), 1,
      sym_compound_statement,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6610), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6925), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232182] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_COLON,
    ACTIONS(10180), 1,
      anon_sym_EQ,
    STATE(2792), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6692), 1,
      sym_initializer_list,
    STATE(6767), 1,
      sym_bitfield_clause,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10178), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [232225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7725), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232254] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9670), 1,
      anon_sym_TILDE,
    ACTIONS(10182), 1,
      sym_identifier,
    ACTIONS(10184), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10186), 1,
      anon_sym_template,
    STATE(5934), 1,
      sym__scope_resolution,
    STATE(7326), 1,
      sym_operator_name,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2334), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [232293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10190), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10188), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232320] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9670), 1,
      anon_sym_TILDE,
    ACTIONS(10182), 1,
      sym_identifier,
    ACTIONS(10192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10194), 1,
      anon_sym_template,
    STATE(5958), 1,
      sym__scope_resolution,
    STATE(7188), 1,
      sym_operator_name,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2334), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [232359] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7045), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(10196), 1,
      anon_sym_requires,
    STATE(5807), 1,
      sym_trailing_return_type,
    ACTIONS(9955), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [232421] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10176), 1,
      anon_sym___asm,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10174), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232456] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10172), 1,
      anon_sym___asm,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10170), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5566), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5590), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(9985), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9987), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232518] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3511), 1,
      sym_compound_statement,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6460), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6704), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232590] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(9171), 1,
      anon_sym_requires,
    STATE(5800), 1,
      sym_trailing_return_type,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [232623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7073), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232652] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(10014), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5423), 1,
      sym_compound_statement,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6666), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7931), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232724] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3216), 1,
      sym_compound_statement,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6509), 1,
      sym_abstract_function_declarator,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [232767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10154), 1,
      anon_sym___asm,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10152), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7031), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232831] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(9066), 1,
      anon_sym_requires,
    STATE(5794), 1,
      sym_trailing_return_type,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [232864] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(8815), 1,
      anon_sym_requires,
    STATE(5789), 1,
      sym_trailing_return_type,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [232897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6779), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(7016), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10201), 1,
      anon_sym___asm,
    STATE(2872), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10199), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [233019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233077] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(1579), 1,
      sym_compound_statement,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6601), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233149] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6966), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233178] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [233211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 3,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym___asm,
    ACTIONS(4886), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [233265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233294] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9646), 1,
      anon_sym_TILDE,
    ACTIONS(10203), 1,
      sym_identifier,
    ACTIONS(10205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10207), 1,
      anon_sym_template,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(7349), 1,
      sym_operator_name,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3459), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [233333] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    STATE(5780), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [233366] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2827), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6995), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233453] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10160), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10162), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10209), 1,
      aux_sym_preproc_if_token2,
    STATE(6067), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6077), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6284), 1,
      sym_enumerator,
    ACTIONS(10164), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7728), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7730), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [233492] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10150), 1,
      anon_sym___asm,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10148), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [233527] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    STATE(5817), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [233560] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(10008), 1,
      anon_sym_LBRACE,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(3344), 1,
      sym_compound_statement,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6599), 1,
      sym__abstract_declarator,
    STATE(6659), 1,
      sym_abstract_function_declarator,
    STATE(5801), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233603] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DASH_GT,
    ACTIONS(7104), 1,
      anon_sym_requires,
    STATE(5772), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [233636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6794), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      sym_identifier,
    STATE(5728), 2,
      sym_string_literal,
      sym_raw_string_literal,
    STATE(6827), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233694] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10201), 1,
      anon_sym___asm,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10199), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [233729] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6513), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2804), 1,
      sym_enumerator_list,
    STATE(6187), 1,
      sym__scope_resolution,
    ACTIONS(10211), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2577), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233769] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7999), 1,
      anon_sym_COLON,
    ACTIONS(8183), 1,
      anon_sym_STAR,
    ACTIONS(8185), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8187), 1,
      anon_sym_AMP,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6399), 1,
      sym__abstract_declarator,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5622), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [233829] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 1,
      anon_sym___asm,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    STATE(5897), 1,
      sym_parameter_list,
    STATE(5952), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5765), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [233861] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 1,
      anon_sym___asm,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    STATE(5897), 1,
      sym_parameter_list,
    STATE(5952), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5749), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [233893] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8323), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4473), 1,
      sym_enumerator_list,
    STATE(6166), 1,
      sym__scope_resolution,
    ACTIONS(10213), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4124), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [233961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [233983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      sym_identifier,
    ACTIONS(5202), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234025] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 1,
      anon_sym___asm,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    STATE(5897), 1,
      sym_parameter_list,
    STATE(5952), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5795), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [234057] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(8818), 1,
      anon_sym_requires,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [234087] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_enumerator_list,
    STATE(6203), 1,
      sym__scope_resolution,
    ACTIONS(10215), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3760), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234149] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234177] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(2984), 1,
      sym_enumerator_list,
    STATE(6173), 1,
      sym__scope_resolution,
    ACTIONS(10217), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2719), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9951), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8803), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234257] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10219), 1,
      anon_sym_SEMI,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    ACTIONS(10223), 1,
      anon_sym_EQ,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10227), 1,
      anon_sym_try,
    STATE(1675), 1,
      sym_compound_statement,
    STATE(7340), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1672), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234295] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2110), 1,
      sym_enumerator_list,
    STATE(6194), 1,
      sym__scope_resolution,
    ACTIONS(10229), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2282), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(6339), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234357] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(6138), 1,
      sym_access_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6564), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9919), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [234395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_requires,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9066), 1,
      anon_sym_requires,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9939), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9929), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9947), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234511] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_requires,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [234541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9171), 1,
      anon_sym_requires,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234569] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [234599] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10231), 1,
      anon_sym_SEMI,
    ACTIONS(10233), 1,
      anon_sym_LBRACE,
    ACTIONS(10235), 1,
      anon_sym_EQ,
    ACTIONS(10237), 1,
      anon_sym_try,
    STATE(1941), 1,
      sym_compound_statement,
    STATE(7350), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1945), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10241), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10239), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10245), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10243), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234681] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    STATE(2792), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10247), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_requires,
    ACTIONS(9955), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9921), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 1,
      sym_identifier,
    ACTIONS(5192), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 1,
      sym_identifier,
    ACTIONS(5198), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234805] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym_requires,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [234835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9893), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [234877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10249), 1,
      anon_sym_requires,
    ACTIONS(10032), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5846), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234905] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2527), 1,
      sym_enumerator_list,
    STATE(6185), 1,
      sym__scope_resolution,
    ACTIONS(10252), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3935), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8588), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 1,
      sym_identifier,
    ACTIONS(5186), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235015] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 1,
      anon_sym___asm,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    STATE(5897), 1,
      sym_parameter_list,
    STATE(5952), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5861), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [235047] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10254), 1,
      anon_sym_SEMI,
    ACTIONS(10256), 1,
      anon_sym_EQ,
    ACTIONS(10258), 1,
      anon_sym_try,
    STATE(598), 1,
      sym_compound_statement,
    STATE(7166), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(601), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9511), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235105] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    ACTIONS(10094), 1,
      anon_sym_requires,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    STATE(2792), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10260), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [235195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10262), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5925), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9963), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9607), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9609), 1,
      anon_sym_LBRACK,
    ACTIONS(10266), 1,
      anon_sym_requires,
    ACTIONS(9662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5554), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235337] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10233), 1,
      anon_sym_LBRACE,
    ACTIONS(10235), 1,
      anon_sym_EQ,
    ACTIONS(10237), 1,
      anon_sym_try,
    ACTIONS(10269), 1,
      anon_sym_SEMI,
    STATE(2043), 1,
      sym_compound_statement,
    STATE(7321), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2022), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5846), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [235403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 1,
      anon_sym_LBRACK,
    ACTIONS(10271), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10273), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5901), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [235429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9889), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235527] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2921), 1,
      sym_enumerator_list,
    STATE(6174), 1,
      sym__scope_resolution,
    ACTIONS(10275), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2960), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235567] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    STATE(2792), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10277), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235599] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9094), 1,
      anon_sym_requires,
    STATE(6005), 1,
      sym_trailing_return_type,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [235631] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2527), 1,
      sym_enumerator_list,
    STATE(6199), 1,
      sym__scope_resolution,
    ACTIONS(10279), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4691), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235671] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(6141), 1,
      sym_access_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9919), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [235709] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2710), 1,
      sym_enumerator_list,
    STATE(6160), 1,
      sym__scope_resolution,
    ACTIONS(10281), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2532), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 1,
      anon_sym_LBRACK,
    ACTIONS(10273), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5925), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [235801] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10283), 1,
      anon_sym_SEMI,
    ACTIONS(10285), 1,
      anon_sym_EQ,
    ACTIONS(10287), 1,
      anon_sym_try,
    STATE(727), 1,
      sym_compound_statement,
    STATE(7184), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(723), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10291), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10289), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7743), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4924), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10295), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10293), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235905] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(6146), 1,
      sym_access_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9919), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [235943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5958), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5960), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235965] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(4867), 1,
      sym_enumerator_list,
    STATE(6182), 1,
      sym__scope_resolution,
    ACTIONS(10297), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4695), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9967), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236025] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_enumerator_list,
    STATE(6166), 1,
      sym__scope_resolution,
    ACTIONS(10299), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4028), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9935), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10262), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10301), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5901), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [236109] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [236139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5917), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236161] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10303), 1,
      anon_sym_SEMI,
    ACTIONS(10305), 1,
      anon_sym_EQ,
    ACTIONS(10307), 1,
      anon_sym_try,
    STATE(639), 1,
      sym_compound_statement,
    STATE(7415), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(669), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5879), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236221] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(2256), 1,
      sym_enumerator_list,
    STATE(6196), 1,
      sym__scope_resolution,
    ACTIONS(10309), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4674), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236261] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_enumerator_list,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(10311), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3820), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5820), 1,
      anon_sym___asm,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    STATE(5897), 1,
      sym_parameter_list,
    STATE(5952), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5822), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5895), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5897), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236355] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2921), 1,
      sym_enumerator_list,
    STATE(6179), 1,
      sym__scope_resolution,
    ACTIONS(10313), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3299), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236395] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [236425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9905), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10317), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10315), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236467] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [236497] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10305), 1,
      anon_sym_EQ,
    ACTIONS(10307), 1,
      anon_sym_try,
    ACTIONS(10319), 1,
      anon_sym_SEMI,
    STATE(628), 1,
      sym_compound_statement,
    STATE(7410), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(627), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236535] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10285), 1,
      anon_sym_EQ,
    ACTIONS(10287), 1,
      anon_sym_try,
    ACTIONS(10321), 1,
      anon_sym_SEMI,
    STATE(742), 1,
      sym_compound_statement,
    STATE(7240), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(726), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236573] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7098), 1,
      anon_sym_requires,
    ACTIONS(9609), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5554), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [236603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10325), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10323), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236625] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(10327), 1,
      anon_sym_requires,
    STATE(5999), 1,
      sym_trailing_return_type,
    ACTIONS(9955), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [236657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5940), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236679] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(9213), 1,
      anon_sym_requires,
    STATE(6001), 1,
      sym_trailing_return_type,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [236711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236739] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2921), 1,
      sym_enumerator_list,
    STATE(6205), 1,
      sym__scope_resolution,
    ACTIONS(10330), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [236779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9913), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236799] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10332), 1,
      anon_sym_SEMI,
    ACTIONS(10334), 1,
      anon_sym_EQ,
    ACTIONS(10336), 1,
      anon_sym_try,
    STATE(319), 1,
      sym_compound_statement,
    STATE(7244), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(293), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5942), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5944), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236859] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(6142), 1,
      sym_access_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9919), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [236897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10340), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10338), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5946), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5948), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236941] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    STATE(2792), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10342), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237001] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10344), 1,
      anon_sym_SEMI,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    ACTIONS(10348), 1,
      anon_sym_EQ,
    ACTIONS(10350), 1,
      anon_sym_try,
    STATE(2012), 1,
      sym_compound_statement,
    STATE(7190), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1995), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5889), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5891), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(4857), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10354), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10352), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237105] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8323), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4473), 1,
      sym_enumerator_list,
    STATE(6202), 1,
      sym__scope_resolution,
    ACTIONS(10356), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4735), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237145] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [237177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    STATE(5996), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [237209] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    ACTIONS(10348), 1,
      anon_sym_EQ,
    ACTIONS(10350), 1,
      anon_sym_try,
    ACTIONS(10358), 1,
      anon_sym_SEMI,
    STATE(1937), 1,
      sym_compound_statement,
    STATE(7266), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1935), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9909), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237267] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8692), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4699), 1,
      sym_enumerator_list,
    STATE(6176), 1,
      sym__scope_resolution,
    ACTIONS(10360), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4476), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237307] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    STATE(5983), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [237339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5962), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5964), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5911), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5913), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237383] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(7308), 1,
      anon_sym_requires,
    STATE(6033), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [237415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9901), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10364), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(10362), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237457] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(5936), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237507] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    ACTIONS(10223), 1,
      anon_sym_EQ,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10227), 1,
      anon_sym_try,
    ACTIONS(10366), 1,
      anon_sym_SEMI,
    STATE(1737), 1,
      sym_compound_statement,
    STATE(7315), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1739), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9925), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237565] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10334), 1,
      anon_sym_EQ,
    ACTIONS(10336), 1,
      anon_sym_try,
    ACTIONS(10368), 1,
      anon_sym_SEMI,
    STATE(364), 1,
      sym_compound_statement,
    STATE(7265), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(310), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237603] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    STATE(2792), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10370), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237635] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7652), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3835), 1,
      sym_enumerator_list,
    STATE(6180), 1,
      sym__scope_resolution,
    ACTIONS(10372), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3605), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237675] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2110), 1,
      sym_enumerator_list,
    STATE(6194), 1,
      sym__scope_resolution,
    ACTIONS(10374), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2455), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [237715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9897), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237735] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10256), 1,
      anon_sym_EQ,
    ACTIONS(10258), 1,
      anon_sym_try,
    ACTIONS(10376), 1,
      anon_sym_SEMI,
    STATE(557), 1,
      sym_compound_statement,
    STATE(7189), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(542), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237773] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7306), 1,
      anon_sym_DASH_GT,
    ACTIONS(8846), 1,
      anon_sym_requires,
    STATE(6010), 1,
      sym_trailing_return_type,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [237805] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2690), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237833] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10384), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7204), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7928), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5957), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [237893] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10334), 1,
      anon_sym_EQ,
    ACTIONS(10336), 1,
      anon_sym_try,
    STATE(364), 1,
      sym_compound_statement,
    STATE(7265), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(310), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237928] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10386), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7146), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8119), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5937), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237961] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10388), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7407), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7423), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238021] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10207), 1,
      anon_sym_template,
    ACTIONS(10390), 1,
      sym_identifier,
    STATE(3451), 1,
      sym_qualified_field_identifier,
    STATE(3452), 1,
      sym_dependent_field_identifier,
    STATE(3453), 1,
      sym_template_method,
    STATE(5914), 1,
      sym__scope_resolution,
    STATE(7349), 1,
      sym_operator_name,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238060] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10392), 1,
      sym_identifier,
    ACTIONS(10394), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10396), 1,
      anon_sym_template,
    STATE(2304), 1,
      sym_qualified_field_identifier,
    STATE(2312), 1,
      sym_dependent_field_identifier,
    STATE(2313), 1,
      sym_template_method,
    STATE(5915), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_operator_name,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238153] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    STATE(6055), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [238186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238213] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10398), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7181), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7980), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5966), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238273] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    STATE(6051), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [238306] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10334), 1,
      anon_sym_EQ,
    ACTIONS(10336), 1,
      anon_sym_try,
    STATE(319), 1,
      sym_compound_statement,
    STATE(7244), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(293), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238341] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10400), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7239), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7812), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238374] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6389), 1,
      sym__abstract_declarator,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [238409] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    ACTIONS(7942), 1,
      anon_sym_STAR,
    ACTIONS(7944), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7946), 1,
      anon_sym_AMP,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6248), 1,
      sym__abstract_declarator,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [238444] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10402), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7354), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7524), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238477] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10404), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7161), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8065), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238510] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10406), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7367), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7514), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10408), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7173), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7922), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5928), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238576] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10305), 1,
      anon_sym_EQ,
    ACTIONS(10307), 1,
      anon_sym_try,
    STATE(628), 1,
      sym_compound_statement,
    STATE(7410), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(627), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238611] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10285), 1,
      anon_sym_EQ,
    ACTIONS(10287), 1,
      anon_sym_try,
    STATE(742), 1,
      sym_compound_statement,
    STATE(7240), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(726), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10190), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10188), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [238671] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10184), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10186), 1,
      anon_sym_template,
    ACTIONS(10410), 1,
      sym_identifier,
    STATE(2304), 1,
      sym_qualified_field_identifier,
    STATE(2312), 1,
      sym_dependent_field_identifier,
    STATE(2313), 1,
      sym_template_method,
    STATE(5934), 1,
      sym__scope_resolution,
    STATE(7326), 1,
      sym_operator_name,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238710] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10412), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7332), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7584), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5956), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238743] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10414), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7335), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7569), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5927), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238776] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10416), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7137), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8140), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10418), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7411), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7438), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5912), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238896] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10420), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7258), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7735), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5924), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10422), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7249), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7757), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5962), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239043] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239097] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    ACTIONS(10424), 1,
      anon_sym_requires,
    STATE(6096), 1,
      sym_trailing_return_type,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2893), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239184] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10394), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10427), 1,
      sym_identifier,
    STATE(5915), 1,
      sym__scope_resolution,
    STATE(7092), 1,
      sym_operator_name,
    STATE(7221), 1,
      sym_field_initializer,
    STATE(6559), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5969), 2,
      anon_sym_LBRACK,
      anon_sym___asm,
    STATE(5457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5971), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [239246] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_requires,
    STATE(6103), 1,
      sym_trailing_return_type,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239279] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10136), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10138), 1,
      anon_sym_template,
    ACTIONS(10429), 1,
      sym_identifier,
    STATE(3259), 1,
      sym_qualified_field_identifier,
    STATE(3268), 1,
      sym_dependent_field_identifier,
    STATE(3269), 1,
      sym_template_method,
    STATE(5954), 1,
      sym__scope_resolution,
    STATE(7264), 1,
      sym_operator_name,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239318] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10256), 1,
      anon_sym_EQ,
    ACTIONS(10258), 1,
      anon_sym_try,
    STATE(557), 1,
      sym_compound_statement,
    STATE(7189), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(542), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [239353] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10431), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7311), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7616), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10433), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7193), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7942), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239419] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10194), 1,
      anon_sym_template,
    ACTIONS(10410), 1,
      sym_identifier,
    STATE(2304), 1,
      sym_qualified_field_identifier,
    STATE(2312), 1,
      sym_dependent_field_identifier,
    STATE(2313), 1,
      sym_template_method,
    STATE(5958), 1,
      sym__scope_resolution,
    STATE(7188), 1,
      sym_operator_name,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239458] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10285), 1,
      anon_sym_EQ,
    ACTIONS(10287), 1,
      anon_sym_try,
    STATE(727), 1,
      sym_compound_statement,
    STATE(7184), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(723), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [239493] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10394), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10427), 1,
      sym_identifier,
    STATE(5915), 1,
      sym__scope_resolution,
    STATE(7036), 1,
      sym_field_initializer,
    STATE(7092), 1,
      sym_operator_name,
    STATE(6559), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [239530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    STATE(6109), 1,
      sym_trailing_return_type,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239563] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10435), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7273), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7705), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2908), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239623] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    STATE(6038), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239656] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9254), 1,
      anon_sym_requires,
    STATE(6101), 1,
      sym_trailing_return_type,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239689] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10437), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7078), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7927), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239722] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10305), 1,
      anon_sym_EQ,
    ACTIONS(10307), 1,
      anon_sym_try,
    STATE(639), 1,
      sym_compound_statement,
    STATE(7415), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(669), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [239757] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    ACTIONS(10256), 1,
      anon_sym_EQ,
    ACTIONS(10258), 1,
      anon_sym_try,
    STATE(598), 1,
      sym_compound_statement,
    STATE(7166), 1,
      sym_field_initializer_list,
    ACTIONS(4924), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(601), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [239792] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN2,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    ACTIONS(4904), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4906), 1,
      anon_sym_AMP,
    ACTIONS(7692), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5791), 1,
      sym__function_declarator_seq,
    STATE(6420), 1,
      sym__abstract_declarator,
    STATE(5801), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [239827] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7537), 1,
      anon_sym_DASH_GT,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    STATE(6048), 1,
      sym_trailing_return_type,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [239860] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10380), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10439), 1,
      anon_sym_RBRACE,
    ACTIONS(10382), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7413), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7462), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5929), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [239893] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(3643), 1,
      sym_enumerator_list,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(3837), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10441), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10443), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5901), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239951] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2902), 1,
      sym_enumerator_list,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(3033), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239987] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240013] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    STATE(2136), 1,
      sym_template_type,
    STATE(2902), 1,
      sym_enumerator_list,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(3984), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240049] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    STATE(5780), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5566), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9985), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9987), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [240101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240153] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8323), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4522), 1,
      sym_enumerator_list,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(4127), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240267] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9086), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(3643), 1,
      sym_enumerator_list,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(4027), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240303] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2885), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10152), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [240333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240359] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5749), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [240387] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2139), 1,
      sym_enumerator_list,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(2275), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240423] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2885), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10148), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [240453] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8692), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      sym_identifier,
    STATE(4346), 1,
      sym_template_type,
    STATE(4684), 1,
      sym_enumerator_list,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(4491), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240489] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9105), 1,
      sym_identifier,
    STATE(2745), 1,
      sym_template_type,
    STATE(3037), 1,
      sym_enumerator_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(2742), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240551] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5861), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [240579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5765), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [240607] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    STATE(5772), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10445), 1,
      anon_sym_requires,
    ACTIONS(10032), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5846), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240715] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(10196), 1,
      anon_sym_requires,
    STATE(5807), 1,
      sym_trailing_return_type,
    ACTIONS(9955), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10327), 1,
      anon_sym_requires,
    ACTIONS(9955), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240771] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6513), 1,
      anon_sym_LBRACE,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(2566), 1,
      sym_template_type,
    STATE(2777), 1,
      sym_enumerator_list,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(2563), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5822), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [240835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10443), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5925), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [240855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9213), 1,
      anon_sym_requires,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240881] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5702), 1,
      anon_sym_LBRACE,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9082), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_template_type,
    STATE(2139), 1,
      sym_enumerator_list,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(2458), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2885), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10199), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [240947] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    STATE(5825), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5821), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240977] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(9171), 1,
      anon_sym_requires,
    STATE(5800), 1,
      sym_trailing_return_type,
    ACTIONS(9119), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [241007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9094), 1,
      anon_sym_requires,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241033] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(9066), 1,
      anon_sym_requires,
    STATE(5794), 1,
      sym_trailing_return_type,
    ACTIONS(8807), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5774), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [241063] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6458), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9097), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
    STATE(2728), 1,
      sym_enumerator_list,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(2507), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8846), 1,
      anon_sym_requires,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241125] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    ACTIONS(8815), 1,
      anon_sym_requires,
    STATE(5789), 1,
      sym_trailing_return_type,
    ACTIONS(8714), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [241155] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9107), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(2238), 1,
      sym_enumerator_list,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(3761), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241191] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7652), 1,
      anon_sym_LBRACE,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9088), 1,
      sym_identifier,
    STATE(3629), 1,
      sym_template_type,
    STATE(3844), 1,
      sym_enumerator_list,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(3599), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241227] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2885), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10174), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [241257] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2885), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10170), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [241287] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9090), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(4953), 1,
      sym_enumerator_list,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(4667), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241323] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9109), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2554), 1,
      sym_enumerator_list,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(4685), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10450), 1,
      anon_sym_LBRACK,
    STATE(5457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10448), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241383] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8323), 1,
      anon_sym_LBRACE,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(4522), 1,
      sym_enumerator_list,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(4766), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5783), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7708), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7710), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [241465] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9103), 1,
      sym_identifier,
    STATE(1740), 1,
      sym_template_type,
    STATE(2238), 1,
      sym_enumerator_list,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(4683), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(2975), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [241527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10454), 1,
      anon_sym_LT,
    ACTIONS(10456), 1,
      anon_sym_LBRACK,
    STATE(6044), 1,
      sym_template_argument_list,
    ACTIONS(10452), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241551] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5795), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [241579] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      anon_sym_requires,
    ACTIONS(7578), 1,
      anon_sym_DASH_GT,
    STATE(5817), 1,
      sym_trailing_return_type,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5814), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [241609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10454), 1,
      anon_sym_LT,
    ACTIONS(10460), 1,
      anon_sym_LBRACK,
    STATE(6095), 1,
      sym_template_argument_list,
    ACTIONS(10458), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241633] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6674), 1,
      anon_sym_LBRACE,
    ACTIONS(9101), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(2902), 1,
      sym_enumerator_list,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(3289), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241669] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(2479), 1,
      sym_template_type,
    STATE(2554), 1,
      sym_enumerator_list,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(3934), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7308), 1,
      anon_sym_requires,
    ACTIONS(6670), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5632), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5846), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [241731] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10462), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6112), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8022), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [241760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10472), 1,
      anon_sym_LBRACK,
    ACTIONS(10470), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241779] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10474), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7847), 1,
      sym_qualified_identifier,
    ACTIONS(10476), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241810] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_try,
    STATE(747), 1,
      sym_compound_statement,
    STATE(748), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241845] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(9609), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5554), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10199), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [241901] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10478), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7451), 1,
      sym_qualified_identifier,
    ACTIONS(10480), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10484), 1,
      anon_sym_LBRACK,
    ACTIONS(10482), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241951] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10168), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10486), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10488), 1,
      aux_sym_preproc_elif_token1,
    STATE(6052), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
    ACTIONS(10490), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8148), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [241982] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10492), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6049), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8149), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6016), 1,
      anon_sym_LBRACK,
    ACTIONS(6018), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 1,
      anon_sym_LBRACK,
    ACTIONS(10494), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5901), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242078] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9244), 1,
      anon_sym_try,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    STATE(1903), 1,
      sym_compound_statement,
    STATE(1934), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10498), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6241), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8166), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242169] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(10500), 1,
      anon_sym_virtual,
    STATE(2136), 1,
      sym_template_type,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242202] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242229] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10486), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10488), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10502), 1,
      aux_sym_preproc_if_token2,
    STATE(6214), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
    ACTIONS(10490), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8164), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10504), 1,
      sym_identifier,
    ACTIONS(10507), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10513), 1,
      sym_preproc_directive,
    ACTIONS(10516), 1,
      anon_sym_RBRACE,
    ACTIONS(10510), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7747), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6053), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [242289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5969), 1,
      anon_sym_LBRACK,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5971), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [242312] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242389] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9491), 1,
      anon_sym_try,
    STATE(666), 1,
      sym_compound_statement,
    STATE(668), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242424] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10148), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242453] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10152), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242482] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9263), 1,
      anon_sym_try,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    STATE(1775), 1,
      sym_try_statement,
    STATE(1776), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242517] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9491), 1,
      anon_sym_try,
    STATE(655), 1,
      sym_compound_statement,
    STATE(658), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242552] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10518), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7796), 1,
      sym_qualified_identifier,
    ACTIONS(10520), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242583] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_try,
    STATE(716), 1,
      sym_compound_statement,
    STATE(719), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242618] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9263), 1,
      anon_sym_try,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    STATE(1773), 1,
      sym_try_statement,
    STATE(1774), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242653] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_try,
    STATE(613), 1,
      sym_try_statement,
    STATE(615), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10522), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6241), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7893), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242717] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10233), 1,
      anon_sym_LBRACE,
    STATE(2077), 1,
      sym_compound_statement,
    STATE(2089), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242752] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9491), 1,
      anon_sym_try,
    STATE(596), 1,
      sym_try_statement,
    STATE(608), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242787] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10486), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10488), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10524), 1,
      aux_sym_preproc_if_token2,
    STATE(6214), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
    ACTIONS(10490), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8150), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242818] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10170), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242847] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9263), 1,
      anon_sym_try,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    STATE(1705), 1,
      sym_try_statement,
    STATE(1709), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10528), 1,
      anon_sym_LBRACK,
    ACTIONS(10526), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242926] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_try,
    STATE(548), 1,
      sym_try_statement,
    STATE(550), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10532), 1,
      anon_sym_LBRACK,
    ACTIONS(10530), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242980] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10486), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10488), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10534), 1,
      aux_sym_preproc_if_token2,
    STATE(6214), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
    ACTIONS(10490), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7873), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10166), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10486), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10488), 1,
      aux_sym_preproc_elif_token1,
    STATE(6070), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
    ACTIONS(10490), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8042), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243042] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_try,
    STATE(561), 1,
      sym_try_statement,
    STATE(564), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243077] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9419), 1,
      anon_sym_try,
    STATE(328), 1,
      sym_try_statement,
    STATE(330), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243112] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9419), 1,
      anon_sym_try,
    STATE(290), 1,
      sym_try_statement,
    STATE(345), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243147] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10486), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10488), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10536), 1,
      aux_sym_preproc_if_token2,
    STATE(6088), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
    ACTIONS(10490), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7869), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10538), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7527), 1,
      sym_qualified_identifier,
    ACTIONS(10540), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 1,
      anon_sym_LBRACK,
    ACTIONS(10496), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5925), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7539), 1,
      anon_sym_requires,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(5710), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243307] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10486), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10488), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10542), 1,
      aux_sym_preproc_if_token2,
    STATE(6214), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
    ACTIONS(10490), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8033), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243338] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10544), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6241), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8037), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [243367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243392] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10174), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [243421] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(10546), 1,
      anon_sym_virtual,
    STATE(2136), 1,
      sym_template_type,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [243479] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9244), 1,
      anon_sym_try,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    STATE(2067), 1,
      sym_try_statement,
    STATE(2068), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243533] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9609), 1,
      anon_sym_LBRACK,
    ACTIONS(10548), 1,
      anon_sym_requires,
    ACTIONS(9662), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5554), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9607), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243560] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9481), 1,
      anon_sym_try,
    STATE(704), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243595] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10551), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_qualified_identifier,
    ACTIONS(10553), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10557), 1,
      anon_sym_LBRACK,
    ACTIONS(10555), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10561), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243664] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9513), 1,
      anon_sym_LBRACK,
    ACTIONS(10424), 1,
      anon_sym_requires,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5532), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9511), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243691] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10233), 1,
      anon_sym_LBRACE,
    STATE(1924), 1,
      sym_compound_statement,
    STATE(1925), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243726] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9117), 1,
      anon_sym_LBRACK,
    ACTIONS(9254), 1,
      anon_sym_requires,
    ACTIONS(9141), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9115), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243753] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10233), 1,
      anon_sym_LBRACE,
    STATE(1905), 1,
      sym_compound_statement,
    STATE(1915), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243788] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(10563), 1,
      anon_sym_virtual,
    STATE(2136), 1,
      sym_template_type,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6564), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243821] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(10486), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10488), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10565), 1,
      aux_sym_preproc_if_token2,
    STATE(6077), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
    ACTIONS(10490), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7728), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [243852] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10567), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(8048), 1,
      sym_qualified_identifier,
    ACTIONS(10569), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243908] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8805), 1,
      anon_sym_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_requires,
    ACTIONS(8849), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5537), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8803), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10460), 1,
      anon_sym_LBRACK,
    ACTIONS(10458), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243954] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8590), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_requires,
    ACTIONS(8771), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5416), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8588), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [243981] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10464), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10466), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10571), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10468), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6241), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8151), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [244010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      anon_sym_LBRACK,
    ACTIONS(10573), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244054] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9244), 1,
      anon_sym_try,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    STATE(1930), 1,
      sym_try_statement,
    STATE(2092), 1,
      sym_compound_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2968), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244139] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(9419), 1,
      anon_sym_try,
    STATE(365), 1,
      sym_compound_statement,
    STATE(366), 1,
      sym_try_statement,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244174] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    ACTIONS(10577), 1,
      anon_sym_virtual,
    STATE(2136), 1,
      sym_template_type,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244207] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10579), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_qualified_identifier,
    ACTIONS(10581), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10587), 1,
      anon_sym_delete,
    ACTIONS(10589), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244260] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [244284] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10591), 1,
      anon_sym_COMMA,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6433), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10593), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      anon_sym_delete,
    ACTIONS(10597), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 1,
      anon_sym_LBRACK,
    ACTIONS(4841), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_LBRACK,
    ACTIONS(4882), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LBRACK,
    ACTIONS(4874), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10599), 1,
      anon_sym_delete,
    ACTIONS(10601), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244412] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10605), 1,
      anon_sym_EQ,
    STATE(2885), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10601), 1,
      anon_sym_new,
    ACTIONS(10607), 1,
      anon_sym_delete,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10589), 1,
      anon_sym_new,
    ACTIONS(10609), 1,
      anon_sym_delete,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4843), 1,
      anon_sym_LBRACK,
    ACTIONS(4845), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4847), 1,
      anon_sym_LBRACK,
    ACTIONS(4849), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10613), 1,
      anon_sym_LBRACK,
    STATE(6439), 1,
      sym_gnu_asm_input_operand,
    STATE(7971), 1,
      sym_string_literal,
    ACTIONS(10611), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [244546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 1,
      anon_sym_LBRACK,
    ACTIONS(4853), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4878), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10615), 1,
      anon_sym_delete,
    ACTIONS(10617), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10619), 1,
      anon_sym_delete,
    ACTIONS(10621), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10589), 1,
      anon_sym_new,
    ACTIONS(10623), 1,
      anon_sym_delete,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244708] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10627), 1,
      anon_sym_LBRACK,
    STATE(6577), 1,
      sym_gnu_asm_output_operand,
    STATE(7820), 1,
      sym_string_literal,
    ACTIONS(10625), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [244762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [244786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [244810] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9084), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_template_type,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6742), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10597), 1,
      anon_sym_new,
    ACTIONS(10629), 1,
      anon_sym_delete,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [244886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10631), 1,
      anon_sym_delete,
    ACTIONS(10633), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244908] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10635), 1,
      anon_sym_EQ,
    STATE(2885), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [244938] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10637), 1,
      sym_identifier,
    ACTIONS(10639), 1,
      anon_sym_COLON_COLON,
    STATE(2572), 1,
      sym_template_type,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(2594), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(8141), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10641), 1,
      anon_sym_delete,
    ACTIONS(10643), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [244990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10645), 1,
      anon_sym_delete,
    ACTIONS(10647), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [245012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10649), 1,
      anon_sym_delete,
    ACTIONS(10651), 1,
      anon_sym_new,
    ACTIONS(10585), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [245034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245082] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10653), 1,
      anon_sym_EQ,
    STATE(2885), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(7938), 1,
      sym_initializer_list,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3093), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245162] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10655), 1,
      sym_identifier,
    ACTIONS(10657), 1,
      anon_sym_template,
    STATE(2540), 1,
      sym_dependent_type_identifier,
    STATE(2547), 1,
      sym_template_type,
    STATE(2567), 1,
      sym_qualified_type_identifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5899), 1,
      anon_sym_AMP,
    ACTIONS(10659), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10661), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5901), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [245214] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10663), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7550), 1,
      sym_qualified_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245241] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9337), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10665), 1,
      sym_identifier,
    ACTIONS(10667), 1,
      anon_sym_template,
    STATE(1714), 1,
      sym_dependent_type_identifier,
    STATE(1722), 1,
      sym_template_type,
    STATE(1834), 1,
      sym_qualified_type_identifier,
    STATE(6163), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245272] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245295] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(3769), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10669), 1,
      sym_identifier,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245326] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10671), 1,
      sym_identifier,
    ACTIONS(10673), 1,
      anon_sym_template,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2802), 1,
      sym_qualified_type_identifier,
    STATE(6166), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245357] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10675), 1,
      sym_identifier,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    STATE(355), 1,
      sym_declaration_list,
    STATE(6276), 1,
      sym_attribute_declaration,
    STATE(7247), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [245388] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10681), 1,
      sym_identifier,
    STATE(662), 1,
      sym_declaration_list,
    STATE(6305), 1,
      sym_attribute_declaration,
    STATE(7179), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [245419] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(10639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10683), 1,
      sym_identifier,
    ACTIONS(10685), 1,
      anon_sym_template,
    STATE(2583), 1,
      sym_qualified_type_identifier,
    STATE(2599), 1,
      sym_template_type,
    STATE(2603), 1,
      sym_dependent_type_identifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10687), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7634), 1,
      sym_qualified_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10691), 1,
      anon_sym_AMP,
    ACTIONS(10693), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10689), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [245496] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10671), 1,
      sym_identifier,
    ACTIONS(10673), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245527] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10695), 1,
      sym_identifier,
    ACTIONS(10697), 1,
      anon_sym_template,
    STATE(2716), 1,
      sym_dependent_type_identifier,
    STATE(2731), 1,
      sym_template_type,
    STATE(2838), 1,
      sym_qualified_type_identifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245558] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4953), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(6174), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2696), 1,
      sym_template_argument_list,
    ACTIONS(7743), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4924), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [245612] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10703), 1,
      sym_identifier,
    ACTIONS(10705), 1,
      anon_sym_template,
    STATE(4340), 1,
      sym_dependent_type_identifier,
    STATE(4342), 1,
      sym_template_type,
    STATE(4521), 1,
      sym_qualified_type_identifier,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245643] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9289), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10707), 1,
      sym_identifier,
    ACTIONS(10709), 1,
      anon_sym_template,
    STATE(2193), 1,
      sym_dependent_type_identifier,
    STATE(2196), 1,
      sym_template_type,
    STATE(2200), 1,
      sym_qualified_type_identifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245674] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10711), 1,
      sym_identifier,
    STATE(569), 1,
      sym_declaration_list,
    STATE(6299), 1,
      sym_attribute_declaration,
    STATE(7317), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [245705] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(4908), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10713), 1,
      sym_identifier,
    ACTIONS(10715), 1,
      anon_sym_template,
    STATE(2113), 1,
      sym_qualified_type_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(6179), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245736] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8974), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10717), 1,
      sym_identifier,
    ACTIONS(10719), 1,
      anon_sym_template,
    STATE(3546), 1,
      sym_template_type,
    STATE(3570), 1,
      sym_dependent_type_identifier,
    STATE(3693), 1,
      sym_qualified_type_identifier,
    STATE(6180), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10721), 1,
      sym_identifier,
    ACTIONS(10725), 1,
      sym_system_lib_string,
    STATE(8125), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10723), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [245788] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10727), 1,
      sym_identifier,
    ACTIONS(10729), 1,
      anon_sym_template,
    STATE(1714), 1,
      sym_dependent_type_identifier,
    STATE(1722), 1,
      sym_template_type,
    STATE(1834), 1,
      sym_qualified_type_identifier,
    STATE(6182), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245842] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10731), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7597), 1,
      sym_qualified_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245869] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8879), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10733), 1,
      sym_identifier,
    ACTIONS(10735), 1,
      anon_sym_template,
    STATE(2460), 1,
      sym_template_type,
    STATE(2496), 1,
      sym_dependent_type_identifier,
    STATE(2520), 1,
      sym_qualified_type_identifier,
    STATE(6185), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245923] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10737), 1,
      sym_identifier,
    ACTIONS(10739), 1,
      anon_sym_template,
    STATE(2579), 1,
      sym_template_type,
    STATE(2580), 1,
      sym_dependent_type_identifier,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(6187), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [245954] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10741), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7734), 1,
      sym_qualified_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2696), 1,
      sym_template_argument_list,
    ACTIONS(4864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4857), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [246004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246050] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10743), 1,
      sym_identifier,
    STATE(597), 1,
      sym_declaration_list,
    STATE(6293), 1,
      sym_attribute_declaration,
    STATE(7163), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [246081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10745), 1,
      sym_identifier,
    ACTIONS(10747), 1,
      sym_system_lib_string,
    STATE(7836), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10723), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246102] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8902), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_identifier,
    ACTIONS(10751), 1,
      anon_sym_template,
    STATE(1863), 1,
      sym_template_type,
    STATE(1880), 1,
      sym_dependent_type_identifier,
    STATE(1950), 1,
      sym_qualified_type_identifier,
    STATE(6194), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [246133] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10753), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [246158] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7555), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10755), 1,
      sym_identifier,
    ACTIONS(10757), 1,
      anon_sym_template,
    STATE(1714), 1,
      sym_dependent_type_identifier,
    STATE(1722), 1,
      sym_template_type,
    STATE(1834), 1,
      sym_qualified_type_identifier,
    STATE(6196), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [246189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10759), 1,
      sym_identifier,
    ACTIONS(10761), 1,
      sym_system_lib_string,
    STATE(7624), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10723), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246233] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7698), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10735), 1,
      anon_sym_template,
    ACTIONS(10763), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_template_type,
    STATE(2496), 1,
      sym_dependent_type_identifier,
    STATE(2520), 1,
      sym_qualified_type_identifier,
    STATE(6199), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [246264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10765), 1,
      sym_identifier,
    ACTIONS(10767), 1,
      sym_system_lib_string,
    STATE(8137), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10723), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246308] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(7626), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10669), 1,
      sym_identifier,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2802), 1,
      sym_qualified_type_identifier,
    STATE(6202), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [246339] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(8924), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10757), 1,
      anon_sym_template,
    ACTIONS(10769), 1,
      sym_identifier,
    STATE(1714), 1,
      sym_dependent_type_identifier,
    STATE(1722), 1,
      sym_template_type,
    STATE(1834), 1,
      sym_qualified_type_identifier,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [246370] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10771), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(8123), 1,
      sym_qualified_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246397] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9092), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_template,
    STATE(2114), 1,
      sym_dependent_type_identifier,
    STATE(2119), 1,
      sym_template_type,
    STATE(2802), 1,
      sym_qualified_type_identifier,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(8141), 1,
      sym_decltype,
  [246428] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10773), 1,
      sym_identifier,
    STATE(746), 1,
      sym_declaration_list,
    STATE(6310), 1,
      sym_attribute_declaration,
    STATE(7368), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [246459] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10775), 1,
      sym_identifier,
    STATE(297), 1,
      sym_declaration_list,
    STATE(6295), 1,
      sym_attribute_declaration,
    STATE(7241), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [246490] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10777), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7434), 1,
      sym_qualified_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246517] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10779), 1,
      sym_identifier,
    STATE(700), 1,
      sym_declaration_list,
    STATE(6307), 1,
      sym_attribute_declaration,
    STATE(7227), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [246548] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10781), 1,
      sym_identifier,
    STATE(634), 1,
      sym_declaration_list,
    STATE(6274), 1,
      sym_attribute_declaration,
    STATE(7334), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [246579] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_template,
    ACTIONS(1938), 1,
      anon_sym_decltype,
    ACTIONS(9871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10783), 1,
      sym_identifier,
    STATE(5488), 1,
      sym__scope_resolution,
    STATE(7954), 1,
      sym_qualified_identifier,
    STATE(8141), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [246606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10020), 1,
      anon_sym_LBRACK,
    STATE(3432), 1,
      sym_parameter_list,
    STATE(5546), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 1,
      anon_sym_AMP,
    ACTIONS(10661), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5925), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [246648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10785), 1,
      sym_identifier,
    ACTIONS(10790), 1,
      aux_sym_preproc_elif_token1,
    STATE(6214), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
    ACTIONS(10788), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [246670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10792), 1,
      anon_sym_COLON,
    STATE(3410), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10199), 1,
      anon_sym_COLON,
    STATE(3410), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10627), 1,
      anon_sym_LBRACK,
    STATE(6690), 1,
      sym_gnu_asm_output_operand,
    STATE(7820), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246764] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(3410), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10174), 1,
      anon_sym_COLON,
    STATE(3410), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246816] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(10794), 1,
      anon_sym_SEMI,
    ACTIONS(10796), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6570), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246842] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10798), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246868] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246956] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(10800), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(7743), 1,
      anon_sym_LBRACK,
    STATE(5751), 1,
      sym_template_argument_list,
    ACTIONS(4924), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10802), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2696), 1,
      sym_template_argument_list,
    ACTIONS(6070), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [247050] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(10804), 1,
      anon_sym_SEMI,
    ACTIONS(10806), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6626), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(10808), 1,
      anon_sym_SEMI,
    ACTIONS(10810), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6488), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247124] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3523), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247168] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(10342), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247194] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10152), 1,
      anon_sym_COLON,
    STATE(3410), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247220] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(10812), 1,
      anon_sym_SEMI,
    ACTIONS(10814), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10816), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(10370), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10818), 1,
      sym_identifier,
    ACTIONS(10823), 1,
      aux_sym_preproc_elif_token1,
    STATE(6241), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(10821), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [247318] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(10825), 1,
      anon_sym_SEMI,
    ACTIONS(10827), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6463), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247344] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(10829), 1,
      anon_sym_SEMI,
    ACTIONS(10831), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6603), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247370] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(10277), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247396] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10148), 1,
      anon_sym_COLON,
    STATE(3410), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5933), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247422] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10833), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(10835), 1,
      anon_sym_SEMI,
    ACTIONS(10837), 1,
      anon_sym_EQ,
    STATE(1574), 1,
      sym_template_argument_list,
    STATE(6507), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(2695), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10839), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [247496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4864), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(5751), 1,
      sym_template_argument_list,
    ACTIONS(4857), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10843), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10841), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [247534] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10845), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10849), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10847), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [247576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10851), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10613), 1,
      anon_sym_LBRACK,
    STATE(6752), 1,
      sym_gnu_asm_input_operand,
    STATE(7971), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [247622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10855), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10857), 1,
      anon_sym_EQ,
    ACTIONS(10853), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [247640] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10859), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247666] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10861), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247692] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(10863), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247718] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10865), 1,
      anon_sym_SEMI,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247744] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(10247), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247770] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    ACTIONS(10867), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247796] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9238), 1,
      anon_sym_LBRACK,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      sym_parameter_list,
    STATE(6041), 1,
      sym__function_declarator_seq,
    STATE(6356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247843] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(5822), 1,
      anon_sym_COLON,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6347), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247866] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10869), 1,
      anon_sym_RPAREN,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247952] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10871), 1,
      anon_sym_RPAREN,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247996] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10873), 1,
      anon_sym_LBRACK,
    ACTIONS(10876), 1,
      anon_sym_EQ,
    ACTIONS(10878), 1,
      anon_sym_DOT,
    STATE(6272), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [248036] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10082), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248057] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10881), 1,
      sym_identifier,
    STATE(590), 1,
      sym_declaration_list,
    STATE(7352), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [248082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248103] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10883), 1,
      sym_identifier,
    STATE(349), 1,
      sym_declaration_list,
    STATE(7299), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [248128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10086), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10885), 1,
      anon_sym_LBRACK,
    ACTIONS(10887), 1,
      anon_sym_EQ,
    ACTIONS(10889), 1,
      anon_sym_DOT,
    STATE(6272), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [248168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6152), 1,
      anon_sym_AMP,
    ACTIONS(6154), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [248183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10893), 1,
      anon_sym_AMP,
    ACTIONS(10891), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248198] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10895), 1,
      anon_sym_RPAREN,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [248236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(5751), 1,
      sym_template_argument_list,
    ACTIONS(6070), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [248255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10899), 1,
      anon_sym_COMMA,
    ACTIONS(10901), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10897), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [248272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(5861), 1,
      anon_sym_COLON,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6347), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248295] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248316] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10062), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10078), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10905), 1,
      anon_sym_AMP,
    ACTIONS(10903), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248373] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10907), 1,
      anon_sym_RPAREN,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_AMP,
    ACTIONS(6066), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [248411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10066), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248432] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10681), 1,
      sym_identifier,
    STATE(662), 1,
      sym_declaration_list,
    STATE(7179), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [248457] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(5765), 1,
      anon_sym_COLON,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6347), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(10675), 1,
      sym_identifier,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    STATE(355), 1,
      sym_declaration_list,
    STATE(7247), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [248505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 1,
      anon_sym_COLON,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6347), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10911), 1,
      anon_sym_AMP,
    ACTIONS(10909), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248543] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10913), 1,
      anon_sym_RPAREN,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248566] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10781), 1,
      sym_identifier,
    STATE(634), 1,
      sym_declaration_list,
    STATE(7334), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [248591] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10915), 1,
      anon_sym_RPAREN,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248614] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_COLON,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6347), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248637] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10917), 1,
      anon_sym_RPAREN,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10090), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248681] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(9413), 1,
      anon_sym_LBRACK,
    STATE(2918), 1,
      sym_parameter_list,
    STATE(5883), 1,
      sym__function_declarator_seq,
    STATE(5722), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248704] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10919), 1,
      sym_identifier,
    STATE(635), 1,
      sym_declaration_list,
    STATE(7196), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [248729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4409), 1,
      anon_sym_AMP,
    ACTIONS(4407), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248744] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10773), 1,
      sym_identifier,
    STATE(746), 1,
      sym_declaration_list,
    STATE(7368), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [248769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10058), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248790] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(2255), 1,
      sym_template_argument_list,
    STATE(6904), 2,
      sym_argument_list,
      sym_initializer_list,
  [248813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(10921), 1,
      sym_identifier,
    STATE(706), 1,
      sym_declaration_list,
    STATE(7365), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [248838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10691), 1,
      anon_sym_AMP,
    ACTIONS(10689), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [248853] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10018), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [248874] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10923), 1,
      anon_sym_RPAREN,
    STATE(2183), 1,
      sym_parameter_list,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10925), 1,
      anon_sym_LPAREN2,
    STATE(6337), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10929), 1,
      anon_sym_LPAREN2,
    STATE(6314), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9419), 1,
      anon_sym_try,
    ACTIONS(10931), 1,
      anon_sym_SEMI,
    ACTIONS(10933), 1,
      anon_sym_EQ,
    STATE(321), 2,
      sym_compound_statement,
      sym_try_statement,
  [248949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(10233), 1,
      anon_sym_LBRACE,
    ACTIONS(10935), 1,
      anon_sym_SEMI,
    ACTIONS(10937), 1,
      anon_sym_EQ,
    STATE(1891), 2,
      sym_compound_statement,
      sym_try_statement,
  [248969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10939), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10941), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10943), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10945), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10947), 1,
      anon_sym_LPAREN2,
    STATE(6321), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10949), 1,
      anon_sym_LPAREN2,
    STATE(6337), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3088), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9244), 1,
      anon_sym_try,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    ACTIONS(10951), 1,
      anon_sym_SEMI,
    ACTIONS(10953), 1,
      anon_sym_EQ,
    STATE(1919), 2,
      sym_compound_statement,
      sym_try_statement,
  [249069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10955), 1,
      anon_sym_LPAREN2,
    STATE(6337), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    ACTIONS(9491), 1,
      anon_sym_try,
    ACTIONS(10957), 1,
      anon_sym_SEMI,
    ACTIONS(10959), 1,
      anon_sym_EQ,
    STATE(571), 2,
      sym_compound_statement,
      sym_try_statement,
  [249105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10961), 1,
      anon_sym_LPAREN2,
    STATE(6324), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10963), 1,
      anon_sym_LPAREN2,
    STATE(6337), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249137] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_try,
    ACTIONS(10965), 1,
      anon_sym_SEMI,
    ACTIONS(10967), 1,
      anon_sym_EQ,
    STATE(640), 2,
      sym_compound_statement,
      sym_try_statement,
  [249157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    STATE(5118), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5307), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10969), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10971), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10973), 1,
      anon_sym_LPAREN2,
    STATE(6327), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(10460), 1,
      anon_sym_LBRACK,
    STATE(6095), 1,
      sym_template_argument_list,
    ACTIONS(10458), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [249223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10977), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9481), 1,
      anon_sym_try,
    ACTIONS(10979), 1,
      anon_sym_SEMI,
    ACTIONS(10981), 1,
      anon_sym_EQ,
    STATE(686), 2,
      sym_compound_statement,
      sym_try_statement,
  [249257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8171), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [249271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym___attribute__,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5207), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5459), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10983), 1,
      anon_sym_LPAREN2,
    STATE(6337), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10985), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249305] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9244), 1,
      anon_sym_try,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    ACTIONS(10988), 1,
      anon_sym_SEMI,
    ACTIONS(10990), 1,
      anon_sym_EQ,
    STATE(1993), 2,
      sym_compound_statement,
      sym_try_statement,
  [249325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10790), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10788), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [249339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10992), 1,
      anon_sym_LPAREN2,
    STATE(6365), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(3838), 1,
      sym_template_argument_list,
    ACTIONS(6070), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [249373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10994), 1,
      anon_sym_LPAREN2,
    STATE(6337), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_try,
    ACTIONS(10996), 1,
      anon_sym_SEMI,
    ACTIONS(10998), 1,
      anon_sym_EQ,
    STATE(625), 2,
      sym_compound_statement,
      sym_try_statement,
  [249409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9263), 1,
      anon_sym_try,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    ACTIONS(11000), 1,
      anon_sym_SEMI,
    ACTIONS(11002), 1,
      anon_sym_EQ,
    STATE(1662), 2,
      sym_compound_statement,
      sym_try_statement,
  [249429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11004), 1,
      anon_sym_LPAREN2,
    STATE(6358), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11006), 1,
      anon_sym_LPAREN2,
    STATE(6342), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5971), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11008), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11010), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(10456), 1,
      anon_sym_LBRACK,
    STATE(6044), 1,
      sym_template_argument_list,
    ACTIONS(10452), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [249511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11012), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11014), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11016), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11018), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11020), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11022), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11016), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11018), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249567] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9419), 1,
      anon_sym_try,
    ACTIONS(11024), 1,
      anon_sym_SEMI,
    ACTIONS(11026), 1,
      anon_sym_EQ,
    STATE(359), 2,
      sym_compound_statement,
      sym_try_statement,
  [249587] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9263), 1,
      anon_sym_try,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    ACTIONS(11028), 1,
      anon_sym_SEMI,
    ACTIONS(11030), 1,
      anon_sym_EQ,
    STATE(1742), 2,
      sym_compound_statement,
      sym_try_statement,
  [249607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10450), 1,
      anon_sym_LBRACK,
    ACTIONS(10448), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10977), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11032), 1,
      anon_sym_LPAREN2,
    STATE(6337), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(9481), 1,
      anon_sym_try,
    ACTIONS(11034), 1,
      anon_sym_SEMI,
    ACTIONS(11036), 1,
      anon_sym_EQ,
    STATE(718), 2,
      sym_compound_statement,
      sym_try_statement,
  [249675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(3838), 1,
      sym_template_argument_list,
    ACTIONS(6070), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [249693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9271), 1,
      anon_sym_try,
    ACTIONS(10233), 1,
      anon_sym_LBRACE,
    ACTIONS(11038), 1,
      anon_sym_SEMI,
    ACTIONS(11040), 1,
      anon_sym_EQ,
    STATE(2015), 2,
      sym_compound_statement,
      sym_try_statement,
  [249713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [249733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10516), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11042), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [249747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    ACTIONS(9491), 1,
      anon_sym_try,
    ACTIONS(11044), 1,
      anon_sym_SEMI,
    ACTIONS(11046), 1,
      anon_sym_EQ,
    STATE(604), 2,
      sym_compound_statement,
      sym_try_statement,
  [249767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11048), 1,
      anon_sym_LPAREN2,
    STATE(6337), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10927), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [249783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8147), 1,
      sym_string_literal,
    ACTIONS(115), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [249797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11050), 4,
      anon_sym_virtual,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
  [249810] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11054), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7887), 1,
      sym_attribute_specifier,
  [249829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11056), 1,
      anon_sym_EQ,
    ACTIONS(9921), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11058), 1,
      anon_sym_SEMI,
    STATE(6390), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7889), 1,
      sym_attribute_specifier,
  [249861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10090), 1,
      anon_sym_COLON,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [249880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11060), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8100), 1,
      sym_attribute_specifier,
  [249899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11062), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8160), 1,
      sym_attribute_specifier,
  [249918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    ACTIONS(11064), 1,
      anon_sym_RPAREN,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [249937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11066), 1,
      anon_sym_SEMI,
    STATE(6373), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8073), 1,
      sym_attribute_specifier,
  [249956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11068), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7918), 1,
      sym_attribute_specifier,
  [249975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(11070), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(3240), 1,
      sym_template_method,
    STATE(7264), 1,
      sym_operator_name,
  [249994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11072), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8156), 1,
      sym_attribute_specifier,
  [250013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(4072), 1,
      sym_template_argument_list,
    ACTIONS(6070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [250030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(11074), 1,
      sym_identifier,
    STATE(7589), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [250049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(11076), 1,
      sym_identifier,
    STATE(6910), 1,
      sym__namespace_specifier,
    STATE(7363), 1,
      sym_nested_namespace_specifier,
  [250068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11078), 1,
      anon_sym_SEMI,
    STATE(6402), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7666), 1,
      sym_attribute_specifier,
  [250087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11080), 1,
      anon_sym_SEMI,
    STATE(6406), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7663), 1,
      sym_attribute_specifier,
  [250106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(11082), 1,
      sym_identifier,
    STATE(7693), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [250125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11084), 1,
      anon_sym_SEMI,
    STATE(6394), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7914), 1,
      sym_attribute_specifier,
  [250144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11086), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7661), 1,
      sym_attribute_specifier,
  [250163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11088), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7880), 1,
      sym_attribute_specifier,
  [250182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11090), 1,
      anon_sym_SEMI,
    STATE(6372), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7912), 1,
      sym_attribute_specifier,
  [250201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    ACTIONS(11092), 1,
      anon_sym_RPAREN,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [250220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7881), 1,
      sym_attribute_specifier,
  [250239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(11096), 1,
      sym_identifier,
    STATE(7468), 1,
      sym_nested_namespace_specifier,
    STATE(7856), 1,
      sym__namespace_specifier,
  [250258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
    ACTIONS(5987), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [250275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10018), 1,
      anon_sym_COLON,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [250294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8101), 1,
      sym_attribute_specifier,
  [250313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(11100), 1,
      sym_identifier,
    STATE(7856), 1,
      sym__namespace_specifier,
    STATE(7909), 1,
      sym_nested_namespace_specifier,
  [250332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(11102), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(3437), 1,
      sym_template_method,
    STATE(7349), 1,
      sym_operator_name,
  [250351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8795), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8799), 1,
      anon_sym_EQ,
    ACTIONS(11104), 1,
      sym_identifier,
    ACTIONS(8797), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10086), 1,
      anon_sym_COLON,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [250387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10082), 1,
      anon_sym_COLON,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [250406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11106), 1,
      anon_sym_SEMI,
    STATE(6423), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7654), 1,
      sym_attribute_specifier,
  [250425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10078), 1,
      anon_sym_COLON,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [250444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11108), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7653), 1,
      sym_attribute_specifier,
  [250463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10066), 1,
      anon_sym_COLON,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [250482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10062), 1,
      anon_sym_COLON,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [250501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10058), 1,
      anon_sym_COLON,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3533), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [250520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11110), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7652), 1,
      sym_attribute_specifier,
  [250539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    ACTIONS(11114), 1,
      anon_sym_COLON_COLON,
    STATE(7343), 1,
      sym_argument_list,
    ACTIONS(11112), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [250556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(11116), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2299), 1,
      sym_template_method,
    STATE(7326), 1,
      sym_operator_name,
  [250575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      anon_sym_EQ,
    ACTIONS(9921), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [250588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    ACTIONS(11120), 1,
      anon_sym_RPAREN,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [250607] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11122), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7878), 1,
      sym_attribute_specifier,
  [250626] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11124), 1,
      anon_sym_SEMI,
    STATE(6424), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7882), 1,
      sym_attribute_specifier,
  [250645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10679), 1,
      anon_sym_inline,
    ACTIONS(11076), 1,
      sym_identifier,
    STATE(6738), 1,
      sym__namespace_specifier,
    STATE(7171), 1,
      sym_nested_namespace_specifier,
  [250664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(11126), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2299), 1,
      sym_template_method,
    STATE(7092), 1,
      sym_operator_name,
  [250683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11128), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7246), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [250696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1818), 1,
      anon_sym_operator,
    ACTIONS(11116), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2299), 1,
      sym_template_method,
    STATE(7188), 1,
      sym_operator_name,
  [250715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11130), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7650), 1,
      sym_attribute_specifier,
  [250734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11132), 1,
      anon_sym_SEMI,
    STATE(6387), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7888), 1,
      sym_attribute_specifier,
  [250753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(2375), 1,
      sym_decltype_auto,
    ACTIONS(11134), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    ACTIONS(11136), 1,
      anon_sym_RPAREN,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [250789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7763), 1,
      sym_auto,
    ACTIONS(7765), 1,
      anon_sym_decltype,
    STATE(2375), 1,
      sym_decltype_auto,
    ACTIONS(11138), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [250806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(11140), 1,
      aux_sym_preproc_if_token2,
    STATE(6284), 1,
      sym_enumerator,
    STATE(6531), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6532), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
  [250825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11142), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7648), 1,
      sym_attribute_specifier,
  [250844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(11144), 1,
      anon_sym_SEMI,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7877), 1,
      sym_attribute_specifier,
  [250863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(3698), 1,
      sym_template_argument_list,
    ACTIONS(6070), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [250880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4910), 1,
      sym_field_declaration_list,
    STATE(7201), 1,
      sym_base_class_clause,
  [250896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11146), 1,
      anon_sym_SEMI,
    STATE(6435), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10016), 1,
      anon_sym_LBRACE,
    STATE(3496), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10016), 1,
      anon_sym_LBRACE,
    STATE(3512), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym___except,
    ACTIONS(11150), 1,
      anon_sym___finally,
    STATE(848), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [250952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11154), 1,
      anon_sym_GT2,
    STATE(6753), 1,
      aux_sym_template_argument_list_repeat1,
  [250968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11156), 1,
      sym_identifier,
    STATE(788), 1,
      sym_template_parameter_list,
    STATE(2103), 1,
      sym_template_type,
  [250984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10591), 1,
      anon_sym_COMMA,
    STATE(6614), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11158), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [250998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11160), 1,
      anon_sym_SEMI,
    STATE(6462), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11162), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11166), 1,
      anon_sym_EQ,
    STATE(695), 1,
      sym_declaration_list,
  [251042] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym_DQUOTE,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [251058] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11174), 1,
      anon_sym_DQUOTE,
    ACTIONS(11176), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11178), 1,
      sym_escape_sequence,
    STATE(6437), 1,
      aux_sym_string_literal_repeat1,
  [251074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11180), 1,
      anon_sym_COMMA,
    STATE(6679), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11182), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251088] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11184), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [251104] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_DQUOTE,
    ACTIONS(11188), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11190), 1,
      sym_escape_sequence,
    STATE(6440), 1,
      aux_sym_string_literal_repeat1,
  [251120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11192), 1,
      anon_sym_GT2,
    STATE(7002), 1,
      aux_sym_template_argument_list_repeat1,
  [251136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2258), 1,
      sym_field_declaration_list,
    STATE(7210), 1,
      sym_base_class_clause,
  [251152] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11194), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [251168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    STATE(2543), 1,
      sym_field_declaration_list,
    STATE(7399), 1,
      sym_base_class_clause,
  [251184] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11196), 1,
      anon_sym_DQUOTE,
    ACTIONS(11198), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11200), 1,
      sym_escape_sequence,
    STATE(6444), 1,
      aux_sym_string_literal_repeat1,
  [251200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    STATE(6826), 1,
      sym_compound_statement,
    STATE(7268), 1,
      sym_field_initializer_list,
  [251216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11202), 1,
      anon_sym_GT2,
    STATE(6983), 1,
      aux_sym_template_argument_list_repeat1,
  [251232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11204), 1,
      anon_sym_SEMI,
    STATE(6560), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9197), 1,
      anon_sym_LBRACE,
    ACTIONS(11206), 1,
      anon_sym_LPAREN2,
    STATE(3286), 1,
      sym_requirement_seq,
    STATE(7233), 1,
      sym_requires_parameter_list,
  [251262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11208), 1,
      anon_sym_EQ,
    STATE(6497), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251276] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11210), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [251292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11156), 1,
      sym_identifier,
    STATE(793), 1,
      sym_template_parameter_list,
    STATE(2103), 1,
      sym_template_type,
  [251308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11212), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251322] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11214), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [251338] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11216), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11220), 1,
      sym_preproc_arg,
    STATE(7245), 1,
      sym_preproc_params,
  [251354] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11222), 1,
      anon_sym_DQUOTE,
    ACTIONS(11224), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11226), 1,
      sym_escape_sequence,
    STATE(6452), 1,
      aux_sym_string_literal_repeat1,
  [251370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11232), 1,
      anon_sym_LBRACE,
    STATE(7064), 1,
      aux_sym_base_class_clause_repeat1,
  [251386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(7287), 1,
      sym_argument_list,
    ACTIONS(11234), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [251400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10016), 1,
      anon_sym_LBRACE,
    STATE(3461), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11236), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11238), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11240), 1,
      anon_sym_EQ,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11242), 1,
      anon_sym_SEMI,
    STATE(6631), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251470] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11244), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11248), 1,
      anon_sym_GT2,
    STATE(6963), 1,
      aux_sym_template_argument_list_repeat1,
  [251500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10837), 1,
      anon_sym_EQ,
    STATE(6507), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9973), 1,
      anon_sym_LBRACE,
    STATE(2354), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251528] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11250), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [251544] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11252), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [251560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11254), 1,
      anon_sym_GT2,
    STATE(6822), 1,
      aux_sym_template_argument_list_repeat1,
  [251576] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_DQUOTE,
    ACTIONS(11258), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11260), 1,
      sym_escape_sequence,
    STATE(6469), 1,
      aux_sym_string_literal_repeat1,
  [251592] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11262), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11264), 1,
      anon_sym___except,
    ACTIONS(11266), 1,
      anon_sym___finally,
    STATE(511), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [251620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11156), 1,
      sym_identifier,
    STATE(794), 1,
      sym_template_parameter_list,
    STATE(2103), 1,
      sym_template_type,
  [251636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11268), 1,
      anon_sym_GT2,
    STATE(6943), 1,
      aux_sym_template_argument_list_repeat1,
  [251652] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11270), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [251668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(11272), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [251684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(11274), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [251700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11276), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11278), 1,
      anon_sym_LBRACE,
    STATE(6745), 1,
      aux_sym_base_class_clause_repeat1,
  [251716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11280), 1,
      anon_sym_SEMI,
    STATE(6461), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4857), 1,
      anon_sym_SEMI,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1641), 1,
      sym_template_argument_list,
  [251746] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11282), 1,
      anon_sym_DQUOTE,
    ACTIONS(11284), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11286), 1,
      sym_escape_sequence,
    STATE(6477), 1,
      aux_sym_string_literal_repeat1,
  [251762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    STATE(6950), 1,
      sym_compound_statement,
    STATE(7412), 1,
      sym_field_initializer_list,
  [251778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11288), 1,
      anon_sym_GT2,
    STATE(7070), 1,
      aux_sym_template_argument_list_repeat1,
  [251794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3044), 1,
      sym_field_declaration_list,
    STATE(7329), 1,
      sym_base_class_clause,
  [251810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11290), 1,
      anon_sym_GT2,
    STATE(6921), 1,
      aux_sym_template_argument_list_repeat1,
  [251826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11292), 1,
      anon_sym_EQ,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10827), 1,
      anon_sym_EQ,
    STATE(6463), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [251864] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11296), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [251880] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11298), 1,
      anon_sym_DQUOTE,
    ACTIONS(11300), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11302), 1,
      sym_escape_sequence,
    STATE(6594), 1,
      aux_sym_string_literal_repeat1,
  [251896] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11304), 1,
      anon_sym_DQUOTE,
    ACTIONS(11306), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11308), 1,
      sym_escape_sequence,
    STATE(6520), 1,
      aux_sym_string_literal_repeat1,
  [251912] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11310), 1,
      anon_sym_DQUOTE,
    ACTIONS(11312), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11314), 1,
      sym_escape_sequence,
    STATE(6491), 1,
      aux_sym_string_literal_repeat1,
  [251928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11316), 1,
      sym_identifier,
    ACTIONS(11318), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [251940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_SEMI,
    ACTIONS(11322), 1,
      anon_sym_DASH_GT,
    ACTIONS(11324), 1,
      anon_sym_noexcept,
    STATE(7950), 1,
      sym_trailing_return_type,
  [251956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11326), 1,
      anon_sym_EQ,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251970] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11330), 1,
      sym_preproc_arg,
    STATE(7263), 1,
      sym_preproc_params,
  [251986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11156), 1,
      sym_identifier,
    STATE(789), 1,
      sym_template_parameter_list,
    STATE(2103), 1,
      sym_template_type,
  [252002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9975), 1,
      anon_sym_LBRACE,
    STATE(3255), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10810), 1,
      anon_sym_EQ,
    STATE(6488), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11332), 1,
      anon_sym_COMMA,
    STATE(6646), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11334), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [252044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11336), 1,
      anon_sym___except,
    ACTIONS(11338), 1,
      anon_sym___finally,
    STATE(463), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [252058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11340), 1,
      anon_sym_GT2,
    STATE(6899), 1,
      aux_sym_template_argument_list_repeat1,
  [252074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    STATE(2693), 1,
      sym_field_declaration_list,
    STATE(7275), 1,
      sym_base_class_clause,
  [252090] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11342), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [252106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11344), 1,
      anon_sym_EQ,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252120] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11346), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9975), 1,
      anon_sym_LBRACE,
    STATE(3375), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252148] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11348), 1,
      anon_sym_DQUOTE,
    ACTIONS(11350), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11352), 1,
      sym_escape_sequence,
    STATE(6506), 1,
      aux_sym_string_literal_repeat1,
  [252164] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11356), 1,
      sym_preproc_arg,
    STATE(7325), 1,
      sym_preproc_params,
  [252180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(11140), 1,
      aux_sym_preproc_if_token2,
    STATE(6532), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
  [252196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11358), 1,
      anon_sym_GT2,
    STATE(6876), 1,
      aux_sym_template_argument_list_repeat1,
  [252212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10002), 1,
      anon_sym_LBRACE,
    STATE(3695), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11156), 1,
      sym_identifier,
    STATE(792), 1,
      sym_template_parameter_list,
    STATE(2103), 1,
      sym_template_type,
  [252242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11360), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    STATE(4495), 1,
      sym_field_declaration_list,
    STATE(7253), 1,
      sym_base_class_clause,
  [252272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    STATE(2505), 1,
      sym_field_declaration_list,
    STATE(7403), 1,
      sym_base_class_clause,
  [252288] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11362), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252302] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11364), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [252318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11366), 1,
      anon_sym_SEMI,
    STATE(6597), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4876), 1,
      sym_field_declaration_list,
    STATE(7197), 1,
      sym_base_class_clause,
  [252348] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11368), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [252364] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11370), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252378] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11372), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    STATE(3260), 1,
      sym_argument_list,
    STATE(3685), 1,
      sym_initializer_list,
  [252408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    STATE(7030), 1,
      sym_compound_statement,
    STATE(7290), 1,
      sym_field_initializer_list,
  [252424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(2868), 1,
      sym_field_declaration_list,
    STATE(7397), 1,
      sym_base_class_clause,
  [252440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11206), 1,
      anon_sym_LPAREN2,
    ACTIONS(11374), 1,
      anon_sym_LBRACE,
    STATE(5378), 1,
      sym_requirement_seq,
    STATE(7207), 1,
      sym_requires_parameter_list,
  [252456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    STATE(3456), 1,
      sym_argument_list,
    STATE(4593), 1,
      sym_initializer_list,
  [252472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(11376), 1,
      aux_sym_preproc_if_token2,
    STATE(6241), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [252486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10378), 1,
      sym_identifier,
    ACTIONS(11378), 1,
      aux_sym_preproc_if_token2,
    STATE(6214), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7874), 1,
      sym_enumerator,
  [252502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11380), 1,
      anon_sym_SEMI,
    STATE(6656), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(11382), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [252532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(1607), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10000), 1,
      anon_sym_LBRACE,
    STATE(4183), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252560] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11384), 1,
      anon_sym_DQUOTE,
    ACTIONS(11386), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11388), 1,
      sym_escape_sequence,
    STATE(6523), 1,
      aux_sym_string_literal_repeat1,
  [252576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11156), 1,
      sym_identifier,
    STATE(791), 1,
      sym_template_parameter_list,
    STATE(2103), 1,
      sym_template_type,
  [252592] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11390), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11392), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11395), 1,
      anon_sym_EQ,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11397), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11399), 1,
      anon_sym_SEMI,
    STATE(6589), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252648] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11401), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11403), 1,
      sym_preproc_arg,
    STATE(7338), 1,
      sym_preproc_params,
  [252664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    ACTIONS(6497), 1,
      anon_sym_LPAREN2,
    STATE(3257), 1,
      sym_initializer_list,
    STATE(3260), 1,
      sym_argument_list,
  [252680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11405), 1,
      anon_sym___except,
    ACTIONS(11407), 1,
      anon_sym___finally,
    STATE(260), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [252694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_LBRACE,
    STATE(5649), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10831), 1,
      anon_sym_EQ,
    STATE(6603), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [252732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9189), 1,
      anon_sym_LBRACE,
    ACTIONS(11206), 1,
      anon_sym_LPAREN2,
    STATE(3253), 1,
      sym_requirement_seq,
    STATE(7165), 1,
      sym_requires_parameter_list,
  [252748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11409), 1,
      anon_sym_SEMI,
    STATE(6454), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10000), 1,
      anon_sym_LBRACE,
    STATE(4169), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    STATE(7051), 1,
      sym_compound_statement,
    STATE(7150), 1,
      sym_field_initializer_list,
  [252792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_LBRACE,
    STATE(5652), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11411), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(2896), 1,
      sym_field_declaration_list,
    STATE(7405), 1,
      sym_base_class_clause,
  [252836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7235), 1,
      sym_base_class_clause,
  [252852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    STATE(6840), 1,
      sym_compound_statement,
    STATE(7345), 1,
      sym_field_initializer_list,
  [252868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11413), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [252878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(6912), 2,
      sym_argument_list,
      sym_initializer_list,
  [252892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11415), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11417), 1,
      anon_sym_COMMA,
    STATE(6561), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11420), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [252920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11422), 1,
      anon_sym_GT2,
    STATE(6797), 1,
      aux_sym_template_argument_list_repeat1,
  [252936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11424), 1,
      anon_sym_GT2,
    STATE(6850), 1,
      aux_sym_template_argument_list_repeat1,
  [252952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11426), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11428), 1,
      anon_sym_LBRACE,
    STATE(6740), 1,
      aux_sym_base_class_clause_repeat1,
  [252968] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11430), 1,
      anon_sym_DQUOTE,
    ACTIONS(11432), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11434), 1,
      sym_escape_sequence,
    STATE(6591), 1,
      aux_sym_string_literal_repeat1,
  [252984] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11436), 1,
      anon_sym_DQUOTE,
    ACTIONS(11438), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11440), 1,
      sym_escape_sequence,
    STATE(6470), 1,
      aux_sym_string_literal_repeat1,
  [253000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(11442), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [253016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11444), 1,
      anon_sym_EQ,
    STATE(633), 1,
      sym_declaration_list,
  [253032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11206), 1,
      anon_sym_LPAREN2,
    ACTIONS(11446), 1,
      anon_sym_LBRACE,
    STATE(1599), 1,
      sym_requirement_seq,
    STATE(7267), 1,
      sym_requires_parameter_list,
  [253048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11448), 1,
      anon_sym_EQ,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11450), 1,
      anon_sym___except,
    ACTIONS(11452), 1,
      anon_sym___finally,
    STATE(463), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [253076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    STATE(3826), 1,
      sym_field_declaration_list,
    STATE(7133), 1,
      sym_base_class_clause,
  [253092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10008), 1,
      anon_sym_LBRACE,
    STATE(3336), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_LPAREN2,
    STATE(3456), 1,
      sym_argument_list,
    STATE(3514), 1,
      sym_initializer_list,
  [253122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11156), 1,
      sym_identifier,
    STATE(790), 1,
      sym_template_parameter_list,
    STATE(2103), 1,
      sym_template_type,
  [253138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    STATE(2129), 1,
      sym_field_declaration_list,
    STATE(7339), 1,
      sym_base_class_clause,
  [253154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11332), 1,
      anon_sym_COMMA,
    STATE(6502), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11454), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_LBRACE,
    STATE(5663), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253182] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11456), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [253198] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11458), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7142), 1,
      sym_base_class_clause,
  [253228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11460), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10008), 1,
      anon_sym_LBRACE,
    STATE(3304), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(11462), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [253286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    STATE(6887), 1,
      sym_compound_statement,
    STATE(7306), 1,
      sym_field_initializer_list,
  [253302] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11464), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11466), 1,
      anon_sym_SEMI,
    STATE(6612), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11468), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253344] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11470), 1,
      anon_sym_DQUOTE,
    ACTIONS(11472), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11474), 1,
      sym_escape_sequence,
    STATE(6579), 1,
      aux_sym_string_literal_repeat1,
  [253360] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11476), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [253376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11478), 1,
      anon_sym_GT2,
    STATE(6750), 1,
      aux_sym_template_argument_list_repeat1,
  [253392] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11480), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253406] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11482), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [253422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9973), 1,
      anon_sym_LBRACE,
    STATE(2415), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11484), 1,
      anon_sym_SEMI,
    STATE(6541), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11486), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11488), 1,
      anon_sym_EQ,
    STATE(585), 1,
      sym_declaration_list,
  [253480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    STATE(3008), 1,
      sym_parameter_list,
    STATE(5782), 1,
      sym__function_declarator_seq,
  [253496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11490), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(11492), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [253540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11494), 1,
      anon_sym_EQ,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11496), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10806), 1,
      anon_sym_EQ,
    STATE(6626), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6357), 1,
      anon_sym_LT,
    ACTIONS(11498), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      sym_template_argument_list,
  [253598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11500), 1,
      anon_sym_SEMI,
    STATE(6600), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11502), 1,
      anon_sym_GT2,
    STATE(6992), 1,
      aux_sym_template_argument_list_repeat1,
  [253628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9981), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11504), 1,
      anon_sym_COMMA,
    STATE(6611), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11507), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11509), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2277), 1,
      sym_field_declaration_list,
    STATE(7185), 1,
      sym_base_class_clause,
  [253700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11511), 1,
      anon_sym_COMMA,
    STATE(6614), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [253714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11516), 1,
      anon_sym_GT2,
    STATE(6790), 1,
      aux_sym_template_argument_list_repeat1,
  [253730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      anon_sym_LBRACE,
    ACTIONS(11206), 1,
      anon_sym_LPAREN2,
    STATE(3672), 1,
      sym_requirement_seq,
    STATE(7079), 1,
      sym_requires_parameter_list,
  [253746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3067), 1,
      sym_field_declaration_list,
    STATE(7307), 1,
      sym_base_class_clause,
  [253762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11518), 1,
      anon_sym_GT2,
    STATE(6932), 1,
      aux_sym_template_argument_list_repeat1,
  [253778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    STATE(4696), 1,
      sym_field_declaration_list,
    STATE(7159), 1,
      sym_base_class_clause,
  [253794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9181), 1,
      anon_sym_LBRACE,
    ACTIONS(11206), 1,
      anon_sym_LPAREN2,
    STATE(4193), 1,
      sym_requirement_seq,
    STATE(7319), 1,
      sym_requires_parameter_list,
  [253810] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11520), 1,
      anon_sym_DQUOTE,
    ACTIONS(11522), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11524), 1,
      sym_escape_sequence,
    STATE(6684), 1,
      aux_sym_string_literal_repeat1,
  [253826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11526), 1,
      anon_sym_SEMI,
    STATE(6582), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11528), 1,
      anon_sym_SEMI,
    STATE(6604), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(1607), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11530), 1,
      anon_sym_COMMA,
    STATE(6611), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11532), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11534), 1,
      anon_sym_EQ,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    STATE(2706), 1,
      sym_field_declaration_list,
    STATE(7252), 1,
      sym_base_class_clause,
  [253912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10814), 1,
      anon_sym_EQ,
    STATE(6645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [253926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11206), 1,
      anon_sym_LPAREN2,
    ACTIONS(11536), 1,
      anon_sym_LBRACE,
    STATE(5683), 1,
      sym_requirement_seq,
    STATE(7176), 1,
      sym_requires_parameter_list,
  [253942] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11538), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11540), 1,
      sym_preproc_arg,
    STATE(7409), 1,
      sym_preproc_params,
  [253958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11542), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(10225), 1,
      anon_sym_COLON,
    STATE(7029), 1,
      sym_compound_statement,
    STATE(7080), 1,
      sym_field_initializer_list,
  [253988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11544), 1,
      anon_sym_COMMA,
    STATE(6633), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11547), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    STATE(2147), 1,
      sym_field_declaration_list,
    STATE(7360), 1,
      sym_base_class_clause,
  [254018] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11549), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [254034] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11551), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [254048] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11553), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [254062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    STATE(4700), 1,
      sym_field_declaration_list,
    STATE(7167), 1,
      sym_base_class_clause,
  [254078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11555), 1,
      anon_sym_SEMI,
    STATE(6554), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254092] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11557), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [254108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10002), 1,
      anon_sym_LBRACE,
    STATE(3722), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254122] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_DQUOTE,
    ACTIONS(11561), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11563), 1,
      sym_escape_sequence,
    STATE(6640), 1,
      aux_sym_string_literal_repeat1,
  [254138] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11565), 1,
      anon_sym_DQUOTE,
    ACTIONS(11567), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11569), 1,
      sym_escape_sequence,
    STATE(6664), 1,
      aux_sym_string_literal_repeat1,
  [254154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11571), 1,
      anon_sym_EQ,
    STATE(6540), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11573), 1,
      anon_sym_EQ,
    STATE(5645), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11575), 1,
      anon_sym_COMMA,
    STATE(6646), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11578), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9973), 1,
      anon_sym_LBRACE,
    STATE(2350), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_LBRACE,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    STATE(2352), 1,
      sym_argument_list,
    STATE(2353), 1,
      sym_initializer_list,
  [254226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10796), 1,
      anon_sym_EQ,
    STATE(6570), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [254240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_LT,
    ACTIONS(11156), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(6415), 1,
      sym_template_parameter_list,
  [254256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11580), 1,
      anon_sym_SEMI,
    STATE(6516), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(3622), 1,
      sym_field_declaration_list,
    STATE(7151), 1,
      sym_base_class_clause,
  [254286] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11582), 1,
      anon_sym_DQUOTE,
    ACTIONS(11584), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11586), 1,
      sym_escape_sequence,
    STATE(6635), 1,
      aux_sym_string_literal_repeat1,
  [254302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11590), 1,
      anon_sym_LBRACE,
    STATE(6864), 1,
      aux_sym_base_class_clause_repeat1,
  [254318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10000), 1,
      anon_sym_LBRACE,
    STATE(4113), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11592), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9207), 1,
      anon_sym_LBRACE,
    ACTIONS(11206), 1,
      anon_sym_LPAREN2,
    STATE(2388), 1,
      sym_requirement_seq,
    STATE(7243), 1,
      sym_requires_parameter_list,
  [254362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10002), 1,
      anon_sym_LBRACE,
    STATE(3648), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10008), 1,
      anon_sym_LBRACE,
    STATE(3313), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254390] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11594), 1,
      anon_sym_DQUOTE,
    ACTIONS(11596), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11599), 1,
      sym_escape_sequence,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [254406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    STATE(2801), 1,
      sym_field_declaration_list,
    STATE(7198), 1,
      sym_base_class_clause,
  [254422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11602), 1,
      anon_sym___except,
    ACTIONS(11604), 1,
      anon_sym___finally,
    STATE(486), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [254436] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11606), 1,
      anon_sym_SQUOTE,
    STATE(6539), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11246), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [254450] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11608), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [254466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11610), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10014), 1,
      anon_sym_LBRACE,
    STATE(5442), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(3602), 1,
      sym_field_declaration_list,
    STATE(7147), 1,
      sym_base_class_clause,
  [254510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11612), 1,
      anon_sym_SEMI,
    STATE(4068), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11614), 1,
      anon_sym_SEMI,
    STATE(6665), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9226), 1,
      anon_sym_LBRACE,
    ACTIONS(11206), 1,
      anon_sym_LPAREN2,
    STATE(3492), 1,
      sym_requirement_seq,
    STATE(7341), 1,
      sym_requires_parameter_list,
  [254554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(5565), 1,
      anon_sym_LPAREN2,
    STATE(2352), 1,
      sym_argument_list,
    STATE(3768), 1,
      sym_initializer_list,
  [254570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9975), 1,
      anon_sym_LBRACE,
    STATE(3219), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(11616), 1,
      aux_sym_preproc_if_token2,
    STATE(6531), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [254598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10014), 1,
      anon_sym_LBRACE,
    STATE(5401), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254612] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11618), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11620), 1,
      sym_preproc_arg,
    STATE(7170), 1,
      sym_preproc_params,
  [254628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10014), 1,
      anon_sym_LBRACE,
    STATE(5421), 1,
      sym_compound_statement,
    ACTIONS(9921), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [254642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11530), 1,
      anon_sym_COMMA,
    STATE(6625), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11622), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      anon_sym___attribute__,
    ACTIONS(11624), 1,
      anon_sym_SEMI,
    STATE(6668), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [254670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11180), 1,
      anon_sym_COMMA,
    STATE(6633), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11626), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254684] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_LPAREN,
    ACTIONS(11628), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11630), 1,
      sym_preproc_arg,
    STATE(7257), 1,
      sym_preproc_params,
  [254700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11632), 1,
      anon_sym_GT2,
    STATE(6713), 1,
      aux_sym_template_argument_list_repeat1,
  [254716] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11634), 1,
      anon_sym_DQUOTE,
    ACTIONS(11636), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11638), 1,
      sym_escape_sequence,
    STATE(6455), 1,
      aux_sym_string_literal_repeat1,
  [254732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11640), 1,
      anon_sym_EQ,
    STATE(322), 1,
      sym_declaration_list,
  [254748] = 5,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11170), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11172), 1,
      sym_escape_sequence,
    ACTIONS(11642), 1,
      anon_sym_DQUOTE,
    STATE(6660), 1,
      aux_sym_string_literal_repeat1,
  [254764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_COLON,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    STATE(2790), 1,
      sym_field_declaration_list,
    STATE(7191), 1,
      sym_base_class_clause,
  [254780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_RPAREN,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    STATE(6710), 1,
      sym_gnu_asm_input_operand_list,
  [254793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 1,
      anon_sym_COMMA,
    ACTIONS(11648), 1,
      anon_sym_RBRACK,
    STATE(6880), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [254806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(11652), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6935), 1,
      aux_sym_attribute_declaration_repeat1,
  [254819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8308), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_argument_list_repeat1,
  [254832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11654), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_COMMA,
    ACTIONS(11659), 1,
      anon_sym_RPAREN,
    STATE(6691), 1,
      aux_sym_throw_specifier_repeat1,
  [254854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11661), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [254863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(11663), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6935), 1,
      aux_sym_attribute_declaration_repeat1,
  [254876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11665), 1,
      anon_sym_GT2,
    STATE(6714), 1,
      aux_sym_template_argument_list_repeat1,
  [254889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(11667), 1,
      anon_sym_RPAREN,
    STATE(6848), 1,
      sym_gnu_asm_input_operand_list,
  [254902] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11669), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11671), 1,
      anon_sym_LPAREN2,
    STATE(7739), 1,
      sym_preproc_argument_list,
  [254915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    ACTIONS(11675), 1,
      anon_sym_constexpr,
    STATE(212), 1,
      sym_condition_clause,
  [254928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(11677), 1,
      anon_sym_RPAREN,
    STATE(6773), 1,
      aux_sym_generic_expression_repeat1,
  [254941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11679), 1,
      anon_sym_SEMI,
    STATE(6718), 1,
      aux_sym_declaration_repeat1,
  [254954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11681), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [254967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11683), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [254980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11685), 1,
      anon_sym_RPAREN,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    STATE(7513), 1,
      sym_gnu_asm_goto_list,
  [254993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11691), 1,
      anon_sym_RPAREN,
    ACTIONS(11689), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [255004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11693), 1,
      anon_sym_RPAREN,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    STATE(6859), 1,
      sym_gnu_asm_output_operand_list,
  [255017] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11671), 1,
      anon_sym_LPAREN2,
    ACTIONS(11697), 1,
      aux_sym_preproc_include_token2,
    STATE(7739), 1,
      sym_preproc_argument_list,
  [255030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11699), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(3384), 1,
      sym_template_function,
  [255043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11701), 1,
      anon_sym_SEMI,
    STATE(6701), 1,
      aux_sym_declaration_repeat1,
  [255056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4162), 1,
      anon_sym_RBRACE,
    ACTIONS(11703), 1,
      anon_sym_COMMA,
    STATE(6991), 1,
      aux_sym_initializer_list_repeat1,
  [255069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(11705), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6780), 1,
      aux_sym_attribute_declaration_repeat1,
  [255082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11707), 1,
      anon_sym_RPAREN,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    STATE(6702), 1,
      sym_gnu_asm_clobber_list,
  [255095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11711), 1,
      anon_sym_default,
    ACTIONS(11713), 1,
      anon_sym_delete,
    ACTIONS(11715), 1,
      aux_sym_pure_virtual_clause_token1,
  [255108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11717), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [255121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11719), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [255134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11721), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [255147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(11723), 1,
      anon_sym_RPAREN,
    STATE(7469), 1,
      sym_gnu_asm_goto_list,
  [255160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(11725), 1,
      anon_sym_RPAREN,
    STATE(8163), 1,
      sym_gnu_asm_goto_list,
  [255173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 1,
      anon_sym_RBRACK,
    ACTIONS(11727), 1,
      anon_sym_COMMA,
    STATE(6717), 1,
      aux_sym_subscript_argument_list_repeat1,
  [255186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11730), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [255199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      anon_sym_LBRACE,
    STATE(6743), 1,
      aux_sym_base_class_clause_repeat1,
  [255212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      anon_sym_catch,
    STATE(1786), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(11736), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6935), 1,
      aux_sym_attribute_declaration_repeat1,
  [255236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8317), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [255245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(11738), 1,
      anon_sym_RPAREN,
    STATE(6715), 1,
      sym_gnu_asm_clobber_list,
  [255258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11740), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [255267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11742), 1,
      anon_sym_COMMA,
    ACTIONS(11745), 1,
      anon_sym_LBRACE,
    STATE(6725), 1,
      aux_sym_base_class_clause_repeat1,
  [255280] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6465), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11747), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    STATE(586), 1,
      sym_declaration_list,
  [255304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    ACTIONS(11749), 1,
      anon_sym_constexpr,
    STATE(178), 1,
      sym_condition_clause,
  [255317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11751), 1,
      anon_sym_SEMI,
    STATE(6946), 1,
      aux_sym_declaration_repeat1,
  [255330] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6637), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11753), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11755), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2729), 1,
      sym_template_function,
  [255354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11757), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [255367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11759), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11745), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [255378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11761), 1,
      anon_sym_catch,
    STATE(220), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(11763), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6693), 1,
      aux_sym_attribute_declaration_repeat1,
  [255402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8407), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [255411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11765), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11767), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [255422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11769), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [255433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11773), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [255446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      anon_sym_LBRACE,
    STATE(6725), 1,
      aux_sym_base_class_clause_repeat1,
  [255459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_COMMA,
    ACTIONS(11777), 1,
      anon_sym_GT2,
    STATE(7063), 1,
      aux_sym_template_parameter_list_repeat1,
  [255472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11779), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11781), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [255483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11783), 1,
      anon_sym_LBRACE,
    STATE(6725), 1,
      aux_sym_base_class_clause_repeat1,
  [255496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(11785), 1,
      anon_sym_RPAREN,
    STATE(6773), 1,
      aux_sym_generic_expression_repeat1,
  [255509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      anon_sym_LBRACE,
    STATE(6725), 1,
      aux_sym_base_class_clause_repeat1,
  [255522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8203), 1,
      anon_sym_RBRACE,
    ACTIONS(8385), 1,
      anon_sym_COMMA,
    STATE(6708), 1,
      aux_sym_initializer_list_repeat1,
  [255535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11787), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      anon_sym_LBRACE,
    STATE(6864), 1,
      aux_sym_base_class_clause_repeat1,
  [255557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [255570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11791), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [255583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8349), 1,
      anon_sym_COMMA,
    ACTIONS(8351), 1,
      anon_sym_RBRACE,
    STATE(6883), 1,
      aux_sym_initializer_list_repeat1,
  [255596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11793), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11795), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [255618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11797), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [255631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11799), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [255644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11801), 1,
      anon_sym_COMMA,
    ACTIONS(11804), 1,
      anon_sym_LBRACE,
    STATE(6756), 1,
      aux_sym_field_initializer_list_repeat1,
  [255657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(11806), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6934), 1,
      aux_sym_attribute_declaration_repeat1,
  [255670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11808), 1,
      anon_sym_default,
    ACTIONS(11810), 1,
      anon_sym_delete,
    ACTIONS(11812), 1,
      aux_sym_pure_virtual_clause_token1,
  [255683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_COMMA,
    ACTIONS(11816), 1,
      anon_sym_RPAREN,
    STATE(6908), 1,
      aux_sym_requires_parameter_list_repeat1,
  [255696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11818), 1,
      anon_sym_SEMI,
    STATE(6821), 1,
      aux_sym_declaration_repeat1,
  [255709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11820), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(3167), 1,
      sym_template_function,
  [255722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11822), 1,
      anon_sym_COMMA,
    ACTIONS(11824), 1,
      anon_sym_RPAREN,
    STATE(6787), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [255735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(11826), 1,
      anon_sym_RPAREN,
    STATE(7859), 1,
      sym_gnu_asm_goto_list,
  [255748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11828), 1,
      anon_sym_catch,
    STATE(394), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    STATE(749), 1,
      sym_declaration_list,
  [255772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9690), 1,
      anon_sym_RPAREN,
    ACTIONS(11830), 1,
      anon_sym_COMMA,
    STATE(6766), 1,
      aux_sym_preproc_argument_list_repeat1,
  [255785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11833), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [255794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(11835), 1,
      anon_sym_RPAREN,
    STATE(6917), 1,
      sym_gnu_asm_output_operand_list,
  [255807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11837), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [255816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(11839), 1,
      anon_sym_RPAREN,
    STATE(6763), 1,
      sym_gnu_asm_clobber_list,
  [255829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(11841), 1,
      anon_sym_RPAREN,
    STATE(7858), 1,
      sym_gnu_asm_goto_list,
  [255842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      anon_sym_GT2,
    STATE(6956), 1,
      aux_sym_template_argument_list_repeat1,
  [255855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11845), 1,
      anon_sym_COMMA,
    ACTIONS(11848), 1,
      anon_sym_RPAREN,
    STATE(6773), 1,
      aux_sym_generic_expression_repeat1,
  [255868] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6525), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11850), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(11852), 1,
      anon_sym_RPAREN,
    STATE(6770), 1,
      sym_gnu_asm_input_operand_list,
  [255892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11854), 1,
      anon_sym_GT2,
    STATE(6791), 1,
      aux_sym_template_argument_list_repeat1,
  [255905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(11856), 1,
      anon_sym_RPAREN,
    STATE(6771), 1,
      sym_gnu_asm_clobber_list,
  [255918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11858), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11860), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(11862), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6935), 1,
      aux_sym_attribute_declaration_repeat1,
  [255949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11864), 1,
      anon_sym_COMMA,
    ACTIONS(11867), 1,
      anon_sym_RPAREN,
    STATE(6781), 1,
      aux_sym_preproc_params_repeat1,
  [255962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11869), 1,
      sym_identifier,
    ACTIONS(11871), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [255973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      anon_sym_catch,
    STATE(1827), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8373), 1,
      anon_sym_RPAREN,
    STATE(6903), 1,
      aux_sym_argument_list_repeat1,
  [255997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11873), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [256010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11875), 1,
      anon_sym_GT2,
    STATE(6754), 1,
      aux_sym_template_argument_list_repeat1,
  [256023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11822), 1,
      anon_sym_COMMA,
    ACTIONS(11877), 1,
      anon_sym_RPAREN,
    STATE(6792), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [256036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    ACTIONS(11879), 1,
      anon_sym_constexpr,
    STATE(215), 1,
      sym_condition_clause,
  [256049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11881), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11883), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11885), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11887), 1,
      anon_sym_COMMA,
    ACTIONS(11890), 1,
      anon_sym_RPAREN,
    STATE(6792), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [256101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11892), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(11894), 1,
      anon_sym_RPAREN,
    STATE(6970), 1,
      sym_gnu_asm_output_operand_list,
  [256123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11896), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11898), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11900), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11902), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [256171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11904), 1,
      anon_sym_COMMA,
    ACTIONS(11906), 1,
      anon_sym_RPAREN,
    STATE(6865), 1,
      aux_sym_parameter_list_repeat1,
  [256184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11908), 1,
      anon_sym_catch,
    STATE(388), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(11910), 1,
      anon_sym_RBRACK,
    STATE(6717), 1,
      aux_sym_subscript_argument_list_repeat1,
  [256208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11912), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(11914), 1,
      anon_sym_RPAREN,
    STATE(6775), 1,
      sym_gnu_asm_output_operand_list,
  [256234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11916), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [256247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11828), 1,
      anon_sym_catch,
    STATE(336), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(11918), 1,
      anon_sym_RPAREN,
    STATE(6777), 1,
      sym_gnu_asm_input_operand_list,
  [256271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11920), 1,
      anon_sym_COMMA,
    ACTIONS(11923), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [256284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11925), 1,
      anon_sym_EQ,
    ACTIONS(10853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [256295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11927), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2411), 1,
      sym_template_function,
  [256308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11929), 1,
      anon_sym_COMMA,
    ACTIONS(11931), 1,
      anon_sym_RPAREN,
    STATE(6977), 1,
      aux_sym_preproc_params_repeat1,
  [256321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11933), 1,
      sym_identifier,
    STATE(1677), 1,
      sym_template_type,
    STATE(3167), 1,
      sym_template_function,
  [256334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(11935), 1,
      anon_sym_RPAREN,
    STATE(6965), 1,
      sym_gnu_asm_input_operand_list,
  [256347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(11937), 1,
      anon_sym_RPAREN,
    STATE(7049), 1,
      aux_sym_argument_list_repeat1,
  [256360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11904), 1,
      anon_sym_COMMA,
    ACTIONS(11939), 1,
      anon_sym_RPAREN,
    STATE(6865), 1,
      aux_sym_parameter_list_repeat1,
  [256373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11941), 1,
      anon_sym_default,
    ACTIONS(11943), 1,
      anon_sym_delete,
    ACTIONS(11945), 1,
      aux_sym_pure_virtual_clause_token1,
  [256386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11947), 1,
      anon_sym_GT2,
    STATE(6817), 1,
      aux_sym_template_argument_list_repeat1,
  [256399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11949), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11951), 1,
      anon_sym_COMMA,
    ACTIONS(11953), 1,
      anon_sym_RPAREN,
    STATE(6902), 1,
      aux_sym_throw_specifier_repeat1,
  [256425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11955), 1,
      anon_sym_SEMI,
    STATE(7008), 1,
      aux_sym_declaration_repeat1,
  [256438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11957), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [256451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11959), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [256464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11961), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8478), 1,
      anon_sym_RBRACK,
    ACTIONS(11963), 1,
      anon_sym_COMMA,
    STATE(6823), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [256490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11904), 1,
      anon_sym_COMMA,
    ACTIONS(11966), 1,
      anon_sym_RPAREN,
    STATE(7010), 1,
      aux_sym_parameter_list_repeat1,
  [256503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11968), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      anon_sym_catch,
    STATE(1801), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(11970), 1,
      anon_sym_RPAREN,
    STATE(6686), 1,
      sym_gnu_asm_output_operand_list,
  [256540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11972), 1,
      sym_identifier,
    STATE(1677), 1,
      sym_template_type,
    STATE(3384), 1,
      sym_template_function,
  [256553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11974), 1,
      anon_sym_SEMI,
    STATE(7075), 1,
      aux_sym_declaration_repeat1,
  [256566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(11976), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      sym_gnu_asm_input_operand_list,
  [256579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11978), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2729), 1,
      sym_template_function,
  [256592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11908), 1,
      anon_sym_catch,
    STATE(327), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(11980), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7037), 1,
      aux_sym_attribute_declaration_repeat1,
  [256616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9451), 1,
      anon_sym_COMMA,
    ACTIONS(11982), 1,
      anon_sym_RPAREN,
    STATE(6766), 1,
      aux_sym_preproc_argument_list_repeat1,
  [256629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11984), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [256642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11986), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [256655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(11988), 1,
      anon_sym_SEMI,
    STATE(6785), 1,
      aux_sym_declaration_repeat1,
  [256668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(11990), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6847), 1,
      aux_sym_attribute_declaration_repeat1,
  [256681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10693), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [256690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11992), 1,
      anon_sym_catch,
    STATE(1787), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11994), 1,
      anon_sym_GT2,
    STATE(6851), 1,
      aux_sym_template_argument_list_repeat1,
  [256714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(11996), 1,
      anon_sym_GT2,
    STATE(6795), 1,
      aux_sym_template_argument_list_repeat1,
  [256727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(11998), 1,
      anon_sym_RPAREN,
    STATE(6806), 1,
      sym_gnu_asm_output_operand_list,
  [256740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_while,
    ACTIONS(12000), 1,
      anon_sym_else,
    STATE(514), 1,
      sym_else_clause,
  [256753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12002), 1,
      anon_sym_default,
    ACTIONS(12004), 1,
      anon_sym_delete,
    ACTIONS(12006), 1,
      aux_sym_pure_virtual_clause_token1,
  [256766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_RBRACE,
    ACTIONS(12008), 1,
      anon_sym_COMMA,
    STATE(6991), 1,
      aux_sym_initializer_list_repeat1,
  [256779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(12010), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6935), 1,
      aux_sym_attribute_declaration_repeat1,
  [256792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(12012), 1,
      anon_sym_RPAREN,
    STATE(7047), 1,
      sym_gnu_asm_clobber_list,
  [256805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12014), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12016), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12018), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [256844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(12020), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6688), 1,
      aux_sym_attribute_declaration_repeat1,
  [256857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8306), 1,
      anon_sym_RPAREN,
    STATE(6813), 1,
      aux_sym_argument_list_repeat1,
  [256870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8387), 1,
      anon_sym_RPAREN,
    STATE(6986), 1,
      aux_sym_argument_list_repeat1,
  [256883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(12022), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6935), 1,
      aux_sym_attribute_declaration_repeat1,
  [256896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(12024), 1,
      anon_sym_RPAREN,
    STATE(7049), 1,
      aux_sym_argument_list_repeat1,
  [256909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12026), 1,
      anon_sym_SEMI,
    STATE(7040), 1,
      aux_sym_declaration_repeat1,
  [256922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    STATE(367), 1,
      sym_declaration_list,
  [256935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(12028), 1,
      anon_sym_RPAREN,
    STATE(6979), 1,
      sym_gnu_asm_input_operand_list,
  [256948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12030), 1,
      anon_sym_COMMA,
    ACTIONS(12033), 1,
      anon_sym_RBRACK,
    STATE(6860), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [256961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12035), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(5786), 1,
      sym_template_function,
  [256974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(12037), 1,
      anon_sym_RPAREN,
    STATE(7004), 1,
      sym_gnu_asm_input_operand_list,
  [256987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12039), 1,
      anon_sym_SEMI,
    STATE(6835), 1,
      aux_sym_declaration_repeat1,
  [257000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11278), 1,
      anon_sym_LBRACE,
    STATE(6725), 1,
      aux_sym_base_class_clause_repeat1,
  [257013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_COMMA,
    ACTIONS(12044), 1,
      anon_sym_RPAREN,
    STATE(6865), 1,
      aux_sym_parameter_list_repeat1,
  [257026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11278), 1,
      anon_sym_LBRACE,
    STATE(6745), 1,
      aux_sym_base_class_clause_repeat1,
  [257039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12046), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [257050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12048), 1,
      anon_sym_catch,
    STATE(1630), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12050), 1,
      sym_identifier,
    STATE(1677), 1,
      sym_template_type,
    STATE(2411), 1,
      sym_template_function,
  [257074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(12052), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6721), 1,
      aux_sym_attribute_declaration_repeat1,
  [257087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_RPAREN,
    STATE(7049), 1,
      aux_sym_argument_list_repeat1,
  [257100] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6508), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12056), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    STATE(642), 1,
      sym_declaration_list,
  [257124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12058), 1,
      anon_sym_GT2,
    STATE(6877), 1,
      aux_sym_template_argument_list_repeat1,
  [257137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12060), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12062), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12064), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11164), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [257185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8403), 1,
      anon_sym_COMMA,
    ACTIONS(8405), 1,
      anon_sym_RBRACE,
    STATE(6998), 1,
      aux_sym_initializer_list_repeat1,
  [257198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 1,
      anon_sym_COMMA,
    ACTIONS(12066), 1,
      anon_sym_RBRACK,
    STATE(6860), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [257211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_COMMA,
    ACTIONS(12068), 1,
      anon_sym_GT2,
    STATE(7061), 1,
      aux_sym_template_parameter_list_repeat1,
  [257224] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6524), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12070), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      anon_sym_RBRACE,
    ACTIONS(12072), 1,
      anon_sym_COMMA,
    STATE(6991), 1,
      aux_sym_initializer_list_repeat1,
  [257248] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11671), 1,
      anon_sym_LPAREN2,
    ACTIONS(12074), 1,
      aux_sym_preproc_include_token2,
    STATE(7739), 1,
      sym_preproc_argument_list,
  [257261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(12076), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6855), 1,
      aux_sym_attribute_declaration_repeat1,
  [257274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8353), 1,
      anon_sym_COMMA,
    ACTIONS(12078), 1,
      anon_sym_RBRACK,
    STATE(6823), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [257287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11828), 1,
      anon_sym_catch,
    STATE(382), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257298] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6580), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12080), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12082), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [257318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12084), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12086), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_RBRACE,
    ACTIONS(12088), 1,
      anon_sym_COMMA,
    STATE(6991), 1,
      aux_sym_initializer_list_repeat1,
  [257342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12090), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [257355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12092), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2729), 1,
      sym_template_function,
  [257368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12094), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [257381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    STATE(697), 1,
      sym_declaration_list,
  [257394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12096), 1,
      anon_sym_COMMA,
    ACTIONS(12099), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12101), 1,
      anon_sym_GT2,
    STATE(6900), 1,
      aux_sym_template_argument_list_repeat1,
  [257420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12103), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12105), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12107), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_COMMA,
    ACTIONS(12109), 1,
      anon_sym_RPAREN,
    STATE(6759), 1,
      aux_sym_requires_parameter_list_repeat1,
  [257472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11951), 1,
      anon_sym_COMMA,
    ACTIONS(12111), 1,
      anon_sym_RPAREN,
    STATE(6691), 1,
      aux_sym_throw_specifier_repeat1,
  [257485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(12113), 1,
      anon_sym_RPAREN,
    STATE(7049), 1,
      aux_sym_argument_list_repeat1,
  [257498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12115), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12117), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_SEMI,
    STATE(6798), 1,
      aux_sym_declaration_repeat1,
  [257522] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6636), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12121), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(12123), 1,
      anon_sym_RPAREN,
    STATE(6773), 1,
      aux_sym_generic_expression_repeat1,
  [257546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12125), 1,
      anon_sym_COMMA,
    ACTIONS(12128), 1,
      anon_sym_RPAREN,
    STATE(6908), 1,
      aux_sym_requires_parameter_list_repeat1,
  [257559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12130), 1,
      anon_sym_COMMA,
    ACTIONS(12132), 1,
      anon_sym_LBRACE,
    STATE(6756), 1,
      aux_sym_field_initializer_list_repeat1,
  [257572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11771), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12134), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [257583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    STATE(651), 1,
      sym_declaration_list,
  [257596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12136), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12138), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(12140), 1,
      anon_sym_RPAREN,
    STATE(7049), 1,
      aux_sym_argument_list_repeat1,
  [257620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_SEMI,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1641), 1,
      sym_template_argument_list,
  [257633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12142), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2411), 1,
      sym_template_function,
  [257646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12146), 1,
      anon_sym_RPAREN,
    ACTIONS(12144), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [257657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(12148), 1,
      anon_sym_RPAREN,
    STATE(7042), 1,
      sym_gnu_asm_input_operand_list,
  [257670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11322), 1,
      anon_sym_DASH_GT,
    ACTIONS(12150), 1,
      anon_sym_SEMI,
    STATE(8143), 1,
      sym_trailing_return_type,
  [257683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12152), 1,
      anon_sym_GT2,
    STATE(6922), 1,
      aux_sym_template_argument_list_repeat1,
  [257696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12154), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12156), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12158), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12160), 1,
      anon_sym_catch,
    STATE(556), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12162), 1,
      anon_sym_default,
    ACTIONS(12164), 1,
      anon_sym_delete,
    ACTIONS(12166), 1,
      aux_sym_pure_virtual_clause_token1,
  [257759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(12168), 1,
      anon_sym_RPAREN,
    STATE(6862), 1,
      sym_gnu_asm_output_operand_list,
  [257772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(12170), 1,
      anon_sym_RPAREN,
    STATE(7074), 1,
      sym_gnu_asm_output_operand_list,
  [257785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12172), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [257794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12174), 1,
      anon_sym_GT2,
    STATE(7069), 1,
      aux_sym_template_argument_list_repeat1,
  [257807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(12176), 1,
      anon_sym_RPAREN,
    STATE(6773), 1,
      aux_sym_generic_expression_repeat1,
  [257820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12178), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(12180), 1,
      anon_sym_RBRACK,
    STATE(6717), 1,
      aux_sym_subscript_argument_list_repeat1,
  [257846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12182), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7369), 1,
      anon_sym_EQ,
    ACTIONS(7367), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [257870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(12184), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6935), 1,
      aux_sym_attribute_declaration_repeat1,
  [257883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12186), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6935), 1,
      aux_sym_attribute_declaration_repeat1,
  [257896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12160), 1,
      anon_sym_catch,
    STATE(320), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12191), 1,
      sym_identifier,
    STATE(2461), 1,
      sym_template_type,
    STATE(3500), 1,
      sym_template_function,
  [257920] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6663), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12193), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12195), 1,
      anon_sym_SEMI,
    STATE(7062), 1,
      aux_sym_declaration_repeat1,
  [257944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8409), 1,
      anon_sym_RPAREN,
    STATE(7017), 1,
      aux_sym_argument_list_repeat1,
  [257957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12197), 1,
      anon_sym_GT2,
    STATE(6944), 1,
      aux_sym_template_argument_list_repeat1,
  [257970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12199), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12201), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [257996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12203), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12205), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [258022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12207), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [258035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(12209), 1,
      anon_sym_RPAREN,
    STATE(7676), 1,
      sym_gnu_asm_goto_list,
  [258048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8341), 1,
      anon_sym_RPAREN,
    STATE(6913), 1,
      aux_sym_argument_list_repeat1,
  [258061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11904), 1,
      anon_sym_COMMA,
    ACTIONS(12211), 1,
      anon_sym_RPAREN,
    STATE(7059), 1,
      aux_sym_parameter_list_repeat1,
  [258074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11761), 1,
      anon_sym_catch,
    STATE(227), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8242), 1,
      anon_sym_RBRACK,
    STATE(7056), 1,
      aux_sym_subscript_argument_list_repeat1,
  [258098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    STATE(624), 1,
      sym_declaration_list,
  [258111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(12213), 1,
      anon_sym_RPAREN,
    STATE(6947), 1,
      sym_gnu_asm_clobber_list,
  [258124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8345), 1,
      anon_sym_RBRACK,
    STATE(6931), 1,
      aux_sym_subscript_argument_list_repeat1,
  [258137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(12215), 1,
      anon_sym_RPAREN,
    STATE(7674), 1,
      sym_gnu_asm_goto_list,
  [258150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12217), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258163] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6587), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12219), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12221), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2729), 1,
      sym_template_function,
  [258187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(12223), 1,
      anon_sym_RPAREN,
    STATE(6953), 1,
      sym_gnu_asm_input_operand_list,
  [258200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(12225), 1,
      anon_sym_RPAREN,
    STATE(6955), 1,
      sym_gnu_asm_clobber_list,
  [258213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12227), 1,
      anon_sym_GT2,
    STATE(6964), 1,
      aux_sym_template_argument_list_repeat1,
  [258226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12229), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12231), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12233), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(12235), 1,
      anon_sym_RPAREN,
    STATE(7050), 1,
      sym_gnu_asm_clobber_list,
  [258278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(12237), 1,
      anon_sym_RPAREN,
    STATE(6830), 1,
      sym_gnu_asm_output_operand_list,
  [258291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8353), 1,
      anon_sym_COMMA,
    ACTIONS(12239), 1,
      anon_sym_RBRACK,
    STATE(6823), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [258304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8357), 1,
      anon_sym_COMMA,
    ACTIONS(8359), 1,
      anon_sym_RBRACE,
    STATE(6891), 1,
      aux_sym_initializer_list_repeat1,
  [258317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    ACTIONS(12241), 1,
      anon_sym_constexpr,
    STATE(164), 1,
      sym_condition_clause,
  [258330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(12243), 1,
      anon_sym_RPAREN,
    STATE(7058), 1,
      sym_gnu_asm_input_operand_list,
  [258343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9451), 1,
      anon_sym_COMMA,
    ACTIONS(12245), 1,
      anon_sym_RPAREN,
    STATE(6766), 1,
      aux_sym_preproc_argument_list_repeat1,
  [258356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12048), 1,
      anon_sym_catch,
    STATE(1633), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(12247), 1,
      anon_sym_RPAREN,
    STATE(7483), 1,
      sym_gnu_asm_goto_list,
  [258380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12249), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [258393] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6473), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12251), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258404] = 4,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11671), 1,
      anon_sym_LPAREN2,
    ACTIONS(12253), 1,
      aux_sym_preproc_include_token2,
    STATE(7739), 1,
      sym_preproc_argument_list,
  [258417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11929), 1,
      anon_sym_COMMA,
    ACTIONS(12255), 1,
      anon_sym_RPAREN,
    STATE(6781), 1,
      aux_sym_preproc_params_repeat1,
  [258430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12257), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(3384), 1,
      sym_template_function,
  [258443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(12259), 1,
      anon_sym_RPAREN,
    STATE(6716), 1,
      sym_gnu_asm_clobber_list,
  [258456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12261), 1,
      anon_sym_catch,
    STATE(828), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12263), 1,
      anon_sym_GT2,
    STATE(6984), 1,
      aux_sym_template_argument_list_repeat1,
  [258480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12265), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12267), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12269), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2729), 1,
      sym_template_function,
  [258532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(12273), 1,
      anon_sym_RPAREN,
    STATE(7049), 1,
      aux_sym_argument_list_repeat1,
  [258545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    STATE(304), 1,
      sym_declaration_list,
  [258558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(12275), 1,
      anon_sym_RPAREN,
    STATE(6773), 1,
      aux_sym_generic_expression_repeat1,
  [258571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8329), 1,
      anon_sym_COMMA,
    ACTIONS(12277), 1,
      anon_sym_RPAREN,
    STATE(6773), 1,
      aux_sym_generic_expression_repeat1,
  [258584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12279), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8319), 1,
      anon_sym_RBRACE,
    ACTIONS(12281), 1,
      anon_sym_COMMA,
    STATE(6991), 1,
      aux_sym_initializer_list_repeat1,
  [258610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12284), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12286), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(12288), 1,
      anon_sym_RPAREN,
    STATE(7647), 1,
      sym_gnu_asm_goto_list,
  [258649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(12290), 1,
      anon_sym_RPAREN,
    STATE(6959), 1,
      sym_gnu_asm_output_operand_list,
  [258662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11992), 1,
      anon_sym_catch,
    STATE(1828), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12292), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2729), 1,
      sym_template_function,
  [258686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_RBRACE,
    ACTIONS(12294), 1,
      anon_sym_COMMA,
    STATE(6991), 1,
      aux_sym_initializer_list_repeat1,
  [258699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(12296), 1,
      anon_sym_RPAREN,
    STATE(6960), 1,
      sym_gnu_asm_input_operand_list,
  [258712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12298), 1,
      anon_sym_GT2,
    STATE(7003), 1,
      aux_sym_template_argument_list_repeat1,
  [258725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12300), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12302), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12304), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [258764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(12306), 1,
      anon_sym_RPAREN,
    STATE(6973), 1,
      sym_gnu_asm_clobber_list,
  [258777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(12308), 1,
      anon_sym_RPAREN,
    STATE(7876), 1,
      sym_gnu_asm_goto_list,
  [258790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_while,
    ACTIONS(12000), 1,
      anon_sym_else,
    STATE(512), 1,
      sym_else_clause,
  [258803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12310), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(3500), 1,
      sym_template_function,
  [258816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12312), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [258829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(12314), 1,
      anon_sym_RPAREN,
    STATE(7484), 1,
      sym_gnu_asm_goto_list,
  [258842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11904), 1,
      anon_sym_COMMA,
    ACTIONS(12316), 1,
      anon_sym_RPAREN,
    STATE(6865), 1,
      aux_sym_parameter_list_repeat1,
  [258855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12318), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2411), 1,
      sym_template_function,
  [258868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8302), 1,
      anon_sym_COMMA,
    ACTIONS(8304), 1,
      anon_sym_RBRACE,
    STATE(6846), 1,
      aux_sym_initializer_list_repeat1,
  [258881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12320), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2729), 1,
      sym_template_function,
  [258894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_RBRACE,
    ACTIONS(12322), 1,
      anon_sym_COMMA,
    STATE(6991), 1,
      aux_sym_initializer_list_repeat1,
  [258907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12324), 1,
      anon_sym_SEMI,
    STATE(7033), 1,
      aux_sym_declaration_repeat1,
  [258920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(12326), 1,
      anon_sym_RPAREN,
    STATE(6812), 1,
      sym_gnu_asm_output_operand_list,
  [258933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(12328), 1,
      anon_sym_RPAREN,
    STATE(7049), 1,
      aux_sym_argument_list_repeat1,
  [258946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12172), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [258955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12330), 1,
      anon_sym_GT2,
    STATE(6749), 1,
      aux_sym_template_argument_list_repeat1,
  [258968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11992), 1,
      anon_sym_catch,
    STATE(1823), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8296), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_RPAREN,
    STATE(6856), 1,
      aux_sym_argument_list_repeat1,
  [258992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12332), 1,
      anon_sym_default,
    ACTIONS(12334), 1,
      anon_sym_delete,
    ACTIONS(12336), 1,
      aux_sym_pure_virtual_clause_token1,
  [259005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_COMMA,
    ACTIONS(12338), 1,
      anon_sym_GT2,
    STATE(6881), 1,
      aux_sym_template_parameter_list_repeat1,
  [259018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(12340), 1,
      anon_sym_RPAREN,
    STATE(6994), 1,
      sym_gnu_asm_clobber_list,
  [259031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    ACTIONS(12342), 1,
      anon_sym_constexpr,
    STATE(204), 1,
      sym_condition_clause,
  [259044] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6593), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12344), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [259055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(12346), 1,
      anon_sym_RPAREN,
    STATE(7651), 1,
      sym_gnu_asm_goto_list,
  [259068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12348), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2729), 1,
      sym_template_function,
  [259081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12160), 1,
      anon_sym_catch,
    STATE(582), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12048), 1,
      anon_sym_catch,
    STATE(1631), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(12350), 1,
      anon_sym_RPAREN,
    STATE(6695), 1,
      sym_gnu_asm_output_operand_list,
  [259116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12352), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [259125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12354), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [259138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12356), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [259151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12358), 1,
      anon_sym_SEMI,
    STATE(6974), 1,
      aux_sym_declaration_repeat1,
  [259164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12130), 1,
      anon_sym_COMMA,
    ACTIONS(12360), 1,
      anon_sym_LBRACE,
    STATE(6909), 1,
      aux_sym_field_initializer_list_repeat1,
  [259177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11650), 1,
      anon_sym_COMMA,
    ACTIONS(12362), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6935), 1,
      aux_sym_attribute_declaration_repeat1,
  [259190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12364), 1,
      anon_sym_SEMI,
    STATE(6732), 1,
      aux_sym_declaration_repeat1,
  [259203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12366), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [259216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12368), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [259229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12370), 1,
      anon_sym_GT2,
    STATE(6990), 1,
      aux_sym_template_argument_list_repeat1,
  [259242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(12372), 1,
      anon_sym_RPAREN,
    STATE(7009), 1,
      sym_gnu_asm_clobber_list,
  [259255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(12374), 1,
      anon_sym_RPAREN,
    STATE(7024), 1,
      sym_gnu_asm_input_operand_list,
  [259268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(12376), 1,
      anon_sym_RPAREN,
    STATE(7027), 1,
      sym_gnu_asm_clobber_list,
  [259281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(12378), 1,
      anon_sym_RPAREN,
    STATE(6999), 1,
      sym_gnu_asm_output_operand_list,
  [259294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11904), 1,
      anon_sym_COMMA,
    ACTIONS(12380), 1,
      anon_sym_RPAREN,
    STATE(6799), 1,
      aux_sym_parameter_list_repeat1,
  [259307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(12382), 1,
      anon_sym_RPAREN,
    STATE(8142), 1,
      sym_gnu_asm_goto_list,
  [259320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12384), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [259329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8494), 1,
      anon_sym_RPAREN,
    ACTIONS(12386), 1,
      anon_sym_COMMA,
    STATE(7049), 1,
      aux_sym_argument_list_repeat1,
  [259342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11687), 1,
      anon_sym_COLON,
    ACTIONS(12389), 1,
      anon_sym_RPAREN,
    STATE(7879), 1,
      sym_gnu_asm_goto_list,
  [259355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11908), 1,
      anon_sym_catch,
    STATE(393), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9451), 1,
      anon_sym_COMMA,
    ACTIONS(12391), 1,
      anon_sym_RPAREN,
    STATE(6766), 1,
      aux_sym_preproc_argument_list_repeat1,
  [259379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
    STATE(2729), 1,
      sym_template_function,
  [259392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(8375), 1,
      anon_sym_RBRACK,
    STATE(6801), 1,
      aux_sym_subscript_argument_list_repeat1,
  [259405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11428), 1,
      anon_sym_LBRACE,
    STATE(6740), 1,
      aux_sym_base_class_clause_repeat1,
  [259418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      anon_sym_COMMA,
    ACTIONS(12395), 1,
      anon_sym_RBRACK,
    STATE(6717), 1,
      aux_sym_subscript_argument_list_repeat1,
  [259431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11761), 1,
      anon_sym_catch,
    STATE(221), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [259442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      anon_sym_COLON,
    ACTIONS(12397), 1,
      anon_sym_RPAREN,
    STATE(7005), 1,
      sym_gnu_asm_clobber_list,
  [259455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11904), 1,
      anon_sym_COMMA,
    ACTIONS(12399), 1,
      anon_sym_RPAREN,
    STATE(6865), 1,
      aux_sym_parameter_list_repeat1,
  [259468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8377), 1,
      anon_sym_COMMA,
    ACTIONS(8379), 1,
      anon_sym_RBRACE,
    STATE(7014), 1,
      aux_sym_initializer_list_repeat1,
  [259481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12401), 1,
      anon_sym_COMMA,
    ACTIONS(12404), 1,
      anon_sym_GT2,
    STATE(7061), 1,
      aux_sym_template_parameter_list_repeat1,
  [259494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12406), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [259507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_COMMA,
    ACTIONS(12408), 1,
      anon_sym_GT2,
    STATE(7061), 1,
      aux_sym_template_parameter_list_repeat1,
  [259520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_COMMA,
    ACTIONS(11428), 1,
      anon_sym_LBRACE,
    STATE(6725), 1,
      aux_sym_base_class_clause_repeat1,
  [259533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12410), 1,
      anon_sym_default,
    ACTIONS(12412), 1,
      anon_sym_delete,
    ACTIONS(12414), 1,
      aux_sym_pure_virtual_clause_token1,
  [259546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    ACTIONS(12416), 1,
      anon_sym_constexpr,
    STATE(182), 1,
      sym_condition_clause,
  [259559] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    STATE(6519), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12418), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [259570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12420), 1,
      anon_sym_SEMI,
    STATE(6892), 1,
      aux_sym_declaration_repeat1,
  [259583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12422), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [259596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12424), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [259609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_COMMA,
    ACTIONS(12426), 1,
      anon_sym_GT2,
    STATE(6896), 1,
      aux_sym_template_argument_list_repeat1,
  [259622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11904), 1,
      anon_sym_COMMA,
    ACTIONS(12428), 1,
      anon_sym_RPAREN,
    STATE(6814), 1,
      aux_sym_parameter_list_repeat1,
  [259635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11695), 1,
      anon_sym_COLON,
    ACTIONS(12430), 1,
      anon_sym_RPAREN,
    STATE(7043), 1,
      sym_gnu_asm_output_operand_list,
  [259648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11646), 1,
      anon_sym_COLON,
    ACTIONS(12432), 1,
      anon_sym_RPAREN,
    STATE(7044), 1,
      sym_gnu_asm_input_operand_list,
  [259661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12434), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [259674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12436), 1,
      anon_sym_SEMI,
    STATE(6807), 1,
      aux_sym_declaration_repeat1,
  [259687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 1,
      anon_sym_COMMA,
    ACTIONS(12438), 1,
      anon_sym_SEMI,
    STATE(6804), 1,
      aux_sym_declaration_repeat1,
  [259700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12442), 1,
      anon_sym_RBRACE,
  [259710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      anon_sym_LBRACE,
    STATE(3707), 1,
      sym_requirement_seq,
  [259720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6923), 1,
      sym_compound_statement,
  [259730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6832), 1,
      sym_compound_statement,
  [259740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6268), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259748] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12444), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12446), 1,
      sym_preproc_arg,
  [259758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(7995), 1,
      sym_argument_list,
  [259768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6260), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      sym_identifier,
    STATE(6757), 1,
      sym_attribute,
  [259786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6256), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6474), 1,
      sym_compound_statement,
  [259804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6252), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2301), 1,
      sym_template_argument_list,
  [259838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(7162), 1,
      sym_condition_clause,
  [259848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(197), 1,
      sym_condition_clause,
  [259866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
  [259876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(188), 1,
      sym_condition_clause,
  [259886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_LPAREN2,
    ACTIONS(12454), 1,
      sym_raw_string_delimiter,
  [259896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12456), 1,
      anon_sym_LPAREN2,
    ACTIONS(12458), 1,
      sym_raw_string_delimiter,
  [259906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_LPAREN2,
    ACTIONS(12462), 1,
      sym_raw_string_delimiter,
  [259916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_LPAREN2,
    ACTIONS(12466), 1,
      sym_raw_string_delimiter,
  [259926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11689), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [259934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12468), 1,
      anon_sym_LPAREN2,
    ACTIONS(12470), 1,
      sym_raw_string_delimiter,
  [259944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_LPAREN2,
    ACTIONS(12474), 1,
      sym_raw_string_delimiter,
  [259954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12476), 1,
      anon_sym_LPAREN2,
    ACTIONS(12478), 1,
      sym_raw_string_delimiter,
  [259964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12480), 1,
      anon_sym_LPAREN2,
    ACTIONS(12482), 1,
      sym_raw_string_delimiter,
  [259974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12484), 1,
      anon_sym_LPAREN2,
    ACTIONS(12486), 1,
      sym_raw_string_delimiter,
  [259984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12488), 1,
      anon_sym_LPAREN2,
    ACTIONS(12490), 1,
      sym_raw_string_delimiter,
  [259994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12492), 1,
      anon_sym_LPAREN2,
    ACTIONS(12494), 1,
      sym_raw_string_delimiter,
  [260004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6300), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [260012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12496), 1,
      anon_sym_LPAREN2,
    ACTIONS(12498), 1,
      sym_raw_string_delimiter,
  [260022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      sym_identifier,
    STATE(6709), 1,
      sym_attribute,
  [260032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12500), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
  [260042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(8013), 1,
      sym_argument_list,
  [260052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    ACTIONS(12504), 1,
      sym_raw_string_delimiter,
  [260062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6272), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [260070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8197), 1,
      anon_sym_LT,
    STATE(4355), 1,
      sym_template_argument_list,
  [260080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12506), 1,
      anon_sym_LPAREN2,
    ACTIONS(12508), 1,
      sym_raw_string_delimiter,
  [260090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [260098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_LT,
    STATE(2588), 1,
      sym_template_argument_list,
  [260108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(7208), 1,
      sym_condition_clause,
  [260118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(214), 1,
      sym_condition_clause,
  [260128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12514), 1,
      anon_sym_LPAREN2,
    ACTIONS(12516), 1,
      sym_raw_string_delimiter,
  [260138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(2593), 1,
      sym_template_argument_list,
  [260148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12518), 1,
      sym_identifier,
    STATE(3571), 1,
      sym_template_type,
  [260158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12520), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6936), 1,
      sym_compound_statement,
  [260176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7920), 1,
      sym_parenthesized_expression,
  [260186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11781), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12524), 1,
      anon_sym_LPAREN2,
    ACTIONS(12526), 1,
      sym_raw_string_delimiter,
  [260204] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12528), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12530), 1,
      sym_preproc_arg,
  [260214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      sym_identifier,
    ACTIONS(12534), 1,
      anon_sym_RPAREN,
  [260224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    STATE(3822), 1,
      sym_field_declaration_list,
  [260234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(208), 1,
      sym_condition_clause,
  [260244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(7211), 1,
      sym_parameter_list,
  [260254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12536), 1,
      sym_identifier,
    ACTIONS(12538), 1,
      anon_sym_LPAREN2,
  [260264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12540), 1,
      anon_sym_RBRACE,
  [260274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_LBRACE,
    STATE(3257), 1,
      sym_initializer_list,
  [260284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
  [260294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    STATE(1869), 1,
      sym_compound_statement,
  [260304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12542), 1,
      sym_identifier,
    ACTIONS(12544), 1,
      anon_sym_LPAREN2,
  [260314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    STATE(3827), 1,
      sym_field_declaration_list,
  [260324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    STATE(3826), 1,
      sym_field_declaration_list,
  [260334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(3768), 1,
      sym_initializer_list,
  [260344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12546), 1,
      sym_identifier,
    STATE(1677), 1,
      sym_template_type,
  [260354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [260364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(3596), 1,
      sym_field_declaration_list,
  [260374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6391), 1,
      anon_sym_LT,
    STATE(2562), 1,
      sym_template_argument_list,
  [260384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    STATE(3814), 1,
      sym_field_declaration_list,
  [260394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6800), 1,
      sym_compound_statement,
  [260404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(3600), 1,
      sym_field_declaration_list,
  [260414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12548), 1,
      sym_identifier,
    STATE(4338), 1,
      sym_template_type,
  [260424] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12550), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12552), 1,
      sym_preproc_arg,
  [260434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(3602), 1,
      sym_field_declaration_list,
  [260444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(3622), 1,
      sym_field_declaration_list,
  [260454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11767), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12554), 1,
      anon_sym_LPAREN2,
    ACTIONS(12556), 1,
      sym_raw_string_delimiter,
  [260472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2277), 1,
      sym_field_declaration_list,
  [260482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    STATE(4680), 1,
      sym_field_declaration_list,
  [260492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(171), 1,
      sym_condition_clause,
  [260502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12558), 1,
      anon_sym_RBRACE,
  [260512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_compound_statement,
  [260522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(580), 1,
      sym_declaration_list,
  [260532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11659), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [260540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9189), 1,
      anon_sym_LBRACE,
    STATE(3210), 1,
      sym_requirement_seq,
  [260550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_compound_statement,
  [260560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    STATE(4694), 1,
      sym_field_declaration_list,
  [260570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    STATE(4696), 1,
      sym_field_declaration_list,
  [260580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(7585), 1,
      sym_argument_list,
  [260590] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12560), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12562), 1,
      sym_preproc_arg,
  [260600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11769), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [260608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7214), 1,
      sym_parenthesized_expression,
  [260618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10404), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [260628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6571), 1,
      sym_compound_statement,
  [260638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12564), 1,
      anon_sym_LT,
    STATE(2593), 1,
      sym_template_argument_list,
  [260648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11536), 1,
      anon_sym_LBRACE,
    STATE(5664), 1,
      sym_requirement_seq,
  [260658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8576), 1,
      anon_sym_LBRACE,
    STATE(4700), 1,
      sym_field_declaration_list,
  [260668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
  [260678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(636), 1,
      sym_declaration_list,
  [260688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [260696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [260706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12566), 1,
      sym_identifier,
    STATE(2589), 1,
      sym_template_type,
  [260716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2258), 1,
      sym_field_declaration_list,
  [260726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(750), 1,
      sym_compound_statement,
  [260736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2249), 1,
      sym_field_declaration_list,
  [260746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(7386), 1,
      sym_parameter_list,
  [260756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8371), 1,
      anon_sym_RBRACK,
    ACTIONS(12568), 1,
      anon_sym_COMMA,
  [260766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12570), 1,
      anon_sym_LT,
    STATE(2301), 1,
      sym_template_argument_list,
  [260776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    STATE(665), 1,
      sym_compound_statement,
  [260786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    STATE(2009), 1,
      sym_compound_statement,
  [260796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    STATE(2824), 1,
      sym_field_declaration_list,
  [260806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12086), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12572), 1,
      anon_sym_RBRACE,
  [260824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(2896), 1,
      sym_field_declaration_list,
  [260834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_compound_statement,
  [260844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_LBRACE,
    STATE(647), 1,
      sym_declaration_list,
  [260854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4845), 1,
      sym_field_declaration_list,
  [260864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    STATE(2788), 1,
      sym_field_declaration_list,
  [260874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    STATE(2790), 1,
      sym_field_declaration_list,
  [260884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [260892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4873), 1,
      sym_field_declaration_list,
  [260902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4876), 1,
      sym_field_declaration_list,
  [260912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(4910), 1,
      sym_field_declaration_list,
  [260922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10433), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [260932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(216), 1,
      sym_condition_clause,
  [260942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8624), 1,
      anon_sym_LT,
    STATE(2498), 1,
      sym_template_argument_list,
  [260952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11374), 1,
      anon_sym_LBRACE,
    STATE(5390), 1,
      sym_requirement_seq,
  [260962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      sym_compound_statement,
  [260972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6192), 1,
      anon_sym_LBRACE,
    STATE(2801), 1,
      sym_field_declaration_list,
  [260982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LBRACE,
    STATE(2276), 1,
      sym_field_declaration_list,
  [260992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym_compound_statement,
  [261002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12574), 1,
      anon_sym_SEMI,
  [261012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12576), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_template_argument_list,
  [261022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_compound_statement,
  [261032] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12578), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12580), 1,
      sym_preproc_arg,
  [261042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11867), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12582), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [261058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12584), 1,
      sym_identifier,
    STATE(2597), 1,
      sym_template_type,
  [261068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8530), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [261076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12586), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [261084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11804), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [261092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12588), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [261100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12044), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12590), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [261116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12128), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261124] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12592), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12594), 1,
      sym_preproc_arg,
  [261134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(693), 1,
      sym_declaration_list,
  [261144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(183), 1,
      sym_condition_clause,
  [261154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12404), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [261162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_LBRACE,
    STATE(2353), 1,
      sym_initializer_list,
  [261172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12596), 1,
      sym_identifier,
    STATE(2518), 1,
      sym_template_type,
  [261182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12598), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [261190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9197), 1,
      anon_sym_LBRACE,
    STATE(3346), 1,
      sym_requirement_seq,
  [261200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    STATE(1655), 1,
      sym_compound_statement,
  [261210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    STATE(4410), 1,
      sym_field_declaration_list,
  [261220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    STATE(2706), 1,
      sym_field_declaration_list,
  [261230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(195), 1,
      sym_condition_clause,
  [261240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym_compound_statement,
  [261250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12600), 1,
      anon_sym_RBRACE,
  [261260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(725), 1,
      sym_compound_statement,
  [261270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_declaration_list,
  [261280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6503), 1,
      sym_compound_statement,
  [261290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9207), 1,
      anon_sym_LBRACE,
    STATE(2432), 1,
      sym_requirement_seq,
  [261300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(343), 1,
      sym_compound_statement,
  [261310] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12602), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12604), 1,
      sym_preproc_arg,
  [261320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12606), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [261328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    STATE(317), 1,
      sym_declaration_list,
  [261338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2681), 1,
      sym_template_argument_list,
  [261348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10435), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [261358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(8116), 1,
      sym_argument_list,
  [261368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    STATE(2693), 1,
      sym_field_declaration_list,
  [261378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    STATE(2694), 1,
      sym_field_declaration_list,
  [261388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    STATE(4436), 1,
      sym_field_declaration_list,
  [261398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    STATE(4438), 1,
      sym_field_declaration_list,
  [261408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(8011), 1,
      sym_argument_list,
  [261418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(7140), 1,
      sym_parameter_list,
  [261428] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12608), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12610), 1,
      sym_preproc_arg,
  [261438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [261448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(7926), 1,
      sym_argument_list,
  [261458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6720), 1,
      sym_compound_statement,
  [261468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      sym_identifier,
    STATE(6735), 1,
      sym_attribute,
  [261478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(2681), 1,
      sym_template_argument_list,
  [261488] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12612), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12614), 1,
      sym_preproc_arg,
  [261498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12576), 1,
      anon_sym_LT,
    STATE(3380), 1,
      sym_template_argument_list,
  [261508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(296), 1,
      sym_compound_statement,
  [261518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    STATE(2035), 1,
      sym_compound_statement,
  [261528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11446), 1,
      anon_sym_LBRACE,
    STATE(1583), 1,
      sym_requirement_seq,
  [261538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6783), 1,
      sym_compound_statement,
  [261548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8528), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [261556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(7234), 1,
      sym_parameter_list,
  [261566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(429), 1,
      sym_compound_statement,
  [261576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8214), 1,
      anon_sym_LBRACE,
    STATE(4495), 1,
      sym_field_declaration_list,
  [261586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12616), 1,
      anon_sym_RBRACE,
  [261596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [261604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6146), 1,
      anon_sym_LBRACE,
    STATE(2711), 1,
      sym_field_declaration_list,
  [261614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8420), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [261622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(7729), 1,
      sym_argument_list,
  [261632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(228), 1,
      sym_compound_statement,
  [261642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12618), 1,
      anon_sym_SEMI,
  [261652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6868), 1,
      sym_compound_statement,
  [261662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      sym_identifier,
    STATE(6885), 1,
      sym_attribute,
  [261672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12620), 1,
      sym_identifier,
    STATE(2712), 1,
      sym_template_type,
  [261682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
  [261692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_compound_statement,
  [261702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
  [261712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8494), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12622), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [261728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7300), 1,
      sym_parenthesized_expression,
  [261738] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12624), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12626), 1,
      sym_preproc_arg,
  [261748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6972), 1,
      sym_compound_statement,
  [261758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(7305), 1,
      sym_parameter_list,
  [261768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6357), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
  [261778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(7575), 1,
      sym_argument_list,
  [261788] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12628), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12630), 1,
      sym_preproc_arg,
  [261798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6980), 1,
      sym_compound_statement,
  [261808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12632), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [261816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      sym_identifier,
    STATE(6870), 1,
      sym_attribute,
  [261826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3044), 1,
      sym_field_declaration_list,
  [261836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    STATE(305), 1,
      sym_declaration_list,
  [261846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(857), 1,
      sym_compound_statement,
  [261856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12570), 1,
      anon_sym_LT,
    STATE(2255), 1,
      sym_template_argument_list,
  [261866] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12634), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12636), 1,
      sym_preproc_arg,
  [261876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    STATE(4593), 1,
      sym_initializer_list,
  [261886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7388), 1,
      sym_parenthesized_expression,
  [261896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym_compound_statement,
  [261906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6764), 1,
      sym_compound_statement,
  [261916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3030), 1,
      sym_field_declaration_list,
  [261926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12638), 1,
      sym_identifier,
    STATE(1881), 1,
      sym_template_type,
  [261936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(7396), 1,
      sym_parameter_list,
  [261946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7421), 1,
      sym_parenthesized_expression,
  [261956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12640), 1,
      anon_sym_RBRACE,
  [261966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    STATE(2129), 1,
      sym_field_declaration_list,
  [261976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(853), 1,
      sym_compound_statement,
  [261986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_compound_statement,
  [261996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    STATE(1725), 1,
      sym_compound_statement,
  [262006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8413), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [262014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    STATE(563), 1,
      sym_declaration_list,
  [262024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      sym_identifier,
    STATE(1677), 1,
      sym_template_type,
  [262034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9181), 1,
      anon_sym_LBRACE,
    STATE(4138), 1,
      sym_requirement_seq,
  [262044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10004), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [262052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10233), 1,
      anon_sym_LBRACE,
    STATE(1929), 1,
      sym_compound_statement,
  [262062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6430), 1,
      sym_compound_statement,
  [262072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(7446), 1,
      sym_argument_list,
  [262082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
  [262092] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12644), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12646), 1,
      sym_preproc_arg,
  [262102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_LT,
    STATE(2301), 1,
      sym_template_argument_list,
  [262112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6996), 1,
      sym_compound_statement,
  [262122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(7414), 1,
      sym_condition_clause,
  [262132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3065), 1,
      sym_field_declaration_list,
  [262142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3067), 1,
      sym_field_declaration_list,
  [262152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      sym_identifier,
    STATE(6833), 1,
      sym_attribute,
  [262162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10431), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [262172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8488), 1,
      anon_sym_LT,
    STATE(1809), 1,
      sym_template_argument_list,
  [262182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    STATE(591), 1,
      sym_declaration_list,
  [262192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [262202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    STATE(2147), 1,
      sym_field_declaration_list,
  [262212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12570), 1,
      anon_sym_LT,
    STATE(1850), 1,
      sym_template_argument_list,
  [262222] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12650), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12652), 1,
      sym_preproc_arg,
  [262232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    STATE(2100), 1,
      sym_field_declaration_list,
  [262242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_compound_statement,
  [262252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9226), 1,
      anon_sym_LBRACE,
    STATE(3436), 1,
      sym_requirement_seq,
  [262262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7384), 1,
      sym_parenthesized_expression,
  [262272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12654), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [262280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12189), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [262288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7020), 1,
      sym_compound_statement,
  [262298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      sym_identifier,
    STATE(7344), 1,
      sym_attribute,
  [262308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(7370), 1,
      sym_parameter_list,
  [262318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7516), 1,
      sym_parenthesized_expression,
  [262328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_LT,
    STATE(3524), 1,
      sym_template_argument_list,
  [262338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10233), 1,
      anon_sym_LBRACE,
    STATE(1939), 1,
      sym_compound_statement,
  [262348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(277), 1,
      sym_compound_statement,
  [262358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    STATE(645), 1,
      sym_declaration_list,
  [262368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7284), 1,
      sym_parenthesized_expression,
  [262378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12656), 1,
      anon_sym_RBRACE,
  [262388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_compound_statement,
  [262398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(170), 1,
      sym_condition_clause,
  [262408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [262416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6662), 1,
      sym_compound_statement,
  [262426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(7578), 1,
      sym_argument_list,
  [262436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5251), 1,
      anon_sym_LBRACE,
    STATE(2134), 1,
      sym_field_declaration_list,
  [262446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12658), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
  [262456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      sym_identifier,
    STATE(2188), 1,
      sym_template_type,
  [262466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12134), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [262474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(3514), 1,
      sym_initializer_list,
  [262484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(745), 1,
      sym_declaration_list,
  [262494] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12662), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12664), 1,
      sym_preproc_arg,
  [262504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12666), 1,
      anon_sym_RBRACE,
  [262514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_LBRACE,
    STATE(730), 1,
      sym_declaration_list,
  [262524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6805), 1,
      sym_compound_statement,
  [262534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    STATE(410), 1,
      sym_compound_statement,
  [262544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12668), 1,
      anon_sym_SEMI,
  [262554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(175), 1,
      sym_condition_clause,
  [262564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(7314), 1,
      sym_condition_clause,
  [262574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      sym_identifier,
    STATE(6852), 1,
      sym_attribute,
  [262584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_template_argument_list,
  [262594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      sym_identifier,
    STATE(6838), 1,
      sym_attribute,
  [262604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7460), 1,
      sym_parenthesized_expression,
  [262614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    STATE(521), 1,
      sym_compound_statement,
  [262624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(7238), 1,
      sym_condition_clause,
  [262634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7084), 1,
      anon_sym_LT,
    STATE(1574), 1,
      sym_template_argument_list,
  [262644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(172), 1,
      sym_condition_clause,
  [262654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12670), 1,
      sym_identifier,
    STATE(1677), 1,
      sym_template_type,
  [262664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11164), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12672), 1,
      anon_sym_SEMI,
  [262674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(250), 1,
      sym_compound_statement,
  [262684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6734), 1,
      sym_compound_statement,
  [262694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(414), 1,
      sym_compound_statement,
  [262704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8252), 1,
      anon_sym_RPAREN,
    ACTIONS(8254), 1,
      anon_sym_SEMI,
  [262714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_compound_statement,
  [262724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12674), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [262732] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12676), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12678), 1,
      sym_preproc_arg,
  [262742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
    STATE(3685), 1,
      sym_initializer_list,
  [262752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12680), 1,
      sym_identifier,
    STATE(2103), 1,
      sym_template_type,
  [262762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12682), 1,
      sym_identifier,
    STATE(2461), 1,
      sym_template_type,
  [262772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    STATE(2505), 1,
      sym_field_declaration_list,
  [262782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7285), 1,
      sym_parenthesized_expression,
  [262792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10233), 1,
      anon_sym_LBRACE,
    STATE(1879), 1,
      sym_compound_statement,
  [262802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(2895), 1,
      sym_field_declaration_list,
  [262812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_LPAREN2,
    STATE(7278), 1,
      sym_parameter_list,
  [262822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      sym_field_declaration_list,
  [262832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12576), 1,
      anon_sym_LT,
    STATE(2514), 1,
      sym_template_argument_list,
  [262842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      anon_sym_LPAREN2,
    STATE(7782), 1,
      sym_argument_list,
  [262852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(6545), 1,
      sym_compound_statement,
  [262862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    STATE(2538), 1,
      sym_field_declaration_list,
  [262872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_LPAREN2,
    STATE(165), 1,
      sym_condition_clause,
  [262882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(2870), 1,
      sym_field_declaration_list,
  [262892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_LBRACE,
    STATE(2868), 1,
      sym_field_declaration_list,
  [262902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    ACTIONS(12684), 1,
      anon_sym_RBRACE,
  [262912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6012), 1,
      anon_sym_LBRACE,
    STATE(2543), 1,
      sym_field_declaration_list,
  [262922] = 3,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12686), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12688), 1,
      sym_preproc_arg,
  [262932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_compound_statement,
  [262942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10388), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [262952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    STATE(7057), 1,
      sym_compound_statement,
  [262962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10406), 1,
      anon_sym_RBRACE,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [262972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
    STATE(842), 1,
      sym_compound_statement,
  [262982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LBRACE,
    STATE(630), 1,
      sym_compound_statement,
  [262992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_LPAREN2,
    STATE(7699), 1,
      sym_parenthesized_expression,
  [263002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12690), 1,
      aux_sym_preproc_if_token2,
  [263009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12692), 1,
      anon_sym_COLON,
  [263016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12694), 1,
      sym_identifier,
  [263023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12696), 1,
      anon_sym_RPAREN,
  [263030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12698), 1,
      anon_sym_SEMI,
  [263037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12700), 1,
      anon_sym_SEMI,
  [263044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12684), 1,
      anon_sym_RBRACE,
  [263051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12702), 1,
      anon_sym_RPAREN,
  [263058] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12704), 1,
      aux_sym_preproc_include_token2,
  [263065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8490), 1,
      anon_sym_COLON,
  [263072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12706), 1,
      sym_auto,
  [263079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12708), 1,
      anon_sym_SEMI,
  [263086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12710), 1,
      anon_sym_SEMI,
  [263093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12712), 1,
      anon_sym_SEMI,
  [263100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12714), 1,
      anon_sym_SEMI,
  [263107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12716), 1,
      anon_sym_STAR,
  [263114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12718), 1,
      anon_sym_LPAREN2,
  [263121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11274), 1,
      anon_sym_SEMI,
  [263128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12720), 1,
      anon_sym_RPAREN,
  [263135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12722), 1,
      anon_sym_RPAREN,
  [263142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12724), 1,
      anon_sym_RPAREN,
  [263149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10388), 1,
      anon_sym_RBRACE,
  [263156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12726), 1,
      sym_identifier,
  [263163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12728), 1,
      anon_sym_COLON,
  [263170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8304), 1,
      anon_sym_RBRACE,
  [263177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8586), 1,
      anon_sym_RPAREN,
  [263184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12730), 1,
      anon_sym_RPAREN,
  [263191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12732), 1,
      anon_sym_RPAREN,
  [263198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12734), 1,
      sym_identifier,
  [263205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12736), 1,
      anon_sym_RPAREN,
  [263212] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12738), 1,
      aux_sym_preproc_include_token2,
  [263219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11052), 1,
      anon_sym_COLON,
  [263226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12740), 1,
      anon_sym_RPAREN,
  [263233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12742), 1,
      sym_identifier,
  [263240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10829), 1,
      anon_sym_SEMI,
  [263247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7379), 1,
      sym_identifier,
  [263254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8504), 1,
      anon_sym_COLON,
  [263261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12744), 1,
      anon_sym_SEMI,
  [263268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8506), 1,
      anon_sym_SEMI,
  [263275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12746), 1,
      anon_sym_SEMI,
  [263282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8422), 1,
      anon_sym_RPAREN,
  [263289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8510), 1,
      anon_sym_SEMI,
  [263296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12748), 1,
      anon_sym_SEMI,
  [263303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12750), 1,
      anon_sym_SEMI,
  [263310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12752), 1,
      sym_identifier,
  [263317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10406), 1,
      anon_sym_RBRACE,
  [263324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12754), 1,
      sym_identifier,
  [263331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8512), 1,
      anon_sym_SEMI,
  [263338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_RPAREN,
  [263345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12758), 1,
      anon_sym_RPAREN,
  [263352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12760), 1,
      anon_sym_RPAREN,
  [263359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12762), 1,
      anon_sym_SEMI,
  [263366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_RPAREN,
  [263373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12766), 1,
      sym_identifier,
  [263380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_RPAREN,
  [263387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12770), 1,
      sym_raw_string_delimiter,
  [263394] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12772), 1,
      aux_sym_preproc_include_token2,
  [263401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8526), 1,
      anon_sym_SEMI,
  [263408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12774), 1,
      anon_sym_RPAREN,
  [263415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12776), 1,
      anon_sym_RPAREN,
  [263422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 1,
      sym_identifier,
  [263429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12780), 1,
      anon_sym_SEMI,
  [263436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12782), 1,
      anon_sym_SEMI,
  [263443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12784), 1,
      anon_sym_COLON,
  [263450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12786), 1,
      anon_sym_SEMI,
  [263457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12788), 1,
      anon_sym_DQUOTE,
  [263464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12790), 1,
      anon_sym_RPAREN,
  [263471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12792), 1,
      anon_sym_RPAREN,
  [263478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_DQUOTE,
  [263485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_SEMI,
  [263492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12798), 1,
      anon_sym_SEMI,
  [263499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12800), 1,
      anon_sym_RPAREN,
  [263506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 1,
      anon_sym_SEMI,
  [263513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12802), 1,
      anon_sym_STAR,
  [263520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6680), 1,
      anon_sym_SEMI,
  [263527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8252), 1,
      anon_sym_RPAREN,
  [263534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12804), 1,
      aux_sym_preproc_if_token2,
  [263541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12806), 1,
      anon_sym_RPAREN,
  [263548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12808), 1,
      sym_identifier,
  [263555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8732), 1,
      anon_sym_RPAREN,
  [263562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      anon_sym_DQUOTE,
  [263569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12812), 1,
      sym_identifier,
  [263576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12814), 1,
      sym_identifier,
  [263583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12816), 1,
      anon_sym_SEMI,
  [263590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12818), 1,
      sym_identifier,
  [263597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12820), 1,
      anon_sym_SEMI,
  [263604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8203), 1,
      anon_sym_RBRACE,
  [263611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12822), 1,
      anon_sym_SEMI,
  [263618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12824), 1,
      anon_sym_DQUOTE,
  [263625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12826), 1,
      anon_sym_SEMI,
  [263632] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12828), 1,
      aux_sym_preproc_include_token2,
  [263639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12830), 1,
      sym_identifier,
  [263646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12832), 1,
      anon_sym_RPAREN,
  [263653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12834), 1,
      sym_identifier,
  [263660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      sym_identifier,
  [263667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12838), 1,
      anon_sym_RPAREN,
  [263674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12840), 1,
      anon_sym_RPAREN,
  [263681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12666), 1,
      anon_sym_RBRACE,
  [263688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12842), 1,
      anon_sym_STAR,
  [263695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12844), 1,
      anon_sym_SEMI,
  [263702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12846), 1,
      anon_sym_SEMI,
  [263709] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12848), 1,
      aux_sym_preproc_include_token2,
  [263716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12850), 1,
      anon_sym_RPAREN,
  [263723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12852), 1,
      anon_sym_DOT_DOT_DOT,
  [263730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12855), 1,
      anon_sym_SEMI,
  [263737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12857), 1,
      anon_sym_RPAREN,
  [263744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12859), 1,
      anon_sym_RPAREN,
  [263751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12656), 1,
      anon_sym_RBRACE,
  [263758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12861), 1,
      anon_sym_RPAREN,
  [263765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12863), 1,
      sym_identifier,
  [263772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10808), 1,
      anon_sym_SEMI,
  [263779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_SEMI,
  [263786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8426), 1,
      anon_sym_SEMI,
  [263793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12865), 1,
      aux_sym_preproc_if_token2,
  [263800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12867), 1,
      anon_sym_RPAREN,
  [263807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12869), 1,
      aux_sym_preproc_if_token2,
  [263814] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12871), 1,
      aux_sym_preproc_include_token2,
  [263821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12873), 1,
      anon_sym_STAR,
  [263828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12875), 1,
      anon_sym_DQUOTE,
  [263835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12877), 1,
      anon_sym_LPAREN2,
  [263842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12879), 1,
      sym_identifier,
  [263849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8560), 1,
      anon_sym_COLON,
  [263856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12881), 1,
      sym_auto,
  [263863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12883), 1,
      anon_sym_RPAREN,
  [263870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12885), 1,
      anon_sym_SEMI,
  [263877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_SEMI,
  [263884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12887), 1,
      sym_identifier,
  [263891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_RPAREN,
  [263898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_RPAREN,
  [263905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      sym_identifier,
  [263912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12895), 1,
      anon_sym_SEMI,
  [263919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12897), 1,
      anon_sym_SEMI,
  [263926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12899), 1,
      anon_sym_LBRACE,
  [263933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11498), 1,
      anon_sym_SEMI,
  [263940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4570), 1,
      anon_sym_DOT_DOT_DOT,
  [263947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12901), 1,
      anon_sym_RPAREN,
  [263954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12903), 1,
      anon_sym_RPAREN,
  [263961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_DOT_DOT_DOT,
  [263968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12905), 1,
      anon_sym_RPAREN,
  [263975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12907), 1,
      anon_sym_RPAREN,
  [263982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12909), 1,
      anon_sym_RPAREN,
  [263989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12911), 1,
      anon_sym_RPAREN,
  [263996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12913), 1,
      anon_sym_COMMA,
  [264003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12915), 1,
      anon_sym_RPAREN,
  [264010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      sym_identifier,
  [264017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_DOT_DOT_DOT,
  [264024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10804), 1,
      anon_sym_SEMI,
  [264031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_not_eq,
  [264038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12919), 1,
      sym_identifier,
  [264045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12921), 1,
      sym_identifier,
  [264052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4485), 1,
      anon_sym_DOT_DOT_DOT,
  [264059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_DOT_DOT_DOT,
  [264066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_RBRACE,
  [264073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_and,
  [264080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8351), 1,
      anon_sym_RBRACE,
  [264087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12923), 1,
      anon_sym_RPAREN,
  [264094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12925), 1,
      sym_raw_string_delimiter,
  [264101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8602), 1,
      anon_sym_RPAREN,
  [264108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12927), 1,
      anon_sym_RPAREN,
  [264115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 1,
      anon_sym_DOT_DOT_DOT,
  [264122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_DOT_DOT_DOT,
  [264129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12929), 1,
      anon_sym_RPAREN,
  [264136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_DOT_DOT_DOT,
  [264143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8606), 1,
      anon_sym_RPAREN,
  [264150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12931), 1,
      sym_identifier,
  [264157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      anon_sym_DOT_DOT_DOT,
  [264164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8379), 1,
      anon_sym_RBRACE,
  [264171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10431), 1,
      anon_sym_RBRACE,
  [264178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12933), 1,
      anon_sym_RPAREN,
  [264185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12935), 1,
      sym_identifier,
  [264192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12937), 1,
      aux_sym_preproc_if_token2,
  [264199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12939), 1,
      anon_sym_RPAREN,
  [264206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12941), 1,
      anon_sym_SEMI,
  [264213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12943), 1,
      anon_sym_RPAREN,
  [264220] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12945), 1,
      aux_sym_preproc_include_token2,
  [264227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12947), 1,
      anon_sym_STAR,
  [264234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_DOT_DOT_DOT,
  [264241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12949), 1,
      anon_sym_STAR,
  [264248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_DOT_DOT_DOT,
  [264255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12951), 1,
      anon_sym_RPAREN,
  [264262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11462), 1,
      anon_sym_SEMI,
  [264269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12953), 1,
      anon_sym_RPAREN,
  [264276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12955), 1,
      anon_sym_SEMI,
  [264283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_SEMI,
  [264290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4439), 1,
      anon_sym_DOT_DOT_DOT,
  [264297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12957), 1,
      anon_sym_SEMI,
  [264304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12959), 1,
      sym_auto,
  [264311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      sym_identifier,
  [264318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12961), 1,
      anon_sym_SEMI,
  [264325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8532), 1,
      anon_sym_SEMI,
  [264332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12963), 1,
      anon_sym_LPAREN2,
  [264339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8484), 1,
      anon_sym_COLON,
  [264346] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12965), 1,
      aux_sym_preproc_include_token2,
  [264353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8522), 1,
      anon_sym_SEMI,
  [264360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12967), 1,
      anon_sym_SEMI,
  [264367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12969), 1,
      sym_identifier,
  [264374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_DASH_GT_STAR,
  [264381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12971), 1,
      sym_identifier,
  [264388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12973), 1,
      anon_sym_RPAREN,
  [264395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12640), 1,
      anon_sym_RBRACE,
  [264402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12975), 1,
      anon_sym_RPAREN,
  [264409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12977), 1,
      anon_sym_RPAREN,
  [264416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12979), 1,
      anon_sym_RPAREN,
  [264423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12981), 1,
      anon_sym_RPAREN,
  [264430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_DOT_STAR,
  [264437] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12983), 1,
      aux_sym_preproc_include_token2,
  [264444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12985), 1,
      anon_sym_SEMI,
  [264451] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12074), 1,
      aux_sym_preproc_include_token2,
  [264458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12987), 1,
      anon_sym_RPAREN,
  [264465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12989), 1,
      anon_sym_SEMI,
  [264472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12991), 1,
      anon_sym_SEMI,
  [264479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12993), 1,
      anon_sym_SEMI,
  [264486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12995), 1,
      sym_identifier,
  [264493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12997), 1,
      anon_sym_COLON,
  [264500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12999), 1,
      anon_sym_DOT_DOT_DOT,
  [264507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13001), 1,
      anon_sym_SEMI,
  [264514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13003), 1,
      anon_sym_DQUOTE,
  [264521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11442), 1,
      anon_sym_SEMI,
  [264528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13005), 1,
      anon_sym_RPAREN,
  [264535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13007), 1,
      sym_raw_string_delimiter,
  [264542] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13009), 1,
      aux_sym_preproc_include_token2,
  [264549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13011), 1,
      sym_identifier,
  [264556] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9767), 1,
      aux_sym_preproc_include_token2,
  [264563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_bitand,
  [264570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_xor,
  [264577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13013), 1,
      anon_sym_RPAREN,
  [264584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13015), 1,
      anon_sym_SEMI,
  [264591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13017), 1,
      aux_sym_preproc_if_token2,
  [264598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13019), 1,
      anon_sym_STAR,
  [264605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      aux_sym_preproc_if_token2,
  [264612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13023), 1,
      anon_sym_RPAREN,
  [264619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13025), 1,
      anon_sym_SEMI,
  [264626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_bitor,
  [264633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13027), 1,
      anon_sym_SEMI,
  [264640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13029), 1,
      anon_sym_RPAREN,
  [264647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      anon_sym_SEMI,
  [264654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13033), 1,
      anon_sym_SEMI,
  [264661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13035), 1,
      anon_sym_SEMI,
  [264668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13037), 1,
      anon_sym_SEMI,
  [264675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13039), 1,
      aux_sym_preproc_if_token2,
  [264682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_DQUOTE,
  [264689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13043), 1,
      anon_sym_SEMI,
  [264696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13045), 1,
      anon_sym_LPAREN2,
  [264703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13047), 1,
      anon_sym_SEMI,
  [264710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13049), 1,
      anon_sym_SEMI,
  [264717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13051), 1,
      aux_sym_preproc_if_token2,
  [264724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13053), 1,
      anon_sym_SEMI,
  [264731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13055), 1,
      sym_identifier,
  [264738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13057), 1,
      sym_identifier,
  [264745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13059), 1,
      anon_sym_SEMI,
  [264752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13061), 1,
      anon_sym_DQUOTE,
  [264759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13063), 1,
      aux_sym_preproc_if_token2,
  [264766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13065), 1,
      aux_sym_preproc_if_token2,
  [264773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13067), 1,
      anon_sym_SEMI,
  [264780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13069), 1,
      anon_sym_RPAREN,
  [264787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13071), 1,
      anon_sym_RPAREN,
  [264794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_SEMI,
  [264801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13075), 1,
      anon_sym_RPAREN,
  [264808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6706), 1,
      anon_sym_SEMI,
  [264815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13077), 1,
      anon_sym_RPAREN,
  [264822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_AMP,
  [264829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13079), 1,
      anon_sym_SEMI,
  [264836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_or,
  [264843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13081), 1,
      sym_identifier,
  [264850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_PIPE_EQ,
  [264857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_CARET_EQ,
  [264864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      aux_sym_preproc_if_token2,
  [264871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_AMP_EQ,
  [264878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13085), 1,
      anon_sym_DQUOTE,
  [264885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13087), 1,
      anon_sym_RPAREN,
  [264892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13089), 1,
      sym_raw_string_delimiter,
  [264899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13091), 1,
      anon_sym_SEMI,
  [264906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13093), 1,
      sym_identifier,
  [264913] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13095), 1,
      aux_sym_preproc_include_token2,
  [264920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13097), 1,
      anon_sym_SEMI,
  [264927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13099), 1,
      anon_sym_RPAREN,
  [264934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13101), 1,
      anon_sym_SEMI,
  [264941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13103), 1,
      anon_sym_RPAREN,
  [264948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13105), 1,
      anon_sym_RPAREN,
  [264955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13107), 1,
      anon_sym_RPAREN,
  [264962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13109), 1,
      anon_sym_RPAREN,
  [264969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_GT_GT_EQ,
  [264976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13111), 1,
      anon_sym_SEMI,
  [264983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_LT_LT_EQ,
  [264990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13113), 1,
      anon_sym_SEMI,
  [264997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13115), 1,
      anon_sym_SEMI,
  [265004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_DASH_EQ,
  [265011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13117), 1,
      anon_sym_LPAREN2,
  [265018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12616), 1,
      anon_sym_RBRACE,
  [265025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_PLUS_EQ,
  [265032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8405), 1,
      anon_sym_RBRACE,
  [265039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_PERCENT_EQ,
  [265046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_SLASH_EQ,
  [265053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_STAR_EQ,
  [265060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13119), 1,
      aux_sym_preproc_if_token2,
  [265067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13121), 1,
      aux_sym_preproc_if_token2,
  [265074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13123), 1,
      anon_sym_RPAREN,
  [265081] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13125), 1,
      aux_sym_preproc_include_token2,
  [265088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
  [265095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10812), 1,
      anon_sym_SEMI,
  [265102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8554), 1,
      anon_sym_COLON,
  [265109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13127), 1,
      sym_auto,
  [265116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_EQ,
  [265123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13129), 1,
      sym_identifier,
  [265130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13131), 1,
      anon_sym_SEMI,
  [265137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13133), 1,
      anon_sym_SEMI,
  [265144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13135), 1,
      anon_sym_SEMI,
  [265151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13137), 1,
      sym_identifier,
  [265158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13139), 1,
      anon_sym_RPAREN,
  [265165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13141), 1,
      sym_raw_string_delimiter,
  [265172] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13143), 1,
      aux_sym_preproc_include_token2,
  [265179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13145), 1,
      aux_sym_preproc_if_token2,
  [265186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13147), 1,
      anon_sym_RPAREN,
  [265193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13149), 1,
      aux_sym_preproc_if_token2,
  [265200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_GT_GT,
  [265207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_LT_LT,
  [265214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13151), 1,
      anon_sym_LPAREN2,
  [265221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11272), 1,
      anon_sym_SEMI,
  [265228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 1,
      anon_sym_RBRACE,
  [265235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      anon_sym_RPAREN,
  [265242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13155), 1,
      anon_sym_RPAREN,
  [265249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13157), 1,
      anon_sym_RPAREN,
  [265256] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9737), 1,
      aux_sym_preproc_include_token2,
  [265263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13159), 1,
      sym_raw_string_delimiter,
  [265270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_RPAREN,
  [265277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_RPAREN,
  [265284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_LT,
  [265291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13165), 1,
      anon_sym_RPAREN,
  [265298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13167), 1,
      anon_sym_LPAREN2,
  [265305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      sym_identifier,
  [265312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
  [265319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      anon_sym_RPAREN,
  [265326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_LT_EQ,
  [265333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13173), 1,
      sym_raw_string_delimiter,
  [265340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13175), 1,
      anon_sym_RPAREN,
  [265347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 1,
      anon_sym_RPAREN,
  [265354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13179), 1,
      anon_sym_COLON,
  [265361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13181), 1,
      anon_sym_LPAREN2,
  [265368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13183), 1,
      anon_sym_RPAREN,
  [265375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13185), 1,
      sym_raw_string_delimiter,
  [265382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10435), 1,
      anon_sym_RBRACE,
  [265389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_RPAREN,
  [265396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      sym_raw_string_delimiter,
  [265403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6682), 1,
      anon_sym_SEMI,
  [265410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_RPAREN,
  [265417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 1,
      sym_raw_string_delimiter,
  [265424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_RPAREN,
  [265431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13197), 1,
      sym_raw_string_delimiter,
  [265438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13199), 1,
      anon_sym_RPAREN,
  [265445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13201), 1,
      sym_raw_string_delimiter,
  [265452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13203), 1,
      anon_sym_RPAREN,
  [265459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13205), 1,
      sym_raw_string_delimiter,
  [265466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13207), 1,
      anon_sym_RPAREN,
  [265473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13209), 1,
      sym_raw_string_delimiter,
  [265480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13211), 1,
      anon_sym_RPAREN,
  [265487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13213), 1,
      sym_raw_string_delimiter,
  [265494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13215), 1,
      anon_sym_RPAREN,
  [265501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8628), 1,
      anon_sym_RPAREN,
  [265508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_GT,
  [265515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13217), 1,
      anon_sym_LPAREN2,
  [265522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13219), 1,
      aux_sym_preproc_if_token2,
  [265529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13221), 1,
      anon_sym_LPAREN2,
  [265536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13223), 1,
      anon_sym_LPAREN2,
  [265543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13225), 1,
      anon_sym_LPAREN2,
  [265550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_STAR,
  [265557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13229), 1,
      anon_sym_RPAREN,
  [265564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13231), 1,
      anon_sym_LPAREN2,
  [265571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 1,
      anon_sym_SEMI,
  [265578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13233), 1,
      anon_sym_LPAREN2,
  [265585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_BANG_EQ,
  [265592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13235), 1,
      aux_sym_preproc_if_token2,
  [265599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13237), 1,
      anon_sym_SEMI,
  [265606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_RPAREN,
  [265613] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13241), 1,
      aux_sym_preproc_include_token2,
  [265620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13243), 1,
      anon_sym_STAR,
  [265627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13245), 1,
      anon_sym_SEMI,
  [265634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4779), 1,
      anon_sym_SEMI,
  [265641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13247), 1,
      anon_sym_SEMI,
  [265648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13249), 1,
      sym_identifier,
  [265655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10825), 1,
      anon_sym_SEMI,
  [265662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      sym_auto,
  [265669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8492), 1,
      anon_sym_COLON,
  [265676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7096), 1,
      sym_identifier,
  [265683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8424), 1,
      anon_sym_RPAREN,
  [265690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13253), 1,
      anon_sym_while,
  [265697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13255), 1,
      anon_sym_LPAREN2,
  [265704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13257), 1,
      anon_sym_LPAREN2,
  [265711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_GT_EQ,
  [265718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8584), 1,
      anon_sym_RPAREN,
  [265725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13259), 1,
      anon_sym_SEMI,
  [265732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8572), 1,
      anon_sym_SEMI,
  [265739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8582), 1,
      anon_sym_SEMI,
  [265746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13261), 1,
      anon_sym_EQ,
  [265753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      sym_raw_string_content,
  [265760] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13265), 1,
      aux_sym_preproc_include_token2,
  [265767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12600), 1,
      anon_sym_RBRACE,
  [265774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_EQ_EQ,
  [265781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13267), 1,
      anon_sym_STAR,
  [265788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13269), 1,
      anon_sym_RPAREN,
  [265795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13271), 1,
      anon_sym_COLON,
  [265802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13273), 1,
      sym_identifier,
  [265809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8562), 1,
      anon_sym_SEMI,
  [265816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13275), 1,
      anon_sym_SEMI,
  [265823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13277), 1,
      anon_sym_LPAREN2,
  [265830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13279), 1,
      sym_identifier,
  [265837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13281), 1,
      anon_sym_SEMI,
  [265844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13283), 1,
      anon_sym_RPAREN,
  [265851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13285), 1,
      sym_identifier,
  [265858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13287), 1,
      anon_sym_RPAREN,
  [265865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13289), 1,
      anon_sym_COMMA,
  [265872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13291), 1,
      anon_sym_RPAREN,
  [265879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13293), 1,
      anon_sym_RPAREN,
  [265886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13295), 1,
      anon_sym_RPAREN,
  [265893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13297), 1,
      anon_sym_RPAREN,
  [265900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8556), 1,
      anon_sym_COLON,
  [265907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 1,
      anon_sym_RPAREN,
  [265914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13299), 1,
      anon_sym_SEMI,
  [265921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13301), 1,
      anon_sym_SEMI,
  [265928] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13303), 1,
      aux_sym_preproc_include_token2,
  [265935] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(12253), 1,
      aux_sym_preproc_include_token2,
  [265942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13305), 1,
      sym_raw_string_content,
  [265949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13307), 1,
      anon_sym_LPAREN2,
  [265956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13309), 1,
      anon_sym_DQUOTE,
  [265963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13311), 1,
      aux_sym_preproc_if_token2,
  [265970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6696), 1,
      anon_sym_SEMI,
  [265977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13313), 1,
      anon_sym_SEMI,
  [265984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13315), 1,
      anon_sym_RPAREN,
  [265991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13317), 1,
      anon_sym_SEMI,
  [265998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13319), 1,
      anon_sym_SEMI,
  [266005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13321), 1,
      anon_sym_EQ,
  [266012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10794), 1,
      anon_sym_SEMI,
  [266019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13323), 1,
      anon_sym_SEMI,
  [266026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13325), 1,
      anon_sym_COLON,
  [266033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13327), 1,
      anon_sym_SEMI,
  [266040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13329), 1,
      anon_sym_RPAREN,
  [266047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13331), 1,
      sym_raw_string_delimiter,
  [266054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_CARET,
  [266061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13333), 1,
      anon_sym_SEMI,
  [266068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13335), 1,
      anon_sym_DQUOTE,
  [266075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11771), 1,
      anon_sym_COLON_COLON,
  [266082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13337), 1,
      anon_sym_LBRACE,
  [266089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13339), 1,
      anon_sym_RPAREN,
  [266096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
  [266103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_RPAREN,
  [266110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_PIPE,
  [266117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_AMP_AMP,
  [266124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_PIPE_PIPE,
  [266131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_PERCENT,
  [266138] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9785), 1,
      aux_sym_preproc_include_token2,
  [266145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_RPAREN,
  [266152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13347), 1,
      anon_sym_RPAREN,
  [266159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13349), 1,
      sym_identifier,
  [266166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13351), 1,
      aux_sym_preproc_if_token2,
  [266173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13353), 1,
      aux_sym_preproc_if_token2,
  [266180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13355), 1,
      anon_sym_RBRACE,
  [266187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13357), 1,
      sym_identifier,
  [266194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      aux_sym_preproc_if_token2,
  [266201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10899), 1,
      anon_sym_COMMA,
  [266208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      anon_sym_RBRACE,
  [266215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      anon_sym_RPAREN,
  [266222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13365), 1,
      anon_sym_SEMI,
  [266229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13367), 1,
      anon_sym_SEMI,
  [266236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13369), 1,
      anon_sym_RPAREN,
  [266243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 1,
      anon_sym_SEMI,
  [266250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13373), 1,
      anon_sym_SEMI,
  [266257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13375), 1,
      anon_sym_SEMI,
  [266264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13377), 1,
      anon_sym_SEMI,
  [266271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13379), 1,
      aux_sym_preproc_if_token2,
  [266278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13381), 1,
      anon_sym_DQUOTE,
  [266285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13383), 1,
      anon_sym_SEMI,
  [266292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13385), 1,
      anon_sym_SEMI,
  [266299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13387), 1,
      anon_sym_SEMI,
  [266306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      anon_sym_SEMI,
  [266313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13391), 1,
      aux_sym_preproc_if_token2,
  [266320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13393), 1,
      aux_sym_preproc_if_token2,
  [266327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13395), 1,
      sym_identifier,
  [266334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13397), 1,
      aux_sym_preproc_if_token2,
  [266341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13399), 1,
      aux_sym_preproc_if_token2,
  [266348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      anon_sym_SEMI,
  [266355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13403), 1,
      aux_sym_preproc_if_token2,
  [266362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      anon_sym_RPAREN,
  [266369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13407), 1,
      anon_sym_SEMI,
  [266376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6694), 1,
      anon_sym_SEMI,
  [266383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13409), 1,
      aux_sym_preproc_if_token2,
  [266390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 1,
      sym_identifier,
  [266397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13411), 1,
      aux_sym_preproc_if_token2,
  [266404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_DASH,
  [266411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13413), 1,
      anon_sym_SEMI,
  [266418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13415), 1,
      anon_sym_RPAREN,
  [266425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_DQUOTE,
  [266432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13419), 1,
      anon_sym_SEMI,
  [266439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13421), 1,
      anon_sym_SEMI,
  [266446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13423), 1,
      anon_sym_SEMI,
  [266453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13425), 1,
      anon_sym_SLASH,
  [266460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_STAR,
  [266467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13427), 1,
      anon_sym_SEMI,
  [266474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13429), 1,
      anon_sym_LPAREN2,
  [266481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      anon_sym_SEMI,
  [266488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13433), 1,
      anon_sym_SEMI,
  [266495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8482), 1,
      anon_sym_SEMI,
  [266502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13435), 1,
      anon_sym_RPAREN,
  [266509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13437), 1,
      anon_sym_SEMI,
  [266516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13439), 1,
      anon_sym_while,
  [266523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13441), 1,
      anon_sym_SEMI,
  [266530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_PLUS,
  [266537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10404), 1,
      anon_sym_RBRACE,
  [266544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_COMMA,
  [266551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13443), 1,
      anon_sym_SEMI,
  [266558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13445), 1,
      anon_sym_SEMI,
  [266565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13447), 1,
      anon_sym_RPAREN,
  [266572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12442), 1,
      anon_sym_RBRACE,
  [266579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10433), 1,
      anon_sym_RBRACE,
  [266586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13449), 1,
      aux_sym_preproc_if_token2,
  [266593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13451), 1,
      sym_raw_string_delimiter,
  [266600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13453), 1,
      anon_sym_RPAREN,
  [266607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13455), 1,
      anon_sym_RPAREN,
  [266614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13457), 1,
      anon_sym_RPAREN,
  [266621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13459), 1,
      sym_auto,
  [266628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      anon_sym_RPAREN,
  [266635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8520), 1,
      anon_sym_COLON,
  [266642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      aux_sym_preproc_if_token2,
  [266649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11691), 1,
      anon_sym_RPAREN,
  [266656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13465), 1,
      aux_sym_preproc_if_token2,
  [266663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13467), 1,
      anon_sym_RPAREN,
  [266670] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13469), 1,
      aux_sym_preproc_include_token2,
  [266677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12572), 1,
      anon_sym_RBRACE,
  [266684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8466), 1,
      anon_sym_RPAREN,
  [266691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13471), 1,
      aux_sym_preproc_if_token2,
  [266698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8476), 1,
      anon_sym_COLON,
  [266705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13473), 1,
      sym_auto,
  [266712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13475), 1,
      anon_sym_SEMI,
  [266719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      anon_sym_SEMI,
  [266726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13479), 1,
      anon_sym_SEMI,
  [266733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12150), 1,
      anon_sym_SEMI,
  [266740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8616), 1,
      anon_sym_RPAREN,
  [266747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8480), 1,
      anon_sym_RPAREN,
  [266754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13481), 1,
      anon_sym_RBRACK,
  [266761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11382), 1,
      anon_sym_SEMI,
  [266768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13483), 1,
      sym_identifier,
  [266775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13485), 1,
      sym_identifier,
  [266782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13487), 1,
      anon_sym_LPAREN2,
  [266789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13489), 1,
      anon_sym_LPAREN2,
  [266796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13491), 1,
      anon_sym_LPAREN2,
  [266803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13493), 1,
      anon_sym_LPAREN2,
  [266810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      anon_sym_RPAREN,
  [266817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      anon_sym_LPAREN2,
  [266824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      anon_sym_RPAREN,
  [266831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      anon_sym_RPAREN,
  [266838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      anon_sym_RPAREN,
  [266845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13505), 1,
      anon_sym_RPAREN,
  [266852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      anon_sym_RPAREN,
  [266859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_while,
  [266866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      anon_sym_DQUOTE,
  [266873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      anon_sym_LPAREN2,
  [266880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13515), 1,
      anon_sym_LPAREN2,
  [266887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      anon_sym_SEMI,
  [266894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      anon_sym_DQUOTE,
  [266901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      anon_sym_EQ,
  [266908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      sym_raw_string_content,
  [266915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      anon_sym_STAR,
  [266922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13527), 1,
      anon_sym_COLON,
  [266929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13529), 1,
      anon_sym_RPAREN,
  [266936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      anon_sym_COMMA,
  [266943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10437), 1,
      anon_sym_RBRACE,
  [266950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      sym_identifier,
  [266957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8359), 1,
      anon_sym_RBRACE,
  [266964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13535), 1,
      anon_sym_RPAREN,
  [266971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_COLON,
  [266978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8672), 1,
      anon_sym_RPAREN,
  [266985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      anon_sym_RPAREN,
  [266992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      anon_sym_LPAREN2,
  [266999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      anon_sym_LPAREN2,
  [267006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      anon_sym_LPAREN2,
  [267013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      anon_sym_RPAREN,
  [267020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13549), 1,
      anon_sym_LPAREN2,
  [267027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_RPAREN,
  [267034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8201), 1,
      anon_sym_SEMI,
  [267041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      anon_sym_while,
  [267048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13555), 1,
      anon_sym_RPAREN,
  [267055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      anon_sym_LPAREN2,
  [267062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13559), 1,
      anon_sym_SEMI,
  [267069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13561), 1,
      anon_sym_SEMI,
  [267076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13563), 1,
      anon_sym_EQ,
  [267083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13565), 1,
      sym_raw_string_content,
  [267090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      anon_sym_COMMA,
  [267097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      anon_sym_STAR,
  [267104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 1,
      anon_sym_DQUOTE,
  [267111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      aux_sym_preproc_if_token2,
  [267118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      anon_sym_RPAREN,
  [267125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13577), 1,
      anon_sym_COLON,
  [267132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13579), 1,
      anon_sym_RPAREN,
  [267139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13581), 1,
      anon_sym_LPAREN2,
  [267146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13583), 1,
      anon_sym_LPAREN2,
  [267153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      anon_sym_LPAREN2,
  [267160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13587), 1,
      anon_sym_RPAREN,
  [267167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13589), 1,
      anon_sym_LPAREN2,
  [267174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13591), 1,
      anon_sym_STAR,
  [267181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 1,
      sym_identifier,
  [267188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      anon_sym_while,
  [267195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13597), 1,
      anon_sym_LPAREN2,
  [267202] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13599), 1,
      aux_sym_preproc_include_token2,
  [267209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13601), 1,
      anon_sym_RPAREN,
  [267216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      anon_sym_EQ,
  [267223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 1,
      sym_raw_string_content,
  [267230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13607), 1,
      anon_sym_COMMA,
  [267237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      aux_sym_preproc_if_token2,
  [267244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13611), 1,
      anon_sym_STAR,
  [267251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8468), 1,
      anon_sym_RPAREN,
  [267258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13613), 1,
      anon_sym_RPAREN,
  [267265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13615), 1,
      anon_sym_COLON,
  [267272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13617), 1,
      aux_sym_preproc_if_token2,
  [267279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13619), 1,
      anon_sym_LPAREN2,
  [267286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13621), 1,
      anon_sym_LPAREN2,
  [267293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13623), 1,
      anon_sym_LPAREN2,
  [267300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13625), 1,
      anon_sym_RBRACE,
  [267307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13627), 1,
      anon_sym_LPAREN2,
  [267314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13629), 1,
      aux_sym_preproc_if_token2,
  [267321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13631), 1,
      sym_identifier,
  [267328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 1,
      anon_sym_LPAREN2,
  [267335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13635), 1,
      anon_sym_RBRACE,
  [267342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13637), 1,
      aux_sym_preproc_if_token2,
  [267349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      anon_sym_EQ,
  [267356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      sym_raw_string_content,
  [267363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      anon_sym_COMMA,
  [267370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13645), 1,
      aux_sym_preproc_if_token2,
  [267377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13647), 1,
      aux_sym_preproc_if_token2,
  [267384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13649), 1,
      anon_sym_RPAREN,
  [267391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13651), 1,
      anon_sym_RPAREN,
  [267398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13653), 1,
      anon_sym_COLON,
  [267405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13655), 1,
      anon_sym_RPAREN,
  [267412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13657), 1,
      anon_sym_LPAREN2,
  [267419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10835), 1,
      anon_sym_SEMI,
  [267426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13659), 1,
      anon_sym_LPAREN2,
  [267433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13661), 1,
      anon_sym_RPAREN,
  [267440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7100), 1,
      sym_identifier,
  [267447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13663), 1,
      anon_sym_RBRACE,
  [267454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13665), 1,
      anon_sym_SEMI,
  [267461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13667), 1,
      anon_sym_EQ,
  [267468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13669), 1,
      sym_raw_string_content,
  [267475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8496), 1,
      anon_sym_SEMI,
  [267482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13671), 1,
      aux_sym_preproc_if_token2,
  [267489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13673), 1,
      aux_sym_preproc_if_token2,
  [267496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13675), 1,
      anon_sym_RPAREN,
  [267503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13677), 1,
      sym_auto,
  [267510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13679), 1,
      anon_sym_LPAREN2,
  [267517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13681), 1,
      anon_sym_LPAREN2,
  [267524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8538), 1,
      anon_sym_COLON,
  [267531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13683), 1,
      sym_raw_string_content,
  [267538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12558), 1,
      anon_sym_RBRACE,
  [267545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8502), 1,
      anon_sym_SEMI,
  [267552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13685), 1,
      anon_sym_RPAREN,
  [267559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13687), 1,
      anon_sym_SEMI,
  [267566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13689), 1,
      anon_sym_LPAREN2,
  [267573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13691), 1,
      anon_sym_LPAREN2,
  [267580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13693), 1,
      anon_sym_SEMI,
  [267587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13695), 1,
      sym_raw_string_content,
  [267594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13697), 1,
      anon_sym_SEMI,
  [267601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13699), 1,
      anon_sym_RPAREN,
  [267608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13701), 1,
      anon_sym_LPAREN2,
  [267615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13703), 1,
      anon_sym_LPAREN2,
  [267622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13705), 1,
      sym_raw_string_content,
  [267629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13707), 1,
      anon_sym_RPAREN,
  [267636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_raw_string_content,
  [267643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_RPAREN,
  [267650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      sym_raw_string_content,
  [267657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13715), 1,
      anon_sym_RPAREN,
  [267664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13717), 1,
      sym_raw_string_content,
  [267671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13719), 1,
      anon_sym_RPAREN,
  [267678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13721), 1,
      sym_raw_string_content,
  [267685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13723), 1,
      anon_sym_RPAREN,
  [267692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13725), 1,
      sym_raw_string_content,
  [267699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13727), 1,
      anon_sym_RPAREN,
  [267706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13729), 1,
      sym_raw_string_content,
  [267713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13731), 1,
      anon_sym_RPAREN,
  [267720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13733), 1,
      sym_raw_string_content,
  [267727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13735), 1,
      anon_sym_RPAREN,
  [267734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13737), 1,
      sym_identifier,
  [267741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13739), 1,
      sym_identifier,
  [267748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13741), 1,
      anon_sym_LPAREN2,
  [267755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13743), 1,
      anon_sym_LPAREN2,
  [267762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13745), 1,
      sym_identifier,
  [267769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13747), 1,
      anon_sym_SEMI,
  [267776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13749), 1,
      sym_identifier,
  [267783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13751), 1,
      anon_sym_SEMI,
  [267790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13753), 1,
      anon_sym_SEMI,
  [267797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13755), 1,
      anon_sym_DQUOTE,
  [267804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13757), 1,
      anon_sym_SEMI,
  [267811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13759), 1,
      anon_sym_RPAREN,
  [267818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13761), 1,
      anon_sym_RPAREN,
  [267825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13763), 1,
      anon_sym_RPAREN,
  [267832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13765), 1,
      anon_sym_RPAREN,
  [267839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13767), 1,
      anon_sym_RPAREN,
  [267846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13769), 1,
      anon_sym_LPAREN2,
  [267853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6929), 1,
      anon_sym_RPAREN,
  [267860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13771), 1,
      anon_sym_DQUOTE,
  [267867] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13773), 1,
      aux_sym_preproc_include_token2,
  [267874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13775), 1,
      sym_identifier,
  [267881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13777), 1,
      sym_raw_string_content,
  [267888] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(9805), 1,
      aux_sym_preproc_include_token2,
  [267895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13779), 1,
      anon_sym_RPAREN,
  [267902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13781), 1,
      anon_sym_RPAREN,
  [267909] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13783), 1,
      aux_sym_preproc_include_token2,
  [267916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10416), 1,
      anon_sym_RBRACE,
  [267923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13785), 1,
      anon_sym_RPAREN,
  [267930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13787), 1,
      anon_sym_RPAREN,
  [267937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13789), 1,
      anon_sym_RPAREN,
  [267944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11492), 1,
      anon_sym_SEMI,
  [267951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6766), 1,
      anon_sym_RPAREN,
  [267958] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11697), 1,
      aux_sym_preproc_include_token2,
  [267965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8508), 1,
      anon_sym_RPAREN,
  [267972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13791), 1,
      anon_sym_RPAREN,
  [267979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13793), 1,
      sym_auto,
  [267986] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(13795), 1,
      aux_sym_preproc_include_token2,
  [267993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8668), 1,
      anon_sym_RPAREN,
  [268000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13797), 1,
      anon_sym_RPAREN,
  [268007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13799), 1,
      anon_sym_RBRACK,
  [268014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13801), 1,
      sym_raw_string_content,
  [268021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13803), 1,
      anon_sym_SEMI,
  [268028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13805), 1,
      anon_sym_SEMI,
  [268035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13807), 1,
      anon_sym_RPAREN,
  [268042] = 2,
    ACTIONS(9403), 1,
      sym_comment,
    ACTIONS(11669), 1,
      aux_sym_preproc_include_token2,
  [268049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13809), 1,
      anon_sym_COLON,
  [268056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13811), 1,
      anon_sym_RPAREN,
  [268063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12540), 1,
      anon_sym_RBRACE,
  [268070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_COLON_COLON,
  [268077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13813), 1,
      anon_sym_RPAREN,
  [268084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13815), 1,
      anon_sym_SEMI,
  [268091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13817), 1,
      anon_sym_RPAREN,
  [268098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13819), 1,
      anon_sym_RBRACE,
  [268105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8524), 1,
      anon_sym_COLON,
  [268112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13821), 1,
      anon_sym_LPAREN2,
  [268119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13823), 1,
      aux_sym_preproc_if_token2,
  [268126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13825), 1,
      aux_sym_preproc_if_token2,
  [268133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13827), 1,
      aux_sym_preproc_if_token2,
  [268140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13829), 1,
      aux_sym_preproc_if_token2,
  [268147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13831), 1,
      anon_sym_STAR,
  [268154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13833), 1,
      aux_sym_preproc_if_token2,
  [268161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13835), 1,
      ts_builtin_sym_end,
  [268168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13837), 1,
      aux_sym_preproc_if_token2,
  [268175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13839), 1,
      anon_sym_SEMI,
  [268182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13841), 1,
      anon_sym_DQUOTE,
  [268189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13843), 1,
      sym_identifier,
  [268196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13845), 1,
      anon_sym_LPAREN2,
  [268203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13847), 1,
      anon_sym_SEMI,
  [268210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13849), 1,
      anon_sym_RPAREN,
  [268217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13851), 1,
      anon_sym_RPAREN,
  [268224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13853), 1,
      anon_sym_RPAREN,
  [268231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13855), 1,
      aux_sym_preproc_if_token2,
  [268238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13857), 1,
      anon_sym_LPAREN2,
  [268245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13859), 1,
      aux_sym_preproc_if_token2,
  [268252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13861), 1,
      aux_sym_preproc_if_token2,
  [268259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13863), 1,
      anon_sym_DQUOTE,
  [268266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13865), 1,
      anon_sym_COLON,
  [268273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13867), 1,
      sym_identifier,
  [268280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13869), 1,
      anon_sym_LPAREN2,
  [268287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13871), 1,
      anon_sym_LPAREN2,
  [268294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13873), 1,
      anon_sym_LPAREN2,
  [268301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13875), 1,
      anon_sym_LPAREN2,
  [268308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13877), 1,
      sym_identifier,
  [268315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8540), 1,
      anon_sym_COLON,
  [268322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13879), 1,
      sym_identifier,
  [268329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13881), 1,
      anon_sym_SEMI,
  [268336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13883), 1,
      anon_sym_LPAREN2,
  [268343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13885), 1,
      anon_sym_LPAREN2,
  [268350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13887), 1,
      sym_identifier,
  [268357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13889), 1,
      anon_sym_DQUOTE,
  [268364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13891), 1,
      anon_sym_SEMI,
  [268371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13893), 1,
      anon_sym_LPAREN2,
  [268378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13895), 1,
      anon_sym_DQUOTE,
  [268385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13897), 1,
      sym_identifier,
  [268392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13899), 1,
      sym_raw_string_content,
  [268399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13901), 1,
      anon_sym_COLON,
  [268406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13903), 1,
      anon_sym_RPAREN,
  [268413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13905), 1,
      anon_sym_RPAREN,
  [268420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13907), 1,
      sym_identifier,
  [268427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13909), 1,
      anon_sym_LPAREN2,
  [268434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13911), 1,
      anon_sym_LPAREN2,
  [268441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13913), 1,
      sym_identifier,
  [268448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13915), 1,
      anon_sym_DQUOTE,
  [268455] = 2,
    ACTIONS(5192), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9403), 1,
      sym_comment,
  [268462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13917), 1,
      sym_identifier,
  [268469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13919), 1,
      sym_raw_string_content,
  [268476] = 2,
    ACTIONS(5198), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9403), 1,
      sym_comment,
  [268483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13921), 1,
      anon_sym_DQUOTE,
  [268490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13923), 1,
      anon_sym_LPAREN2,
  [268497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13925), 1,
      anon_sym_LPAREN2,
  [268504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13927), 1,
      sym_identifier,
  [268511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13929), 1,
      anon_sym_DQUOTE,
  [268518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13931), 1,
      anon_sym_DQUOTE,
  [268525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13933), 1,
      sym_identifier,
  [268532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13935), 1,
      sym_raw_string_content,
  [268539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13937), 1,
      anon_sym_LPAREN2,
  [268546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8514), 1,
      anon_sym_COLON,
  [268553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13939), 1,
      anon_sym_LPAREN2,
  [268560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13941), 1,
      sym_identifier,
  [268567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13943), 1,
      anon_sym_DQUOTE,
  [268574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13945), 1,
      anon_sym_DQUOTE,
  [268581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      sym_identifier,
  [268588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13949), 1,
      sym_raw_string_content,
  [268595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13951), 1,
      anon_sym_LPAREN2,
  [268602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13953), 1,
      anon_sym_LPAREN2,
  [268609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13955), 1,
      sym_identifier,
  [268616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13957), 1,
      anon_sym_DQUOTE,
  [268623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13959), 1,
      sym_identifier,
  [268630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13961), 1,
      sym_raw_string_content,
  [268637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13963), 1,
      anon_sym_DQUOTE,
  [268644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13965), 1,
      sym_identifier,
  [268651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13967), 1,
      sym_raw_string_content,
  [268658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13969), 1,
      sym_identifier,
  [268665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13971), 1,
      sym_raw_string_content,
  [268672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13973), 1,
      anon_sym_DQUOTE,
  [268679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13975), 1,
      sym_raw_string_content,
  [268686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13977), 1,
      anon_sym_DQUOTE,
  [268693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13979), 1,
      sym_raw_string_content,
  [268700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13981), 1,
      anon_sym_DQUOTE,
  [268707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13983), 1,
      sym_raw_string_content,
  [268714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13985), 1,
      anon_sym_SEMI,
  [268721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13987), 1,
      sym_raw_string_content,
  [268728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13989), 1,
      anon_sym_SEMI,
  [268735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13991), 1,
      sym_raw_string_content,
  [268742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13993), 1,
      anon_sym_LBRACE,
  [268749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13995), 1,
      sym_raw_string_content,
  [268756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13997), 1,
      sym_identifier,
  [268763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13999), 1,
      sym_raw_string_content,
  [268770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14001), 1,
      sym_identifier,
  [268777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14003), 1,
      sym_raw_string_content,
  [268784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14005), 1,
      anon_sym_LPAREN2,
  [268791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14007), 1,
      anon_sym_LPAREN2,
  [268798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14009), 1,
      anon_sym_RPAREN,
  [268805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14011), 1,
      anon_sym_LPAREN2,
  [268812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14013), 1,
      anon_sym_LPAREN2,
  [268819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14015), 1,
      sym_auto,
  [268826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14017), 1,
      anon_sym_LPAREN2,
  [268833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14019), 1,
      anon_sym_LPAREN2,
  [268840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14021), 1,
      anon_sym_LPAREN2,
  [268847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14023), 1,
      anon_sym_LPAREN2,
  [268854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14025), 1,
      anon_sym_LPAREN2,
  [268861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14027), 1,
      anon_sym_LPAREN2,
  [268868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14029), 1,
      anon_sym_LPAREN2,
  [268875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14031), 1,
      anon_sym_LPAREN2,
  [268882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14033), 1,
      anon_sym_STAR,
  [268889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14035), 1,
      anon_sym_LPAREN2,
  [268896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14037), 1,
      anon_sym_LPAREN2,
  [268903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14039), 1,
      anon_sym_LPAREN2,
  [268910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14041), 1,
      anon_sym_LPAREN2,
  [268917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14043), 1,
      anon_sym_LPAREN2,
  [268924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14045), 1,
      anon_sym_LPAREN2,
  [268931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14047), 1,
      anon_sym_LPAREN2,
  [268938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14049), 1,
      anon_sym_LPAREN2,
  [268945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14051), 1,
      anon_sym_LPAREN2,
  [268952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14053), 1,
      anon_sym_LPAREN2,
  [268959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14055), 1,
      anon_sym_LPAREN2,
  [268966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14057), 1,
      sym_identifier,
  [268973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14059), 1,
      sym_identifier,
  [268980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14061), 1,
      sym_identifier,
  [268987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14063), 1,
      sym_identifier,
  [268994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14065), 1,
      anon_sym_DQUOTE,
  [269001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14067), 1,
      anon_sym_LPAREN2,
  [269008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14069), 1,
      anon_sym_LPAREN2,
  [269015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14071), 1,
      anon_sym_LPAREN2,
  [269022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14073), 1,
      anon_sym_LPAREN2,
  [269029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14075), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2237)] = 0,
  [SMALL_STATE(2238)] = 75,
  [SMALL_STATE(2239)] = 150,
  [SMALL_STATE(2240)] = 225,
  [SMALL_STATE(2241)] = 300,
  [SMALL_STATE(2242)] = 375,
  [SMALL_STATE(2243)] = 446,
  [SMALL_STATE(2244)] = 525,
  [SMALL_STATE(2245)] = 602,
  [SMALL_STATE(2246)] = 679,
  [SMALL_STATE(2247)] = 758,
  [SMALL_STATE(2248)] = 835,
  [SMALL_STATE(2249)] = 908,
  [SMALL_STATE(2250)] = 983,
  [SMALL_STATE(2251)] = 1054,
  [SMALL_STATE(2252)] = 1125,
  [SMALL_STATE(2253)] = 1200,
  [SMALL_STATE(2254)] = 1287,
  [SMALL_STATE(2255)] = 1362,
  [SMALL_STATE(2256)] = 1435,
  [SMALL_STATE(2257)] = 1510,
  [SMALL_STATE(2258)] = 1585,
  [SMALL_STATE(2259)] = 1660,
  [SMALL_STATE(2260)] = 1735,
  [SMALL_STATE(2261)] = 1806,
  [SMALL_STATE(2262)] = 1877,
  [SMALL_STATE(2263)] = 1952,
  [SMALL_STATE(2264)] = 2027,
  [SMALL_STATE(2265)] = 2098,
  [SMALL_STATE(2266)] = 2173,
  [SMALL_STATE(2267)] = 2244,
  [SMALL_STATE(2268)] = 2319,
  [SMALL_STATE(2269)] = 2394,
  [SMALL_STATE(2270)] = 2473,
  [SMALL_STATE(2271)] = 2548,
  [SMALL_STATE(2272)] = 2623,
  [SMALL_STATE(2273)] = 2698,
  [SMALL_STATE(2274)] = 2773,
  [SMALL_STATE(2275)] = 2848,
  [SMALL_STATE(2276)] = 2931,
  [SMALL_STATE(2277)] = 3006,
  [SMALL_STATE(2278)] = 3081,
  [SMALL_STATE(2279)] = 3156,
  [SMALL_STATE(2280)] = 3231,
  [SMALL_STATE(2281)] = 3302,
  [SMALL_STATE(2282)] = 3377,
  [SMALL_STATE(2283)] = 3460,
  [SMALL_STATE(2284)] = 3535,
  [SMALL_STATE(2285)] = 3610,
  [SMALL_STATE(2286)] = 3694,
  [SMALL_STATE(2287)] = 3764,
  [SMALL_STATE(2288)] = 3834,
  [SMALL_STATE(2289)] = 3910,
  [SMALL_STATE(2290)] = 3992,
  [SMALL_STATE(2291)] = 4062,
  [SMALL_STATE(2292)] = 4132,
  [SMALL_STATE(2293)] = 4206,
  [SMALL_STATE(2294)] = 4290,
  [SMALL_STATE(2295)] = 4360,
  [SMALL_STATE(2296)] = 4444,
  [SMALL_STATE(2297)] = 4514,
  [SMALL_STATE(2298)] = 4584,
  [SMALL_STATE(2299)] = 4678,
  [SMALL_STATE(2300)] = 4748,
  [SMALL_STATE(2301)] = 4822,
  [SMALL_STATE(2302)] = 4892,
  [SMALL_STATE(2303)] = 4986,
  [SMALL_STATE(2304)] = 5056,
  [SMALL_STATE(2305)] = 5126,
  [SMALL_STATE(2306)] = 5198,
  [SMALL_STATE(2307)] = 5268,
  [SMALL_STATE(2308)] = 5342,
  [SMALL_STATE(2309)] = 5412,
  [SMALL_STATE(2310)] = 5482,
  [SMALL_STATE(2311)] = 5560,
  [SMALL_STATE(2312)] = 5630,
  [SMALL_STATE(2313)] = 5700,
  [SMALL_STATE(2314)] = 5770,
  [SMALL_STATE(2315)] = 5854,
  [SMALL_STATE(2316)] = 5924,
  [SMALL_STATE(2317)] = 6002,
  [SMALL_STATE(2318)] = 6072,
  [SMALL_STATE(2319)] = 6142,
  [SMALL_STATE(2320)] = 6226,
  [SMALL_STATE(2321)] = 6298,
  [SMALL_STATE(2322)] = 6384,
  [SMALL_STATE(2323)] = 6466,
  [SMALL_STATE(2324)] = 6536,
  [SMALL_STATE(2325)] = 6606,
  [SMALL_STATE(2326)] = 6676,
  [SMALL_STATE(2327)] = 6746,
  [SMALL_STATE(2328)] = 6816,
  [SMALL_STATE(2329)] = 6886,
  [SMALL_STATE(2330)] = 6956,
  [SMALL_STATE(2331)] = 7032,
  [SMALL_STATE(2332)] = 7102,
  [SMALL_STATE(2333)] = 7172,
  [SMALL_STATE(2334)] = 7241,
  [SMALL_STATE(2335)] = 7310,
  [SMALL_STATE(2336)] = 7379,
  [SMALL_STATE(2337)] = 7456,
  [SMALL_STATE(2338)] = 7525,
  [SMALL_STATE(2339)] = 7594,
  [SMALL_STATE(2340)] = 7663,
  [SMALL_STATE(2341)] = 7748,
  [SMALL_STATE(2342)] = 7817,
  [SMALL_STATE(2343)] = 7886,
  [SMALL_STATE(2344)] = 7955,
  [SMALL_STATE(2345)] = 8024,
  [SMALL_STATE(2346)] = 8093,
  [SMALL_STATE(2347)] = 8162,
  [SMALL_STATE(2348)] = 8231,
  [SMALL_STATE(2349)] = 8300,
  [SMALL_STATE(2350)] = 8369,
  [SMALL_STATE(2351)] = 8438,
  [SMALL_STATE(2352)] = 8507,
  [SMALL_STATE(2353)] = 8576,
  [SMALL_STATE(2354)] = 8645,
  [SMALL_STATE(2355)] = 8714,
  [SMALL_STATE(2356)] = 8783,
  [SMALL_STATE(2357)] = 8852,
  [SMALL_STATE(2358)] = 8921,
  [SMALL_STATE(2359)] = 8990,
  [SMALL_STATE(2360)] = 9059,
  [SMALL_STATE(2361)] = 9128,
  [SMALL_STATE(2362)] = 9213,
  [SMALL_STATE(2363)] = 9282,
  [SMALL_STATE(2364)] = 9351,
  [SMALL_STATE(2365)] = 9420,
  [SMALL_STATE(2366)] = 9489,
  [SMALL_STATE(2367)] = 9558,
  [SMALL_STATE(2368)] = 9627,
  [SMALL_STATE(2369)] = 9696,
  [SMALL_STATE(2370)] = 9765,
  [SMALL_STATE(2371)] = 9834,
  [SMALL_STATE(2372)] = 9903,
  [SMALL_STATE(2373)] = 9972,
  [SMALL_STATE(2374)] = 10041,
  [SMALL_STATE(2375)] = 10110,
  [SMALL_STATE(2376)] = 10179,
  [SMALL_STATE(2377)] = 10248,
  [SMALL_STATE(2378)] = 10317,
  [SMALL_STATE(2379)] = 10386,
  [SMALL_STATE(2380)] = 10459,
  [SMALL_STATE(2381)] = 10528,
  [SMALL_STATE(2382)] = 10597,
  [SMALL_STATE(2383)] = 10666,
  [SMALL_STATE(2384)] = 10735,
  [SMALL_STATE(2385)] = 10804,
  [SMALL_STATE(2386)] = 10873,
  [SMALL_STATE(2387)] = 10942,
  [SMALL_STATE(2388)] = 11011,
  [SMALL_STATE(2389)] = 11080,
  [SMALL_STATE(2390)] = 11157,
  [SMALL_STATE(2391)] = 11226,
  [SMALL_STATE(2392)] = 11295,
  [SMALL_STATE(2393)] = 11364,
  [SMALL_STATE(2394)] = 11433,
  [SMALL_STATE(2395)] = 11502,
  [SMALL_STATE(2396)] = 11571,
  [SMALL_STATE(2397)] = 11640,
  [SMALL_STATE(2398)] = 11709,
  [SMALL_STATE(2399)] = 11778,
  [SMALL_STATE(2400)] = 11847,
  [SMALL_STATE(2401)] = 11916,
  [SMALL_STATE(2402)] = 11985,
  [SMALL_STATE(2403)] = 12054,
  [SMALL_STATE(2404)] = 12127,
  [SMALL_STATE(2405)] = 12196,
  [SMALL_STATE(2406)] = 12265,
  [SMALL_STATE(2407)] = 12334,
  [SMALL_STATE(2408)] = 12403,
  [SMALL_STATE(2409)] = 12472,
  [SMALL_STATE(2410)] = 12541,
  [SMALL_STATE(2411)] = 12610,
  [SMALL_STATE(2412)] = 12679,
  [SMALL_STATE(2413)] = 12748,
  [SMALL_STATE(2414)] = 12817,
  [SMALL_STATE(2415)] = 12886,
  [SMALL_STATE(2416)] = 12955,
  [SMALL_STATE(2417)] = 13024,
  [SMALL_STATE(2418)] = 13093,
  [SMALL_STATE(2419)] = 13162,
  [SMALL_STATE(2420)] = 13231,
  [SMALL_STATE(2421)] = 13300,
  [SMALL_STATE(2422)] = 13369,
  [SMALL_STATE(2423)] = 13438,
  [SMALL_STATE(2424)] = 13507,
  [SMALL_STATE(2425)] = 13576,
  [SMALL_STATE(2426)] = 13645,
  [SMALL_STATE(2427)] = 13714,
  [SMALL_STATE(2428)] = 13783,
  [SMALL_STATE(2429)] = 13852,
  [SMALL_STATE(2430)] = 13921,
  [SMALL_STATE(2431)] = 13996,
  [SMALL_STATE(2432)] = 14065,
  [SMALL_STATE(2433)] = 14134,
  [SMALL_STATE(2434)] = 14203,
  [SMALL_STATE(2435)] = 14272,
  [SMALL_STATE(2436)] = 14341,
  [SMALL_STATE(2437)] = 14410,
  [SMALL_STATE(2438)] = 14479,
  [SMALL_STATE(2439)] = 14548,
  [SMALL_STATE(2440)] = 14617,
  [SMALL_STATE(2441)] = 14686,
  [SMALL_STATE(2442)] = 14755,
  [SMALL_STATE(2443)] = 14824,
  [SMALL_STATE(2444)] = 14893,
  [SMALL_STATE(2445)] = 14962,
  [SMALL_STATE(2446)] = 15031,
  [SMALL_STATE(2447)] = 15100,
  [SMALL_STATE(2448)] = 15169,
  [SMALL_STATE(2449)] = 15248,
  [SMALL_STATE(2450)] = 15317,
  [SMALL_STATE(2451)] = 15386,
  [SMALL_STATE(2452)] = 15463,
  [SMALL_STATE(2453)] = 15532,
  [SMALL_STATE(2454)] = 15607,
  [SMALL_STATE(2455)] = 15686,
  [SMALL_STATE(2456)] = 15767,
  [SMALL_STATE(2457)] = 15836,
  [SMALL_STATE(2458)] = 15905,
  [SMALL_STATE(2459)] = 15986,
  [SMALL_STATE(2460)] = 16055,
  [SMALL_STATE(2461)] = 16125,
  [SMALL_STATE(2462)] = 16193,
  [SMALL_STATE(2463)] = 16273,
  [SMALL_STATE(2464)] = 16349,
  [SMALL_STATE(2465)] = 16423,
  [SMALL_STATE(2466)] = 16509,
  [SMALL_STATE(2467)] = 16581,
  [SMALL_STATE(2468)] = 16653,
  [SMALL_STATE(2469)] = 16739,
  [SMALL_STATE(2470)] = 16807,
  [SMALL_STATE(2471)] = 16883,
  [SMALL_STATE(2472)] = 16955,
  [SMALL_STATE(2473)] = 17023,
  [SMALL_STATE(2474)] = 17109,
  [SMALL_STATE(2475)] = 17181,
  [SMALL_STATE(2476)] = 17249,
  [SMALL_STATE(2477)] = 17317,
  [SMALL_STATE(2478)] = 17385,
  [SMALL_STATE(2479)] = 17459,
  [SMALL_STATE(2480)] = 17529,
  [SMALL_STATE(2481)] = 17601,
  [SMALL_STATE(2482)] = 17669,
  [SMALL_STATE(2483)] = 17737,
  [SMALL_STATE(2484)] = 17809,
  [SMALL_STATE(2485)] = 17883,
  [SMALL_STATE(2486)] = 17959,
  [SMALL_STATE(2487)] = 18031,
  [SMALL_STATE(2488)] = 18099,
  [SMALL_STATE(2489)] = 18167,
  [SMALL_STATE(2490)] = 18245,
  [SMALL_STATE(2491)] = 18313,
  [SMALL_STATE(2492)] = 18387,
  [SMALL_STATE(2493)] = 18455,
  [SMALL_STATE(2494)] = 18529,
  [SMALL_STATE(2495)] = 18605,
  [SMALL_STATE(2496)] = 18681,
  [SMALL_STATE(2497)] = 18751,
  [SMALL_STATE(2498)] = 18827,
  [SMALL_STATE(2499)] = 18895,
  [SMALL_STATE(2500)] = 18962,
  [SMALL_STATE(2501)] = 19029,
  [SMALL_STATE(2502)] = 19100,
  [SMALL_STATE(2503)] = 19171,
  [SMALL_STATE(2504)] = 19244,
  [SMALL_STATE(2505)] = 19311,
  [SMALL_STATE(2506)] = 19382,
  [SMALL_STATE(2507)] = 19453,
  [SMALL_STATE(2508)] = 19532,
  [SMALL_STATE(2509)] = 19607,
  [SMALL_STATE(2510)] = 19678,
  [SMALL_STATE(2511)] = 19749,
  [SMALL_STATE(2512)] = 19818,
  [SMALL_STATE(2513)] = 19901,
  [SMALL_STATE(2514)] = 19972,
  [SMALL_STATE(2515)] = 20039,
  [SMALL_STATE(2516)] = 20112,
  [SMALL_STATE(2517)] = 20183,
  [SMALL_STATE(2518)] = 20250,
  [SMALL_STATE(2519)] = 20317,
  [SMALL_STATE(2520)] = 20388,
  [SMALL_STATE(2521)] = 20455,
  [SMALL_STATE(2522)] = 20522,
  [SMALL_STATE(2523)] = 20589,
  [SMALL_STATE(2524)] = 20660,
  [SMALL_STATE(2525)] = 20731,
  [SMALL_STATE(2526)] = 20798,
  [SMALL_STATE(2527)] = 20869,
  [SMALL_STATE(2528)] = 20940,
  [SMALL_STATE(2529)] = 21011,
  [SMALL_STATE(2530)] = 21082,
  [SMALL_STATE(2531)] = 21153,
  [SMALL_STATE(2532)] = 21224,
  [SMALL_STATE(2533)] = 21303,
  [SMALL_STATE(2534)] = 21378,
  [SMALL_STATE(2535)] = 21449,
  [SMALL_STATE(2536)] = 21522,
  [SMALL_STATE(2537)] = 21593,
  [SMALL_STATE(2538)] = 21664,
  [SMALL_STATE(2539)] = 21735,
  [SMALL_STATE(2540)] = 21806,
  [SMALL_STATE(2541)] = 21875,
  [SMALL_STATE(2542)] = 21946,
  [SMALL_STATE(2543)] = 22013,
  [SMALL_STATE(2544)] = 22084,
  [SMALL_STATE(2545)] = 22155,
  [SMALL_STATE(2546)] = 22226,
  [SMALL_STATE(2547)] = 22293,
  [SMALL_STATE(2548)] = 22362,
  [SMALL_STATE(2549)] = 22429,
  [SMALL_STATE(2550)] = 22500,
  [SMALL_STATE(2551)] = 22571,
  [SMALL_STATE(2552)] = 22638,
  [SMALL_STATE(2553)] = 22753,
  [SMALL_STATE(2554)] = 22868,
  [SMALL_STATE(2555)] = 22939,
  [SMALL_STATE(2556)] = 23021,
  [SMALL_STATE(2557)] = 23087,
  [SMALL_STATE(2558)] = 23159,
  [SMALL_STATE(2559)] = 23225,
  [SMALL_STATE(2560)] = 23295,
  [SMALL_STATE(2561)] = 23361,
  [SMALL_STATE(2562)] = 23427,
  [SMALL_STATE(2563)] = 23493,
  [SMALL_STATE(2564)] = 23571,
  [SMALL_STATE(2565)] = 23637,
  [SMALL_STATE(2566)] = 23703,
  [SMALL_STATE(2567)] = 23771,
  [SMALL_STATE(2568)] = 23837,
  [SMALL_STATE(2569)] = 23907,
  [SMALL_STATE(2570)] = 23983,
  [SMALL_STATE(2571)] = 24049,
  [SMALL_STATE(2572)] = 24119,
  [SMALL_STATE(2573)] = 24187,
  [SMALL_STATE(2574)] = 24253,
  [SMALL_STATE(2575)] = 24321,
  [SMALL_STATE(2576)] = 24391,
  [SMALL_STATE(2577)] = 24457,
  [SMALL_STATE(2578)] = 24535,
  [SMALL_STATE(2579)] = 24617,
  [SMALL_STATE(2580)] = 24685,
  [SMALL_STATE(2581)] = 24753,
  [SMALL_STATE(2582)] = 24819,
  [SMALL_STATE(2583)] = 24885,
  [SMALL_STATE(2584)] = 24951,
  [SMALL_STATE(2585)] = 25017,
  [SMALL_STATE(2586)] = 25083,
  [SMALL_STATE(2587)] = 25165,
  [SMALL_STATE(2588)] = 25231,
  [SMALL_STATE(2589)] = 25297,
  [SMALL_STATE(2590)] = 25363,
  [SMALL_STATE(2591)] = 25433,
  [SMALL_STATE(2592)] = 25499,
  [SMALL_STATE(2593)] = 25565,
  [SMALL_STATE(2594)] = 25631,
  [SMALL_STATE(2595)] = 25697,
  [SMALL_STATE(2596)] = 25767,
  [SMALL_STATE(2597)] = 25833,
  [SMALL_STATE(2598)] = 25899,
  [SMALL_STATE(2599)] = 25981,
  [SMALL_STATE(2600)] = 26049,
  [SMALL_STATE(2601)] = 26115,
  [SMALL_STATE(2602)] = 26181,
  [SMALL_STATE(2603)] = 26247,
  [SMALL_STATE(2604)] = 26315,
  [SMALL_STATE(2605)] = 26381,
  [SMALL_STATE(2606)] = 26490,
  [SMALL_STATE(2607)] = 26581,
  [SMALL_STATE(2608)] = 26650,
  [SMALL_STATE(2609)] = 26763,
  [SMALL_STATE(2610)] = 26828,
  [SMALL_STATE(2611)] = 26897,
  [SMALL_STATE(2612)] = 26962,
  [SMALL_STATE(2613)] = 27027,
  [SMALL_STATE(2614)] = 27092,
  [SMALL_STATE(2615)] = 27157,
  [SMALL_STATE(2616)] = 27238,
  [SMALL_STATE(2617)] = 27303,
  [SMALL_STATE(2618)] = 27416,
  [SMALL_STATE(2619)] = 27485,
  [SMALL_STATE(2620)] = 27598,
  [SMALL_STATE(2621)] = 27671,
  [SMALL_STATE(2622)] = 27740,
  [SMALL_STATE(2623)] = 27805,
  [SMALL_STATE(2624)] = 27870,
  [SMALL_STATE(2625)] = 27939,
  [SMALL_STATE(2626)] = 28004,
  [SMALL_STATE(2627)] = 28069,
  [SMALL_STATE(2628)] = 28134,
  [SMALL_STATE(2629)] = 28199,
  [SMALL_STATE(2630)] = 28290,
  [SMALL_STATE(2631)] = 28359,
  [SMALL_STATE(2632)] = 28424,
  [SMALL_STATE(2633)] = 28533,
  [SMALL_STATE(2634)] = 28646,
  [SMALL_STATE(2635)] = 28751,
  [SMALL_STATE(2636)] = 28832,
  [SMALL_STATE(2637)] = 28933,
  [SMALL_STATE(2638)] = 29014,
  [SMALL_STATE(2639)] = 29113,
  [SMALL_STATE(2640)] = 29210,
  [SMALL_STATE(2641)] = 29305,
  [SMALL_STATE(2642)] = 29396,
  [SMALL_STATE(2643)] = 29461,
  [SMALL_STATE(2644)] = 29526,
  [SMALL_STATE(2645)] = 29607,
  [SMALL_STATE(2646)] = 29678,
  [SMALL_STATE(2647)] = 29765,
  [SMALL_STATE(2648)] = 29830,
  [SMALL_STATE(2649)] = 29939,
  [SMALL_STATE(2650)] = 30020,
  [SMALL_STATE(2651)] = 30133,
  [SMALL_STATE(2652)] = 30198,
  [SMALL_STATE(2653)] = 30263,
  [SMALL_STATE(2654)] = 30328,
  [SMALL_STATE(2655)] = 30401,
  [SMALL_STATE(2656)] = 30466,
  [SMALL_STATE(2657)] = 30549,
  [SMALL_STATE(2658)] = 30640,
  [SMALL_STATE(2659)] = 30705,
  [SMALL_STATE(2660)] = 30770,
  [SMALL_STATE(2661)] = 30835,
  [SMALL_STATE(2662)] = 30904,
  [SMALL_STATE(2663)] = 30969,
  [SMALL_STATE(2664)] = 31082,
  [SMALL_STATE(2665)] = 31195,
  [SMALL_STATE(2666)] = 31260,
  [SMALL_STATE(2667)] = 31325,
  [SMALL_STATE(2668)] = 31416,
  [SMALL_STATE(2669)] = 31481,
  [SMALL_STATE(2670)] = 31546,
  [SMALL_STATE(2671)] = 31611,
  [SMALL_STATE(2672)] = 31720,
  [SMALL_STATE(2673)] = 31785,
  [SMALL_STATE(2674)] = 31850,
  [SMALL_STATE(2675)] = 31915,
  [SMALL_STATE(2676)] = 31986,
  [SMALL_STATE(2677)] = 32095,
  [SMALL_STATE(2678)] = 32160,
  [SMALL_STATE(2679)] = 32225,
  [SMALL_STATE(2680)] = 32290,
  [SMALL_STATE(2681)] = 32381,
  [SMALL_STATE(2682)] = 32446,
  [SMALL_STATE(2683)] = 32511,
  [SMALL_STATE(2684)] = 32576,
  [SMALL_STATE(2685)] = 32667,
  [SMALL_STATE(2686)] = 32758,
  [SMALL_STATE(2687)] = 32823,
  [SMALL_STATE(2688)] = 32908,
  [SMALL_STATE(2689)] = 32973,
  [SMALL_STATE(2690)] = 33038,
  [SMALL_STATE(2691)] = 33154,
  [SMALL_STATE(2692)] = 33218,
  [SMALL_STATE(2693)] = 33290,
  [SMALL_STATE(2694)] = 33358,
  [SMALL_STATE(2695)] = 33426,
  [SMALL_STATE(2696)] = 33542,
  [SMALL_STATE(2697)] = 33608,
  [SMALL_STATE(2698)] = 33680,
  [SMALL_STATE(2699)] = 33748,
  [SMALL_STATE(2700)] = 33814,
  [SMALL_STATE(2701)] = 33878,
  [SMALL_STATE(2702)] = 33942,
  [SMALL_STATE(2703)] = 34006,
  [SMALL_STATE(2704)] = 34088,
  [SMALL_STATE(2705)] = 34170,
  [SMALL_STATE(2706)] = 34234,
  [SMALL_STATE(2707)] = 34302,
  [SMALL_STATE(2708)] = 34366,
  [SMALL_STATE(2709)] = 34434,
  [SMALL_STATE(2710)] = 34502,
  [SMALL_STATE(2711)] = 34570,
  [SMALL_STATE(2712)] = 34638,
  [SMALL_STATE(2713)] = 34702,
  [SMALL_STATE(2714)] = 34766,
  [SMALL_STATE(2715)] = 34830,
  [SMALL_STATE(2716)] = 34912,
  [SMALL_STATE(2717)] = 34978,
  [SMALL_STATE(2718)] = 35060,
  [SMALL_STATE(2719)] = 35142,
  [SMALL_STATE(2720)] = 35218,
  [SMALL_STATE(2721)] = 35300,
  [SMALL_STATE(2722)] = 35368,
  [SMALL_STATE(2723)] = 35450,
  [SMALL_STATE(2724)] = 35514,
  [SMALL_STATE(2725)] = 35596,
  [SMALL_STATE(2726)] = 35678,
  [SMALL_STATE(2727)] = 35742,
  [SMALL_STATE(2728)] = 35810,
  [SMALL_STATE(2729)] = 35878,
  [SMALL_STATE(2730)] = 35942,
  [SMALL_STATE(2731)] = 36024,
  [SMALL_STATE(2732)] = 36090,
  [SMALL_STATE(2733)] = 36154,
  [SMALL_STATE(2734)] = 36218,
  [SMALL_STATE(2735)] = 36282,
  [SMALL_STATE(2736)] = 36364,
  [SMALL_STATE(2737)] = 36428,
  [SMALL_STATE(2738)] = 36492,
  [SMALL_STATE(2739)] = 36564,
  [SMALL_STATE(2740)] = 36632,
  [SMALL_STATE(2741)] = 36696,
  [SMALL_STATE(2742)] = 36808,
  [SMALL_STATE(2743)] = 36884,
  [SMALL_STATE(2744)] = 36966,
  [SMALL_STATE(2745)] = 37038,
  [SMALL_STATE(2746)] = 37104,
  [SMALL_STATE(2747)] = 37216,
  [SMALL_STATE(2748)] = 37298,
  [SMALL_STATE(2749)] = 37362,
  [SMALL_STATE(2750)] = 37436,
  [SMALL_STATE(2751)] = 37518,
  [SMALL_STATE(2752)] = 37586,
  [SMALL_STATE(2753)] = 37650,
  [SMALL_STATE(2754)] = 37751,
  [SMALL_STATE(2755)] = 37848,
  [SMALL_STATE(2756)] = 37957,
  [SMALL_STATE(2757)] = 38062,
  [SMALL_STATE(2758)] = 38157,
  [SMALL_STATE(2759)] = 38270,
  [SMALL_STATE(2760)] = 38361,
  [SMALL_STATE(2761)] = 38522,
  [SMALL_STATE(2762)] = 38611,
  [SMALL_STATE(2763)] = 38696,
  [SMALL_STATE(2764)] = 38777,
  [SMALL_STATE(2765)] = 38856,
  [SMALL_STATE(2766)] = 38965,
  [SMALL_STATE(2767)] = 39032,
  [SMALL_STATE(2768)] = 39141,
  [SMALL_STATE(2769)] = 39250,
  [SMALL_STATE(2770)] = 39359,
  [SMALL_STATE(2771)] = 39520,
  [SMALL_STATE(2772)] = 39629,
  [SMALL_STATE(2773)] = 39712,
  [SMALL_STATE(2774)] = 39785,
  [SMALL_STATE(2775)] = 39894,
  [SMALL_STATE(2776)] = 39971,
  [SMALL_STATE(2777)] = 40080,
  [SMALL_STATE(2778)] = 40147,
  [SMALL_STATE(2779)] = 40226,
  [SMALL_STATE(2780)] = 40335,
  [SMALL_STATE(2781)] = 40444,
  [SMALL_STATE(2782)] = 40553,
  [SMALL_STATE(2783)] = 40662,
  [SMALL_STATE(2784)] = 40771,
  [SMALL_STATE(2785)] = 40834,
  [SMALL_STATE(2786)] = 40943,
  [SMALL_STATE(2787)] = 41010,
  [SMALL_STATE(2788)] = 41123,
  [SMALL_STATE(2789)] = 41190,
  [SMALL_STATE(2790)] = 41263,
  [SMALL_STATE(2791)] = 41330,
  [SMALL_STATE(2792)] = 41393,
  [SMALL_STATE(2793)] = 41508,
  [SMALL_STATE(2794)] = 41617,
  [SMALL_STATE(2795)] = 41696,
  [SMALL_STATE(2796)] = 41759,
  [SMALL_STATE(2797)] = 41868,
  [SMALL_STATE(2798)] = 41947,
  [SMALL_STATE(2799)] = 42010,
  [SMALL_STATE(2800)] = 42077,
  [SMALL_STATE(2801)] = 42186,
  [SMALL_STATE(2802)] = 42253,
  [SMALL_STATE(2803)] = 42316,
  [SMALL_STATE(2804)] = 42425,
  [SMALL_STATE(2805)] = 42492,
  [SMALL_STATE(2806)] = 42555,
  [SMALL_STATE(2807)] = 42628,
  [SMALL_STATE(2808)] = 42691,
  [SMALL_STATE(2809)] = 42800,
  [SMALL_STATE(2810)] = 42867,
  [SMALL_STATE(2811)] = 42946,
  [SMALL_STATE(2812)] = 43017,
  [SMALL_STATE(2813)] = 43090,
  [SMALL_STATE(2814)] = 43199,
  [SMALL_STATE(2815)] = 43272,
  [SMALL_STATE(2816)] = 43381,
  [SMALL_STATE(2817)] = 43490,
  [SMALL_STATE(2818)] = 43599,
  [SMALL_STATE(2819)] = 43708,
  [SMALL_STATE(2820)] = 43773,
  [SMALL_STATE(2821)] = 43882,
  [SMALL_STATE(2822)] = 43951,
  [SMALL_STATE(2823)] = 44026,
  [SMALL_STATE(2824)] = 44139,
  [SMALL_STATE(2825)] = 44206,
  [SMALL_STATE(2826)] = 44277,
  [SMALL_STATE(2827)] = 44386,
  [SMALL_STATE(2828)] = 44501,
  [SMALL_STATE(2829)] = 44564,
  [SMALL_STATE(2830)] = 44637,
  [SMALL_STATE(2831)] = 44708,
  [SMALL_STATE(2832)] = 44771,
  [SMALL_STATE(2833)] = 44880,
  [SMALL_STATE(2834)] = 44951,
  [SMALL_STATE(2835)] = 45020,
  [SMALL_STATE(2836)] = 45085,
  [SMALL_STATE(2837)] = 45246,
  [SMALL_STATE(2838)] = 45355,
  [SMALL_STATE(2839)] = 45418,
  [SMALL_STATE(2840)] = 45527,
  [SMALL_STATE(2841)] = 45594,
  [SMALL_STATE(2842)] = 45661,
  [SMALL_STATE(2843)] = 45728,
  [SMALL_STATE(2844)] = 45796,
  [SMALL_STATE(2845)] = 45858,
  [SMALL_STATE(2846)] = 45920,
  [SMALL_STATE(2847)] = 45982,
  [SMALL_STATE(2848)] = 46044,
  [SMALL_STATE(2849)] = 46106,
  [SMALL_STATE(2850)] = 46168,
  [SMALL_STATE(2851)] = 46230,
  [SMALL_STATE(2852)] = 46296,
  [SMALL_STATE(2853)] = 46358,
  [SMALL_STATE(2854)] = 46430,
  [SMALL_STATE(2855)] = 46492,
  [SMALL_STATE(2856)] = 46558,
  [SMALL_STATE(2857)] = 46624,
  [SMALL_STATE(2858)] = 46738,
  [SMALL_STATE(2859)] = 46852,
  [SMALL_STATE(2860)] = 46920,
  [SMALL_STATE(2861)] = 46982,
  [SMALL_STATE(2862)] = 47044,
  [SMALL_STATE(2863)] = 47106,
  [SMALL_STATE(2864)] = 47178,
  [SMALL_STATE(2865)] = 47240,
  [SMALL_STATE(2866)] = 47302,
  [SMALL_STATE(2867)] = 47364,
  [SMALL_STATE(2868)] = 47432,
  [SMALL_STATE(2869)] = 47498,
  [SMALL_STATE(2870)] = 47560,
  [SMALL_STATE(2871)] = 47626,
  [SMALL_STATE(2872)] = 47692,
  [SMALL_STATE(2873)] = 47806,
  [SMALL_STATE(2874)] = 47876,
  [SMALL_STATE(2875)] = 47944,
  [SMALL_STATE(2876)] = 48006,
  [SMALL_STATE(2877)] = 48068,
  [SMALL_STATE(2878)] = 48136,
  [SMALL_STATE(2879)] = 48202,
  [SMALL_STATE(2880)] = 48268,
  [SMALL_STATE(2881)] = 48338,
  [SMALL_STATE(2882)] = 48400,
  [SMALL_STATE(2883)] = 48472,
  [SMALL_STATE(2884)] = 48586,
  [SMALL_STATE(2885)] = 48648,
  [SMALL_STATE(2886)] = 48762,
  [SMALL_STATE(2887)] = 48824,
  [SMALL_STATE(2888)] = 48886,
  [SMALL_STATE(2889)] = 48954,
  [SMALL_STATE(2890)] = 49024,
  [SMALL_STATE(2891)] = 49086,
  [SMALL_STATE(2892)] = 49148,
  [SMALL_STATE(2893)] = 49214,
  [SMALL_STATE(2894)] = 49328,
  [SMALL_STATE(2895)] = 49390,
  [SMALL_STATE(2896)] = 49456,
  [SMALL_STATE(2897)] = 49522,
  [SMALL_STATE(2898)] = 49588,
  [SMALL_STATE(2899)] = 49654,
  [SMALL_STATE(2900)] = 49716,
  [SMALL_STATE(2901)] = 49778,
  [SMALL_STATE(2902)] = 49844,
  [SMALL_STATE(2903)] = 49910,
  [SMALL_STATE(2904)] = 49978,
  [SMALL_STATE(2905)] = 50050,
  [SMALL_STATE(2906)] = 50118,
  [SMALL_STATE(2907)] = 50182,
  [SMALL_STATE(2908)] = 50254,
  [SMALL_STATE(2909)] = 50368,
  [SMALL_STATE(2910)] = 50430,
  [SMALL_STATE(2911)] = 50496,
  [SMALL_STATE(2912)] = 50562,
  [SMALL_STATE(2913)] = 50624,
  [SMALL_STATE(2914)] = 50686,
  [SMALL_STATE(2915)] = 50748,
  [SMALL_STATE(2916)] = 50810,
  [SMALL_STATE(2917)] = 50874,
  [SMALL_STATE(2918)] = 50936,
  [SMALL_STATE(2919)] = 51050,
  [SMALL_STATE(2920)] = 51112,
  [SMALL_STATE(2921)] = 51182,
  [SMALL_STATE(2922)] = 51248,
  [SMALL_STATE(2923)] = 51310,
  [SMALL_STATE(2924)] = 51376,
  [SMALL_STATE(2925)] = 51438,
  [SMALL_STATE(2926)] = 51500,
  [SMALL_STATE(2927)] = 51562,
  [SMALL_STATE(2928)] = 51624,
  [SMALL_STATE(2929)] = 51686,
  [SMALL_STATE(2930)] = 51752,
  [SMALL_STATE(2931)] = 51814,
  [SMALL_STATE(2932)] = 51879,
  [SMALL_STATE(2933)] = 51990,
  [SMALL_STATE(2934)] = 52051,
  [SMALL_STATE(2935)] = 52112,
  [SMALL_STATE(2936)] = 52173,
  [SMALL_STATE(2937)] = 52234,
  [SMALL_STATE(2938)] = 52295,
  [SMALL_STATE(2939)] = 52360,
  [SMALL_STATE(2940)] = 52427,
  [SMALL_STATE(2941)] = 52488,
  [SMALL_STATE(2942)] = 52549,
  [SMALL_STATE(2943)] = 52624,
  [SMALL_STATE(2944)] = 52685,
  [SMALL_STATE(2945)] = 52792,
  [SMALL_STATE(2946)] = 52853,
  [SMALL_STATE(2947)] = 52914,
  [SMALL_STATE(2948)] = 52975,
  [SMALL_STATE(2949)] = 53036,
  [SMALL_STATE(2950)] = 53101,
  [SMALL_STATE(2951)] = 53164,
  [SMALL_STATE(2952)] = 53229,
  [SMALL_STATE(2953)] = 53304,
  [SMALL_STATE(2954)] = 53411,
  [SMALL_STATE(2955)] = 53472,
  [SMALL_STATE(2956)] = 53583,
  [SMALL_STATE(2957)] = 53646,
  [SMALL_STATE(2958)] = 53713,
  [SMALL_STATE(2959)] = 53774,
  [SMALL_STATE(2960)] = 53835,
  [SMALL_STATE(2961)] = 53908,
  [SMALL_STATE(2962)] = 53979,
  [SMALL_STATE(2963)] = 54054,
  [SMALL_STATE(2964)] = 54129,
  [SMALL_STATE(2965)] = 54190,
  [SMALL_STATE(2966)] = 54251,
  [SMALL_STATE(2967)] = 54312,
  [SMALL_STATE(2968)] = 54373,
  [SMALL_STATE(2969)] = 54486,
  [SMALL_STATE(2970)] = 54565,
  [SMALL_STATE(2971)] = 54626,
  [SMALL_STATE(2972)] = 54691,
  [SMALL_STATE(2973)] = 54794,
  [SMALL_STATE(2974)] = 54863,
  [SMALL_STATE(2975)] = 54924,
  [SMALL_STATE(2976)] = 55037,
  [SMALL_STATE(2977)] = 55100,
  [SMALL_STATE(2978)] = 55207,
  [SMALL_STATE(2979)] = 55306,
  [SMALL_STATE(2980)] = 55367,
  [SMALL_STATE(2981)] = 55474,
  [SMALL_STATE(2982)] = 55569,
  [SMALL_STATE(2983)] = 55662,
  [SMALL_STATE(2984)] = 55751,
  [SMALL_STATE(2985)] = 55816,
  [SMALL_STATE(2986)] = 55927,
  [SMALL_STATE(2987)] = 55988,
  [SMALL_STATE(2988)] = 56095,
  [SMALL_STATE(2989)] = 56208,
  [SMALL_STATE(2990)] = 56269,
  [SMALL_STATE(2991)] = 56334,
  [SMALL_STATE(2992)] = 56411,
  [SMALL_STATE(2993)] = 56498,
  [SMALL_STATE(2994)] = 56559,
  [SMALL_STATE(2995)] = 56642,
  [SMALL_STATE(2996)] = 56715,
  [SMALL_STATE(2997)] = 56792,
  [SMALL_STATE(2998)] = 56853,
  [SMALL_STATE(2999)] = 56914,
  [SMALL_STATE(3000)] = 56977,
  [SMALL_STATE(3001)] = 57038,
  [SMALL_STATE(3002)] = 57099,
  [SMALL_STATE(3003)] = 57164,
  [SMALL_STATE(3004)] = 57245,
  [SMALL_STATE(3005)] = 57312,
  [SMALL_STATE(3006)] = 57375,
  [SMALL_STATE(3007)] = 57462,
  [SMALL_STATE(3008)] = 57537,
  [SMALL_STATE(3009)] = 57650,
  [SMALL_STATE(3010)] = 57753,
  [SMALL_STATE(3011)] = 57816,
  [SMALL_STATE(3012)] = 57877,
  [SMALL_STATE(3013)] = 57942,
  [SMALL_STATE(3014)] = 58007,
  [SMALL_STATE(3015)] = 58070,
  [SMALL_STATE(3016)] = 58177,
  [SMALL_STATE(3017)] = 58284,
  [SMALL_STATE(3018)] = 58345,
  [SMALL_STATE(3019)] = 58444,
  [SMALL_STATE(3020)] = 58507,
  [SMALL_STATE(3021)] = 58568,
  [SMALL_STATE(3022)] = 58631,
  [SMALL_STATE(3023)] = 58708,
  [SMALL_STATE(3024)] = 58815,
  [SMALL_STATE(3025)] = 58922,
  [SMALL_STATE(3026)] = 58987,
  [SMALL_STATE(3027)] = 59098,
  [SMALL_STATE(3028)] = 59161,
  [SMALL_STATE(3029)] = 59256,
  [SMALL_STATE(3030)] = 59321,
  [SMALL_STATE(3031)] = 59386,
  [SMALL_STATE(3032)] = 59459,
  [SMALL_STATE(3033)] = 59552,
  [SMALL_STATE(3034)] = 59625,
  [SMALL_STATE(3035)] = 59690,
  [SMALL_STATE(3036)] = 59757,
  [SMALL_STATE(3037)] = 59818,
  [SMALL_STATE(3038)] = 59883,
  [SMALL_STATE(3039)] = 59948,
  [SMALL_STATE(3040)] = 60037,
  [SMALL_STATE(3041)] = 60100,
  [SMALL_STATE(3042)] = 60163,
  [SMALL_STATE(3043)] = 60226,
  [SMALL_STATE(3044)] = 60291,
  [SMALL_STATE(3045)] = 60356,
  [SMALL_STATE(3046)] = 60417,
  [SMALL_STATE(3047)] = 60482,
  [SMALL_STATE(3048)] = 60549,
  [SMALL_STATE(3049)] = 60612,
  [SMALL_STATE(3050)] = 60677,
  [SMALL_STATE(3051)] = 60750,
  [SMALL_STATE(3052)] = 60833,
  [SMALL_STATE(3053)] = 60896,
  [SMALL_STATE(3054)] = 60975,
  [SMALL_STATE(3055)] = 61038,
  [SMALL_STATE(3056)] = 61105,
  [SMALL_STATE(3057)] = 61168,
  [SMALL_STATE(3058)] = 61233,
  [SMALL_STATE(3059)] = 61344,
  [SMALL_STATE(3060)] = 61411,
  [SMALL_STATE(3061)] = 61476,
  [SMALL_STATE(3062)] = 61587,
  [SMALL_STATE(3063)] = 61652,
  [SMALL_STATE(3064)] = 61713,
  [SMALL_STATE(3065)] = 61774,
  [SMALL_STATE(3066)] = 61839,
  [SMALL_STATE(3067)] = 61904,
  [SMALL_STATE(3068)] = 61969,
  [SMALL_STATE(3069)] = 62032,
  [SMALL_STATE(3070)] = 62139,
  [SMALL_STATE(3071)] = 62204,
  [SMALL_STATE(3072)] = 62269,
  [SMALL_STATE(3073)] = 62350,
  [SMALL_STATE(3074)] = 62415,
  [SMALL_STATE(3075)] = 62519,
  [SMALL_STATE(3076)] = 62601,
  [SMALL_STATE(3077)] = 62667,
  [SMALL_STATE(3078)] = 62745,
  [SMALL_STATE(3079)] = 62813,
  [SMALL_STATE(3080)] = 62969,
  [SMALL_STATE(3081)] = 63029,
  [SMALL_STATE(3082)] = 63091,
  [SMALL_STATE(3083)] = 63163,
  [SMALL_STATE(3084)] = 63223,
  [SMALL_STATE(3085)] = 63285,
  [SMALL_STATE(3086)] = 63345,
  [SMALL_STATE(3087)] = 63451,
  [SMALL_STATE(3088)] = 63511,
  [SMALL_STATE(3089)] = 63623,
  [SMALL_STATE(3090)] = 63697,
  [SMALL_STATE(3091)] = 63771,
  [SMALL_STATE(3092)] = 63877,
  [SMALL_STATE(3093)] = 63937,
  [SMALL_STATE(3094)] = 64049,
  [SMALL_STATE(3095)] = 64113,
  [SMALL_STATE(3096)] = 64173,
  [SMALL_STATE(3097)] = 64233,
  [SMALL_STATE(3098)] = 64347,
  [SMALL_STATE(3099)] = 64407,
  [SMALL_STATE(3100)] = 64469,
  [SMALL_STATE(3101)] = 64529,
  [SMALL_STATE(3102)] = 64685,
  [SMALL_STATE(3103)] = 64757,
  [SMALL_STATE(3104)] = 64817,
  [SMALL_STATE(3105)] = 64877,
  [SMALL_STATE(3106)] = 64941,
  [SMALL_STATE(3107)] = 65007,
  [SMALL_STATE(3108)] = 65067,
  [SMALL_STATE(3109)] = 65141,
  [SMALL_STATE(3110)] = 65207,
  [SMALL_STATE(3111)] = 65267,
  [SMALL_STATE(3112)] = 65333,
  [SMALL_STATE(3113)] = 65393,
  [SMALL_STATE(3114)] = 65477,
  [SMALL_STATE(3115)] = 65543,
  [SMALL_STATE(3116)] = 65617,
  [SMALL_STATE(3117)] = 65703,
  [SMALL_STATE(3118)] = 65809,
  [SMALL_STATE(3119)] = 65869,
  [SMALL_STATE(3120)] = 65937,
  [SMALL_STATE(3121)] = 66007,
  [SMALL_STATE(3122)] = 66073,
  [SMALL_STATE(3123)] = 66133,
  [SMALL_STATE(3124)] = 66193,
  [SMALL_STATE(3125)] = 66283,
  [SMALL_STATE(3126)] = 66375,
  [SMALL_STATE(3127)] = 66435,
  [SMALL_STATE(3128)] = 66495,
  [SMALL_STATE(3129)] = 66605,
  [SMALL_STATE(3130)] = 66665,
  [SMALL_STATE(3131)] = 66725,
  [SMALL_STATE(3132)] = 66821,
  [SMALL_STATE(3133)] = 66881,
  [SMALL_STATE(3134)] = 66941,
  [SMALL_STATE(3135)] = 67001,
  [SMALL_STATE(3136)] = 67061,
  [SMALL_STATE(3137)] = 67127,
  [SMALL_STATE(3138)] = 67187,
  [SMALL_STATE(3139)] = 67249,
  [SMALL_STATE(3140)] = 67309,
  [SMALL_STATE(3141)] = 67385,
  [SMALL_STATE(3142)] = 67459,
  [SMALL_STATE(3143)] = 67527,
  [SMALL_STATE(3144)] = 67683,
  [SMALL_STATE(3145)] = 67791,
  [SMALL_STATE(3146)] = 67893,
  [SMALL_STATE(3147)] = 67967,
  [SMALL_STATE(3148)] = 68123,
  [SMALL_STATE(3149)] = 68187,
  [SMALL_STATE(3150)] = 68251,
  [SMALL_STATE(3151)] = 68407,
  [SMALL_STATE(3152)] = 68507,
  [SMALL_STATE(3153)] = 68605,
  [SMALL_STATE(3154)] = 68679,
  [SMALL_STATE(3155)] = 68773,
  [SMALL_STATE(3156)] = 68847,
  [SMALL_STATE(3157)] = 68923,
  [SMALL_STATE(3158)] = 68995,
  [SMALL_STATE(3159)] = 69055,
  [SMALL_STATE(3160)] = 69115,
  [SMALL_STATE(3161)] = 69181,
  [SMALL_STATE(3162)] = 69241,
  [SMALL_STATE(3163)] = 69349,
  [SMALL_STATE(3164)] = 69505,
  [SMALL_STATE(3165)] = 69661,
  [SMALL_STATE(3166)] = 69721,
  [SMALL_STATE(3167)] = 69781,
  [SMALL_STATE(3168)] = 69841,
  [SMALL_STATE(3169)] = 69933,
  [SMALL_STATE(3170)] = 69993,
  [SMALL_STATE(3171)] = 70067,
  [SMALL_STATE(3172)] = 70141,
  [SMALL_STATE(3173)] = 70207,
  [SMALL_STATE(3174)] = 70267,
  [SMALL_STATE(3175)] = 70347,
  [SMALL_STATE(3176)] = 70407,
  [SMALL_STATE(3177)] = 70563,
  [SMALL_STATE(3178)] = 70651,
  [SMALL_STATE(3179)] = 70755,
  [SMALL_STATE(3180)] = 70823,
  [SMALL_STATE(3181)] = 70895,
  [SMALL_STATE(3182)] = 70961,
  [SMALL_STATE(3183)] = 71021,
  [SMALL_STATE(3184)] = 71081,
  [SMALL_STATE(3185)] = 71141,
  [SMALL_STATE(3186)] = 71227,
  [SMALL_STATE(3187)] = 71309,
  [SMALL_STATE(3188)] = 71413,
  [SMALL_STATE(3189)] = 71491,
  [SMALL_STATE(3190)] = 71553,
  [SMALL_STATE(3191)] = 71661,
  [SMALL_STATE(3192)] = 71721,
  [SMALL_STATE(3193)] = 71781,
  [SMALL_STATE(3194)] = 71843,
  [SMALL_STATE(3195)] = 71923,
  [SMALL_STATE(3196)] = 72079,
  [SMALL_STATE(3197)] = 72183,
  [SMALL_STATE(3198)] = 72243,
  [SMALL_STATE(3199)] = 72317,
  [SMALL_STATE(3200)] = 72393,
  [SMALL_STATE(3201)] = 72453,
  [SMALL_STATE(3202)] = 72559,
  [SMALL_STATE(3203)] = 72663,
  [SMALL_STATE(3204)] = 72773,
  [SMALL_STATE(3205)] = 72879,
  [SMALL_STATE(3206)] = 72989,
  [SMALL_STATE(3207)] = 73063,
  [SMALL_STATE(3208)] = 73127,
  [SMALL_STATE(3209)] = 73186,
  [SMALL_STATE(3210)] = 73245,
  [SMALL_STATE(3211)] = 73304,
  [SMALL_STATE(3212)] = 73363,
  [SMALL_STATE(3213)] = 73422,
  [SMALL_STATE(3214)] = 73481,
  [SMALL_STATE(3215)] = 73540,
  [SMALL_STATE(3216)] = 73599,
  [SMALL_STATE(3217)] = 73658,
  [SMALL_STATE(3218)] = 73717,
  [SMALL_STATE(3219)] = 73776,
  [SMALL_STATE(3220)] = 73835,
  [SMALL_STATE(3221)] = 73902,
  [SMALL_STATE(3222)] = 73961,
  [SMALL_STATE(3223)] = 74020,
  [SMALL_STATE(3224)] = 74079,
  [SMALL_STATE(3225)] = 74138,
  [SMALL_STATE(3226)] = 74199,
  [SMALL_STATE(3227)] = 74258,
  [SMALL_STATE(3228)] = 74317,
  [SMALL_STATE(3229)] = 74376,
  [SMALL_STATE(3230)] = 74435,
  [SMALL_STATE(3231)] = 74494,
  [SMALL_STATE(3232)] = 74553,
  [SMALL_STATE(3233)] = 74612,
  [SMALL_STATE(3234)] = 74681,
  [SMALL_STATE(3235)] = 74740,
  [SMALL_STATE(3236)] = 74799,
  [SMALL_STATE(3237)] = 74858,
  [SMALL_STATE(3238)] = 74917,
  [SMALL_STATE(3239)] = 74978,
  [SMALL_STATE(3240)] = 75037,
  [SMALL_STATE(3241)] = 75096,
  [SMALL_STATE(3242)] = 75155,
  [SMALL_STATE(3243)] = 75214,
  [SMALL_STATE(3244)] = 75273,
  [SMALL_STATE(3245)] = 75332,
  [SMALL_STATE(3246)] = 75391,
  [SMALL_STATE(3247)] = 75450,
  [SMALL_STATE(3248)] = 75509,
  [SMALL_STATE(3249)] = 75568,
  [SMALL_STATE(3250)] = 75627,
  [SMALL_STATE(3251)] = 75686,
  [SMALL_STATE(3252)] = 75745,
  [SMALL_STATE(3253)] = 75812,
  [SMALL_STATE(3254)] = 75871,
  [SMALL_STATE(3255)] = 75930,
  [SMALL_STATE(3256)] = 75989,
  [SMALL_STATE(3257)] = 76056,
  [SMALL_STATE(3258)] = 76115,
  [SMALL_STATE(3259)] = 76174,
  [SMALL_STATE(3260)] = 76233,
  [SMALL_STATE(3261)] = 76292,
  [SMALL_STATE(3262)] = 76351,
  [SMALL_STATE(3263)] = 76410,
  [SMALL_STATE(3264)] = 76469,
  [SMALL_STATE(3265)] = 76534,
  [SMALL_STATE(3266)] = 76595,
  [SMALL_STATE(3267)] = 76658,
  [SMALL_STATE(3268)] = 76717,
  [SMALL_STATE(3269)] = 76776,
  [SMALL_STATE(3270)] = 76835,
  [SMALL_STATE(3271)] = 76904,
  [SMALL_STATE(3272)] = 76963,
  [SMALL_STATE(3273)] = 77022,
  [SMALL_STATE(3274)] = 77081,
  [SMALL_STATE(3275)] = 77140,
  [SMALL_STATE(3276)] = 77209,
  [SMALL_STATE(3277)] = 77276,
  [SMALL_STATE(3278)] = 77339,
  [SMALL_STATE(3279)] = 77398,
  [SMALL_STATE(3280)] = 77457,
  [SMALL_STATE(3281)] = 77516,
  [SMALL_STATE(3282)] = 77575,
  [SMALL_STATE(3283)] = 77634,
  [SMALL_STATE(3284)] = 77693,
  [SMALL_STATE(3285)] = 77752,
  [SMALL_STATE(3286)] = 77811,
  [SMALL_STATE(3287)] = 77870,
  [SMALL_STATE(3288)] = 77929,
  [SMALL_STATE(3289)] = 77988,
  [SMALL_STATE(3290)] = 78059,
  [SMALL_STATE(3291)] = 78118,
  [SMALL_STATE(3292)] = 78177,
  [SMALL_STATE(3293)] = 78236,
  [SMALL_STATE(3294)] = 78295,
  [SMALL_STATE(3295)] = 78354,
  [SMALL_STATE(3296)] = 78419,
  [SMALL_STATE(3297)] = 78478,
  [SMALL_STATE(3298)] = 78543,
  [SMALL_STATE(3299)] = 78602,
  [SMALL_STATE(3300)] = 78673,
  [SMALL_STATE(3301)] = 78732,
  [SMALL_STATE(3302)] = 78791,
  [SMALL_STATE(3303)] = 78850,
  [SMALL_STATE(3304)] = 78909,
  [SMALL_STATE(3305)] = 78968,
  [SMALL_STATE(3306)] = 79027,
  [SMALL_STATE(3307)] = 79086,
  [SMALL_STATE(3308)] = 79145,
  [SMALL_STATE(3309)] = 79208,
  [SMALL_STATE(3310)] = 79267,
  [SMALL_STATE(3311)] = 79344,
  [SMALL_STATE(3312)] = 79403,
  [SMALL_STATE(3313)] = 79462,
  [SMALL_STATE(3314)] = 79521,
  [SMALL_STATE(3315)] = 79580,
  [SMALL_STATE(3316)] = 79639,
  [SMALL_STATE(3317)] = 79698,
  [SMALL_STATE(3318)] = 79757,
  [SMALL_STATE(3319)] = 79816,
  [SMALL_STATE(3320)] = 79913,
  [SMALL_STATE(3321)] = 79972,
  [SMALL_STATE(3322)] = 80031,
  [SMALL_STATE(3323)] = 80090,
  [SMALL_STATE(3324)] = 80149,
  [SMALL_STATE(3325)] = 80208,
  [SMALL_STATE(3326)] = 80305,
  [SMALL_STATE(3327)] = 80364,
  [SMALL_STATE(3328)] = 80423,
  [SMALL_STATE(3329)] = 80482,
  [SMALL_STATE(3330)] = 80541,
  [SMALL_STATE(3331)] = 80600,
  [SMALL_STATE(3332)] = 80679,
  [SMALL_STATE(3333)] = 80738,
  [SMALL_STATE(3334)] = 80797,
  [SMALL_STATE(3335)] = 80858,
  [SMALL_STATE(3336)] = 80955,
  [SMALL_STATE(3337)] = 81014,
  [SMALL_STATE(3338)] = 81073,
  [SMALL_STATE(3339)] = 81132,
  [SMALL_STATE(3340)] = 81191,
  [SMALL_STATE(3341)] = 81288,
  [SMALL_STATE(3342)] = 81347,
  [SMALL_STATE(3343)] = 81406,
  [SMALL_STATE(3344)] = 81473,
  [SMALL_STATE(3345)] = 81532,
  [SMALL_STATE(3346)] = 81595,
  [SMALL_STATE(3347)] = 81654,
  [SMALL_STATE(3348)] = 81713,
  [SMALL_STATE(3349)] = 81772,
  [SMALL_STATE(3350)] = 81831,
  [SMALL_STATE(3351)] = 81890,
  [SMALL_STATE(3352)] = 81949,
  [SMALL_STATE(3353)] = 82008,
  [SMALL_STATE(3354)] = 82073,
  [SMALL_STATE(3355)] = 82132,
  [SMALL_STATE(3356)] = 82191,
  [SMALL_STATE(3357)] = 82250,
  [SMALL_STATE(3358)] = 82309,
  [SMALL_STATE(3359)] = 82368,
  [SMALL_STATE(3360)] = 82427,
  [SMALL_STATE(3361)] = 82486,
  [SMALL_STATE(3362)] = 82545,
  [SMALL_STATE(3363)] = 82604,
  [SMALL_STATE(3364)] = 82663,
  [SMALL_STATE(3365)] = 82722,
  [SMALL_STATE(3366)] = 82781,
  [SMALL_STATE(3367)] = 82840,
  [SMALL_STATE(3368)] = 82899,
  [SMALL_STATE(3369)] = 82964,
  [SMALL_STATE(3370)] = 83027,
  [SMALL_STATE(3371)] = 83086,
  [SMALL_STATE(3372)] = 83145,
  [SMALL_STATE(3373)] = 83204,
  [SMALL_STATE(3374)] = 83263,
  [SMALL_STATE(3375)] = 83328,
  [SMALL_STATE(3376)] = 83387,
  [SMALL_STATE(3377)] = 83446,
  [SMALL_STATE(3378)] = 83505,
  [SMALL_STATE(3379)] = 83564,
  [SMALL_STATE(3380)] = 83623,
  [SMALL_STATE(3381)] = 83682,
  [SMALL_STATE(3382)] = 83741,
  [SMALL_STATE(3383)] = 83806,
  [SMALL_STATE(3384)] = 83865,
  [SMALL_STATE(3385)] = 83924,
  [SMALL_STATE(3386)] = 83983,
  [SMALL_STATE(3387)] = 84042,
  [SMALL_STATE(3388)] = 84101,
  [SMALL_STATE(3389)] = 84160,
  [SMALL_STATE(3390)] = 84227,
  [SMALL_STATE(3391)] = 84286,
  [SMALL_STATE(3392)] = 84345,
  [SMALL_STATE(3393)] = 84412,
  [SMALL_STATE(3394)] = 84471,
  [SMALL_STATE(3395)] = 84549,
  [SMALL_STATE(3396)] = 84607,
  [SMALL_STATE(3397)] = 84707,
  [SMALL_STATE(3398)] = 84805,
  [SMALL_STATE(3399)] = 84899,
  [SMALL_STATE(3400)] = 84989,
  [SMALL_STATE(3401)] = 85075,
  [SMALL_STATE(3402)] = 85159,
  [SMALL_STATE(3403)] = 85239,
  [SMALL_STATE(3404)] = 85315,
  [SMALL_STATE(3405)] = 85373,
  [SMALL_STATE(3406)] = 85435,
  [SMALL_STATE(3407)] = 85493,
  [SMALL_STATE(3408)] = 85551,
  [SMALL_STATE(3409)] = 85609,
  [SMALL_STATE(3410)] = 85677,
  [SMALL_STATE(3411)] = 85787,
  [SMALL_STATE(3412)] = 85859,
  [SMALL_STATE(3413)] = 85917,
  [SMALL_STATE(3414)] = 85975,
  [SMALL_STATE(3415)] = 86047,
  [SMALL_STATE(3416)] = 86105,
  [SMALL_STATE(3417)] = 86169,
  [SMALL_STATE(3418)] = 86227,
  [SMALL_STATE(3419)] = 86285,
  [SMALL_STATE(3420)] = 86387,
  [SMALL_STATE(3421)] = 86445,
  [SMALL_STATE(3422)] = 86503,
  [SMALL_STATE(3423)] = 86561,
  [SMALL_STATE(3424)] = 86619,
  [SMALL_STATE(3425)] = 86677,
  [SMALL_STATE(3426)] = 86735,
  [SMALL_STATE(3427)] = 86793,
  [SMALL_STATE(3428)] = 86851,
  [SMALL_STATE(3429)] = 86909,
  [SMALL_STATE(3430)] = 86967,
  [SMALL_STATE(3431)] = 87029,
  [SMALL_STATE(3432)] = 87087,
  [SMALL_STATE(3433)] = 87197,
  [SMALL_STATE(3434)] = 87259,
  [SMALL_STATE(3435)] = 87317,
  [SMALL_STATE(3436)] = 87423,
  [SMALL_STATE(3437)] = 87481,
  [SMALL_STATE(3438)] = 87539,
  [SMALL_STATE(3439)] = 87609,
  [SMALL_STATE(3440)] = 87673,
  [SMALL_STATE(3441)] = 87775,
  [SMALL_STATE(3442)] = 87833,
  [SMALL_STATE(3443)] = 87891,
  [SMALL_STATE(3444)] = 87949,
  [SMALL_STATE(3445)] = 88019,
  [SMALL_STATE(3446)] = 88077,
  [SMALL_STATE(3447)] = 88179,
  [SMALL_STATE(3448)] = 88237,
  [SMALL_STATE(3449)] = 88295,
  [SMALL_STATE(3450)] = 88353,
  [SMALL_STATE(3451)] = 88411,
  [SMALL_STATE(3452)] = 88469,
  [SMALL_STATE(3453)] = 88527,
  [SMALL_STATE(3454)] = 88585,
  [SMALL_STATE(3455)] = 88643,
  [SMALL_STATE(3456)] = 88709,
  [SMALL_STATE(3457)] = 88767,
  [SMALL_STATE(3458)] = 88825,
  [SMALL_STATE(3459)] = 88883,
  [SMALL_STATE(3460)] = 88941,
  [SMALL_STATE(3461)] = 88999,
  [SMALL_STATE(3462)] = 89057,
  [SMALL_STATE(3463)] = 89115,
  [SMALL_STATE(3464)] = 89173,
  [SMALL_STATE(3465)] = 89231,
  [SMALL_STATE(3466)] = 89289,
  [SMALL_STATE(3467)] = 89395,
  [SMALL_STATE(3468)] = 89453,
  [SMALL_STATE(3469)] = 89511,
  [SMALL_STATE(3470)] = 89569,
  [SMALL_STATE(3471)] = 89641,
  [SMALL_STATE(3472)] = 89703,
  [SMALL_STATE(3473)] = 89775,
  [SMALL_STATE(3474)] = 89833,
  [SMALL_STATE(3475)] = 89891,
  [SMALL_STATE(3476)] = 89993,
  [SMALL_STATE(3477)] = 90051,
  [SMALL_STATE(3478)] = 90109,
  [SMALL_STATE(3479)] = 90183,
  [SMALL_STATE(3480)] = 90277,
  [SMALL_STATE(3481)] = 90335,
  [SMALL_STATE(3482)] = 90397,
  [SMALL_STATE(3483)] = 90455,
  [SMALL_STATE(3484)] = 90523,
  [SMALL_STATE(3485)] = 90585,
  [SMALL_STATE(3486)] = 90643,
  [SMALL_STATE(3487)] = 90701,
  [SMALL_STATE(3488)] = 90765,
  [SMALL_STATE(3489)] = 90859,
  [SMALL_STATE(3490)] = 90917,
  [SMALL_STATE(3491)] = 90975,
  [SMALL_STATE(3492)] = 91033,
  [SMALL_STATE(3493)] = 91091,
  [SMALL_STATE(3494)] = 91149,
  [SMALL_STATE(3495)] = 91209,
  [SMALL_STATE(3496)] = 91271,
  [SMALL_STATE(3497)] = 91329,
  [SMALL_STATE(3498)] = 91391,
  [SMALL_STATE(3499)] = 91449,
  [SMALL_STATE(3500)] = 91507,
  [SMALL_STATE(3501)] = 91565,
  [SMALL_STATE(3502)] = 91623,
  [SMALL_STATE(3503)] = 91681,
  [SMALL_STATE(3504)] = 91739,
  [SMALL_STATE(3505)] = 91797,
  [SMALL_STATE(3506)] = 91855,
  [SMALL_STATE(3507)] = 91913,
  [SMALL_STATE(3508)] = 91971,
  [SMALL_STATE(3509)] = 92073,
  [SMALL_STATE(3510)] = 92135,
  [SMALL_STATE(3511)] = 92197,
  [SMALL_STATE(3512)] = 92255,
  [SMALL_STATE(3513)] = 92313,
  [SMALL_STATE(3514)] = 92371,
  [SMALL_STATE(3515)] = 92429,
  [SMALL_STATE(3516)] = 92487,
  [SMALL_STATE(3517)] = 92545,
  [SMALL_STATE(3518)] = 92611,
  [SMALL_STATE(3519)] = 92717,
  [SMALL_STATE(3520)] = 92783,
  [SMALL_STATE(3521)] = 92841,
  [SMALL_STATE(3522)] = 92899,
  [SMALL_STATE(3523)] = 93005,
  [SMALL_STATE(3524)] = 93115,
  [SMALL_STATE(3525)] = 93173,
  [SMALL_STATE(3526)] = 93231,
  [SMALL_STATE(3527)] = 93301,
  [SMALL_STATE(3528)] = 93359,
  [SMALL_STATE(3529)] = 93417,
  [SMALL_STATE(3530)] = 93479,
  [SMALL_STATE(3531)] = 93541,
  [SMALL_STATE(3532)] = 93603,
  [SMALL_STATE(3533)] = 93661,
  [SMALL_STATE(3534)] = 93771,
  [SMALL_STATE(3535)] = 93833,
  [SMALL_STATE(3536)] = 93891,
  [SMALL_STATE(3537)] = 93949,
  [SMALL_STATE(3538)] = 94007,
  [SMALL_STATE(3539)] = 94110,
  [SMALL_STATE(3540)] = 94213,
  [SMALL_STATE(3541)] = 94316,
  [SMALL_STATE(3542)] = 94419,
  [SMALL_STATE(3543)] = 94522,
  [SMALL_STATE(3544)] = 94625,
  [SMALL_STATE(3545)] = 94728,
  [SMALL_STATE(3546)] = 94785,
  [SMALL_STATE(3547)] = 94844,
  [SMALL_STATE(3548)] = 94947,
  [SMALL_STATE(3549)] = 95050,
  [SMALL_STATE(3550)] = 95153,
  [SMALL_STATE(3551)] = 95210,
  [SMALL_STATE(3552)] = 95313,
  [SMALL_STATE(3553)] = 95370,
  [SMALL_STATE(3554)] = 95473,
  [SMALL_STATE(3555)] = 95530,
  [SMALL_STATE(3556)] = 95587,
  [SMALL_STATE(3557)] = 95690,
  [SMALL_STATE(3558)] = 95747,
  [SMALL_STATE(3559)] = 95850,
  [SMALL_STATE(3560)] = 95953,
  [SMALL_STATE(3561)] = 96056,
  [SMALL_STATE(3562)] = 96159,
  [SMALL_STATE(3563)] = 96262,
  [SMALL_STATE(3564)] = 96319,
  [SMALL_STATE(3565)] = 96422,
  [SMALL_STATE(3566)] = 96525,
  [SMALL_STATE(3567)] = 96628,
  [SMALL_STATE(3568)] = 96731,
  [SMALL_STATE(3569)] = 96834,
  [SMALL_STATE(3570)] = 96937,
  [SMALL_STATE(3571)] = 96996,
  [SMALL_STATE(3572)] = 97053,
  [SMALL_STATE(3573)] = 97126,
  [SMALL_STATE(3574)] = 97183,
  [SMALL_STATE(3575)] = 97286,
  [SMALL_STATE(3576)] = 97389,
  [SMALL_STATE(3577)] = 97492,
  [SMALL_STATE(3578)] = 97595,
  [SMALL_STATE(3579)] = 97698,
  [SMALL_STATE(3580)] = 97801,
  [SMALL_STATE(3581)] = 97862,
  [SMALL_STATE(3582)] = 97965,
  [SMALL_STATE(3583)] = 98068,
  [SMALL_STATE(3584)] = 98125,
  [SMALL_STATE(3585)] = 98182,
  [SMALL_STATE(3586)] = 98239,
  [SMALL_STATE(3587)] = 98302,
  [SMALL_STATE(3588)] = 98405,
  [SMALL_STATE(3589)] = 98508,
  [SMALL_STATE(3590)] = 98565,
  [SMALL_STATE(3591)] = 98622,
  [SMALL_STATE(3592)] = 98725,
  [SMALL_STATE(3593)] = 98828,
  [SMALL_STATE(3594)] = 98931,
  [SMALL_STATE(3595)] = 99034,
  [SMALL_STATE(3596)] = 99137,
  [SMALL_STATE(3597)] = 99198,
  [SMALL_STATE(3598)] = 99259,
  [SMALL_STATE(3599)] = 99362,
  [SMALL_STATE(3600)] = 99431,
  [SMALL_STATE(3601)] = 99492,
  [SMALL_STATE(3602)] = 99595,
  [SMALL_STATE(3603)] = 99656,
  [SMALL_STATE(3604)] = 99759,
  [SMALL_STATE(3605)] = 99862,
  [SMALL_STATE(3606)] = 99931,
  [SMALL_STATE(3607)] = 100034,
  [SMALL_STATE(3608)] = 100137,
  [SMALL_STATE(3609)] = 100240,
  [SMALL_STATE(3610)] = 100343,
  [SMALL_STATE(3611)] = 100446,
  [SMALL_STATE(3612)] = 100507,
  [SMALL_STATE(3613)] = 100610,
  [SMALL_STATE(3614)] = 100671,
  [SMALL_STATE(3615)] = 100774,
  [SMALL_STATE(3616)] = 100877,
  [SMALL_STATE(3617)] = 100980,
  [SMALL_STATE(3618)] = 101083,
  [SMALL_STATE(3619)] = 101144,
  [SMALL_STATE(3620)] = 101247,
  [SMALL_STATE(3621)] = 101350,
  [SMALL_STATE(3622)] = 101411,
  [SMALL_STATE(3623)] = 101472,
  [SMALL_STATE(3624)] = 101531,
  [SMALL_STATE(3625)] = 101594,
  [SMALL_STATE(3626)] = 101697,
  [SMALL_STATE(3627)] = 101800,
  [SMALL_STATE(3628)] = 101893,
  [SMALL_STATE(3629)] = 101996,
  [SMALL_STATE(3630)] = 102055,
  [SMALL_STATE(3631)] = 102158,
  [SMALL_STATE(3632)] = 102261,
  [SMALL_STATE(3633)] = 102364,
  [SMALL_STATE(3634)] = 102425,
  [SMALL_STATE(3635)] = 102528,
  [SMALL_STATE(3636)] = 102589,
  [SMALL_STATE(3637)] = 102692,
  [SMALL_STATE(3638)] = 102751,
  [SMALL_STATE(3639)] = 102854,
  [SMALL_STATE(3640)] = 102957,
  [SMALL_STATE(3641)] = 103060,
  [SMALL_STATE(3642)] = 103163,
  [SMALL_STATE(3643)] = 103256,
  [SMALL_STATE(3644)] = 103317,
  [SMALL_STATE(3645)] = 103420,
  [SMALL_STATE(3646)] = 103481,
  [SMALL_STATE(3647)] = 103537,
  [SMALL_STATE(3648)] = 103593,
  [SMALL_STATE(3649)] = 103649,
  [SMALL_STATE(3650)] = 103705,
  [SMALL_STATE(3651)] = 103777,
  [SMALL_STATE(3652)] = 103837,
  [SMALL_STATE(3653)] = 103893,
  [SMALL_STATE(3654)] = 103993,
  [SMALL_STATE(3655)] = 104049,
  [SMALL_STATE(3656)] = 104105,
  [SMALL_STATE(3657)] = 104161,
  [SMALL_STATE(3658)] = 104219,
  [SMALL_STATE(3659)] = 104275,
  [SMALL_STATE(3660)] = 104331,
  [SMALL_STATE(3661)] = 104387,
  [SMALL_STATE(3662)] = 104443,
  [SMALL_STATE(3663)] = 104499,
  [SMALL_STATE(3664)] = 104555,
  [SMALL_STATE(3665)] = 104625,
  [SMALL_STATE(3666)] = 104681,
  [SMALL_STATE(3667)] = 104737,
  [SMALL_STATE(3668)] = 104793,
  [SMALL_STATE(3669)] = 104865,
  [SMALL_STATE(3670)] = 104927,
  [SMALL_STATE(3671)] = 104999,
  [SMALL_STATE(3672)] = 105099,
  [SMALL_STATE(3673)] = 105155,
  [SMALL_STATE(3674)] = 105255,
  [SMALL_STATE(3675)] = 105323,
  [SMALL_STATE(3676)] = 105379,
  [SMALL_STATE(3677)] = 105435,
  [SMALL_STATE(3678)] = 105507,
  [SMALL_STATE(3679)] = 105563,
  [SMALL_STATE(3680)] = 105663,
  [SMALL_STATE(3681)] = 105719,
  [SMALL_STATE(3682)] = 105775,
  [SMALL_STATE(3683)] = 105835,
  [SMALL_STATE(3684)] = 105891,
  [SMALL_STATE(3685)] = 105947,
  [SMALL_STATE(3686)] = 106003,
  [SMALL_STATE(3687)] = 106059,
  [SMALL_STATE(3688)] = 106159,
  [SMALL_STATE(3689)] = 106251,
  [SMALL_STATE(3690)] = 106307,
  [SMALL_STATE(3691)] = 106377,
  [SMALL_STATE(3692)] = 106477,
  [SMALL_STATE(3693)] = 106577,
  [SMALL_STATE(3694)] = 106633,
  [SMALL_STATE(3695)] = 106733,
  [SMALL_STATE(3696)] = 106789,
  [SMALL_STATE(3697)] = 106889,
  [SMALL_STATE(3698)] = 106957,
  [SMALL_STATE(3699)] = 107017,
  [SMALL_STATE(3700)] = 107073,
  [SMALL_STATE(3701)] = 107129,
  [SMALL_STATE(3702)] = 107185,
  [SMALL_STATE(3703)] = 107241,
  [SMALL_STATE(3704)] = 107297,
  [SMALL_STATE(3705)] = 107397,
  [SMALL_STATE(3706)] = 107489,
  [SMALL_STATE(3707)] = 107581,
  [SMALL_STATE(3708)] = 107637,
  [SMALL_STATE(3709)] = 107693,
  [SMALL_STATE(3710)] = 107749,
  [SMALL_STATE(3711)] = 107811,
  [SMALL_STATE(3712)] = 107867,
  [SMALL_STATE(3713)] = 107923,
  [SMALL_STATE(3714)] = 107979,
  [SMALL_STATE(3715)] = 108035,
  [SMALL_STATE(3716)] = 108091,
  [SMALL_STATE(3717)] = 108191,
  [SMALL_STATE(3718)] = 108247,
  [SMALL_STATE(3719)] = 108347,
  [SMALL_STATE(3720)] = 108403,
  [SMALL_STATE(3721)] = 108459,
  [SMALL_STATE(3722)] = 108559,
  [SMALL_STATE(3723)] = 108615,
  [SMALL_STATE(3724)] = 108671,
  [SMALL_STATE(3725)] = 108727,
  [SMALL_STATE(3726)] = 108783,
  [SMALL_STATE(3727)] = 108839,
  [SMALL_STATE(3728)] = 108895,
  [SMALL_STATE(3729)] = 108951,
  [SMALL_STATE(3730)] = 109007,
  [SMALL_STATE(3731)] = 109107,
  [SMALL_STATE(3732)] = 109163,
  [SMALL_STATE(3733)] = 109219,
  [SMALL_STATE(3734)] = 109275,
  [SMALL_STATE(3735)] = 109331,
  [SMALL_STATE(3736)] = 109387,
  [SMALL_STATE(3737)] = 109443,
  [SMALL_STATE(3738)] = 109513,
  [SMALL_STATE(3739)] = 109569,
  [SMALL_STATE(3740)] = 109639,
  [SMALL_STATE(3741)] = 109695,
  [SMALL_STATE(3742)] = 109751,
  [SMALL_STATE(3743)] = 109843,
  [SMALL_STATE(3744)] = 109899,
  [SMALL_STATE(3745)] = 109955,
  [SMALL_STATE(3746)] = 110011,
  [SMALL_STATE(3747)] = 110069,
  [SMALL_STATE(3748)] = 110125,
  [SMALL_STATE(3749)] = 110181,
  [SMALL_STATE(3750)] = 110237,
  [SMALL_STATE(3751)] = 110293,
  [SMALL_STATE(3752)] = 110393,
  [SMALL_STATE(3753)] = 110449,
  [SMALL_STATE(3754)] = 110542,
  [SMALL_STATE(3755)] = 110597,
  [SMALL_STATE(3756)] = 110652,
  [SMALL_STATE(3757)] = 110745,
  [SMALL_STATE(3758)] = 110800,
  [SMALL_STATE(3759)] = 110893,
  [SMALL_STATE(3760)] = 110948,
  [SMALL_STATE(3761)] = 111015,
  [SMALL_STATE(3762)] = 111082,
  [SMALL_STATE(3763)] = 111175,
  [SMALL_STATE(3764)] = 111230,
  [SMALL_STATE(3765)] = 111285,
  [SMALL_STATE(3766)] = 111378,
  [SMALL_STATE(3767)] = 111433,
  [SMALL_STATE(3768)] = 111488,
  [SMALL_STATE(3769)] = 111543,
  [SMALL_STATE(3770)] = 111598,
  [SMALL_STATE(3771)] = 111653,
  [SMALL_STATE(3772)] = 111708,
  [SMALL_STATE(3773)] = 111801,
  [SMALL_STATE(3774)] = 111856,
  [SMALL_STATE(3775)] = 111949,
  [SMALL_STATE(3776)] = 112004,
  [SMALL_STATE(3777)] = 112059,
  [SMALL_STATE(3778)] = 112114,
  [SMALL_STATE(3779)] = 112179,
  [SMALL_STATE(3780)] = 112234,
  [SMALL_STATE(3781)] = 112327,
  [SMALL_STATE(3782)] = 112420,
  [SMALL_STATE(3783)] = 112475,
  [SMALL_STATE(3784)] = 112530,
  [SMALL_STATE(3785)] = 112623,
  [SMALL_STATE(3786)] = 112716,
  [SMALL_STATE(3787)] = 112771,
  [SMALL_STATE(3788)] = 112864,
  [SMALL_STATE(3789)] = 112957,
  [SMALL_STATE(3790)] = 113012,
  [SMALL_STATE(3791)] = 113067,
  [SMALL_STATE(3792)] = 113122,
  [SMALL_STATE(3793)] = 113215,
  [SMALL_STATE(3794)] = 113278,
  [SMALL_STATE(3795)] = 113333,
  [SMALL_STATE(3796)] = 113426,
  [SMALL_STATE(3797)] = 113481,
  [SMALL_STATE(3798)] = 113544,
  [SMALL_STATE(3799)] = 113599,
  [SMALL_STATE(3800)] = 113668,
  [SMALL_STATE(3801)] = 113723,
  [SMALL_STATE(3802)] = 113816,
  [SMALL_STATE(3803)] = 113909,
  [SMALL_STATE(3804)] = 113972,
  [SMALL_STATE(3805)] = 114027,
  [SMALL_STATE(3806)] = 114082,
  [SMALL_STATE(3807)] = 114137,
  [SMALL_STATE(3808)] = 114228,
  [SMALL_STATE(3809)] = 114283,
  [SMALL_STATE(3810)] = 114374,
  [SMALL_STATE(3811)] = 114467,
  [SMALL_STATE(3812)] = 114522,
  [SMALL_STATE(3813)] = 114577,
  [SMALL_STATE(3814)] = 114632,
  [SMALL_STATE(3815)] = 114690,
  [SMALL_STATE(3816)] = 114778,
  [SMALL_STATE(3817)] = 114848,
  [SMALL_STATE(3818)] = 114936,
  [SMALL_STATE(3819)] = 114996,
  [SMALL_STATE(3820)] = 115058,
  [SMALL_STATE(3821)] = 115124,
  [SMALL_STATE(3822)] = 115182,
  [SMALL_STATE(3823)] = 115240,
  [SMALL_STATE(3824)] = 115298,
  [SMALL_STATE(3825)] = 115368,
  [SMALL_STATE(3826)] = 115438,
  [SMALL_STATE(3827)] = 115496,
  [SMALL_STATE(3828)] = 115554,
  [SMALL_STATE(3829)] = 115642,
  [SMALL_STATE(3830)] = 115702,
  [SMALL_STATE(3831)] = 115760,
  [SMALL_STATE(3832)] = 115820,
  [SMALL_STATE(3833)] = 115910,
  [SMALL_STATE(3834)] = 115974,
  [SMALL_STATE(3835)] = 116044,
  [SMALL_STATE(3836)] = 116102,
  [SMALL_STATE(3837)] = 116160,
  [SMALL_STATE(3838)] = 116226,
  [SMALL_STATE(3839)] = 116286,
  [SMALL_STATE(3840)] = 116344,
  [SMALL_STATE(3841)] = 116402,
  [SMALL_STATE(3842)] = 116472,
  [SMALL_STATE(3843)] = 116562,
  [SMALL_STATE(3844)] = 116622,
  [SMALL_STATE(3845)] = 116680,
  [SMALL_STATE(3846)] = 116768,
  [SMALL_STATE(3847)] = 116857,
  [SMALL_STATE(3848)] = 116942,
  [SMALL_STATE(3849)] = 117027,
  [SMALL_STATE(3850)] = 117082,
  [SMALL_STATE(3851)] = 117171,
  [SMALL_STATE(3852)] = 117224,
  [SMALL_STATE(3853)] = 117313,
  [SMALL_STATE(3854)] = 117402,
  [SMALL_STATE(3855)] = 117491,
  [SMALL_STATE(3856)] = 117580,
  [SMALL_STATE(3857)] = 117669,
  [SMALL_STATE(3858)] = 117758,
  [SMALL_STATE(3859)] = 117811,
  [SMALL_STATE(3860)] = 117864,
  [SMALL_STATE(3861)] = 117917,
  [SMALL_STATE(3862)] = 117976,
  [SMALL_STATE(3863)] = 118065,
  [SMALL_STATE(3864)] = 118124,
  [SMALL_STATE(3865)] = 118213,
  [SMALL_STATE(3866)] = 118302,
  [SMALL_STATE(3867)] = 118391,
  [SMALL_STATE(3868)] = 118450,
  [SMALL_STATE(3869)] = 118539,
  [SMALL_STATE(3870)] = 118628,
  [SMALL_STATE(3871)] = 118717,
  [SMALL_STATE(3872)] = 118806,
  [SMALL_STATE(3873)] = 118895,
  [SMALL_STATE(3874)] = 118984,
  [SMALL_STATE(3875)] = 119073,
  [SMALL_STATE(3876)] = 119162,
  [SMALL_STATE(3877)] = 119251,
  [SMALL_STATE(3878)] = 119340,
  [SMALL_STATE(3879)] = 119429,
  [SMALL_STATE(3880)] = 119482,
  [SMALL_STATE(3881)] = 119571,
  [SMALL_STATE(3882)] = 119660,
  [SMALL_STATE(3883)] = 119749,
  [SMALL_STATE(3884)] = 119838,
  [SMALL_STATE(3885)] = 119891,
  [SMALL_STATE(3886)] = 119980,
  [SMALL_STATE(3887)] = 120047,
  [SMALL_STATE(3888)] = 120136,
  [SMALL_STATE(3889)] = 120189,
  [SMALL_STATE(3890)] = 120278,
  [SMALL_STATE(3891)] = 120330,
  [SMALL_STATE(3892)] = 120414,
  [SMALL_STATE(3893)] = 120466,
  [SMALL_STATE(3894)] = 120534,
  [SMALL_STATE(3895)] = 120586,
  [SMALL_STATE(3896)] = 120638,
  [SMALL_STATE(3897)] = 120690,
  [SMALL_STATE(3898)] = 120742,
  [SMALL_STATE(3899)] = 120794,
  [SMALL_STATE(3900)] = 120846,
  [SMALL_STATE(3901)] = 120908,
  [SMALL_STATE(3902)] = 120960,
  [SMALL_STATE(3903)] = 121012,
  [SMALL_STATE(3904)] = 121064,
  [SMALL_STATE(3905)] = 121116,
  [SMALL_STATE(3906)] = 121168,
  [SMALL_STATE(3907)] = 121220,
  [SMALL_STATE(3908)] = 121272,
  [SMALL_STATE(3909)] = 121324,
  [SMALL_STATE(3910)] = 121376,
  [SMALL_STATE(3911)] = 121428,
  [SMALL_STATE(3912)] = 121480,
  [SMALL_STATE(3913)] = 121532,
  [SMALL_STATE(3914)] = 121584,
  [SMALL_STATE(3915)] = 121636,
  [SMALL_STATE(3916)] = 121688,
  [SMALL_STATE(3917)] = 121772,
  [SMALL_STATE(3918)] = 121824,
  [SMALL_STATE(3919)] = 121876,
  [SMALL_STATE(3920)] = 121928,
  [SMALL_STATE(3921)] = 121980,
  [SMALL_STATE(3922)] = 122032,
  [SMALL_STATE(3923)] = 122090,
  [SMALL_STATE(3924)] = 122142,
  [SMALL_STATE(3925)] = 122194,
  [SMALL_STATE(3926)] = 122256,
  [SMALL_STATE(3927)] = 122308,
  [SMALL_STATE(3928)] = 122388,
  [SMALL_STATE(3929)] = 122468,
  [SMALL_STATE(3930)] = 122536,
  [SMALL_STATE(3931)] = 122624,
  [SMALL_STATE(3932)] = 122688,
  [SMALL_STATE(3933)] = 122746,
  [SMALL_STATE(3934)] = 122834,
  [SMALL_STATE(3935)] = 122898,
  [SMALL_STATE(3936)] = 122962,
  [SMALL_STATE(3937)] = 123030,
  [SMALL_STATE(3938)] = 123092,
  [SMALL_STATE(3939)] = 123160,
  [SMALL_STATE(3940)] = 123243,
  [SMALL_STATE(3941)] = 123330,
  [SMALL_STATE(3942)] = 123431,
  [SMALL_STATE(3943)] = 123510,
  [SMALL_STATE(3944)] = 123577,
  [SMALL_STATE(3945)] = 123636,
  [SMALL_STATE(3946)] = 123723,
  [SMALL_STATE(3947)] = 123774,
  [SMALL_STATE(3948)] = 123825,
  [SMALL_STATE(3949)] = 123892,
  [SMALL_STATE(3950)] = 123995,
  [SMALL_STATE(3951)] = 124052,
  [SMALL_STATE(3952)] = 124151,
  [SMALL_STATE(3953)] = 124236,
  [SMALL_STATE(3954)] = 124321,
  [SMALL_STATE(3955)] = 124388,
  [SMALL_STATE(3956)] = 124483,
  [SMALL_STATE(3957)] = 124586,
  [SMALL_STATE(3958)] = 124637,
  [SMALL_STATE(3959)] = 124692,
  [SMALL_STATE(3960)] = 124791,
  [SMALL_STATE(3961)] = 124878,
  [SMALL_STATE(3962)] = 124929,
  [SMALL_STATE(3963)] = 125014,
  [SMALL_STATE(3964)] = 125065,
  [SMALL_STATE(3965)] = 125116,
  [SMALL_STATE(3966)] = 125201,
  [SMALL_STATE(3967)] = 125280,
  [SMALL_STATE(3968)] = 125383,
  [SMALL_STATE(3969)] = 125466,
  [SMALL_STATE(3970)] = 125545,
  [SMALL_STATE(3971)] = 125644,
  [SMALL_STATE(3972)] = 125731,
  [SMALL_STATE(3973)] = 125830,
  [SMALL_STATE(3974)] = 125915,
  [SMALL_STATE(3975)] = 126000,
  [SMALL_STATE(3976)] = 126069,
  [SMALL_STATE(3977)] = 126148,
  [SMALL_STATE(3978)] = 126227,
  [SMALL_STATE(3979)] = 126322,
  [SMALL_STATE(3980)] = 126413,
  [SMALL_STATE(3981)] = 126502,
  [SMALL_STATE(3982)] = 126587,
  [SMALL_STATE(3983)] = 126670,
  [SMALL_STATE(3984)] = 126735,
  [SMALL_STATE(3985)] = 126798,
  [SMALL_STATE(3986)] = 126883,
  [SMALL_STATE(3987)] = 126968,
  [SMALL_STATE(3988)] = 127019,
  [SMALL_STATE(3989)] = 127086,
  [SMALL_STATE(3990)] = 127169,
  [SMALL_STATE(3991)] = 127242,
  [SMALL_STATE(3992)] = 127321,
  [SMALL_STATE(3993)] = 127400,
  [SMALL_STATE(3994)] = 127451,
  [SMALL_STATE(3995)] = 127502,
  [SMALL_STATE(3996)] = 127603,
  [SMALL_STATE(3997)] = 127666,
  [SMALL_STATE(3998)] = 127717,
  [SMALL_STATE(3999)] = 127792,
  [SMALL_STATE(4000)] = 127863,
  [SMALL_STATE(4001)] = 127946,
  [SMALL_STATE(4002)] = 128045,
  [SMALL_STATE(4003)] = 128148,
  [SMALL_STATE(4004)] = 128199,
  [SMALL_STATE(4005)] = 128250,
  [SMALL_STATE(4006)] = 128329,
  [SMALL_STATE(4007)] = 128408,
  [SMALL_STATE(4008)] = 128464,
  [SMALL_STATE(4009)] = 128540,
  [SMALL_STATE(4010)] = 128616,
  [SMALL_STATE(4011)] = 128692,
  [SMALL_STATE(4012)] = 128778,
  [SMALL_STATE(4013)] = 128854,
  [SMALL_STATE(4014)] = 128910,
  [SMALL_STATE(4015)] = 128962,
  [SMALL_STATE(4016)] = 129012,
  [SMALL_STATE(4017)] = 129098,
  [SMALL_STATE(4018)] = 129158,
  [SMALL_STATE(4019)] = 129244,
  [SMALL_STATE(4020)] = 129300,
  [SMALL_STATE(4021)] = 129386,
  [SMALL_STATE(4022)] = 129468,
  [SMALL_STATE(4023)] = 129528,
  [SMALL_STATE(4024)] = 129610,
  [SMALL_STATE(4025)] = 129666,
  [SMALL_STATE(4026)] = 129769,
  [SMALL_STATE(4027)] = 129822,
  [SMALL_STATE(4028)] = 129883,
  [SMALL_STATE(4029)] = 129944,
  [SMALL_STATE(4030)] = 130003,
  [SMALL_STATE(4031)] = 130106,
  [SMALL_STATE(4032)] = 130181,
  [SMALL_STATE(4033)] = 130230,
  [SMALL_STATE(4034)] = 130281,
  [SMALL_STATE(4035)] = 130332,
  [SMALL_STATE(4036)] = 130385,
  [SMALL_STATE(4037)] = 130436,
  [SMALL_STATE(4038)] = 130485,
  [SMALL_STATE(4039)] = 130538,
  [SMALL_STATE(4040)] = 130589,
  [SMALL_STATE(4041)] = 130692,
  [SMALL_STATE(4042)] = 130745,
  [SMALL_STATE(4043)] = 130826,
  [SMALL_STATE(4044)] = 130879,
  [SMALL_STATE(4045)] = 130932,
  [SMALL_STATE(4046)] = 130985,
  [SMALL_STATE(4047)] = 131056,
  [SMALL_STATE(4048)] = 131115,
  [SMALL_STATE(4049)] = 131190,
  [SMALL_STATE(4050)] = 131247,
  [SMALL_STATE(4051)] = 131300,
  [SMALL_STATE(4052)] = 131375,
  [SMALL_STATE(4053)] = 131464,
  [SMALL_STATE(4054)] = 131535,
  [SMALL_STATE(4055)] = 131606,
  [SMALL_STATE(4056)] = 131681,
  [SMALL_STATE(4057)] = 131734,
  [SMALL_STATE(4058)] = 131787,
  [SMALL_STATE(4059)] = 131868,
  [SMALL_STATE(4060)] = 131927,
  [SMALL_STATE(4061)] = 132001,
  [SMALL_STATE(4062)] = 132081,
  [SMALL_STATE(4063)] = 132153,
  [SMALL_STATE(4064)] = 132229,
  [SMALL_STATE(4065)] = 132303,
  [SMALL_STATE(4066)] = 132355,
  [SMALL_STATE(4067)] = 132445,
  [SMALL_STATE(4068)] = 132513,
  [SMALL_STATE(4069)] = 132565,
  [SMALL_STATE(4070)] = 132643,
  [SMALL_STATE(4071)] = 132727,
  [SMALL_STATE(4072)] = 132783,
  [SMALL_STATE(4073)] = 132835,
  [SMALL_STATE(4074)] = 132929,
  [SMALL_STATE(4075)] = 132983,
  [SMALL_STATE(4076)] = 133037,
  [SMALL_STATE(4077)] = 133107,
  [SMALL_STATE(4078)] = 133181,
  [SMALL_STATE(4079)] = 133255,
  [SMALL_STATE(4080)] = 133355,
  [SMALL_STATE(4081)] = 133429,
  [SMALL_STATE(4082)] = 133503,
  [SMALL_STATE(4083)] = 133561,
  [SMALL_STATE(4084)] = 133619,
  [SMALL_STATE(4085)] = 133673,
  [SMALL_STATE(4086)] = 133757,
  [SMALL_STATE(4087)] = 133847,
  [SMALL_STATE(4088)] = 133941,
  [SMALL_STATE(4089)] = 134031,
  [SMALL_STATE(4090)] = 134125,
  [SMALL_STATE(4091)] = 134189,
  [SMALL_STATE(4092)] = 134269,
  [SMALL_STATE(4093)] = 134355,
  [SMALL_STATE(4094)] = 134429,
  [SMALL_STATE(4095)] = 134517,
  [SMALL_STATE(4096)] = 134591,
  [SMALL_STATE(4097)] = 134675,
  [SMALL_STATE(4098)] = 134765,
  [SMALL_STATE(4099)] = 134847,
  [SMALL_STATE(4100)] = 134913,
  [SMALL_STATE(4101)] = 135003,
  [SMALL_STATE(4102)] = 135100,
  [SMALL_STATE(4103)] = 135197,
  [SMALL_STATE(4104)] = 135262,
  [SMALL_STATE(4105)] = 135349,
  [SMALL_STATE(4106)] = 135446,
  [SMALL_STATE(4107)] = 135543,
  [SMALL_STATE(4108)] = 135640,
  [SMALL_STATE(4109)] = 135737,
  [SMALL_STATE(4110)] = 135784,
  [SMALL_STATE(4111)] = 135831,
  [SMALL_STATE(4112)] = 135916,
  [SMALL_STATE(4113)] = 136013,
  [SMALL_STATE(4114)] = 136060,
  [SMALL_STATE(4115)] = 136153,
  [SMALL_STATE(4116)] = 136250,
  [SMALL_STATE(4117)] = 136347,
  [SMALL_STATE(4118)] = 136434,
  [SMALL_STATE(4119)] = 136531,
  [SMALL_STATE(4120)] = 136628,
  [SMALL_STATE(4121)] = 136711,
  [SMALL_STATE(4122)] = 136764,
  [SMALL_STATE(4123)] = 136861,
  [SMALL_STATE(4124)] = 136950,
  [SMALL_STATE(4125)] = 137009,
  [SMALL_STATE(4126)] = 137056,
  [SMALL_STATE(4127)] = 137153,
  [SMALL_STATE(4128)] = 137212,
  [SMALL_STATE(4129)] = 137293,
  [SMALL_STATE(4130)] = 137370,
  [SMALL_STATE(4131)] = 137467,
  [SMALL_STATE(4132)] = 137540,
  [SMALL_STATE(4133)] = 137637,
  [SMALL_STATE(4134)] = 137726,
  [SMALL_STATE(4135)] = 137801,
  [SMALL_STATE(4136)] = 137858,
  [SMALL_STATE(4137)] = 137955,
  [SMALL_STATE(4138)] = 138050,
  [SMALL_STATE(4139)] = 138097,
  [SMALL_STATE(4140)] = 138168,
  [SMALL_STATE(4141)] = 138265,
  [SMALL_STATE(4142)] = 138318,
  [SMALL_STATE(4143)] = 138365,
  [SMALL_STATE(4144)] = 138458,
  [SMALL_STATE(4145)] = 138511,
  [SMALL_STATE(4146)] = 138608,
  [SMALL_STATE(4147)] = 138655,
  [SMALL_STATE(4148)] = 138752,
  [SMALL_STATE(4149)] = 138799,
  [SMALL_STATE(4150)] = 138846,
  [SMALL_STATE(4151)] = 138943,
  [SMALL_STATE(4152)] = 139016,
  [SMALL_STATE(4153)] = 139113,
  [SMALL_STATE(4154)] = 139210,
  [SMALL_STATE(4155)] = 139307,
  [SMALL_STATE(4156)] = 139354,
  [SMALL_STATE(4157)] = 139401,
  [SMALL_STATE(4158)] = 139498,
  [SMALL_STATE(4159)] = 139587,
  [SMALL_STATE(4160)] = 139684,
  [SMALL_STATE(4161)] = 139781,
  [SMALL_STATE(4162)] = 139874,
  [SMALL_STATE(4163)] = 139923,
  [SMALL_STATE(4164)] = 140020,
  [SMALL_STATE(4165)] = 140117,
  [SMALL_STATE(4166)] = 140184,
  [SMALL_STATE(4167)] = 140281,
  [SMALL_STATE(4168)] = 140328,
  [SMALL_STATE(4169)] = 140375,
  [SMALL_STATE(4170)] = 140422,
  [SMALL_STATE(4171)] = 140469,
  [SMALL_STATE(4172)] = 140566,
  [SMALL_STATE(4173)] = 140613,
  [SMALL_STATE(4174)] = 140666,
  [SMALL_STATE(4175)] = 140739,
  [SMALL_STATE(4176)] = 140808,
  [SMALL_STATE(4177)] = 140905,
  [SMALL_STATE(4178)] = 141002,
  [SMALL_STATE(4179)] = 141099,
  [SMALL_STATE(4180)] = 141196,
  [SMALL_STATE(4181)] = 141253,
  [SMALL_STATE(4182)] = 141350,
  [SMALL_STATE(4183)] = 141447,
  [SMALL_STATE(4184)] = 141494,
  [SMALL_STATE(4185)] = 141541,
  [SMALL_STATE(4186)] = 141614,
  [SMALL_STATE(4187)] = 141703,
  [SMALL_STATE(4188)] = 141800,
  [SMALL_STATE(4189)] = 141879,
  [SMALL_STATE(4190)] = 141926,
  [SMALL_STATE(4191)] = 142015,
  [SMALL_STATE(4192)] = 142112,
  [SMALL_STATE(4193)] = 142209,
  [SMALL_STATE(4194)] = 142256,
  [SMALL_STATE(4195)] = 142353,
  [SMALL_STATE(4196)] = 142450,
  [SMALL_STATE(4197)] = 142547,
  [SMALL_STATE(4198)] = 142640,
  [SMALL_STATE(4199)] = 142719,
  [SMALL_STATE(4200)] = 142816,
  [SMALL_STATE(4201)] = 142863,
  [SMALL_STATE(4202)] = 142920,
  [SMALL_STATE(4203)] = 143013,
  [SMALL_STATE(4204)] = 143100,
  [SMALL_STATE(4205)] = 143197,
  [SMALL_STATE(4206)] = 143292,
  [SMALL_STATE(4207)] = 143389,
  [SMALL_STATE(4208)] = 143483,
  [SMALL_STATE(4209)] = 143577,
  [SMALL_STATE(4210)] = 143671,
  [SMALL_STATE(4211)] = 143719,
  [SMALL_STATE(4212)] = 143779,
  [SMALL_STATE(4213)] = 143851,
  [SMALL_STATE(4214)] = 143939,
  [SMALL_STATE(4215)] = 143997,
  [SMALL_STATE(4216)] = 144091,
  [SMALL_STATE(4217)] = 144179,
  [SMALL_STATE(4218)] = 144271,
  [SMALL_STATE(4219)] = 144335,
  [SMALL_STATE(4220)] = 144389,
  [SMALL_STATE(4221)] = 144439,
  [SMALL_STATE(4222)] = 144525,
  [SMALL_STATE(4223)] = 144619,
  [SMALL_STATE(4224)] = 144707,
  [SMALL_STATE(4225)] = 144791,
  [SMALL_STATE(4226)] = 144885,
  [SMALL_STATE(4227)] = 144979,
  [SMALL_STATE(4228)] = 145061,
  [SMALL_STATE(4229)] = 145141,
  [SMALL_STATE(4230)] = 145235,
  [SMALL_STATE(4231)] = 145311,
  [SMALL_STATE(4232)] = 145369,
  [SMALL_STATE(4233)] = 145443,
  [SMALL_STATE(4234)] = 145513,
  [SMALL_STATE(4235)] = 145579,
  [SMALL_STATE(4236)] = 145647,
  [SMALL_STATE(4237)] = 145739,
  [SMALL_STATE(4238)] = 145833,
  [SMALL_STATE(4239)] = 145927,
  [SMALL_STATE(4240)] = 146015,
  [SMALL_STATE(4241)] = 146107,
  [SMALL_STATE(4242)] = 146195,
  [SMALL_STATE(4243)] = 146287,
  [SMALL_STATE(4244)] = 146381,
  [SMALL_STATE(4245)] = 146469,
  [SMALL_STATE(4246)] = 146557,
  [SMALL_STATE(4247)] = 146611,
  [SMALL_STATE(4248)] = 146703,
  [SMALL_STATE(4249)] = 146795,
  [SMALL_STATE(4250)] = 146889,
  [SMALL_STATE(4251)] = 146945,
  [SMALL_STATE(4252)] = 147039,
  [SMALL_STATE(4253)] = 147117,
  [SMALL_STATE(4254)] = 147171,
  [SMALL_STATE(4255)] = 147231,
  [SMALL_STATE(4256)] = 147325,
  [SMALL_STATE(4257)] = 147417,
  [SMALL_STATE(4258)] = 147473,
  [SMALL_STATE(4259)] = 147567,
  [SMALL_STATE(4260)] = 147661,
  [SMALL_STATE(4261)] = 147755,
  [SMALL_STATE(4262)] = 147849,
  [SMALL_STATE(4263)] = 147907,
  [SMALL_STATE(4264)] = 148001,
  [SMALL_STATE(4265)] = 148061,
  [SMALL_STATE(4266)] = 148149,
  [SMALL_STATE(4267)] = 148209,
  [SMALL_STATE(4268)] = 148267,
  [SMALL_STATE(4269)] = 148361,
  [SMALL_STATE(4270)] = 148453,
  [SMALL_STATE(4271)] = 148545,
  [SMALL_STATE(4272)] = 148639,
  [SMALL_STATE(4273)] = 148733,
  [SMALL_STATE(4274)] = 148825,
  [SMALL_STATE(4275)] = 148919,
  [SMALL_STATE(4276)] = 149007,
  [SMALL_STATE(4277)] = 149099,
  [SMALL_STATE(4278)] = 149193,
  [SMALL_STATE(4279)] = 149287,
  [SMALL_STATE(4280)] = 149381,
  [SMALL_STATE(4281)] = 149473,
  [SMALL_STATE(4282)] = 149561,
  [SMALL_STATE(4283)] = 149609,
  [SMALL_STATE(4284)] = 149703,
  [SMALL_STATE(4285)] = 149797,
  [SMALL_STATE(4286)] = 149889,
  [SMALL_STATE(4287)] = 149961,
  [SMALL_STATE(4288)] = 150033,
  [SMALL_STATE(4289)] = 150125,
  [SMALL_STATE(4290)] = 150219,
  [SMALL_STATE(4291)] = 150265,
  [SMALL_STATE(4292)] = 150359,
  [SMALL_STATE(4293)] = 150405,
  [SMALL_STATE(4294)] = 150451,
  [SMALL_STATE(4295)] = 150497,
  [SMALL_STATE(4296)] = 150583,
  [SMALL_STATE(4297)] = 150629,
  [SMALL_STATE(4298)] = 150675,
  [SMALL_STATE(4299)] = 150721,
  [SMALL_STATE(4300)] = 150767,
  [SMALL_STATE(4301)] = 150861,
  [SMALL_STATE(4302)] = 150929,
  [SMALL_STATE(4303)] = 151007,
  [SMALL_STATE(4304)] = 151101,
  [SMALL_STATE(4305)] = 151195,
  [SMALL_STATE(4306)] = 151261,
  [SMALL_STATE(4307)] = 151331,
  [SMALL_STATE(4308)] = 151423,
  [SMALL_STATE(4309)] = 151511,
  [SMALL_STATE(4310)] = 151585,
  [SMALL_STATE(4311)] = 151661,
  [SMALL_STATE(4312)] = 151741,
  [SMALL_STATE(4313)] = 151787,
  [SMALL_STATE(4314)] = 151869,
  [SMALL_STATE(4315)] = 151919,
  [SMALL_STATE(4316)] = 151969,
  [SMALL_STATE(4317)] = 152019,
  [SMALL_STATE(4318)] = 152091,
  [SMALL_STATE(4319)] = 152141,
  [SMALL_STATE(4320)] = 152191,
  [SMALL_STATE(4321)] = 152241,
  [SMALL_STATE(4322)] = 152333,
  [SMALL_STATE(4323)] = 152383,
  [SMALL_STATE(4324)] = 152475,
  [SMALL_STATE(4325)] = 152567,
  [SMALL_STATE(4326)] = 152655,
  [SMALL_STATE(4327)] = 152719,
  [SMALL_STATE(4328)] = 152769,
  [SMALL_STATE(4329)] = 152821,
  [SMALL_STATE(4330)] = 152881,
  [SMALL_STATE(4331)] = 152967,
  [SMALL_STATE(4332)] = 153061,
  [SMALL_STATE(4333)] = 153121,
  [SMALL_STATE(4334)] = 153205,
  [SMALL_STATE(4335)] = 153291,
  [SMALL_STATE(4336)] = 153385,
  [SMALL_STATE(4337)] = 153445,
  [SMALL_STATE(4338)] = 153533,
  [SMALL_STATE(4339)] = 153579,
  [SMALL_STATE(4340)] = 153671,
  [SMALL_STATE(4341)] = 153719,
  [SMALL_STATE(4342)] = 153811,
  [SMALL_STATE(4343)] = 153859,
  [SMALL_STATE(4344)] = 153951,
  [SMALL_STATE(4345)] = 154045,
  [SMALL_STATE(4346)] = 154139,
  [SMALL_STATE(4347)] = 154187,
  [SMALL_STATE(4348)] = 154251,
  [SMALL_STATE(4349)] = 154343,
  [SMALL_STATE(4350)] = 154435,
  [SMALL_STATE(4351)] = 154529,
  [SMALL_STATE(4352)] = 154621,
  [SMALL_STATE(4353)] = 154713,
  [SMALL_STATE(4354)] = 154797,
  [SMALL_STATE(4355)] = 154885,
  [SMALL_STATE(4356)] = 154931,
  [SMALL_STATE(4357)] = 155019,
  [SMALL_STATE(4358)] = 155101,
  [SMALL_STATE(4359)] = 155181,
  [SMALL_STATE(4360)] = 155241,
  [SMALL_STATE(4361)] = 155335,
  [SMALL_STATE(4362)] = 155429,
  [SMALL_STATE(4363)] = 155505,
  [SMALL_STATE(4364)] = 155567,
  [SMALL_STATE(4365)] = 155661,
  [SMALL_STATE(4366)] = 155755,
  [SMALL_STATE(4367)] = 155829,
  [SMALL_STATE(4368)] = 155901,
  [SMALL_STATE(4369)] = 155947,
  [SMALL_STATE(4370)] = 156041,
  [SMALL_STATE(4371)] = 156107,
  [SMALL_STATE(4372)] = 156177,
  [SMALL_STATE(4373)] = 156268,
  [SMALL_STATE(4374)] = 156353,
  [SMALL_STATE(4375)] = 156444,
  [SMALL_STATE(4376)] = 156535,
  [SMALL_STATE(4377)] = 156608,
  [SMALL_STATE(4378)] = 156657,
  [SMALL_STATE(4379)] = 156748,
  [SMALL_STATE(4380)] = 156795,
  [SMALL_STATE(4381)] = 156886,
  [SMALL_STATE(4382)] = 156977,
  [SMALL_STATE(4383)] = 157048,
  [SMALL_STATE(4384)] = 157121,
  [SMALL_STATE(4385)] = 157212,
  [SMALL_STATE(4386)] = 157285,
  [SMALL_STATE(4387)] = 157376,
  [SMALL_STATE(4388)] = 157467,
  [SMALL_STATE(4389)] = 157538,
  [SMALL_STATE(4390)] = 157609,
  [SMALL_STATE(4391)] = 157700,
  [SMALL_STATE(4392)] = 157791,
  [SMALL_STATE(4393)] = 157882,
  [SMALL_STATE(4394)] = 157973,
  [SMALL_STATE(4395)] = 158064,
  [SMALL_STATE(4396)] = 158137,
  [SMALL_STATE(4397)] = 158228,
  [SMALL_STATE(4398)] = 158319,
  [SMALL_STATE(4399)] = 158410,
  [SMALL_STATE(4400)] = 158501,
  [SMALL_STATE(4401)] = 158592,
  [SMALL_STATE(4402)] = 158637,
  [SMALL_STATE(4403)] = 158718,
  [SMALL_STATE(4404)] = 158791,
  [SMALL_STATE(4405)] = 158842,
  [SMALL_STATE(4406)] = 158933,
  [SMALL_STATE(4407)] = 159024,
  [SMALL_STATE(4408)] = 159115,
  [SMALL_STATE(4409)] = 159206,
  [SMALL_STATE(4410)] = 159297,
  [SMALL_STATE(4411)] = 159346,
  [SMALL_STATE(4412)] = 159427,
  [SMALL_STATE(4413)] = 159518,
  [SMALL_STATE(4414)] = 159569,
  [SMALL_STATE(4415)] = 159642,
  [SMALL_STATE(4416)] = 159733,
  [SMALL_STATE(4417)] = 159824,
  [SMALL_STATE(4418)] = 159915,
  [SMALL_STATE(4419)] = 160006,
  [SMALL_STATE(4420)] = 160079,
  [SMALL_STATE(4421)] = 160170,
  [SMALL_STATE(4422)] = 160261,
  [SMALL_STATE(4423)] = 160352,
  [SMALL_STATE(4424)] = 160443,
  [SMALL_STATE(4425)] = 160516,
  [SMALL_STATE(4426)] = 160589,
  [SMALL_STATE(4427)] = 160680,
  [SMALL_STATE(4428)] = 160753,
  [SMALL_STATE(4429)] = 160844,
  [SMALL_STATE(4430)] = 160935,
  [SMALL_STATE(4431)] = 161026,
  [SMALL_STATE(4432)] = 161117,
  [SMALL_STATE(4433)] = 161208,
  [SMALL_STATE(4434)] = 161299,
  [SMALL_STATE(4435)] = 161390,
  [SMALL_STATE(4436)] = 161481,
  [SMALL_STATE(4437)] = 161530,
  [SMALL_STATE(4438)] = 161621,
  [SMALL_STATE(4439)] = 161670,
  [SMALL_STATE(4440)] = 161761,
  [SMALL_STATE(4441)] = 161852,
  [SMALL_STATE(4442)] = 161943,
  [SMALL_STATE(4443)] = 162034,
  [SMALL_STATE(4444)] = 162125,
  [SMALL_STATE(4445)] = 162216,
  [SMALL_STATE(4446)] = 162307,
  [SMALL_STATE(4447)] = 162378,
  [SMALL_STATE(4448)] = 162469,
  [SMALL_STATE(4449)] = 162560,
  [SMALL_STATE(4450)] = 162641,
  [SMALL_STATE(4451)] = 162732,
  [SMALL_STATE(4452)] = 162809,
  [SMALL_STATE(4453)] = 162858,
  [SMALL_STATE(4454)] = 162935,
  [SMALL_STATE(4455)] = 163026,
  [SMALL_STATE(4456)] = 163117,
  [SMALL_STATE(4457)] = 163190,
  [SMALL_STATE(4458)] = 163239,
  [SMALL_STATE(4459)] = 163312,
  [SMALL_STATE(4460)] = 163403,
  [SMALL_STATE(4461)] = 163494,
  [SMALL_STATE(4462)] = 163585,
  [SMALL_STATE(4463)] = 163658,
  [SMALL_STATE(4464)] = 163749,
  [SMALL_STATE(4465)] = 163840,
  [SMALL_STATE(4466)] = 163885,
  [SMALL_STATE(4467)] = 163966,
  [SMALL_STATE(4468)] = 164057,
  [SMALL_STATE(4469)] = 164148,
  [SMALL_STATE(4470)] = 164239,
  [SMALL_STATE(4471)] = 164316,
  [SMALL_STATE(4472)] = 164393,
  [SMALL_STATE(4473)] = 164484,
  [SMALL_STATE(4474)] = 164533,
  [SMALL_STATE(4475)] = 164624,
  [SMALL_STATE(4476)] = 164673,
  [SMALL_STATE(4477)] = 164730,
  [SMALL_STATE(4478)] = 164821,
  [SMALL_STATE(4479)] = 164894,
  [SMALL_STATE(4480)] = 164985,
  [SMALL_STATE(4481)] = 165076,
  [SMALL_STATE(4482)] = 165167,
  [SMALL_STATE(4483)] = 165248,
  [SMALL_STATE(4484)] = 165329,
  [SMALL_STATE(4485)] = 165390,
  [SMALL_STATE(4486)] = 165435,
  [SMALL_STATE(4487)] = 165508,
  [SMALL_STATE(4488)] = 165599,
  [SMALL_STATE(4489)] = 165690,
  [SMALL_STATE(4490)] = 165763,
  [SMALL_STATE(4491)] = 165836,
  [SMALL_STATE(4492)] = 165893,
  [SMALL_STATE(4493)] = 165984,
  [SMALL_STATE(4494)] = 166075,
  [SMALL_STATE(4495)] = 166166,
  [SMALL_STATE(4496)] = 166215,
  [SMALL_STATE(4497)] = 166306,
  [SMALL_STATE(4498)] = 166397,
  [SMALL_STATE(4499)] = 166482,
  [SMALL_STATE(4500)] = 166573,
  [SMALL_STATE(4501)] = 166622,
  [SMALL_STATE(4502)] = 166695,
  [SMALL_STATE(4503)] = 166786,
  [SMALL_STATE(4504)] = 166877,
  [SMALL_STATE(4505)] = 166968,
  [SMALL_STATE(4506)] = 167059,
  [SMALL_STATE(4507)] = 167150,
  [SMALL_STATE(4508)] = 167231,
  [SMALL_STATE(4509)] = 167322,
  [SMALL_STATE(4510)] = 167413,
  [SMALL_STATE(4511)] = 167504,
  [SMALL_STATE(4512)] = 167595,
  [SMALL_STATE(4513)] = 167686,
  [SMALL_STATE(4514)] = 167777,
  [SMALL_STATE(4515)] = 167868,
  [SMALL_STATE(4516)] = 167959,
  [SMALL_STATE(4517)] = 168008,
  [SMALL_STATE(4518)] = 168099,
  [SMALL_STATE(4519)] = 168190,
  [SMALL_STATE(4520)] = 168281,
  [SMALL_STATE(4521)] = 168364,
  [SMALL_STATE(4522)] = 168409,
  [SMALL_STATE(4523)] = 168458,
  [SMALL_STATE(4524)] = 168549,
  [SMALL_STATE(4525)] = 168622,
  [SMALL_STATE(4526)] = 168673,
  [SMALL_STATE(4527)] = 168764,
  [SMALL_STATE(4528)] = 168855,
  [SMALL_STATE(4529)] = 168906,
  [SMALL_STATE(4530)] = 168997,
  [SMALL_STATE(4531)] = 169070,
  [SMALL_STATE(4532)] = 169143,
  [SMALL_STATE(4533)] = 169234,
  [SMALL_STATE(4534)] = 169325,
  [SMALL_STATE(4535)] = 169416,
  [SMALL_STATE(4536)] = 169467,
  [SMALL_STATE(4537)] = 169558,
  [SMALL_STATE(4538)] = 169603,
  [SMALL_STATE(4539)] = 169652,
  [SMALL_STATE(4540)] = 169696,
  [SMALL_STATE(4541)] = 169740,
  [SMALL_STATE(4542)] = 169784,
  [SMALL_STATE(4543)] = 169828,
  [SMALL_STATE(4544)] = 169872,
  [SMALL_STATE(4545)] = 169916,
  [SMALL_STATE(4546)] = 169960,
  [SMALL_STATE(4547)] = 170004,
  [SMALL_STATE(4548)] = 170048,
  [SMALL_STATE(4549)] = 170092,
  [SMALL_STATE(4550)] = 170136,
  [SMALL_STATE(4551)] = 170206,
  [SMALL_STATE(4552)] = 170250,
  [SMALL_STATE(4553)] = 170294,
  [SMALL_STATE(4554)] = 170338,
  [SMALL_STATE(4555)] = 170382,
  [SMALL_STATE(4556)] = 170426,
  [SMALL_STATE(4557)] = 170470,
  [SMALL_STATE(4558)] = 170514,
  [SMALL_STATE(4559)] = 170558,
  [SMALL_STATE(4560)] = 170602,
  [SMALL_STATE(4561)] = 170648,
  [SMALL_STATE(4562)] = 170692,
  [SMALL_STATE(4563)] = 170746,
  [SMALL_STATE(4564)] = 170790,
  [SMALL_STATE(4565)] = 170840,
  [SMALL_STATE(4566)] = 170884,
  [SMALL_STATE(4567)] = 170928,
  [SMALL_STATE(4568)] = 171006,
  [SMALL_STATE(4569)] = 171050,
  [SMALL_STATE(4570)] = 171120,
  [SMALL_STATE(4571)] = 171204,
  [SMALL_STATE(4572)] = 171248,
  [SMALL_STATE(4573)] = 171292,
  [SMALL_STATE(4574)] = 171370,
  [SMALL_STATE(4575)] = 171414,
  [SMALL_STATE(4576)] = 171458,
  [SMALL_STATE(4577)] = 171536,
  [SMALL_STATE(4578)] = 171580,
  [SMALL_STATE(4579)] = 171624,
  [SMALL_STATE(4580)] = 171668,
  [SMALL_STATE(4581)] = 171752,
  [SMALL_STATE(4582)] = 171796,
  [SMALL_STATE(4583)] = 171840,
  [SMALL_STATE(4584)] = 171884,
  [SMALL_STATE(4585)] = 171928,
  [SMALL_STATE(4586)] = 171974,
  [SMALL_STATE(4587)] = 172018,
  [SMALL_STATE(4588)] = 172096,
  [SMALL_STATE(4589)] = 172140,
  [SMALL_STATE(4590)] = 172184,
  [SMALL_STATE(4591)] = 172254,
  [SMALL_STATE(4592)] = 172298,
  [SMALL_STATE(4593)] = 172342,
  [SMALL_STATE(4594)] = 172386,
  [SMALL_STATE(4595)] = 172430,
  [SMALL_STATE(4596)] = 172474,
  [SMALL_STATE(4597)] = 172518,
  [SMALL_STATE(4598)] = 172562,
  [SMALL_STATE(4599)] = 172606,
  [SMALL_STATE(4600)] = 172650,
  [SMALL_STATE(4601)] = 172694,
  [SMALL_STATE(4602)] = 172738,
  [SMALL_STATE(4603)] = 172782,
  [SMALL_STATE(4604)] = 172826,
  [SMALL_STATE(4605)] = 172870,
  [SMALL_STATE(4606)] = 172914,
  [SMALL_STATE(4607)] = 172958,
  [SMALL_STATE(4608)] = 173036,
  [SMALL_STATE(4609)] = 173080,
  [SMALL_STATE(4610)] = 173124,
  [SMALL_STATE(4611)] = 173168,
  [SMALL_STATE(4612)] = 173216,
  [SMALL_STATE(4613)] = 173260,
  [SMALL_STATE(4614)] = 173304,
  [SMALL_STATE(4615)] = 173356,
  [SMALL_STATE(4616)] = 173400,
  [SMALL_STATE(4617)] = 173448,
  [SMALL_STATE(4618)] = 173526,
  [SMALL_STATE(4619)] = 173614,
  [SMALL_STATE(4620)] = 173658,
  [SMALL_STATE(4621)] = 173702,
  [SMALL_STATE(4622)] = 173746,
  [SMALL_STATE(4623)] = 173790,
  [SMALL_STATE(4624)] = 173860,
  [SMALL_STATE(4625)] = 173904,
  [SMALL_STATE(4626)] = 173948,
  [SMALL_STATE(4627)] = 173998,
  [SMALL_STATE(4628)] = 174076,
  [SMALL_STATE(4629)] = 174120,
  [SMALL_STATE(4630)] = 174164,
  [SMALL_STATE(4631)] = 174208,
  [SMALL_STATE(4632)] = 174252,
  [SMALL_STATE(4633)] = 174296,
  [SMALL_STATE(4634)] = 174374,
  [SMALL_STATE(4635)] = 174418,
  [SMALL_STATE(4636)] = 174462,
  [SMALL_STATE(4637)] = 174531,
  [SMALL_STATE(4638)] = 174600,
  [SMALL_STATE(4639)] = 174683,
  [SMALL_STATE(4640)] = 174752,
  [SMALL_STATE(4641)] = 174821,
  [SMALL_STATE(4642)] = 174890,
  [SMALL_STATE(4643)] = 174973,
  [SMALL_STATE(4644)] = 175048,
  [SMALL_STATE(4645)] = 175101,
  [SMALL_STATE(4646)] = 175170,
  [SMALL_STATE(4647)] = 175239,
  [SMALL_STATE(4648)] = 175322,
  [SMALL_STATE(4649)] = 175405,
  [SMALL_STATE(4650)] = 175480,
  [SMALL_STATE(4651)] = 175563,
  [SMALL_STATE(4652)] = 175632,
  [SMALL_STATE(4653)] = 175715,
  [SMALL_STATE(4654)] = 175784,
  [SMALL_STATE(4655)] = 175867,
  [SMALL_STATE(4656)] = 175918,
  [SMALL_STATE(4657)] = 176001,
  [SMALL_STATE(4658)] = 176046,
  [SMALL_STATE(4659)] = 176115,
  [SMALL_STATE(4660)] = 176166,
  [SMALL_STATE(4661)] = 176235,
  [SMALL_STATE(4662)] = 176304,
  [SMALL_STATE(4663)] = 176394,
  [SMALL_STATE(4664)] = 176440,
  [SMALL_STATE(4665)] = 176508,
  [SMALL_STATE(4666)] = 176576,
  [SMALL_STATE(4667)] = 176652,
  [SMALL_STATE(4668)] = 176706,
  [SMALL_STATE(4669)] = 176782,
  [SMALL_STATE(4670)] = 176858,
  [SMALL_STATE(4671)] = 176934,
  [SMALL_STATE(4672)] = 177016,
  [SMALL_STATE(4673)] = 177098,
  [SMALL_STATE(4674)] = 177166,
  [SMALL_STATE(4675)] = 177220,
  [SMALL_STATE(4676)] = 177288,
  [SMALL_STATE(4677)] = 177356,
  [SMALL_STATE(4678)] = 177438,
  [SMALL_STATE(4679)] = 177520,
  [SMALL_STATE(4680)] = 177566,
  [SMALL_STATE(4681)] = 177612,
  [SMALL_STATE(4682)] = 177680,
  [SMALL_STATE(4683)] = 177726,
  [SMALL_STATE(4684)] = 177780,
  [SMALL_STATE(4685)] = 177826,
  [SMALL_STATE(4686)] = 177880,
  [SMALL_STATE(4687)] = 177930,
  [SMALL_STATE(4688)] = 177976,
  [SMALL_STATE(4689)] = 178026,
  [SMALL_STATE(4690)] = 178072,
  [SMALL_STATE(4691)] = 178156,
  [SMALL_STATE(4692)] = 178210,
  [SMALL_STATE(4693)] = 178278,
  [SMALL_STATE(4694)] = 178330,
  [SMALL_STATE(4695)] = 178376,
  [SMALL_STATE(4696)] = 178430,
  [SMALL_STATE(4697)] = 178476,
  [SMALL_STATE(4698)] = 178544,
  [SMALL_STATE(4699)] = 178590,
  [SMALL_STATE(4700)] = 178636,
  [SMALL_STATE(4701)] = 178682,
  [SMALL_STATE(4702)] = 178723,
  [SMALL_STATE(4703)] = 178766,
  [SMALL_STATE(4704)] = 178807,
  [SMALL_STATE(4705)] = 178882,
  [SMALL_STATE(4706)] = 178923,
  [SMALL_STATE(4707)] = 178964,
  [SMALL_STATE(4708)] = 179045,
  [SMALL_STATE(4709)] = 179120,
  [SMALL_STATE(4710)] = 179161,
  [SMALL_STATE(4711)] = 179214,
  [SMALL_STATE(4712)] = 179289,
  [SMALL_STATE(4713)] = 179336,
  [SMALL_STATE(4714)] = 179377,
  [SMALL_STATE(4715)] = 179458,
  [SMALL_STATE(4716)] = 179533,
  [SMALL_STATE(4717)] = 179574,
  [SMALL_STATE(4718)] = 179654,
  [SMALL_STATE(4719)] = 179734,
  [SMALL_STATE(4720)] = 179774,
  [SMALL_STATE(4721)] = 179822,
  [SMALL_STATE(4722)] = 179872,
  [SMALL_STATE(4723)] = 179912,
  [SMALL_STATE(4724)] = 179986,
  [SMALL_STATE(4725)] = 180060,
  [SMALL_STATE(4726)] = 180100,
  [SMALL_STATE(4727)] = 180140,
  [SMALL_STATE(4728)] = 180206,
  [SMALL_STATE(4729)] = 180286,
  [SMALL_STATE(4730)] = 180326,
  [SMALL_STATE(4731)] = 180366,
  [SMALL_STATE(4732)] = 180446,
  [SMALL_STATE(4733)] = 180512,
  [SMALL_STATE(4734)] = 180592,
  [SMALL_STATE(4735)] = 180666,
  [SMALL_STATE(4736)] = 180718,
  [SMALL_STATE(4737)] = 180798,
  [SMALL_STATE(4738)] = 180838,
  [SMALL_STATE(4739)] = 180912,
  [SMALL_STATE(4740)] = 180952,
  [SMALL_STATE(4741)] = 181032,
  [SMALL_STATE(4742)] = 181072,
  [SMALL_STATE(4743)] = 181152,
  [SMALL_STATE(4744)] = 181200,
  [SMALL_STATE(4745)] = 181240,
  [SMALL_STATE(4746)] = 181280,
  [SMALL_STATE(4747)] = 181354,
  [SMALL_STATE(4748)] = 181428,
  [SMALL_STATE(4749)] = 181468,
  [SMALL_STATE(4750)] = 181542,
  [SMALL_STATE(4751)] = 181622,
  [SMALL_STATE(4752)] = 181662,
  [SMALL_STATE(4753)] = 181736,
  [SMALL_STATE(4754)] = 181816,
  [SMALL_STATE(4755)] = 181882,
  [SMALL_STATE(4756)] = 181956,
  [SMALL_STATE(4757)] = 182036,
  [SMALL_STATE(4758)] = 182116,
  [SMALL_STATE(4759)] = 182156,
  [SMALL_STATE(4760)] = 182196,
  [SMALL_STATE(4761)] = 182236,
  [SMALL_STATE(4762)] = 182316,
  [SMALL_STATE(4763)] = 182356,
  [SMALL_STATE(4764)] = 182430,
  [SMALL_STATE(4765)] = 182504,
  [SMALL_STATE(4766)] = 182544,
  [SMALL_STATE(4767)] = 182596,
  [SMALL_STATE(4768)] = 182636,
  [SMALL_STATE(4769)] = 182676,
  [SMALL_STATE(4770)] = 182750,
  [SMALL_STATE(4771)] = 182830,
  [SMALL_STATE(4772)] = 182870,
  [SMALL_STATE(4773)] = 182910,
  [SMALL_STATE(4774)] = 182990,
  [SMALL_STATE(4775)] = 183040,
  [SMALL_STATE(4776)] = 183114,
  [SMALL_STATE(4777)] = 183188,
  [SMALL_STATE(4778)] = 183228,
  [SMALL_STATE(4779)] = 183268,
  [SMALL_STATE(4780)] = 183348,
  [SMALL_STATE(4781)] = 183388,
  [SMALL_STATE(4782)] = 183428,
  [SMALL_STATE(4783)] = 183468,
  [SMALL_STATE(4784)] = 183508,
  [SMALL_STATE(4785)] = 183548,
  [SMALL_STATE(4786)] = 183622,
  [SMALL_STATE(4787)] = 183696,
  [SMALL_STATE(4788)] = 183762,
  [SMALL_STATE(4789)] = 183802,
  [SMALL_STATE(4790)] = 183856,
  [SMALL_STATE(4791)] = 183936,
  [SMALL_STATE(4792)] = 183976,
  [SMALL_STATE(4793)] = 184016,
  [SMALL_STATE(4794)] = 184096,
  [SMALL_STATE(4795)] = 184150,
  [SMALL_STATE(4796)] = 184190,
  [SMALL_STATE(4797)] = 184263,
  [SMALL_STATE(4798)] = 184306,
  [SMALL_STATE(4799)] = 184379,
  [SMALL_STATE(4800)] = 184452,
  [SMALL_STATE(4801)] = 184525,
  [SMALL_STATE(4802)] = 184572,
  [SMALL_STATE(4803)] = 184615,
  [SMALL_STATE(4804)] = 184694,
  [SMALL_STATE(4805)] = 184773,
  [SMALL_STATE(4806)] = 184852,
  [SMALL_STATE(4807)] = 184931,
  [SMALL_STATE(4808)] = 185004,
  [SMALL_STATE(4809)] = 185047,
  [SMALL_STATE(4810)] = 185090,
  [SMALL_STATE(4811)] = 185133,
  [SMALL_STATE(4812)] = 185206,
  [SMALL_STATE(4813)] = 185257,
  [SMALL_STATE(4814)] = 185330,
  [SMALL_STATE(4815)] = 185373,
  [SMALL_STATE(4816)] = 185416,
  [SMALL_STATE(4817)] = 185457,
  [SMALL_STATE(4818)] = 185508,
  [SMALL_STATE(4819)] = 185581,
  [SMALL_STATE(4820)] = 185655,
  [SMALL_STATE(4821)] = 185729,
  [SMALL_STATE(4822)] = 185801,
  [SMALL_STATE(4823)] = 185875,
  [SMALL_STATE(4824)] = 185949,
  [SMALL_STATE(4825)] = 186023,
  [SMALL_STATE(4826)] = 186093,
  [SMALL_STATE(4827)] = 186167,
  [SMALL_STATE(4828)] = 186247,
  [SMALL_STATE(4829)] = 186327,
  [SMALL_STATE(4830)] = 186397,
  [SMALL_STATE(4831)] = 186477,
  [SMALL_STATE(4832)] = 186557,
  [SMALL_STATE(4833)] = 186637,
  [SMALL_STATE(4834)] = 186717,
  [SMALL_STATE(4835)] = 186791,
  [SMALL_STATE(4836)] = 186871,
  [SMALL_STATE(4837)] = 186945,
  [SMALL_STATE(4838)] = 187025,
  [SMALL_STATE(4839)] = 187105,
  [SMALL_STATE(4840)] = 187185,
  [SMALL_STATE(4841)] = 187265,
  [SMALL_STATE(4842)] = 187339,
  [SMALL_STATE(4843)] = 187419,
  [SMALL_STATE(4844)] = 187499,
  [SMALL_STATE(4845)] = 187579,
  [SMALL_STATE(4846)] = 187621,
  [SMALL_STATE(4847)] = 187701,
  [SMALL_STATE(4848)] = 187781,
  [SMALL_STATE(4849)] = 187855,
  [SMALL_STATE(4850)] = 187925,
  [SMALL_STATE(4851)] = 187999,
  [SMALL_STATE(4852)] = 188079,
  [SMALL_STATE(4853)] = 188153,
  [SMALL_STATE(4854)] = 188233,
  [SMALL_STATE(4855)] = 188305,
  [SMALL_STATE(4856)] = 188379,
  [SMALL_STATE(4857)] = 188459,
  [SMALL_STATE(4858)] = 188539,
  [SMALL_STATE(4859)] = 188613,
  [SMALL_STATE(4860)] = 188693,
  [SMALL_STATE(4861)] = 188763,
  [SMALL_STATE(4862)] = 188843,
  [SMALL_STATE(4863)] = 188923,
  [SMALL_STATE(4864)] = 188965,
  [SMALL_STATE(4865)] = 189045,
  [SMALL_STATE(4866)] = 189125,
  [SMALL_STATE(4867)] = 189199,
  [SMALL_STATE(4868)] = 189241,
  [SMALL_STATE(4869)] = 189321,
  [SMALL_STATE(4870)] = 189395,
  [SMALL_STATE(4871)] = 189475,
  [SMALL_STATE(4872)] = 189555,
  [SMALL_STATE(4873)] = 189635,
  [SMALL_STATE(4874)] = 189677,
  [SMALL_STATE(4875)] = 189751,
  [SMALL_STATE(4876)] = 189831,
  [SMALL_STATE(4877)] = 189873,
  [SMALL_STATE(4878)] = 189953,
  [SMALL_STATE(4879)] = 190033,
  [SMALL_STATE(4880)] = 190075,
  [SMALL_STATE(4881)] = 190117,
  [SMALL_STATE(4882)] = 190197,
  [SMALL_STATE(4883)] = 190267,
  [SMALL_STATE(4884)] = 190341,
  [SMALL_STATE(4885)] = 190383,
  [SMALL_STATE(4886)] = 190463,
  [SMALL_STATE(4887)] = 190533,
  [SMALL_STATE(4888)] = 190613,
  [SMALL_STATE(4889)] = 190685,
  [SMALL_STATE(4890)] = 190765,
  [SMALL_STATE(4891)] = 190839,
  [SMALL_STATE(4892)] = 190909,
  [SMALL_STATE(4893)] = 190983,
  [SMALL_STATE(4894)] = 191055,
  [SMALL_STATE(4895)] = 191135,
  [SMALL_STATE(4896)] = 191209,
  [SMALL_STATE(4897)] = 191289,
  [SMALL_STATE(4898)] = 191363,
  [SMALL_STATE(4899)] = 191437,
  [SMALL_STATE(4900)] = 191517,
  [SMALL_STATE(4901)] = 191591,
  [SMALL_STATE(4902)] = 191671,
  [SMALL_STATE(4903)] = 191745,
  [SMALL_STATE(4904)] = 191825,
  [SMALL_STATE(4905)] = 191899,
  [SMALL_STATE(4906)] = 191979,
  [SMALL_STATE(4907)] = 192059,
  [SMALL_STATE(4908)] = 192133,
  [SMALL_STATE(4909)] = 192207,
  [SMALL_STATE(4910)] = 192287,
  [SMALL_STATE(4911)] = 192329,
  [SMALL_STATE(4912)] = 192409,
  [SMALL_STATE(4913)] = 192489,
  [SMALL_STATE(4914)] = 192569,
  [SMALL_STATE(4915)] = 192643,
  [SMALL_STATE(4916)] = 192685,
  [SMALL_STATE(4917)] = 192759,
  [SMALL_STATE(4918)] = 192839,
  [SMALL_STATE(4919)] = 192919,
  [SMALL_STATE(4920)] = 192999,
  [SMALL_STATE(4921)] = 193079,
  [SMALL_STATE(4922)] = 193159,
  [SMALL_STATE(4923)] = 193239,
  [SMALL_STATE(4924)] = 193319,
  [SMALL_STATE(4925)] = 193399,
  [SMALL_STATE(4926)] = 193479,
  [SMALL_STATE(4927)] = 193553,
  [SMALL_STATE(4928)] = 193633,
  [SMALL_STATE(4929)] = 193713,
  [SMALL_STATE(4930)] = 193793,
  [SMALL_STATE(4931)] = 193873,
  [SMALL_STATE(4932)] = 193953,
  [SMALL_STATE(4933)] = 194033,
  [SMALL_STATE(4934)] = 194113,
  [SMALL_STATE(4935)] = 194193,
  [SMALL_STATE(4936)] = 194273,
  [SMALL_STATE(4937)] = 194353,
  [SMALL_STATE(4938)] = 194433,
  [SMALL_STATE(4939)] = 194513,
  [SMALL_STATE(4940)] = 194587,
  [SMALL_STATE(4941)] = 194667,
  [SMALL_STATE(4942)] = 194747,
  [SMALL_STATE(4943)] = 194827,
  [SMALL_STATE(4944)] = 194901,
  [SMALL_STATE(4945)] = 194981,
  [SMALL_STATE(4946)] = 195061,
  [SMALL_STATE(4947)] = 195141,
  [SMALL_STATE(4948)] = 195221,
  [SMALL_STATE(4949)] = 195301,
  [SMALL_STATE(4950)] = 195343,
  [SMALL_STATE(4951)] = 195423,
  [SMALL_STATE(4952)] = 195497,
  [SMALL_STATE(4953)] = 195577,
  [SMALL_STATE(4954)] = 195619,
  [SMALL_STATE(4955)] = 195699,
  [SMALL_STATE(4956)] = 195769,
  [SMALL_STATE(4957)] = 195849,
  [SMALL_STATE(4958)] = 195923,
  [SMALL_STATE(4959)] = 196003,
  [SMALL_STATE(4960)] = 196083,
  [SMALL_STATE(4961)] = 196163,
  [SMALL_STATE(4962)] = 196237,
  [SMALL_STATE(4963)] = 196317,
  [SMALL_STATE(4964)] = 196397,
  [SMALL_STATE(4965)] = 196471,
  [SMALL_STATE(4966)] = 196551,
  [SMALL_STATE(4967)] = 196631,
  [SMALL_STATE(4968)] = 196711,
  [SMALL_STATE(4969)] = 196791,
  [SMALL_STATE(4970)] = 196871,
  [SMALL_STATE(4971)] = 196945,
  [SMALL_STATE(4972)] = 197025,
  [SMALL_STATE(4973)] = 197105,
  [SMALL_STATE(4974)] = 197185,
  [SMALL_STATE(4975)] = 197265,
  [SMALL_STATE(4976)] = 197339,
  [SMALL_STATE(4977)] = 197419,
  [SMALL_STATE(4978)] = 197499,
  [SMALL_STATE(4979)] = 197576,
  [SMALL_STATE(4980)] = 197643,
  [SMALL_STATE(4981)] = 197720,
  [SMALL_STATE(4982)] = 197797,
  [SMALL_STATE(4983)] = 197864,
  [SMALL_STATE(4984)] = 197931,
  [SMALL_STATE(4985)] = 197996,
  [SMALL_STATE(4986)] = 198061,
  [SMALL_STATE(4987)] = 198128,
  [SMALL_STATE(4988)] = 198173,
  [SMALL_STATE(4989)] = 198250,
  [SMALL_STATE(4990)] = 198317,
  [SMALL_STATE(4991)] = 198384,
  [SMALL_STATE(4992)] = 198461,
  [SMALL_STATE(4993)] = 198526,
  [SMALL_STATE(4994)] = 198593,
  [SMALL_STATE(4995)] = 198670,
  [SMALL_STATE(4996)] = 198737,
  [SMALL_STATE(4997)] = 198778,
  [SMALL_STATE(4998)] = 198845,
  [SMALL_STATE(4999)] = 198912,
  [SMALL_STATE(5000)] = 198957,
  [SMALL_STATE(5001)] = 199034,
  [SMALL_STATE(5002)] = 199101,
  [SMALL_STATE(5003)] = 199168,
  [SMALL_STATE(5004)] = 199205,
  [SMALL_STATE(5005)] = 199282,
  [SMALL_STATE(5006)] = 199349,
  [SMALL_STATE(5007)] = 199426,
  [SMALL_STATE(5008)] = 199463,
  [SMALL_STATE(5009)] = 199540,
  [SMALL_STATE(5010)] = 199607,
  [SMALL_STATE(5011)] = 199684,
  [SMALL_STATE(5012)] = 199761,
  [SMALL_STATE(5013)] = 199828,
  [SMALL_STATE(5014)] = 199905,
  [SMALL_STATE(5015)] = 199972,
  [SMALL_STATE(5016)] = 200049,
  [SMALL_STATE(5017)] = 200126,
  [SMALL_STATE(5018)] = 200167,
  [SMALL_STATE(5019)] = 200234,
  [SMALL_STATE(5020)] = 200301,
  [SMALL_STATE(5021)] = 200368,
  [SMALL_STATE(5022)] = 200435,
  [SMALL_STATE(5023)] = 200500,
  [SMALL_STATE(5024)] = 200565,
  [SMALL_STATE(5025)] = 200632,
  [SMALL_STATE(5026)] = 200699,
  [SMALL_STATE(5027)] = 200764,
  [SMALL_STATE(5028)] = 200841,
  [SMALL_STATE(5029)] = 200918,
  [SMALL_STATE(5030)] = 200985,
  [SMALL_STATE(5031)] = 201052,
  [SMALL_STATE(5032)] = 201119,
  [SMALL_STATE(5033)] = 201186,
  [SMALL_STATE(5034)] = 201253,
  [SMALL_STATE(5035)] = 201330,
  [SMALL_STATE(5036)] = 201370,
  [SMALL_STATE(5037)] = 201434,
  [SMALL_STATE(5038)] = 201498,
  [SMALL_STATE(5039)] = 201568,
  [SMALL_STATE(5040)] = 201638,
  [SMALL_STATE(5041)] = 201708,
  [SMALL_STATE(5042)] = 201772,
  [SMALL_STATE(5043)] = 201842,
  [SMALL_STATE(5044)] = 201912,
  [SMALL_STATE(5045)] = 201982,
  [SMALL_STATE(5046)] = 202052,
  [SMALL_STATE(5047)] = 202116,
  [SMALL_STATE(5048)] = 202180,
  [SMALL_STATE(5049)] = 202250,
  [SMALL_STATE(5050)] = 202314,
  [SMALL_STATE(5051)] = 202377,
  [SMALL_STATE(5052)] = 202440,
  [SMALL_STATE(5053)] = 202503,
  [SMALL_STATE(5054)] = 202548,
  [SMALL_STATE(5055)] = 202611,
  [SMALL_STATE(5056)] = 202674,
  [SMALL_STATE(5057)] = 202737,
  [SMALL_STATE(5058)] = 202800,
  [SMALL_STATE(5059)] = 202863,
  [SMALL_STATE(5060)] = 202926,
  [SMALL_STATE(5061)] = 202989,
  [SMALL_STATE(5062)] = 203052,
  [SMALL_STATE(5063)] = 203089,
  [SMALL_STATE(5064)] = 203152,
  [SMALL_STATE(5065)] = 203215,
  [SMALL_STATE(5066)] = 203278,
  [SMALL_STATE(5067)] = 203341,
  [SMALL_STATE(5068)] = 203404,
  [SMALL_STATE(5069)] = 203467,
  [SMALL_STATE(5070)] = 203530,
  [SMALL_STATE(5071)] = 203593,
  [SMALL_STATE(5072)] = 203656,
  [SMALL_STATE(5073)] = 203719,
  [SMALL_STATE(5074)] = 203782,
  [SMALL_STATE(5075)] = 203845,
  [SMALL_STATE(5076)] = 203908,
  [SMALL_STATE(5077)] = 203970,
  [SMALL_STATE(5078)] = 204032,
  [SMALL_STATE(5079)] = 204094,
  [SMALL_STATE(5080)] = 204156,
  [SMALL_STATE(5081)] = 204218,
  [SMALL_STATE(5082)] = 204280,
  [SMALL_STATE(5083)] = 204342,
  [SMALL_STATE(5084)] = 204404,
  [SMALL_STATE(5085)] = 204462,
  [SMALL_STATE(5086)] = 204524,
  [SMALL_STATE(5087)] = 204586,
  [SMALL_STATE(5088)] = 204644,
  [SMALL_STATE(5089)] = 204706,
  [SMALL_STATE(5090)] = 204764,
  [SMALL_STATE(5091)] = 204822,
  [SMALL_STATE(5092)] = 204884,
  [SMALL_STATE(5093)] = 204935,
  [SMALL_STATE(5094)] = 204996,
  [SMALL_STATE(5095)] = 205057,
  [SMALL_STATE(5096)] = 205118,
  [SMALL_STATE(5097)] = 205179,
  [SMALL_STATE(5098)] = 205240,
  [SMALL_STATE(5099)] = 205301,
  [SMALL_STATE(5100)] = 205362,
  [SMALL_STATE(5101)] = 205423,
  [SMALL_STATE(5102)] = 205484,
  [SMALL_STATE(5103)] = 205535,
  [SMALL_STATE(5104)] = 205596,
  [SMALL_STATE(5105)] = 205657,
  [SMALL_STATE(5106)] = 205718,
  [SMALL_STATE(5107)] = 205779,
  [SMALL_STATE(5108)] = 205833,
  [SMALL_STATE(5109)] = 205865,
  [SMALL_STATE(5110)] = 205913,
  [SMALL_STATE(5111)] = 205945,
  [SMALL_STATE(5112)] = 206004,
  [SMALL_STATE(5113)] = 206075,
  [SMALL_STATE(5114)] = 206122,
  [SMALL_STATE(5115)] = 206181,
  [SMALL_STATE(5116)] = 206240,
  [SMALL_STATE(5117)] = 206299,
  [SMALL_STATE(5118)] = 206358,
  [SMALL_STATE(5119)] = 206397,
  [SMALL_STATE(5120)] = 206436,
  [SMALL_STATE(5121)] = 206495,
  [SMALL_STATE(5122)] = 206554,
  [SMALL_STATE(5123)] = 206613,
  [SMALL_STATE(5124)] = 206684,
  [SMALL_STATE(5125)] = 206755,
  [SMALL_STATE(5126)] = 206814,
  [SMALL_STATE(5127)] = 206873,
  [SMALL_STATE(5128)] = 206932,
  [SMALL_STATE(5129)] = 206991,
  [SMALL_STATE(5130)] = 207043,
  [SMALL_STATE(5131)] = 207095,
  [SMALL_STATE(5132)] = 207147,
  [SMALL_STATE(5133)] = 207199,
  [SMALL_STATE(5134)] = 207251,
  [SMALL_STATE(5135)] = 207303,
  [SMALL_STATE(5136)] = 207355,
  [SMALL_STATE(5137)] = 207407,
  [SMALL_STATE(5138)] = 207459,
  [SMALL_STATE(5139)] = 207511,
  [SMALL_STATE(5140)] = 207563,
  [SMALL_STATE(5141)] = 207615,
  [SMALL_STATE(5142)] = 207667,
  [SMALL_STATE(5143)] = 207719,
  [SMALL_STATE(5144)] = 207771,
  [SMALL_STATE(5145)] = 207823,
  [SMALL_STATE(5146)] = 207875,
  [SMALL_STATE(5147)] = 207927,
  [SMALL_STATE(5148)] = 207979,
  [SMALL_STATE(5149)] = 208009,
  [SMALL_STATE(5150)] = 208061,
  [SMALL_STATE(5151)] = 208113,
  [SMALL_STATE(5152)] = 208165,
  [SMALL_STATE(5153)] = 208217,
  [SMALL_STATE(5154)] = 208269,
  [SMALL_STATE(5155)] = 208321,
  [SMALL_STATE(5156)] = 208391,
  [SMALL_STATE(5157)] = 208443,
  [SMALL_STATE(5158)] = 208495,
  [SMALL_STATE(5159)] = 208541,
  [SMALL_STATE(5160)] = 208575,
  [SMALL_STATE(5161)] = 208627,
  [SMALL_STATE(5162)] = 208679,
  [SMALL_STATE(5163)] = 208731,
  [SMALL_STATE(5164)] = 208777,
  [SMALL_STATE(5165)] = 208829,
  [SMALL_STATE(5166)] = 208881,
  [SMALL_STATE(5167)] = 208933,
  [SMALL_STATE(5168)] = 208985,
  [SMALL_STATE(5169)] = 209037,
  [SMALL_STATE(5170)] = 209107,
  [SMALL_STATE(5171)] = 209159,
  [SMALL_STATE(5172)] = 209211,
  [SMALL_STATE(5173)] = 209263,
  [SMALL_STATE(5174)] = 209315,
  [SMALL_STATE(5175)] = 209385,
  [SMALL_STATE(5176)] = 209437,
  [SMALL_STATE(5177)] = 209489,
  [SMALL_STATE(5178)] = 209548,
  [SMALL_STATE(5179)] = 209581,
  [SMALL_STATE(5180)] = 209626,
  [SMALL_STATE(5181)] = 209685,
  [SMALL_STATE(5182)] = 209746,
  [SMALL_STATE(5183)] = 209805,
  [SMALL_STATE(5184)] = 209864,
  [SMALL_STATE(5185)] = 209925,
  [SMALL_STATE(5186)] = 209984,
  [SMALL_STATE(5187)] = 210043,
  [SMALL_STATE(5188)] = 210104,
  [SMALL_STATE(5189)] = 210163,
  [SMALL_STATE(5190)] = 210222,
  [SMALL_STATE(5191)] = 210281,
  [SMALL_STATE(5192)] = 210340,
  [SMALL_STATE(5193)] = 210399,
  [SMALL_STATE(5194)] = 210442,
  [SMALL_STATE(5195)] = 210501,
  [SMALL_STATE(5196)] = 210560,
  [SMALL_STATE(5197)] = 210619,
  [SMALL_STATE(5198)] = 210678,
  [SMALL_STATE(5199)] = 210737,
  [SMALL_STATE(5200)] = 210796,
  [SMALL_STATE(5201)] = 210855,
  [SMALL_STATE(5202)] = 210914,
  [SMALL_STATE(5203)] = 210973,
  [SMALL_STATE(5204)] = 211032,
  [SMALL_STATE(5205)] = 211091,
  [SMALL_STATE(5206)] = 211150,
  [SMALL_STATE(5207)] = 211209,
  [SMALL_STATE(5208)] = 211246,
  [SMALL_STATE(5209)] = 211305,
  [SMALL_STATE(5210)] = 211364,
  [SMALL_STATE(5211)] = 211423,
  [SMALL_STATE(5212)] = 211482,
  [SMALL_STATE(5213)] = 211541,
  [SMALL_STATE(5214)] = 211600,
  [SMALL_STATE(5215)] = 211659,
  [SMALL_STATE(5216)] = 211718,
  [SMALL_STATE(5217)] = 211777,
  [SMALL_STATE(5218)] = 211836,
  [SMALL_STATE(5219)] = 211895,
  [SMALL_STATE(5220)] = 211932,
  [SMALL_STATE(5221)] = 211991,
  [SMALL_STATE(5222)] = 212050,
  [SMALL_STATE(5223)] = 212109,
  [SMALL_STATE(5224)] = 212168,
  [SMALL_STATE(5225)] = 212227,
  [SMALL_STATE(5226)] = 212286,
  [SMALL_STATE(5227)] = 212345,
  [SMALL_STATE(5228)] = 212404,
  [SMALL_STATE(5229)] = 212467,
  [SMALL_STATE(5230)] = 212526,
  [SMALL_STATE(5231)] = 212581,
  [SMALL_STATE(5232)] = 212642,
  [SMALL_STATE(5233)] = 212685,
  [SMALL_STATE(5234)] = 212746,
  [SMALL_STATE(5235)] = 212805,
  [SMALL_STATE(5236)] = 212866,
  [SMALL_STATE(5237)] = 212925,
  [SMALL_STATE(5238)] = 212984,
  [SMALL_STATE(5239)] = 213043,
  [SMALL_STATE(5240)] = 213102,
  [SMALL_STATE(5241)] = 213161,
  [SMALL_STATE(5242)] = 213220,
  [SMALL_STATE(5243)] = 213279,
  [SMALL_STATE(5244)] = 213334,
  [SMALL_STATE(5245)] = 213393,
  [SMALL_STATE(5246)] = 213452,
  [SMALL_STATE(5247)] = 213511,
  [SMALL_STATE(5248)] = 213570,
  [SMALL_STATE(5249)] = 213629,
  [SMALL_STATE(5250)] = 213688,
  [SMALL_STATE(5251)] = 213731,
  [SMALL_STATE(5252)] = 213790,
  [SMALL_STATE(5253)] = 213849,
  [SMALL_STATE(5254)] = 213908,
  [SMALL_STATE(5255)] = 213967,
  [SMALL_STATE(5256)] = 214026,
  [SMALL_STATE(5257)] = 214085,
  [SMALL_STATE(5258)] = 214144,
  [SMALL_STATE(5259)] = 214203,
  [SMALL_STATE(5260)] = 214262,
  [SMALL_STATE(5261)] = 214321,
  [SMALL_STATE(5262)] = 214380,
  [SMALL_STATE(5263)] = 214439,
  [SMALL_STATE(5264)] = 214498,
  [SMALL_STATE(5265)] = 214557,
  [SMALL_STATE(5266)] = 214616,
  [SMALL_STATE(5267)] = 214675,
  [SMALL_STATE(5268)] = 214734,
  [SMALL_STATE(5269)] = 214793,
  [SMALL_STATE(5270)] = 214852,
  [SMALL_STATE(5271)] = 214911,
  [SMALL_STATE(5272)] = 214970,
  [SMALL_STATE(5273)] = 215029,
  [SMALL_STATE(5274)] = 215088,
  [SMALL_STATE(5275)] = 215147,
  [SMALL_STATE(5276)] = 215206,
  [SMALL_STATE(5277)] = 215261,
  [SMALL_STATE(5278)] = 215320,
  [SMALL_STATE(5279)] = 215381,
  [SMALL_STATE(5280)] = 215440,
  [SMALL_STATE(5281)] = 215499,
  [SMALL_STATE(5282)] = 215558,
  [SMALL_STATE(5283)] = 215617,
  [SMALL_STATE(5284)] = 215676,
  [SMALL_STATE(5285)] = 215735,
  [SMALL_STATE(5286)] = 215775,
  [SMALL_STATE(5287)] = 215811,
  [SMALL_STATE(5288)] = 215851,
  [SMALL_STATE(5289)] = 215891,
  [SMALL_STATE(5290)] = 215931,
  [SMALL_STATE(5291)] = 215971,
  [SMALL_STATE(5292)] = 216011,
  [SMALL_STATE(5293)] = 216051,
  [SMALL_STATE(5294)] = 216091,
  [SMALL_STATE(5295)] = 216155,
  [SMALL_STATE(5296)] = 216195,
  [SMALL_STATE(5297)] = 216225,
  [SMALL_STATE(5298)] = 216265,
  [SMALL_STATE(5299)] = 216305,
  [SMALL_STATE(5300)] = 216345,
  [SMALL_STATE(5301)] = 216377,
  [SMALL_STATE(5302)] = 216417,
  [SMALL_STATE(5303)] = 216457,
  [SMALL_STATE(5304)] = 216497,
  [SMALL_STATE(5305)] = 216537,
  [SMALL_STATE(5306)] = 216589,
  [SMALL_STATE(5307)] = 216629,
  [SMALL_STATE(5308)] = 216661,
  [SMALL_STATE(5309)] = 216701,
  [SMALL_STATE(5310)] = 216737,
  [SMALL_STATE(5311)] = 216765,
  [SMALL_STATE(5312)] = 216805,
  [SMALL_STATE(5313)] = 216833,
  [SMALL_STATE(5314)] = 216861,
  [SMALL_STATE(5315)] = 216889,
  [SMALL_STATE(5316)] = 216917,
  [SMALL_STATE(5317)] = 216967,
  [SMALL_STATE(5318)] = 216995,
  [SMALL_STATE(5319)] = 217023,
  [SMALL_STATE(5320)] = 217063,
  [SMALL_STATE(5321)] = 217099,
  [SMALL_STATE(5322)] = 217129,
  [SMALL_STATE(5323)] = 217179,
  [SMALL_STATE(5324)] = 217219,
  [SMALL_STATE(5325)] = 217259,
  [SMALL_STATE(5326)] = 217299,
  [SMALL_STATE(5327)] = 217349,
  [SMALL_STATE(5328)] = 217385,
  [SMALL_STATE(5329)] = 217415,
  [SMALL_STATE(5330)] = 217479,
  [SMALL_STATE(5331)] = 217519,
  [SMALL_STATE(5332)] = 217547,
  [SMALL_STATE(5333)] = 217597,
  [SMALL_STATE(5334)] = 217637,
  [SMALL_STATE(5335)] = 217665,
  [SMALL_STATE(5336)] = 217693,
  [SMALL_STATE(5337)] = 217725,
  [SMALL_STATE(5338)] = 217775,
  [SMALL_STATE(5339)] = 217803,
  [SMALL_STATE(5340)] = 217851,
  [SMALL_STATE(5341)] = 217897,
  [SMALL_STATE(5342)] = 217943,
  [SMALL_STATE(5343)] = 217993,
  [SMALL_STATE(5344)] = 218033,
  [SMALL_STATE(5345)] = 218083,
  [SMALL_STATE(5346)] = 218127,
  [SMALL_STATE(5347)] = 218167,
  [SMALL_STATE(5348)] = 218209,
  [SMALL_STATE(5349)] = 218249,
  [SMALL_STATE(5350)] = 218285,
  [SMALL_STATE(5351)] = 218319,
  [SMALL_STATE(5352)] = 218359,
  [SMALL_STATE(5353)] = 218387,
  [SMALL_STATE(5354)] = 218427,
  [SMALL_STATE(5355)] = 218467,
  [SMALL_STATE(5356)] = 218531,
  [SMALL_STATE(5357)] = 218571,
  [SMALL_STATE(5358)] = 218611,
  [SMALL_STATE(5359)] = 218647,
  [SMALL_STATE(5360)] = 218687,
  [SMALL_STATE(5361)] = 218719,
  [SMALL_STATE(5362)] = 218759,
  [SMALL_STATE(5363)] = 218799,
  [SMALL_STATE(5364)] = 218839,
  [SMALL_STATE(5365)] = 218875,
  [SMALL_STATE(5366)] = 218939,
  [SMALL_STATE(5367)] = 218975,
  [SMALL_STATE(5368)] = 219011,
  [SMALL_STATE(5369)] = 219047,
  [SMALL_STATE(5370)] = 219111,
  [SMALL_STATE(5371)] = 219147,
  [SMALL_STATE(5372)] = 219183,
  [SMALL_STATE(5373)] = 219223,
  [SMALL_STATE(5374)] = 219273,
  [SMALL_STATE(5375)] = 219313,
  [SMALL_STATE(5376)] = 219363,
  [SMALL_STATE(5377)] = 219413,
  [SMALL_STATE(5378)] = 219463,
  [SMALL_STATE(5379)] = 219491,
  [SMALL_STATE(5380)] = 219519,
  [SMALL_STATE(5381)] = 219547,
  [SMALL_STATE(5382)] = 219575,
  [SMALL_STATE(5383)] = 219603,
  [SMALL_STATE(5384)] = 219667,
  [SMALL_STATE(5385)] = 219707,
  [SMALL_STATE(5386)] = 219735,
  [SMALL_STATE(5387)] = 219771,
  [SMALL_STATE(5388)] = 219811,
  [SMALL_STATE(5389)] = 219843,
  [SMALL_STATE(5390)] = 219871,
  [SMALL_STATE(5391)] = 219899,
  [SMALL_STATE(5392)] = 219935,
  [SMALL_STATE(5393)] = 219971,
  [SMALL_STATE(5394)] = 220035,
  [SMALL_STATE(5395)] = 220071,
  [SMALL_STATE(5396)] = 220107,
  [SMALL_STATE(5397)] = 220143,
  [SMALL_STATE(5398)] = 220179,
  [SMALL_STATE(5399)] = 220207,
  [SMALL_STATE(5400)] = 220257,
  [SMALL_STATE(5401)] = 220307,
  [SMALL_STATE(5402)] = 220335,
  [SMALL_STATE(5403)] = 220399,
  [SMALL_STATE(5404)] = 220435,
  [SMALL_STATE(5405)] = 220485,
  [SMALL_STATE(5406)] = 220525,
  [SMALL_STATE(5407)] = 220589,
  [SMALL_STATE(5408)] = 220629,
  [SMALL_STATE(5409)] = 220669,
  [SMALL_STATE(5410)] = 220697,
  [SMALL_STATE(5411)] = 220737,
  [SMALL_STATE(5412)] = 220765,
  [SMALL_STATE(5413)] = 220815,
  [SMALL_STATE(5414)] = 220879,
  [SMALL_STATE(5415)] = 220911,
  [SMALL_STATE(5416)] = 220951,
  [SMALL_STATE(5417)] = 220983,
  [SMALL_STATE(5418)] = 221011,
  [SMALL_STATE(5419)] = 221055,
  [SMALL_STATE(5420)] = 221095,
  [SMALL_STATE(5421)] = 221123,
  [SMALL_STATE(5422)] = 221151,
  [SMALL_STATE(5423)] = 221203,
  [SMALL_STATE(5424)] = 221231,
  [SMALL_STATE(5425)] = 221271,
  [SMALL_STATE(5426)] = 221321,
  [SMALL_STATE(5427)] = 221357,
  [SMALL_STATE(5428)] = 221397,
  [SMALL_STATE(5429)] = 221461,
  [SMALL_STATE(5430)] = 221489,
  [SMALL_STATE(5431)] = 221529,
  [SMALL_STATE(5432)] = 221569,
  [SMALL_STATE(5433)] = 221609,
  [SMALL_STATE(5434)] = 221649,
  [SMALL_STATE(5435)] = 221689,
  [SMALL_STATE(5436)] = 221753,
  [SMALL_STATE(5437)] = 221781,
  [SMALL_STATE(5438)] = 221845,
  [SMALL_STATE(5439)] = 221895,
  [SMALL_STATE(5440)] = 221959,
  [SMALL_STATE(5441)] = 221999,
  [SMALL_STATE(5442)] = 222051,
  [SMALL_STATE(5443)] = 222079,
  [SMALL_STATE(5444)] = 222129,
  [SMALL_STATE(5445)] = 222179,
  [SMALL_STATE(5446)] = 222207,
  [SMALL_STATE(5447)] = 222247,
  [SMALL_STATE(5448)] = 222279,
  [SMALL_STATE(5449)] = 222318,
  [SMALL_STATE(5450)] = 222357,
  [SMALL_STATE(5451)] = 222402,
  [SMALL_STATE(5452)] = 222445,
  [SMALL_STATE(5453)] = 222492,
  [SMALL_STATE(5454)] = 222537,
  [SMALL_STATE(5455)] = 222584,
  [SMALL_STATE(5456)] = 222631,
  [SMALL_STATE(5457)] = 222688,
  [SMALL_STATE(5458)] = 222719,
  [SMALL_STATE(5459)] = 222758,
  [SMALL_STATE(5460)] = 222789,
  [SMALL_STATE(5461)] = 222834,
  [SMALL_STATE(5462)] = 222881,
  [SMALL_STATE(5463)] = 222926,
  [SMALL_STATE(5464)] = 222957,
  [SMALL_STATE(5465)] = 223014,
  [SMALL_STATE(5466)] = 223041,
  [SMALL_STATE(5467)] = 223068,
  [SMALL_STATE(5468)] = 223113,
  [SMALL_STATE(5469)] = 223158,
  [SMALL_STATE(5470)] = 223197,
  [SMALL_STATE(5471)] = 223254,
  [SMALL_STATE(5472)] = 223281,
  [SMALL_STATE(5473)] = 223328,
  [SMALL_STATE(5474)] = 223385,
  [SMALL_STATE(5475)] = 223412,
  [SMALL_STATE(5476)] = 223459,
  [SMALL_STATE(5477)] = 223488,
  [SMALL_STATE(5478)] = 223535,
  [SMALL_STATE(5479)] = 223580,
  [SMALL_STATE(5480)] = 223625,
  [SMALL_STATE(5481)] = 223674,
  [SMALL_STATE(5482)] = 223701,
  [SMALL_STATE(5483)] = 223728,
  [SMALL_STATE(5484)] = 223767,
  [SMALL_STATE(5485)] = 223812,
  [SMALL_STATE(5486)] = 223851,
  [SMALL_STATE(5487)] = 223896,
  [SMALL_STATE(5488)] = 223943,
  [SMALL_STATE(5489)] = 224000,
  [SMALL_STATE(5490)] = 224043,
  [SMALL_STATE(5491)] = 224088,
  [SMALL_STATE(5492)] = 224119,
  [SMALL_STATE(5493)] = 224166,
  [SMALL_STATE(5494)] = 224211,
  [SMALL_STATE(5495)] = 224252,
  [SMALL_STATE(5496)] = 224279,
  [SMALL_STATE(5497)] = 224334,
  [SMALL_STATE(5498)] = 224379,
  [SMALL_STATE(5499)] = 224418,
  [SMALL_STATE(5500)] = 224455,
  [SMALL_STATE(5501)] = 224502,
  [SMALL_STATE(5502)] = 224529,
  [SMALL_STATE(5503)] = 224586,
  [SMALL_STATE(5504)] = 224621,
  [SMALL_STATE(5505)] = 224648,
  [SMALL_STATE(5506)] = 224681,
  [SMALL_STATE(5507)] = 224728,
  [SMALL_STATE(5508)] = 224767,
  [SMALL_STATE(5509)] = 224798,
  [SMALL_STATE(5510)] = 224843,
  [SMALL_STATE(5511)] = 224892,
  [SMALL_STATE(5512)] = 224931,
  [SMALL_STATE(5513)] = 224976,
  [SMALL_STATE(5514)] = 225003,
  [SMALL_STATE(5515)] = 225050,
  [SMALL_STATE(5516)] = 225102,
  [SMALL_STATE(5517)] = 225128,
  [SMALL_STATE(5518)] = 225164,
  [SMALL_STATE(5519)] = 225190,
  [SMALL_STATE(5520)] = 225216,
  [SMALL_STATE(5521)] = 225242,
  [SMALL_STATE(5522)] = 225268,
  [SMALL_STATE(5523)] = 225320,
  [SMALL_STATE(5524)] = 225372,
  [SMALL_STATE(5525)] = 225398,
  [SMALL_STATE(5526)] = 225434,
  [SMALL_STATE(5527)] = 225460,
  [SMALL_STATE(5528)] = 225508,
  [SMALL_STATE(5529)] = 225534,
  [SMALL_STATE(5530)] = 225560,
  [SMALL_STATE(5531)] = 225586,
  [SMALL_STATE(5532)] = 225622,
  [SMALL_STATE(5533)] = 225648,
  [SMALL_STATE(5534)] = 225700,
  [SMALL_STATE(5535)] = 225736,
  [SMALL_STATE(5536)] = 225784,
  [SMALL_STATE(5537)] = 225810,
  [SMALL_STATE(5538)] = 225836,
  [SMALL_STATE(5539)] = 225862,
  [SMALL_STATE(5540)] = 225910,
  [SMALL_STATE(5541)] = 225964,
  [SMALL_STATE(5542)] = 225990,
  [SMALL_STATE(5543)] = 226042,
  [SMALL_STATE(5544)] = 226068,
  [SMALL_STATE(5545)] = 226094,
  [SMALL_STATE(5546)] = 226136,
  [SMALL_STATE(5547)] = 226162,
  [SMALL_STATE(5548)] = 226188,
  [SMALL_STATE(5549)] = 226224,
  [SMALL_STATE(5550)] = 226260,
  [SMALL_STATE(5551)] = 226308,
  [SMALL_STATE(5552)] = 226344,
  [SMALL_STATE(5553)] = 226380,
  [SMALL_STATE(5554)] = 226406,
  [SMALL_STATE(5555)] = 226432,
  [SMALL_STATE(5556)] = 226481,
  [SMALL_STATE(5557)] = 226518,
  [SMALL_STATE(5558)] = 226567,
  [SMALL_STATE(5559)] = 226616,
  [SMALL_STATE(5560)] = 226643,
  [SMALL_STATE(5561)] = 226692,
  [SMALL_STATE(5562)] = 226729,
  [SMALL_STATE(5563)] = 226760,
  [SMALL_STATE(5564)] = 226797,
  [SMALL_STATE(5565)] = 226846,
  [SMALL_STATE(5566)] = 226887,
  [SMALL_STATE(5567)] = 226918,
  [SMALL_STATE(5568)] = 226949,
  [SMALL_STATE(5569)] = 226986,
  [SMALL_STATE(5570)] = 227035,
  [SMALL_STATE(5571)] = 227084,
  [SMALL_STATE(5572)] = 227109,
  [SMALL_STATE(5573)] = 227156,
  [SMALL_STATE(5574)] = 227193,
  [SMALL_STATE(5575)] = 227224,
  [SMALL_STATE(5576)] = 227265,
  [SMALL_STATE(5577)] = 227302,
  [SMALL_STATE(5578)] = 227339,
  [SMALL_STATE(5579)] = 227376,
  [SMALL_STATE(5580)] = 227407,
  [SMALL_STATE(5581)] = 227456,
  [SMALL_STATE(5582)] = 227493,
  [SMALL_STATE(5583)] = 227536,
  [SMALL_STATE(5584)] = 227585,
  [SMALL_STATE(5585)] = 227622,
  [SMALL_STATE(5586)] = 227659,
  [SMALL_STATE(5587)] = 227702,
  [SMALL_STATE(5588)] = 227739,
  [SMALL_STATE(5589)] = 227788,
  [SMALL_STATE(5590)] = 227819,
  [SMALL_STATE(5591)] = 227852,
  [SMALL_STATE(5592)] = 227901,
  [SMALL_STATE(5593)] = 227932,
  [SMALL_STATE(5594)] = 227981,
  [SMALL_STATE(5595)] = 228006,
  [SMALL_STATE(5596)] = 228043,
  [SMALL_STATE(5597)] = 228086,
  [SMALL_STATE(5598)] = 228135,
  [SMALL_STATE(5599)] = 228178,
  [SMALL_STATE(5600)] = 228227,
  [SMALL_STATE(5601)] = 228276,
  [SMALL_STATE(5602)] = 228325,
  [SMALL_STATE(5603)] = 228362,
  [SMALL_STATE(5604)] = 228399,
  [SMALL_STATE(5605)] = 228448,
  [SMALL_STATE(5606)] = 228485,
  [SMALL_STATE(5607)] = 228534,
  [SMALL_STATE(5608)] = 228583,
  [SMALL_STATE(5609)] = 228632,
  [SMALL_STATE(5610)] = 228664,
  [SMALL_STATE(5611)] = 228704,
  [SMALL_STATE(5612)] = 228744,
  [SMALL_STATE(5613)] = 228774,
  [SMALL_STATE(5614)] = 228814,
  [SMALL_STATE(5615)] = 228854,
  [SMALL_STATE(5616)] = 228894,
  [SMALL_STATE(5617)] = 228934,
  [SMALL_STATE(5618)] = 228964,
  [SMALL_STATE(5619)] = 228994,
  [SMALL_STATE(5620)] = 229034,
  [SMALL_STATE(5621)] = 229058,
  [SMALL_STATE(5622)] = 229088,
  [SMALL_STATE(5623)] = 229128,
  [SMALL_STATE(5624)] = 229168,
  [SMALL_STATE(5625)] = 229200,
  [SMALL_STATE(5626)] = 229232,
  [SMALL_STATE(5627)] = 229268,
  [SMALL_STATE(5628)] = 229298,
  [SMALL_STATE(5629)] = 229330,
  [SMALL_STATE(5630)] = 229352,
  [SMALL_STATE(5631)] = 229374,
  [SMALL_STATE(5632)] = 229414,
  [SMALL_STATE(5633)] = 229440,
  [SMALL_STATE(5634)] = 229480,
  [SMALL_STATE(5635)] = 229512,
  [SMALL_STATE(5636)] = 229540,
  [SMALL_STATE(5637)] = 229572,
  [SMALL_STATE(5638)] = 229608,
  [SMALL_STATE(5639)] = 229640,
  [SMALL_STATE(5640)] = 229672,
  [SMALL_STATE(5641)] = 229708,
  [SMALL_STATE(5642)] = 229732,
  [SMALL_STATE(5643)] = 229768,
  [SMALL_STATE(5644)] = 229808,
  [SMALL_STATE(5645)] = 229838,
  [SMALL_STATE(5646)] = 229866,
  [SMALL_STATE(5647)] = 229892,
  [SMALL_STATE(5648)] = 229932,
  [SMALL_STATE(5649)] = 229972,
  [SMALL_STATE(5650)] = 229994,
  [SMALL_STATE(5651)] = 230034,
  [SMALL_STATE(5652)] = 230056,
  [SMALL_STATE(5653)] = 230078,
  [SMALL_STATE(5654)] = 230100,
  [SMALL_STATE(5655)] = 230140,
  [SMALL_STATE(5656)] = 230162,
  [SMALL_STATE(5657)] = 230198,
  [SMALL_STATE(5658)] = 230228,
  [SMALL_STATE(5659)] = 230250,
  [SMALL_STATE(5660)] = 230272,
  [SMALL_STATE(5661)] = 230306,
  [SMALL_STATE(5662)] = 230342,
  [SMALL_STATE(5663)] = 230372,
  [SMALL_STATE(5664)] = 230394,
  [SMALL_STATE(5665)] = 230416,
  [SMALL_STATE(5666)] = 230446,
  [SMALL_STATE(5667)] = 230468,
  [SMALL_STATE(5668)] = 230508,
  [SMALL_STATE(5669)] = 230544,
  [SMALL_STATE(5670)] = 230578,
  [SMALL_STATE(5671)] = 230608,
  [SMALL_STATE(5672)] = 230642,
  [SMALL_STATE(5673)] = 230682,
  [SMALL_STATE(5674)] = 230724,
  [SMALL_STATE(5675)] = 230764,
  [SMALL_STATE(5676)] = 230796,
  [SMALL_STATE(5677)] = 230828,
  [SMALL_STATE(5678)] = 230862,
  [SMALL_STATE(5679)] = 230896,
  [SMALL_STATE(5680)] = 230928,
  [SMALL_STATE(5681)] = 230960,
  [SMALL_STATE(5682)] = 230992,
  [SMALL_STATE(5683)] = 231022,
  [SMALL_STATE(5684)] = 231044,
  [SMALL_STATE(5685)] = 231070,
  [SMALL_STATE(5686)] = 231106,
  [SMALL_STATE(5687)] = 231138,
  [SMALL_STATE(5688)] = 231160,
  [SMALL_STATE(5689)] = 231184,
  [SMALL_STATE(5690)] = 231206,
  [SMALL_STATE(5691)] = 231238,
  [SMALL_STATE(5692)] = 231278,
  [SMALL_STATE(5693)] = 231300,
  [SMALL_STATE(5694)] = 231332,
  [SMALL_STATE(5695)] = 231354,
  [SMALL_STATE(5696)] = 231397,
  [SMALL_STATE(5697)] = 231426,
  [SMALL_STATE(5698)] = 231469,
  [SMALL_STATE(5699)] = 231496,
  [SMALL_STATE(5700)] = 231525,
  [SMALL_STATE(5701)] = 231560,
  [SMALL_STATE(5702)] = 231595,
  [SMALL_STATE(5703)] = 231624,
  [SMALL_STATE(5704)] = 231663,
  [SMALL_STATE(5705)] = 231692,
  [SMALL_STATE(5706)] = 231731,
  [SMALL_STATE(5707)] = 231760,
  [SMALL_STATE(5708)] = 231789,
  [SMALL_STATE(5709)] = 231828,
  [SMALL_STATE(5710)] = 231857,
  [SMALL_STATE(5711)] = 231900,
  [SMALL_STATE(5712)] = 231939,
  [SMALL_STATE(5713)] = 231974,
  [SMALL_STATE(5714)] = 232017,
  [SMALL_STATE(5715)] = 232046,
  [SMALL_STATE(5716)] = 232081,
  [SMALL_STATE(5717)] = 232110,
  [SMALL_STATE(5718)] = 232153,
  [SMALL_STATE(5719)] = 232182,
  [SMALL_STATE(5720)] = 232225,
  [SMALL_STATE(5721)] = 232254,
  [SMALL_STATE(5722)] = 232293,
  [SMALL_STATE(5723)] = 232320,
  [SMALL_STATE(5724)] = 232359,
  [SMALL_STATE(5725)] = 232388,
  [SMALL_STATE(5726)] = 232421,
  [SMALL_STATE(5727)] = 232456,
  [SMALL_STATE(5728)] = 232491,
  [SMALL_STATE(5729)] = 232518,
  [SMALL_STATE(5730)] = 232561,
  [SMALL_STATE(5731)] = 232590,
  [SMALL_STATE(5732)] = 232623,
  [SMALL_STATE(5733)] = 232652,
  [SMALL_STATE(5734)] = 232695,
  [SMALL_STATE(5735)] = 232724,
  [SMALL_STATE(5736)] = 232767,
  [SMALL_STATE(5737)] = 232802,
  [SMALL_STATE(5738)] = 232831,
  [SMALL_STATE(5739)] = 232864,
  [SMALL_STATE(5740)] = 232897,
  [SMALL_STATE(5741)] = 232926,
  [SMALL_STATE(5742)] = 232955,
  [SMALL_STATE(5743)] = 232984,
  [SMALL_STATE(5744)] = 233019,
  [SMALL_STATE(5745)] = 233048,
  [SMALL_STATE(5746)] = 233077,
  [SMALL_STATE(5747)] = 233120,
  [SMALL_STATE(5748)] = 233149,
  [SMALL_STATE(5749)] = 233178,
  [SMALL_STATE(5750)] = 233211,
  [SMALL_STATE(5751)] = 233240,
  [SMALL_STATE(5752)] = 233265,
  [SMALL_STATE(5753)] = 233294,
  [SMALL_STATE(5754)] = 233333,
  [SMALL_STATE(5755)] = 233366,
  [SMALL_STATE(5756)] = 233395,
  [SMALL_STATE(5757)] = 233424,
  [SMALL_STATE(5758)] = 233453,
  [SMALL_STATE(5759)] = 233492,
  [SMALL_STATE(5760)] = 233527,
  [SMALL_STATE(5761)] = 233560,
  [SMALL_STATE(5762)] = 233603,
  [SMALL_STATE(5763)] = 233636,
  [SMALL_STATE(5764)] = 233665,
  [SMALL_STATE(5765)] = 233694,
  [SMALL_STATE(5766)] = 233729,
  [SMALL_STATE(5767)] = 233769,
  [SMALL_STATE(5768)] = 233807,
  [SMALL_STATE(5769)] = 233829,
  [SMALL_STATE(5770)] = 233861,
  [SMALL_STATE(5771)] = 233893,
  [SMALL_STATE(5772)] = 233933,
  [SMALL_STATE(5773)] = 233961,
  [SMALL_STATE(5774)] = 233983,
  [SMALL_STATE(5775)] = 234003,
  [SMALL_STATE(5776)] = 234025,
  [SMALL_STATE(5777)] = 234057,
  [SMALL_STATE(5778)] = 234087,
  [SMALL_STATE(5779)] = 234127,
  [SMALL_STATE(5780)] = 234149,
  [SMALL_STATE(5781)] = 234177,
  [SMALL_STATE(5782)] = 234217,
  [SMALL_STATE(5783)] = 234237,
  [SMALL_STATE(5784)] = 234257,
  [SMALL_STATE(5785)] = 234295,
  [SMALL_STATE(5786)] = 234335,
  [SMALL_STATE(5787)] = 234357,
  [SMALL_STATE(5788)] = 234395,
  [SMALL_STATE(5789)] = 234423,
  [SMALL_STATE(5790)] = 234451,
  [SMALL_STATE(5791)] = 234471,
  [SMALL_STATE(5792)] = 234491,
  [SMALL_STATE(5793)] = 234511,
  [SMALL_STATE(5794)] = 234541,
  [SMALL_STATE(5795)] = 234569,
  [SMALL_STATE(5796)] = 234599,
  [SMALL_STATE(5797)] = 234637,
  [SMALL_STATE(5798)] = 234659,
  [SMALL_STATE(5799)] = 234681,
  [SMALL_STATE(5800)] = 234713,
  [SMALL_STATE(5801)] = 234741,
  [SMALL_STATE(5802)] = 234761,
  [SMALL_STATE(5803)] = 234783,
  [SMALL_STATE(5804)] = 234805,
  [SMALL_STATE(5805)] = 234835,
  [SMALL_STATE(5806)] = 234855,
  [SMALL_STATE(5807)] = 234877,
  [SMALL_STATE(5808)] = 234905,
  [SMALL_STATE(5809)] = 234945,
  [SMALL_STATE(5810)] = 234973,
  [SMALL_STATE(5811)] = 234993,
  [SMALL_STATE(5812)] = 235015,
  [SMALL_STATE(5813)] = 235047,
  [SMALL_STATE(5814)] = 235085,
  [SMALL_STATE(5815)] = 235105,
  [SMALL_STATE(5816)] = 235135,
  [SMALL_STATE(5817)] = 235167,
  [SMALL_STATE(5818)] = 235195,
  [SMALL_STATE(5819)] = 235217,
  [SMALL_STATE(5820)] = 235237,
  [SMALL_STATE(5821)] = 235265,
  [SMALL_STATE(5822)] = 235285,
  [SMALL_STATE(5823)] = 235307,
  [SMALL_STATE(5824)] = 235337,
  [SMALL_STATE(5825)] = 235375,
  [SMALL_STATE(5826)] = 235403,
  [SMALL_STATE(5827)] = 235429,
  [SMALL_STATE(5828)] = 235451,
  [SMALL_STATE(5829)] = 235471,
  [SMALL_STATE(5830)] = 235499,
  [SMALL_STATE(5831)] = 235527,
  [SMALL_STATE(5832)] = 235567,
  [SMALL_STATE(5833)] = 235599,
  [SMALL_STATE(5834)] = 235631,
  [SMALL_STATE(5835)] = 235671,
  [SMALL_STATE(5836)] = 235709,
  [SMALL_STATE(5837)] = 235749,
  [SMALL_STATE(5838)] = 235777,
  [SMALL_STATE(5839)] = 235801,
  [SMALL_STATE(5840)] = 235839,
  [SMALL_STATE(5841)] = 235861,
  [SMALL_STATE(5842)] = 235883,
  [SMALL_STATE(5843)] = 235905,
  [SMALL_STATE(5844)] = 235943,
  [SMALL_STATE(5845)] = 235965,
  [SMALL_STATE(5846)] = 236005,
  [SMALL_STATE(5847)] = 236025,
  [SMALL_STATE(5848)] = 236065,
  [SMALL_STATE(5849)] = 236085,
  [SMALL_STATE(5850)] = 236109,
  [SMALL_STATE(5851)] = 236139,
  [SMALL_STATE(5852)] = 236161,
  [SMALL_STATE(5853)] = 236199,
  [SMALL_STATE(5854)] = 236221,
  [SMALL_STATE(5855)] = 236261,
  [SMALL_STATE(5856)] = 236301,
  [SMALL_STATE(5857)] = 236333,
  [SMALL_STATE(5858)] = 236355,
  [SMALL_STATE(5859)] = 236395,
  [SMALL_STATE(5860)] = 236425,
  [SMALL_STATE(5861)] = 236445,
  [SMALL_STATE(5862)] = 236467,
  [SMALL_STATE(5863)] = 236497,
  [SMALL_STATE(5864)] = 236535,
  [SMALL_STATE(5865)] = 236573,
  [SMALL_STATE(5866)] = 236603,
  [SMALL_STATE(5867)] = 236625,
  [SMALL_STATE(5868)] = 236657,
  [SMALL_STATE(5869)] = 236679,
  [SMALL_STATE(5870)] = 236711,
  [SMALL_STATE(5871)] = 236739,
  [SMALL_STATE(5872)] = 236779,
  [SMALL_STATE(5873)] = 236799,
  [SMALL_STATE(5874)] = 236837,
  [SMALL_STATE(5875)] = 236859,
  [SMALL_STATE(5876)] = 236897,
  [SMALL_STATE(5877)] = 236919,
  [SMALL_STATE(5878)] = 236941,
  [SMALL_STATE(5879)] = 236973,
  [SMALL_STATE(5880)] = 237001,
  [SMALL_STATE(5881)] = 237039,
  [SMALL_STATE(5882)] = 237061,
  [SMALL_STATE(5883)] = 237083,
  [SMALL_STATE(5884)] = 237105,
  [SMALL_STATE(5885)] = 237145,
  [SMALL_STATE(5886)] = 237177,
  [SMALL_STATE(5887)] = 237209,
  [SMALL_STATE(5888)] = 237247,
  [SMALL_STATE(5889)] = 237267,
  [SMALL_STATE(5890)] = 237307,
  [SMALL_STATE(5891)] = 237339,
  [SMALL_STATE(5892)] = 237361,
  [SMALL_STATE(5893)] = 237383,
  [SMALL_STATE(5894)] = 237415,
  [SMALL_STATE(5895)] = 237435,
  [SMALL_STATE(5896)] = 237457,
  [SMALL_STATE(5897)] = 237485,
  [SMALL_STATE(5898)] = 237507,
  [SMALL_STATE(5899)] = 237545,
  [SMALL_STATE(5900)] = 237565,
  [SMALL_STATE(5901)] = 237603,
  [SMALL_STATE(5902)] = 237635,
  [SMALL_STATE(5903)] = 237675,
  [SMALL_STATE(5904)] = 237715,
  [SMALL_STATE(5905)] = 237735,
  [SMALL_STATE(5906)] = 237773,
  [SMALL_STATE(5907)] = 237805,
  [SMALL_STATE(5908)] = 237833,
  [SMALL_STATE(5909)] = 237866,
  [SMALL_STATE(5910)] = 237893,
  [SMALL_STATE(5911)] = 237928,
  [SMALL_STATE(5912)] = 237961,
  [SMALL_STATE(5913)] = 237994,
  [SMALL_STATE(5914)] = 238021,
  [SMALL_STATE(5915)] = 238060,
  [SMALL_STATE(5916)] = 238099,
  [SMALL_STATE(5917)] = 238126,
  [SMALL_STATE(5918)] = 238153,
  [SMALL_STATE(5919)] = 238186,
  [SMALL_STATE(5920)] = 238213,
  [SMALL_STATE(5921)] = 238246,
  [SMALL_STATE(5922)] = 238273,
  [SMALL_STATE(5923)] = 238306,
  [SMALL_STATE(5924)] = 238341,
  [SMALL_STATE(5925)] = 238374,
  [SMALL_STATE(5926)] = 238409,
  [SMALL_STATE(5927)] = 238444,
  [SMALL_STATE(5928)] = 238477,
  [SMALL_STATE(5929)] = 238510,
  [SMALL_STATE(5930)] = 238543,
  [SMALL_STATE(5931)] = 238576,
  [SMALL_STATE(5932)] = 238611,
  [SMALL_STATE(5933)] = 238646,
  [SMALL_STATE(5934)] = 238671,
  [SMALL_STATE(5935)] = 238710,
  [SMALL_STATE(5936)] = 238743,
  [SMALL_STATE(5937)] = 238776,
  [SMALL_STATE(5938)] = 238809,
  [SMALL_STATE(5939)] = 238836,
  [SMALL_STATE(5940)] = 238863,
  [SMALL_STATE(5941)] = 238896,
  [SMALL_STATE(5942)] = 238929,
  [SMALL_STATE(5943)] = 238962,
  [SMALL_STATE(5944)] = 238989,
  [SMALL_STATE(5945)] = 239016,
  [SMALL_STATE(5946)] = 239043,
  [SMALL_STATE(5947)] = 239070,
  [SMALL_STATE(5948)] = 239097,
  [SMALL_STATE(5949)] = 239124,
  [SMALL_STATE(5950)] = 239157,
  [SMALL_STATE(5951)] = 239184,
  [SMALL_STATE(5952)] = 239221,
  [SMALL_STATE(5953)] = 239246,
  [SMALL_STATE(5954)] = 239279,
  [SMALL_STATE(5955)] = 239318,
  [SMALL_STATE(5956)] = 239353,
  [SMALL_STATE(5957)] = 239386,
  [SMALL_STATE(5958)] = 239419,
  [SMALL_STATE(5959)] = 239458,
  [SMALL_STATE(5960)] = 239493,
  [SMALL_STATE(5961)] = 239530,
  [SMALL_STATE(5962)] = 239563,
  [SMALL_STATE(5963)] = 239596,
  [SMALL_STATE(5964)] = 239623,
  [SMALL_STATE(5965)] = 239656,
  [SMALL_STATE(5966)] = 239689,
  [SMALL_STATE(5967)] = 239722,
  [SMALL_STATE(5968)] = 239757,
  [SMALL_STATE(5969)] = 239792,
  [SMALL_STATE(5970)] = 239827,
  [SMALL_STATE(5971)] = 239860,
  [SMALL_STATE(5972)] = 239893,
  [SMALL_STATE(5973)] = 239929,
  [SMALL_STATE(5974)] = 239951,
  [SMALL_STATE(5975)] = 239987,
  [SMALL_STATE(5976)] = 240013,
  [SMALL_STATE(5977)] = 240049,
  [SMALL_STATE(5978)] = 240079,
  [SMALL_STATE(5979)] = 240101,
  [SMALL_STATE(5980)] = 240127,
  [SMALL_STATE(5981)] = 240153,
  [SMALL_STATE(5982)] = 240189,
  [SMALL_STATE(5983)] = 240215,
  [SMALL_STATE(5984)] = 240241,
  [SMALL_STATE(5985)] = 240267,
  [SMALL_STATE(5986)] = 240303,
  [SMALL_STATE(5987)] = 240333,
  [SMALL_STATE(5988)] = 240359,
  [SMALL_STATE(5989)] = 240387,
  [SMALL_STATE(5990)] = 240423,
  [SMALL_STATE(5991)] = 240453,
  [SMALL_STATE(5992)] = 240489,
  [SMALL_STATE(5993)] = 240525,
  [SMALL_STATE(5994)] = 240551,
  [SMALL_STATE(5995)] = 240579,
  [SMALL_STATE(5996)] = 240607,
  [SMALL_STATE(5997)] = 240633,
  [SMALL_STATE(5998)] = 240663,
  [SMALL_STATE(5999)] = 240689,
  [SMALL_STATE(6000)] = 240715,
  [SMALL_STATE(6001)] = 240745,
  [SMALL_STATE(6002)] = 240771,
  [SMALL_STATE(6003)] = 240807,
  [SMALL_STATE(6004)] = 240835,
  [SMALL_STATE(6005)] = 240855,
  [SMALL_STATE(6006)] = 240881,
  [SMALL_STATE(6007)] = 240917,
  [SMALL_STATE(6008)] = 240947,
  [SMALL_STATE(6009)] = 240977,
  [SMALL_STATE(6010)] = 241007,
  [SMALL_STATE(6011)] = 241033,
  [SMALL_STATE(6012)] = 241063,
  [SMALL_STATE(6013)] = 241099,
  [SMALL_STATE(6014)] = 241125,
  [SMALL_STATE(6015)] = 241155,
  [SMALL_STATE(6016)] = 241191,
  [SMALL_STATE(6017)] = 241227,
  [SMALL_STATE(6018)] = 241257,
  [SMALL_STATE(6019)] = 241287,
  [SMALL_STATE(6020)] = 241323,
  [SMALL_STATE(6021)] = 241359,
  [SMALL_STATE(6022)] = 241383,
  [SMALL_STATE(6023)] = 241419,
  [SMALL_STATE(6024)] = 241445,
  [SMALL_STATE(6025)] = 241465,
  [SMALL_STATE(6026)] = 241501,
  [SMALL_STATE(6027)] = 241527,
  [SMALL_STATE(6028)] = 241551,
  [SMALL_STATE(6029)] = 241579,
  [SMALL_STATE(6030)] = 241609,
  [SMALL_STATE(6031)] = 241633,
  [SMALL_STATE(6032)] = 241669,
  [SMALL_STATE(6033)] = 241705,
  [SMALL_STATE(6034)] = 241731,
  [SMALL_STATE(6035)] = 241760,
  [SMALL_STATE(6036)] = 241779,
  [SMALL_STATE(6037)] = 241810,
  [SMALL_STATE(6038)] = 241845,
  [SMALL_STATE(6039)] = 241872,
  [SMALL_STATE(6040)] = 241901,
  [SMALL_STATE(6041)] = 241932,
  [SMALL_STATE(6042)] = 241951,
  [SMALL_STATE(6043)] = 241982,
  [SMALL_STATE(6044)] = 242011,
  [SMALL_STATE(6045)] = 242030,
  [SMALL_STATE(6046)] = 242055,
  [SMALL_STATE(6047)] = 242078,
  [SMALL_STATE(6048)] = 242113,
  [SMALL_STATE(6049)] = 242140,
  [SMALL_STATE(6050)] = 242169,
  [SMALL_STATE(6051)] = 242202,
  [SMALL_STATE(6052)] = 242229,
  [SMALL_STATE(6053)] = 242260,
  [SMALL_STATE(6054)] = 242289,
  [SMALL_STATE(6055)] = 242312,
  [SMALL_STATE(6056)] = 242339,
  [SMALL_STATE(6057)] = 242364,
  [SMALL_STATE(6058)] = 242389,
  [SMALL_STATE(6059)] = 242424,
  [SMALL_STATE(6060)] = 242453,
  [SMALL_STATE(6061)] = 242482,
  [SMALL_STATE(6062)] = 242517,
  [SMALL_STATE(6063)] = 242552,
  [SMALL_STATE(6064)] = 242583,
  [SMALL_STATE(6065)] = 242618,
  [SMALL_STATE(6066)] = 242653,
  [SMALL_STATE(6067)] = 242688,
  [SMALL_STATE(6068)] = 242717,
  [SMALL_STATE(6069)] = 242752,
  [SMALL_STATE(6070)] = 242787,
  [SMALL_STATE(6071)] = 242818,
  [SMALL_STATE(6072)] = 242847,
  [SMALL_STATE(6073)] = 242882,
  [SMALL_STATE(6074)] = 242907,
  [SMALL_STATE(6075)] = 242926,
  [SMALL_STATE(6076)] = 242961,
  [SMALL_STATE(6077)] = 242980,
  [SMALL_STATE(6078)] = 243011,
  [SMALL_STATE(6079)] = 243042,
  [SMALL_STATE(6080)] = 243077,
  [SMALL_STATE(6081)] = 243112,
  [SMALL_STATE(6082)] = 243147,
  [SMALL_STATE(6083)] = 243178,
  [SMALL_STATE(6084)] = 243209,
  [SMALL_STATE(6085)] = 243234,
  [SMALL_STATE(6086)] = 243255,
  [SMALL_STATE(6087)] = 243282,
  [SMALL_STATE(6088)] = 243307,
  [SMALL_STATE(6089)] = 243338,
  [SMALL_STATE(6090)] = 243367,
  [SMALL_STATE(6091)] = 243392,
  [SMALL_STATE(6092)] = 243421,
  [SMALL_STATE(6093)] = 243454,
  [SMALL_STATE(6094)] = 243479,
  [SMALL_STATE(6095)] = 243514,
  [SMALL_STATE(6096)] = 243533,
  [SMALL_STATE(6097)] = 243560,
  [SMALL_STATE(6098)] = 243595,
  [SMALL_STATE(6099)] = 243626,
  [SMALL_STATE(6100)] = 243645,
  [SMALL_STATE(6101)] = 243664,
  [SMALL_STATE(6102)] = 243691,
  [SMALL_STATE(6103)] = 243726,
  [SMALL_STATE(6104)] = 243753,
  [SMALL_STATE(6105)] = 243788,
  [SMALL_STATE(6106)] = 243821,
  [SMALL_STATE(6107)] = 243852,
  [SMALL_STATE(6108)] = 243883,
  [SMALL_STATE(6109)] = 243908,
  [SMALL_STATE(6110)] = 243935,
  [SMALL_STATE(6111)] = 243954,
  [SMALL_STATE(6112)] = 243981,
  [SMALL_STATE(6113)] = 244010,
  [SMALL_STATE(6114)] = 244029,
  [SMALL_STATE(6115)] = 244054,
  [SMALL_STATE(6116)] = 244089,
  [SMALL_STATE(6117)] = 244114,
  [SMALL_STATE(6118)] = 244139,
  [SMALL_STATE(6119)] = 244174,
  [SMALL_STATE(6120)] = 244207,
  [SMALL_STATE(6121)] = 244238,
  [SMALL_STATE(6122)] = 244260,
  [SMALL_STATE(6123)] = 244284,
  [SMALL_STATE(6124)] = 244314,
  [SMALL_STATE(6125)] = 244336,
  [SMALL_STATE(6126)] = 244354,
  [SMALL_STATE(6127)] = 244372,
  [SMALL_STATE(6128)] = 244390,
  [SMALL_STATE(6129)] = 244412,
  [SMALL_STATE(6130)] = 244442,
  [SMALL_STATE(6131)] = 244464,
  [SMALL_STATE(6132)] = 244486,
  [SMALL_STATE(6133)] = 244504,
  [SMALL_STATE(6134)] = 244522,
  [SMALL_STATE(6135)] = 244546,
  [SMALL_STATE(6136)] = 244564,
  [SMALL_STATE(6137)] = 244582,
  [SMALL_STATE(6138)] = 244604,
  [SMALL_STATE(6139)] = 244634,
  [SMALL_STATE(6140)] = 244656,
  [SMALL_STATE(6141)] = 244678,
  [SMALL_STATE(6142)] = 244708,
  [SMALL_STATE(6143)] = 244738,
  [SMALL_STATE(6144)] = 244762,
  [SMALL_STATE(6145)] = 244786,
  [SMALL_STATE(6146)] = 244810,
  [SMALL_STATE(6147)] = 244840,
  [SMALL_STATE(6148)] = 244862,
  [SMALL_STATE(6149)] = 244886,
  [SMALL_STATE(6150)] = 244908,
  [SMALL_STATE(6151)] = 244938,
  [SMALL_STATE(6152)] = 244968,
  [SMALL_STATE(6153)] = 244990,
  [SMALL_STATE(6154)] = 245012,
  [SMALL_STATE(6155)] = 245034,
  [SMALL_STATE(6156)] = 245058,
  [SMALL_STATE(6157)] = 245082,
  [SMALL_STATE(6158)] = 245114,
  [SMALL_STATE(6159)] = 245138,
  [SMALL_STATE(6160)] = 245162,
  [SMALL_STATE(6161)] = 245193,
  [SMALL_STATE(6162)] = 245214,
  [SMALL_STATE(6163)] = 245241,
  [SMALL_STATE(6164)] = 245272,
  [SMALL_STATE(6165)] = 245295,
  [SMALL_STATE(6166)] = 245326,
  [SMALL_STATE(6167)] = 245357,
  [SMALL_STATE(6168)] = 245388,
  [SMALL_STATE(6169)] = 245419,
  [SMALL_STATE(6170)] = 245450,
  [SMALL_STATE(6171)] = 245477,
  [SMALL_STATE(6172)] = 245496,
  [SMALL_STATE(6173)] = 245527,
  [SMALL_STATE(6174)] = 245558,
  [SMALL_STATE(6175)] = 245589,
  [SMALL_STATE(6176)] = 245612,
  [SMALL_STATE(6177)] = 245643,
  [SMALL_STATE(6178)] = 245674,
  [SMALL_STATE(6179)] = 245705,
  [SMALL_STATE(6180)] = 245736,
  [SMALL_STATE(6181)] = 245767,
  [SMALL_STATE(6182)] = 245788,
  [SMALL_STATE(6183)] = 245819,
  [SMALL_STATE(6184)] = 245842,
  [SMALL_STATE(6185)] = 245869,
  [SMALL_STATE(6186)] = 245900,
  [SMALL_STATE(6187)] = 245923,
  [SMALL_STATE(6188)] = 245954,
  [SMALL_STATE(6189)] = 245981,
  [SMALL_STATE(6190)] = 246004,
  [SMALL_STATE(6191)] = 246027,
  [SMALL_STATE(6192)] = 246050,
  [SMALL_STATE(6193)] = 246081,
  [SMALL_STATE(6194)] = 246102,
  [SMALL_STATE(6195)] = 246133,
  [SMALL_STATE(6196)] = 246158,
  [SMALL_STATE(6197)] = 246189,
  [SMALL_STATE(6198)] = 246210,
  [SMALL_STATE(6199)] = 246233,
  [SMALL_STATE(6200)] = 246264,
  [SMALL_STATE(6201)] = 246287,
  [SMALL_STATE(6202)] = 246308,
  [SMALL_STATE(6203)] = 246339,
  [SMALL_STATE(6204)] = 246370,
  [SMALL_STATE(6205)] = 246397,
  [SMALL_STATE(6206)] = 246428,
  [SMALL_STATE(6207)] = 246459,
  [SMALL_STATE(6208)] = 246490,
  [SMALL_STATE(6209)] = 246517,
  [SMALL_STATE(6210)] = 246548,
  [SMALL_STATE(6211)] = 246579,
  [SMALL_STATE(6212)] = 246606,
  [SMALL_STATE(6213)] = 246629,
  [SMALL_STATE(6214)] = 246648,
  [SMALL_STATE(6215)] = 246670,
  [SMALL_STATE(6216)] = 246696,
  [SMALL_STATE(6217)] = 246722,
  [SMALL_STATE(6218)] = 246744,
  [SMALL_STATE(6219)] = 246764,
  [SMALL_STATE(6220)] = 246790,
  [SMALL_STATE(6221)] = 246816,
  [SMALL_STATE(6222)] = 246842,
  [SMALL_STATE(6223)] = 246868,
  [SMALL_STATE(6224)] = 246890,
  [SMALL_STATE(6225)] = 246912,
  [SMALL_STATE(6226)] = 246934,
  [SMALL_STATE(6227)] = 246956,
  [SMALL_STATE(6228)] = 246982,
  [SMALL_STATE(6229)] = 247004,
  [SMALL_STATE(6230)] = 247030,
  [SMALL_STATE(6231)] = 247050,
  [SMALL_STATE(6232)] = 247076,
  [SMALL_STATE(6233)] = 247102,
  [SMALL_STATE(6234)] = 247124,
  [SMALL_STATE(6235)] = 247146,
  [SMALL_STATE(6236)] = 247168,
  [SMALL_STATE(6237)] = 247194,
  [SMALL_STATE(6238)] = 247220,
  [SMALL_STATE(6239)] = 247246,
  [SMALL_STATE(6240)] = 247272,
  [SMALL_STATE(6241)] = 247298,
  [SMALL_STATE(6242)] = 247318,
  [SMALL_STATE(6243)] = 247344,
  [SMALL_STATE(6244)] = 247370,
  [SMALL_STATE(6245)] = 247396,
  [SMALL_STATE(6246)] = 247422,
  [SMALL_STATE(6247)] = 247448,
  [SMALL_STATE(6248)] = 247474,
  [SMALL_STATE(6249)] = 247496,
  [SMALL_STATE(6250)] = 247518,
  [SMALL_STATE(6251)] = 247534,
  [SMALL_STATE(6252)] = 247560,
  [SMALL_STATE(6253)] = 247576,
  [SMALL_STATE(6254)] = 247602,
  [SMALL_STATE(6255)] = 247622,
  [SMALL_STATE(6256)] = 247640,
  [SMALL_STATE(6257)] = 247666,
  [SMALL_STATE(6258)] = 247692,
  [SMALL_STATE(6259)] = 247718,
  [SMALL_STATE(6260)] = 247744,
  [SMALL_STATE(6261)] = 247770,
  [SMALL_STATE(6262)] = 247796,
  [SMALL_STATE(6263)] = 247822,
  [SMALL_STATE(6264)] = 247843,
  [SMALL_STATE(6265)] = 247866,
  [SMALL_STATE(6266)] = 247889,
  [SMALL_STATE(6267)] = 247910,
  [SMALL_STATE(6268)] = 247931,
  [SMALL_STATE(6269)] = 247952,
  [SMALL_STATE(6270)] = 247975,
  [SMALL_STATE(6271)] = 247996,
  [SMALL_STATE(6272)] = 248017,
  [SMALL_STATE(6273)] = 248036,
  [SMALL_STATE(6274)] = 248057,
  [SMALL_STATE(6275)] = 248082,
  [SMALL_STATE(6276)] = 248103,
  [SMALL_STATE(6277)] = 248128,
  [SMALL_STATE(6278)] = 248149,
  [SMALL_STATE(6279)] = 248168,
  [SMALL_STATE(6280)] = 248183,
  [SMALL_STATE(6281)] = 248198,
  [SMALL_STATE(6282)] = 248221,
  [SMALL_STATE(6283)] = 248236,
  [SMALL_STATE(6284)] = 248255,
  [SMALL_STATE(6285)] = 248272,
  [SMALL_STATE(6286)] = 248295,
  [SMALL_STATE(6287)] = 248316,
  [SMALL_STATE(6288)] = 248337,
  [SMALL_STATE(6289)] = 248358,
  [SMALL_STATE(6290)] = 248373,
  [SMALL_STATE(6291)] = 248396,
  [SMALL_STATE(6292)] = 248411,
  [SMALL_STATE(6293)] = 248432,
  [SMALL_STATE(6294)] = 248457,
  [SMALL_STATE(6295)] = 248480,
  [SMALL_STATE(6296)] = 248505,
  [SMALL_STATE(6297)] = 248528,
  [SMALL_STATE(6298)] = 248543,
  [SMALL_STATE(6299)] = 248566,
  [SMALL_STATE(6300)] = 248591,
  [SMALL_STATE(6301)] = 248614,
  [SMALL_STATE(6302)] = 248637,
  [SMALL_STATE(6303)] = 248660,
  [SMALL_STATE(6304)] = 248681,
  [SMALL_STATE(6305)] = 248704,
  [SMALL_STATE(6306)] = 248729,
  [SMALL_STATE(6307)] = 248744,
  [SMALL_STATE(6308)] = 248769,
  [SMALL_STATE(6309)] = 248790,
  [SMALL_STATE(6310)] = 248813,
  [SMALL_STATE(6311)] = 248838,
  [SMALL_STATE(6312)] = 248853,
  [SMALL_STATE(6313)] = 248874,
  [SMALL_STATE(6314)] = 248897,
  [SMALL_STATE(6315)] = 248913,
  [SMALL_STATE(6316)] = 248929,
  [SMALL_STATE(6317)] = 248949,
  [SMALL_STATE(6318)] = 248969,
  [SMALL_STATE(6319)] = 248983,
  [SMALL_STATE(6320)] = 248997,
  [SMALL_STATE(6321)] = 249013,
  [SMALL_STATE(6322)] = 249029,
  [SMALL_STATE(6323)] = 249049,
  [SMALL_STATE(6324)] = 249069,
  [SMALL_STATE(6325)] = 249085,
  [SMALL_STATE(6326)] = 249105,
  [SMALL_STATE(6327)] = 249121,
  [SMALL_STATE(6328)] = 249137,
  [SMALL_STATE(6329)] = 249157,
  [SMALL_STATE(6330)] = 249175,
  [SMALL_STATE(6331)] = 249189,
  [SMALL_STATE(6332)] = 249205,
  [SMALL_STATE(6333)] = 249223,
  [SMALL_STATE(6334)] = 249237,
  [SMALL_STATE(6335)] = 249257,
  [SMALL_STATE(6336)] = 249271,
  [SMALL_STATE(6337)] = 249289,
  [SMALL_STATE(6338)] = 249305,
  [SMALL_STATE(6339)] = 249325,
  [SMALL_STATE(6340)] = 249339,
  [SMALL_STATE(6341)] = 249355,
  [SMALL_STATE(6342)] = 249373,
  [SMALL_STATE(6343)] = 249389,
  [SMALL_STATE(6344)] = 249409,
  [SMALL_STATE(6345)] = 249429,
  [SMALL_STATE(6346)] = 249445,
  [SMALL_STATE(6347)] = 249461,
  [SMALL_STATE(6348)] = 249479,
  [SMALL_STATE(6349)] = 249493,
  [SMALL_STATE(6350)] = 249511,
  [SMALL_STATE(6351)] = 249525,
  [SMALL_STATE(6352)] = 249539,
  [SMALL_STATE(6353)] = 249553,
  [SMALL_STATE(6354)] = 249567,
  [SMALL_STATE(6355)] = 249587,
  [SMALL_STATE(6356)] = 249607,
  [SMALL_STATE(6357)] = 249625,
  [SMALL_STATE(6358)] = 249639,
  [SMALL_STATE(6359)] = 249655,
  [SMALL_STATE(6360)] = 249675,
  [SMALL_STATE(6361)] = 249693,
  [SMALL_STATE(6362)] = 249713,
  [SMALL_STATE(6363)] = 249733,
  [SMALL_STATE(6364)] = 249747,
  [SMALL_STATE(6365)] = 249767,
  [SMALL_STATE(6366)] = 249783,
  [SMALL_STATE(6367)] = 249797,
  [SMALL_STATE(6368)] = 249810,
  [SMALL_STATE(6369)] = 249829,
  [SMALL_STATE(6370)] = 249842,
  [SMALL_STATE(6371)] = 249861,
  [SMALL_STATE(6372)] = 249880,
  [SMALL_STATE(6373)] = 249899,
  [SMALL_STATE(6374)] = 249918,
  [SMALL_STATE(6375)] = 249937,
  [SMALL_STATE(6376)] = 249956,
  [SMALL_STATE(6377)] = 249975,
  [SMALL_STATE(6378)] = 249994,
  [SMALL_STATE(6379)] = 250013,
  [SMALL_STATE(6380)] = 250030,
  [SMALL_STATE(6381)] = 250049,
  [SMALL_STATE(6382)] = 250068,
  [SMALL_STATE(6383)] = 250087,
  [SMALL_STATE(6384)] = 250106,
  [SMALL_STATE(6385)] = 250125,
  [SMALL_STATE(6386)] = 250144,
  [SMALL_STATE(6387)] = 250163,
  [SMALL_STATE(6388)] = 250182,
  [SMALL_STATE(6389)] = 250201,
  [SMALL_STATE(6390)] = 250220,
  [SMALL_STATE(6391)] = 250239,
  [SMALL_STATE(6392)] = 250258,
  [SMALL_STATE(6393)] = 250275,
  [SMALL_STATE(6394)] = 250294,
  [SMALL_STATE(6395)] = 250313,
  [SMALL_STATE(6396)] = 250332,
  [SMALL_STATE(6397)] = 250351,
  [SMALL_STATE(6398)] = 250368,
  [SMALL_STATE(6399)] = 250387,
  [SMALL_STATE(6400)] = 250406,
  [SMALL_STATE(6401)] = 250425,
  [SMALL_STATE(6402)] = 250444,
  [SMALL_STATE(6403)] = 250463,
  [SMALL_STATE(6404)] = 250482,
  [SMALL_STATE(6405)] = 250501,
  [SMALL_STATE(6406)] = 250520,
  [SMALL_STATE(6407)] = 250539,
  [SMALL_STATE(6408)] = 250556,
  [SMALL_STATE(6409)] = 250575,
  [SMALL_STATE(6410)] = 250588,
  [SMALL_STATE(6411)] = 250607,
  [SMALL_STATE(6412)] = 250626,
  [SMALL_STATE(6413)] = 250645,
  [SMALL_STATE(6414)] = 250664,
  [SMALL_STATE(6415)] = 250683,
  [SMALL_STATE(6416)] = 250696,
  [SMALL_STATE(6417)] = 250715,
  [SMALL_STATE(6418)] = 250734,
  [SMALL_STATE(6419)] = 250753,
  [SMALL_STATE(6420)] = 250770,
  [SMALL_STATE(6421)] = 250789,
  [SMALL_STATE(6422)] = 250806,
  [SMALL_STATE(6423)] = 250825,
  [SMALL_STATE(6424)] = 250844,
  [SMALL_STATE(6425)] = 250863,
  [SMALL_STATE(6426)] = 250880,
  [SMALL_STATE(6427)] = 250896,
  [SMALL_STATE(6428)] = 250910,
  [SMALL_STATE(6429)] = 250924,
  [SMALL_STATE(6430)] = 250938,
  [SMALL_STATE(6431)] = 250952,
  [SMALL_STATE(6432)] = 250968,
  [SMALL_STATE(6433)] = 250984,
  [SMALL_STATE(6434)] = 250998,
  [SMALL_STATE(6435)] = 251012,
  [SMALL_STATE(6436)] = 251026,
  [SMALL_STATE(6437)] = 251042,
  [SMALL_STATE(6438)] = 251058,
  [SMALL_STATE(6439)] = 251074,
  [SMALL_STATE(6440)] = 251088,
  [SMALL_STATE(6441)] = 251104,
  [SMALL_STATE(6442)] = 251120,
  [SMALL_STATE(6443)] = 251136,
  [SMALL_STATE(6444)] = 251152,
  [SMALL_STATE(6445)] = 251168,
  [SMALL_STATE(6446)] = 251184,
  [SMALL_STATE(6447)] = 251200,
  [SMALL_STATE(6448)] = 251216,
  [SMALL_STATE(6449)] = 251232,
  [SMALL_STATE(6450)] = 251246,
  [SMALL_STATE(6451)] = 251262,
  [SMALL_STATE(6452)] = 251276,
  [SMALL_STATE(6453)] = 251292,
  [SMALL_STATE(6454)] = 251308,
  [SMALL_STATE(6455)] = 251322,
  [SMALL_STATE(6456)] = 251338,
  [SMALL_STATE(6457)] = 251354,
  [SMALL_STATE(6458)] = 251370,
  [SMALL_STATE(6459)] = 251386,
  [SMALL_STATE(6460)] = 251400,
  [SMALL_STATE(6461)] = 251414,
  [SMALL_STATE(6462)] = 251428,
  [SMALL_STATE(6463)] = 251442,
  [SMALL_STATE(6464)] = 251456,
  [SMALL_STATE(6465)] = 251470,
  [SMALL_STATE(6466)] = 251484,
  [SMALL_STATE(6467)] = 251500,
  [SMALL_STATE(6468)] = 251514,
  [SMALL_STATE(6469)] = 251528,
  [SMALL_STATE(6470)] = 251544,
  [SMALL_STATE(6471)] = 251560,
  [SMALL_STATE(6472)] = 251576,
  [SMALL_STATE(6473)] = 251592,
  [SMALL_STATE(6474)] = 251606,
  [SMALL_STATE(6475)] = 251620,
  [SMALL_STATE(6476)] = 251636,
  [SMALL_STATE(6477)] = 251652,
  [SMALL_STATE(6478)] = 251668,
  [SMALL_STATE(6479)] = 251684,
  [SMALL_STATE(6480)] = 251700,
  [SMALL_STATE(6481)] = 251716,
  [SMALL_STATE(6482)] = 251730,
  [SMALL_STATE(6483)] = 251746,
  [SMALL_STATE(6484)] = 251762,
  [SMALL_STATE(6485)] = 251778,
  [SMALL_STATE(6486)] = 251794,
  [SMALL_STATE(6487)] = 251810,
  [SMALL_STATE(6488)] = 251826,
  [SMALL_STATE(6489)] = 251840,
  [SMALL_STATE(6490)] = 251854,
  [SMALL_STATE(6491)] = 251864,
  [SMALL_STATE(6492)] = 251880,
  [SMALL_STATE(6493)] = 251896,
  [SMALL_STATE(6494)] = 251912,
  [SMALL_STATE(6495)] = 251928,
  [SMALL_STATE(6496)] = 251940,
  [SMALL_STATE(6497)] = 251956,
  [SMALL_STATE(6498)] = 251970,
  [SMALL_STATE(6499)] = 251986,
  [SMALL_STATE(6500)] = 252002,
  [SMALL_STATE(6501)] = 252016,
  [SMALL_STATE(6502)] = 252030,
  [SMALL_STATE(6503)] = 252044,
  [SMALL_STATE(6504)] = 252058,
  [SMALL_STATE(6505)] = 252074,
  [SMALL_STATE(6506)] = 252090,
  [SMALL_STATE(6507)] = 252106,
  [SMALL_STATE(6508)] = 252120,
  [SMALL_STATE(6509)] = 252134,
  [SMALL_STATE(6510)] = 252148,
  [SMALL_STATE(6511)] = 252164,
  [SMALL_STATE(6512)] = 252180,
  [SMALL_STATE(6513)] = 252196,
  [SMALL_STATE(6514)] = 252212,
  [SMALL_STATE(6515)] = 252226,
  [SMALL_STATE(6516)] = 252242,
  [SMALL_STATE(6517)] = 252256,
  [SMALL_STATE(6518)] = 252272,
  [SMALL_STATE(6519)] = 252288,
  [SMALL_STATE(6520)] = 252302,
  [SMALL_STATE(6521)] = 252318,
  [SMALL_STATE(6522)] = 252332,
  [SMALL_STATE(6523)] = 252348,
  [SMALL_STATE(6524)] = 252364,
  [SMALL_STATE(6525)] = 252378,
  [SMALL_STATE(6526)] = 252392,
  [SMALL_STATE(6527)] = 252408,
  [SMALL_STATE(6528)] = 252424,
  [SMALL_STATE(6529)] = 252440,
  [SMALL_STATE(6530)] = 252456,
  [SMALL_STATE(6531)] = 252472,
  [SMALL_STATE(6532)] = 252486,
  [SMALL_STATE(6533)] = 252502,
  [SMALL_STATE(6534)] = 252516,
  [SMALL_STATE(6535)] = 252532,
  [SMALL_STATE(6536)] = 252546,
  [SMALL_STATE(6537)] = 252560,
  [SMALL_STATE(6538)] = 252576,
  [SMALL_STATE(6539)] = 252592,
  [SMALL_STATE(6540)] = 252606,
  [SMALL_STATE(6541)] = 252620,
  [SMALL_STATE(6542)] = 252634,
  [SMALL_STATE(6543)] = 252648,
  [SMALL_STATE(6544)] = 252664,
  [SMALL_STATE(6545)] = 252680,
  [SMALL_STATE(6546)] = 252694,
  [SMALL_STATE(6547)] = 252708,
  [SMALL_STATE(6548)] = 252722,
  [SMALL_STATE(6549)] = 252732,
  [SMALL_STATE(6550)] = 252748,
  [SMALL_STATE(6551)] = 252762,
  [SMALL_STATE(6552)] = 252776,
  [SMALL_STATE(6553)] = 252792,
  [SMALL_STATE(6554)] = 252806,
  [SMALL_STATE(6555)] = 252820,
  [SMALL_STATE(6556)] = 252836,
  [SMALL_STATE(6557)] = 252852,
  [SMALL_STATE(6558)] = 252868,
  [SMALL_STATE(6559)] = 252878,
  [SMALL_STATE(6560)] = 252892,
  [SMALL_STATE(6561)] = 252906,
  [SMALL_STATE(6562)] = 252920,
  [SMALL_STATE(6563)] = 252936,
  [SMALL_STATE(6564)] = 252952,
  [SMALL_STATE(6565)] = 252968,
  [SMALL_STATE(6566)] = 252984,
  [SMALL_STATE(6567)] = 253000,
  [SMALL_STATE(6568)] = 253016,
  [SMALL_STATE(6569)] = 253032,
  [SMALL_STATE(6570)] = 253048,
  [SMALL_STATE(6571)] = 253062,
  [SMALL_STATE(6572)] = 253076,
  [SMALL_STATE(6573)] = 253092,
  [SMALL_STATE(6574)] = 253106,
  [SMALL_STATE(6575)] = 253122,
  [SMALL_STATE(6576)] = 253138,
  [SMALL_STATE(6577)] = 253154,
  [SMALL_STATE(6578)] = 253168,
  [SMALL_STATE(6579)] = 253182,
  [SMALL_STATE(6580)] = 253198,
  [SMALL_STATE(6581)] = 253212,
  [SMALL_STATE(6582)] = 253228,
  [SMALL_STATE(6583)] = 253242,
  [SMALL_STATE(6584)] = 253256,
  [SMALL_STATE(6585)] = 253270,
  [SMALL_STATE(6586)] = 253286,
  [SMALL_STATE(6587)] = 253302,
  [SMALL_STATE(6588)] = 253316,
  [SMALL_STATE(6589)] = 253330,
  [SMALL_STATE(6590)] = 253344,
  [SMALL_STATE(6591)] = 253360,
  [SMALL_STATE(6592)] = 253376,
  [SMALL_STATE(6593)] = 253392,
  [SMALL_STATE(6594)] = 253406,
  [SMALL_STATE(6595)] = 253422,
  [SMALL_STATE(6596)] = 253436,
  [SMALL_STATE(6597)] = 253450,
  [SMALL_STATE(6598)] = 253464,
  [SMALL_STATE(6599)] = 253480,
  [SMALL_STATE(6600)] = 253496,
  [SMALL_STATE(6601)] = 253510,
  [SMALL_STATE(6602)] = 253524,
  [SMALL_STATE(6603)] = 253540,
  [SMALL_STATE(6604)] = 253554,
  [SMALL_STATE(6605)] = 253568,
  [SMALL_STATE(6606)] = 253582,
  [SMALL_STATE(6607)] = 253598,
  [SMALL_STATE(6608)] = 253612,
  [SMALL_STATE(6609)] = 253628,
  [SMALL_STATE(6610)] = 253642,
  [SMALL_STATE(6611)] = 253656,
  [SMALL_STATE(6612)] = 253670,
  [SMALL_STATE(6613)] = 253684,
  [SMALL_STATE(6614)] = 253700,
  [SMALL_STATE(6615)] = 253714,
  [SMALL_STATE(6616)] = 253730,
  [SMALL_STATE(6617)] = 253746,
  [SMALL_STATE(6618)] = 253762,
  [SMALL_STATE(6619)] = 253778,
  [SMALL_STATE(6620)] = 253794,
  [SMALL_STATE(6621)] = 253810,
  [SMALL_STATE(6622)] = 253826,
  [SMALL_STATE(6623)] = 253840,
  [SMALL_STATE(6624)] = 253854,
  [SMALL_STATE(6625)] = 253868,
  [SMALL_STATE(6626)] = 253882,
  [SMALL_STATE(6627)] = 253896,
  [SMALL_STATE(6628)] = 253912,
  [SMALL_STATE(6629)] = 253926,
  [SMALL_STATE(6630)] = 253942,
  [SMALL_STATE(6631)] = 253958,
  [SMALL_STATE(6632)] = 253972,
  [SMALL_STATE(6633)] = 253988,
  [SMALL_STATE(6634)] = 254002,
  [SMALL_STATE(6635)] = 254018,
  [SMALL_STATE(6636)] = 254034,
  [SMALL_STATE(6637)] = 254048,
  [SMALL_STATE(6638)] = 254062,
  [SMALL_STATE(6639)] = 254078,
  [SMALL_STATE(6640)] = 254092,
  [SMALL_STATE(6641)] = 254108,
  [SMALL_STATE(6642)] = 254122,
  [SMALL_STATE(6643)] = 254138,
  [SMALL_STATE(6644)] = 254154,
  [SMALL_STATE(6645)] = 254168,
  [SMALL_STATE(6646)] = 254182,
  [SMALL_STATE(6647)] = 254196,
  [SMALL_STATE(6648)] = 254210,
  [SMALL_STATE(6649)] = 254226,
  [SMALL_STATE(6650)] = 254240,
  [SMALL_STATE(6651)] = 254256,
  [SMALL_STATE(6652)] = 254270,
  [SMALL_STATE(6653)] = 254286,
  [SMALL_STATE(6654)] = 254302,
  [SMALL_STATE(6655)] = 254318,
  [SMALL_STATE(6656)] = 254332,
  [SMALL_STATE(6657)] = 254346,
  [SMALL_STATE(6658)] = 254362,
  [SMALL_STATE(6659)] = 254376,
  [SMALL_STATE(6660)] = 254390,
  [SMALL_STATE(6661)] = 254406,
  [SMALL_STATE(6662)] = 254422,
  [SMALL_STATE(6663)] = 254436,
  [SMALL_STATE(6664)] = 254450,
  [SMALL_STATE(6665)] = 254466,
  [SMALL_STATE(6666)] = 254480,
  [SMALL_STATE(6667)] = 254494,
  [SMALL_STATE(6668)] = 254510,
  [SMALL_STATE(6669)] = 254524,
  [SMALL_STATE(6670)] = 254538,
  [SMALL_STATE(6671)] = 254554,
  [SMALL_STATE(6672)] = 254570,
  [SMALL_STATE(6673)] = 254584,
  [SMALL_STATE(6674)] = 254598,
  [SMALL_STATE(6675)] = 254612,
  [SMALL_STATE(6676)] = 254628,
  [SMALL_STATE(6677)] = 254642,
  [SMALL_STATE(6678)] = 254656,
  [SMALL_STATE(6679)] = 254670,
  [SMALL_STATE(6680)] = 254684,
  [SMALL_STATE(6681)] = 254700,
  [SMALL_STATE(6682)] = 254716,
  [SMALL_STATE(6683)] = 254732,
  [SMALL_STATE(6684)] = 254748,
  [SMALL_STATE(6685)] = 254764,
  [SMALL_STATE(6686)] = 254780,
  [SMALL_STATE(6687)] = 254793,
  [SMALL_STATE(6688)] = 254806,
  [SMALL_STATE(6689)] = 254819,
  [SMALL_STATE(6690)] = 254832,
  [SMALL_STATE(6691)] = 254841,
  [SMALL_STATE(6692)] = 254854,
  [SMALL_STATE(6693)] = 254863,
  [SMALL_STATE(6694)] = 254876,
  [SMALL_STATE(6695)] = 254889,
  [SMALL_STATE(6696)] = 254902,
  [SMALL_STATE(6697)] = 254915,
  [SMALL_STATE(6698)] = 254928,
  [SMALL_STATE(6699)] = 254941,
  [SMALL_STATE(6700)] = 254954,
  [SMALL_STATE(6701)] = 254967,
  [SMALL_STATE(6702)] = 254980,
  [SMALL_STATE(6703)] = 254993,
  [SMALL_STATE(6704)] = 255004,
  [SMALL_STATE(6705)] = 255017,
  [SMALL_STATE(6706)] = 255030,
  [SMALL_STATE(6707)] = 255043,
  [SMALL_STATE(6708)] = 255056,
  [SMALL_STATE(6709)] = 255069,
  [SMALL_STATE(6710)] = 255082,
  [SMALL_STATE(6711)] = 255095,
  [SMALL_STATE(6712)] = 255108,
  [SMALL_STATE(6713)] = 255121,
  [SMALL_STATE(6714)] = 255134,
  [SMALL_STATE(6715)] = 255147,
  [SMALL_STATE(6716)] = 255160,
  [SMALL_STATE(6717)] = 255173,
  [SMALL_STATE(6718)] = 255186,
  [SMALL_STATE(6719)] = 255199,
  [SMALL_STATE(6720)] = 255212,
  [SMALL_STATE(6721)] = 255223,
  [SMALL_STATE(6722)] = 255236,
  [SMALL_STATE(6723)] = 255245,
  [SMALL_STATE(6724)] = 255258,
  [SMALL_STATE(6725)] = 255267,
  [SMALL_STATE(6726)] = 255280,
  [SMALL_STATE(6727)] = 255291,
  [SMALL_STATE(6728)] = 255304,
  [SMALL_STATE(6729)] = 255317,
  [SMALL_STATE(6730)] = 255330,
  [SMALL_STATE(6731)] = 255341,
  [SMALL_STATE(6732)] = 255354,
  [SMALL_STATE(6733)] = 255367,
  [SMALL_STATE(6734)] = 255378,
  [SMALL_STATE(6735)] = 255389,
  [SMALL_STATE(6736)] = 255402,
  [SMALL_STATE(6737)] = 255411,
  [SMALL_STATE(6738)] = 255422,
  [SMALL_STATE(6739)] = 255433,
  [SMALL_STATE(6740)] = 255446,
  [SMALL_STATE(6741)] = 255459,
  [SMALL_STATE(6742)] = 255472,
  [SMALL_STATE(6743)] = 255483,
  [SMALL_STATE(6744)] = 255496,
  [SMALL_STATE(6745)] = 255509,
  [SMALL_STATE(6746)] = 255522,
  [SMALL_STATE(6747)] = 255535,
  [SMALL_STATE(6748)] = 255544,
  [SMALL_STATE(6749)] = 255557,
  [SMALL_STATE(6750)] = 255570,
  [SMALL_STATE(6751)] = 255583,
  [SMALL_STATE(6752)] = 255596,
  [SMALL_STATE(6753)] = 255605,
  [SMALL_STATE(6754)] = 255618,
  [SMALL_STATE(6755)] = 255631,
  [SMALL_STATE(6756)] = 255644,
  [SMALL_STATE(6757)] = 255657,
  [SMALL_STATE(6758)] = 255670,
  [SMALL_STATE(6759)] = 255683,
  [SMALL_STATE(6760)] = 255696,
  [SMALL_STATE(6761)] = 255709,
  [SMALL_STATE(6762)] = 255722,
  [SMALL_STATE(6763)] = 255735,
  [SMALL_STATE(6764)] = 255748,
  [SMALL_STATE(6765)] = 255759,
  [SMALL_STATE(6766)] = 255772,
  [SMALL_STATE(6767)] = 255785,
  [SMALL_STATE(6768)] = 255794,
  [SMALL_STATE(6769)] = 255807,
  [SMALL_STATE(6770)] = 255816,
  [SMALL_STATE(6771)] = 255829,
  [SMALL_STATE(6772)] = 255842,
  [SMALL_STATE(6773)] = 255855,
  [SMALL_STATE(6774)] = 255868,
  [SMALL_STATE(6775)] = 255879,
  [SMALL_STATE(6776)] = 255892,
  [SMALL_STATE(6777)] = 255905,
  [SMALL_STATE(6778)] = 255918,
  [SMALL_STATE(6779)] = 255927,
  [SMALL_STATE(6780)] = 255936,
  [SMALL_STATE(6781)] = 255949,
  [SMALL_STATE(6782)] = 255962,
  [SMALL_STATE(6783)] = 255973,
  [SMALL_STATE(6784)] = 255984,
  [SMALL_STATE(6785)] = 255997,
  [SMALL_STATE(6786)] = 256010,
  [SMALL_STATE(6787)] = 256023,
  [SMALL_STATE(6788)] = 256036,
  [SMALL_STATE(6789)] = 256049,
  [SMALL_STATE(6790)] = 256062,
  [SMALL_STATE(6791)] = 256075,
  [SMALL_STATE(6792)] = 256088,
  [SMALL_STATE(6793)] = 256101,
  [SMALL_STATE(6794)] = 256110,
  [SMALL_STATE(6795)] = 256123,
  [SMALL_STATE(6796)] = 256136,
  [SMALL_STATE(6797)] = 256145,
  [SMALL_STATE(6798)] = 256158,
  [SMALL_STATE(6799)] = 256171,
  [SMALL_STATE(6800)] = 256184,
  [SMALL_STATE(6801)] = 256195,
  [SMALL_STATE(6802)] = 256208,
  [SMALL_STATE(6803)] = 256221,
  [SMALL_STATE(6804)] = 256234,
  [SMALL_STATE(6805)] = 256247,
  [SMALL_STATE(6806)] = 256258,
  [SMALL_STATE(6807)] = 256271,
  [SMALL_STATE(6808)] = 256284,
  [SMALL_STATE(6809)] = 256295,
  [SMALL_STATE(6810)] = 256308,
  [SMALL_STATE(6811)] = 256321,
  [SMALL_STATE(6812)] = 256334,
  [SMALL_STATE(6813)] = 256347,
  [SMALL_STATE(6814)] = 256360,
  [SMALL_STATE(6815)] = 256373,
  [SMALL_STATE(6816)] = 256386,
  [SMALL_STATE(6817)] = 256399,
  [SMALL_STATE(6818)] = 256412,
  [SMALL_STATE(6819)] = 256425,
  [SMALL_STATE(6820)] = 256438,
  [SMALL_STATE(6821)] = 256451,
  [SMALL_STATE(6822)] = 256464,
  [SMALL_STATE(6823)] = 256477,
  [SMALL_STATE(6824)] = 256490,
  [SMALL_STATE(6825)] = 256503,
  [SMALL_STATE(6826)] = 256516,
  [SMALL_STATE(6827)] = 256527,
  [SMALL_STATE(6828)] = 256540,
  [SMALL_STATE(6829)] = 256553,
  [SMALL_STATE(6830)] = 256566,
  [SMALL_STATE(6831)] = 256579,
  [SMALL_STATE(6832)] = 256592,
  [SMALL_STATE(6833)] = 256603,
  [SMALL_STATE(6834)] = 256616,
  [SMALL_STATE(6835)] = 256629,
  [SMALL_STATE(6836)] = 256642,
  [SMALL_STATE(6837)] = 256655,
  [SMALL_STATE(6838)] = 256668,
  [SMALL_STATE(6839)] = 256681,
  [SMALL_STATE(6840)] = 256690,
  [SMALL_STATE(6841)] = 256701,
  [SMALL_STATE(6842)] = 256714,
  [SMALL_STATE(6843)] = 256727,
  [SMALL_STATE(6844)] = 256740,
  [SMALL_STATE(6845)] = 256753,
  [SMALL_STATE(6846)] = 256766,
  [SMALL_STATE(6847)] = 256779,
  [SMALL_STATE(6848)] = 256792,
  [SMALL_STATE(6849)] = 256805,
  [SMALL_STATE(6850)] = 256818,
  [SMALL_STATE(6851)] = 256831,
  [SMALL_STATE(6852)] = 256844,
  [SMALL_STATE(6853)] = 256857,
  [SMALL_STATE(6854)] = 256870,
  [SMALL_STATE(6855)] = 256883,
  [SMALL_STATE(6856)] = 256896,
  [SMALL_STATE(6857)] = 256909,
  [SMALL_STATE(6858)] = 256922,
  [SMALL_STATE(6859)] = 256935,
  [SMALL_STATE(6860)] = 256948,
  [SMALL_STATE(6861)] = 256961,
  [SMALL_STATE(6862)] = 256974,
  [SMALL_STATE(6863)] = 256987,
  [SMALL_STATE(6864)] = 257000,
  [SMALL_STATE(6865)] = 257013,
  [SMALL_STATE(6866)] = 257026,
  [SMALL_STATE(6867)] = 257039,
  [SMALL_STATE(6868)] = 257050,
  [SMALL_STATE(6869)] = 257061,
  [SMALL_STATE(6870)] = 257074,
  [SMALL_STATE(6871)] = 257087,
  [SMALL_STATE(6872)] = 257100,
  [SMALL_STATE(6873)] = 257111,
  [SMALL_STATE(6874)] = 257124,
  [SMALL_STATE(6875)] = 257137,
  [SMALL_STATE(6876)] = 257150,
  [SMALL_STATE(6877)] = 257163,
  [SMALL_STATE(6878)] = 257176,
  [SMALL_STATE(6879)] = 257185,
  [SMALL_STATE(6880)] = 257198,
  [SMALL_STATE(6881)] = 257211,
  [SMALL_STATE(6882)] = 257224,
  [SMALL_STATE(6883)] = 257235,
  [SMALL_STATE(6884)] = 257248,
  [SMALL_STATE(6885)] = 257261,
  [SMALL_STATE(6886)] = 257274,
  [SMALL_STATE(6887)] = 257287,
  [SMALL_STATE(6888)] = 257298,
  [SMALL_STATE(6889)] = 257309,
  [SMALL_STATE(6890)] = 257318,
  [SMALL_STATE(6891)] = 257329,
  [SMALL_STATE(6892)] = 257342,
  [SMALL_STATE(6893)] = 257355,
  [SMALL_STATE(6894)] = 257368,
  [SMALL_STATE(6895)] = 257381,
  [SMALL_STATE(6896)] = 257394,
  [SMALL_STATE(6897)] = 257407,
  [SMALL_STATE(6898)] = 257420,
  [SMALL_STATE(6899)] = 257433,
  [SMALL_STATE(6900)] = 257446,
  [SMALL_STATE(6901)] = 257459,
  [SMALL_STATE(6902)] = 257472,
  [SMALL_STATE(6903)] = 257485,
  [SMALL_STATE(6904)] = 257498,
  [SMALL_STATE(6905)] = 257509,
  [SMALL_STATE(6906)] = 257522,
  [SMALL_STATE(6907)] = 257533,
  [SMALL_STATE(6908)] = 257546,
  [SMALL_STATE(6909)] = 257559,
  [SMALL_STATE(6910)] = 257572,
  [SMALL_STATE(6911)] = 257583,
  [SMALL_STATE(6912)] = 257596,
  [SMALL_STATE(6913)] = 257607,
  [SMALL_STATE(6914)] = 257620,
  [SMALL_STATE(6915)] = 257633,
  [SMALL_STATE(6916)] = 257646,
  [SMALL_STATE(6917)] = 257657,
  [SMALL_STATE(6918)] = 257670,
  [SMALL_STATE(6919)] = 257683,
  [SMALL_STATE(6920)] = 257696,
  [SMALL_STATE(6921)] = 257709,
  [SMALL_STATE(6922)] = 257722,
  [SMALL_STATE(6923)] = 257735,
  [SMALL_STATE(6924)] = 257746,
  [SMALL_STATE(6925)] = 257759,
  [SMALL_STATE(6926)] = 257772,
  [SMALL_STATE(6927)] = 257785,
  [SMALL_STATE(6928)] = 257794,
  [SMALL_STATE(6929)] = 257807,
  [SMALL_STATE(6930)] = 257820,
  [SMALL_STATE(6931)] = 257833,
  [SMALL_STATE(6932)] = 257846,
  [SMALL_STATE(6933)] = 257859,
  [SMALL_STATE(6934)] = 257870,
  [SMALL_STATE(6935)] = 257883,
  [SMALL_STATE(6936)] = 257896,
  [SMALL_STATE(6937)] = 257907,
  [SMALL_STATE(6938)] = 257920,
  [SMALL_STATE(6939)] = 257931,
  [SMALL_STATE(6940)] = 257944,
  [SMALL_STATE(6941)] = 257957,
  [SMALL_STATE(6942)] = 257970,
  [SMALL_STATE(6943)] = 257983,
  [SMALL_STATE(6944)] = 257996,
  [SMALL_STATE(6945)] = 258009,
  [SMALL_STATE(6946)] = 258022,
  [SMALL_STATE(6947)] = 258035,
  [SMALL_STATE(6948)] = 258048,
  [SMALL_STATE(6949)] = 258061,
  [SMALL_STATE(6950)] = 258074,
  [SMALL_STATE(6951)] = 258085,
  [SMALL_STATE(6952)] = 258098,
  [SMALL_STATE(6953)] = 258111,
  [SMALL_STATE(6954)] = 258124,
  [SMALL_STATE(6955)] = 258137,
  [SMALL_STATE(6956)] = 258150,
  [SMALL_STATE(6957)] = 258163,
  [SMALL_STATE(6958)] = 258174,
  [SMALL_STATE(6959)] = 258187,
  [SMALL_STATE(6960)] = 258200,
  [SMALL_STATE(6961)] = 258213,
  [SMALL_STATE(6962)] = 258226,
  [SMALL_STATE(6963)] = 258239,
  [SMALL_STATE(6964)] = 258252,
  [SMALL_STATE(6965)] = 258265,
  [SMALL_STATE(6966)] = 258278,
  [SMALL_STATE(6967)] = 258291,
  [SMALL_STATE(6968)] = 258304,
  [SMALL_STATE(6969)] = 258317,
  [SMALL_STATE(6970)] = 258330,
  [SMALL_STATE(6971)] = 258343,
  [SMALL_STATE(6972)] = 258356,
  [SMALL_STATE(6973)] = 258367,
  [SMALL_STATE(6974)] = 258380,
  [SMALL_STATE(6975)] = 258393,
  [SMALL_STATE(6976)] = 258404,
  [SMALL_STATE(6977)] = 258417,
  [SMALL_STATE(6978)] = 258430,
  [SMALL_STATE(6979)] = 258443,
  [SMALL_STATE(6980)] = 258456,
  [SMALL_STATE(6981)] = 258467,
  [SMALL_STATE(6982)] = 258480,
  [SMALL_STATE(6983)] = 258493,
  [SMALL_STATE(6984)] = 258506,
  [SMALL_STATE(6985)] = 258519,
  [SMALL_STATE(6986)] = 258532,
  [SMALL_STATE(6987)] = 258545,
  [SMALL_STATE(6988)] = 258558,
  [SMALL_STATE(6989)] = 258571,
  [SMALL_STATE(6990)] = 258584,
  [SMALL_STATE(6991)] = 258597,
  [SMALL_STATE(6992)] = 258610,
  [SMALL_STATE(6993)] = 258623,
  [SMALL_STATE(6994)] = 258636,
  [SMALL_STATE(6995)] = 258649,
  [SMALL_STATE(6996)] = 258662,
  [SMALL_STATE(6997)] = 258673,
  [SMALL_STATE(6998)] = 258686,
  [SMALL_STATE(6999)] = 258699,
  [SMALL_STATE(7000)] = 258712,
  [SMALL_STATE(7001)] = 258725,
  [SMALL_STATE(7002)] = 258738,
  [SMALL_STATE(7003)] = 258751,
  [SMALL_STATE(7004)] = 258764,
  [SMALL_STATE(7005)] = 258777,
  [SMALL_STATE(7006)] = 258790,
  [SMALL_STATE(7007)] = 258803,
  [SMALL_STATE(7008)] = 258816,
  [SMALL_STATE(7009)] = 258829,
  [SMALL_STATE(7010)] = 258842,
  [SMALL_STATE(7011)] = 258855,
  [SMALL_STATE(7012)] = 258868,
  [SMALL_STATE(7013)] = 258881,
  [SMALL_STATE(7014)] = 258894,
  [SMALL_STATE(7015)] = 258907,
  [SMALL_STATE(7016)] = 258920,
  [SMALL_STATE(7017)] = 258933,
  [SMALL_STATE(7018)] = 258946,
  [SMALL_STATE(7019)] = 258955,
  [SMALL_STATE(7020)] = 258968,
  [SMALL_STATE(7021)] = 258979,
  [SMALL_STATE(7022)] = 258992,
  [SMALL_STATE(7023)] = 259005,
  [SMALL_STATE(7024)] = 259018,
  [SMALL_STATE(7025)] = 259031,
  [SMALL_STATE(7026)] = 259044,
  [SMALL_STATE(7027)] = 259055,
  [SMALL_STATE(7028)] = 259068,
  [SMALL_STATE(7029)] = 259081,
  [SMALL_STATE(7030)] = 259092,
  [SMALL_STATE(7031)] = 259103,
  [SMALL_STATE(7032)] = 259116,
  [SMALL_STATE(7033)] = 259125,
  [SMALL_STATE(7034)] = 259138,
  [SMALL_STATE(7035)] = 259151,
  [SMALL_STATE(7036)] = 259164,
  [SMALL_STATE(7037)] = 259177,
  [SMALL_STATE(7038)] = 259190,
  [SMALL_STATE(7039)] = 259203,
  [SMALL_STATE(7040)] = 259216,
  [SMALL_STATE(7041)] = 259229,
  [SMALL_STATE(7042)] = 259242,
  [SMALL_STATE(7043)] = 259255,
  [SMALL_STATE(7044)] = 259268,
  [SMALL_STATE(7045)] = 259281,
  [SMALL_STATE(7046)] = 259294,
  [SMALL_STATE(7047)] = 259307,
  [SMALL_STATE(7048)] = 259320,
  [SMALL_STATE(7049)] = 259329,
  [SMALL_STATE(7050)] = 259342,
  [SMALL_STATE(7051)] = 259355,
  [SMALL_STATE(7052)] = 259366,
  [SMALL_STATE(7053)] = 259379,
  [SMALL_STATE(7054)] = 259392,
  [SMALL_STATE(7055)] = 259405,
  [SMALL_STATE(7056)] = 259418,
  [SMALL_STATE(7057)] = 259431,
  [SMALL_STATE(7058)] = 259442,
  [SMALL_STATE(7059)] = 259455,
  [SMALL_STATE(7060)] = 259468,
  [SMALL_STATE(7061)] = 259481,
  [SMALL_STATE(7062)] = 259494,
  [SMALL_STATE(7063)] = 259507,
  [SMALL_STATE(7064)] = 259520,
  [SMALL_STATE(7065)] = 259533,
  [SMALL_STATE(7066)] = 259546,
  [SMALL_STATE(7067)] = 259559,
  [SMALL_STATE(7068)] = 259570,
  [SMALL_STATE(7069)] = 259583,
  [SMALL_STATE(7070)] = 259596,
  [SMALL_STATE(7071)] = 259609,
  [SMALL_STATE(7072)] = 259622,
  [SMALL_STATE(7073)] = 259635,
  [SMALL_STATE(7074)] = 259648,
  [SMALL_STATE(7075)] = 259661,
  [SMALL_STATE(7076)] = 259674,
  [SMALL_STATE(7077)] = 259687,
  [SMALL_STATE(7078)] = 259700,
  [SMALL_STATE(7079)] = 259710,
  [SMALL_STATE(7080)] = 259720,
  [SMALL_STATE(7081)] = 259730,
  [SMALL_STATE(7082)] = 259740,
  [SMALL_STATE(7083)] = 259748,
  [SMALL_STATE(7084)] = 259758,
  [SMALL_STATE(7085)] = 259768,
  [SMALL_STATE(7086)] = 259776,
  [SMALL_STATE(7087)] = 259786,
  [SMALL_STATE(7088)] = 259794,
  [SMALL_STATE(7089)] = 259804,
  [SMALL_STATE(7090)] = 259812,
  [SMALL_STATE(7091)] = 259820,
  [SMALL_STATE(7092)] = 259828,
  [SMALL_STATE(7093)] = 259838,
  [SMALL_STATE(7094)] = 259848,
  [SMALL_STATE(7095)] = 259856,
  [SMALL_STATE(7096)] = 259866,
  [SMALL_STATE(7097)] = 259876,
  [SMALL_STATE(7098)] = 259886,
  [SMALL_STATE(7099)] = 259896,
  [SMALL_STATE(7100)] = 259906,
  [SMALL_STATE(7101)] = 259916,
  [SMALL_STATE(7102)] = 259926,
  [SMALL_STATE(7103)] = 259934,
  [SMALL_STATE(7104)] = 259944,
  [SMALL_STATE(7105)] = 259954,
  [SMALL_STATE(7106)] = 259964,
  [SMALL_STATE(7107)] = 259974,
  [SMALL_STATE(7108)] = 259984,
  [SMALL_STATE(7109)] = 259994,
  [SMALL_STATE(7110)] = 260004,
  [SMALL_STATE(7111)] = 260012,
  [SMALL_STATE(7112)] = 260022,
  [SMALL_STATE(7113)] = 260032,
  [SMALL_STATE(7114)] = 260042,
  [SMALL_STATE(7115)] = 260052,
  [SMALL_STATE(7116)] = 260062,
  [SMALL_STATE(7117)] = 260070,
  [SMALL_STATE(7118)] = 260080,
  [SMALL_STATE(7119)] = 260090,
  [SMALL_STATE(7120)] = 260098,
  [SMALL_STATE(7121)] = 260108,
  [SMALL_STATE(7122)] = 260118,
  [SMALL_STATE(7123)] = 260128,
  [SMALL_STATE(7124)] = 260138,
  [SMALL_STATE(7125)] = 260148,
  [SMALL_STATE(7126)] = 260158,
  [SMALL_STATE(7127)] = 260166,
  [SMALL_STATE(7128)] = 260176,
  [SMALL_STATE(7129)] = 260186,
  [SMALL_STATE(7130)] = 260194,
  [SMALL_STATE(7131)] = 260204,
  [SMALL_STATE(7132)] = 260214,
  [SMALL_STATE(7133)] = 260224,
  [SMALL_STATE(7134)] = 260234,
  [SMALL_STATE(7135)] = 260244,
  [SMALL_STATE(7136)] = 260254,
  [SMALL_STATE(7137)] = 260264,
  [SMALL_STATE(7138)] = 260274,
  [SMALL_STATE(7139)] = 260284,
  [SMALL_STATE(7140)] = 260294,
  [SMALL_STATE(7141)] = 260304,
  [SMALL_STATE(7142)] = 260314,
  [SMALL_STATE(7143)] = 260324,
  [SMALL_STATE(7144)] = 260334,
  [SMALL_STATE(7145)] = 260344,
  [SMALL_STATE(7146)] = 260354,
  [SMALL_STATE(7147)] = 260364,
  [SMALL_STATE(7148)] = 260374,
  [SMALL_STATE(7149)] = 260384,
  [SMALL_STATE(7150)] = 260394,
  [SMALL_STATE(7151)] = 260404,
  [SMALL_STATE(7152)] = 260414,
  [SMALL_STATE(7153)] = 260424,
  [SMALL_STATE(7154)] = 260434,
  [SMALL_STATE(7155)] = 260444,
  [SMALL_STATE(7156)] = 260454,
  [SMALL_STATE(7157)] = 260462,
  [SMALL_STATE(7158)] = 260472,
  [SMALL_STATE(7159)] = 260482,
  [SMALL_STATE(7160)] = 260492,
  [SMALL_STATE(7161)] = 260502,
  [SMALL_STATE(7162)] = 260512,
  [SMALL_STATE(7163)] = 260522,
  [SMALL_STATE(7164)] = 260532,
  [SMALL_STATE(7165)] = 260540,
  [SMALL_STATE(7166)] = 260550,
  [SMALL_STATE(7167)] = 260560,
  [SMALL_STATE(7168)] = 260570,
  [SMALL_STATE(7169)] = 260580,
  [SMALL_STATE(7170)] = 260590,
  [SMALL_STATE(7171)] = 260600,
  [SMALL_STATE(7172)] = 260608,
  [SMALL_STATE(7173)] = 260618,
  [SMALL_STATE(7174)] = 260628,
  [SMALL_STATE(7175)] = 260638,
  [SMALL_STATE(7176)] = 260648,
  [SMALL_STATE(7177)] = 260658,
  [SMALL_STATE(7178)] = 260668,
  [SMALL_STATE(7179)] = 260678,
  [SMALL_STATE(7180)] = 260688,
  [SMALL_STATE(7181)] = 260696,
  [SMALL_STATE(7182)] = 260706,
  [SMALL_STATE(7183)] = 260716,
  [SMALL_STATE(7184)] = 260726,
  [SMALL_STATE(7185)] = 260736,
  [SMALL_STATE(7186)] = 260746,
  [SMALL_STATE(7187)] = 260756,
  [SMALL_STATE(7188)] = 260766,
  [SMALL_STATE(7189)] = 260776,
  [SMALL_STATE(7190)] = 260786,
  [SMALL_STATE(7191)] = 260796,
  [SMALL_STATE(7192)] = 260806,
  [SMALL_STATE(7193)] = 260814,
  [SMALL_STATE(7194)] = 260824,
  [SMALL_STATE(7195)] = 260834,
  [SMALL_STATE(7196)] = 260844,
  [SMALL_STATE(7197)] = 260854,
  [SMALL_STATE(7198)] = 260864,
  [SMALL_STATE(7199)] = 260874,
  [SMALL_STATE(7200)] = 260884,
  [SMALL_STATE(7201)] = 260892,
  [SMALL_STATE(7202)] = 260902,
  [SMALL_STATE(7203)] = 260912,
  [SMALL_STATE(7204)] = 260922,
  [SMALL_STATE(7205)] = 260932,
  [SMALL_STATE(7206)] = 260942,
  [SMALL_STATE(7207)] = 260952,
  [SMALL_STATE(7208)] = 260962,
  [SMALL_STATE(7209)] = 260972,
  [SMALL_STATE(7210)] = 260982,
  [SMALL_STATE(7211)] = 260992,
  [SMALL_STATE(7212)] = 261002,
  [SMALL_STATE(7213)] = 261012,
  [SMALL_STATE(7214)] = 261022,
  [SMALL_STATE(7215)] = 261032,
  [SMALL_STATE(7216)] = 261042,
  [SMALL_STATE(7217)] = 261050,
  [SMALL_STATE(7218)] = 261058,
  [SMALL_STATE(7219)] = 261068,
  [SMALL_STATE(7220)] = 261076,
  [SMALL_STATE(7221)] = 261084,
  [SMALL_STATE(7222)] = 261092,
  [SMALL_STATE(7223)] = 261100,
  [SMALL_STATE(7224)] = 261108,
  [SMALL_STATE(7225)] = 261116,
  [SMALL_STATE(7226)] = 261124,
  [SMALL_STATE(7227)] = 261134,
  [SMALL_STATE(7228)] = 261144,
  [SMALL_STATE(7229)] = 261154,
  [SMALL_STATE(7230)] = 261162,
  [SMALL_STATE(7231)] = 261172,
  [SMALL_STATE(7232)] = 261182,
  [SMALL_STATE(7233)] = 261190,
  [SMALL_STATE(7234)] = 261200,
  [SMALL_STATE(7235)] = 261210,
  [SMALL_STATE(7236)] = 261220,
  [SMALL_STATE(7237)] = 261230,
  [SMALL_STATE(7238)] = 261240,
  [SMALL_STATE(7239)] = 261250,
  [SMALL_STATE(7240)] = 261260,
  [SMALL_STATE(7241)] = 261270,
  [SMALL_STATE(7242)] = 261280,
  [SMALL_STATE(7243)] = 261290,
  [SMALL_STATE(7244)] = 261300,
  [SMALL_STATE(7245)] = 261310,
  [SMALL_STATE(7246)] = 261320,
  [SMALL_STATE(7247)] = 261328,
  [SMALL_STATE(7248)] = 261338,
  [SMALL_STATE(7249)] = 261348,
  [SMALL_STATE(7250)] = 261358,
  [SMALL_STATE(7251)] = 261368,
  [SMALL_STATE(7252)] = 261378,
  [SMALL_STATE(7253)] = 261388,
  [SMALL_STATE(7254)] = 261398,
  [SMALL_STATE(7255)] = 261408,
  [SMALL_STATE(7256)] = 261418,
  [SMALL_STATE(7257)] = 261428,
  [SMALL_STATE(7258)] = 261438,
  [SMALL_STATE(7259)] = 261448,
  [SMALL_STATE(7260)] = 261458,
  [SMALL_STATE(7261)] = 261468,
  [SMALL_STATE(7262)] = 261478,
  [SMALL_STATE(7263)] = 261488,
  [SMALL_STATE(7264)] = 261498,
  [SMALL_STATE(7265)] = 261508,
  [SMALL_STATE(7266)] = 261518,
  [SMALL_STATE(7267)] = 261528,
  [SMALL_STATE(7268)] = 261538,
  [SMALL_STATE(7269)] = 261548,
  [SMALL_STATE(7270)] = 261556,
  [SMALL_STATE(7271)] = 261566,
  [SMALL_STATE(7272)] = 261576,
  [SMALL_STATE(7273)] = 261586,
  [SMALL_STATE(7274)] = 261596,
  [SMALL_STATE(7275)] = 261604,
  [SMALL_STATE(7276)] = 261614,
  [SMALL_STATE(7277)] = 261622,
  [SMALL_STATE(7278)] = 261632,
  [SMALL_STATE(7279)] = 261642,
  [SMALL_STATE(7280)] = 261652,
  [SMALL_STATE(7281)] = 261662,
  [SMALL_STATE(7282)] = 261672,
  [SMALL_STATE(7283)] = 261682,
  [SMALL_STATE(7284)] = 261692,
  [SMALL_STATE(7285)] = 261702,
  [SMALL_STATE(7286)] = 261712,
  [SMALL_STATE(7287)] = 261720,
  [SMALL_STATE(7288)] = 261728,
  [SMALL_STATE(7289)] = 261738,
  [SMALL_STATE(7290)] = 261748,
  [SMALL_STATE(7291)] = 261758,
  [SMALL_STATE(7292)] = 261768,
  [SMALL_STATE(7293)] = 261778,
  [SMALL_STATE(7294)] = 261788,
  [SMALL_STATE(7295)] = 261798,
  [SMALL_STATE(7296)] = 261808,
  [SMALL_STATE(7297)] = 261816,
  [SMALL_STATE(7298)] = 261826,
  [SMALL_STATE(7299)] = 261836,
  [SMALL_STATE(7300)] = 261846,
  [SMALL_STATE(7301)] = 261856,
  [SMALL_STATE(7302)] = 261866,
  [SMALL_STATE(7303)] = 261876,
  [SMALL_STATE(7304)] = 261886,
  [SMALL_STATE(7305)] = 261896,
  [SMALL_STATE(7306)] = 261906,
  [SMALL_STATE(7307)] = 261916,
  [SMALL_STATE(7308)] = 261926,
  [SMALL_STATE(7309)] = 261936,
  [SMALL_STATE(7310)] = 261946,
  [SMALL_STATE(7311)] = 261956,
  [SMALL_STATE(7312)] = 261966,
  [SMALL_STATE(7313)] = 261976,
  [SMALL_STATE(7314)] = 261986,
  [SMALL_STATE(7315)] = 261996,
  [SMALL_STATE(7316)] = 262006,
  [SMALL_STATE(7317)] = 262014,
  [SMALL_STATE(7318)] = 262024,
  [SMALL_STATE(7319)] = 262034,
  [SMALL_STATE(7320)] = 262044,
  [SMALL_STATE(7321)] = 262052,
  [SMALL_STATE(7322)] = 262062,
  [SMALL_STATE(7323)] = 262072,
  [SMALL_STATE(7324)] = 262082,
  [SMALL_STATE(7325)] = 262092,
  [SMALL_STATE(7326)] = 262102,
  [SMALL_STATE(7327)] = 262112,
  [SMALL_STATE(7328)] = 262122,
  [SMALL_STATE(7329)] = 262132,
  [SMALL_STATE(7330)] = 262142,
  [SMALL_STATE(7331)] = 262152,
  [SMALL_STATE(7332)] = 262162,
  [SMALL_STATE(7333)] = 262172,
  [SMALL_STATE(7334)] = 262182,
  [SMALL_STATE(7335)] = 262192,
  [SMALL_STATE(7336)] = 262202,
  [SMALL_STATE(7337)] = 262212,
  [SMALL_STATE(7338)] = 262222,
  [SMALL_STATE(7339)] = 262232,
  [SMALL_STATE(7340)] = 262242,
  [SMALL_STATE(7341)] = 262252,
  [SMALL_STATE(7342)] = 262262,
  [SMALL_STATE(7343)] = 262272,
  [SMALL_STATE(7344)] = 262280,
  [SMALL_STATE(7345)] = 262288,
  [SMALL_STATE(7346)] = 262298,
  [SMALL_STATE(7347)] = 262308,
  [SMALL_STATE(7348)] = 262318,
  [SMALL_STATE(7349)] = 262328,
  [SMALL_STATE(7350)] = 262338,
  [SMALL_STATE(7351)] = 262348,
  [SMALL_STATE(7352)] = 262358,
  [SMALL_STATE(7353)] = 262368,
  [SMALL_STATE(7354)] = 262378,
  [SMALL_STATE(7355)] = 262388,
  [SMALL_STATE(7356)] = 262398,
  [SMALL_STATE(7357)] = 262408,
  [SMALL_STATE(7358)] = 262416,
  [SMALL_STATE(7359)] = 262426,
  [SMALL_STATE(7360)] = 262436,
  [SMALL_STATE(7361)] = 262446,
  [SMALL_STATE(7362)] = 262456,
  [SMALL_STATE(7363)] = 262466,
  [SMALL_STATE(7364)] = 262474,
  [SMALL_STATE(7365)] = 262484,
  [SMALL_STATE(7366)] = 262494,
  [SMALL_STATE(7367)] = 262504,
  [SMALL_STATE(7368)] = 262514,
  [SMALL_STATE(7369)] = 262524,
  [SMALL_STATE(7370)] = 262534,
  [SMALL_STATE(7371)] = 262544,
  [SMALL_STATE(7372)] = 262554,
  [SMALL_STATE(7373)] = 262564,
  [SMALL_STATE(7374)] = 262574,
  [SMALL_STATE(7375)] = 262584,
  [SMALL_STATE(7376)] = 262594,
  [SMALL_STATE(7377)] = 262604,
  [SMALL_STATE(7378)] = 262614,
  [SMALL_STATE(7379)] = 262624,
  [SMALL_STATE(7380)] = 262634,
  [SMALL_STATE(7381)] = 262644,
  [SMALL_STATE(7382)] = 262654,
  [SMALL_STATE(7383)] = 262664,
  [SMALL_STATE(7384)] = 262674,
  [SMALL_STATE(7385)] = 262684,
  [SMALL_STATE(7386)] = 262694,
  [SMALL_STATE(7387)] = 262704,
  [SMALL_STATE(7388)] = 262714,
  [SMALL_STATE(7389)] = 262724,
  [SMALL_STATE(7390)] = 262732,
  [SMALL_STATE(7391)] = 262742,
  [SMALL_STATE(7392)] = 262752,
  [SMALL_STATE(7393)] = 262762,
  [SMALL_STATE(7394)] = 262772,
  [SMALL_STATE(7395)] = 262782,
  [SMALL_STATE(7396)] = 262792,
  [SMALL_STATE(7397)] = 262802,
  [SMALL_STATE(7398)] = 262812,
  [SMALL_STATE(7399)] = 262822,
  [SMALL_STATE(7400)] = 262832,
  [SMALL_STATE(7401)] = 262842,
  [SMALL_STATE(7402)] = 262852,
  [SMALL_STATE(7403)] = 262862,
  [SMALL_STATE(7404)] = 262872,
  [SMALL_STATE(7405)] = 262882,
  [SMALL_STATE(7406)] = 262892,
  [SMALL_STATE(7407)] = 262902,
  [SMALL_STATE(7408)] = 262912,
  [SMALL_STATE(7409)] = 262922,
  [SMALL_STATE(7410)] = 262932,
  [SMALL_STATE(7411)] = 262942,
  [SMALL_STATE(7412)] = 262952,
  [SMALL_STATE(7413)] = 262962,
  [SMALL_STATE(7414)] = 262972,
  [SMALL_STATE(7415)] = 262982,
  [SMALL_STATE(7416)] = 262992,
  [SMALL_STATE(7417)] = 263002,
  [SMALL_STATE(7418)] = 263009,
  [SMALL_STATE(7419)] = 263016,
  [SMALL_STATE(7420)] = 263023,
  [SMALL_STATE(7421)] = 263030,
  [SMALL_STATE(7422)] = 263037,
  [SMALL_STATE(7423)] = 263044,
  [SMALL_STATE(7424)] = 263051,
  [SMALL_STATE(7425)] = 263058,
  [SMALL_STATE(7426)] = 263065,
  [SMALL_STATE(7427)] = 263072,
  [SMALL_STATE(7428)] = 263079,
  [SMALL_STATE(7429)] = 263086,
  [SMALL_STATE(7430)] = 263093,
  [SMALL_STATE(7431)] = 263100,
  [SMALL_STATE(7432)] = 263107,
  [SMALL_STATE(7433)] = 263114,
  [SMALL_STATE(7434)] = 263121,
  [SMALL_STATE(7435)] = 263128,
  [SMALL_STATE(7436)] = 263135,
  [SMALL_STATE(7437)] = 263142,
  [SMALL_STATE(7438)] = 263149,
  [SMALL_STATE(7439)] = 263156,
  [SMALL_STATE(7440)] = 263163,
  [SMALL_STATE(7441)] = 263170,
  [SMALL_STATE(7442)] = 263177,
  [SMALL_STATE(7443)] = 263184,
  [SMALL_STATE(7444)] = 263191,
  [SMALL_STATE(7445)] = 263198,
  [SMALL_STATE(7446)] = 263205,
  [SMALL_STATE(7447)] = 263212,
  [SMALL_STATE(7448)] = 263219,
  [SMALL_STATE(7449)] = 263226,
  [SMALL_STATE(7450)] = 263233,
  [SMALL_STATE(7451)] = 263240,
  [SMALL_STATE(7452)] = 263247,
  [SMALL_STATE(7453)] = 263254,
  [SMALL_STATE(7454)] = 263261,
  [SMALL_STATE(7455)] = 263268,
  [SMALL_STATE(7456)] = 263275,
  [SMALL_STATE(7457)] = 263282,
  [SMALL_STATE(7458)] = 263289,
  [SMALL_STATE(7459)] = 263296,
  [SMALL_STATE(7460)] = 263303,
  [SMALL_STATE(7461)] = 263310,
  [SMALL_STATE(7462)] = 263317,
  [SMALL_STATE(7463)] = 263324,
  [SMALL_STATE(7464)] = 263331,
  [SMALL_STATE(7465)] = 263338,
  [SMALL_STATE(7466)] = 263345,
  [SMALL_STATE(7467)] = 263352,
  [SMALL_STATE(7468)] = 263359,
  [SMALL_STATE(7469)] = 263366,
  [SMALL_STATE(7470)] = 263373,
  [SMALL_STATE(7471)] = 263380,
  [SMALL_STATE(7472)] = 263387,
  [SMALL_STATE(7473)] = 263394,
  [SMALL_STATE(7474)] = 263401,
  [SMALL_STATE(7475)] = 263408,
  [SMALL_STATE(7476)] = 263415,
  [SMALL_STATE(7477)] = 263422,
  [SMALL_STATE(7478)] = 263429,
  [SMALL_STATE(7479)] = 263436,
  [SMALL_STATE(7480)] = 263443,
  [SMALL_STATE(7481)] = 263450,
  [SMALL_STATE(7482)] = 263457,
  [SMALL_STATE(7483)] = 263464,
  [SMALL_STATE(7484)] = 263471,
  [SMALL_STATE(7485)] = 263478,
  [SMALL_STATE(7486)] = 263485,
  [SMALL_STATE(7487)] = 263492,
  [SMALL_STATE(7488)] = 263499,
  [SMALL_STATE(7489)] = 263506,
  [SMALL_STATE(7490)] = 263513,
  [SMALL_STATE(7491)] = 263520,
  [SMALL_STATE(7492)] = 263527,
  [SMALL_STATE(7493)] = 263534,
  [SMALL_STATE(7494)] = 263541,
  [SMALL_STATE(7495)] = 263548,
  [SMALL_STATE(7496)] = 263555,
  [SMALL_STATE(7497)] = 263562,
  [SMALL_STATE(7498)] = 263569,
  [SMALL_STATE(7499)] = 263576,
  [SMALL_STATE(7500)] = 263583,
  [SMALL_STATE(7501)] = 263590,
  [SMALL_STATE(7502)] = 263597,
  [SMALL_STATE(7503)] = 263604,
  [SMALL_STATE(7504)] = 263611,
  [SMALL_STATE(7505)] = 263618,
  [SMALL_STATE(7506)] = 263625,
  [SMALL_STATE(7507)] = 263632,
  [SMALL_STATE(7508)] = 263639,
  [SMALL_STATE(7509)] = 263646,
  [SMALL_STATE(7510)] = 263653,
  [SMALL_STATE(7511)] = 263660,
  [SMALL_STATE(7512)] = 263667,
  [SMALL_STATE(7513)] = 263674,
  [SMALL_STATE(7514)] = 263681,
  [SMALL_STATE(7515)] = 263688,
  [SMALL_STATE(7516)] = 263695,
  [SMALL_STATE(7517)] = 263702,
  [SMALL_STATE(7518)] = 263709,
  [SMALL_STATE(7519)] = 263716,
  [SMALL_STATE(7520)] = 263723,
  [SMALL_STATE(7521)] = 263730,
  [SMALL_STATE(7522)] = 263737,
  [SMALL_STATE(7523)] = 263744,
  [SMALL_STATE(7524)] = 263751,
  [SMALL_STATE(7525)] = 263758,
  [SMALL_STATE(7526)] = 263765,
  [SMALL_STATE(7527)] = 263772,
  [SMALL_STATE(7528)] = 263779,
  [SMALL_STATE(7529)] = 263786,
  [SMALL_STATE(7530)] = 263793,
  [SMALL_STATE(7531)] = 263800,
  [SMALL_STATE(7532)] = 263807,
  [SMALL_STATE(7533)] = 263814,
  [SMALL_STATE(7534)] = 263821,
  [SMALL_STATE(7535)] = 263828,
  [SMALL_STATE(7536)] = 263835,
  [SMALL_STATE(7537)] = 263842,
  [SMALL_STATE(7538)] = 263849,
  [SMALL_STATE(7539)] = 263856,
  [SMALL_STATE(7540)] = 263863,
  [SMALL_STATE(7541)] = 263870,
  [SMALL_STATE(7542)] = 263877,
  [SMALL_STATE(7543)] = 263884,
  [SMALL_STATE(7544)] = 263891,
  [SMALL_STATE(7545)] = 263898,
  [SMALL_STATE(7546)] = 263905,
  [SMALL_STATE(7547)] = 263912,
  [SMALL_STATE(7548)] = 263919,
  [SMALL_STATE(7549)] = 263926,
  [SMALL_STATE(7550)] = 263933,
  [SMALL_STATE(7551)] = 263940,
  [SMALL_STATE(7552)] = 263947,
  [SMALL_STATE(7553)] = 263954,
  [SMALL_STATE(7554)] = 263961,
  [SMALL_STATE(7555)] = 263968,
  [SMALL_STATE(7556)] = 263975,
  [SMALL_STATE(7557)] = 263982,
  [SMALL_STATE(7558)] = 263989,
  [SMALL_STATE(7559)] = 263996,
  [SMALL_STATE(7560)] = 264003,
  [SMALL_STATE(7561)] = 264010,
  [SMALL_STATE(7562)] = 264017,
  [SMALL_STATE(7563)] = 264024,
  [SMALL_STATE(7564)] = 264031,
  [SMALL_STATE(7565)] = 264038,
  [SMALL_STATE(7566)] = 264045,
  [SMALL_STATE(7567)] = 264052,
  [SMALL_STATE(7568)] = 264059,
  [SMALL_STATE(7569)] = 264066,
  [SMALL_STATE(7570)] = 264073,
  [SMALL_STATE(7571)] = 264080,
  [SMALL_STATE(7572)] = 264087,
  [SMALL_STATE(7573)] = 264094,
  [SMALL_STATE(7574)] = 264101,
  [SMALL_STATE(7575)] = 264108,
  [SMALL_STATE(7576)] = 264115,
  [SMALL_STATE(7577)] = 264122,
  [SMALL_STATE(7578)] = 264129,
  [SMALL_STATE(7579)] = 264136,
  [SMALL_STATE(7580)] = 264143,
  [SMALL_STATE(7581)] = 264150,
  [SMALL_STATE(7582)] = 264157,
  [SMALL_STATE(7583)] = 264164,
  [SMALL_STATE(7584)] = 264171,
  [SMALL_STATE(7585)] = 264178,
  [SMALL_STATE(7586)] = 264185,
  [SMALL_STATE(7587)] = 264192,
  [SMALL_STATE(7588)] = 264199,
  [SMALL_STATE(7589)] = 264206,
  [SMALL_STATE(7590)] = 264213,
  [SMALL_STATE(7591)] = 264220,
  [SMALL_STATE(7592)] = 264227,
  [SMALL_STATE(7593)] = 264234,
  [SMALL_STATE(7594)] = 264241,
  [SMALL_STATE(7595)] = 264248,
  [SMALL_STATE(7596)] = 264255,
  [SMALL_STATE(7597)] = 264262,
  [SMALL_STATE(7598)] = 264269,
  [SMALL_STATE(7599)] = 264276,
  [SMALL_STATE(7600)] = 264283,
  [SMALL_STATE(7601)] = 264290,
  [SMALL_STATE(7602)] = 264297,
  [SMALL_STATE(7603)] = 264304,
  [SMALL_STATE(7604)] = 264311,
  [SMALL_STATE(7605)] = 264318,
  [SMALL_STATE(7606)] = 264325,
  [SMALL_STATE(7607)] = 264332,
  [SMALL_STATE(7608)] = 264339,
  [SMALL_STATE(7609)] = 264346,
  [SMALL_STATE(7610)] = 264353,
  [SMALL_STATE(7611)] = 264360,
  [SMALL_STATE(7612)] = 264367,
  [SMALL_STATE(7613)] = 264374,
  [SMALL_STATE(7614)] = 264381,
  [SMALL_STATE(7615)] = 264388,
  [SMALL_STATE(7616)] = 264395,
  [SMALL_STATE(7617)] = 264402,
  [SMALL_STATE(7618)] = 264409,
  [SMALL_STATE(7619)] = 264416,
  [SMALL_STATE(7620)] = 264423,
  [SMALL_STATE(7621)] = 264430,
  [SMALL_STATE(7622)] = 264437,
  [SMALL_STATE(7623)] = 264444,
  [SMALL_STATE(7624)] = 264451,
  [SMALL_STATE(7625)] = 264458,
  [SMALL_STATE(7626)] = 264465,
  [SMALL_STATE(7627)] = 264472,
  [SMALL_STATE(7628)] = 264479,
  [SMALL_STATE(7629)] = 264486,
  [SMALL_STATE(7630)] = 264493,
  [SMALL_STATE(7631)] = 264500,
  [SMALL_STATE(7632)] = 264507,
  [SMALL_STATE(7633)] = 264514,
  [SMALL_STATE(7634)] = 264521,
  [SMALL_STATE(7635)] = 264528,
  [SMALL_STATE(7636)] = 264535,
  [SMALL_STATE(7637)] = 264542,
  [SMALL_STATE(7638)] = 264549,
  [SMALL_STATE(7639)] = 264556,
  [SMALL_STATE(7640)] = 264563,
  [SMALL_STATE(7641)] = 264570,
  [SMALL_STATE(7642)] = 264577,
  [SMALL_STATE(7643)] = 264584,
  [SMALL_STATE(7644)] = 264591,
  [SMALL_STATE(7645)] = 264598,
  [SMALL_STATE(7646)] = 264605,
  [SMALL_STATE(7647)] = 264612,
  [SMALL_STATE(7648)] = 264619,
  [SMALL_STATE(7649)] = 264626,
  [SMALL_STATE(7650)] = 264633,
  [SMALL_STATE(7651)] = 264640,
  [SMALL_STATE(7652)] = 264647,
  [SMALL_STATE(7653)] = 264654,
  [SMALL_STATE(7654)] = 264661,
  [SMALL_STATE(7655)] = 264668,
  [SMALL_STATE(7656)] = 264675,
  [SMALL_STATE(7657)] = 264682,
  [SMALL_STATE(7658)] = 264689,
  [SMALL_STATE(7659)] = 264696,
  [SMALL_STATE(7660)] = 264703,
  [SMALL_STATE(7661)] = 264710,
  [SMALL_STATE(7662)] = 264717,
  [SMALL_STATE(7663)] = 264724,
  [SMALL_STATE(7664)] = 264731,
  [SMALL_STATE(7665)] = 264738,
  [SMALL_STATE(7666)] = 264745,
  [SMALL_STATE(7667)] = 264752,
  [SMALL_STATE(7668)] = 264759,
  [SMALL_STATE(7669)] = 264766,
  [SMALL_STATE(7670)] = 264773,
  [SMALL_STATE(7671)] = 264780,
  [SMALL_STATE(7672)] = 264787,
  [SMALL_STATE(7673)] = 264794,
  [SMALL_STATE(7674)] = 264801,
  [SMALL_STATE(7675)] = 264808,
  [SMALL_STATE(7676)] = 264815,
  [SMALL_STATE(7677)] = 264822,
  [SMALL_STATE(7678)] = 264829,
  [SMALL_STATE(7679)] = 264836,
  [SMALL_STATE(7680)] = 264843,
  [SMALL_STATE(7681)] = 264850,
  [SMALL_STATE(7682)] = 264857,
  [SMALL_STATE(7683)] = 264864,
  [SMALL_STATE(7684)] = 264871,
  [SMALL_STATE(7685)] = 264878,
  [SMALL_STATE(7686)] = 264885,
  [SMALL_STATE(7687)] = 264892,
  [SMALL_STATE(7688)] = 264899,
  [SMALL_STATE(7689)] = 264906,
  [SMALL_STATE(7690)] = 264913,
  [SMALL_STATE(7691)] = 264920,
  [SMALL_STATE(7692)] = 264927,
  [SMALL_STATE(7693)] = 264934,
  [SMALL_STATE(7694)] = 264941,
  [SMALL_STATE(7695)] = 264948,
  [SMALL_STATE(7696)] = 264955,
  [SMALL_STATE(7697)] = 264962,
  [SMALL_STATE(7698)] = 264969,
  [SMALL_STATE(7699)] = 264976,
  [SMALL_STATE(7700)] = 264983,
  [SMALL_STATE(7701)] = 264990,
  [SMALL_STATE(7702)] = 264997,
  [SMALL_STATE(7703)] = 265004,
  [SMALL_STATE(7704)] = 265011,
  [SMALL_STATE(7705)] = 265018,
  [SMALL_STATE(7706)] = 265025,
  [SMALL_STATE(7707)] = 265032,
  [SMALL_STATE(7708)] = 265039,
  [SMALL_STATE(7709)] = 265046,
  [SMALL_STATE(7710)] = 265053,
  [SMALL_STATE(7711)] = 265060,
  [SMALL_STATE(7712)] = 265067,
  [SMALL_STATE(7713)] = 265074,
  [SMALL_STATE(7714)] = 265081,
  [SMALL_STATE(7715)] = 265088,
  [SMALL_STATE(7716)] = 265095,
  [SMALL_STATE(7717)] = 265102,
  [SMALL_STATE(7718)] = 265109,
  [SMALL_STATE(7719)] = 265116,
  [SMALL_STATE(7720)] = 265123,
  [SMALL_STATE(7721)] = 265130,
  [SMALL_STATE(7722)] = 265137,
  [SMALL_STATE(7723)] = 265144,
  [SMALL_STATE(7724)] = 265151,
  [SMALL_STATE(7725)] = 265158,
  [SMALL_STATE(7726)] = 265165,
  [SMALL_STATE(7727)] = 265172,
  [SMALL_STATE(7728)] = 265179,
  [SMALL_STATE(7729)] = 265186,
  [SMALL_STATE(7730)] = 265193,
  [SMALL_STATE(7731)] = 265200,
  [SMALL_STATE(7732)] = 265207,
  [SMALL_STATE(7733)] = 265214,
  [SMALL_STATE(7734)] = 265221,
  [SMALL_STATE(7735)] = 265228,
  [SMALL_STATE(7736)] = 265235,
  [SMALL_STATE(7737)] = 265242,
  [SMALL_STATE(7738)] = 265249,
  [SMALL_STATE(7739)] = 265256,
  [SMALL_STATE(7740)] = 265263,
  [SMALL_STATE(7741)] = 265270,
  [SMALL_STATE(7742)] = 265277,
  [SMALL_STATE(7743)] = 265284,
  [SMALL_STATE(7744)] = 265291,
  [SMALL_STATE(7745)] = 265298,
  [SMALL_STATE(7746)] = 265305,
  [SMALL_STATE(7747)] = 265312,
  [SMALL_STATE(7748)] = 265319,
  [SMALL_STATE(7749)] = 265326,
  [SMALL_STATE(7750)] = 265333,
  [SMALL_STATE(7751)] = 265340,
  [SMALL_STATE(7752)] = 265347,
  [SMALL_STATE(7753)] = 265354,
  [SMALL_STATE(7754)] = 265361,
  [SMALL_STATE(7755)] = 265368,
  [SMALL_STATE(7756)] = 265375,
  [SMALL_STATE(7757)] = 265382,
  [SMALL_STATE(7758)] = 265389,
  [SMALL_STATE(7759)] = 265396,
  [SMALL_STATE(7760)] = 265403,
  [SMALL_STATE(7761)] = 265410,
  [SMALL_STATE(7762)] = 265417,
  [SMALL_STATE(7763)] = 265424,
  [SMALL_STATE(7764)] = 265431,
  [SMALL_STATE(7765)] = 265438,
  [SMALL_STATE(7766)] = 265445,
  [SMALL_STATE(7767)] = 265452,
  [SMALL_STATE(7768)] = 265459,
  [SMALL_STATE(7769)] = 265466,
  [SMALL_STATE(7770)] = 265473,
  [SMALL_STATE(7771)] = 265480,
  [SMALL_STATE(7772)] = 265487,
  [SMALL_STATE(7773)] = 265494,
  [SMALL_STATE(7774)] = 265501,
  [SMALL_STATE(7775)] = 265508,
  [SMALL_STATE(7776)] = 265515,
  [SMALL_STATE(7777)] = 265522,
  [SMALL_STATE(7778)] = 265529,
  [SMALL_STATE(7779)] = 265536,
  [SMALL_STATE(7780)] = 265543,
  [SMALL_STATE(7781)] = 265550,
  [SMALL_STATE(7782)] = 265557,
  [SMALL_STATE(7783)] = 265564,
  [SMALL_STATE(7784)] = 265571,
  [SMALL_STATE(7785)] = 265578,
  [SMALL_STATE(7786)] = 265585,
  [SMALL_STATE(7787)] = 265592,
  [SMALL_STATE(7788)] = 265599,
  [SMALL_STATE(7789)] = 265606,
  [SMALL_STATE(7790)] = 265613,
  [SMALL_STATE(7791)] = 265620,
  [SMALL_STATE(7792)] = 265627,
  [SMALL_STATE(7793)] = 265634,
  [SMALL_STATE(7794)] = 265641,
  [SMALL_STATE(7795)] = 265648,
  [SMALL_STATE(7796)] = 265655,
  [SMALL_STATE(7797)] = 265662,
  [SMALL_STATE(7798)] = 265669,
  [SMALL_STATE(7799)] = 265676,
  [SMALL_STATE(7800)] = 265683,
  [SMALL_STATE(7801)] = 265690,
  [SMALL_STATE(7802)] = 265697,
  [SMALL_STATE(7803)] = 265704,
  [SMALL_STATE(7804)] = 265711,
  [SMALL_STATE(7805)] = 265718,
  [SMALL_STATE(7806)] = 265725,
  [SMALL_STATE(7807)] = 265732,
  [SMALL_STATE(7808)] = 265739,
  [SMALL_STATE(7809)] = 265746,
  [SMALL_STATE(7810)] = 265753,
  [SMALL_STATE(7811)] = 265760,
  [SMALL_STATE(7812)] = 265767,
  [SMALL_STATE(7813)] = 265774,
  [SMALL_STATE(7814)] = 265781,
  [SMALL_STATE(7815)] = 265788,
  [SMALL_STATE(7816)] = 265795,
  [SMALL_STATE(7817)] = 265802,
  [SMALL_STATE(7818)] = 265809,
  [SMALL_STATE(7819)] = 265816,
  [SMALL_STATE(7820)] = 265823,
  [SMALL_STATE(7821)] = 265830,
  [SMALL_STATE(7822)] = 265837,
  [SMALL_STATE(7823)] = 265844,
  [SMALL_STATE(7824)] = 265851,
  [SMALL_STATE(7825)] = 265858,
  [SMALL_STATE(7826)] = 265865,
  [SMALL_STATE(7827)] = 265872,
  [SMALL_STATE(7828)] = 265879,
  [SMALL_STATE(7829)] = 265886,
  [SMALL_STATE(7830)] = 265893,
  [SMALL_STATE(7831)] = 265900,
  [SMALL_STATE(7832)] = 265907,
  [SMALL_STATE(7833)] = 265914,
  [SMALL_STATE(7834)] = 265921,
  [SMALL_STATE(7835)] = 265928,
  [SMALL_STATE(7836)] = 265935,
  [SMALL_STATE(7837)] = 265942,
  [SMALL_STATE(7838)] = 265949,
  [SMALL_STATE(7839)] = 265956,
  [SMALL_STATE(7840)] = 265963,
  [SMALL_STATE(7841)] = 265970,
  [SMALL_STATE(7842)] = 265977,
  [SMALL_STATE(7843)] = 265984,
  [SMALL_STATE(7844)] = 265991,
  [SMALL_STATE(7845)] = 265998,
  [SMALL_STATE(7846)] = 266005,
  [SMALL_STATE(7847)] = 266012,
  [SMALL_STATE(7848)] = 266019,
  [SMALL_STATE(7849)] = 266026,
  [SMALL_STATE(7850)] = 266033,
  [SMALL_STATE(7851)] = 266040,
  [SMALL_STATE(7852)] = 266047,
  [SMALL_STATE(7853)] = 266054,
  [SMALL_STATE(7854)] = 266061,
  [SMALL_STATE(7855)] = 266068,
  [SMALL_STATE(7856)] = 266075,
  [SMALL_STATE(7857)] = 266082,
  [SMALL_STATE(7858)] = 266089,
  [SMALL_STATE(7859)] = 266096,
  [SMALL_STATE(7860)] = 266103,
  [SMALL_STATE(7861)] = 266110,
  [SMALL_STATE(7862)] = 266117,
  [SMALL_STATE(7863)] = 266124,
  [SMALL_STATE(7864)] = 266131,
  [SMALL_STATE(7865)] = 266138,
  [SMALL_STATE(7866)] = 266145,
  [SMALL_STATE(7867)] = 266152,
  [SMALL_STATE(7868)] = 266159,
  [SMALL_STATE(7869)] = 266166,
  [SMALL_STATE(7870)] = 266173,
  [SMALL_STATE(7871)] = 266180,
  [SMALL_STATE(7872)] = 266187,
  [SMALL_STATE(7873)] = 266194,
  [SMALL_STATE(7874)] = 266201,
  [SMALL_STATE(7875)] = 266208,
  [SMALL_STATE(7876)] = 266215,
  [SMALL_STATE(7877)] = 266222,
  [SMALL_STATE(7878)] = 266229,
  [SMALL_STATE(7879)] = 266236,
  [SMALL_STATE(7880)] = 266243,
  [SMALL_STATE(7881)] = 266250,
  [SMALL_STATE(7882)] = 266257,
  [SMALL_STATE(7883)] = 266264,
  [SMALL_STATE(7884)] = 266271,
  [SMALL_STATE(7885)] = 266278,
  [SMALL_STATE(7886)] = 266285,
  [SMALL_STATE(7887)] = 266292,
  [SMALL_STATE(7888)] = 266299,
  [SMALL_STATE(7889)] = 266306,
  [SMALL_STATE(7890)] = 266313,
  [SMALL_STATE(7891)] = 266320,
  [SMALL_STATE(7892)] = 266327,
  [SMALL_STATE(7893)] = 266334,
  [SMALL_STATE(7894)] = 266341,
  [SMALL_STATE(7895)] = 266348,
  [SMALL_STATE(7896)] = 266355,
  [SMALL_STATE(7897)] = 266362,
  [SMALL_STATE(7898)] = 266369,
  [SMALL_STATE(7899)] = 266376,
  [SMALL_STATE(7900)] = 266383,
  [SMALL_STATE(7901)] = 266390,
  [SMALL_STATE(7902)] = 266397,
  [SMALL_STATE(7903)] = 266404,
  [SMALL_STATE(7904)] = 266411,
  [SMALL_STATE(7905)] = 266418,
  [SMALL_STATE(7906)] = 266425,
  [SMALL_STATE(7907)] = 266432,
  [SMALL_STATE(7908)] = 266439,
  [SMALL_STATE(7909)] = 266446,
  [SMALL_STATE(7910)] = 266453,
  [SMALL_STATE(7911)] = 266460,
  [SMALL_STATE(7912)] = 266467,
  [SMALL_STATE(7913)] = 266474,
  [SMALL_STATE(7914)] = 266481,
  [SMALL_STATE(7915)] = 266488,
  [SMALL_STATE(7916)] = 266495,
  [SMALL_STATE(7917)] = 266502,
  [SMALL_STATE(7918)] = 266509,
  [SMALL_STATE(7919)] = 266516,
  [SMALL_STATE(7920)] = 266523,
  [SMALL_STATE(7921)] = 266530,
  [SMALL_STATE(7922)] = 266537,
  [SMALL_STATE(7923)] = 266544,
  [SMALL_STATE(7924)] = 266551,
  [SMALL_STATE(7925)] = 266558,
  [SMALL_STATE(7926)] = 266565,
  [SMALL_STATE(7927)] = 266572,
  [SMALL_STATE(7928)] = 266579,
  [SMALL_STATE(7929)] = 266586,
  [SMALL_STATE(7930)] = 266593,
  [SMALL_STATE(7931)] = 266600,
  [SMALL_STATE(7932)] = 266607,
  [SMALL_STATE(7933)] = 266614,
  [SMALL_STATE(7934)] = 266621,
  [SMALL_STATE(7935)] = 266628,
  [SMALL_STATE(7936)] = 266635,
  [SMALL_STATE(7937)] = 266642,
  [SMALL_STATE(7938)] = 266649,
  [SMALL_STATE(7939)] = 266656,
  [SMALL_STATE(7940)] = 266663,
  [SMALL_STATE(7941)] = 266670,
  [SMALL_STATE(7942)] = 266677,
  [SMALL_STATE(7943)] = 266684,
  [SMALL_STATE(7944)] = 266691,
  [SMALL_STATE(7945)] = 266698,
  [SMALL_STATE(7946)] = 266705,
  [SMALL_STATE(7947)] = 266712,
  [SMALL_STATE(7948)] = 266719,
  [SMALL_STATE(7949)] = 266726,
  [SMALL_STATE(7950)] = 266733,
  [SMALL_STATE(7951)] = 266740,
  [SMALL_STATE(7952)] = 266747,
  [SMALL_STATE(7953)] = 266754,
  [SMALL_STATE(7954)] = 266761,
  [SMALL_STATE(7955)] = 266768,
  [SMALL_STATE(7956)] = 266775,
  [SMALL_STATE(7957)] = 266782,
  [SMALL_STATE(7958)] = 266789,
  [SMALL_STATE(7959)] = 266796,
  [SMALL_STATE(7960)] = 266803,
  [SMALL_STATE(7961)] = 266810,
  [SMALL_STATE(7962)] = 266817,
  [SMALL_STATE(7963)] = 266824,
  [SMALL_STATE(7964)] = 266831,
  [SMALL_STATE(7965)] = 266838,
  [SMALL_STATE(7966)] = 266845,
  [SMALL_STATE(7967)] = 266852,
  [SMALL_STATE(7968)] = 266859,
  [SMALL_STATE(7969)] = 266866,
  [SMALL_STATE(7970)] = 266873,
  [SMALL_STATE(7971)] = 266880,
  [SMALL_STATE(7972)] = 266887,
  [SMALL_STATE(7973)] = 266894,
  [SMALL_STATE(7974)] = 266901,
  [SMALL_STATE(7975)] = 266908,
  [SMALL_STATE(7976)] = 266915,
  [SMALL_STATE(7977)] = 266922,
  [SMALL_STATE(7978)] = 266929,
  [SMALL_STATE(7979)] = 266936,
  [SMALL_STATE(7980)] = 266943,
  [SMALL_STATE(7981)] = 266950,
  [SMALL_STATE(7982)] = 266957,
  [SMALL_STATE(7983)] = 266964,
  [SMALL_STATE(7984)] = 266971,
  [SMALL_STATE(7985)] = 266978,
  [SMALL_STATE(7986)] = 266985,
  [SMALL_STATE(7987)] = 266992,
  [SMALL_STATE(7988)] = 266999,
  [SMALL_STATE(7989)] = 267006,
  [SMALL_STATE(7990)] = 267013,
  [SMALL_STATE(7991)] = 267020,
  [SMALL_STATE(7992)] = 267027,
  [SMALL_STATE(7993)] = 267034,
  [SMALL_STATE(7994)] = 267041,
  [SMALL_STATE(7995)] = 267048,
  [SMALL_STATE(7996)] = 267055,
  [SMALL_STATE(7997)] = 267062,
  [SMALL_STATE(7998)] = 267069,
  [SMALL_STATE(7999)] = 267076,
  [SMALL_STATE(8000)] = 267083,
  [SMALL_STATE(8001)] = 267090,
  [SMALL_STATE(8002)] = 267097,
  [SMALL_STATE(8003)] = 267104,
  [SMALL_STATE(8004)] = 267111,
  [SMALL_STATE(8005)] = 267118,
  [SMALL_STATE(8006)] = 267125,
  [SMALL_STATE(8007)] = 267132,
  [SMALL_STATE(8008)] = 267139,
  [SMALL_STATE(8009)] = 267146,
  [SMALL_STATE(8010)] = 267153,
  [SMALL_STATE(8011)] = 267160,
  [SMALL_STATE(8012)] = 267167,
  [SMALL_STATE(8013)] = 267174,
  [SMALL_STATE(8014)] = 267181,
  [SMALL_STATE(8015)] = 267188,
  [SMALL_STATE(8016)] = 267195,
  [SMALL_STATE(8017)] = 267202,
  [SMALL_STATE(8018)] = 267209,
  [SMALL_STATE(8019)] = 267216,
  [SMALL_STATE(8020)] = 267223,
  [SMALL_STATE(8021)] = 267230,
  [SMALL_STATE(8022)] = 267237,
  [SMALL_STATE(8023)] = 267244,
  [SMALL_STATE(8024)] = 267251,
  [SMALL_STATE(8025)] = 267258,
  [SMALL_STATE(8026)] = 267265,
  [SMALL_STATE(8027)] = 267272,
  [SMALL_STATE(8028)] = 267279,
  [SMALL_STATE(8029)] = 267286,
  [SMALL_STATE(8030)] = 267293,
  [SMALL_STATE(8031)] = 267300,
  [SMALL_STATE(8032)] = 267307,
  [SMALL_STATE(8033)] = 267314,
  [SMALL_STATE(8034)] = 267321,
  [SMALL_STATE(8035)] = 267328,
  [SMALL_STATE(8036)] = 267335,
  [SMALL_STATE(8037)] = 267342,
  [SMALL_STATE(8038)] = 267349,
  [SMALL_STATE(8039)] = 267356,
  [SMALL_STATE(8040)] = 267363,
  [SMALL_STATE(8041)] = 267370,
  [SMALL_STATE(8042)] = 267377,
  [SMALL_STATE(8043)] = 267384,
  [SMALL_STATE(8044)] = 267391,
  [SMALL_STATE(8045)] = 267398,
  [SMALL_STATE(8046)] = 267405,
  [SMALL_STATE(8047)] = 267412,
  [SMALL_STATE(8048)] = 267419,
  [SMALL_STATE(8049)] = 267426,
  [SMALL_STATE(8050)] = 267433,
  [SMALL_STATE(8051)] = 267440,
  [SMALL_STATE(8052)] = 267447,
  [SMALL_STATE(8053)] = 267454,
  [SMALL_STATE(8054)] = 267461,
  [SMALL_STATE(8055)] = 267468,
  [SMALL_STATE(8056)] = 267475,
  [SMALL_STATE(8057)] = 267482,
  [SMALL_STATE(8058)] = 267489,
  [SMALL_STATE(8059)] = 267496,
  [SMALL_STATE(8060)] = 267503,
  [SMALL_STATE(8061)] = 267510,
  [SMALL_STATE(8062)] = 267517,
  [SMALL_STATE(8063)] = 267524,
  [SMALL_STATE(8064)] = 267531,
  [SMALL_STATE(8065)] = 267538,
  [SMALL_STATE(8066)] = 267545,
  [SMALL_STATE(8067)] = 267552,
  [SMALL_STATE(8068)] = 267559,
  [SMALL_STATE(8069)] = 267566,
  [SMALL_STATE(8070)] = 267573,
  [SMALL_STATE(8071)] = 267580,
  [SMALL_STATE(8072)] = 267587,
  [SMALL_STATE(8073)] = 267594,
  [SMALL_STATE(8074)] = 267601,
  [SMALL_STATE(8075)] = 267608,
  [SMALL_STATE(8076)] = 267615,
  [SMALL_STATE(8077)] = 267622,
  [SMALL_STATE(8078)] = 267629,
  [SMALL_STATE(8079)] = 267636,
  [SMALL_STATE(8080)] = 267643,
  [SMALL_STATE(8081)] = 267650,
  [SMALL_STATE(8082)] = 267657,
  [SMALL_STATE(8083)] = 267664,
  [SMALL_STATE(8084)] = 267671,
  [SMALL_STATE(8085)] = 267678,
  [SMALL_STATE(8086)] = 267685,
  [SMALL_STATE(8087)] = 267692,
  [SMALL_STATE(8088)] = 267699,
  [SMALL_STATE(8089)] = 267706,
  [SMALL_STATE(8090)] = 267713,
  [SMALL_STATE(8091)] = 267720,
  [SMALL_STATE(8092)] = 267727,
  [SMALL_STATE(8093)] = 267734,
  [SMALL_STATE(8094)] = 267741,
  [SMALL_STATE(8095)] = 267748,
  [SMALL_STATE(8096)] = 267755,
  [SMALL_STATE(8097)] = 267762,
  [SMALL_STATE(8098)] = 267769,
  [SMALL_STATE(8099)] = 267776,
  [SMALL_STATE(8100)] = 267783,
  [SMALL_STATE(8101)] = 267790,
  [SMALL_STATE(8102)] = 267797,
  [SMALL_STATE(8103)] = 267804,
  [SMALL_STATE(8104)] = 267811,
  [SMALL_STATE(8105)] = 267818,
  [SMALL_STATE(8106)] = 267825,
  [SMALL_STATE(8107)] = 267832,
  [SMALL_STATE(8108)] = 267839,
  [SMALL_STATE(8109)] = 267846,
  [SMALL_STATE(8110)] = 267853,
  [SMALL_STATE(8111)] = 267860,
  [SMALL_STATE(8112)] = 267867,
  [SMALL_STATE(8113)] = 267874,
  [SMALL_STATE(8114)] = 267881,
  [SMALL_STATE(8115)] = 267888,
  [SMALL_STATE(8116)] = 267895,
  [SMALL_STATE(8117)] = 267902,
  [SMALL_STATE(8118)] = 267909,
  [SMALL_STATE(8119)] = 267916,
  [SMALL_STATE(8120)] = 267923,
  [SMALL_STATE(8121)] = 267930,
  [SMALL_STATE(8122)] = 267937,
  [SMALL_STATE(8123)] = 267944,
  [SMALL_STATE(8124)] = 267951,
  [SMALL_STATE(8125)] = 267958,
  [SMALL_STATE(8126)] = 267965,
  [SMALL_STATE(8127)] = 267972,
  [SMALL_STATE(8128)] = 267979,
  [SMALL_STATE(8129)] = 267986,
  [SMALL_STATE(8130)] = 267993,
  [SMALL_STATE(8131)] = 268000,
  [SMALL_STATE(8132)] = 268007,
  [SMALL_STATE(8133)] = 268014,
  [SMALL_STATE(8134)] = 268021,
  [SMALL_STATE(8135)] = 268028,
  [SMALL_STATE(8136)] = 268035,
  [SMALL_STATE(8137)] = 268042,
  [SMALL_STATE(8138)] = 268049,
  [SMALL_STATE(8139)] = 268056,
  [SMALL_STATE(8140)] = 268063,
  [SMALL_STATE(8141)] = 268070,
  [SMALL_STATE(8142)] = 268077,
  [SMALL_STATE(8143)] = 268084,
  [SMALL_STATE(8144)] = 268091,
  [SMALL_STATE(8145)] = 268098,
  [SMALL_STATE(8146)] = 268105,
  [SMALL_STATE(8147)] = 268112,
  [SMALL_STATE(8148)] = 268119,
  [SMALL_STATE(8149)] = 268126,
  [SMALL_STATE(8150)] = 268133,
  [SMALL_STATE(8151)] = 268140,
  [SMALL_STATE(8152)] = 268147,
  [SMALL_STATE(8153)] = 268154,
  [SMALL_STATE(8154)] = 268161,
  [SMALL_STATE(8155)] = 268168,
  [SMALL_STATE(8156)] = 268175,
  [SMALL_STATE(8157)] = 268182,
  [SMALL_STATE(8158)] = 268189,
  [SMALL_STATE(8159)] = 268196,
  [SMALL_STATE(8160)] = 268203,
  [SMALL_STATE(8161)] = 268210,
  [SMALL_STATE(8162)] = 268217,
  [SMALL_STATE(8163)] = 268224,
  [SMALL_STATE(8164)] = 268231,
  [SMALL_STATE(8165)] = 268238,
  [SMALL_STATE(8166)] = 268245,
  [SMALL_STATE(8167)] = 268252,
  [SMALL_STATE(8168)] = 268259,
  [SMALL_STATE(8169)] = 268266,
  [SMALL_STATE(8170)] = 268273,
  [SMALL_STATE(8171)] = 268280,
  [SMALL_STATE(8172)] = 268287,
  [SMALL_STATE(8173)] = 268294,
  [SMALL_STATE(8174)] = 268301,
  [SMALL_STATE(8175)] = 268308,
  [SMALL_STATE(8176)] = 268315,
  [SMALL_STATE(8177)] = 268322,
  [SMALL_STATE(8178)] = 268329,
  [SMALL_STATE(8179)] = 268336,
  [SMALL_STATE(8180)] = 268343,
  [SMALL_STATE(8181)] = 268350,
  [SMALL_STATE(8182)] = 268357,
  [SMALL_STATE(8183)] = 268364,
  [SMALL_STATE(8184)] = 268371,
  [SMALL_STATE(8185)] = 268378,
  [SMALL_STATE(8186)] = 268385,
  [SMALL_STATE(8187)] = 268392,
  [SMALL_STATE(8188)] = 268399,
  [SMALL_STATE(8189)] = 268406,
  [SMALL_STATE(8190)] = 268413,
  [SMALL_STATE(8191)] = 268420,
  [SMALL_STATE(8192)] = 268427,
  [SMALL_STATE(8193)] = 268434,
  [SMALL_STATE(8194)] = 268441,
  [SMALL_STATE(8195)] = 268448,
  [SMALL_STATE(8196)] = 268455,
  [SMALL_STATE(8197)] = 268462,
  [SMALL_STATE(8198)] = 268469,
  [SMALL_STATE(8199)] = 268476,
  [SMALL_STATE(8200)] = 268483,
  [SMALL_STATE(8201)] = 268490,
  [SMALL_STATE(8202)] = 268497,
  [SMALL_STATE(8203)] = 268504,
  [SMALL_STATE(8204)] = 268511,
  [SMALL_STATE(8205)] = 268518,
  [SMALL_STATE(8206)] = 268525,
  [SMALL_STATE(8207)] = 268532,
  [SMALL_STATE(8208)] = 268539,
  [SMALL_STATE(8209)] = 268546,
  [SMALL_STATE(8210)] = 268553,
  [SMALL_STATE(8211)] = 268560,
  [SMALL_STATE(8212)] = 268567,
  [SMALL_STATE(8213)] = 268574,
  [SMALL_STATE(8214)] = 268581,
  [SMALL_STATE(8215)] = 268588,
  [SMALL_STATE(8216)] = 268595,
  [SMALL_STATE(8217)] = 268602,
  [SMALL_STATE(8218)] = 268609,
  [SMALL_STATE(8219)] = 268616,
  [SMALL_STATE(8220)] = 268623,
  [SMALL_STATE(8221)] = 268630,
  [SMALL_STATE(8222)] = 268637,
  [SMALL_STATE(8223)] = 268644,
  [SMALL_STATE(8224)] = 268651,
  [SMALL_STATE(8225)] = 268658,
  [SMALL_STATE(8226)] = 268665,
  [SMALL_STATE(8227)] = 268672,
  [SMALL_STATE(8228)] = 268679,
  [SMALL_STATE(8229)] = 268686,
  [SMALL_STATE(8230)] = 268693,
  [SMALL_STATE(8231)] = 268700,
  [SMALL_STATE(8232)] = 268707,
  [SMALL_STATE(8233)] = 268714,
  [SMALL_STATE(8234)] = 268721,
  [SMALL_STATE(8235)] = 268728,
  [SMALL_STATE(8236)] = 268735,
  [SMALL_STATE(8237)] = 268742,
  [SMALL_STATE(8238)] = 268749,
  [SMALL_STATE(8239)] = 268756,
  [SMALL_STATE(8240)] = 268763,
  [SMALL_STATE(8241)] = 268770,
  [SMALL_STATE(8242)] = 268777,
  [SMALL_STATE(8243)] = 268784,
  [SMALL_STATE(8244)] = 268791,
  [SMALL_STATE(8245)] = 268798,
  [SMALL_STATE(8246)] = 268805,
  [SMALL_STATE(8247)] = 268812,
  [SMALL_STATE(8248)] = 268819,
  [SMALL_STATE(8249)] = 268826,
  [SMALL_STATE(8250)] = 268833,
  [SMALL_STATE(8251)] = 268840,
  [SMALL_STATE(8252)] = 268847,
  [SMALL_STATE(8253)] = 268854,
  [SMALL_STATE(8254)] = 268861,
  [SMALL_STATE(8255)] = 268868,
  [SMALL_STATE(8256)] = 268875,
  [SMALL_STATE(8257)] = 268882,
  [SMALL_STATE(8258)] = 268889,
  [SMALL_STATE(8259)] = 268896,
  [SMALL_STATE(8260)] = 268903,
  [SMALL_STATE(8261)] = 268910,
  [SMALL_STATE(8262)] = 268917,
  [SMALL_STATE(8263)] = 268924,
  [SMALL_STATE(8264)] = 268931,
  [SMALL_STATE(8265)] = 268938,
  [SMALL_STATE(8266)] = 268945,
  [SMALL_STATE(8267)] = 268952,
  [SMALL_STATE(8268)] = 268959,
  [SMALL_STATE(8269)] = 268966,
  [SMALL_STATE(8270)] = 268973,
  [SMALL_STATE(8271)] = 268980,
  [SMALL_STATE(8272)] = 268987,
  [SMALL_STATE(8273)] = 268994,
  [SMALL_STATE(8274)] = 269001,
  [SMALL_STATE(8275)] = 269008,
  [SMALL_STATE(8276)] = 269015,
  [SMALL_STATE(8277)] = 269022,
  [SMALL_STATE(8278)] = 269029,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5387),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8208),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7114),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6788),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7121),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8188),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7122),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8184),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8183),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8178),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8177),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8174),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8173),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8172),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6340),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8165),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7127),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6209),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8159),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8158),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5098),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8272),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7131),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6697),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7093),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7134),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7780),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8135),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8134),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8241),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7174),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7998),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7081),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6107),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8096),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8097),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7511),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5302),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7510),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5293),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7664),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7226),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7025),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7379),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7630),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7095),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8095),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7844),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7402),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7819),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6063),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 10),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 78),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 10),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 78),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(831),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6193),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7511),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5302),
  [385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7510),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7226),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1185),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4983),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(840),
  [414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(269),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(222),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3539),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3111),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2571),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8216),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6124),
  [435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7112),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8208),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7114),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3652),
  [447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2463),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1022),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3056),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2462),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5831),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4847),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4870),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4877),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7025),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7379),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1509),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7630),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7095),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8095),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(950),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7844),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7842),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7495),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7402),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7819),
  [522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8174),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8173),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8172),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6340),
  [540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4039),
  [543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6774),
  [546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6621),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3791),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3777),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2341),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8165),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4034),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4961),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1531),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7385),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1245),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6207),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6063),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8180),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8181),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1087),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1233),
  [600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7130),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1251),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4773),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5098),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6197),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7581),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5308),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7499),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7390),
  [630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(424),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3588),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2590),
  [642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3027),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6728),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7373),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1477),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7480),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7381),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8179),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(941),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7628),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7627),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7508),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7358),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7611),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1532),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7369),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1127),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6178),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6040),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8202),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8194),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1125),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1513),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6181),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8272),
  [733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5433),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8239),
  [739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7131),
  [742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(531),
  [745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(223),
  [748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3617),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2575),
  [754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3048),
  [762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6697),
  [765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7093),
  [768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1473),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8138),
  [774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7134),
  [777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(190),
  [780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7780),
  [783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(953),
  [786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8134),
  [792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8241),
  [795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7174),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7998),
  [801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1534),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7081),
  [807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1162),
  [810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6192),
  [813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6107),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8096),
  [819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8097),
  [822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1159),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1475),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6197),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7581),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5308),
  [884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7499),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7390),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6728),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7480),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7381),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7628),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7627),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7508),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7611),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6178),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8194),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(833),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6201),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8271),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5387),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8270),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7083),
  [1000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [1003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [1006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1185),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [1012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4983),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(840),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3548),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3111),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8216),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6124),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7112),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8208),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7114),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3652),
  [1051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(73),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2463),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1022),
  [1060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2950),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [1072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2462),
  [1075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5831),
  [1078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4847),
  [1081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4870),
  [1084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4877),
  [1087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6788),
  [1090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7121),
  [1093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1222),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8188),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7122),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8184),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [1111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8183),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8178),
  [1117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8177),
  [1120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [1123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [1126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8174),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8173),
  [1132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8172),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6340),
  [1138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4611),
  [1141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6774),
  [1144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6621),
  [1147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4657),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3777),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2341),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8165),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4034),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4961),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1530),
  [1168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7127),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1245),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1111),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6209),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6036),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8159),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8158),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1100),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1249),
  [1198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7130),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1251),
  [1204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4773),
  [1207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5098),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7139),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(922),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(138),
  [1252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [1255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [1258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [1266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(269),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [1272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3539),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8216),
  [1284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6124),
  [1287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7376),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8208),
  [1293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [1296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2463),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1011),
  [1302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [1308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2462),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5831),
  [1314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4847),
  [1317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4870),
  [1320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4877),
  [1323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7025),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7379),
  [1329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7095),
  [1332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [1335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8095),
  [1338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(950),
  [1341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7844),
  [1344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7842),
  [1347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7495),
  [1350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7402),
  [1353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7819),
  [1356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [1359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [1362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8174),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8173),
  [1368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8172),
  [1371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6340),
  [1374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4039),
  [1377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6774),
  [1380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6621),
  [1383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3791),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3777),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2341),
  [1392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8165),
  [1395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4961),
  [1398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7139),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7385),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1245),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [1410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1087),
  [1413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1233),
  [1416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7130),
  [1419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1251),
  [1422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4773),
  [1425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5098),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7088),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8068),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [1446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(926),
  [1449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(424),
  [1452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(391),
  [1455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3588),
  [1458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [1461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6728),
  [1464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7373),
  [1467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7381),
  [1470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [1473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8179),
  [1476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(941),
  [1479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7628),
  [1482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7627),
  [1485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7508),
  [1488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7358),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7611),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7369),
  [1497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1127),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1125),
  [1503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1513),
  [1506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [1509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(497),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [1515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3548),
  [1518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(73),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6788),
  [1524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7121),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7122),
  [1530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8184),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8183),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8178),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8177),
  [1548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7088),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8068),
  [1554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7127),
  [1557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1111),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1100),
  [1563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1249),
  [1566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(902),
  [1569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(531),
  [1572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(381),
  [1575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3617),
  [1578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [1581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6697),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7093),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7134),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(190),
  [1593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7780),
  [1596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(953),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8134),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8241),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7174),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7998),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7081),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1162),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1159),
  [1623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1475),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7066),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7849),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7228),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7959),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7242),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6969),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7328),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8192),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7322),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7459),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [1685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(870),
  [1688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3562),
  [1694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6969),
  [1700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7328),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7372),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8192),
  [1712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(948),
  [1715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7479),
  [1718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7478),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7586),
  [1724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7322),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7459),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7295),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1472),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5854),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7783),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8274),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6345),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7785),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4898),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7419),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5858),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4974),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8010),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8252),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8277),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6326),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6648),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7960),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8246),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6346),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8109),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5101),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6671),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [2002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1898),
  [2005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(138),
  [2008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1266),
  [2011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1266),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1321),
  [2017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(497),
  [2020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1323),
  [2023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6124),
  [2026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7376),
  [2029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(73),
  [2032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1011),
  [2035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6671),
  [2038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6788),
  [2041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7121),
  [2044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1222),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8188),
  [2050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7122),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(187),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8184),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(943),
  [2062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8183),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8178),
  [2068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8177),
  [2071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7088),
  [2074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8068),
  [2077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1229),
  [2080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1145),
  [2083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8174),
  [2086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8173),
  [2089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8172),
  [2092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6340),
  [2095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4039),
  [2098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6774),
  [2101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6621),
  [2104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3791),
  [2107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3777),
  [2110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8109),
  [2113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7139),
  [2116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7127),
  [2119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1245),
  [2122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1111),
  [2125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1100),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1249),
  [2131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7130),
  [2134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1251),
  [2137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4773),
  [2140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5098),
  [2143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2081),
  [2146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(870),
  [2149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(72),
  [2152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6969),
  [2155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7328),
  [2158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1235),
  [2161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7849),
  [2164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7372),
  [2167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(211),
  [2170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8192),
  [2173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(948),
  [2176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7479),
  [2179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7478),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7586),
  [2185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7322),
  [2188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7459),
  [2191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7295),
  [2194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1133),
  [2197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1120),
  [2200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1472),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [2239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1965),
  [2242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(424),
  [2245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(70),
  [2248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6728),
  [2251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7373),
  [2254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1477),
  [2257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7480),
  [2260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7381),
  [2263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(196),
  [2266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8179),
  [2269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(941),
  [2272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7628),
  [2275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7627),
  [2278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7508),
  [2281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7358),
  [2284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7611),
  [2287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7369),
  [2290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1127),
  [2293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1125),
  [2296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1513),
  [2299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2048),
  [2302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(531),
  [2305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7066),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7228),
  [2311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7959),
  [2314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7242),
  [2317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7998),
  [2320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2071),
  [2323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(269),
  [2326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(50),
  [2329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7025),
  [2332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7379),
  [2335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1509),
  [2338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7630),
  [2341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7095),
  [2344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(185),
  [2347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8095),
  [2350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(950),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7844),
  [2356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7842),
  [2359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7495),
  [2362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7402),
  [2365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7819),
  [2368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7385),
  [2371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1090),
  [2374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1087),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1233),
  [2380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2088),
  [2383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(37),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6697),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7093),
  [2392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1473),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8138),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7134),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(190),
  [2404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7780),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(953),
  [2410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8135),
  [2413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8134),
  [2416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8241),
  [2419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7174),
  [2422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7081),
  [2425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1162),
  [2428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1159),
  [2431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1475),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8030),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8278),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7398),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1878),
  [2512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(138),
  [2515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1266),
  [2518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1321),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1321),
  [2526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1323),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [2531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6124),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1011),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6671),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8109),
  [2545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7139),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [2562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4710),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7989),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8249),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8276),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4635),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4634),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8012),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [2658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [2664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [2672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [2690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 167),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 167),
  [2718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [2750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 113),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 113),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [2814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1878),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1323),
  [2828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6124),
  [2831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6671),
  [2834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(8109),
  [2837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7139),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [2842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [2844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 116),
  [2846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 116),
  [2848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [2868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4312),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [2906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [2924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7186),
  [2975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7186),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 111),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 111),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [3019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [3023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7347),
  [3026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [3030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7347),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [3048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [3052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [3076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1878),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1323),
  [3084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6124),
  [3087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6671),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(8109),
  [3093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7139),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7135),
  [3099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [3101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [3103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [3105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [3107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [3109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [3111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [3115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [3117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [3119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [3121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [3123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [3125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [3127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [3131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [3133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [3135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [3137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [3139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [3141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [3143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [3145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [3147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [3149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [3151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 169),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 169),
  [3155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [3159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1878),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [3164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1323),
  [3167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [3169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6124),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [3174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6671),
  [3177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(8109),
  [3180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7139),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 5, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7638),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8191),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7795),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7366),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8093),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5871),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6575),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7448),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6098),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8210),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 78),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [3281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 10),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 10),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 78),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [3313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1906),
  [3316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1488),
  [3319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6149),
  [3322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6526),
  [3325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3799),
  [3328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7638),
  [3331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5330),
  [3334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8191),
  [3339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7366),
  [3342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4573),
  [3345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8094),
  [3348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2783),
  [3351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4983),
  [3354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4983),
  [3357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(644),
  [3360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3052),
  [3363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3604),
  [3366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3111),
  [3369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [3372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8216),
  [3375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5155),
  [3378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7374),
  [3381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8208),
  [3384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7114),
  [3387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2463),
  [3390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8093),
  [3393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [3396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3014),
  [3399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [3402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2559),
  [3405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5871),
  [3408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4885),
  [3411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4887),
  [3414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4889),
  [3417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2341),
  [3420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8165),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4034),
  [3426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4855),
  [3429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6575),
  [3432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [3435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1595),
  [3438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7448),
  [3441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6098),
  [3444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8210),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [3475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7498),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7450),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7302),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6475),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7689),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [3579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7439),
  [3583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7289),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6499),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [3599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8217),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [3603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7498),
  [3606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5434),
  [3609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7450),
  [3612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7302),
  [3615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(768),
  [3618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3040),
  [3621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3549),
  [3624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3041),
  [3629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6475),
  [3632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1605),
  [3635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6083),
  [3638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8193),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7689),
  [3652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5306),
  [3655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7439),
  [3658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7289),
  [3661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(772),
  [3664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [3667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3607),
  [3670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3021),
  [3673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6499),
  [3676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1581),
  [3679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6120),
  [3682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8217),
  [3685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6530),
  [3741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2145),
  [3752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1445),
  [3755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6152),
  [3758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6530),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5688),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [3797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2099),
  [3800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1205),
  [3803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6139),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6544),
  [3809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6432),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8197),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5162),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8223),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8220),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8211),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8214),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6515),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8186),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6453),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7824),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8206),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8203),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7988),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [3977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(161),
  [3980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1259),
  [3983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1491),
  [3986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1491),
  [3989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1011),
  [3992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1611),
  [4009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(144),
  [4012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1354),
  [4015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1489),
  [4018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6131),
  [4021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(2130),
  [4024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(151),
  [4027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1399),
  [4030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1399),
  [4033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1479),
  [4036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6130),
  [4039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1392),
  [4042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1167),
  [4045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8174),
  [4048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8173),
  [4051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(8172),
  [4054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6340),
  [4057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4039),
  [4060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6774),
  [4063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(6621),
  [4066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3791),
  [4069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(3777),
  [4072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1390),
  [4075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(7130),
  [4078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1388),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(4740),
  [4084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(5098),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7291),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7291),
  [4092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [4096] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [4102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [4104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(255),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [4115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [4118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [4122] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6151),
  [4174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1878),
  [4177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(138),
  [4180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [4183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [4186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [4189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [4192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [4195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6124),
  [4198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [4203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1011),
  [4206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6671),
  [4209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [4212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [4215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8174),
  [4218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8173),
  [4221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8172),
  [4224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6340),
  [4227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4039),
  [4230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6774),
  [4233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6621),
  [4236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3791),
  [4239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3777),
  [4242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8109),
  [4245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6151),
  [4248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7139),
  [4251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1245),
  [4254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7130),
  [4257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1251),
  [4260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4773),
  [4263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5098),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [4344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(248),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7788),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7794),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7547),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7602),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [4429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7681),
  [4432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7682),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7684),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [4444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7698),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7700),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7703),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7710),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7708),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7709),
  [4488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7706),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7719),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 105),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [4540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 78),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [4558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 105),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7923),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [4583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7864),
  [4586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7853),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7910),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7679),
  [4615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7570),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7921),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7903),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7649),
  [4631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7641),
  [4634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7911),
  [4637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7640),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7564),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7961),
  [4651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7863),
  [4654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7862),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [4659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7861),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7677),
  [4667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7813),
  [4670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7786),
  [4673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7775),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7752),
  [4678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7804),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [4687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7749),
  [4690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7743),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7732),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7731),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7933),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7860),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8046),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7736),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8189),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(280),
  [4872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16),
  [4886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 17),
  [4888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16),
  [4893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 17),
  [4895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5622),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [4918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(234),
  [4921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(234),
  [4924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [4932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(287),
  [4935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(261),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [4948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(249),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4973),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [4981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [4987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [4989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [5003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [5019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [5021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [5023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4942),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [5043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4954),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [5083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4878),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [5093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4662),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6650),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [5111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(266),
  [5114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [5121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [5123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [5133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [5137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1622),
  [5144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6643),
  [5151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7111),
  [5154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [5158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1768),
  [5161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1628),
  [5164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7988),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7270),
  [5169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7270),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [5184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [5190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [5196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [5202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [5204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(287),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6175),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [5211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7776),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7778),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7958),
  [5225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8028),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5536),
  [5257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(236),
  [5260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [5288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [5322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8254),
  [5330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [5340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [5342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [5344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [5346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [5348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [5350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [5352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [5354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(247),
  [5385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [5389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1765),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [5418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7309),
  [5420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(266),
  [5451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7309),
  [5466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7256),
  [5521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [5543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [5551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7536),
  [5573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(266),
  [5588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [5590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [5592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [5618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [5622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1861),
  [5635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [5641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(280),
  [5652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [5658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1901),
  [5665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6438),
  [5668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7098),
  [5671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(239),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [5698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [5712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [5718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [5724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(5895),
  [5727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [5731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(7537),
  [5734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2095),
  [5737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6493),
  [5740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7115),
  [5743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [5755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [5761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [5763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [5773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [5775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [5777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [5779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2131),
  [5786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(236),
  [5789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [5799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [5807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2124),
  [5814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6472),
  [5817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7103),
  [5820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2190),
  [5827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [5829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [5831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [5833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [5839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [5869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [5871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [5873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [5879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [5881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [5883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [5885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [5889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [5891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [5895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [5897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [5899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5157),
  [5909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [5911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [5921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [5923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7297),
  [5934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [5936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [5938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [5940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [5942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [5944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [5946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [5948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [5954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [5956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [5958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2211),
  [5969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [5975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [5983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [5985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119),
  [5987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119),
  [5989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(266),
  [5992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2246),
  [5995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6483),
  [5998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7104),
  [6001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 1, 70),
  [6005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(266),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [6016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 118),
  [6018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 118),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [6026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [6032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [6034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [6038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [6044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [6052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5723),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [6056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [6058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7802),
  [6060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(266),
  [6075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [6089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 17),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 17),
  [6097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [6109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [6111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2307),
  [6114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [6116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [6120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [6130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [6136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [6138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [6148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [6154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [6156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [6162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [6164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [6182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [6184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [6186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [6194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [6196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [6198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [6208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [6210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [6220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [6222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 176),
  [6228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 176),
  [6230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5539),
  [6238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [6240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [6242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [6244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [6246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [6252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [6254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [6256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [6258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [6260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [6262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [6268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [6270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [6272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [6274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [6280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5137),
  [6286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 108),
  [6296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 108),
  [6298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [6300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [6302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5138),
  [6310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 88),
  [6324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 88),
  [6326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [6328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [6330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2403),
  [6333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [6347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [6349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [6359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [6361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [6363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [6365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [6371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(934),
  [6382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [6384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2539),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [6389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [6393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [6403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3017),
  [6410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2468),
  [6413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2935),
  [6416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7776),
  [6419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7086),
  [6422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7778),
  [6425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7958),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [6432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [6440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [6442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(287),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [6447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [6450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6566),
  [6453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7118),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [6464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2510),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [6471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2531),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [6484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [6488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(236),
  [6491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [6493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [6495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [6509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [6517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [6519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [6521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [6527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [6529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [6547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [6565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [6571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [6585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [6591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [6607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [6617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [6623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [6627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(239),
  [6630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [6640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [6644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [6650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6320),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [6660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5848),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [6667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5168),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [6676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [6690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [6712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [6718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [6724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [6728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6228),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [6746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5021),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [6760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [6768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [6784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [6792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [6802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [6836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [6840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [6848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [6866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [6882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [6884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [6897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7957),
  [6900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7331),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [6923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5536),
  [6926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5167),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [6935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [6947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6320),
  [6950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6320),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3300),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [6963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7086),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [6972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5152),
  [6975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [6993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [6999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7281),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [7012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [7024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [7028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [7040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [7050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [7054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [7058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [7062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [7064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [7070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(280),
  [7073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [7075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(234),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [7080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [7082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [7088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5151),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [7093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5165),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [7102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [7106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [7108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [7110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [7112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [7114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(939),
  [7117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [7119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [7121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [7123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7261),
  [7126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(287),
  [7129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6168),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [7133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [7135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [7137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6167),
  [7139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(287),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [7146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [7156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5753),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [7192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [7206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [7210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7554),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [7270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [7276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [7282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [7290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [7310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5140),
  [7313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(287),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [7322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(236),
  [7325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(236),
  [7340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [7343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6441),
  [7346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7099),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7987),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [7355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [7367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 107),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [7377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [7383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3748),
  [7390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3728),
  [7393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [7399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5176),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [7409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3529),
  [7412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [7414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [7416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(236),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [7421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [7424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [7427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [7430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8216),
  [7433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7374),
  [7436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8208),
  [7439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [7450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [7456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [7458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5092),
  [7466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [7468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3017),
  [7475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3331),
  [7478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2935),
  [7481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7776),
  [7484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7086),
  [7487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7778),
  [7490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7958),
  [7493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4034),
  [7496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [7500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3389),
  [7503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6494),
  [7506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7105),
  [7509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [7511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [7513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [7517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [7521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [7535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [7541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(247),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [7546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [7548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5136),
  [7551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [7563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5109),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [7567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [7569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3497),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [7580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [7582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [7596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4859),
  [7598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [7602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [7606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [7610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5771),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [7616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [7620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8049),
  [7622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [7628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [7630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [7632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [7634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [7636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [7638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [7644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [7646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [7648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [7650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [7658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [7662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [7664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [7666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [7668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [7670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [7672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [7674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8070),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [7696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4562),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [7706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7754),
  [7708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [7714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(249),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5163),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [7733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [7743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [7749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [7751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [7753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [7759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [7761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [7767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3994),
  [7770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3993),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [7785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5418),
  [7787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [7789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [7797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5506),
  [7799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [7801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [7803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [7809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [7815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [7817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5892),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [7825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [7827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5853),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [7841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5477),
  [7843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(261),
  [7846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5514),
  [7856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [7858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [7860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [7868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [7870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [7872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [7874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [7896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5565),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [7920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [7928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [7930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [7936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [7938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [7940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [7946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5575),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [7960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [7980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [7982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [7986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3958),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6027),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [7997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5598),
  [7999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [8003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5586),
  [8015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [8017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [8027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5619),
  [8029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [8031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [8033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [8036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [8039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [8048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [8058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [8082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [8090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [8094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [8098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [8108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [8111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4046),
  [8114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [8117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8216),
  [8120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7112),
  [8123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8208),
  [8126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [8135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [8137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5144),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [8143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [8153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [8157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4065),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [8168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [8176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8216),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [8187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5767),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [8191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [8193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [8205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4465),
  [8208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4465),
  [8211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8009),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [8218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [8222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [8228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [8232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [8236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [8260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [8314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1148),
  [8317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 81),
  [8319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [8363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [8367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [8407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 174),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [8413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 112),
  [8415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 181),
  [8417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137), SHIFT(1148),
  [8420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [8424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 147),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [8432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [8438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [8446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [8460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8201),
  [8463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7957),
  [8466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 182),
  [8468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 183),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [8478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [8480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 185),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [8486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 192),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [8494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [8508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 198),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [8528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 138),
  [8530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [8542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [8552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 158),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [8558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 148),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [8588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [8616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 184),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [8638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 82),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [8654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 54),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [8668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 199),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [8712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 54),
  [8714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5848),
  [8717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5168),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [8762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [8765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7957),
  [8768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7331),
  [8771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5536),
  [8774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5167),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [8781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7086),
  [8784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6320),
  [8787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6320),
  [8790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5152),
  [8793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [8797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [8803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [8805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [8807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5848),
  [8810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5168),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [8815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5151),
  [8818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5165),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [8823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4312),
  [8826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7779),
  [8829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [8831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4312),
  [8834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7779),
  [8837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7957),
  [8840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7331),
  [8843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(952),
  [8846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5140),
  [8849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5536),
  [8852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5167),
  [8855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [8861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [8863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [8865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [8867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [8869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [8871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [8873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7962),
  [8875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [8877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [8881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5808),
  [8883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [8885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [8887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [8889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [8891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5003),
  [8894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5003),
  [8897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(5007),
  [8900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [8904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [8906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [8908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [8910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [8912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [8914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [8916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [8918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7991),
  [8920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [8922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [8926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [8928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [8930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [8932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [8934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [8936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [8940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [8942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [8944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [8946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [8948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [8950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [8952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [8954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8032),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [8960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7086),
  [8963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5152),
  [8966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6320),
  [8969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6320),
  [8972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [8976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [8978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [8980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [8982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [8984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [8986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [8988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [8990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8076),
  [8992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [8994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [8998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [9000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [9002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5766),
  [9004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [9006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [9008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [9010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [9012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [9014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [9016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [9018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [9024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [9028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [9030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [9032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5165),
  [9039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(1861),
  [9042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4814),
  [9045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4815),
  [9048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4810),
  [9051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20), SHIFT(1861),
  [9054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5136),
  [9057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(1861),
  [9060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18), SHIFT(1861),
  [9063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20), SHIFT(4802),
  [9066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5151),
  [9069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(4797),
  [9072] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(1861),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [9078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [9080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [9082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [9084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [9086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [9088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [9090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [9094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5140),
  [9097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [9099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [9101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [9103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4525),
  [9105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [9107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [9109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [9111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5848),
  [9122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5168),
  [9125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7086),
  [9128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(4808),
  [9135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7957),
  [9138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7331),
  [9141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5536),
  [9144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5167),
  [9147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5136),
  [9150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6320),
  [9153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6320),
  [9156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7086),
  [9159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5152),
  [9162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5110),
  [9165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5110),
  [9168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8029),
  [9171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5151),
  [9174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5165),
  [9177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [9183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [9185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6620),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [9191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [9193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [9199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [9201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [9203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [9209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [9211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6657),
  [9213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5140),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [9220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6616),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6670),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [9246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5136),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [9275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [9283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [9285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [9291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [9299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6529),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [9311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [9315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5653),
  [9317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6629),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6213),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [9323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [9325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5641),
  [9327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6085),
  [9333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [9335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5579),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [9339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [9341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [9343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6004),
  [9345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [9349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6893),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [9353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [9355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [9357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [9361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5321),
  [9365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [9367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [9369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [9371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [9373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [9375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5684),
  [9377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [9383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6831),
  [9385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [9387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [9389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [9391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [9393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6958),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [9397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [9399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [9401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [9403] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5159),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [9437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7141),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5430),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [9447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6189),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6731),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [9459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5323),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [9465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [9469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [9473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [9511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [9523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5536),
  [9526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5167),
  [9529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5178),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [9533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7136),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [9537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [9543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [9549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6761),
  [9551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [9555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [9559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [9583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [9607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [9613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [9617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6985),
  [9619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [9625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [9635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5152),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [9640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [9650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [9652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [9662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5536),
  [9665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5167),
  [9668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [9674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6915),
  [9676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [9678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [9684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6828),
  [9686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [9690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [9692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [9700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6978),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [9704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [9712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7007),
  [9714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5152),
  [9717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [9725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7011),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [9729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [9733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6706),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [9737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7013),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [9749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [9761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [9765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6811),
  [9767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [9783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [9785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [9793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6809),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6869),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [9805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5536),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [9818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [9820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [9822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5343),
  [9824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [9826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5304),
  [9828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [9830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [9832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5303),
  [9834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5301),
  [9836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5298),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [9840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [9842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6861),
  [9844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7331),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [9855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6249),
  [9857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6997),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [9869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6482),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [9873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7028),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [9889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [9895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [9897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [9915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [9917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5843),
  [9919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6367),
  [9921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [9935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [9947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [9953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [9955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5848),
  [9958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5168),
  [9961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5835),
  [9963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [9969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [9983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [9989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5562),
  [9991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5567),
  [9994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6537),
  [9997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7107),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [10004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [10010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [10012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [10018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [10020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [10022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [10024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [10026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [10028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [10030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [10032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5848),
  [10035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5168),
  [10038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [10040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [10042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [10044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [10046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [10048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [10050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [10052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [10054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [10056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [10058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [10060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [10062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [10072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [10074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [10076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [10078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [10080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [10082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5165),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [10099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7112),
  [10102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5848),
  [10105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [10107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [10109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [10111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [10115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7776),
  [10120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7958),
  [10125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [10127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [10129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [10131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [10133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7621),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [10138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6377),
  [10140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [10144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [10146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [10148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [10154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [10162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5372),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [10166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 10),
  [10168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 78),
  [10170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [10182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [10186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6408),
  [10188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [10194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [10196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5151),
  [10199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 168),
  [10201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 5, 1, 168),
  [10203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [10207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6396),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [10211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [10213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5981),
  [10215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6015),
  [10217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5992),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [10229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [10239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [10241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [10243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [10245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [10247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5151),
  [10252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [10260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [10266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5165),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [10275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [10277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 168),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6020),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [10289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [10291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [10293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [10299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [10309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6025),
  [10311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [10315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [10323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [10325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [10327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5140),
  [10330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [10332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [10338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 84),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [10352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [10358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [10360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [10362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [10370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6016),
  [10374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6006),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [10380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5362),
  [10382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7470),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [10390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [10392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6392),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [10396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6414),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [10410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [10424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5136),
  [10427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6309),
  [10429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [10445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5140),
  [10448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [10456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 10),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [10466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [10470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [10476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [10478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [10480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [10482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [10488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [10492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 78),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [10498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 78),
  [10500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6146),
  [10502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 78),
  [10504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6808),
  [10507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5405),
  [10510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7746),
  [10513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7083),
  [10516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6242),
  [10520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [10524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 10),
  [10526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [10538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [10540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6162),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [10546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [10548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5136),
  [10551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6231),
  [10553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [10555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [10567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6247),
  [10569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [10571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 10),
  [10573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [10579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6238),
  [10581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6170),
  [10583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [10589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [10593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [10595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [10597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [10599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [10601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [10603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [10607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [10609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [10611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [10615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [10617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [10619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [10621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [10623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [10625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [10629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [10631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [10633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [10637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [10641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [10643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [10645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [10647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [10649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [10651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4761),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [10655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [10657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7231),
  [10659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [10661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [10663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6606),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5574),
  [10667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7382),
  [10669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [10671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3932),
  [10673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7361),
  [10675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6858),
  [10677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7892),
  [10681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6952),
  [10683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [10685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7218),
  [10687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6567),
  [10689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [10695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [10697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7282),
  [10699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [10701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7096),
  [10703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [10705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [10707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [10709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7362),
  [10711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6598),
  [10713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [10715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7392),
  [10717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [10719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7125),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6705),
  [10723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [10729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7145),
  [10731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6585),
  [10733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [10735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [10737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [10739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7182),
  [10741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6478),
  [10743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6568),
  [10745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6976),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [10749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [10751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7308),
  [10753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [10757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7318),
  [10759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [10763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [10765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6696),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [10769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3669),
  [10771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6602),
  [10773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6895),
  [10775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6683),
  [10777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [10779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6436),
  [10781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6727),
  [10783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [10785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6808),
  [10788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [10818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6255),
  [10821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [10831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [10839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [10841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [10843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [10847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [10853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [10873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1397),
  [10876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [10878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(7501),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6873),
  [10883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6987),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [10891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [10897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [10901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [10909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [10919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6911),
  [10921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [10939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [10969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [10975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [10983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [10985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6558),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [11008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [11010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [11012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [11014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [11016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [11018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [11020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [11042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [11050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [11070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7213),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [11074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7383),
  [11076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6878),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [11082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7279),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [11096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7371),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7212),
  [11102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [11112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [11126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7283),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [11134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 191),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [11138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 157),
  [11140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [11158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 87),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [11164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 19),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [11168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [11172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6660),
  [11174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [11178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6437),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [11182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 153),
  [11184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [11186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [11190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6440),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [11194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [11196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [11200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [11210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [11214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [11220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7790),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6452),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [11232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [11234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 91),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [11244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5335),
  [11246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6539),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [11250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [11252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [11256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [11260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [11262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4485),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [11270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [11278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [11282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [11286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6477),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [11294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [11296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [11298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [11302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6594),
  [11304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [11308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [11310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [11314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6491),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [11318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [11330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7727),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [11334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 188),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [11342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [11346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [11348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [11352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6506),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [11356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7591),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [11362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [11364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [11368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [11370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [11372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [11376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [11378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [11384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [11388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6523),
  [11390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [11392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6539),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [11403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7507),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [11413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [11417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180), SHIFT_REPEAT(5582),
  [11420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [11428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [11430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8196),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [11434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6591),
  [11436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [11440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [11454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 153),
  [11456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [11458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [11464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [11470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [11474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6579),
  [11476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8199),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [11480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [11482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [11504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212), SHIFT_REPEAT(5741),
  [11507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [11511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115), SHIFT_REPEAT(5454),
  [11514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [11520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [11524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [11532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 208),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [11540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7447),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [11544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6254),
  [11547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200),
  [11549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [11551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [11553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [11555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [11557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [11559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [11563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6640),
  [11565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [11569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6664),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [11575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6218),
  [11578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [11582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [11586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6635),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [11590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [11594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [11596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6660),
  [11599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6660),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [11606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [11608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [11616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [11620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8017),
  [11622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 201),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [11626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 188),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [11630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [11634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [11638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6455),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [11642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [11654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 153),
  [11656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3639),
  [11659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [11661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 195),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [11671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5232),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [11689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [11691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 143),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [11705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [11707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [11727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1054),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [11732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [11740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 95),
  [11742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5550),
  [11745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [11747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6465),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [11753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6637),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [11767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [11769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [11781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [11783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [11787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 207),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [11793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 153),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [11801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5951),
  [11804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [11824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 209),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [11830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5359),
  [11833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [11837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [11845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3579),
  [11848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [11850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6525),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [11858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 207),
  [11860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 201),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [11864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7296),
  [11867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [11871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [11877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 213),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [11887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215), SHIFT_REPEAT(8175),
  [11890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215),
  [11892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 216),
  [11894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [11898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 216),
  [11900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [11908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [11916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [11920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115), SHIFT_REPEAT(4891),
  [11923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [11927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [11963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1474),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [12030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7537),
  [12033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [12041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1648),
  [12044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [12046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [12056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [12070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6524),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [12080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6580),
  [12082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 194),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [12086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [12096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(338),
  [12099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [12117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 100),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [12121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6636),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [12125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1669),
  [12128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [12132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [12134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [12138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [12172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [12186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7346),
  [12189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [12193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6663),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [12219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6587),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [12251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6473),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [12281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(928),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [12344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6593),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [12352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [12360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [12384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [12386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1000),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [12401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1612),
  [12404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [12418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [12446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8129),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [12510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 209),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [12520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [12530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8118),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [12534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [12550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [12562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7941),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [12566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [12578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [12586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [12588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 100),
  [12590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 166),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [12594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7835),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [12598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 156),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [12604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7714),
  [12606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [12610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8112),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [12614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7811),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [12622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 91),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [12626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7690),
  [12628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [12636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [12646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7533),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [12652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [12654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [12664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7518),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [12674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [12678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7473),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [12688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7425),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [12852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7613),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [12899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [12953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 54),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [13021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 79),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [13311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 127),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [13337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [13355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 79),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [13361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 10),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [13403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 128),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [13425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [13591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [13609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 79),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [13617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 175),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [13625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 127),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [13635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 78),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [13647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 79),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [13663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 128),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [13673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 79),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [13819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 175),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [13823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 127),
  [13825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 127),
  [13827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 128),
  [13829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 128),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [13833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 127),
  [13835] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 128),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [13855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 175),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [13859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 175),
  [13861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 175),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [13993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_cpp_external_scanner_create(void);
void tree_sitter_cpp_external_scanner_destroy(void *);
bool tree_sitter_cpp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_cpp_external_scanner_serialize(void *, char *);
void tree_sitter_cpp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_cpp(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_cpp_external_scanner_create,
      tree_sitter_cpp_external_scanner_destroy,
      tree_sitter_cpp_external_scanner_scan,
      tree_sitter_cpp_external_scanner_serialize,
      tree_sitter_cpp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
